<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE TS>
<TS version="2.0">
<context>
    <name></name>
    <message>
        <source>getColorNames() -&gt; list

Returns a list containing the names of all defined colors in the document.
If no document is open, returns a list of the default document colors.
</source>
        <translation type="obsolete">getColorNames() -&gt; list

Returns a list containing the names of all defined colours in the document.
If no document is open, returns a list of the default document colours.
</translation>
    </message>
    <message>
        <source>getColor(&quot;name&quot;) -&gt; tuple

Returns a tuple (C, M, Y, K) containing the four color components of the
color &quot;name&quot; from the current document. If no document is open, returns
the value of the named color from the default document colors.

May raise NotFoundError if the named color wasn&apos;t found.
May raise ValueError if an invalid color name is specified.
</source>
        <translation type="obsolete">getColor(&quot;name&quot;) -&gt; tuple

Returns a tuple (C, M, Y, K) containing the four colour components of the
colour &quot;name&quot; from the current document. If no document is open, returns
the value of the named colour from the default document colours.

May raise NotFoundError if the named colour wasn&apos;t found.
May raise ValueError if an invalid colour name is specified.
</translation>
    </message>
    <message>
        <source>getColorAsRGB(&quot;name&quot;) -&gt; tuple

Returns a tuple (R,G,B) containing the three color components of the
color &quot;name&quot; from the current document, converted to the RGB color
space. If no document is open, returns the value of the named color
from the default document colors.

May raise NotFoundError if the named color wasn&apos;t found.
May raise ValueError if an invalid color name is specified.
</source>
        <translation type="obsolete">getColorAsRGB(&quot;name&quot;) -&gt; tuple

Returns a tuple (R,G,B) containing the three colour components of the
colour &quot;name&quot; from the current document, converted to the RGB colour
space. If no document is open, returns the value of the named colour
from the default document colours.

May raise NotFoundError if the named colour wasn&apos;t found.
May raise ValueError if an invalid colour name is specified.
</translation>
    </message>
    <message>
        <source>changeColor(&quot;name&quot;, c, m, y, k)

Changes the color &quot;name&quot; to the specified CMYK value. The color value is
defined via four components c = Cyan, m = Magenta, y = Yellow and k = Black.
Color components should be in the range from 0 to 255.

May raise NotFoundError if the named color wasn&apos;t found.
May raise ValueError if an invalid color name is specified.
</source>
        <translation type="obsolete">changeColour(&quot;name&quot;, c, m, y, k)

Changes the colour &quot;name&quot; to the specified CMYK value. The colour value is
defined via four components c = Cyan, m = Magenta, y = Yellow and k = Black.
Colour components should be in the range from 0 to 255.

May raise NotFoundError if the named colour wasn&apos;t found.
May raise ValueError if an invalid colour name is specified.
</translation>
    </message>
    <message>
        <source>deleteColor(&quot;name&quot;, &quot;replace&quot;)

Deletes the color &quot;name&quot;. Every occurence of that color is replaced by the
color &quot;replace&quot;. If not specified, &quot;replace&quot; defaults to the color
&quot;None&quot; - transparent.

deleteColor works on the default document colors if there is no document open.
In that case, &quot;replace&quot;, if specified, has no effect.

May raise NotFoundError if a named color wasn&apos;t found.
May raise ValueError if an invalid color name is specified.
</source>
        <translation type="obsolete">deleteColor(&quot;name&quot;, &quot;replace&quot;)

Deletes the colour &quot;name&quot;. Every occurence of that colour is replaced by the
colour &quot;replace&quot;. If not specified, &quot;replace&quot; defaults to the colour
&quot;None&quot; - transparent.

deleteColor works on the default document colours if there is no document open.
In that case, &quot;replace&quot;, if specified, has no effect.

May raise NotFoundError if a named colour wasn&apos;t found.
May raise ValueError if an invalid colour name is specified.
</translation>
    </message>
    <message>
        <source>replaceColor(&quot;name&quot;, &quot;replace&quot;)

Every occurence of the color &quot;name&quot; is replaced by the color &quot;replace&quot;.

May raise NotFoundError if a named color wasn&apos;t found.
May raise ValueError if an invalid color name is specified.
</source>
        <translation type="obsolete">replaceColor(&quot;name&quot;, &quot;replace&quot;)

Every occurence of the colour &quot;name&quot; is replaced by the colour &quot;replace&quot;.

May raise NotFoundError if a named colour wasn&apos;t found.
May raise ValueError if an invalid colour name is specified.
</translation>
    </message>
    <message>
        <source>newDocDialog() -&gt; bool

Displays the &quot;New Document&quot; dialog box. Creates a new document if the user
accepts the settings. Does not create a document if the user presses cancel.
Returns true if a new document was created.
</source>
        <translation type="obsolete">newDocDialog() -&gt; bool

Displays the &quot;New Document&quot; dialog box. Creates a new document if the user
accepts the settings. Does not create a document if the user presses cancel.
Returns true if a new document was created.
</translation>
    </message>
    <message>
        <source>messageBox(&quot;caption&quot;, &quot;message&quot;,
    icon=ICON_NONE, button1=BUTTON_OK|BUTTONOPT_DEFAULT,
    button2=BUTTON_NONE, button3=BUTTON_NONE) -&gt; integer

Displays a message box with the title &quot;caption&quot;, the message &quot;message&quot;, and
an icon &quot;icon&quot; and up to 3 buttons. By default no icon is used and a single
button, OK, is displayed. Only the caption and message arguments are required,
though setting an icon and appropriate button(s) is strongly
recommended. The message text may contain simple HTML-like markup.

Returns the number of the button the user pressed. Button numbers start
at 1.

For the icon and the button parameters there are predefined constants available
with the same names as in the Qt Documentation. These are the BUTTON_* and
ICON_* constants defined in the module. There are also two extra constants that
can be binary-ORed with button constants:
    BUTTONOPT_DEFAULT   Pressing enter presses this button.
    BUTTONOPT_ESCAPE    Pressing escape presses this button.

Usage examples:
result = messageBox(&apos;Script failed&apos;,
                    &apos;This script only works when you have a text frame selected.&apos;,
                    ICON_ERROR)
result = messageBox(&apos;Monkeys!&apos;, &apos;Something went ook! &lt;i&gt;Was it a monkey?&lt;/i&gt;&apos;,
                    ICON_WARNING, BUTTON_YES|BUTTONOPT_DEFAULT,
                    BUTTON_NO, BUTTON_IGNORE|BUTTONOPT_ESCAPE)

Defined button and icon constants:
BUTTON_NONE, BUTTON_ABORT, BUTTON_CANCEL, BUTTON_IGNORE, BUTTON_NO,
BUTTON_NOALL, BUTTON_OK, BUTTON_RETRY, BUTTON_YES, BUTTON_YESALL,
ICON_NONE, ICON_INFORMATION, ICON_WARNING, ICON_CRITICAL.
</source>
        <translation type="obsolete">messageBox(&quot;caption&quot;, &quot;message&quot;,
    icon=ICON_NONE, button1=BUTTON_OK|BUTTONOPT_DEFAULT,
    button2=BUTTON_NONE, button3=BUTTON_NONE) -&gt; integer

Displays a message box with the title &quot;caption&quot;, the message &quot;message&quot;, and
an icon &quot;icon&quot; and up to 3 buttons. By default no icon is used and a single
button, OK, is displayed. Only the caption and message arguments are required,
though setting an icon and appropriate button(s) is strongly
recommended. The message text may contain simple HTML-like markup.

Returns the number of the button the user pressed. Button numbers start
at 1.

For the icon and the button parameters there are predefined constants available
with the same names as in the Qt Documentation. These are the BUTTON_* and
ICON_* constants defined in the module. There are also two extra constants that
can be binary-ORed with button constants:
    BUTTONOPT_DEFAULT   Pressing enter presses this button.
    BUTTONOPT_ESCAPE    Pressing escape presses this button.

Usage examples:
result = messageBox(&apos;Script failed&apos;,
                    &apos;This script only works when you have a text frame selected.&apos;,
                    ICON_ERROR)
result = messageBox(&apos;Monkeys!&apos;, &apos;Something went ook! &lt;i&gt;Was it a monkey?&lt;/i&gt;&apos;,
                    ICON_WARNING, BUTTON_YES|BUTTONOPT_DEFAULT,
                    BUTTON_NO, BUTTON_IGNORE|BUTTONOPT_ESCAPE)

Defined button and icon constants:
BUTTON_NONE, BUTTON_ABORT, BUTTON_CANCEL, BUTTON_IGNORE, BUTTON_NO,
BUTTON_NOALL, BUTTON_OK, BUTTON_RETRY, BUTTON_YES, BUTTON_YESALL,
ICON_NONE, ICON_INFORMATION, ICON_WARNING, ICON_CRITICAL.
</translation>
    </message>
    <message>
        <source>valueDialog(caption, message [,defaultvalue]) -&gt; string

Shows the common &apos;Ask for string&apos; dialog and returns its value as a string
Parameters: window title, text in the window and optional &apos;default&apos; value.

Example: valueDialog(&apos;title&apos;, &apos;text in the window&apos;, &apos;optional&apos;)
</source>
        <translation type="obsolete">valueDialog(caption, message [,defaultvalue]) -&gt; string

Shows the common &apos;Ask for string&apos; dialog and returns its value as a string
Parameters: window title, text in the window and optional &apos;default&apos; value.

Example: valueDialog(&apos;title&apos;, &apos;text in the window&apos;, &apos;optional&apos;)
</translation>
    </message>
    <message>
        <source>newStyleDialog() -&gt; string

Shows &apos;Create new paragraph style&apos; dialog. Function returns real
style name or None when user cancels the dialog.
</source>
        <translation type="obsolete">newStyleDialog() -&gt; string

Shows &apos;Create new paragraph style&apos; dialog. Function returns real
style name or None when user cancels the dialog.
</translation>
    </message>
    <message>
        <source>newDoc(size, margins, orientation, firstPageNumber,
                   unit, facingPages, firstSideLeft) -&gt; bool

WARNING: Obsolete procedure! Use newDocument instead.

Creates a new document and returns true if successful. The parameters have the
following meaning:

    size = A tuple (width, height) describing the size of the document. You can
    use predefined constants named PAPER_&lt;paper_type&gt; e.g. PAPER_A4 etc.

    margins = A tuple (left, right, top, bottom) describing the document
    margins

    orientation = the page orientation - constants PORTRAIT, LANDSCAPE

    firstPageNumer = is the number of the first page in the document used for
    pagenumbering. While you&apos;ll usually want 1, it&apos;s useful to have higher
    numbers if you&apos;re creating a document in several parts.

    unit: this value sets the measurement units used by the document. Use a
    predefined constant for this, one of: UNIT_INCHES, UNIT_MILLIMETERS,
    UNIT_PICAS, UNIT_POINTS.

    facingPages = FACINGPAGES, NOFACINGPAGES

    firstSideLeft = FIRSTPAGELEFT, FIRSTPAGERIGHT

The values for width, height and the margins are expressed in the given unit
for the document. PAPER_* constants are expressed in points. If your document
is not in points, make sure to account for this.

example: newDoc(PAPER_A4, (10, 10, 20, 20), LANDSCAPE, 1, UNIT_POINTS,
                FACINGPAGES, FIRSTPAGERIGHT)
</source>
        <translation type="obsolete">newDoc(size, margins, orientation, firstPageNumber,
                   unit, facingPages, firstSideLeft) -&gt; bool

WARNING: Obsolete procedure! Use newDocument instead.

Creates a new document and returns true if successful. The parameters have the
following meaning:

    size = A tuple (width, height) describing the size of the document. You can
    use predefined constants named PAPER_&lt;paper_type&gt; e.g. PAPER_A4 etc.

    margins = A tuple (left, right, top, bottom) describing the document
    margins

    orientation = the page orientation - constants PORTRAIT, LANDSCAPE

    firstPageNumer = is the number of the first page in the document used for
    pagenumbering. While you&apos;ll usually want 1, it&apos;s useful to have higher
    numbers if you&apos;re creating a document in several parts.

    unit: this value sets the measurement units used by the document. Use a
    predefined constant for this, one of: UNIT_INCHES, UNIT_MILLIMETERS,
    UNIT_PICAS, UNIT_POINTS.

    facingPages = FACINGPAGES, NOFACINGPAGES

    firstSideLeft = FIRSTPAGELEFT, FIRSTPAGERIGHT

The values for width, height and the margins are expressed in the given unit
for the document. PAPER_* constants are expressed in points. If your document
is not in points, make sure to account for this.

example: newDoc(PAPER_A4, (10, 10, 20, 20), LANDSCAPE, 1, UNIT_POINTS,
                FACINGPAGES, FIRSTPAGERIGHT)
</translation>
    </message>
    <message>
        <source>closeDoc()

Closes the current document without prompting to save.

May throw NoDocOpenError if there is no document to close
</source>
        <translation type="obsolete">closeDoc()

Closes the current document without prompting to save.

May throw NoDocOpenError if there is no document to close
</translation>
    </message>
    <message>
        <source>haveDoc() -&gt; bool

Returns true if there is a document open.
</source>
        <translation type="obsolete">haveDoc() -&gt; bool

Returns true if there is a document open.
</translation>
    </message>
    <message>
        <source>openDoc(&quot;name&quot;)

Opens the document &quot;name&quot;.

May raise ScribusError if the document could not be opened.
</source>
        <translation type="obsolete">openDoc(&quot;name&quot;)

Opens the document &quot;name&quot;.

May raise ScribusError if the document could not be opened.
</translation>
    </message>
    <message>
        <source>saveDoc()

Saves the current document with its current name, returns true if successful.
If the document has not already been saved, this may bring up an interactive
save file dialog.

If the save fails, there is currently no way to tell.
</source>
        <translation type="obsolete">saveDoc()

Saves the current document with its current name, returns true if successful.
If the document has not already been saved, this may bring up an interactive
save file dialog.

If the save fails, there is currently no way to tell.
</translation>
    </message>
    <message>
        <source>saveDocAs(&quot;name&quot;)

Saves the current document under the new name &quot;name&quot; (which may be a full or
relative path).

May raise ScribusError if the save fails.
</source>
        <translation type="obsolete">saveDocAs(&quot;name&quot;)

Saves the current document under the new name &quot;name&quot; (which may be a full or
relative path).

May raise ScribusError if the save fails.
</translation>
    </message>
    <message>
        <source>setUnit(type)

Changes the measurement unit of the document. Possible values for &quot;unit&quot; are
defined as constants UNIT_&lt;type&gt;.

May raise ValueError if an invalid unit is passed.
</source>
        <translation type="obsolete">setUnit(type)

Changes the measurement unit of the document. Possible values for &quot;unit&quot; are
defined as constants UNIT_&lt;type&gt;.

May raise ValueError if an invalid unit is passed.
</translation>
    </message>
    <message>
        <source>getUnit() -&gt; integer (Scribus unit constant)

Returns the measurement units of the document. The returned value will be one
of the UNIT_* constants:
UNIT_INCHES, UNIT_MILLIMETERS, UNIT_PICAS, UNIT_POINTS.
</source>
        <translation type="obsolete">getUnit() -&gt; integer (Scribus unit constant)

Returns the measurement units of the document. The returned value will be one
of the UNIT_* constants:
UNIT_INCHES, UNIT_MILLIMETERS, UNIT_PICAS, UNIT_POINTS.
</translation>
    </message>
    <message>
        <source>loadStylesFromFile(&quot;filename&quot;)

Loads paragraph styles from the Scribus document at &quot;filename&quot; into the
current document.
</source>
        <translation type="obsolete">loadStylesFromFile(&quot;filename&quot;)

Loads paragraph styles from the Scribus document at &quot;filename&quot; into the
current document.
</translation>
    </message>
    <message>
        <source>setDocType(facingPages, firstPageLeft)

Sets the document type. To get facing pages set the first parameter to
FACINGPAGES, to switch facingPages off use NOFACINGPAGES instead.  If you want
to be the first page a left side set the second parameter to FIRSTPAGELEFT, for
a right page use FIRSTPAGERIGHT.
</source>
        <translation type="obsolete">setDocType(facingPages, firstPageLeft)

Sets the document type. To get facing pages set the first parameter to
FACINGPAGES, to switch facingPages off use NOFACINGPAGES instead.  If you want
to be the first page a left side set the second parameter to FIRSTPAGELEFT, for
a right page use FIRSTPAGERIGHT.
</translation>
    </message>
    <message>
        <source>closeMasterPage()

Closes the currently active master page, if any, and returns editing
to normal. Begin editing with editMasterPage().
</source>
        <translation type="obsolete">closeMasterPage()

Closes the currently active master page, if any, and returns editing
to normal. Begin editing with editMasterPage().
</translation>
    </message>
    <message>
        <source>masterPageNames()

Returns a list of the names of all master pages in the document.
</source>
        <translation type="obsolete">masterPageNames()

Returns a list of the names of all master pages in the document.
</translation>
    </message>
    <message>
        <source>editMasterPage(pageName)

Enables master page editing and opens the named master page
for editing. Finish editing with closeMasterPage().
</source>
        <translation type="obsolete">editMasterPage(pageName)

Enables master page editing and opens the named master page
for editing. Finish editing with closeMasterPage().
</translation>
    </message>
    <message>
        <source>createMasterPage(pageName)

Creates a new master page named pageName and opens it for
editing.
</source>
        <translation type="obsolete">createMasterPage(pageName)

Creates a new master page named pageName and opens it for
editing.
</translation>
    </message>
    <message>
        <source>deleteMasterPage(pageName)

Delete the named master page.
</source>
        <translation type="obsolete">deleteMasterPage(pageName)

Delete the named master page.
</translation>
    </message>
    <message>
        <source>getFillColor([&quot;name&quot;]) -&gt; string

Returns the name of the fill color of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getFillColor([&quot;name&quot;]) -&gt; string

Returns the name of the fill colour of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getLineColor([&quot;name&quot;]) -&gt; string

Returns the name of the line color of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getLineColor([&quot;name&quot;]) -&gt; string

Returns the name of the line colour of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getLineWidth([&quot;name&quot;]) -&gt; integer

Returns the line width of the object &quot;name&quot;. If &quot;name&quot;
is not given the currently selected Item is used.
</source>
        <translation type="obsolete">getLineWidth([&quot;name&quot;]) -&gt; integer

Returns the line width of the object &quot;name&quot;. If &quot;name&quot;
is not given the currently selected Item is used.
</translation>
    </message>
    <message>
        <source>getLineShade([&quot;name&quot;]) -&gt; integer

Returns the shading value of the line color of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getLineShade([&quot;name&quot;]) -&gt; integer

Returns the shading value of the line colour of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getLineEnd([&quot;name&quot;]) -&gt; integer (see constants)

Returns the line cap style of the object &quot;name&quot;. If &quot;name&quot; is not given the
currently selected item is used. The cap types are:
CAP_FLAT, CAP_ROUND, CAP_SQUARE
</source>
        <translation type="obsolete">getLineEnd([&quot;name&quot;]) -&gt; integer (see constants)

Returns the line cap style of the object &quot;name&quot;. If &quot;name&quot; is not given the
currently selected item is used. The cap types are:
CAP_FLAT, CAP_ROUND, CAP_SQUARE
</translation>
    </message>
    <message>
        <source>getLineStyle([&quot;name&quot;]) -&gt; integer (see constants)

Returns the line style of the object &quot;name&quot;. If &quot;name&quot; is not given the
currently selected item is used. Line style constants are:
LINE_DASH, LINE_DASHDOT, LINE_DASHDOTDOT, LINE_DOT, LINE_SOLID
</source>
        <translation type="obsolete">getLineStyle([&quot;name&quot;]) -&gt; integer (see constants)

Returns the line style of the object &quot;name&quot;. If &quot;name&quot; is not given the
currently selected item is used. Line style constants are:
LINE_DASH, LINE_DASHDOT, LINE_DASHDOTDOT, LINE_DOT, LINE_SOLID
</translation>
    </message>
    <message>
        <source>getFillShade([&quot;name&quot;]) -&gt; integer

Returns the shading value of the fill color of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getFillShade([&quot;name&quot;]) -&gt; integer

Returns the shading value of the fill colour of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getImageScale([&quot;name&quot;]) -&gt; (x,y)

Returns a (x, y) tuple containing the scaling values of the image frame
&quot;name&quot;.  If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getImageScale([&quot;name&quot;]) -&gt; (x,y)

Returns a (x, y) tuple containing the scaling values of the image frame
&quot;name&quot;.  If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getImageName([&quot;name&quot;]) -&gt; string

Returns the filename for the image in the image frame. If &quot;name&quot; is not
given the currently selected item is used.
</source>
        <translation type="obsolete">getImageName([&quot;name&quot;]) -&gt; string

Returns the filename for the image in the image frame. If &quot;name&quot; is not
given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getSize([&quot;name&quot;]) -&gt; (width,height)

Returns a (width, height) tuple with the size of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used. The size is
expressed in the current measurement unit of the document - see UNIT_&lt;type&gt;
for reference.
</source>
        <translation type="obsolete">getSize([&quot;name&quot;]) -&gt; (width,height)

Returns a (width, height) tuple with the size of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used. The size is
expressed in the current measurement unit of the document - see UNIT_&lt;type&gt;
for reference.
</translation>
    </message>
    <message>
        <source>getRotation([&quot;name&quot;]) -&gt; integer

Returns the rotation of the object &quot;name&quot;. The value is expressed in degrees,
and clockwise is positive. If &quot;name&quot; is not given the currently selected item
is used.
</source>
        <translation type="obsolete">getRotation([&quot;name&quot;]) -&gt; integer

Returns the rotation of the object &quot;name&quot;. The value is expressed in degrees,
and clockwise is positive. If &quot;name&quot; is not given the currently selected item
is used.
</translation>
    </message>
    <message>
        <source>getAllObjects() -&gt; list

Returns a list containing the names of all objects on the current page.
</source>
        <translation type="obsolete">getAllObjects() -&gt; list

Returns a list containing the names of all objects on the current page.
</translation>
    </message>
    <message>
        <source>getPropertyCType(object, property, includesuper=True)

Returns the name of the C type of `property&apos; of `object&apos;. See getProperty()
for details of arguments.

If `includesuper&apos; is true, search inherited properties too.
</source>
        <translation type="obsolete">getPropertyCType(object, property, includesuper=True)

Returns the name of the C type of `property&apos; of `object&apos;. See getProperty()
for details of arguments.

If `includesuper&apos; is true, search inherited properties too.
</translation>
    </message>
    <message>
        <source>getPropertyNames(object, includesuper=True)

Return a list of property names supported by `object&apos;.
If `includesuper&apos; is true, return properties supported
by parent classes as well.
</source>
        <translation type="obsolete">getPropertyNames(object, includesuper=True)

Return a list of property names supported by `object&apos;.
If `includesuper&apos; is true, return properties supported
by parent classes as well.
</translation>
    </message>
    <message>
        <source>getProperty(object, property)

Return the value of the property `property&apos; of the passed `object&apos;.

The `object&apos; argument may be a string, in which case the named PageItem
is searched for. It may also be a PyCObject, which may point to any
C++ QObject instance.

The `property&apos; argument must be a string, and is the name of the property
to look up on `object&apos;.

The return value varies depending on the type of the property.
</source>
        <translation type="obsolete">getProperty(object, property)

Return the value of the property `property&apos; of the passed `object&apos;.

The `object&apos; argument may be a string, in which case the named PageItem
is searched for. It may also be a PyCObject, which may point to any
C++ QObject instance.

The `property&apos; argument must be a string, and is the name of the property
to look up on `object&apos;.

The return value varies depending on the type of the property.
</translation>
    </message>
    <message>
        <source>setProperty(object, property, value)

Set `property&apos; of `object&apos; to `value&apos;. If `value&apos; cannot be converted to a type
compatible with the type of `property&apos;, an exception is raised. An exception may
also be raised if the underlying setter fails.

See getProperty() for more information.
</source>
        <translation type="obsolete">setProperty(object, property, value)

Set `property&apos; of `object&apos; to `value&apos;. If `value&apos; cannot be converted to a type
compatible with the type of `property&apos;, an exception is raised. An exception may
also be raised if the underlying setter fails.

See getProperty() for more information.
</translation>
    </message>
    <message>
        <source>moveObject(dx, dy [, &quot;name&quot;])

Moves the object &quot;name&quot; by dx and dy relative to its current position. The
distances are expressed in the current measurement unit of the document (see
UNIT constants). If &quot;name&quot; is not given the currently selected item is used.
If the object &quot;name&quot; belongs to a group, the whole group is moved.
</source>
        <translation type="obsolete">moveObject(dx, dy [, &quot;name&quot;])

Moves the object &quot;name&quot; by dx and dy relative to its current position. The
distances are expressed in the current measurement unit of the document (see
UNIT constants). If &quot;name&quot; is not given the currently selected item is used.
If the object &quot;name&quot; belongs to a group, the whole group is moved.
</translation>
    </message>
    <message>
        <source>moveObjectAbs(x, y [, &quot;name&quot;])

Moves the object &quot;name&quot; to a new location. The coordinates are expressed in
the current measurement unit of the document (see UNIT constants).  If &quot;name&quot;
is not given the currently selected item is used.  If the object &quot;name&quot;
belongs to a group, the whole group is moved.
</source>
        <translation type="obsolete">moveObjectAbs(x, y [, &quot;name&quot;])

Moves the object &quot;name&quot; to a new location. The coordinates are expressed in
the current measurement unit of the document (see UNIT constants).  If &quot;name&quot;
is not given the currently selected item is used.  If the object &quot;name&quot;
belongs to a group, the whole group is moved.
</translation>
    </message>
    <message>
        <source>sizeObject(width, height [, &quot;name&quot;])

Resizes the object &quot;name&quot; to the given width and height. If &quot;name&quot;
is not given the currently selected item is used.
</source>
        <translation type="obsolete">sizeObject(width, height [, &quot;name&quot;])

Resizes the object &quot;name&quot; to the given width and height. If &quot;name&quot;
is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getSelectedObject([nr]) -&gt; string

Returns the name of the selected object. &quot;nr&quot; if given indicates the number
of the selected object, e.g. 0 means the first selected object, 1 means the
second selected Object and so on.
</source>
        <translation type="obsolete">getSelectedObject([nr]) -&gt; string

Returns the name of the selected object. &quot;nr&quot; if given indicates the number
of the selected object, e.g. 0 means the first selected object, 1 means the
second selected Object and so on.
</translation>
    </message>
    <message>
        <source>selectionCount() -&gt; integer

Returns the number of selected objects.
</source>
        <translation type="obsolete">selectionCount() -&gt; integer

Returns the number of selected objects.
</translation>
    </message>
    <message>
        <source>selectObject(&quot;name&quot;)

Selects the object with the given &quot;name&quot;.
</source>
        <translation type="obsolete">selectObject(&quot;name&quot;)

Selects the object with the given &quot;name&quot;.
</translation>
    </message>
    <message>
        <source>deselectAll()

Deselects all objects in the whole document.
</source>
        <translation type="obsolete">deselectAll()

Deselects all objects in the whole document.
</translation>
    </message>
    <message>
        <source>groupObjects(list)

Groups the objects named in &quot;list&quot; together. &quot;list&quot; must contain the names
of the objects to be grouped. If &quot;list&quot; is not given the currently selected
items are used.
</source>
        <translation type="obsolete">groupObjects(list)

Groups the objects named in &quot;list&quot; together. &quot;list&quot; must contain the names
of the objects to be grouped. If &quot;list&quot; is not given the currently selected
items are used.
</translation>
    </message>
    <message>
        <source>unGroupObjects(&quot;name&quot;)

Destructs the group the object &quot;name&quot; belongs to.If &quot;name&quot; is not given the currently selected item is used.</source>
        <translation type="obsolete">unGroupObjects(&quot;name&quot;)

Destructs the group the object &quot;name&quot; belongs to.If &quot;name&quot; is not given the currently selected item is used.</translation>
    </message>
    <message>
        <source>scaleGroup(factor [,&quot;name&quot;])

Scales the group the object &quot;name&quot; belongs to. Values greater than 1 enlarge
the group, values smaller than 1 make the group smaller e.g a value of 0.5
scales the group to 50 % of its original size, a value of 1.5 scales the group
to 150 % of its original size.  The value for &quot;factor&quot; must be greater than
0. If &quot;name&quot; is not given the currently selected item is used.

May raise ValueError if an invalid scale factor is passed.
</source>
        <translation type="obsolete">scaleGroup(factor [,&quot;name&quot;])

Scales the group the object &quot;name&quot; belongs to. Values greater than 1 enlarge
the group, values smaller than 1 make the group smaller e.g a value of 0.5
scales the group to 50 % of its original size, a value of 1.5 scales the group
to 150 % of its original size.  The value for &quot;factor&quot; must be greater than
0. If &quot;name&quot; is not given the currently selected item is used.

May raise ValueError if an invalid scale factor is passed.
</translation>
    </message>
    <message>
        <source>loadImage(&quot;filename&quot; [, &quot;name&quot;])

Loads the picture &quot;picture&quot; into the image frame &quot;name&quot;. If &quot;name&quot; is
not given the currently selected item is used.

May raise WrongFrameTypeError if the target frame is not an image frame
</source>
        <translation type="obsolete">loadImage(&quot;filename&quot; [, &quot;name&quot;])

Loads the picture &quot;picture&quot; into the image frame &quot;name&quot;. If &quot;name&quot; is
not given the currently selected item is used.

May raise WrongFrameTypeError if the target frame is not an image frame
</translation>
    </message>
    <message>
        <source>scaleImage(x, y [, &quot;name&quot;])

Sets the scaling factors of the picture in the image frame &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used. A number of 1
means 100 %.

May raise WrongFrameTypeError if the target frame is not an image frame
</source>
        <translation type="obsolete">scaleImage(x, y [, &quot;name&quot;])

Sets the scaling factors of the picture in the image frame &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used. A number of 1
means 100 %.

May raise WrongFrameTypeError if the target frame is not an image frame
</translation>
    </message>
    <message>
        <source>lockObject([&quot;name&quot;]) -&gt; bool

Locks the object &quot;name&quot; if it&apos;s unlocked or unlock it if it&apos;s locked.
If &quot;name&quot; is not given the currently selected item is used. Returns true
if locked.
</source>
        <translation type="obsolete">lockObject([&quot;name&quot;]) -&gt; bool

Locks the object &quot;name&quot; if it&apos;s unlocked or unlock it if it&apos;s locked.
If &quot;name&quot; is not given the currently selected item is used. Returns true
if locked.
</translation>
    </message>
    <message>
        <source>isLocked([&quot;name&quot;]) -&gt; bool

Returns true if is the object &quot;name&quot; locked.  If &quot;name&quot; is not given the
currently selected item is used.
</source>
        <translation type="obsolete">isLocked([&quot;name&quot;]) -&gt; bool

Returns true if is the object &quot;name&quot; locked.  If &quot;name&quot; is not given the
currently selected item is used.
</translation>
    </message>
    <message>
        <source>setScaleImageToFrame(scaletoframe, proportional=None, name=&lt;selection&gt;)

Sets the scale to frame on the selected or specified image frame to `scaletoframe&apos;.
If `proportional&apos; is specified, set fixed aspect ratio scaling to `proportional&apos;.
Both `scaletoframe&apos; and `proportional&apos; are boolean.

May raise WrongFrameTypeError.
</source>
        <translation type="obsolete">setScaleImageToFrame(scaletoframe, proportional=None, name=&lt;selection&gt;)

Sets the scale to frame on the selected or specified image frame to `scaletoframe&apos;.
If `proportional&apos; is specified, set fixed aspect ratio scaling to `proportional&apos;.
Both `scaletoframe&apos; and `proportional&apos; are boolean.

May raise WrongFrameTypeError.
</translation>
    </message>
    <message>
        <source>setRedraw(bool)

Disables page redraw when bool = False, otherwise redrawing is enabled.
This change will persist even after the script exits, so make sure to call
setRedraw(True) in a finally: clause at the top level of your script.
</source>
        <translation type="obsolete">setRedraw(bool)

Disables page redraw when bool = False, otherwise redrawing is enabled.
This change will persist even after the script exits, so make sure to call
setRedraw(True) in a finally: clause at the top level of your script.
</translation>
    </message>
    <message>
        <source>getFontNames() -&gt; list

Returns a list with the names of all available fonts.
</source>
        <translation type="obsolete">getFontNames() -&gt; list

Returns a list with the names of all available fonts.
</translation>
    </message>
    <message>
        <source>getXFontNames() -&gt; list of tuples

Returns a larger font info. It&apos;s a list of the tuples with:
[ (Scribus name, Family, Real name, subset (1|0), embed PS (1|0), font file), (...), ... ]
</source>
        <translation type="obsolete">getXFontNames() -&gt; list of tuples

Returns a larger font info. It&apos;s a list of the tuples with:
[ (Scribus name, Family, Real name, subset (1|0), embed PS (1|0), font file), (...), ... ]
</translation>
    </message>
    <message>
        <source>renderFont(&quot;name&quot;, &quot;filename&quot;, &quot;sample&quot;, size, format=&quot;PPM&quot;) -&gt; bool

Creates an image preview of font &quot;name&quot; with given text &quot;sample&quot; and size.
If &quot;filename&quot; is not &quot;&quot;, image is saved into &quot;filename&quot;. Otherwise
image data is returned as a string. The optional &quot;format&quot; argument
specifies the image format to generate, and supports any format allowed
by QPixmap.save(). Common formats are PPM, JPEG, PNG and XPM.

May raise NotFoundError if the specified font can&apos;t be found.
May raise ValueError if an empty sample or filename is passed.
</source>
        <translation type="obsolete">renderFont(&quot;name&quot;, &quot;filename&quot;, &quot;sample&quot;, size, format=&quot;PPM&quot;) -&gt; bool

Creates an image preview of font &quot;name&quot; with given text &quot;sample&quot; and size.
If &quot;filename&quot; is not &quot;&quot;, image is saved into &quot;filename&quot;. Otherwise
image data is returned as a string. The optional &quot;format&quot; argument
specifies the image format to generate, and supports any format allowed
by QPixmap.save(). Common formats are PPM, JPEG, PNG and XPM.

May raise NotFoundError if the specified font can&apos;t be found.
May raise ValueError if an empty sample or filename is passed.
</translation>
    </message>
    <message>
        <source>getLayers() -&gt; list

Returns a list with the names of all defined layers.
</source>
        <translation type="obsolete">getLayers() -&gt; list

Returns a list with the names of all defined layers.
</translation>
    </message>
    <message>
        <source>setActiveLayer(&quot;name&quot;)

Sets the active layer to the layer named &quot;name&quot;.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</source>
        <translation type="obsolete">setActiveLayer(&quot;name&quot;)

Sets the active layer to the layer named &quot;name&quot;.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</translation>
    </message>
    <message>
        <source>getActiveLayer() -&gt; string

Returns the name of the current active layer.
</source>
        <translation type="obsolete">getActiveLayer() -&gt; string

Returns the name of the current active layer.
</translation>
    </message>
    <message>
        <source>sentToLayer(&quot;layer&quot; [, &quot;name&quot;])

Sends the object &quot;name&quot; to the layer &quot;layer&quot;. The layer must exist.
If &quot;name&quot; is not given the currently selected item is used.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</source>
        <translation type="obsolete">sentToLayer(&quot;layer&quot; [, &quot;name&quot;])

Sends the object &quot;name&quot; to the layer &quot;layer&quot;. The layer must exist.
If &quot;name&quot; is not given the currently selected item is used.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</translation>
    </message>
    <message>
        <source>setLayerVisible(&quot;layer&quot;, visible)

Sets the layer &quot;layer&quot; to be visible or not. If is the visible set to false
the layer is invisible.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</source>
        <translation type="obsolete">setLayerVisible(&quot;layer&quot;, visible)

Sets the layer &quot;layer&quot; to be visible or not. If is the visible set to false
the layer is invisible.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</translation>
    </message>
    <message>
        <source>isLayerPrintable(&quot;layer&quot;) -&gt; bool

Returns whether the layer &quot;layer&quot; is printable or not, a value of True means
that the layer &quot;layer&quot; can be printed, a value of False means that printing
the layer &quot;layer&quot; is disabled.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</source>
        <translation type="obsolete">isLayerPrintable(&quot;layer&quot;) -&gt; bool

Returns whether the layer &quot;layer&quot; is printable or not, a value of True means
that the layer &quot;layer&quot; can be printed, a value of False means that printing
the layer &quot;layer&quot; is disabled.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</translation>
    </message>
    <message>
        <source>deleteLayer(&quot;layer&quot;)

Deletes the layer with the name &quot;layer&quot;. Nothing happens if the layer doesn&apos;t
exists or if it&apos;s the only layer in the document.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</source>
        <translation type="obsolete">deleteLayer(&quot;layer&quot;)

Deletes the layer with the name &quot;layer&quot;. Nothing happens if the layer doesn&apos;t
exists or if it&apos;s the only layer in the document.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</translation>
    </message>
    <message>
        <source>createLayer(layer)

Creates a new layer with the name &quot;name&quot;.

May raise ValueError if the layer name isn&apos;t acceptable.
</source>
        <translation type="obsolete">createLayer(layer)

Creates a new layer with the name &quot;name&quot;.

May raise ValueError if the layer name isn&apos;t acceptable.
</translation>
    </message>
    <message>
        <source>getGuiLanguage() -&gt; string

Returns a string with the -lang value.
</source>
        <translation type="obsolete">getGuiLanguage() -&gt; string

Returns a string with the -lang value.
</translation>
    </message>
    <message>
        <source>createRect(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new rectangle on the current page and returns its name. The
coordinates are given in the current measurement units of the document
(see UNIT constants). &quot;name&quot; should be a unique identifier for the object
because you need this name to reference that object in future. If &quot;name&quot;
is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</source>
        <translation type="obsolete">createRect(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new rectangle on the current page and returns its name. The
coordinates are given in the current measurement units of the document
(see UNIT constants). &quot;name&quot; should be a unique identifier for the object
because you need this name to reference that object in future. If &quot;name&quot;
is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</translation>
    </message>
    <message>
        <source>createEllipse(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new ellipse on the current page and returns its name.
The coordinates are given in the current measurement units of the document
(see UNIT constants). &quot;name&quot; should be a unique identifier for the object
because you need this name for further referencing of that object. If &quot;name&quot;
is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</source>
        <translation type="obsolete">createEllipse(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new ellipse on the current page and returns its name.
The coordinates are given in the current measurement units of the document
(see UNIT constants). &quot;name&quot; should be a unique identifier for the object
because you need this name for further referencing of that object. If &quot;name&quot;
is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</translation>
    </message>
    <message>
        <source>createImage(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new picture frame on the current page and returns its name. The
coordinates are given in the current measurement units of the document.
&quot;name&quot; should be a unique identifier for the object because you need this
name for further access to that object. If &quot;name&quot; is not given Scribus will
create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</source>
        <translation type="obsolete">createImage(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new picture frame on the current page and returns its name. The
coordinates are given in the current measurement units of the document.
&quot;name&quot; should be a unique identifier for the object because you need this
name for further access to that object. If &quot;name&quot; is not given Scribus will
create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</translation>
    </message>
    <message>
        <source>createText(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new text frame on the actual page and returns its name.
The coordinates are given in the actual measurement unit of the document (see
UNIT constants). &quot;name&quot; should be a unique identifier for the object because
you need this name for further referencing of that object. If &quot;name&quot; is not
given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</source>
        <translation type="obsolete">createText(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new text frame on the actual page and returns its name.
The coordinates are given in the actual measurement unit of the document (see
UNIT constants). &quot;name&quot; should be a unique identifier for the object because
you need this name for further referencing of that object. If &quot;name&quot; is not
given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</translation>
    </message>
    <message>
        <source>createLine(x1, y1, x2, y2, [&quot;name&quot;]) -&gt; string

Creates a new line from the point(x1, y1) to the point(x2, y2) and returns
its name. The coordinates are given in the current measurement unit of the
document (see UNIT constants). &quot;name&quot; should be a unique identifier for the
object because you need this name for further access to that object. If
&quot;name&quot; is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</source>
        <translation type="obsolete">createLine(x1, y1, x2, y2, [&quot;name&quot;]) -&gt; string

Creates a new line from the point(x1, y1) to the point(x2, y2) and returns
its name. The coordinates are given in the current measurement unit of the
document (see UNIT constants). &quot;name&quot; should be a unique identifier for the
object because you need this name for further access to that object. If
&quot;name&quot; is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</translation>
    </message>
    <message>
        <source>createPolyLine(list, [&quot;name&quot;]) -&gt; string

Creates a new polyline and returns its name. The points for the polyline are
stored in the list &quot;list&quot; in the following order: [x1, y1, x2, y2...xn. yn].
The coordinates are given in the current measurement units of the document (see
UNIT constants). &quot;name&quot; should be a unique identifier for the object because
you need this name for further access to that object. If &quot;name&quot; is not given
Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise ValueError if an insufficient number of points is passed or if
the number of values passed don&apos;t group into points without leftovers.
</source>
        <translation type="obsolete">createPolyLine(list, [&quot;name&quot;]) -&gt; string

Creates a new polyline and returns its name. The points for the polyline are
stored in the list &quot;list&quot; in the following order: [x1, y1, x2, y2...xn. yn].
The coordinates are given in the current measurement units of the document (see
UNIT constants). &quot;name&quot; should be a unique identifier for the object because
you need this name for further access to that object. If &quot;name&quot; is not given
Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise ValueError if an insufficient number of points is passed or if
the number of values passed don&apos;t group into points without leftovers.
</translation>
    </message>
    <message>
        <source>createPolygon(list, [&quot;name&quot;]) -&gt; string

Creates a new polygon and returns its name. The points for the polygon are
stored in the list &quot;list&quot; in the following order: [x1, y1, x2, y2...xn. yn].
At least three points are required. There is no need to repeat the first point
to close the polygon. The polygon is automatically closed by connecting the
first and the last point.  The coordinates are given in the current measurement
units of the document (see UNIT constants).  &quot;name&quot; should be a unique
identifier for the object because you need this name for further access to that
object. If &quot;name&quot; is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise ValueError if an insufficient number of points is passed or if
the number of values passed don&apos;t group into points without leftovers.
</source>
        <translation type="obsolete">createPolygon(list, [&quot;name&quot;]) -&gt; string

Creates a new polygon and returns its name. The points for the polygon are
stored in the list &quot;list&quot; in the following order: [x1, y1, x2, y2...xn. yn].
At least three points are required. There is no need to repeat the first point
to close the polygon. The polygon is automatically closed by connecting the
first and the last point.  The coordinates are given in the current measurement
units of the document (see UNIT constants).  &quot;name&quot; should be a unique
identifier for the object because you need this name for further access to that
object. If &quot;name&quot; is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise ValueError if an insufficient number of points is passed or if
the number of values passed don&apos;t group into points without leftovers.
</translation>
    </message>
    <message>
        <source>createBezierLine(list, [&quot;name&quot;]) -&gt; string

Creates a new bezier curve and returns its name. The points for the bezier
curve are stored in the list &quot;list&quot; in the following order:
[x1, y1, kx1, ky1, x2, y2, kx2, ky2...xn. yn, kxn. kyn]
In the points list, x and y mean the x and y coordinates of the point and kx
and ky meaning the control point for the curve.  The coordinates are given in
the current measurement units of the document (see UNIT constants). &quot;name&quot;
should be a unique identifier for the object because you need this name for
further access to that object. If &quot;name&quot; is not given Scribus will create one
for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise ValueError if an insufficient number of points is passed or if
the number of values passed don&apos;t group into points without leftovers.
</source>
        <translation type="obsolete">createBezierLine(list, [&quot;name&quot;]) -&gt; string

Creates a new bezier curve and returns its name. The points for the bezier
curve are stored in the list &quot;list&quot; in the following order:
[x1, y1, kx1, ky1, x2, y2, kx2, ky2...xn. yn, kxn. kyn]
In the points list, x and y mean the x and y coordinates of the point and kx
and ky meaning the control point for the curve.  The coordinates are given in
the current measurement units of the document (see UNIT constants). &quot;name&quot;
should be a unique identifier for the object because you need this name for
further access to that object. If &quot;name&quot; is not given Scribus will create one
for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise ValueError if an insufficient number of points is passed or if
the number of values passed don&apos;t group into points without leftovers.
</translation>
    </message>
    <message>
        <source>createPathText(x, y, &quot;textbox&quot;, &quot;beziercurve&quot;, [&quot;name&quot;]) -&gt; string

Creates a new pathText by merging the two objects &quot;textbox&quot; and
&quot;beziercurve&quot; and returns its name. The coordinates are given in the current
measurement unit of the document (see UNIT constants). &quot;name&quot; should be a
unique identifier for the object because you need this name for further access
to that object. If &quot;name&quot; is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise NotFoundError if one or both of the named base object don&apos;t exist.
</source>
        <translation type="obsolete">createPathText(x, y, &quot;textbox&quot;, &quot;beziercurve&quot;, [&quot;name&quot;]) -&gt; string

Creates a new pathText by merging the two objects &quot;textbox&quot; and
&quot;beziercurve&quot; and returns its name. The coordinates are given in the current
measurement unit of the document (see UNIT constants). &quot;name&quot; should be a
unique identifier for the object because you need this name for further access
to that object. If &quot;name&quot; is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise NotFoundError if one or both of the named base object don&apos;t exist.
</translation>
    </message>
    <message>
        <source>deleteObject([&quot;name&quot;])

Deletes the item with the name &quot;name&quot;. If &quot;name&quot; is not given the currently
selected item is deleted.
</source>
        <translation type="obsolete">deleteObject([&quot;name&quot;])

Deletes the item with the name &quot;name&quot;. If &quot;name&quot; is not given the currently
selected item is deleted.
</translation>
    </message>
    <message>
        <source>objectExists([&quot;name&quot;]) -&gt; bool

Test if an object with specified name really exists in the document.
The optional parameter is the object name. When no object name is given,
returns True if there is something selected.
</source>
        <translation type="obsolete">objectExists([&quot;name&quot;]) -&gt; bool

Test if an object with specified name really exists in the document.
The optional parameter is the object name. When no object name is given,
returns True if there is something selected.
</translation>
    </message>
    <message>
        <source>setStyle(&quot;style&quot; [, &quot;name&quot;])

Apply the named &quot;style&quot; to the object named &quot;name&quot;. If is no object name
given, it&apos;s applied on the selected object.
</source>
        <translation type="obsolete">setStyle(&quot;style&quot; [, &quot;name&quot;])

Apply the named &quot;style&quot; to the object named &quot;name&quot;. If is no object name
given, it&apos;s applied on the selected object.
</translation>
    </message>
    <message>
        <source>getAllStyles() -&gt; list

Return a list of the names of all paragraph styles in the current document.
</source>
        <translation type="obsolete">getAllStyles() -&gt; list

Return a list of the names of all paragraph styles in the current document.
</translation>
    </message>
    <message>
        <source>newPage(where [,&quot;masterpage&quot;])

Creates a new page. If &quot;where&quot; is -1 the new Page is appended to the
document, otherwise the new page is inserted before &quot;where&quot;. Page numbers are
counted from 1 upwards, no matter what the displayed first page number of your
document is. The optional parameter &quot;masterpage&quot; specifies the name of the
master page for the new page.

May raise IndexError if the page number is out of range
</source>
        <translation type="obsolete">newPage(where [,&quot;masterpage&quot;])

Creates a new page. If &quot;where&quot; is -1 the new Page is appended to the
document, otherwise the new page is inserted before &quot;where&quot;. Page numbers are
counted from 1 upwards, no matter what the displayed first page number of your
document is. The optional parameter &quot;masterpage&quot; specifies the name of the
master page for the new page.

May raise IndexError if the page number is out of range
</translation>
    </message>
    <message>
        <source>currentPage() -&gt; integer

Returns the number of the current working page. Page numbers are counted from 1
upwards, no matter what the displayed first page number of your document is.
</source>
        <translation type="obsolete">currentPage() -&gt; integer

Returns the number of the current working page. Page numbers are counted from 1
upwards, no matter what the displayed first page number of your document is.
</translation>
    </message>
    <message>
        <source>redrawAll()

Redraws all pages.
</source>
        <translation type="obsolete">redrawAll()

Redraws all pages.
</translation>
    </message>
    <message>
        <source>savePageAsEPS(&quot;name&quot;)

Saves the current page as an EPS to the file &quot;name&quot;.

May raise ScribusError if the save failed.
</source>
        <translation type="obsolete">savePageAsEPS(&quot;name&quot;)

Saves the current page as an EPS to the file &quot;name&quot;.

May raise ScribusError if the save failed.
</translation>
    </message>
    <message>
        <source>deletePage(nr)

Deletes the given page. Does nothing if the document contains only one page.
Page numbers are counted from 1 upwards, no matter what the displayed first
page number is.

May raise IndexError if the page number is out of range
</source>
        <translation type="obsolete">deletePage(nr)

Deletes the given page. Does nothing if the document contains only one page.
Page numbers are counted from 1 upwards, no matter what the displayed first
page number is.

May raise IndexError if the page number is out of range
</translation>
    </message>
    <message>
        <source>pageCount() -&gt; integer

Returns the number of pages in the document.
</source>
        <translation type="obsolete">pageCount() -&gt; integer

Returns the number of pages in the document.
</translation>
    </message>
    <message>
        <source>getHGuides() -&gt; list

Returns a list containing positions of the horizontal guides. Values are in the
document&apos;s current units - see UNIT_&lt;type&gt; constants.
</source>
        <translation type="obsolete">getHGuides() -&gt; list

Returns a list containing positions of the horizontal guides. Values are in the
document&apos;s current units - see UNIT_&lt;type&gt; constants.
</translation>
    </message>
    <message>
        <source>setHGuides(list)

Sets horizontal guides. Input parameter must be a list of guide positions
measured in the current document units - see UNIT_&lt;type&gt; constants.

Example: setHGuides(getHGuides() + [200.0, 210.0] # add new guides without any lost
         setHGuides([90,250]) # replace current guides entirely
</source>
        <translation type="obsolete">setHGuides(list)

Sets horizontal guides. Input parameter must be a list of guide positions
measured in the current document units - see UNIT_&lt;type&gt; constants.

Example: setHGuides(getHGuides() + [200.0, 210.0] # add new guides without any lost
         setHGuides([90,250]) # replace current guides entirely
</translation>
    </message>
    <message>
        <source>getVGuides()

See getHGuides.
</source>
        <translation type="obsolete">getVGuides()

See getHGuides.
</translation>
    </message>
    <message>
        <source>setVGuides()

See setHGuides.
</source>
        <translation type="obsolete">setVGuides()

See setHGuides.
</translation>
    </message>
    <message>
        <source>getPageSize() -&gt; tuple

Returns a tuple with page dimensions measured in the document&apos;s current units.
See UNIT_&lt;type&gt; constants and getPageMargins()
</source>
        <translation type="obsolete">getPageSize() -&gt; tuple

Returns a tuple with page dimensions measured in the document&apos;s current units.
See UNIT_&lt;type&gt; constants and getPageMargins()
</translation>
    </message>
    <message>
        <source>getPageItems() -&gt; list

Returns a list of tuples with items on the current page. The tuple is:
(name, objectType, order) E.g. [(&apos;Text1&apos;, 4, 0), (&apos;Image1&apos;, 2, 1)]
means that object named &apos;Text1&apos; is a text frame (type 4) and is the first at
the page...
</source>
        <translation type="obsolete">getPageItems() -&gt; list

Returns a list of tuples with items on the current page. The tuple is:
(name, objectType, order) E.g. [(&apos;Text1&apos;, 4, 0), (&apos;Image1&apos;, 2, 1)]
means that object named &apos;Text1&apos; is a text frame (type 4) and is the first at
the page...
</translation>
    </message>
    <message>
        <source>getPageMargins()

Returns the page margins as a (top, left, right, bottom) tuple in the current
units. See UNIT_&lt;type&gt; constants and getPageSize().
</source>
        <translation type="obsolete">getPageMargins()

Returns the page margins as a (top, left, right, bottom) tuple in the current
units. See UNIT_&lt;type&gt; constants and getPageSize().
</translation>
    </message>
    <message>
        <source>setGradientFill(type, &quot;color1&quot;, shade1, &quot;color2&quot;, shade2, [&quot;name&quot;])

Sets the gradient fill of the object &quot;name&quot; to type. Color descriptions are
the same as for setFillColor() and setFillShade(). See the constants for
available types (FILL_&lt;type&gt;).
</source>
        <translation type="obsolete">setGradientFill(type, &quot;color1&quot;, shade1, &quot;color2&quot;, shade2, [&quot;name&quot;])

Sets the gradient fill of the object &quot;name&quot; to type. Colour descriptions are
the same as for setFillColor() and setFillShade(). See the constants for
available types (FILL_&lt;type&gt;).
</translation>
    </message>
    <message>
        <source>setFillColor(&quot;color&quot;, [&quot;name&quot;])

Sets the fill color of the object &quot;name&quot; to the color &quot;color&quot;. &quot;color&quot;
is the name of one of the defined colors. If &quot;name&quot; is not given the
currently selected item is used.
</source>
        <translation type="obsolete">setFillColor(&quot;color&quot;, [&quot;name&quot;])

Sets the fill colour of the object &quot;name&quot; to the colour &quot;color&quot;. &quot;color&quot;
is the name of one of the defined colours. If &quot;name&quot; is not given the
currently selected item is used.
</translation>
    </message>
    <message>
        <source>setLineColor(&quot;color&quot;, [&quot;name&quot;])

Sets the line color of the object &quot;name&quot; to the color &quot;color&quot;. If &quot;name&quot;
is not given the currently selected item is used.
</source>
        <translation type="obsolete">setLineColor(&quot;color&quot;, [&quot;name&quot;])

Sets the line colour of the object &quot;name&quot; to the colour &quot;color&quot;. If &quot;name&quot;
is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>setLineWidth(width, [&quot;name&quot;])

Sets line width of the object &quot;name&quot; to &quot;width&quot;. &quot;width&quot; must be in the
range from 0.0 to 12.0 inclusive, and is measured in points. If &quot;name&quot; is not
given the currently selected item is used.

May raise ValueError if the line width is out of bounds.
</source>
        <translation type="obsolete">setLineWidth(width, [&quot;name&quot;])

Sets line width of the object &quot;name&quot; to &quot;width&quot;. &quot;width&quot; must be in the
range from 0.0 to 12.0 inclusive, and is measured in points. If &quot;name&quot; is not
given the currently selected item is used.

May raise ValueError if the line width is out of bounds.
</translation>
    </message>
    <message>
        <source>setLineShade(shade, [&quot;name&quot;])

Sets the shading of the line color of the object &quot;name&quot; to &quot;shade&quot;.
&quot;shade&quot; must be an integer value in the range from 0 (lightest) to 100
(full color intensity). If &quot;name&quot; is not given the currently selected item
is used.

May raise ValueError if the line shade is out of bounds.
</source>
        <translation type="obsolete">setLineShade(shade, [&quot;name&quot;])

Sets the shading of the line colour of the object &quot;name&quot; to &quot;shade&quot;.
&quot;shade&quot; must be an integer value in the range from 0 (lightest) to 100
(full colour intensity). If &quot;name&quot; is not given the currently selected item
is used.

May raise ValueError if the line shade is out of bounds.
</translation>
    </message>
    <message>
        <source>setLineJoin(join, [&quot;name&quot;])

Sets the line join style of the object &quot;name&quot; to the style &quot;join&quot;.
If &quot;name&quot; is not given the currently selected item is used. There are
predefined constants for join - JOIN_&lt;type&gt;.
</source>
        <translation type="obsolete">setLineJoin(join, [&quot;name&quot;])

Sets the line join style of the object &quot;name&quot; to the style &quot;join&quot;.
If &quot;name&quot; is not given the currently selected item is used. There are
predefined constants for join - JOIN_&lt;type&gt;.
</translation>
    </message>
    <message>
        <source>setLineEnd(endtype, [&quot;name&quot;])

Sets the line cap style of the object &quot;name&quot; to the style &quot;cap&quot;.
If &quot;name&quot; is not given the currently selected item is used. There are
predefined constants for &quot;cap&quot; - CAP_&lt;type&gt;.
</source>
        <translation type="obsolete">setLineEnd(endtype, [&quot;name&quot;])

Sets the line cap style of the object &quot;name&quot; to the style &quot;cap&quot;.
If &quot;name&quot; is not given the currently selected item is used. There are
predefined constants for &quot;cap&quot; - CAP_&lt;type&gt;.
</translation>
    </message>
    <message>
        <source>setLineStyle(style, [&quot;name&quot;])

Sets the line style of the object &quot;name&quot; to the style &quot;style&quot;. If &quot;name&quot;
is not given the currently selected item is used. There are predefined
constants for &quot;style&quot; - LINE_&lt;style&gt;.
</source>
        <translation type="obsolete">setLineStyle(style, [&quot;name&quot;])

Sets the line style of the object &quot;name&quot; to the style &quot;style&quot;. If &quot;name&quot;
is not given the currently selected item is used. There are predefined
constants for &quot;style&quot; - LINE_&lt;style&gt;.
</translation>
    </message>
    <message>
        <source>setFillShade(shade, [&quot;name&quot;])

Sets the shading of the fill color of the object &quot;name&quot; to &quot;shade&quot;.
&quot;shade&quot; must be an integer value in the range from 0 (lightest) to 100
(full Color intensity). If &quot;name&quot; is not given the currently selected
Item is used.

May raise ValueError if the fill shade is out of bounds.
</source>
        <translation type="obsolete">setFillShade(shade, [&quot;name&quot;])

Sets the shading of the fill colour of the object &quot;name&quot; to &quot;shade&quot;.
&quot;shade&quot; must be an integer value in the range from 0 (lightest) to 100
(full Colour intensity). If &quot;name&quot; is not given the currently selected
Item is used.

May raise ValueError if the fill shade is out of bounds.
</translation>
    </message>
    <message>
        <source>setCornerRadius(radius, [&quot;name&quot;])

Sets the corner radius of the object &quot;name&quot;. The radius is expressed
in points. If &quot;name&quot; is not given the currently selected item is used.

May raise ValueError if the corner radius is negative.
</source>
        <translation type="obsolete">setCornerRadius(radius, [&quot;name&quot;])

Sets the corner radius of the object &quot;name&quot;. The radius is expressed
in points. If &quot;name&quot; is not given the currently selected item is used.

May raise ValueError if the corner radius is negative.
</translation>
    </message>
    <message>
        <source>setMultiLine(&quot;namedStyle&quot;, [&quot;name&quot;])

Sets the line style of the object &quot;name&quot; to the named style &quot;namedStyle&quot;.
If &quot;name&quot; is not given the currently selected item is used.

May raise NotFoundError if the line style doesn&apos;t exist.
</source>
        <translation type="obsolete">setMultiLine(&quot;namedStyle&quot;, [&quot;name&quot;])

Sets the line style of the object &quot;name&quot; to the named style &quot;namedStyle&quot;.
If &quot;name&quot; is not given the currently selected item is used.

May raise NotFoundError if the line style doesn&apos;t exist.
</translation>
    </message>
    <message>
        <source>getFontSize([&quot;name&quot;]) -&gt; float

Returns the font size in points for the text frame &quot;name&quot;. If this text
frame has some text selected the value assigned to the first character of
the selection is returned.
If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getFontSize([&quot;name&quot;]) -&gt; float

Returns the font size in points for the text frame &quot;name&quot;. If this text
frame has some text selected the value assigned to the first character of
the selection is returned.
If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getFont([&quot;name&quot;]) -&gt; string

Returns the font name for the text frame &quot;name&quot;. If this text frame
has some text selected the value assigned to the first character
of the selection is returned. If &quot;name&quot; is not given the currently
selected item is used.
</source>
        <translation type="obsolete">getFont([&quot;name&quot;]) -&gt; string

Returns the font name for the text frame &quot;name&quot;. If this text frame
has some text selected the value assigned to the first character
of the selection is returned. If &quot;name&quot; is not given the currently
selected item is used.
</translation>
    </message>
    <message>
        <source>getTextLength([&quot;name&quot;]) -&gt; integer

Returns the length of the text in the text frame &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getTextLength([&quot;name&quot;]) -&gt; integer

Returns the length of the text in the text frame &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getText([&quot;name&quot;]) -&gt; string

Returns the text of the text frame &quot;name&quot;. If this text frame has some text
selected, the selected text is returned. All text in the frame, not just
currently visible text, is returned. If &quot;name&quot; is not given the currently
selected item is used.
</source>
        <translation type="obsolete">getText([&quot;name&quot;]) -&gt; string

Returns the text of the text frame &quot;name&quot;. If this text frame has some text
selected, the selected text is returned. All text in the frame, not just
currently visible text, is returned. If &quot;name&quot; is not given the currently
selected item is used.
</translation>
    </message>
    <message>
        <source>getAllText([&quot;name&quot;]) -&gt; string

Returns the text of the text frame &quot;name&quot; and of all text frames which are
linked with this frame. If this textframe has some text selected, the selected
text is returned. If &quot;name&quot; is not given the currently selected item is
used.
</source>
        <translation type="obsolete">getAllText([&quot;name&quot;]) -&gt; string

Returns the text of the text frame &quot;name&quot; and of all text frames which are
linked with this frame. If this textframe has some text selected, the selected
text is returned. If &quot;name&quot; is not given the currently selected item is
used.
</translation>
    </message>
    <message>
        <source>getLineSpacing([&quot;name&quot;]) -&gt; float

Returns the line spacing (&quot;leading&quot;) of the text frame &quot;name&quot; expressed in
points. If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getLineSpacing([&quot;name&quot;]) -&gt; float

Returns the line spacing (&quot;leading&quot;) of the text frame &quot;name&quot; expressed in
points. If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getColumnGap([&quot;name&quot;]) -&gt; float

Returns the column gap size of the text frame &quot;name&quot; expressed in points. If
&quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getColumnGap([&quot;name&quot;]) -&gt; float

Returns the column gap size of the text frame &quot;name&quot; expressed in points. If
&quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getColumns([&quot;name&quot;]) -&gt; integer

Gets the number of columns of the text frame &quot;name&quot;. If &quot;name&quot; is not
given the currently selected item is used.
</source>
        <translation type="obsolete">getColumns([&quot;name&quot;]) -&gt; integer

Gets the number of columns of the text frame &quot;name&quot;. If &quot;name&quot; is not
given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>setText(&quot;text&quot;, [&quot;name&quot;])

Sets the text of the text frame &quot;name&quot; to the text of the string &quot;text&quot;.
Text must be UTF8 encoded - use e.g. unicode(text, &apos;iso-8859-2&apos;). See the FAQ
for more details. If &quot;name&quot; is not given the currently selected item is
used.
</source>
        <translation type="obsolete">setText(&quot;text&quot;, [&quot;name&quot;])

Sets the text of the text frame &quot;name&quot; to the text of the string &quot;text&quot;.
Text must be UTF8 encoded - use e.g. unicode(text, &apos;iso-8859-2&apos;). See the FAQ
for more details. If &quot;name&quot; is not given the currently selected item is
used.
</translation>
    </message>
    <message>
        <source>setFont(&quot;font&quot;, [&quot;name&quot;])

Sets the font of the text frame &quot;name&quot; to &quot;font&quot;. If there is some text
selected only the selected text is changed.  If &quot;name&quot; is not given the
currently selected item is used.

May throw ValueError if the font cannot be found.
</source>
        <translation type="obsolete">setFont(&quot;font&quot;, [&quot;name&quot;])

Sets the font of the text frame &quot;name&quot; to &quot;font&quot;. If there is some text
selected only the selected text is changed.  If &quot;name&quot; is not given the
currently selected item is used.

May throw ValueError if the font cannot be found.
</translation>
    </message>
    <message>
        <source>setFontSize(size, [&quot;name&quot;])

Sets the font size of the text frame &quot;name&quot; to &quot;size&quot;. &quot;size&quot; is treated
as a value in points. If there is some text selected only the selected text is
changed. &quot;size&quot; must be in the range 1 to 512. If &quot;name&quot; is not given the
currently selected item is used.

May throw ValueError for a font size that&apos;s out of bounds.
</source>
        <translation type="obsolete">setFontSize(size, [&quot;name&quot;])

Sets the font size of the text frame &quot;name&quot; to &quot;size&quot;. &quot;size&quot; is treated
as a value in points. If there is some text selected only the selected text is
changed. &quot;size&quot; must be in the range 1 to 512. If &quot;name&quot; is not given the
currently selected item is used.

May throw ValueError for a font size that&apos;s out of bounds.
</translation>
    </message>
    <message>
        <source>setLineSpacing(size, [&quot;name&quot;])

Sets the line spacing (&quot;leading&quot;) of the text frame &quot;name&quot; to &quot;size&quot;.
&quot;size&quot; is a value in points. If &quot;name&quot; is not given the currently selected
item is used.

May throw ValueError if the line spacing is out of bounds.
</source>
        <translation type="obsolete">setLineSpacing(size, [&quot;name&quot;])

Sets the line spacing (&quot;leading&quot;) of the text frame &quot;name&quot; to &quot;size&quot;.
&quot;size&quot; is a value in points. If &quot;name&quot; is not given the currently selected
item is used.

May throw ValueError if the line spacing is out of bounds.
</translation>
    </message>
    <message>
        <source>setColumnGap(size, [&quot;name&quot;])

Sets the column gap of the text frame &quot;name&quot; to the value &quot;size&quot;. If
&quot;name&quot; is not given the currently selected item is used.

May throw ValueError if the column gap is out of bounds (must be positive).
</source>
        <translation type="obsolete">setColumnGap(size, [&quot;name&quot;])

Sets the column gap of the text frame &quot;name&quot; to the value &quot;size&quot;. If
&quot;name&quot; is not given the currently selected item is used.

May throw ValueError if the column gap is out of bounds (must be positive).
</translation>
    </message>
    <message>
        <source>setColumns(nr, [&quot;name&quot;])

Sets the number of columns of the text frame &quot;name&quot; to the integer &quot;nr&quot;.
If &quot;name&quot; is not given the currently selected item is used.

May throw ValueError if number of columns is not at least one.
</source>
        <translation type="obsolete">setColumns(nr, [&quot;name&quot;])

Sets the number of columns of the text frame &quot;name&quot; to the integer &quot;nr&quot;.
If &quot;name&quot; is not given the currently selected item is used.

May throw ValueError if number of columns is not at least one.
</translation>
    </message>
    <message>
        <source>setTextAlignment(align, [&quot;name&quot;])

Sets the text alignment of the text frame &quot;name&quot; to the specified alignment.
If &quot;name&quot; is not given the currently selected item is used. &quot;align&quot; should
be one of the ALIGN_ constants defined in this module - see dir(scribus).

May throw ValueError for an invalid alignment constant.
</source>
        <translation type="obsolete">setTextAlignment(align, [&quot;name&quot;])

Sets the text alignment of the text frame &quot;name&quot; to the specified alignment.
If &quot;name&quot; is not given the currently selected item is used. &quot;align&quot; should
be one of the ALIGN_ constants defined in this module - see dir(scribus).

May throw ValueError for an invalid alignment constant.
</translation>
    </message>
    <message>
        <source>selectText(start, count, [&quot;name&quot;])

Selects &quot;count&quot; characters of text in the text frame &quot;name&quot; starting from the
character &quot;start&quot;. Character counting starts at 0. If &quot;count&quot; is zero, any
text selection will be cleared.  If &quot;name&quot; is not given the currently
selected item is used.

May throw IndexError if the selection is outside the bounds of the text.
</source>
        <translation type="obsolete">selectText(start, count, [&quot;name&quot;])

Selects &quot;count&quot; characters of text in the text frame &quot;name&quot; starting from the
character &quot;start&quot;. Character counting starts at 0. If &quot;count&quot; is zero, any
text selection will be cleared.  If &quot;name&quot; is not given the currently
selected item is used.

May throw IndexError if the selection is outside the bounds of the text.
</translation>
    </message>
    <message>
        <source>deleteText([&quot;name&quot;])

Deletes any text in the text frame &quot;name&quot;. If there is some text selected,
only the selected text will be deleted. If &quot;name&quot; is not given the currently
selected item is used.
</source>
        <translation type="obsolete">deleteText([&quot;name&quot;])

Deletes any text in the text frame &quot;name&quot;. If there is some text selected,
only the selected text will be deleted. If &quot;name&quot; is not given the currently
selected item is used.
</translation>
    </message>
    <message>
        <source>setTextColor(&quot;color&quot;, [&quot;name&quot;])

Sets the text color of the text frame &quot;name&quot; to the color &quot;color&quot;. If there
is some text selected only the selected text is changed. If &quot;name&quot; is not
given the currently selected item is used.
</source>
        <translation type="obsolete">setTextColor(&quot;color&quot;, [&quot;name&quot;])

Sets the text colour of the text frame &quot;name&quot; to the colour &quot;color&quot;. If there
is some text selected only the selected text is changed. If &quot;name&quot; is not
given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>setTextStroke(&quot;color&quot;, [&quot;name&quot;])

Set &quot;color&quot; of the text stroke. If &quot;name&quot; is not given the currently
selected item is used.
</source>
        <translation type="obsolete">setTextStroke(&quot;color&quot;, [&quot;name&quot;])

Set &quot;color&quot; of the text stroke. If &quot;name&quot; is not given the currently
selected item is used.
</translation>
    </message>
    <message>
        <source>setTextShade(shade, [&quot;name&quot;])

Sets the shading of the text color of the object &quot;name&quot; to &quot;shade&quot;. If
there is some text selected only the selected text is changed. &quot;shade&quot; must
be an integer value in the range from 0 (lightest) to 100 (full color
intensity). If &quot;name&quot; is not given the currently selected item is
used.
</source>
        <translation type="obsolete">setTextShade(shade, [&quot;name&quot;])

Sets the shading of the text colour of the object &quot;name&quot; to &quot;shade&quot;. If
there is some text selected only the selected text is changed. &quot;shade&quot; must
be an integer value in the range from 0 (lightest) to 100 (full colour
intensity). If &quot;name&quot; is not given the currently selected item is
used.
</translation>
    </message>
    <message>
        <source>linkTextFrames(&quot;fromname&quot;, &quot;toname&quot;)

Link two text frames. The frame named &quot;fromname&quot; is linked to the
frame named &quot;toname&quot;. The target frame must be an empty text frame
and must not link to or be linked from any other frames already.

May throw ScribusException if linking rules are violated.
</source>
        <translation type="obsolete">linkTextFrames(&quot;fromname&quot;, &quot;toname&quot;)

Link two text frames. The frame named &quot;fromname&quot; is linked to the
frame named &quot;toname&quot;. The target frame must be an empty text frame
and must not link to or be linked from any other frames already.

May throw ScribusException if linking rules are violated.
</translation>
    </message>
    <message>
        <source>unlinkTextFrames(&quot;name&quot;)

Remove the specified (named) object from the text frame flow/linkage. If the
frame was in the middle of a chain, the previous and next frames will be
connected, eg &apos;a-&gt;b-&gt;c&apos; becomes &apos;a-&gt;c&apos; when you unlinkTextFrames(b)&apos;

May throw ScribusException if linking rules are violated.
</source>
        <translation type="obsolete">unlinkTextFrames(&quot;name&quot;)

Remove the specified (named) object from the text frame flow/linkage. If the
frame was in the middle of a chain, the previous and next frames will be
connected, eg &apos;a-&gt;b-&gt;c&apos; becomes &apos;a-&gt;c&apos; when you unlinkTextFrames(b)&apos;

May throw ScribusException if linking rules are violated.
</translation>
    </message>
    <message>
        <source>traceText([&quot;name&quot;])

Convert the text frame &quot;name&quot; to outlines. If &quot;name&quot; is not given the
currently selected item is used.</source>
        <translation type="obsolete">traceText([&quot;name&quot;])

Convert the text frame &quot;name&quot; to outlines. If &quot;name&quot; is not given the
currently selected item is used.</translation>
    </message>
    <message>
        <source>textOverflows([&quot;name&quot;, nolinks]) -&gt; integer

Returns the actual number of overflowing characters in text frame &quot;name&quot;.
If is nolinks set to non zero value it takes only one frame - it doesn&apos;t
use text frame linking. Without this parameter it search all linking chain.

May raise WrongFrameTypeError if the target frame is not an text frame
</source>
        <translation type="obsolete">textOverflows([&quot;name&quot;, nolinks]) -&gt; integer

Returns the actual number of overflowing characters in text frame &quot;name&quot;.
If is nolinks set to non zero value it takes only one frame - it doesn&apos;t
use text frame linking. Without this parameter it search all linking chain.

May raise WrongFrameTypeError if the target frame is not an text frame
</translation>
    </message>
    <message>
        <source>isPDFBookmark([&quot;name&quot;]) -&gt; bool

Returns true if the text frame &quot;name&quot; is a PDF bookmark.
If &quot;name&quot; is not given the currently selected item is used.

May raise WrongFrameTypeError if the target frame is not a text frame
</source>
        <translation type="obsolete">isPDFBookmark([&quot;name&quot;]) -&gt; bool

Returns true if the text frame &quot;name&quot; is a PDF bookmark.
If &quot;name&quot; is not given the currently selected item is used.

May raise WrongFrameTypeError if the target frame is not a text frame
</translation>
    </message>
    <message>
        <source>messagebarText(&quot;string&quot;)

Writes the &quot;string&quot; into the Scribus message bar (status line). The text
must be UTF8 encoded or &apos;unicode&apos; string(recommended).
</source>
        <translation type="obsolete">messagebarText(&quot;string&quot;)

Writes the &quot;string&quot; into the Scribus message bar (status line). The text
must be UTF8 encoded or &apos;unicode&apos; string(recommended).
</translation>
    </message>
    <message>
        <source>progressReset()

Cleans up the Scribus progress bar previous settings. It is called before the
new progress bar use. See progressSet.
</source>
        <translation type="obsolete">progressReset()

Cleans up the Scribus progress bar previous settings. It is called before the
new progress bar use. See progressSet.
</translation>
    </message>
    <message>
        <source>progressTotal(max)

Sets the progress bar&apos;s maximum steps value to the specified number.
See progressSet.
</source>
        <translation type="obsolete">progressTotal(max)

Sets the progress bar&apos;s maximum steps value to the specified number.
See progressSet.
</translation>
    </message>
    <message>
        <source>progressSet(nr)

Set the progress bar position to &quot;nr&quot;, a value relative to the previously set
progressTotal. The progress bar uses the concept of steps; you give it the
total number of steps and the number of steps completed so far and it will
display the percentage of steps that have been completed. You can specify the
total number of steps with progressTotal(). The current number of steps is set
with progressSet(). The progress bar can be rewound to the beginning with
progressReset(). [based on info taken from Trolltech&apos;s Qt docs]
</source>
        <translation type="obsolete">progressSet(nr)

Set the progress bar position to &quot;nr&quot;, a value relative to the previously set
progressTotal. The progress bar uses the concept of steps; you give it the
total number of steps and the number of steps completed so far and it will
display the percentage of steps that have been completed. You can specify the
total number of steps with progressTotal(). The current number of steps is set
with progressSet(). The progress bar can be rewound to the beginning with
progressReset(). [based on info taken from Trolltech&apos;s Qt docs]
</translation>
    </message>
    <message>
        <source>setCursor()

[UNSUPPORTED!] This might break things, so steer clear for now.
</source>
        <translation type="obsolete">setCursor()

[UNSUPPORTED!] This might break things, so steer clear for now.
</translation>
    </message>
    <message>
        <source>docChanged(bool)

Enable/disable save icon in the Scribus icon bar and the Save menu item. It&apos;s
useful to call this procedure when you&apos;re changing the document, because Scribus
won&apos;t automatically notice when you change the document using a script.
</source>
        <translation type="obsolete">docChanged(bool)

Enable/disable save icon in the Scribus icon bar and the Save menu item. It&apos;s
useful to call this procedure when you&apos;re changing the document, because Scribus
won&apos;t automatically notice when you change the document using a script.
</translation>
    </message>
    <message>
        <source>zoomDocument(double)

Zoom the document in main GUI window. Actions have whole number
values like 20.0, 100.0, etc. Zoom to Fit uses -100 as a marker.
</source>
        <translation type="obsolete">zoomDocument(double)

Zoom the document in main GUI window. Actions have whole number
values like 20.0, 100.0, etc. Zoom to Fit uses -100 as a marker.
</translation>
    </message>
</context>
<context>
    <name>@default</name>
    <message>
        <source>getColorNames() -&gt; list

Returns a list containing the names of all defined colors in the document.
If no document is open, returns a list of the default document colors.
</source>
        <translation type="obsolete">getColorNames() -&gt; list

Returns a list containing the names of all defined colours in the document.
If no document is open, returns a list of the default document colours.
</translation>
    </message>
    <message>
        <source>newDocDialog() -&gt; bool

Displays the &quot;New Document&quot; dialog box. Creates a new document if the user
accepts the settings. Does not create a document if the user presses cancel.
Returns true if a new document was created.
</source>
        <translation type="obsolete">newDocDialog() -&gt; bool

Displays the &quot;New Document&quot; dialog box. Creates a new document if the user
accepts the settings. Does not create a document if the user presses cancel.
Returns true if a new document was created.
</translation>
    </message>
    <message>
        <source>getFillColor([&quot;name&quot;]) -&gt; string

Returns the name of the fill color of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getFillColor([&quot;name&quot;]) -&gt; string

Returns the name of the fill colour of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>moveObject(dx, dy [, &quot;name&quot;])

Moves the object &quot;name&quot; by dx and dy relative to its current position. The
distances are expressed in the current measurement unit of the document (see
UNIT constants). If &quot;name&quot; is not given the currently selected item is used.
If the object &quot;name&quot; belongs to a group, the whole group is moved.
</source>
        <translation type="obsolete">moveObject(dx, dy [, &quot;name&quot;])

Moves the object &quot;name&quot; by dx and dy relative to its current position. The
distances are expressed in the current measurement unit of the document (see
UNIT constants). If &quot;name&quot; is not given the currently selected item is used.
If the object &quot;name&quot; belongs to a group, the whole group is moved.
</translation>
    </message>
    <message>
        <source>setRedraw(bool)

Disables page redraw when bool = False, otherwise redrawing is enabled.
This change will persist even after the script exits, so make sure to call
setRedraw(True) in a finally: clause at the top level of your script.
</source>
        <translation type="obsolete">setRedraw(bool)

Disables page redraw when bool = False, otherwise redrawing is enabled.
This change will persist even after the script exits, so make sure to call
setRedraw(True) in a finally: clause at the top level of your script.
</translation>
    </message>
    <message>
        <source>createRect(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new rectangle on the current page and returns its name. The
coordinates are given in the current measurement units of the document
(see UNIT constants). &quot;name&quot; should be a unique identifier for the object
because you need this name to reference that object in future. If &quot;name&quot;
is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</source>
        <translation type="obsolete">createRect(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new rectangle on the current page and returns its name. The
coordinates are given in the current measurement units of the document
(see UNIT constants). &quot;name&quot; should be a unique identifier for the object
because you need this name to reference that object in future. If &quot;name&quot;
is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</translation>
    </message>
    <message>
        <source>newPage(where [,&quot;masterpage&quot;])

Creates a new page. If &quot;where&quot; is -1 the new Page is appended to the
document, otherwise the new page is inserted before &quot;where&quot;. Page numbers are
counted from 1 upwards, no matter what the displayed first page number of your
document is. The optional parameter &quot;masterpage&quot; specifies the name of the
master page for the new page.

May raise IndexError if the page number is out of range
</source>
        <translation type="obsolete">newPage(where [,&quot;masterpage&quot;])

Creates a new page. If &quot;where&quot; is -1 the new Page is appended to the
document, otherwise the new page is inserted before &quot;where&quot;. Page numbers are
counted from 1 upwards, no matter what the displayed first page number of your
document is. The optional parameter &quot;masterpage&quot; specifies the name of the
master page for the new page.

May raise IndexError if the page number is out of range
</translation>
    </message>
    <message>
        <source>setGradientFill(type, &quot;color1&quot;, shade1, &quot;color2&quot;, shade2, [&quot;name&quot;])

Sets the gradient fill of the object &quot;name&quot; to type. Color descriptions are
the same as for setFillColor() and setFillShade(). See the constants for
available types (FILL_&lt;type&gt;).
</source>
        <translation type="obsolete">setGradientFill(type, &quot;color1&quot;, shade1, &quot;color2&quot;, shade2, [&quot;name&quot;])

Sets the gradient fill of the object &quot;name&quot; to type. Colour descriptions are
the same as for setFillColor() and setFillShade(). See the constants for
available types (FILL_&lt;type&gt;).
</translation>
    </message>
    <message>
        <source>getFontSize([&quot;name&quot;]) -&gt; float

Returns the font size in points for the text frame &quot;name&quot;. If this text
frame has some text selected the value assigned to the first character of
the selection is returned.
If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getFontSize([&quot;name&quot;]) -&gt; float

Returns the font size in points for the text frame &quot;name&quot;. If this text
frame has some text selected the value assigned to the first character of
the selection is returned.
If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>messagebarText(&quot;string&quot;)

Writes the &quot;string&quot; into the Scribus message bar (status line). The text
must be UTF8 encoded or &apos;unicode&apos; string(recommended).
</source>
        <translation type="obsolete">messagebarText(&quot;string&quot;)

Writes the &quot;string&quot; into the Scribus message bar (status line). The text
must be UTF8 encoded or &apos;unicode&apos; string(recommended).
</translation>
    </message>
    <message>
        <source>importSVG(&quot;string&quot;)

The &quot;string&quot; must be a valid filename for a SVG image. The text
must be UTF8 encoded or &apos;unicode&apos; string(recommended).
</source>
        <translation type="obsolete">importSVG(&quot;string&quot;)

The &quot;string&quot; must be a valid filename for a SVG image. The text
must be UTF8 encoded or &apos;unicode&apos; string(recommended).
</translation>
    </message>
    <message>
        <source>newDocument(size, margins, orientation, firstPageNumber,
                        unit, pagesType, firstPageOrder) -&gt; bool

Creates a new document and returns true if successful. The parameters have the
following meaning:

size = A tuple (width, height) describing the size of the document. You can
use predefined constants named PAPER_&lt;paper_type&gt; e.g. PAPER_A4 etc.

margins = A tuple (left, right, top, bottom) describing the document
margins

orientation = the page orientation - constants PORTRAIT, LANDSCAPE

firstPageNumer = is the number of the first page in the document used for
pagenumbering. While you&apos;ll usually want 1, it&apos;s useful to have higher
numbers if you&apos;re creating a document in several parts.

unit: this value sets the measurement units used by the document. Use a
predefined constant for this, one of: UNIT_INCHES, UNIT_MILLIMETERS,
UNIT_PICAS, UNIT_POINTS.

pagesType = One of the predefined constants PAGE_n. PAGE_1 is single page,
PAGE_2 is for double sided documents, PAGE_3 is for 3 pages fold and
PAGE_4 is 4-fold.

firstPageOrder = What is position of first page in the document.
Indexed from 0 (0 = first).

The values for width, height and the margins are expressed in the given unit
for the document. PAPER_* constants are expressed in points. If your document
is not in points, make sure to account for this.

example: newDocument(PAPER_A4, (10, 10, 20, 20), LANDSCAPE, 7, UNIT_POINTS,
PAGE_4, 3)

May raise ScribusError if is firstPageOrder bigger than allowed by pagesType.
</source>
        <translation type="obsolete">newDocument(size, margins, orientation, firstPageNumber,
                        unit, pagesType, firstPageOrder) -&gt; bool

Creates a new document and returns true if successful. The parameters have the
following meaning:

size = A tuple (width, height) describing the size of the document. You can
use predefined constants named PAPER_&lt;paper_type&gt; e.g. PAPER_A4 etc.

margins = A tuple (left, right, top, bottom) describing the document
margins

orientation = the page orientation - constants PORTRAIT, LANDSCAPE

firstPageNumer = is the number of the first page in the document used for
pagenumbering. While you&apos;ll usually want 1, it&apos;s useful to have higher
numbers if you&apos;re creating a document in several parts.

unit: this value sets the measurement units used by the document. Use a
predefined constant for this, one of: UNIT_INCHES, UNIT_MILLIMETERS,
UNIT_PICAS, UNIT_POINTS.

pagesType = One of the predefined constants PAGE_n. PAGE_1 is single page,
PAGE_2 is for double sided documents, PAGE_3 is for 3 pages fold and
PAGE_4 is 4-fold.

firstPageOrder = What is position of first page in the document.
Indexed from 0 (0 = first).

The values for width, height and the margins are expressed in the given unit
for the document. PAPER_* constants are expressed in points. If your document
is not in points, make sure to account for this.

example: newDocument(PAPER_A4, (10, 10, 20, 20), LANDSCAPE, 7, UNIT_POINTS,
PAGE_4, 3)

May raise ScribusError if is firstPageOrder bigger than allowed by pagesType.
</translation>
    </message>
    <message>
        <source>getColor(&quot;name&quot;) -&gt; tuple

Returns a tuple (C, M, Y, K) containing the four color components of the
color &quot;name&quot; from the current document. If no document is open, returns
the value of the named color from the default document colors.

May raise NotFoundError if the named color wasn&apos;t found.
May raise ValueError if an invalid color name is specified.
</source>
        <translation type="obsolete">getColor(&quot;name&quot;) -&gt; tuple

Returns a tuple (C, M, Y, K) containing the four colour components of the
colour &quot;name&quot; from the current document. If no document is open, returns
the value of the named colour from the default document colours.

May raise NotFoundError if the named colour wasn&apos;t found.
May raise ValueError if an invalid colour name is specified.
</translation>
    </message>
    <message>
        <source>getColorAsRGB(&quot;name&quot;) -&gt; tuple

Returns a tuple (R,G,B) containing the three color components of the
color &quot;name&quot; from the current document, converted to the RGB color
space. If no document is open, returns the value of the named color
from the default document colors.

May raise NotFoundError if the named color wasn&apos;t found.
May raise ValueError if an invalid color name is specified.
</source>
        <translation type="obsolete">getColorAsRGB(&quot;name&quot;) -&gt; tuple

Returns a tuple (R,G,B) containing the three colour components of the
colour &quot;name&quot; from the current document, converted to the RGB colour
space. If no document is open, returns the value of the named colour
from the default document colours.

May raise NotFoundError if the named colour wasn&apos;t found.
May raise ValueError if an invalid colour name is specified.
</translation>
    </message>
    <message>
        <source>changeColor(&quot;name&quot;, c, m, y, k)

Changes the color &quot;name&quot; to the specified CMYK value. The color value is
defined via four components c = Cyan, m = Magenta, y = Yellow and k = Black.
Color components should be in the range from 0 to 255.

May raise NotFoundError if the named color wasn&apos;t found.
May raise ValueError if an invalid color name is specified.
</source>
        <translation type="obsolete">changeColour(&quot;name&quot;, c, m, y, k)

Changes the colour &quot;name&quot; to the specified CMYK value. The colour value is
defined via four components c = Cyan, m = Magenta, y = Yellow and k = Black.
Colour components should be in the range from 0 to 255.

May raise NotFoundError if the named colour wasn&apos;t found.
May raise ValueError if an invalid colour name is specified.
</translation>
    </message>
    <message>
        <source>defineColor(&quot;name&quot;, c, m, y, k)

Defines a new color &quot;name&quot;. The color Value is defined via four components:
c = Cyan, m = Magenta, y = Yello and k = Black. Color components should be in
the range from 0 to 255.

May raise ValueError if an invalid color name is specified.
</source>
        <translation type="obsolete">defineColor(&quot;name&quot;, c, m, y, k)

Defines a new colour &quot;name&quot;. The colour Value is defined via four components:
c = Cyan, m = Magenta, y = Yello and k = Black. Colour components should be in
the range from 0 to 255.

May raise ValueError if an invalid colour name is specified.
</translation>
    </message>
    <message>
        <source>deleteColor(&quot;name&quot;, &quot;replace&quot;)

Deletes the color &quot;name&quot;. Every occurence of that color is replaced by the
color &quot;replace&quot;. If not specified, &quot;replace&quot; defaults to the color
&quot;None&quot; - transparent.

deleteColor works on the default document colors if there is no document open.
In that case, &quot;replace&quot;, if specified, has no effect.

May raise NotFoundError if a named color wasn&apos;t found.
May raise ValueError if an invalid color name is specified.
</source>
        <translation type="obsolete">deleteColor(&quot;name&quot;, &quot;replace&quot;)

Deletes the colour &quot;name&quot;. Every occurence of that colour is replaced by the
colour &quot;replace&quot;. If not specified, &quot;replace&quot; defaults to the colour
&quot;None&quot; - transparent.

deleteColor works on the default document colours if there is no document open.
In that case, &quot;replace&quot;, if specified, has no effect.

May raise NotFoundError if a named colour wasn&apos;t found.
May raise ValueError if an invalid colour name is specified.
</translation>
    </message>
    <message>
        <source>replaceColor(&quot;name&quot;, &quot;replace&quot;)

Every occurence of the color &quot;name&quot; is replaced by the color &quot;replace&quot;.

May raise NotFoundError if a named color wasn&apos;t found.
May raise ValueError if an invalid color name is specified.
</source>
        <translation type="obsolete">replaceColor(&quot;name&quot;, &quot;replace&quot;)

Every occurence of the colour &quot;name&quot; is replaced by the colour &quot;replace&quot;.

May raise NotFoundError if a named colour wasn&apos;t found.
May raise ValueError if an invalid colour name is specified.
</translation>
    </message>
    <message>
        <source>fileDialog(&quot;caption&quot;, [&quot;filter&quot;, &quot;defaultname&quot;, haspreview, issave, isdir]) -&gt; string with filename

Shows a File Open dialog box with the caption &quot;caption&quot;. Files are filtered
with the filter string &quot;filter&quot;. A default filename or file path can also
supplied, leave this string empty when you don&apos;t want to use it.  A value of
True for haspreview enables a small preview widget in the FileSelect box.  When
the issave parameter is set to True the dialog acts like a &quot;Save As&quot; dialog
otherwise it acts like a &quot;File Open Dialog&quot;. When the isdir parameter is True
the dialog shows and returns only directories. The default for all of the
opional parameters is False.

The filter, if specified, takes the form &apos;comment (*.type *.type2 ...)&apos;.
For example &apos;Images (*.png *.xpm *.jpg)&apos;.

Refer to the Qt-Documentation for QFileDialog for details on filters.

Example: fileDialog(&apos;Open input&apos;, &apos;CSV files (*.csv)&apos;)
Example: fileDialog(&apos;Save report&apos;, defaultname=&apos;report.txt&apos;, issave=True)
</source>
        <translation type="obsolete">fileDialog(&quot;caption&quot;, [&quot;filter&quot;, &quot;defaultname&quot;, haspreview, issave, isdir]) -&gt; string with filename

Shows a File Open dialog box with the caption &quot;caption&quot;. Files are filtered
with the filter string &quot;filter&quot;. A default filename or file path can also
supplied, leave this string empty when you don&apos;t want to use it.  A value of
True for haspreview enables a small preview widget in the FileSelect box.  When
the issave parameter is set to True the dialog acts like a &quot;Save As&quot; dialog
otherwise it acts like a &quot;File Open Dialog&quot;. When the isdir parameter is True
the dialog shows and returns only directories. The default for all of the
opional parameters is False.

The filter, if specified, takes the form &apos;comment (*.type *.type2 ...)&apos;.
For example &apos;Images (*.png *.xpm *.jpg)&apos;.

Refer to the Qt-Documentation for QFileDialog for details on filters.

Example: fileDialog(&apos;Open input&apos;, &apos;CSV files (*.csv)&apos;)
Example: fileDialog(&apos;Save report&apos;, defaultname=&apos;report.txt&apos;, issave=True)
</translation>
    </message>
    <message>
        <source>messageBox(&quot;caption&quot;, &quot;message&quot;,
    icon=ICON_NONE, button1=BUTTON_OK|BUTTONOPT_DEFAULT,
    button2=BUTTON_NONE, button3=BUTTON_NONE) -&gt; integer

Displays a message box with the title &quot;caption&quot;, the message &quot;message&quot;, and
an icon &quot;icon&quot; and up to 3 buttons. By default no icon is used and a single
button, OK, is displayed. Only the caption and message arguments are required,
though setting an icon and appropriate button(s) is strongly
recommended. The message text may contain simple HTML-like markup.

Returns the number of the button the user pressed. Button numbers start
at 1.

For the icon and the button parameters there are predefined constants available
with the same names as in the Qt Documentation. These are the BUTTON_* and
ICON_* constants defined in the module. There are also two extra constants that
can be binary-ORed with button constants:
    BUTTONOPT_DEFAULT   Pressing enter presses this button.
    BUTTONOPT_ESCAPE    Pressing escape presses this button.

Usage examples:
result = messageBox(&apos;Script failed&apos;,
                    &apos;This script only works when you have a text frame selected.&apos;,
                    ICON_ERROR)
result = messageBox(&apos;Monkeys!&apos;, &apos;Something went ook! &lt;i&gt;Was it a monkey?&lt;/i&gt;&apos;,
                    ICON_WARNING, BUTTON_YES|BUTTONOPT_DEFAULT,
                    BUTTON_NO, BUTTON_IGNORE|BUTTONOPT_ESCAPE)

Defined button and icon constants:
BUTTON_NONE, BUTTON_ABORT, BUTTON_CANCEL, BUTTON_IGNORE, BUTTON_NO,
BUTTON_NOALL, BUTTON_OK, BUTTON_RETRY, BUTTON_YES, BUTTON_YESALL,
ICON_NONE, ICON_INFORMATION, ICON_WARNING, ICON_CRITICAL.
</source>
        <translation type="obsolete">messageBox(&quot;caption&quot;, &quot;message&quot;,
    icon=ICON_NONE, button1=BUTTON_OK|BUTTONOPT_DEFAULT,
    button2=BUTTON_NONE, button3=BUTTON_NONE) -&gt; integer

Displays a message box with the title &quot;caption&quot;, the message &quot;message&quot;, and
an icon &quot;icon&quot; and up to 3 buttons. By default no icon is used and a single
button, OK, is displayed. Only the caption and message arguments are required,
though setting an icon and appropriate button(s) is strongly
recommended. The message text may contain simple HTML-like markup.

Returns the number of the button the user pressed. Button numbers start
at 1.

For the icon and the button parameters there are predefined constants available
with the same names as in the Qt Documentation. These are the BUTTON_* and
ICON_* constants defined in the module. There are also two extra constants that
can be binary-ORed with button constants:
    BUTTONOPT_DEFAULT   Pressing enter presses this button.
    BUTTONOPT_ESCAPE    Pressing escape presses this button.

Usage examples:
result = messageBox(&apos;Script failed&apos;,
                    &apos;This script only works when you have a text frame selected.&apos;,
                    ICON_ERROR)
result = messageBox(&apos;Monkeys!&apos;, &apos;Something went ook! &lt;i&gt;Was it a monkey?&lt;/i&gt;&apos;,
                    ICON_WARNING, BUTTON_YES|BUTTONOPT_DEFAULT,
                    BUTTON_NO, BUTTON_IGNORE|BUTTONOPT_ESCAPE)

Defined button and icon constants:
BUTTON_NONE, BUTTON_ABORT, BUTTON_CANCEL, BUTTON_IGNORE, BUTTON_NO,
BUTTON_NOALL, BUTTON_OK, BUTTON_RETRY, BUTTON_YES, BUTTON_YESALL,
ICON_NONE, ICON_INFORMATION, ICON_WARNING, ICON_CRITICAL.
</translation>
    </message>
    <message>
        <source>valueDialog(caption, message [,defaultvalue]) -&gt; string

Shows the common &apos;Ask for string&apos; dialog and returns its value as a string
Parameters: window title, text in the window and optional &apos;default&apos; value.

Example: valueDialog(&apos;title&apos;, &apos;text in the window&apos;, &apos;optional&apos;)
</source>
        <translation type="obsolete">valueDialog(caption, message [,defaultvalue]) -&gt; string

Shows the common &apos;Ask for string&apos; dialog and returns its value as a string
Parameters: window title, text in the window and optional &apos;default&apos; value.

Example: valueDialog(&apos;title&apos;, &apos;text in the window&apos;, &apos;optional&apos;)
</translation>
    </message>
    <message>
        <source>closeDoc()

Closes the current document without prompting to save.

May throw NoDocOpenError if there is no document to close
</source>
        <translation type="obsolete">closeDoc()

Closes the current document without prompting to save.

May throw NoDocOpenError if there is no document to close
</translation>
    </message>
    <message>
        <source>haveDoc() -&gt; bool

Returns true if there is a document open.
</source>
        <translation type="obsolete">haveDoc() -&gt; bool

Returns true if there is a document open.
</translation>
    </message>
    <message>
        <source>openDoc(&quot;name&quot;)

Opens the document &quot;name&quot;.

May raise ScribusError if the document could not be opened.
</source>
        <translation type="obsolete">openDoc(&quot;name&quot;)

Opens the document &quot;name&quot;.

May raise ScribusError if the document could not be opened.
</translation>
    </message>
    <message>
        <source>saveDoc()

Saves the current document with its current name, returns true if successful.
If the document has not already been saved, this may bring up an interactive
save file dialog.

If the save fails, there is currently no way to tell.
</source>
        <translation type="obsolete">saveDoc()

Saves the current document with its current name, returns true if successful.
If the document has not already been saved, this may bring up an interactive
save file dialog.

If the save fails, there is currently no way to tell.
</translation>
    </message>
    <message>
        <source>saveDocAs(&quot;name&quot;)

Saves the current document under the new name &quot;name&quot; (which may be a full or
relative path).

May raise ScribusError if the save fails.
</source>
        <translation type="obsolete">saveDocAs(&quot;name&quot;)

Saves the current document under the new name &quot;name&quot; (which may be a full or
relative path).

May raise ScribusError if the save fails.
</translation>
    </message>
    <message>
        <source>saveDocAs(&quot;author&quot;, &quot;info&quot;, &quot;description&quot;) -&gt; bool

Sets the document information. &quot;Author&quot;, &quot;Info&quot;, &quot;Description&quot; are
strings.
</source>
        <translation type="obsolete">saveDocAs(&quot;author&quot;, &quot;info&quot;, &quot;description&quot;) -&gt; bool

Sets the document information. &quot;Author&quot;, &quot;Info&quot;, &quot;Description&quot; are
strings.
</translation>
    </message>
    <message>
        <source>setMargins(lr, rr, tr, br)

Sets the margins of the document, Left(lr), Right(rr), Top(tr) and Bottom(br)
margins are given in the measurement units of the document - see UNIT_&lt;type&gt;
constants.
</source>
        <translation type="obsolete">setMargins(lr, rr, tr, br)

Sets the margins of the document, Left(lr), Right(rr), Top(tr) and Bottom(br)
margins are given in the measurement units of the document - see UNIT_&lt;type&gt;
constants.
</translation>
    </message>
    <message>
        <source>setUnit(type)

Changes the measurement unit of the document. Possible values for &quot;unit&quot; are
defined as constants UNIT_&lt;type&gt;.

May raise ValueError if an invalid unit is passed.
</source>
        <translation type="obsolete">setUnit(type)

Changes the measurement unit of the document. Possible values for &quot;unit&quot; are
defined as constants UNIT_&lt;type&gt;.

May raise ValueError if an invalid unit is passed.
</translation>
    </message>
    <message>
        <source>getUnit() -&gt; integer (Scribus unit constant)

Returns the measurement units of the document. The returned value will be one
of the UNIT_* constants:
UNIT_INCHES, UNIT_MILLIMETERS, UNIT_PICAS, UNIT_POINTS.
</source>
        <translation type="obsolete">getUnit() -&gt; integer (Scribus unit constant)

Returns the measurement units of the document. The returned value will be one
of the UNIT_* constants:
UNIT_INCHES, UNIT_MILLIMETERS, UNIT_PICAS, UNIT_POINTS.
</translation>
    </message>
    <message>
        <source>loadStylesFromFile(&quot;filename&quot;)

Loads paragraph styles from the Scribus document at &quot;filename&quot; into the
current document.
</source>
        <translation type="obsolete">loadStylesFromFile(&quot;filename&quot;)

Loads paragraph styles from the Scribus document at &quot;filename&quot; into the
current document.
</translation>
    </message>
    <message>
        <source>setDocType(facingPages, firstPageLeft)

Sets the document type. To get facing pages set the first parameter to
FACINGPAGES, to switch facingPages off use NOFACINGPAGES instead.  If you want
to be the first page a left side set the second parameter to FIRSTPAGELEFT, for
a right page use FIRSTPAGERIGHT.
</source>
        <translation type="obsolete">setDocType(facingPages, firstPageLeft)

Sets the document type. To get facing pages set the first parameter to
FACINGPAGES, to switch facingPages off use NOFACINGPAGES instead.  If you want
to be the first page a left side set the second parameter to FIRSTPAGELEFT, for
a right page use FIRSTPAGERIGHT.
</translation>
    </message>
    <message>
        <source>getLineColor([&quot;name&quot;]) -&gt; string

Returns the name of the line color of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getLineColor([&quot;name&quot;]) -&gt; string

Returns the name of the line colour of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getLineWidth([&quot;name&quot;]) -&gt; integer

Returns the line width of the object &quot;name&quot;. If &quot;name&quot;
is not given the currently selected Item is used.
</source>
        <translation type="obsolete">getLineWidth([&quot;name&quot;]) -&gt; integer

Returns the line width of the object &quot;name&quot;. If &quot;name&quot;
is not given the currently selected Item is used.
</translation>
    </message>
    <message>
        <source>getLineShade([&quot;name&quot;]) -&gt; integer

Returns the shading value of the line color of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getLineShade([&quot;name&quot;]) -&gt; integer

Returns the shading value of the line colour of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getLineJoin([&quot;name&quot;]) -&gt; integer (see contants)

Returns the line join style of the object &quot;name&quot;. If &quot;name&quot; is not given
the currently selected item is used.  The join types are:
JOIN_BEVEL, JOIN_MITTER, JOIN_ROUND
</source>
        <translation type="obsolete">getLineJoin([&quot;name&quot;]) -&gt; integer (see contants)

Returns the line join style of the object &quot;name&quot;. If &quot;name&quot; is not given
the currently selected item is used.  The join types are:
JOIN_BEVEL, JOIN_MITTER, JOIN_ROUND
</translation>
    </message>
    <message>
        <source>getLineEnd([&quot;name&quot;]) -&gt; integer (see constants)

Returns the line cap style of the object &quot;name&quot;. If &quot;name&quot; is not given the
currently selected item is used. The cap types are:
CAP_FLAT, CAP_ROUND, CAP_SQUARE
</source>
        <translation type="obsolete">getLineEnd([&quot;name&quot;]) -&gt; integer (see constants)

Returns the line cap style of the object &quot;name&quot;. If &quot;name&quot; is not given the
currently selected item is used. The cap types are:
CAP_FLAT, CAP_ROUND, CAP_SQUARE
</translation>
    </message>
    <message>
        <source>getLineStyle([&quot;name&quot;]) -&gt; integer (see constants)

Returns the line style of the object &quot;name&quot;. If &quot;name&quot; is not given the
currently selected item is used. Line style constants are:
LINE_DASH, LINE_DASHDOT, LINE_DASHDOTDOT, LINE_DOT, LINE_SOLID
</source>
        <translation type="obsolete">getLineStyle([&quot;name&quot;]) -&gt; integer (see constants)

Returns the line style of the object &quot;name&quot;. If &quot;name&quot; is not given the
currently selected item is used. Line style constants are:
LINE_DASH, LINE_DASHDOT, LINE_DASHDOTDOT, LINE_DOT, LINE_SOLID
</translation>
    </message>
    <message>
        <source>getFillShade([&quot;name&quot;]) -&gt; integer

Returns the shading value of the fill color of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getFillShade([&quot;name&quot;]) -&gt; integer

Returns the shading value of the fill colour of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getCornerRadius([&quot;name&quot;]) -&gt; integer

Returns the corner radius of the object &quot;name&quot;. The radius isexpressed in points. If &quot;name&quot; is not given the currentlyselected item is used.
</source>
        <translation type="obsolete">getCornerRadius([&quot;name&quot;]) -&gt; integer

Returns the corner radius of the object &quot;name&quot;. The radius isexpressed in points. If &quot;name&quot; is not given the currentlyselected item is used.
</translation>
    </message>
    <message>
        <source>getImageScale([&quot;name&quot;]) -&gt; (x,y)

Returns a (x, y) tuple containing the scaling values of the image frame
&quot;name&quot;.  If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getImageScale([&quot;name&quot;]) -&gt; (x,y)

Returns a (x, y) tuple containing the scaling values of the image frame
&quot;name&quot;.  If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getImageName([&quot;name&quot;]) -&gt; string

Returns the filename for the image in the image frame. If &quot;name&quot; is not
given the currently selected item is used.
</source>
        <translation type="obsolete">getImageName([&quot;name&quot;]) -&gt; string

Returns the filename for the image in the image frame. If &quot;name&quot; is not
given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getPosition([&quot;name&quot;]) -&gt; (x,y)

Returns a (x, y) tuple with the position of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.The position is expressed in the actual measurement unit of the document
- see UNIT_&lt;type&gt; for reference.
</source>
        <translation type="obsolete">getPosition([&quot;name&quot;]) -&gt; (x,y)

Returns a (x, y) tuple with the position of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.The position is expressed in the actual measurement unit of the document
- see UNIT_&lt;type&gt; for reference.
</translation>
    </message>
    <message>
        <source>getSize([&quot;name&quot;]) -&gt; (width,height)

Returns a (width, height) tuple with the size of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used. The size is
expressed in the current measurement unit of the document - see UNIT_&lt;type&gt;
for reference.
</source>
        <translation type="obsolete">getSize([&quot;name&quot;]) -&gt; (width,height)

Returns a (width, height) tuple with the size of the object &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used. The size is
expressed in the current measurement unit of the document - see UNIT_&lt;type&gt;
for reference.
</translation>
    </message>
    <message>
        <source>getRotation([&quot;name&quot;]) -&gt; integer

Returns the rotation of the object &quot;name&quot;. The value is expressed in degrees,
and clockwise is positive. If &quot;name&quot; is not given the currently selected item
is used.
</source>
        <translation type="obsolete">getRotation([&quot;name&quot;]) -&gt; integer

Returns the rotation of the object &quot;name&quot;. The value is expressed in degrees,
and clockwise is positive. If &quot;name&quot; is not given the currently selected item
is used.
</translation>
    </message>
    <message>
        <source>getAllObjects() -&gt; list

Returns a list containing the names of all objects on the current page.
</source>
        <translation type="obsolete">getAllObjects() -&gt; list

Returns a list containing the names of all objects on the current page.
</translation>
    </message>
    <message>
        <source>getPropertyCType(object, property, includesuper=True)

Returns the name of the C type of `property&apos; of `object&apos;. See getProperty()
for details of arguments.

If `includesuper&apos; is true, search inherited properties too.
</source>
        <translation type="obsolete">getPropertyCType(object, property, includesuper=True)

Returns the name of the C type of `property&apos; of `object&apos;. See getProperty()
for details of arguments.

If `includesuper&apos; is true, search inherited properties too.
</translation>
    </message>
    <message>
        <source>getPropertyNames(object, includesuper=True)

Return a list of property names supported by `object&apos;.
If `includesuper&apos; is true, return properties supported
by parent classes as well.
</source>
        <translation type="obsolete">getPropertyNames(object, includesuper=True)

Return a list of property names supported by `object&apos;.
If `includesuper&apos; is true, return properties supported
by parent classes as well.
</translation>
    </message>
    <message>
        <source>getProperty(object, property)

Return the value of the property `property&apos; of the passed `object&apos;.

The `object&apos; argument may be a string, in which case the named PageItem
is searched for. It may also be a PyCObject, which may point to any
C++ QObject instance.

The `property&apos; argument must be a string, and is the name of the property
to look up on `object&apos;.

The return value varies depending on the type of the property.
</source>
        <translation type="obsolete">getProperty(object, property)

Return the value of the property `property&apos; of the passed `object&apos;.

The `object&apos; argument may be a string, in which case the named PageItem
is searched for. It may also be a PyCObject, which may point to any
C++ QObject instance.

The `property&apos; argument must be a string, and is the name of the property
to look up on `object&apos;.

The return value varies depending on the type of the property.
</translation>
    </message>
    <message>
        <source>setProperty(object, property, value)

Set `property&apos; of `object&apos; to `value&apos;. If `value&apos; cannot be converted to a type
compatible with the type of `property&apos;, an exception is raised. An exception may
also be raised if the underlying setter fails.

See getProperty() for more information.
</source>
        <translation type="obsolete">setProperty(object, property, value)

Set `property&apos; of `object&apos; to `value&apos;. If `value&apos; cannot be converted to a type
compatible with the type of `property&apos;, an exception is raised. An exception may
also be raised if the underlying setter fails.

See getProperty() for more information.
</translation>
    </message>
    <message>
        <source>getChildren(object, ofclass=None, ofname=None, regexpmatch=False, recursive=True)

Return a list of children of `object&apos;, possibly restricted to children
of class named `ofclass&apos; or children named `ofname&apos;. If `recursive&apos; is true,
search recursively through children, grandchildren, etc.

See QObject::children() in the Qt docs for more information.
</source>
        <translation type="obsolete">getChildren(object, ofclass=None, ofname=None, regexpmatch=False, recursive=True)

Return a list of children of `object&apos;, possibly restricted to children
of class named `ofclass&apos; or children named `ofname&apos;. If `recursive&apos; is true,
search recursively through children, grandchildren, etc.

See QObject::children() in the Qt docs for more information.
</translation>
    </message>
    <message>
        <source>getChild(object, childname, ofclass=None, recursive=True)

Return the first child of `object&apos; named `childname&apos;, possibly restricting
the search to children of type name `ofclass&apos;. If `recursive&apos; is true,
search recursively through children, grandchildren, etc.
</source>
        <translation type="obsolete">getChild(object, childname, ofclass=None, recursive=True)

Return the first child of `object&apos; named `childname&apos;, possibly restricting
the search to children of type name `ofclass&apos;. If `recursive&apos; is true,
search recursively through children, grandchildren, etc.
</translation>
    </message>
    <message>
        <source>moveObjectAbs(x, y [, &quot;name&quot;])

Moves the object &quot;name&quot; to a new location. The coordinates are expressed in
the current measurement unit of the document (see UNIT constants).  If &quot;name&quot;
is not given the currently selected item is used.  If the object &quot;name&quot;
belongs to a group, the whole group is moved.
</source>
        <translation type="obsolete">moveObjectAbs(x, y [, &quot;name&quot;])

Moves the object &quot;name&quot; to a new location. The coordinates are expressed in
the current measurement unit of the document (see UNIT constants).  If &quot;name&quot;
is not given the currently selected item is used.  If the object &quot;name&quot;
belongs to a group, the whole group is moved.
</translation>
    </message>
    <message>
        <source>rotateObject(rot [, &quot;name&quot;])

Rotates the object &quot;name&quot; by &quot;rot&quot; degrees relatively. The object is
rotated by the vertex that is currently selected as the rotation point - by
default, the top left vertext at zero rotation. Positive values mean counter
clockwise rotation when the default rotation point is used. If &quot;name&quot; is not
given the currently selected item is used.
</source>
        <translation type="obsolete">rotateObject(rot [, &quot;name&quot;])

Rotates the object &quot;name&quot; by &quot;rot&quot; degrees relatively. The object is
rotated by the vertex that is currently selected as the rotation point - by
default, the top left vertext at zero rotation. Positive values mean counter
clockwise rotation when the default rotation point is used. If &quot;name&quot; is not
given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>rotateObjectAbs(rot [, &quot;name&quot;])

Sets the rotation of the object &quot;name&quot; to &quot;rot&quot;. Positve values
mean counter clockwise rotation. If &quot;name&quot; is not given the currently
selected item is used.
</source>
        <translation type="obsolete">rotateObjectAbs(rot [, &quot;name&quot;])

Sets the rotation of the object &quot;name&quot; to &quot;rot&quot;. Positve values
mean counter clockwise rotation. If &quot;name&quot; is not given the currently
selected item is used.
</translation>
    </message>
    <message>
        <source>sizeObject(width, height [, &quot;name&quot;])

Resizes the object &quot;name&quot; to the given width and height. If &quot;name&quot;
is not given the currently selected item is used.
</source>
        <translation type="obsolete">sizeObject(width, height [, &quot;name&quot;])

Resizes the object &quot;name&quot; to the given width and height. If &quot;name&quot;
is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getSelectedObject([nr]) -&gt; string

Returns the name of the selected object. &quot;nr&quot; if given indicates the number
of the selected object, e.g. 0 means the first selected object, 1 means the
second selected Object and so on.
</source>
        <translation type="obsolete">getSelectedObject([nr]) -&gt; string

Returns the name of the selected object. &quot;nr&quot; if given indicates the number
of the selected object, e.g. 0 means the first selected object, 1 means the
second selected Object and so on.
</translation>
    </message>
    <message>
        <source>selectionCount() -&gt; integer

Returns the number of selected objects.
</source>
        <translation type="obsolete">selectionCount() -&gt; integer

Returns the number of selected objects.
</translation>
    </message>
    <message>
        <source>selectObject(&quot;name&quot;)

Selects the object with the given &quot;name&quot;.
</source>
        <translation type="obsolete">selectObject(&quot;name&quot;)

Selects the object with the given &quot;name&quot;.
</translation>
    </message>
    <message>
        <source>deselectAll()

Deselects all objects in the whole document.
</source>
        <translation type="obsolete">deselectAll()

Deselects all objects in the whole document.
</translation>
    </message>
    <message>
        <source>groupObjects(list)

Groups the objects named in &quot;list&quot; together. &quot;list&quot; must contain the names
of the objects to be grouped. If &quot;list&quot; is not given the currently selected
items are used.
</source>
        <translation type="obsolete">groupObjects(list)

Groups the objects named in &quot;list&quot; together. &quot;list&quot; must contain the names
of the objects to be grouped. If &quot;list&quot; is not given the currently selected
items are used.
</translation>
    </message>
    <message>
        <source>unGroupObjects(&quot;name&quot;)

Destructs the group the object &quot;name&quot; belongs to.If &quot;name&quot; is not given the currently selected item is used.</source>
        <translation type="obsolete">unGroupObjects(&quot;name&quot;)

Destructs the group the object &quot;name&quot; belongs to.If &quot;name&quot; is not given the currently selected item is used.</translation>
    </message>
    <message>
        <source>scaleGroup(factor [,&quot;name&quot;])

Scales the group the object &quot;name&quot; belongs to. Values greater than 1 enlarge
the group, values smaller than 1 make the group smaller e.g a value of 0.5
scales the group to 50 % of its original size, a value of 1.5 scales the group
to 150 % of its original size.  The value for &quot;factor&quot; must be greater than
0. If &quot;name&quot; is not given the currently selected item is used.

May raise ValueError if an invalid scale factor is passed.
</source>
        <translation type="obsolete">scaleGroup(factor [,&quot;name&quot;])

Scales the group the object &quot;name&quot; belongs to. Values greater than 1 enlarge
the group, values smaller than 1 make the group smaller e.g a value of 0.5
scales the group to 50 % of its original size, a value of 1.5 scales the group
to 150 % of its original size.  The value for &quot;factor&quot; must be greater than
0. If &quot;name&quot; is not given the currently selected item is used.

May raise ValueError if an invalid scale factor is passed.
</translation>
    </message>
    <message>
        <source>loadImage(&quot;filename&quot; [, &quot;name&quot;])

Loads the picture &quot;picture&quot; into the image frame &quot;name&quot;. If &quot;name&quot; is
not given the currently selected item is used.

May raise WrongFrameTypeError if the target frame is not an image frame
</source>
        <translation type="obsolete">loadImage(&quot;filename&quot; [, &quot;name&quot;])

Loads the picture &quot;picture&quot; into the image frame &quot;name&quot;. If &quot;name&quot; is
not given the currently selected item is used.

May raise WrongFrameTypeError if the target frame is not an image frame
</translation>
    </message>
    <message>
        <source>scaleImage(x, y [, &quot;name&quot;])

Sets the scaling factors of the picture in the image frame &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used. A number of 1
means 100 %.

May raise WrongFrameTypeError if the target frame is not an image frame
</source>
        <translation type="obsolete">scaleImage(x, y [, &quot;name&quot;])

Sets the scaling factors of the picture in the image frame &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used. A number of 1
means 100 %.

May raise WrongFrameTypeError if the target frame is not an image frame
</translation>
    </message>
    <message>
        <source>lockObject([&quot;name&quot;]) -&gt; bool

Locks the object &quot;name&quot; if it&apos;s unlocked or unlock it if it&apos;s locked.
If &quot;name&quot; is not given the currently selected item is used. Returns true
if locked.
</source>
        <translation type="obsolete">lockObject([&quot;name&quot;]) -&gt; bool

Locks the object &quot;name&quot; if it&apos;s unlocked or unlock it if it&apos;s locked.
If &quot;name&quot; is not given the currently selected item is used. Returns true
if locked.
</translation>
    </message>
    <message>
        <source>isLocked([&quot;name&quot;]) -&gt; bool

Returns true if is the object &quot;name&quot; locked.  If &quot;name&quot; is not given the
currently selected item is used.
</source>
        <translation type="obsolete">isLocked([&quot;name&quot;]) -&gt; bool

Returns true if is the object &quot;name&quot; locked.  If &quot;name&quot; is not given the
currently selected item is used.
</translation>
    </message>
    <message>
        <source>setScaleImageToFrame(scaletoframe, proportional=None, name=&lt;selection&gt;)

Sets the scale to frame on the selected or specified image frame to `scaletoframe&apos;.
If `proportional&apos; is specified, set fixed aspect ratio scaling to `proportional&apos;.
Both `scaletoframe&apos; and `proportional&apos; are boolean.

May raise WrongFrameTypeError.
</source>
        <translation type="obsolete">setScaleImageToFrame(scaletoframe, proportional=None, name=&lt;selection&gt;)

Sets the scale to frame on the selected or specified image frame to `scaletoframe&apos;.
If `proportional&apos; is specified, set fixed aspect ratio scaling to `proportional&apos;.
Both `scaletoframe&apos; and `proportional&apos; are boolean.

May raise WrongFrameTypeError.
</translation>
    </message>
    <message>
        <source>getFontNames() -&gt; list

Returns a list with the names of all available fonts.
</source>
        <translation type="obsolete">getFontNames() -&gt; list

Returns a list with the names of all available fonts.
</translation>
    </message>
    <message>
        <source>getXFontNames() -&gt; list of tuples

Returns a larger font info. It&apos;s a list of the tuples with:
[ (Scribus name, Family, Real name, subset (1|0), embed PS (1|0), font file), (...), ... ]
</source>
        <translation type="obsolete">getXFontNames() -&gt; list of tuples

Returns a larger font info. It&apos;s a list of the tuples with:
[ (Scribus name, Family, Real name, subset (1|0), embed PS (1|0), font file), (...), ... ]
</translation>
    </message>
    <message>
        <source>renderFont(&quot;name&quot;, &quot;filename&quot;, &quot;sample&quot;, size, format=&quot;PPM&quot;) -&gt; bool

Creates an image preview of font &quot;name&quot; with given text &quot;sample&quot; and size.
If &quot;filename&quot; is not &quot;&quot;, image is saved into &quot;filename&quot;. Otherwise
image data is returned as a string. The optional &quot;format&quot; argument
specifies the image format to generate, and supports any format allowed
by QPixmap.save(). Common formats are PPM, JPEG, PNG and XPM.

May raise NotFoundError if the specified font can&apos;t be found.
May raise ValueError if an empty sample or filename is passed.
</source>
        <translation type="obsolete">renderFont(&quot;name&quot;, &quot;filename&quot;, &quot;sample&quot;, size, format=&quot;PPM&quot;) -&gt; bool

Creates an image preview of font &quot;name&quot; with given text &quot;sample&quot; and size.
If &quot;filename&quot; is not &quot;&quot;, image is saved into &quot;filename&quot;. Otherwise
image data is returned as a string. The optional &quot;format&quot; argument
specifies the image format to generate, and supports any format allowed
by QPixmap.save(). Common formats are PPM, JPEG, PNG and XPM.

May raise NotFoundError if the specified font can&apos;t be found.
May raise ValueError if an empty sample or filename is passed.
</translation>
    </message>
    <message>
        <source>getLayers() -&gt; list

Returns a list with the names of all defined layers.
</source>
        <translation type="obsolete">getLayers() -&gt; list

Returns a list with the names of all defined layers.
</translation>
    </message>
    <message>
        <source>setActiveLayer(&quot;name&quot;)

Sets the active layer to the layer named &quot;name&quot;.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</source>
        <translation type="obsolete">setActiveLayer(&quot;name&quot;)

Sets the active layer to the layer named &quot;name&quot;.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</translation>
    </message>
    <message>
        <source>getActiveLayer() -&gt; string

Returns the name of the current active layer.
</source>
        <translation type="obsolete">getActiveLayer() -&gt; string

Returns the name of the current active layer.
</translation>
    </message>
    <message>
        <source>sentToLayer(&quot;layer&quot; [, &quot;name&quot;])

Sends the object &quot;name&quot; to the layer &quot;layer&quot;. The layer must exist.
If &quot;name&quot; is not given the currently selected item is used.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</source>
        <translation type="obsolete">sentToLayer(&quot;layer&quot; [, &quot;name&quot;])

Sends the object &quot;name&quot; to the layer &quot;layer&quot;. The layer must exist.
If &quot;name&quot; is not given the currently selected item is used.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</translation>
    </message>
    <message>
        <source>setLayerVisible(&quot;layer&quot;, visible)

Sets the layer &quot;layer&quot; to be visible or not. If is the visible set to false
the layer is invisible.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</source>
        <translation type="obsolete">setLayerVisible(&quot;layer&quot;, visible)

Sets the layer &quot;layer&quot; to be visible or not. If is the visible set to false
the layer is invisible.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</translation>
    </message>
    <message>
        <source>setLayerPrintable(&quot;layer&quot;, printable)

Sets the layer &quot;layer&quot; to be printable or not. If is the printable set to
false the layer won&apos;t be printed.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</source>
        <translation type="obsolete">setLayerPrintable(&quot;layer&quot;, printable)

Sets the layer &quot;layer&quot; to be printable or not. If is the printable set to
false the layer won&apos;t be printed.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</translation>
    </message>
    <message>
        <source>isLayerPrintable(&quot;layer&quot;) -&gt; bool

Returns whether the layer &quot;layer&quot; is visible or not, a value of True means
that the layer &quot;layer&quot; is visible, a value of False means that the layer
&quot;layer&quot; is invisible.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</source>
        <translation type="obsolete">isLayerPrintable(&quot;layer&quot;) -&gt; bool

Returns whether the layer &quot;layer&quot; is visible or not, a value of True means
that the layer &quot;layer&quot; is visible, a value of False means that the layer
&quot;layer&quot; is invisible.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</translation>
    </message>
    <message>
        <source>isLayerPrintable(&quot;layer&quot;) -&gt; bool

Returns whether the layer &quot;layer&quot; is printable or not, a value of True means
that the layer &quot;layer&quot; can be printed, a value of False means that printing
the layer &quot;layer&quot; is disabled.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</source>
        <translation type="obsolete">isLayerPrintable(&quot;layer&quot;) -&gt; bool

Returns whether the layer &quot;layer&quot; is printable or not, a value of True means
that the layer &quot;layer&quot; can be printed, a value of False means that printing
the layer &quot;layer&quot; is disabled.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</translation>
    </message>
    <message>
        <source>deleteLayer(&quot;layer&quot;)

Deletes the layer with the name &quot;layer&quot;. Nothing happens if the layer doesn&apos;t
exists or if it&apos;s the only layer in the document.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</source>
        <translation type="obsolete">deleteLayer(&quot;layer&quot;)

Deletes the layer with the name &quot;layer&quot;. Nothing happens if the layer doesn&apos;t
exists or if it&apos;s the only layer in the document.

May raise NotFoundError if the layer can&apos;t be found.
May raise ValueError if the layer name isn&apos;t acceptable.
</translation>
    </message>
    <message>
        <source>createLayer(layer)

Creates a new layer with the name &quot;name&quot;.

May raise ValueError if the layer name isn&apos;t acceptable.
</source>
        <translation type="obsolete">createLayer(layer)

Creates a new layer with the name &quot;name&quot;.

May raise ValueError if the layer name isn&apos;t acceptable.
</translation>
    </message>
    <message>
        <source>getGuiLanguage() -&gt; string

Returns a string with the -lang value.
</source>
        <translation type="obsolete">getGuiLanguage() -&gt; string

Returns a string with the -lang value.
</translation>
    </message>
    <message>
        <source>createEllipse(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new ellipse on the current page and returns its name.
The coordinates are given in the current measurement units of the document
(see UNIT constants). &quot;name&quot; should be a unique identifier for the object
because you need this name for further referencing of that object. If &quot;name&quot;
is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</source>
        <translation type="obsolete">createEllipse(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new ellipse on the current page and returns its name.
The coordinates are given in the current measurement units of the document
(see UNIT constants). &quot;name&quot; should be a unique identifier for the object
because you need this name for further referencing of that object. If &quot;name&quot;
is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</translation>
    </message>
    <message>
        <source>createImage(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new picture frame on the current page and returns its name. The
coordinates are given in the current measurement units of the document.
&quot;name&quot; should be a unique identifier for the object because you need this
name for further access to that object. If &quot;name&quot; is not given Scribus will
create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</source>
        <translation type="obsolete">createImage(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new picture frame on the current page and returns its name. The
coordinates are given in the current measurement units of the document.
&quot;name&quot; should be a unique identifier for the object because you need this
name for further access to that object. If &quot;name&quot; is not given Scribus will
create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</translation>
    </message>
    <message>
        <source>createText(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new text frame on the actual page and returns its name.
The coordinates are given in the actual measurement unit of the document (see
UNIT constants). &quot;name&quot; should be a unique identifier for the object because
you need this name for further referencing of that object. If &quot;name&quot; is not
given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</source>
        <translation type="obsolete">createText(x, y, width, height, [&quot;name&quot;]) -&gt; string

Creates a new text frame on the actual page and returns its name.
The coordinates are given in the actual measurement unit of the document (see
UNIT constants). &quot;name&quot; should be a unique identifier for the object because
you need this name for further referencing of that object. If &quot;name&quot; is not
given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</translation>
    </message>
    <message>
        <source>createLine(x1, y1, x2, y2, [&quot;name&quot;]) -&gt; string

Creates a new line from the point(x1, y1) to the point(x2, y2) and returns
its name. The coordinates are given in the current measurement unit of the
document (see UNIT constants). &quot;name&quot; should be a unique identifier for the
object because you need this name for further access to that object. If
&quot;name&quot; is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</source>
        <translation type="obsolete">createLine(x1, y1, x2, y2, [&quot;name&quot;]) -&gt; string

Creates a new line from the point(x1, y1) to the point(x2, y2) and returns
its name. The coordinates are given in the current measurement unit of the
document (see UNIT constants). &quot;name&quot; should be a unique identifier for the
object because you need this name for further access to that object. If
&quot;name&quot; is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
</translation>
    </message>
    <message>
        <source>createPolyLine(list, [&quot;name&quot;]) -&gt; string

Creates a new polyline and returns its name. The points for the polyline are
stored in the list &quot;list&quot; in the following order: [x1, y1, x2, y2...xn. yn].
The coordinates are given in the current measurement units of the document (see
UNIT constants). &quot;name&quot; should be a unique identifier for the object because
you need this name for further access to that object. If &quot;name&quot; is not given
Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise ValueError if an insufficient number of points is passed or if
the number of values passed don&apos;t group into points without leftovers.
</source>
        <translation type="obsolete">createPolyLine(list, [&quot;name&quot;]) -&gt; string

Creates a new polyline and returns its name. The points for the polyline are
stored in the list &quot;list&quot; in the following order: [x1, y1, x2, y2...xn. yn].
The coordinates are given in the current measurement units of the document (see
UNIT constants). &quot;name&quot; should be a unique identifier for the object because
you need this name for further access to that object. If &quot;name&quot; is not given
Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise ValueError if an insufficient number of points is passed or if
the number of values passed don&apos;t group into points without leftovers.
</translation>
    </message>
    <message>
        <source>createPolygon(list, [&quot;name&quot;]) -&gt; string

Creates a new polygon and returns its name. The points for the polygon are
stored in the list &quot;list&quot; in the following order: [x1, y1, x2, y2...xn. yn].
At least three points are required. There is no need to repeat the first point
to close the polygon. The polygon is automatically closed by connecting the
first and the last point.  The coordinates are given in the current measurement
units of the document (see UNIT constants).  &quot;name&quot; should be a unique
identifier for the object because you need this name for further access to that
object. If &quot;name&quot; is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise ValueError if an insufficient number of points is passed or if
the number of values passed don&apos;t group into points without leftovers.
</source>
        <translation type="obsolete">createPolygon(list, [&quot;name&quot;]) -&gt; string

Creates a new polygon and returns its name. The points for the polygon are
stored in the list &quot;list&quot; in the following order: [x1, y1, x2, y2...xn. yn].
At least three points are required. There is no need to repeat the first point
to close the polygon. The polygon is automatically closed by connecting the
first and the last point.  The coordinates are given in the current measurement
units of the document (see UNIT constants).  &quot;name&quot; should be a unique
identifier for the object because you need this name for further access to that
object. If &quot;name&quot; is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise ValueError if an insufficient number of points is passed or if
the number of values passed don&apos;t group into points without leftovers.
</translation>
    </message>
    <message>
        <source>createBezierLine(list, [&quot;name&quot;]) -&gt; string

Creates a new bezier curve and returns its name. The points for the bezier
curve are stored in the list &quot;list&quot; in the following order:
[x1, y1, kx1, ky1, x2, y2, kx2, ky2...xn. yn, kxn. kyn]
In the points list, x and y mean the x and y coordinates of the point and kx
and ky meaning the control point for the curve.  The coordinates are given in
the current measurement units of the document (see UNIT constants). &quot;name&quot;
should be a unique identifier for the object because you need this name for
further access to that object. If &quot;name&quot; is not given Scribus will create one
for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise ValueError if an insufficient number of points is passed or if
the number of values passed don&apos;t group into points without leftovers.
</source>
        <translation type="obsolete">createBezierLine(list, [&quot;name&quot;]) -&gt; string

Creates a new bezier curve and returns its name. The points for the bezier
curve are stored in the list &quot;list&quot; in the following order:
[x1, y1, kx1, ky1, x2, y2, kx2, ky2...xn. yn, kxn. kyn]
In the points list, x and y mean the x and y coordinates of the point and kx
and ky meaning the control point for the curve.  The coordinates are given in
the current measurement units of the document (see UNIT constants). &quot;name&quot;
should be a unique identifier for the object because you need this name for
further access to that object. If &quot;name&quot; is not given Scribus will create one
for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise ValueError if an insufficient number of points is passed or if
the number of values passed don&apos;t group into points without leftovers.
</translation>
    </message>
    <message>
        <source>createPathText(x, y, &quot;textbox&quot;, &quot;beziercurve&quot;, [&quot;name&quot;]) -&gt; string

Creates a new pathText by merging the two objects &quot;textbox&quot; and
&quot;beziercurve&quot; and returns its name. The coordinates are given in the current
measurement unit of the document (see UNIT constants). &quot;name&quot; should be a
unique identifier for the object because you need this name for further access
to that object. If &quot;name&quot; is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise NotFoundError if one or both of the named base object don&apos;t exist.
</source>
        <translation type="obsolete">createPathText(x, y, &quot;textbox&quot;, &quot;beziercurve&quot;, [&quot;name&quot;]) -&gt; string

Creates a new pathText by merging the two objects &quot;textbox&quot; and
&quot;beziercurve&quot; and returns its name. The coordinates are given in the current
measurement unit of the document (see UNIT constants). &quot;name&quot; should be a
unique identifier for the object because you need this name for further access
to that object. If &quot;name&quot; is not given Scribus will create one for you.

May raise NameExistsError if you explicitly pass a name that&apos;s already used.
May raise NotFoundError if one or both of the named base object don&apos;t exist.
</translation>
    </message>
    <message>
        <source>deleteObject([&quot;name&quot;])

Deletes the item with the name &quot;name&quot;. If &quot;name&quot; is not given the currently
selected item is deleted.
</source>
        <translation type="obsolete">deleteObject([&quot;name&quot;])

Deletes the item with the name &quot;name&quot;. If &quot;name&quot; is not given the currently
selected item is deleted.
</translation>
    </message>
    <message>
        <source>textFlowsAroundFrame(&quot;name&quot; [, state])

Enables/disables &quot;Text Flows Around Frame&quot; feature for object &quot;name&quot;.
Called with parameters string name and optional boolean &quot;state&quot;. If &quot;state&quot;
is not passed, text flow is toggled.
</source>
        <translation type="obsolete">textFlowsAroundFrame(&quot;name&quot; [, state])

Enables/disables &quot;Text Flows Around Frame&quot; feature for object &quot;name&quot;.
Called with parameters string name and optional boolean &quot;state&quot;. If &quot;state&quot;
is not passed, text flow is toggled.
</translation>
    </message>
    <message>
        <source>objectExists([&quot;name&quot;]) -&gt; bool

Test if an object with specified name really exists in the document.
The optional parameter is the object name. When no object name is given,
returns True if there is something selected.
</source>
        <translation type="obsolete">objectExists([&quot;name&quot;]) -&gt; bool

Test if an object with specified name really exists in the document.
The optional parameter is the object name. When no object name is given,
returns True if there is something selected.
</translation>
    </message>
    <message>
        <source>setStyle(&quot;style&quot; [, &quot;name&quot;])

Apply the named &quot;style&quot; to the object named &quot;name&quot;. If is no object name
given, it&apos;s applied on the selected object.
</source>
        <translation type="obsolete">setStyle(&quot;style&quot; [, &quot;name&quot;])

Apply the named &quot;style&quot; to the object named &quot;name&quot;. If is no object name
given, it&apos;s applied on the selected object.
</translation>
    </message>
    <message>
        <source>getAllStyles() -&gt; list

Return a list of the names of all paragraph styles in the current document.
</source>
        <translation type="obsolete">getAllStyles() -&gt; list

Return a list of the names of all paragraph styles in the current document.
</translation>
    </message>
    <message>
        <source>currentPage() -&gt; integer

Returns the number of the current working page. Page numbers are counted from 1
upwards, no matter what the displayed first page number of your document is.
</source>
        <translation type="obsolete">currentPage() -&gt; integer

Returns the number of the current working page. Page numbers are counted from 1
upwards, no matter what the displayed first page number of your document is.
</translation>
    </message>
    <message>
        <source>redrawAll()

Redraws all pages.
</source>
        <translation type="obsolete">redrawAll()

Redraws all pages.
</translation>
    </message>
    <message>
        <source>savePageAsEPS(&quot;name&quot;)

Saves the current page as an EPS to the file &quot;name&quot;.

May raise ScribusError if the save failed.
</source>
        <translation type="obsolete">savePageAsEPS(&quot;name&quot;)

Saves the current page as an EPS to the file &quot;name&quot;.

May raise ScribusError if the save failed.
</translation>
    </message>
    <message>
        <source>deletePage(nr)

Deletes the given page. Does nothing if the document contains only one page.
Page numbers are counted from 1 upwards, no matter what the displayed first
page number is.

May raise IndexError if the page number is out of range
</source>
        <translation type="obsolete">deletePage(nr)

Deletes the given page. Does nothing if the document contains only one page.
Page numbers are counted from 1 upwards, no matter what the displayed first
page number is.

May raise IndexError if the page number is out of range
</translation>
    </message>
    <message>
        <source>gotoPage(nr)

Moves to the page &quot;nr&quot; (that is, makes the current page &quot;nr&quot;). Note that
gotoPage doesn&apos;t (curently) change the page the user&apos;s view is displaying, it
just sets the page that script commands will operates on.

May raise IndexError if the page number is out of range.
</source>
        <translation type="obsolete">gotoPage(nr)

Moves to the page &quot;nr&quot; (that is, makes the current page &quot;nr&quot;). Note that
gotoPage doesn&apos;t (curently) change the page the user&apos;s view is displaying, it
just sets the page that script commands will operates on.

May raise IndexError if the page number is out of range.
</translation>
    </message>
    <message>
        <source>pageCount() -&gt; integer

Returns the number of pages in the document.
</source>
        <translation type="obsolete">pageCount() -&gt; integer

Returns the number of pages in the document.
</translation>
    </message>
    <message>
        <source>getHGuides() -&gt; list

Returns a list containing positions of the horizontal guides. Values are in the
document&apos;s current units - see UNIT_&lt;type&gt; constants.
</source>
        <translation type="obsolete">getHGuides() -&gt; list

Returns a list containing positions of the horizontal guides. Values are in the
document&apos;s current units - see UNIT_&lt;type&gt; constants.
</translation>
    </message>
    <message>
        <source>setHGuides(list)

Sets horizontal guides. Input parameter must be a list of guide positions
measured in the current document units - see UNIT_&lt;type&gt; constants.

Example: setHGuides(getHGuides() + [200.0, 210.0] # add new guides without any lost
         setHGuides([90,250]) # replace current guides entirely
</source>
        <translation type="obsolete">setHGuides(list)

Sets horizontal guides. Input parameter must be a list of guide positions
measured in the current document units - see UNIT_&lt;type&gt; constants.

Example: setHGuides(getHGuides() + [200.0, 210.0] # add new guides without any lost
         setHGuides([90,250]) # replace current guides entirely
</translation>
    </message>
    <message>
        <source>getVGuides()

See getHGuides.
</source>
        <translation type="obsolete">getVGuides()

See getHGuides.
</translation>
    </message>
    <message>
        <source>setVGuides()

See setHGuides.
</source>
        <translation type="obsolete">setVGuides()

See setHGuides.
</translation>
    </message>
    <message>
        <source>getPageSize() -&gt; tuple

Returns a tuple with page dimensions measured in the document&apos;s current units.
See UNIT_&lt;type&gt; constants and getPageMargins()
</source>
        <translation type="obsolete">getPageSize() -&gt; tuple

Returns a tuple with page dimensions measured in the document&apos;s current units.
See UNIT_&lt;type&gt; constants and getPageMargins()
</translation>
    </message>
    <message>
        <source>getPageItems() -&gt; list

Returns a list of tuples with items on the current page. The tuple is:
(name, objectType, order) E.g. [(&apos;Text1&apos;, 4, 0), (&apos;Image1&apos;, 2, 1)]
means that object named &apos;Text1&apos; is a text frame (type 4) and is the first at
the page...
</source>
        <translation type="obsolete">getPageItems() -&gt; list

Returns a list of tuples with items on the current page. The tuple is:
(name, objectType, order) E.g. [(&apos;Text1&apos;, 4, 0), (&apos;Image1&apos;, 2, 1)]
means that object named &apos;Text1&apos; is a text frame (type 4) and is the first at
the page...
</translation>
    </message>
    <message>
        <source>getPageMargins()

Returns the page margins as a (top, left, right, bottom) tuple in the current
units. See UNIT_&lt;type&gt; constants and getPageSize().
</source>
        <translation type="obsolete">getPageMargins()

Returns the page margins as a (top, left, right, bottom) tuple in the current
units. See UNIT_&lt;type&gt; constants and getPageSize().
</translation>
    </message>
    <message>
        <source>setFillColor(&quot;color&quot;, [&quot;name&quot;])

Sets the fill color of the object &quot;name&quot; to the color &quot;color&quot;. &quot;color&quot;
is the name of one of the defined colors. If &quot;name&quot; is not given the
currently selected item is used.
</source>
        <translation type="obsolete">setFillColor(&quot;color&quot;, [&quot;name&quot;])

Sets the fill colour of the object &quot;name&quot; to the colour &quot;color&quot;. &quot;color&quot;
is the name of one of the defined colours. If &quot;name&quot; is not given the
currently selected item is used.
</translation>
    </message>
    <message>
        <source>setLineColor(&quot;color&quot;, [&quot;name&quot;])

Sets the line color of the object &quot;name&quot; to the color &quot;color&quot;. If &quot;name&quot;
is not given the currently selected item is used.
</source>
        <translation type="obsolete">setLineColor(&quot;color&quot;, [&quot;name&quot;])

Sets the line colour of the object &quot;name&quot; to the colour &quot;color&quot;. If &quot;name&quot;
is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>setLineWidth(width, [&quot;name&quot;])

Sets line width of the object &quot;name&quot; to &quot;width&quot;. &quot;width&quot; must be in the
range from 0.0 to 12.0 inclusive, and is measured in points. If &quot;name&quot; is not
given the currently selected item is used.

May raise ValueError if the line width is out of bounds.
</source>
        <translation type="obsolete">setLineWidth(width, [&quot;name&quot;])

Sets line width of the object &quot;name&quot; to &quot;width&quot;. &quot;width&quot; must be in the
range from 0.0 to 12.0 inclusive, and is measured in points. If &quot;name&quot; is not
given the currently selected item is used.

May raise ValueError if the line width is out of bounds.
</translation>
    </message>
    <message>
        <source>setLineShade(shade, [&quot;name&quot;])

Sets the shading of the line color of the object &quot;name&quot; to &quot;shade&quot;.
&quot;shade&quot; must be an integer value in the range from 0 (lightest) to 100
(full color intensity). If &quot;name&quot; is not given the currently selected item
is used.

May raise ValueError if the line shade is out of bounds.
</source>
        <translation type="obsolete">setLineShade(shade, [&quot;name&quot;])

Sets the shading of the line colour of the object &quot;name&quot; to &quot;shade&quot;.
&quot;shade&quot; must be an integer value in the range from 0 (lightest) to 100
(full colour intensity). If &quot;name&quot; is not given the currently selected item
is used.

May raise ValueError if the line shade is out of bounds.
</translation>
    </message>
    <message>
        <source>setLineJoin(join, [&quot;name&quot;])

Sets the line join style of the object &quot;name&quot; to the style &quot;join&quot;.
If &quot;name&quot; is not given the currently selected item is used. There are
predefined constants for join - JOIN_&lt;type&gt;.
</source>
        <translation type="obsolete">setLineJoin(join, [&quot;name&quot;])

Sets the line join style of the object &quot;name&quot; to the style &quot;join&quot;.
If &quot;name&quot; is not given the currently selected item is used. There are
predefined constants for join - JOIN_&lt;type&gt;.
</translation>
    </message>
    <message>
        <source>setLineEnd(endtype, [&quot;name&quot;])

Sets the line cap style of the object &quot;name&quot; to the style &quot;cap&quot;.
If &quot;name&quot; is not given the currently selected item is used. There are
predefined constants for &quot;cap&quot; - CAP_&lt;type&gt;.
</source>
        <translation type="obsolete">setLineEnd(endtype, [&quot;name&quot;])

Sets the line cap style of the object &quot;name&quot; to the style &quot;cap&quot;.
If &quot;name&quot; is not given the currently selected item is used. There are
predefined constants for &quot;cap&quot; - CAP_&lt;type&gt;.
</translation>
    </message>
    <message>
        <source>setLineStyle(style, [&quot;name&quot;])

Sets the line style of the object &quot;name&quot; to the style &quot;style&quot;. If &quot;name&quot;
is not given the currently selected item is used. There are predefined
constants for &quot;style&quot; - LINE_&lt;style&gt;.
</source>
        <translation type="obsolete">setLineStyle(style, [&quot;name&quot;])

Sets the line style of the object &quot;name&quot; to the style &quot;style&quot;. If &quot;name&quot;
is not given the currently selected item is used. There are predefined
constants for &quot;style&quot; - LINE_&lt;style&gt;.
</translation>
    </message>
    <message>
        <source>setFillShade(shade, [&quot;name&quot;])

Sets the shading of the fill color of the object &quot;name&quot; to &quot;shade&quot;.
&quot;shade&quot; must be an integer value in the range from 0 (lightest) to 100
(full Color intensity). If &quot;name&quot; is not given the currently selected
Item is used.

May raise ValueError if the fill shade is out of bounds.
</source>
        <translation type="obsolete">setFillShade(shade, [&quot;name&quot;])

Sets the shading of the fill colour of the object &quot;name&quot; to &quot;shade&quot;.
&quot;shade&quot; must be an integer value in the range from 0 (lightest) to 100
(full Colour intensity). If &quot;name&quot; is not given the currently selected
Item is used.

May raise ValueError if the fill shade is out of bounds.
</translation>
    </message>
    <message>
        <source>setCornerRadius(radius, [&quot;name&quot;])

Sets the corner radius of the object &quot;name&quot;. The radius is expressed
in points. If &quot;name&quot; is not given the currently selected item is used.

May raise ValueError if the corner radius is negative.
</source>
        <translation type="obsolete">setCornerRadius(radius, [&quot;name&quot;])

Sets the corner radius of the object &quot;name&quot;. The radius is expressed
in points. If &quot;name&quot; is not given the currently selected item is used.

May raise ValueError if the corner radius is negative.
</translation>
    </message>
    <message>
        <source>setMultiLine(&quot;namedStyle&quot;, [&quot;name&quot;])

Sets the line style of the object &quot;name&quot; to the named style &quot;namedStyle&quot;.
If &quot;name&quot; is not given the currently selected item is used.

May raise NotFoundError if the line style doesn&apos;t exist.
</source>
        <translation type="obsolete">setMultiLine(&quot;namedStyle&quot;, [&quot;name&quot;])

Sets the line style of the object &quot;name&quot; to the named style &quot;namedStyle&quot;.
If &quot;name&quot; is not given the currently selected item is used.

May raise NotFoundError if the line style doesn&apos;t exist.
</translation>
    </message>
    <message>
        <source>getFont([&quot;name&quot;]) -&gt; string

Returns the font name for the text frame &quot;name&quot;. If this text frame
has some text selected the value assigned to the first character
of the selection is returned. If &quot;name&quot; is not given the currently
selected item is used.
</source>
        <translation type="obsolete">getFont([&quot;name&quot;]) -&gt; string

Returns the font name for the text frame &quot;name&quot;. If this text frame
has some text selected the value assigned to the first character
of the selection is returned. If &quot;name&quot; is not given the currently
selected item is used.
</translation>
    </message>
    <message>
        <source>getTextLength([&quot;name&quot;]) -&gt; integer

Returns the length of the text in the text frame &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getTextLength([&quot;name&quot;]) -&gt; integer

Returns the length of the text in the text frame &quot;name&quot;.
If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getText([&quot;name&quot;]) -&gt; string

Returns the text of the text frame &quot;name&quot;. If this text frame has some text
selected, the selected text is returned. All text in the frame, not just
currently visible text, is returned. If &quot;name&quot; is not given the currently
selected item is used.
</source>
        <translation type="obsolete">getText([&quot;name&quot;]) -&gt; string

Returns the text of the text frame &quot;name&quot;. If this text frame has some text
selected, the selected text is returned. All text in the frame, not just
currently visible text, is returned. If &quot;name&quot; is not given the currently
selected item is used.
</translation>
    </message>
    <message>
        <source>getAllText([&quot;name&quot;]) -&gt; string

Returns the text of the text frame &quot;name&quot; and of all text frames which are
linked with this frame. If this textframe has some text selected, the selected
text is returned. If &quot;name&quot; is not given the currently selected item is
used.
</source>
        <translation type="obsolete">getAllText([&quot;name&quot;]) -&gt; string

Returns the text of the text frame &quot;name&quot; and of all text frames which are
linked with this frame. If this textframe has some text selected, the selected
text is returned. If &quot;name&quot; is not given the currently selected item is
used.
</translation>
    </message>
    <message>
        <source>getLineSpacing([&quot;name&quot;]) -&gt; float

Returns the line spacing (&quot;leading&quot;) of the text frame &quot;name&quot; expressed in
points. If &quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getLineSpacing([&quot;name&quot;]) -&gt; float

Returns the line spacing (&quot;leading&quot;) of the text frame &quot;name&quot; expressed in
points. If &quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getColumnGap([&quot;name&quot;]) -&gt; float

Returns the column gap size of the text frame &quot;name&quot; expressed in points. If
&quot;name&quot; is not given the currently selected item is used.
</source>
        <translation type="obsolete">getColumnGap([&quot;name&quot;]) -&gt; float

Returns the column gap size of the text frame &quot;name&quot; expressed in points. If
&quot;name&quot; is not given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>getColumns([&quot;name&quot;]) -&gt; integer

Gets the number of columns of the text frame &quot;name&quot;. If &quot;name&quot; is not
given the currently selected item is used.
</source>
        <translation type="obsolete">getColumns([&quot;name&quot;]) -&gt; integer

Gets the number of columns of the text frame &quot;name&quot;. If &quot;name&quot; is not
given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>setText(&quot;text&quot;, [&quot;name&quot;])

Sets the text of the text frame &quot;name&quot; to the text of the string &quot;text&quot;.
Text must be UTF8 encoded - use e.g. unicode(text, &apos;iso-8859-2&apos;). See the FAQ
for more details. If &quot;name&quot; is not given the currently selected item is
used.
</source>
        <translation type="obsolete">setText(&quot;text&quot;, [&quot;name&quot;])

Sets the text of the text frame &quot;name&quot; to the text of the string &quot;text&quot;.
Text must be UTF8 encoded - use e.g. unicode(text, &apos;iso-8859-2&apos;). See the FAQ
for more details. If &quot;name&quot; is not given the currently selected item is
used.
</translation>
    </message>
    <message>
        <source>insertText(&quot;text&quot;, pos, [&quot;name&quot;])

Inserts the text &quot;text&quot; at the position &quot;pos&quot; into the text frame &quot;name&quot;.
Text must be UTF encoded (see setText() as reference) The first character has an
index of 0. Inserting at position -1 appends text to the frame. If &quot;name&quot; is
not given the currently selected Item is used.

May throw IndexError for an insertion out of bounds.
</source>
        <translation type="obsolete">insertText(&quot;text&quot;, pos, [&quot;name&quot;])

Inserts the text &quot;text&quot; at the position &quot;pos&quot; into the text frame &quot;name&quot;.
Text must be UTF encoded (see setText() as reference) The first character has an
index of 0. Inserting at position -1 appends text to the frame. If &quot;name&quot; is
not given the currently selected Item is used.

May throw IndexError for an insertion out of bounds.
</translation>
    </message>
    <message>
        <source>setFont(&quot;font&quot;, [&quot;name&quot;])

Sets the font of the text frame &quot;name&quot; to &quot;font&quot;. If there is some text
selected only the selected text is changed.  If &quot;name&quot; is not given the
currently selected item is used.

May throw ValueError if the font cannot be found.
</source>
        <translation type="obsolete">setFont(&quot;font&quot;, [&quot;name&quot;])

Sets the font of the text frame &quot;name&quot; to &quot;font&quot;. If there is some text
selected only the selected text is changed.  If &quot;name&quot; is not given the
currently selected item is used.

May throw ValueError if the font cannot be found.
</translation>
    </message>
    <message>
        <source>setFontSize(size, [&quot;name&quot;])

Sets the font size of the text frame &quot;name&quot; to &quot;size&quot;. &quot;size&quot; is treated
as a value in points. If there is some text selected only the selected text is
changed. &quot;size&quot; must be in the range 1 to 512. If &quot;name&quot; is not given the
currently selected item is used.

May throw ValueError for a font size that&apos;s out of bounds.
</source>
        <translation type="obsolete">setFontSize(size, [&quot;name&quot;])

Sets the font size of the text frame &quot;name&quot; to &quot;size&quot;. &quot;size&quot; is treated
as a value in points. If there is some text selected only the selected text is
changed. &quot;size&quot; must be in the range 1 to 512. If &quot;name&quot; is not given the
currently selected item is used.

May throw ValueError for a font size that&apos;s out of bounds.
</translation>
    </message>
    <message>
        <source>setLineSpacing(size, [&quot;name&quot;])

Sets the line spacing (&quot;leading&quot;) of the text frame &quot;name&quot; to &quot;size&quot;.
&quot;size&quot; is a value in points. If &quot;name&quot; is not given the currently selected
item is used.

May throw ValueError if the line spacing is out of bounds.
</source>
        <translation type="obsolete">setLineSpacing(size, [&quot;name&quot;])

Sets the line spacing (&quot;leading&quot;) of the text frame &quot;name&quot; to &quot;size&quot;.
&quot;size&quot; is a value in points. If &quot;name&quot; is not given the currently selected
item is used.

May throw ValueError if the line spacing is out of bounds.
</translation>
    </message>
    <message>
        <source>setColumnGap(size, [&quot;name&quot;])

Sets the column gap of the text frame &quot;name&quot; to the value &quot;size&quot;. If
&quot;name&quot; is not given the currently selected item is used.

May throw ValueError if the column gap is out of bounds (must be positive).
</source>
        <translation type="obsolete">setColumnGap(size, [&quot;name&quot;])

Sets the column gap of the text frame &quot;name&quot; to the value &quot;size&quot;. If
&quot;name&quot; is not given the currently selected item is used.

May throw ValueError if the column gap is out of bounds (must be positive).
</translation>
    </message>
    <message>
        <source>setColumns(nr, [&quot;name&quot;])

Sets the number of columns of the text frame &quot;name&quot; to the integer &quot;nr&quot;.
If &quot;name&quot; is not given the currently selected item is used.

May throw ValueError if number of columns is not at least one.
</source>
        <translation type="obsolete">setColumns(nr, [&quot;name&quot;])

Sets the number of columns of the text frame &quot;name&quot; to the integer &quot;nr&quot;.
If &quot;name&quot; is not given the currently selected item is used.

May throw ValueError if number of columns is not at least one.
</translation>
    </message>
    <message>
        <source>setTextAlignment(align, [&quot;name&quot;])

Sets the text alignment of the text frame &quot;name&quot; to the specified alignment.
If &quot;name&quot; is not given the currently selected item is used. &quot;align&quot; should
be one of the ALIGN_ constants defined in this module - see dir(scribus).

May throw ValueError for an invalid alignment constant.
</source>
        <translation type="obsolete">setTextAlignment(align, [&quot;name&quot;])

Sets the text alignment of the text frame &quot;name&quot; to the specified alignment.
If &quot;name&quot; is not given the currently selected item is used. &quot;align&quot; should
be one of the ALIGN_ constants defined in this module - see dir(scribus).

May throw ValueError for an invalid alignment constant.
</translation>
    </message>
    <message>
        <source>selectText(start, count, [&quot;name&quot;])

Selects &quot;count&quot; characters of text in the text frame &quot;name&quot; starting from the
character &quot;start&quot;. Character counting starts at 0. If &quot;count&quot; is zero, any
text selection will be cleared.  If &quot;name&quot; is not given the currently
selected item is used.

May throw IndexError if the selection is outside the bounds of the text.
</source>
        <translation type="obsolete">selectText(start, count, [&quot;name&quot;])

Selects &quot;count&quot; characters of text in the text frame &quot;name&quot; starting from the
character &quot;start&quot;. Character counting starts at 0. If &quot;count&quot; is zero, any
text selection will be cleared.  If &quot;name&quot; is not given the currently
selected item is used.

May throw IndexError if the selection is outside the bounds of the text.
</translation>
    </message>
    <message>
        <source>deleteText([&quot;name&quot;])

Deletes any text in the text frame &quot;name&quot;. If there is some text selected,
only the selected text will be deleted. If &quot;name&quot; is not given the currently
selected item is used.
</source>
        <translation type="obsolete">deleteText([&quot;name&quot;])

Deletes any text in the text frame &quot;name&quot;. If there is some text selected,
only the selected text will be deleted. If &quot;name&quot; is not given the currently
selected item is used.
</translation>
    </message>
    <message>
        <source>setTextColor(&quot;color&quot;, [&quot;name&quot;])

Sets the text color of the text frame &quot;name&quot; to the color &quot;color&quot;. If there
is some text selected only the selected text is changed. If &quot;name&quot; is not
given the currently selected item is used.
</source>
        <translation type="obsolete">setTextColor(&quot;color&quot;, [&quot;name&quot;])

Sets the text colour of the text frame &quot;name&quot; to the colour &quot;color&quot;. If there
is some text selected only the selected text is changed. If &quot;name&quot; is not
given the currently selected item is used.
</translation>
    </message>
    <message>
        <source>setTextStroke(&quot;color&quot;, [&quot;name&quot;])

Set &quot;color&quot; of the text stroke. If &quot;name&quot; is not given the currently
selected item is used.
</source>
        <translation type="obsolete">setTextStroke(&quot;color&quot;, [&quot;name&quot;])

Set &quot;color&quot; of the text stroke. If &quot;name&quot; is not given the currently
selected item is used.
</translation>
    </message>
    <message>
        <source>setTextShade(shade, [&quot;name&quot;])

Sets the shading of the text color of the object &quot;name&quot; to &quot;shade&quot;. If
there is some text selected only the selected text is changed. &quot;shade&quot; must
be an integer value in the range from 0 (lightest) to 100 (full color
intensity). If &quot;name&quot; is not given the currently selected item is
used.
</source>
        <translation type="obsolete">setTextShade(shade, [&quot;name&quot;])

Sets the shading of the text colour of the object &quot;name&quot; to &quot;shade&quot;. If
there is some text selected only the selected text is changed. &quot;shade&quot; must
be an integer value in the range from 0 (lightest) to 100 (full colour
intensity). If &quot;name&quot; is not given the currently selected item is
used.
</translation>
    </message>
    <message>
        <source>linkTextFrames(&quot;fromname&quot;, &quot;toname&quot;)

Link two text frames. The frame named &quot;fromname&quot; is linked to the
frame named &quot;toname&quot;. The target frame must be an empty text frame
and must not link to or be linked from any other frames already.

May throw ScribusException if linking rules are violated.
</source>
        <translation type="obsolete">linkTextFrames(&quot;fromname&quot;, &quot;toname&quot;)

Link two text frames. The frame named &quot;fromname&quot; is linked to the
frame named &quot;toname&quot;. The target frame must be an empty text frame
and must not link to or be linked from any other frames already.

May throw ScribusException if linking rules are violated.
</translation>
    </message>
    <message>
        <source>unlinkTextFrames(&quot;name&quot;)

Remove the specified (named) object from the text frame flow/linkage. If the
frame was in the middle of a chain, the previous and next frames will be
connected, eg &apos;a-&gt;b-&gt;c&apos; becomes &apos;a-&gt;c&apos; when you unlinkTextFrames(b)&apos;

May throw ScribusException if linking rules are violated.
</source>
        <translation type="obsolete">unlinkTextFrames(&quot;name&quot;)

Remove the specified (named) object from the text frame flow/linkage. If the
frame was in the middle of a chain, the previous and next frames will be
connected, eg &apos;a-&gt;b-&gt;c&apos; becomes &apos;a-&gt;c&apos; when you unlinkTextFrames(b)&apos;

May throw ScribusException if linking rules are violated.
</translation>
    </message>
    <message>
        <source>traceText([&quot;name&quot;])

Convert the text frame &quot;name&quot; to outlines. If &quot;name&quot; is not given the
currently selected item is used.</source>
        <translation type="obsolete">traceText([&quot;name&quot;])

Convert the text frame &quot;name&quot; to outlines. If &quot;name&quot; is not given the
currently selected item is used.</translation>
    </message>
    <message>
        <source>textOverflows([&quot;name&quot;, nolinks]) -&gt; integer

Returns the actual number of overflowing characters in text frame &quot;name&quot;.
If is nolinks set to non zero value it takes only one frame - it doesn&apos;t
use text frame linking. Without this parameter it search all linking chain.

May raise WrongFrameTypeError if the target frame is not an text frame
</source>
        <translation type="obsolete">textOverflows([&quot;name&quot;, nolinks]) -&gt; integer

Returns the actual number of overflowing characters in text frame &quot;name&quot;.
If is nolinks set to non zero value it takes only one frame - it doesn&apos;t
use text frame linking. Without this parameter it search all linking chain.

May raise WrongFrameTypeError if the target frame is not an text frame
</translation>
    </message>
    <message>
        <source>setPDFBookmark(&quot;toggle&quot;, [&quot;name&quot;])

Sets wether (toggle = 1) the text frame &quot;name&quot; is a bookmark nor not.
If &quot;name&quot; is not given the currently selected item is used.

May raise WrongFrameTypeError if the target frame is not a text frame
</source>
        <translation type="obsolete">setPDFBookmark(&quot;toggle&quot;, [&quot;name&quot;])

Sets wether (toggle = 1) the text frame &quot;name&quot; is a bookmark nor not.
If &quot;name&quot; is not given the currently selected item is used.

May raise WrongFrameTypeError if the target frame is not a text frame
</translation>
    </message>
    <message>
        <source>isPDFBookmark([&quot;name&quot;]) -&gt; bool

Returns true if the text frame &quot;name&quot; is a PDF bookmark.
If &quot;name&quot; is not given the currently selected item is used.

May raise WrongFrameTypeError if the target frame is not a text frame
</source>
        <translation type="obsolete">isPDFBookmark([&quot;name&quot;]) -&gt; bool

Returns true if the text frame &quot;name&quot; is a PDF bookmark.
If &quot;name&quot; is not given the currently selected item is used.

May raise WrongFrameTypeError if the target frame is not a text frame
</translation>
    </message>
    <message>
        <source>progressReset()

Cleans up the Scribus progress bar previous settings. It is called before the
new progress bar use. See progressSet.
</source>
        <translation type="obsolete">progressReset()

Cleans up the Scribus progress bar previous settings. It is called before the
new progress bar use. See progressSet.
</translation>
    </message>
    <message>
        <source>progressTotal(max)

Sets the progress bar&apos;s maximum steps value to the specified number.
See progressSet.
</source>
        <translation type="obsolete">progressTotal(max)

Sets the progress bar&apos;s maximum steps value to the specified number.
See progressSet.
</translation>
    </message>
    <message>
        <source>progressSet(nr)

Set the progress bar position to &quot;nr&quot;, a value relative to the previously set
progressTotal. The progress bar uses the concept of steps; you give it the
total number of steps and the number of steps completed so far and it will
display the percentage of steps that have been completed. You can specify the
total number of steps with progressTotal(). The current number of steps is set
with progressSet(). The progress bar can be rewound to the beginning with
progressReset(). [based on info taken from Trolltech&apos;s Qt docs]
</source>
        <translation type="obsolete">progressSet(nr)

Set the progress bar position to &quot;nr&quot;, a value relative to the previously set
progressTotal. The progress bar uses the concept of steps; you give it the
total number of steps and the number of steps completed so far and it will
display the percentage of steps that have been completed. You can specify the
total number of steps with progressTotal(). The current number of steps is set
with progressSet(). The progress bar can be rewound to the beginning with
progressReset(). [based on info taken from Trolltech&apos;s Qt docs]
</translation>
    </message>
    <message>
        <source>setCursor()

[UNSUPPORTED!] This might break things, so steer clear for now.
</source>
        <translation type="obsolete">setCursor()

[UNSUPPORTED!] This might break things, so steer clear for now.
</translation>
    </message>
    <message>
        <source>docChanged(bool)

Enable/disable save icon in the Scribus icon bar and the Save menu item. It&apos;s
useful to call this procedure when you&apos;re changing the document, because Scribus
won&apos;t automatically notice when you change the document using a script.
</source>
        <translation type="obsolete">docChanged(bool)

Enable/disable save icon in the Scribus icon bar and the Save menu item. It&apos;s
useful to call this procedure when you&apos;re changing the document, because Scribus
won&apos;t automatically notice when you change the document using a script.
</translation>
    </message>
    <message>
        <source>newStyleDialog() -&gt; string

Shows &apos;Create new paragraph style&apos; dialog. Function returns real
style name or None when user cancels the dialog.
</source>
        <translation type="obsolete">newStyleDialog() -&gt; string

Shows &apos;Create new paragraph style&apos; dialog. Function returns real
style name or None when user cancels the dialog.
</translation>
    </message>
    <message>
        <source>newDoc(size, margins, orientation, firstPageNumber,
                   unit, facingPages, firstSideLeft) -&gt; bool

WARNING: Obsolete procedure! Use newDocument instead.

Creates a new document and returns true if successful. The parameters have the
following meaning:

    size = A tuple (width, height) describing the size of the document. You can
    use predefined constants named PAPER_&lt;paper_type&gt; e.g. PAPER_A4 etc.

    margins = A tuple (left, right, top, bottom) describing the document
    margins

    orientation = the page orientation - constants PORTRAIT, LANDSCAPE

    firstPageNumer = is the number of the first page in the document used for
    pagenumbering. While you&apos;ll usually want 1, it&apos;s useful to have higher
    numbers if you&apos;re creating a document in several parts.

    unit: this value sets the measurement units used by the document. Use a
    predefined constant for this, one of: UNIT_INCHES, UNIT_MILLIMETERS,
    UNIT_PICAS, UNIT_POINTS.

    facingPages = FACINGPAGES, NOFACINGPAGES

    firstSideLeft = FIRSTPAGELEFT, FIRSTPAGERIGHT

The values for width, height and the margins are expressed in the given unit
for the document. PAPER_* constants are expressed in points. If your document
is not in points, make sure to account for this.

example: newDoc(PAPER_A4, (10, 10, 20, 20), LANDSCAPE, 1, UNIT_POINTS,
                FACINGPAGES, FIRSTPAGERIGHT)
</source>
        <translation type="obsolete">newDoc(size, margins, orientation, firstPageNumber,
                   unit, facingPages, firstSideLeft) -&gt; bool

WARNING: Obsolete procedure! Use newDocument instead.

Creates a new document and returns true if successful. The parameters have the
following meaning:

    size = A tuple (width, height) describing the size of the document. You can
    use predefined constants named PAPER_&lt;paper_type&gt; e.g. PAPER_A4 etc.

    margins = A tuple (left, right, top, bottom) describing the document
    margins

    orientation = the page orientation - constants PORTRAIT, LANDSCAPE

    firstPageNumer = is the number of the first page in the document used for
    pagenumbering. While you&apos;ll usually want 1, it&apos;s useful to have higher
    numbers if you&apos;re creating a document in several parts.

    unit: this value sets the measurement units used by the document. Use a
    predefined constant for this, one of: UNIT_INCHES, UNIT_MILLIMETERS,
    UNIT_PICAS, UNIT_POINTS.

    facingPages = FACINGPAGES, NOFACINGPAGES

    firstSideLeft = FIRSTPAGELEFT, FIRSTPAGERIGHT

The values for width, height and the margins are expressed in the given unit
for the document. PAPER_* constants are expressed in points. If your document
is not in points, make sure to account for this.

example: newDoc(PAPER_A4, (10, 10, 20, 20), LANDSCAPE, 1, UNIT_POINTS,
                FACINGPAGES, FIRSTPAGERIGHT)
</translation>
    </message>
    <message>
        <source>closeMasterPage()

Closes the currently active master page, if any, and returns editing
to normal. Begin editing with editMasterPage().
</source>
        <translation type="obsolete">closeMasterPage()

Closes the currently active master page, if any, and returns editing
to normal. Begin editing with editMasterPage().
</translation>
    </message>
    <message>
        <source>masterPageNames()

Returns a list of the names of all master pages in the document.
</source>
        <translation type="obsolete">masterPageNames()

Returns a list of the names of all master pages in the document.
</translation>
    </message>
    <message>
        <source>editMasterPage(pageName)

Enables master page editing and opens the named master page
for editing. Finish editing with closeMasterPage().
</source>
        <translation type="obsolete">editMasterPage(pageName)

Enables master page editing and opens the named master page
for editing. Finish editing with closeMasterPage().
</translation>
    </message>
    <message>
        <source>createMasterPage(pageName)

Creates a new master page named pageName and opens it for
editing.
</source>
        <translation type="obsolete">createMasterPage(pageName)

Creates a new master page named pageName and opens it for
editing.
</translation>
    </message>
    <message>
        <source>deleteMasterPage(pageName)

Delete the named master page.
</source>
        <translation type="obsolete">deleteMasterPage(pageName)

Delete the named master page.
</translation>
    </message>
    <message>
        <source>zoomDocument(double)

Zoom the document in main GUI window. Actions have whole number
values like 20.0, 100.0, etc. Zoom to Fit uses -100 as a marker.
</source>
        <translation type="obsolete">zoomDocument(double)

Zoom the document in main GUI window. Actions have whole number
values like 20.0, 100.0, etc. Zoom to Fit uses -100 as a marker.
</translation>
    </message>
</context>
<context>
    <name>AIPlug</name>
    <message>
        <location filename="../../../scribus/plugins/import/ai/importai.cpp" line="124"/>
        <source>Importing: %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ai/importai.cpp" line="127"/>
        <source>Analyzing File:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ai/importai.cpp" line="262"/>
        <source>Group%1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ai/importai.cpp" line="2495"/>
        <source>Generating Items</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>About</name>
    <message>
        <location filename="../../../scribus/about.cpp" line="309"/>
        <source>Contributions from:</source>
        <translation>Katkıda bulunanlar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="188"/>
        <source>&amp;About</source>
        <translation>&amp;Hakkında</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="201"/>
        <source>A&amp;uthors</source>
        <translation>&amp;Yazarlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="215"/>
        <source>&amp;Translations</source>
        <translation>Ç&amp;eviriler</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="226"/>
        <source>&amp;Online</source>
        <translation>Ç&amp;evrimiçi</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="267"/>
        <source>&amp;Close</source>
        <translation>&amp;Kapat</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="299"/>
        <source>Development Team:</source>
        <translation>Geliştirme ekibi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="307"/>
        <source>Haiku Port:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="311"/>
        <source>Official Documentation:</source>
        <translation>Resmi Belgelendirme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="315"/>
        <source>Other Documentation:</source>
        <translation>Diğer belgelendirme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="349"/>
        <source>Homepage</source>
        <translation>Anasayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="351"/>
        <source>Online Reference</source>
        <translation>Çevrimiçi Dokümanlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="355"/>
        <source>Bugs and Feature Requests</source>
        <translation>Hatalar ve özellik istekleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="359"/>
        <source>Mailing List</source>
        <translation>Mailing List</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="333"/>
        <source>Official Translations and Translators:</source>
        <translation>Resmi çeviri ve çevirmenler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="335"/>
        <source>Previous Translation Contributors:</source>
        <translation>Önceki çevirilere katkıda bulunanlar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="97"/>
        <source>About Scribus %1</source>
        <translation>Scribus %1 Hakkında
</translation>
    </message>
    <message>
        <source>Windows Port:</source>
        <translation type="obsolete">Windowsa uyarlayan:</translation>
    </message>
    <message>
        <source>Mac OSX Aqua Port:</source>
        <translation type="obsolete">Mac OSX &apos;e uyarlayan:</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="353"/>
        <source>Wiki</source>
        <translation>Wiki</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="125"/>
        <source>%1 %2 %3</source>
        <translation>%1 %2 %3</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="133"/>
        <source>%3-%2-%1 %4 %5</source>
        <translation>%3-%2-%1 %4 %5</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="183"/>
        <source>Using Ghostscript version %1</source>
        <translation>Ghostscript sürümü: %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="185"/>
        <source>No Ghostscript version available</source>
        <translation>Ghostscript yüklü değil</translation>
    </message>
    <message>
        <source>&lt;b&gt;Scribus Version %1&lt;/b&gt;&lt;p&gt;%2&lt;br/&gt;%3 %4&lt;br/&gt;%5&lt;/p&gt;</source>
        <translation type="obsolete">&lt;b&gt;Scribus Sürüm %1&lt;/b&gt;&lt;p&gt;%2&lt;br/&gt;%3 %4&lt;br/&gt;%5&lt;/p&gt;</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="186"/>
        <source>Build ID:</source>
        <translation>Build ID:</translation>
    </message>
    <message>
        <source>This panel shows the version, build date and compiled in library support in Scribus. The C-C-T-F equates to C=littlecms C=CUPS T=TIFF support F=Fontconfig support. Last Letter is the renderer C=cairo or A=libart Missing library support is indicated by a *. This also indicates the version of Ghostscript which Scribus has detected.</source>
        <translation type="obsolete">This panel shows the version, build date and compiled in library support in Scribus. The C-C-T-F equates to C=littlecms C=CUPS T=TIFF support F=Fontconfig support. Last Letter is the renderer C=cairo or A=libart Missing library support is indicated by a *. This also indicates the version of Ghostscript which Scribus has detected.</translation>
    </message>
    <message>
        <source>January</source>
        <translation type="obsolete">Ocak</translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="301"/>
        <source>Mac OS&amp;#174; X Aqua Port:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="305"/>
        <source>Windows&amp;#174; Port:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="321"/>
        <source>Tango Project Icons:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="229"/>
        <source>&amp;Updates</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="279"/>
        <source>Check for updates to Scribus. No data from your machine will be transferred off it.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="303"/>
        <source>OS/2&amp;#174;/eComStation&amp;#8482; Port:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="319"/>
        <source>Splash Screen:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="275"/>
        <source>This panel shows the version, build date and compiled in library support in Scribus.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="276"/>
        <source>The C-C-T-F equates to C=littlecms C=CUPS T=TIFF support F=Fontconfig support.Last Letter is the renderer C=cairo or Q=Qt</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="277"/>
        <source>Missing library support is indicated by a *. This also indicates the version of Ghostscript which Scribus has detected.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="278"/>
        <source>The Windows version does not use fontconfig or CUPS libraries.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="186"/>
        <source>&lt;p align=&quot;center&quot;&gt;&lt;b&gt;%1 %2&lt;/b&gt;&lt;/p&gt;&lt;p align=&quot;center&quot;&gt;%3&lt;br&gt;%4 %5&lt;br&gt;%6&lt;/p&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="186"/>
        <source>Scribus Version</source>
        <translation type="unfinished">Scribus Sürümü </translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="233"/>
        <location filename="../../../scribus/about.cpp" line="657"/>
        <source>Check for Updates</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="655"/>
        <source>Abort Update Check</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="357"/>
        <source>Developer Blog</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="240"/>
        <source>&amp;Licence</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="249"/>
        <source>Unable to open licence file. Please check your install directory or the Scribus website for licencing information.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="313"/>
        <source>Doc Translators:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="317"/>
        <source>Webmasters:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/about.cpp" line="452"/>
        <location filename="../../../scribus/about.cpp" line="566"/>
        <location filename="../../../scribus/about.cpp" line="633"/>
        <source>Unable to open %1 file. Please check your install directory or the Scribus website for %1 information.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>AboutPlugins</name>
    <message>
        <source>Yes</source>
        <translation type="obsolete">Evet</translation>
    </message>
    <message>
        <source>No</source>
        <translation type="obsolete">Hayır</translation>
    </message>
    <message>
        <location filename="../../../scribus/aboutplugins.cpp" line="68"/>
        <source>Filename:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aboutplugins.cpp" line="69"/>
        <source>Version:</source>
        <translation type="unfinished">Sürüm:</translation>
    </message>
    <message>
        <location filename="../../../scribus/aboutplugins.cpp" line="72"/>
        <source>Enabled:</source>
        <translation type="unfinished">Etkin:</translation>
    </message>
    <message>
        <location filename="../../../scribus/aboutplugins.cpp" line="73"/>
        <source>Release Date:</source>
        <translation type="unfinished">Sürüm Tarihi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/aboutplugins.cpp" line="80"/>
        <source>Description:</source>
        <translation type="unfinished">Tanım:</translation>
    </message>
    <message>
        <location filename="../../../scribus/aboutplugins.cpp" line="81"/>
        <source>Author(s):</source>
        <translation type="unfinished">Yazar(lar):</translation>
    </message>
    <message>
        <location filename="../../../scribus/aboutplugins.cpp" line="82"/>
        <source>Copyright:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aboutplugins.cpp" line="83"/>
        <source>License:</source>
        <translation type="unfinished">Lisans:</translation>
    </message>
    <message>
        <location filename="../../../scribus/aboutplugins.ui" line="13"/>
        <source>Scribus: About Plug-ins</source>
        <translation type="unfinished">Scribus: Eklentiller hakkında</translation>
    </message>
</context>
<context>
    <name>AboutPluginsBase</name>
    <message>
        <source>Scribus: About Plug-ins</source>
        <translation type="obsolete">Scribus: Eklentiller hakkında</translation>
    </message>
    <message>
        <source>File Name:</source>
        <translation type="obsolete">Dosya Adı:</translation>
    </message>
    <message>
        <source>Version:</source>
        <translation type="obsolete">Sürüm:</translation>
    </message>
    <message>
        <source>Enabled:</source>
        <translation type="obsolete">Etkin:</translation>
    </message>
    <message>
        <source>Release Date:</source>
        <translation type="obsolete">Sürüm Tarihi:</translation>
    </message>
    <message>
        <source>Copyright:</source>
        <translation type="obsolete">Telif Hakkı:</translation>
    </message>
    <message>
        <source>Author(s):</source>
        <translation type="obsolete">Yazar(lar):</translation>
    </message>
    <message>
        <source>Description:</source>
        <translation type="obsolete">Tanım:</translation>
    </message>
    <message>
        <source>License:</source>
        <translation type="obsolete">Lisans:</translation>
    </message>
    <message>
        <source>&amp;Close</source>
        <translation type="obsolete">K&amp;apat</translation>
    </message>
    <message>
        <source>Alt+C</source>
        <translation type="obsolete">Alt+C</translation>
    </message>
</context>
<context>
    <name>ActionManager</name>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1349"/>
        <source>&amp;Image Effects</source>
        <translation>&amp;Resim Efektleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1350"/>
        <source>&amp;Tabulators...</source>
        <translation>&amp;Cetvelleyiciler...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1269"/>
        <source>&amp;New</source>
        <translation>Y&amp;eni</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1271"/>
        <source>&amp;Open...</source>
        <translation>&amp;Aç...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1272"/>
        <source>&amp;Close</source>
        <translation>K&amp;apat</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1273"/>
        <source>&amp;Save</source>
        <translation>&amp;Kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1274"/>
        <source>Save &amp;As...</source>
        <translation>&amp;Farklı kaydet...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1275"/>
        <source>Re&amp;vert to Saved</source>
        <translation>Kaydedilmişe &amp;Dön</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1276"/>
        <source>Collect for O&amp;utput...</source>
        <translation>Çıktı İçin &amp;Topla...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1277"/>
        <source>Get Text...</source>
        <translation>Metin Al...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1278"/>
        <source>Append &amp;Text...</source>
        <translation>&amp;Metin Ekle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1279"/>
        <source>Get Image...</source>
        <translation>Resim Al...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1282"/>
        <source>Save &amp;Text...</source>
        <translation>Metni K&amp;aydet...</translation>
    </message>
    <message>
        <source>Save Page as &amp;EPS...</source>
        <translation type="obsolete">Sayfayı &amp;EPS biçiminde kaydet...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1284"/>
        <source>Save as P&amp;DF...</source>
        <translation>P&amp;DF olarak kaydet...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1285"/>
        <source>Document &amp;Setup...</source>
        <translation>Belge Dü&amp;zeni...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1287"/>
        <source>&amp;Print...</source>
        <translation>&amp;Yazdır...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1289"/>
        <source>&amp;Quit</source>
        <translation>Çı&amp;k</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1291"/>
        <source>&amp;Undo</source>
        <translation>Geri &amp;Al</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1292"/>
        <source>&amp;Redo</source>
        <translation>&amp;Yinele</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1293"/>
        <source>&amp;Item Action Mode</source>
        <translation>Öğe işlem ki&amp;pi</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1294"/>
        <source>Cu&amp;t</source>
        <translation>&amp;Kes</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1295"/>
        <location filename="../../../scribus/actionmanager.cpp" line="1297"/>
        <source>&amp;Copy</source>
        <translation>K&amp;opyala</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1296"/>
        <location filename="../../../scribus/actionmanager.cpp" line="1298"/>
        <source>&amp;Paste</source>
        <translation>&amp;Yapıştır</translation>
    </message>
    <message>
        <source>C&amp;lear Contents</source>
        <translation type="obsolete">İçeriği &amp;Temizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1302"/>
        <source>Select &amp;All</source>
        <translation>Tümünü S&amp;eç</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1304"/>
        <source>&amp;Deselect All</source>
        <translation>Tümünden seçimi ka&amp;ldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1305"/>
        <source>&amp;Search/Replace...</source>
        <translation>Ara/Değ&amp;iştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1308"/>
        <source>C&amp;olors...</source>
        <translation>&amp;Renkler...</translation>
    </message>
    <message>
        <source>&amp;Paragraph Styles...</source>
        <translation type="obsolete">&amp;Paragraf Stilleri...</translation>
    </message>
    <message>
        <source>&amp;Line Styles...</source>
        <translation type="obsolete">Çiz&amp;gi Stilleri...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1312"/>
        <source>&amp;Master Pages...</source>
        <translation>&amp;Mastar sayfalar...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1286"/>
        <source>P&amp;references...</source>
        <translation>&amp;Tercihler...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1320"/>
        <source>%1 pt</source>
        <translation>%1 pt</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1322"/>
        <source>&amp;Other...</source>
        <translation>&amp;Diğer...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1323"/>
        <source>&amp;Left</source>
        <translation>&amp;Sol</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1324"/>
        <source>&amp;Center</source>
        <translation>Or&amp;tala</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1325"/>
        <source>&amp;Right</source>
        <translation>Sa&amp;ğ</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1326"/>
        <source>&amp;Block</source>
        <translation>&amp;Blok</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1327"/>
        <source>&amp;Forced</source>
        <translation>&amp;Zorlanmış</translation>
    </message>
    <message>
        <source>&amp;%1 %</source>
        <translation type="obsolete">&amp;%1 %</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1338"/>
        <source>&amp;Normal</source>
        <translation>&amp;Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1339"/>
        <source>&amp;Underline</source>
        <translation>Altı Çizil&amp;i</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1340"/>
        <source>Underline &amp;Words</source>
        <translation>Kelimelerin altını çi&amp;z</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1341"/>
        <source>&amp;Strike Through</source>
        <translation>Ü&amp;stü Çizili</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1342"/>
        <source>&amp;All Caps</source>
        <translation>&amp;Büyük harfe çevir</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1343"/>
        <source>Small &amp;Caps</source>
        <translation>&amp;Küçük harfe çevir</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1344"/>
        <source>Su&amp;perscript</source>
        <translation>Su&amp;perscript</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1345"/>
        <source>Su&amp;bscript</source>
        <translation>Su&amp;bscript</translation>
    </message>
    <message>
        <source>&amp;Outline</source>
        <translation type="obsolete">Kontü&amp;r</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1353"/>
        <source>D&amp;uplicate</source>
        <translation>Ç&amp;oğalt</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1354"/>
        <source>&amp;Multiple Duplicate</source>
        <translation>&amp;Çoklu Çoğalt&amp;ma</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1355"/>
        <source>&amp;Delete</source>
        <translation>&amp;Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1356"/>
        <source>&amp;Group</source>
        <translation>&amp;Grupla</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1357"/>
        <source>&amp;Ungroup</source>
        <translation>Grubu &amp;çöz</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1358"/>
        <source>Is &amp;Locked</source>
        <translation>Kilitl&amp;i</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1359"/>
        <source>Si&amp;ze is Locked</source>
        <translation>Ölçü ki&amp;litli</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1363"/>
        <source>Lower to &amp;Bottom</source>
        <translation>En &amp;alta gönder</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1364"/>
        <source>Raise to &amp;Top</source>
        <translation>En üste ge&amp;tir</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1365"/>
        <source>&amp;Lower</source>
        <translation>&amp;Alçalt</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1366"/>
        <source>&amp;Raise</source>
        <translation>&amp;Yükselt</translation>
    </message>
    <message>
        <source>Send to S&amp;crapbook</source>
        <translation type="obsolete">Al&amp;büme Yolla</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1369"/>
        <source>&amp;Attributes...</source>
        <translation>&amp;Nitelikler...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1371"/>
        <source>I&amp;mage Visible</source>
        <translation>Resim Görünü&amp;r</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1379"/>
        <source>Is PDF &amp;Bookmark</source>
        <translation>PDF Y&amp;er imidir</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1380"/>
        <source>Is PDF A&amp;nnotation</source>
        <translation>PDF No&amp;tudur</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1381"/>
        <source>Annotation P&amp;roperties</source>
        <translation>Açıklama Ö&amp;zellikleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1382"/>
        <source>Field P&amp;roperties</source>
        <translation>Alan Ö&amp;zellikleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1383"/>
        <source>&amp;Edit Shape...</source>
        <translation>Ş&amp;ekli düzenle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1384"/>
        <source>&amp;Attach Text to Path</source>
        <translation>Metni &amp;Eğriye Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1385"/>
        <source>&amp;Detach Text from Path</source>
        <translation>Metni Eğri&amp;den Ayır</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1386"/>
        <source>&amp;Combine Polygons</source>
        <translation>Çokgenleri &amp;Birleştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1387"/>
        <source>Split &amp;Polygons</source>
        <translation>Çokgenleri Bö&amp;l</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1388"/>
        <source>&amp;Bezier Curve</source>
        <translation>&amp;Bezier eğrisi</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1389"/>
        <source>&amp;Image Frame</source>
        <translation>Resim Çe&amp;rçevesi</translation>
    </message>
    <message>
        <source>&amp;Outlines</source>
        <translation type="obsolete">Anahat&amp;lar</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1391"/>
        <source>&amp;Polygon</source>
        <translation>Çokge&amp;n</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1392"/>
        <source>&amp;Text Frame</source>
        <translation>&amp;Metin Çerçevesi</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1396"/>
        <source>&amp;Glyph...</source>
        <translation>&amp;Glyph...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1397"/>
        <source>Sample Text</source>
        <translation>Örnek Metin</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1401"/>
        <source>&amp;Insert...</source>
        <translation>&amp;Ekle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1402"/>
        <source>Im&amp;port...</source>
        <translation>İth&amp;al et...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1403"/>
        <source>&amp;Delete...</source>
        <translation>&amp;Sil...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1404"/>
        <source>&amp;Copy...</source>
        <translation>K&amp;opyala...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1405"/>
        <source>&amp;Move...</source>
        <translation>&amp;Taşı...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1406"/>
        <source>&amp;Apply Master Page...</source>
        <translation>&amp;Mastar sayfayı uygula...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1408"/>
        <source>Manage &amp;Guides...</source>
        <translation>Kılavuz &amp;Yönetimi...</translation>
    </message>
    <message>
        <source>&amp;Fit in window</source>
        <translation type="obsolete">Pencereye &amp;Sığdır</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1414"/>
        <source>&amp;50%</source>
        <translation>&amp;50%</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1415"/>
        <source>&amp;75%</source>
        <translation>&amp;75%</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1416"/>
        <source>&amp;100%</source>
        <translation>&amp;100%</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1417"/>
        <source>&amp;200%</source>
        <translation>&amp;200%</translation>
    </message>
    <message>
        <source>&amp;Thumbnails</source>
        <translation type="obsolete">Küçük R&amp;esimler</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1420"/>
        <source>Show &amp;Margins</source>
        <translation>&amp;Kenarlıkları Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1422"/>
        <source>Show &amp;Frames</source>
        <translation>Çerçeveleri &amp;Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1424"/>
        <source>Show &amp;Images</source>
        <translation>Resimleri &amp;Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1425"/>
        <source>Show &amp;Grid</source>
        <translation>&amp;Izgarayı Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1426"/>
        <source>Show G&amp;uides</source>
        <translation>Kıla&amp;vuzları Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1428"/>
        <source>Show &amp;Baseline Grid</source>
        <translation type="unfinished">Show &amp;Baseline Grid</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1429"/>
        <source>Show &amp;Text Chain</source>
        <translation>Metin B&amp;ağlarını Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1433"/>
        <source>Sn&amp;ap to Grid</source>
        <translation>Iz&amp;garaya Yapıştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1434"/>
        <source>Sna&amp;p to Guides</source>
        <translation>Kılavuzlara &amp;Yapıştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1439"/>
        <source>&amp;Properties</source>
        <translation>Ö&amp;zellikler</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1441"/>
        <source>&amp;Scrapbook</source>
        <translation>&amp;Albüm</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1442"/>
        <source>&amp;Layers</source>
        <translation>&amp;Katmanlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1444"/>
        <source>&amp;Bookmarks</source>
        <translation>&amp;Yer imleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1445"/>
        <source>&amp;Measurements</source>
        <translation>Ölçü&amp;ler</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1446"/>
        <source>Action &amp;History</source>
        <translation>İşlem &amp;Geçmişi</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1447"/>
        <source>Preflight &amp;Verifier</source>
        <translation>Bas&amp;kı Denetleyicisi</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1449"/>
        <source>&amp;Tools</source>
        <translation>&amp;Araçlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1450"/>
        <source>P&amp;DF Tools</source>
        <translation>P&amp;DF Araçları</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1453"/>
        <source>Select Item</source>
        <translation>Öğeyi Seç</translation>
    </message>
    <message>
        <source>T&amp;able</source>
        <translation type="obsolete">T&amp;ablo</translation>
    </message>
    <message>
        <source>&amp;Shape</source>
        <translation type="obsolete">Ş&amp;ekil</translation>
    </message>
    <message>
        <source>&amp;Line</source>
        <translation type="obsolete">Ç&amp;izgi</translation>
    </message>
    <message>
        <source>&amp;Freehand Line</source>
        <translation type="obsolete">&amp;Serbest Çizim</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1454"/>
        <source>Rotate Item</source>
        <translation>Öğeyi Döndür</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1455"/>
        <source>Zoom in or out</source>
        <translation>Yakınlaştır veya Uzaklaştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1456"/>
        <source>Zoom in</source>
        <translation>Yakınlaştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1457"/>
        <source>Zoom out</source>
        <translation>Uzaklaştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1458"/>
        <source>Edit Contents of Frame</source>
        <translation>Çerçevenin İçeriğini Düzenle</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1460"/>
        <source>Link Text Frames</source>
        <translation>Metin Çerçevelerini Bağla</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1461"/>
        <source>Unlink Text Frames</source>
        <translation>Metin Çerçevelerinden Bağı Kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1462"/>
        <source>&amp;Eye Dropper</source>
        <translation>&amp;Renk Alıcı</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1463"/>
        <source>Copy Item Properties</source>
        <translation>Öğe Özelliklerini Kopyala</translation>
    </message>
    <message>
        <source>Edit the text with the Story Editor</source>
        <translation type="obsolete">Metin editörü ile düzenle</translation>
    </message>
    <message>
        <source>Insert Text Frame</source>
        <translation type="obsolete">Metin Çerçevesi Ekle</translation>
    </message>
    <message>
        <source>Insert Image Frame</source>
        <translation type="obsolete">Resim Çerçevesi Ekle</translation>
    </message>
    <message>
        <source>Insert Table</source>
        <translation type="obsolete">Tablo Ekle</translation>
    </message>
    <message>
        <source>Insert Shape</source>
        <translation type="obsolete">Şekil Ekle</translation>
    </message>
    <message>
        <source>Insert Polygon</source>
        <translation type="obsolete">Çokgen Ekle</translation>
    </message>
    <message>
        <source>Insert Line</source>
        <translation type="obsolete">Çizgi Ekle</translation>
    </message>
    <message>
        <source>Insert Bezier Curve</source>
        <translation type="obsolete">Bezier eğrisi ekle</translation>
    </message>
    <message>
        <source>Insert Freehand Line</source>
        <translation type="obsolete">Serbest Çizim Ekle</translation>
    </message>
    <message>
        <source>&amp;Manage Pictures</source>
        <translation type="obsolete">&amp;Resim Yönetimi</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1486"/>
        <source>&amp;Hyphenate Text</source>
        <translation>Metni &amp;Tirele</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1488"/>
        <source>&amp;Generate Table Of Contents</source>
        <translation>İçindekiler Tablosu &amp;oluştur</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1495"/>
        <source>&amp;About Scribus</source>
        <translation>&amp;Scribus Hakkında
</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1497"/>
        <source>About &amp;Qt</source>
        <translation>&amp;Qt hakkında</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1498"/>
        <source>Toolti&amp;ps</source>
        <translation type="unfinished">Toolti&amp;ps</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1500"/>
        <source>Scribus &amp;Manual...</source>
        <translation>Scribus Kullanım Kılavuz&amp;u...</translation>
    </message>
    <message>
        <source>Smart &amp;Hyphen</source>
        <translation type="obsolete">Akıllı T&amp;ireleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1520"/>
        <source>Non Breaking &amp;Space</source>
        <translation type="unfinished">Non Breaking &amp;Space</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1521"/>
        <source>Page &amp;Number</source>
        <translation>Sa&amp;yfa Numarası</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1528"/>
        <source>Copyright</source>
        <translation>Telif Hakkı</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1529"/>
        <source>Registered Trademark</source>
        <translation>Tescilli Marka</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1530"/>
        <source>Trademark</source>
        <translation>Marka Tescili</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1532"/>
        <source>Bullet</source>
        <translation type="unfinished">Bullet</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1534"/>
        <source>Em Dash</source>
        <translation type="unfinished">Em Dash</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1535"/>
        <source>En Dash</source>
        <translation type="unfinished">En Dash</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1536"/>
        <source>Figure Dash</source>
        <translation type="unfinished">Figure Dash</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1537"/>
        <source>Quotation Dash</source>
        <translation type="unfinished">Quotation Dash</translation>
    </message>
    <message>
        <source>Apostrophe</source>
        <translation type="obsolete">Kesme işareti</translation>
    </message>
    <message>
        <source>Straight Double</source>
        <translation type="obsolete">Straight Double</translation>
    </message>
    <message>
        <source>Single Left</source>
        <translation type="obsolete">Single Left</translation>
    </message>
    <message>
        <source>Single Right</source>
        <translation type="obsolete">Single Right</translation>
    </message>
    <message>
        <source>Double Left</source>
        <translation type="obsolete">Double Left</translation>
    </message>
    <message>
        <source>Double Right</source>
        <translation type="obsolete">Double Right</translation>
    </message>
    <message>
        <source>Single Reversed</source>
        <translation type="obsolete">Single Reversed</translation>
    </message>
    <message>
        <source>Double Reversed</source>
        <translation type="obsolete">Double Reversed</translation>
    </message>
    <message>
        <source>Single Left Guillemet</source>
        <translation type="obsolete">Single Left Guillemet</translation>
    </message>
    <message>
        <source>Single Right Guillemet</source>
        <translation type="obsolete">Single Right Guillemet</translation>
    </message>
    <message>
        <source>Double Left Guillemet</source>
        <translation type="obsolete">Double Left Guillemet</translation>
    </message>
    <message>
        <source>Double Right Guillemet</source>
        <translation type="obsolete">Double Right Guillemet</translation>
    </message>
    <message>
        <source>Low Single Comma</source>
        <translation type="obsolete">Low Single Comma</translation>
    </message>
    <message>
        <source>Low Double Comma</source>
        <translation type="obsolete">Low Double Comma</translation>
    </message>
    <message>
        <source>CJK Single Left</source>
        <translation type="obsolete">CJK Single Left</translation>
    </message>
    <message>
        <source>CJK Single Right</source>
        <translation type="obsolete">CJK Single Right</translation>
    </message>
    <message>
        <source>CJK Double Left</source>
        <translation type="obsolete">CJK Double Left</translation>
    </message>
    <message>
        <source>CJK Double Right</source>
        <translation type="obsolete">CJK Double Right</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1508"/>
        <source>Toggle Palettes</source>
        <translation type="unfinished">Toggle Palettes</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1347"/>
        <source>S&amp;hadow</source>
        <translation>&amp;Gölge</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1376"/>
        <source>&amp;Low Resolution</source>
        <translation>&amp;Düşük Çözünürlük</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1377"/>
        <source>&amp;Normal Resolution</source>
        <translation>&amp;Normal Çözünürlük</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1378"/>
        <source>&amp;Full Resolution</source>
        <translation>&amp;Tam Çözünürlük</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1306"/>
        <source>Edit Image...</source>
        <translation>Resmi Düzenle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1372"/>
        <source>&amp;Update Image</source>
        <translation>Resmi Gün&amp;celle</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1373"/>
        <source>Adjust Frame to Image</source>
        <translation>Çerçeveyi resme ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1375"/>
        <source>Extended Image Properties</source>
        <translation>Extended Image Properties</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1430"/>
        <source>Show Control Characters</source>
        <translation type="unfinished">Show Control Characters</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1448"/>
        <source>&amp;Align and Distribute</source>
        <translation>&amp;Hizala ve Dağıt</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1459"/>
        <source>Edit Text...</source>
        <translation>Metni Düzenle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1523"/>
        <source>New Line</source>
        <translation>Yeni Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1524"/>
        <source>Frame Break</source>
        <translation type="unfinished">Frame Break</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1525"/>
        <source>Column Break</source>
        <translation type="unfinished">Column Break</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1519"/>
        <source>Non Breaking Dash</source>
        <translation type="unfinished">Non Breaking Dash</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1509"/>
        <source>Toggle Guides</source>
        <translation type="unfinished">Toggle Guides</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1443"/>
        <source>&amp;Arrange Pages</source>
        <translation>Sayfaları &amp;Tanzim et </translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1487"/>
        <source>Dehyphenate Text</source>
        <translation>Tireleri Kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1409"/>
        <source>Manage Page Properties...</source>
        <translation>Sayfa Özelliklerini Yönet...</translation>
    </message>
    <message>
        <source>Rulers relative to Page</source>
        <translation type="obsolete">Cetveller sayfaya bağıntılı</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1288"/>
        <source>Print Previe&amp;w</source>
        <translation>Baskı Öni&amp;zleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1313"/>
        <source>&amp;JavaScripts...</source>
        <translation>&amp;JavaScript...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1407"/>
        <source>Convert to Master Page...</source>
        <translation>Sayfayı Mastar Sayfaya çevir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1491"/>
        <source>&amp;Cascade</source>
        <translation type="unfinished">&amp;Cascade</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1492"/>
        <source>&amp;Tile</source>
        <translation type="unfinished">&amp;Tile</translation>
    </message>
    <message>
        <source>&amp;About Plug-ins</source>
        <translation type="obsolete">&amp;Eklentiler hakkında</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1370"/>
        <source>More Info...</source>
        <translation>Daha fazla bilgi...</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1283"/>
        <source>Save as &amp;EPS...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1299"/>
        <source>Paste (&amp;Absolute)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1300"/>
        <source>Paste Image from Clipboard</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1301"/>
        <source>C&amp;lear</source>
        <translation type="unfinished">&amp;Temizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1311"/>
        <source>S&amp;tyles...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1346"/>
        <source>&amp;Outline</source>
        <comment>type effect</comment>
        <translation type="unfinished">Kontü&amp;r</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1360"/>
        <source>&amp;Printing Enabled</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1361"/>
        <source>&amp;Flip Horizontally</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1362"/>
        <source>&amp;Flip Vertically</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1390"/>
        <source>&amp;Outlines</source>
        <comment>Convert to oulines</comment>
        <translation type="unfinished">Anahat&amp;lar</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1419"/>
        <source>Preview Mode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1423"/>
        <source>Show Layer Indicators</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1427"/>
        <source>Show Text Frame Columns</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1431"/>
        <source>Show Rulers</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1440"/>
        <source>&amp;Outline</source>
        <comment>Document Outline Palette</comment>
        <translation type="unfinished">Kontü&amp;r</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1475"/>
        <source>Insert PDF Push Button</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1476"/>
        <source>Insert PDF Text Field</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1477"/>
        <source>Insert PDF Check Box</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1478"/>
        <source>Insert PDF Combo Box</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1479"/>
        <source>Insert PDF List Box</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1480"/>
        <source>Insert Text Annotation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1481"/>
        <source>Insert Link Annotation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1518"/>
        <source>Soft &amp;Hyphen</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1531"/>
        <source>Solidus</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1533"/>
        <source>Middle Dot</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1558"/>
        <source>En Space</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1559"/>
        <source>Em Space</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1560"/>
        <source>Thin Space</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1561"/>
        <source>Thick Space</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1562"/>
        <source>Mid Space</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1563"/>
        <source>Hair Space</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1575"/>
        <source>ff</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1576"/>
        <source>fi</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1577"/>
        <source>fl</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1578"/>
        <source>ffi</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1579"/>
        <source>ffl</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1580"/>
        <source>ft</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1581"/>
        <source>st</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1310"/>
        <source>Patterns...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1368"/>
        <source>Send to Patterns</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1395"/>
        <source>&amp;Frames...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1398"/>
        <source>Sticky Tools</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1412"/>
        <source>&amp;Fit to Height</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1413"/>
        <source>Fit to Width</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1421"/>
        <source>Show Bleeds</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1526"/>
        <source>&amp;Zero Width Space</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1527"/>
        <source>Zero Width NB Space</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1539"/>
        <source>Apostrophe</source>
        <comment>Unicode 0x0027</comment>
        <translation type="unfinished">Kesme işareti</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1540"/>
        <source>Straight Double</source>
        <comment>Unicode 0x0022</comment>
        <translation type="unfinished">Straight Double</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1541"/>
        <source>Single Left</source>
        <comment>Unicode 0x2018</comment>
        <translation type="unfinished">Single Left</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1542"/>
        <source>Single Right</source>
        <comment>Unicode 0x2019</comment>
        <translation type="unfinished">Single Right</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1543"/>
        <source>Double Left</source>
        <comment>Unicode 0x201C</comment>
        <translation type="unfinished">Double Left</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1544"/>
        <source>Double Right</source>
        <comment>Unicode 0x201D</comment>
        <translation type="unfinished">Double Right</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1545"/>
        <source>Single Reversed</source>
        <comment>Unicode 0x201B</comment>
        <translation type="unfinished">Single Reversed</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1546"/>
        <source>Double Reversed</source>
        <comment>Unicode 0x201F</comment>
        <translation type="unfinished">Double Reversed</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1547"/>
        <source>Single Left Guillemet</source>
        <comment>Unicode 0x2039</comment>
        <translation type="unfinished">Single Left Guillemet</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1548"/>
        <source>Single Right Guillemet</source>
        <comment>Unicode 0x203A</comment>
        <translation type="unfinished">Single Right Guillemet</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1549"/>
        <source>Double Left Guillemet</source>
        <comment>Unicode 0x00AB</comment>
        <translation type="unfinished">Double Left Guillemet</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1550"/>
        <source>Double Right Guillemet</source>
        <comment>Unicode 0x00BB</comment>
        <translation type="unfinished">Double Right Guillemet</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1551"/>
        <source>Low Single Comma</source>
        <comment>Unicode 0x201A</comment>
        <translation type="unfinished">Low Single Comma</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1552"/>
        <source>Low Double Comma</source>
        <comment>Unicode 0x201E</comment>
        <translation type="unfinished">Low Double Comma</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1553"/>
        <source>CJK Single Left</source>
        <comment>Unicode 0x300C</comment>
        <translation type="unfinished">CJK Single Left</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1554"/>
        <source>CJK Single Right</source>
        <comment>Unicode 0x300D</comment>
        <translation type="unfinished">CJK Single Right</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1555"/>
        <source>CJK Double Left</source>
        <comment>Unicode 0x300E</comment>
        <translation type="unfinished">CJK Double Left</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1556"/>
        <source>CJK Double Right</source>
        <comment>Unicode 0x300F</comment>
        <translation type="unfinished">CJK Double Right</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1418"/>
        <source>&amp;400%</source>
        <translation type="unfinished">&amp;200% {400%?}</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1465"/>
        <source>Insert &amp;Text Frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1466"/>
        <source>Insert &amp;Image Frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1468"/>
        <source>Insert T&amp;able</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1469"/>
        <source>Insert &amp;Shape</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1470"/>
        <source>Insert &amp;Polygon</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1471"/>
        <source>Insert &amp;Line</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1472"/>
        <source>Insert &amp;Bezier Curve</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1473"/>
        <source>Insert &amp;Freehand Line</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1501"/>
        <source>Scribus Homepage</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1502"/>
        <source>Scribus Online Documentation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1503"/>
        <source>Scribus Wiki</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1504"/>
        <source>Getting Started with Scribus</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1435"/>
        <source>Show Context Menu</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1485"/>
        <source>&amp;Manage Images</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1496"/>
        <source>&amp;About Plugins</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1510"/>
        <source>Insert Unicode Character Begin Sequence</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1280"/>
        <source>Get Vector File...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1303"/>
        <source>Advanced Select All...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1307"/>
        <source>Edit Source...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1309"/>
        <source>Replace Colors...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1432"/>
        <source>Rulers Relative to Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1467"/>
        <source>Insert &amp;Render Frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1505"/>
        <source>Check for Updates</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1522"/>
        <source>Number of Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1374"/>
        <source>Adjust Image to Frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1704"/>
        <source>File</source>
        <translation type="unfinished">Dosya</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1704"/>
        <source>&amp;File</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1706"/>
        <source>Edit</source>
        <translation type="unfinished">Düzenle</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1706"/>
        <source>&amp;Edit</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1708"/>
        <source>Style</source>
        <translation type="unfinished">Stil</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1708"/>
        <source>&amp;Style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1710"/>
        <source>Item</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1710"/>
        <source>&amp;Item</source>
        <translation type="unfinished">Öğ&amp;e</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1712"/>
        <source>Insert</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1712"/>
        <source>I&amp;nsert</source>
        <translation type="unfinished">E&amp;kle</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1714"/>
        <source>Page</source>
        <translation type="unfinished">Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1714"/>
        <source>&amp;Page</source>
        <translation type="unfinished">S&amp;ayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1716"/>
        <source>View</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1716"/>
        <source>&amp;View</source>
        <translation type="unfinished">Gör&amp;üntüle</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1718"/>
        <source>Extras</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1718"/>
        <source>E&amp;xtras</source>
        <translation type="unfinished">Ekstra&amp;lar</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1720"/>
        <source>Windows</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1720"/>
        <source>&amp;Windows</source>
        <translation type="unfinished">&amp;Pencereler</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1722"/>
        <source>Help</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1722"/>
        <source>&amp;Help</source>
        <translation type="unfinished">&amp;Yardım</translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1890"/>
        <source>Plugin Menu Items</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1892"/>
        <source>Others</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1894"/>
        <source>Unicode Characters</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1499"/>
        <source>Move/Resize Value Indicator</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/actionmanager.cpp" line="1270"/>
        <source>New &amp;from Template...</source>
        <translation type="unfinished">Şablo&amp;ndan oluştur...</translation>
    </message>
</context>
<context>
    <name>AdjustCmsDialog</name>
    <message>
        <location filename="../../../scribus/adjustcmsdialog.cpp" line="16"/>
        <source>CMS Settings</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>AlignDistribute</name>
    <message>
        <location filename="../../../scribus/aligndistribute.ui" line="36"/>
        <source>Align</source>
        <translation type="unfinished">Hizala</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.ui" line="65"/>
        <source>&amp;Selected Guide:</source>
        <translation type="unfinished">Seçili &amp;Kılavuz:</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.ui" line="78"/>
        <source>&amp;Relative To:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.ui" line="97"/>
        <source>&amp;Align Sides By:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.ui" line="153"/>
        <location filename="../../../scribus/aligndistribute.ui" line="160"/>
        <location filename="../../../scribus/aligndistribute.ui" line="167"/>
        <location filename="../../../scribus/aligndistribute.ui" line="174"/>
        <location filename="../../../scribus/aligndistribute.ui" line="181"/>
        <location filename="../../../scribus/aligndistribute.ui" line="188"/>
        <location filename="../../../scribus/aligndistribute.ui" line="195"/>
        <location filename="../../../scribus/aligndistribute.ui" line="202"/>
        <location filename="../../../scribus/aligndistribute.ui" line="209"/>
        <location filename="../../../scribus/aligndistribute.ui" line="216"/>
        <location filename="../../../scribus/aligndistribute.ui" line="286"/>
        <location filename="../../../scribus/aligndistribute.ui" line="293"/>
        <location filename="../../../scribus/aligndistribute.ui" line="300"/>
        <location filename="../../../scribus/aligndistribute.ui" line="307"/>
        <location filename="../../../scribus/aligndistribute.ui" line="314"/>
        <location filename="../../../scribus/aligndistribute.ui" line="324"/>
        <location filename="../../../scribus/aligndistribute.ui" line="331"/>
        <location filename="../../../scribus/aligndistribute.ui" line="341"/>
        <location filename="../../../scribus/aligndistribute.ui" line="348"/>
        <location filename="../../../scribus/aligndistribute.ui" line="358"/>
        <location filename="../../../scribus/aligndistribute.ui" line="365"/>
        <location filename="../../../scribus/aligndistribute.ui" line="372"/>
        <location filename="../../../scribus/aligndistribute.ui" line="382"/>
        <location filename="../../../scribus/aligndistribute.ui" line="389"/>
        <location filename="../../../scribus/aligndistribute.ui" line="396"/>
        <location filename="../../../scribus/aligndistribute.ui" line="403"/>
        <source>...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.ui" line="260"/>
        <source>Distribute</source>
        <translation type="unfinished">Dağıt</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.ui" line="450"/>
        <source>&amp;Distance:</source>
        <translation type="unfinished">&amp;Mesafe:</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.ui" line="511"/>
        <source>Reverse Distribution</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>AlignDistributeBase</name>
    <message>
        <source>Align and Distribute</source>
        <translation type="obsolete">Hizala ve Dağıt</translation>
    </message>
    <message>
        <source>Align</source>
        <translation type="obsolete">Hizala</translation>
    </message>
    <message>
        <source>&amp;Selected Guide:</source>
        <translation type="obsolete">Seçili &amp;Kılavuz:</translation>
    </message>
    <message>
        <source>Distribute</source>
        <translation type="obsolete">Dağıt</translation>
    </message>
    <message>
        <source>&amp;Distance:</source>
        <translation type="obsolete">&amp;Mesafe:</translation>
    </message>
</context>
<context>
    <name>AlignDistributePalette</name>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="90"/>
        <source>Align and Distribute</source>
        <translation>Hizala ve Dağıt</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="91"/>
        <source>Align</source>
        <translation type="unfinished">Hizala</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="93"/>
        <source>&amp;Relative to:</source>
        <translation>İl&amp;işkili:</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="96"/>
        <source>First Selected</source>
        <translation>İlk Seçilen</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="97"/>
        <source>Last Selected</source>
        <translation>Son Seçilen</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="98"/>
        <source>Page</source>
        <translation>Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="99"/>
        <source>Margins</source>
        <translation>Kenarlıklar</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="101"/>
        <source>Selection</source>
        <translation>Seçim</translation>
    </message>
    <message>
        <source>Align right sides of objects to left side of anchor</source>
        <translation type="obsolete">Align right sides of objects to left side of anchor</translation>
    </message>
    <message>
        <source>Align left sides of objects to right side of anchor</source>
        <translation type="obsolete">Align left sides of objects to right side of anchor</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="118"/>
        <source>Align bottoms</source>
        <translation>Altları hizala</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="120"/>
        <source>Align right sides</source>
        <translation>Sağ yanları hizala</translation>
    </message>
    <message>
        <source>Align tops of objects to bottom of anchor</source>
        <translation type="obsolete">Align tops of objects to bottom of anchor</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="124"/>
        <source>Center on vertical axis</source>
        <translation type="unfinished">Centre on vertical axis</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="126"/>
        <source>Align left sides</source>
        <translation>Sol yanları hizala</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="128"/>
        <source>Center on horizontal axis</source>
        <translation type="unfinished">Centre on horizontal axis</translation>
    </message>
    <message>
        <source>Align bottoms of objects to top of anchor</source>
        <translation type="obsolete">Align bottoms of objects to top of anchor</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="132"/>
        <source>Align tops</source>
        <translation>Üstleri hizala</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="92"/>
        <source>Distribute</source>
        <translation type="unfinished">Dağıt</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="152"/>
        <source>Distribute left sides equidistantly</source>
        <translation type="unfinished">Distribute left sides equidistantly</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="144"/>
        <source>Distribute bottoms equidistantly</source>
        <translation type="unfinished">Distribute bottoms equidistantly</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="146"/>
        <source>Distribute centers equidistantly horizontally</source>
        <translation type="unfinished">Distribute centres equidistantly horizontally</translation>
    </message>
    <message>
        <source>Make vertical gaps between objects equal</source>
        <translation type="obsolete">Make vertical gaps between objects equal</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="154"/>
        <source>Distribute centers equidistantly vertically</source>
        <translation type="unfinished">Distribute centres equidistantly vertically</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="156"/>
        <source>Distribute tops equidistantly</source>
        <translation type="unfinished">Distribute tops equidistantly</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="142"/>
        <source>Distribute right sides equidistantly</source>
        <translation type="unfinished">Distribute right sides equidistantly</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="100"/>
        <source>Guide</source>
        <translation>Kılavuz</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="134"/>
        <source>&amp;Selected Guide:</source>
        <translation>Seçili &amp;Kılavuz:</translation>
    </message>
    <message>
        <source>Make horizontal gaps between objects equal</source>
        <translation type="obsolete">Make horizontal gaps between objects equal</translation>
    </message>
    <message>
        <source>Make horizontal gaps between objects equal to the value specified</source>
        <translation type="obsolete">Make horizontal gaps between objects equal to the value specified</translation>
    </message>
    <message>
        <source>Make vertical gaps between objects equal to the value specified</source>
        <translation type="obsolete">Make vertical gaps between objects equal to the value specified</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="166"/>
        <source>&amp;Distance:</source>
        <translation>&amp;Mesafe:</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="167"/>
        <source>Distribute the items with the distance specified</source>
        <translation type="unfinished">Distribute the items with the distance specified</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="168"/>
        <source>When distributing by a set distance, reverse the direction of the distribution of items</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="169"/>
        <source>None Selected</source>
        <translation>Seçili Yok</translation>
    </message>
    <message>
        <source>Some objects are locked.</source>
        <translation type="obsolete">Bazı nesneler kilitli.</translation>
    </message>
    <message>
        <source>&amp;Unlock All</source>
        <translation type="obsolete">Tümünü Çö&amp;z</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="454"/>
        <source>Y: %1%2</source>
        <translation>Y: %1%2</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="462"/>
        <source>X: %1%2</source>
        <translation>X: %1%2</translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="114"/>
        <source>Align right sides of items to left side of anchor</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="105"/>
        <source>&amp;Align Sides By:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="108"/>
        <source>Moving (Preserve Size)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="109"/>
        <source>Resizing (Preserve Opposite Side)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="110"/>
        <source>&lt;qt&gt;When aligning one side of an item:&lt;ul&gt;&lt;li&gt;Always move the other side too (preserve existing width and height), or &lt;/li&gt;&lt;li&gt;Keep the other side fixed (resize the item instead of moving it) whenever possible&lt;/li&gt;&lt;/ul&gt;&lt;/qt&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="116"/>
        <source>Align left sides of items to right side of anchor</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="122"/>
        <source>Align tops of items to bottom of anchor</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="130"/>
        <source>Align bottoms of items to top of anchor</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="137"/>
        <source>Make horizontal gaps between items equal</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="139"/>
        <source>Make horizontal gaps between items equal to the value specified</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="148"/>
        <source>Make vertical gaps between items equal</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="150"/>
        <source>Make vertical gaps between items equal to the value specified</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="158"/>
        <source>Make horizontal gaps between items and sides of page equal</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="164"/>
        <source>Make vertical gaps between items and the top and bottom of page margins equal</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="162"/>
        <source>Make horizontal gaps between items and sides of page margins equal</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="160"/>
        <source>Make vertical gaps between items and the top and bottom of page equal</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="103"/>
        <source>&lt;qt&gt;Align relative to the:&lt;ul&gt;&lt;li&gt;First selected item&lt;/li&gt;&lt;li&gt;Second Selected Item&lt;/li&gt;&lt;li&gt;The current page&lt;/li&gt;&lt;li&gt;The margins of the current page&lt;/li&gt;&lt;li&gt;A Guide&lt;/li&gt;&lt;li&gt;The selection&lt;/ul&gt;&lt;/qt&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/aligndistribute.cpp" line="112"/>
        <source>The location of the selected guide to align to</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>AlignSelect</name>
    <message>
        <location filename="../../../scribus/alignselect.cpp" line="110"/>
        <source>Align Text Left</source>
        <translation>Metni Sola Yasla</translation>
    </message>
    <message>
        <location filename="../../../scribus/alignselect.cpp" line="111"/>
        <source>Align Text Right</source>
        <translation>Metni Sağa Yasla</translation>
    </message>
    <message>
        <location filename="../../../scribus/alignselect.cpp" line="112"/>
        <source>Align Text Center</source>
        <translation>Metni Ortala</translation>
    </message>
    <message>
        <location filename="../../../scribus/alignselect.cpp" line="113"/>
        <source>Align Text Justified</source>
        <translation>Metni Hizala</translation>
    </message>
    <message>
        <location filename="../../../scribus/alignselect.cpp" line="114"/>
        <source>Align Text Forced Justified</source>
        <translation>Metni Hizalamaya Zorla</translation>
    </message>
</context>
<context>
    <name>Annot</name>
    <message>
        <location filename="../../../scribus/annot.cpp" line="63"/>
        <source>Field Properties</source>
        <translation>Alan Özellikleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="94"/>
        <location filename="../../../scribus/annot.cpp" line="535"/>
        <source>Type:</source>
        <translation>Tip:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="98"/>
        <source>Button</source>
        <translation>Düğme</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="98"/>
        <source>Text Field</source>
        <translation>Metin Kutusu</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="98"/>
        <source>Check Box</source>
        <translation>Check Box</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="98"/>
        <source>Combo Box</source>
        <translation>Combo Box</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="98"/>
        <source>List Box</source>
        <translation>Liste kutusu</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="113"/>
        <source>Properties</source>
        <translation>Özellikler</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="123"/>
        <source>Name:</source>
        <translation>İsim:</translation>
    </message>
    <message>
        <source>Tool-Tip:</source>
        <translation type="obsolete">Tool-Tip:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="148"/>
        <location filename="../../../scribus/annot.cpp" line="276"/>
        <source>Text</source>
        <translation>Metin</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="178"/>
        <source>Border</source>
        <translation>Sınır</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="184"/>
        <source>Color:</source>
        <translation>Renk:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="2132"/>
        <source>None</source>
        <translation>Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="199"/>
        <source>Width:</source>
        <translation>En:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="203"/>
        <source>Thin</source>
        <translation>İnce</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="203"/>
        <location filename="../../../scribus/annot.cpp" line="313"/>
        <source>Normal</source>
        <translation>Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="203"/>
        <source>Wide</source>
        <translation>Geniş</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="211"/>
        <source>Style:</source>
        <translation>Stil:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="215"/>
        <source>Solid</source>
        <translation>Dolu</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="215"/>
        <source>Dashed</source>
        <translation>Kesintili</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="215"/>
        <source>Underline</source>
        <translation>Altı Çizili</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="216"/>
        <source>Beveled</source>
        <translation>Kabartma</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="216"/>
        <source>Inset</source>
        <translation>Çökük</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="226"/>
        <source>Other</source>
        <translation>Diğer</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="232"/>
        <source>Read Only</source>
        <translation>Sadece Okunabilir</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="238"/>
        <source>Required</source>
        <translation>Gerekli</translation>
    </message>
    <message>
        <source>Don&apos;t Export Value</source>
        <translation type="obsolete">Değeri dışarı gönderme</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="250"/>
        <source>Visibility:</source>
        <translation>Görünürlük:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="254"/>
        <source>Visible</source>
        <translation>Görünür</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="254"/>
        <source>Hidden</source>
        <translation>Gizli</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="254"/>
        <source>No Print</source>
        <translation>Yazdırma Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="255"/>
        <source>No View</source>
        <translation>Görüntüleme Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="264"/>
        <source>Appearance</source>
        <translation>Görünüm</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="282"/>
        <source>Text for Button Down</source>
        <translation>Buton Basılı Metni</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="285"/>
        <source>Text for Roll Over</source>
        <translation type="unfinished">Text for Roll Over</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="296"/>
        <source>Icons</source>
        <translation>Simgeler</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="302"/>
        <source>Use Icons</source>
        <translation>Simgeleri Kullan</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="323"/>
        <location filename="../../../scribus/annot.cpp" line="341"/>
        <location filename="../../../scribus/annot.cpp" line="359"/>
        <source>Remove</source>
        <translation>Kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="331"/>
        <source>Pressed</source>
        <translation>Basılı</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="349"/>
        <source>Roll Over</source>
        <translation type="unfinished">Roll Over</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="368"/>
        <source>Icon Placement...</source>
        <translation>Simge Yerleşimi...</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="416"/>
        <source>Highlight</source>
        <translation type="unfinished">Highlight</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="423"/>
        <source>Invert</source>
        <translation type="unfinished">Invert</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="423"/>
        <source>Outlined</source>
        <translation type="unfinished">Outlined</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="423"/>
        <source>Push</source>
        <translation type="unfinished">Push</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="440"/>
        <source>Multi-Line</source>
        <translation type="unfinished">Multi-Line</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="444"/>
        <source>Password</source>
        <translation>Şifre</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="451"/>
        <source>Limit of</source>
        <translation type="unfinished">Limit of</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="462"/>
        <source>Characters</source>
        <translation>Karakterler</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="468"/>
        <source>Do Not Scroll</source>
        <translation>Kaydırma</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="472"/>
        <source>Do Not Spell Check</source>
        <translation>İmla denetimi yapma</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="487"/>
        <source>Check Style:</source>
        <translation>Stili kontrol et:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="490"/>
        <source>Check</source>
        <translation>Kontrol Et</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="490"/>
        <source>Cross</source>
        <translation>Cross</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="490"/>
        <source>Diamond</source>
        <translation>Elmas</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="490"/>
        <source>Circle</source>
        <translation>Çember</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="490"/>
        <source>Star</source>
        <translation>Yıldız</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="490"/>
        <source>Square</source>
        <translation>Kare</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="504"/>
        <source>Default is Checked</source>
        <translation>Öntanımlı işaretli</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="516"/>
        <source>Editable</source>
        <translation>Düzenlenebilir</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="523"/>
        <source>Options</source>
        <translation>Seçenekler</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="539"/>
        <location filename="../../../scribus/annot.cpp" line="2095"/>
        <source>Go To</source>
        <translation>Git</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="540"/>
        <location filename="../../../scribus/annot.cpp" line="2096"/>
        <source>Submit Form</source>
        <translation>Formu Yolla</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="540"/>
        <location filename="../../../scribus/annot.cpp" line="2096"/>
        <source>Reset Form</source>
        <translation>Formu Sıfırla</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="540"/>
        <location filename="../../../scribus/annot.cpp" line="2096"/>
        <source>Import Data</source>
        <translation>Veri al</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="572"/>
        <source>Event:</source>
        <translation>Olay:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="575"/>
        <location filename="../../../scribus/annot.cpp" line="2075"/>
        <source>Mouse Up</source>
        <translation>Mouse Butonu Çekildi</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="575"/>
        <location filename="../../../scribus/annot.cpp" line="2075"/>
        <source>Mouse Down</source>
        <translation>Mouse butonu basıldı</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="575"/>
        <location filename="../../../scribus/annot.cpp" line="2075"/>
        <source>Mouse Enter</source>
        <translation>Mouse Girdi</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="576"/>
        <location filename="../../../scribus/annot.cpp" line="2076"/>
        <source>Mouse Exit</source>
        <translation>Mouse Çıktı</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="576"/>
        <location filename="../../../scribus/annot.cpp" line="2076"/>
        <source>On Focus</source>
        <translation>On Focus</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="576"/>
        <location filename="../../../scribus/annot.cpp" line="2076"/>
        <source>On Blur</source>
        <translation>On Blur</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="587"/>
        <source>Script:</source>
        <translation>Script:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="606"/>
        <location filename="../../../scribus/annot.cpp" line="935"/>
        <location filename="../../../scribus/annot.cpp" line="961"/>
        <location filename="../../../scribus/annot.cpp" line="1038"/>
        <location filename="../../../scribus/annot.cpp" line="1113"/>
        <source>Edit...</source>
        <translation>Düzenle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="672"/>
        <source>Submit to URL:</source>
        <translation>URL&apos;ye Gönder:</translation>
    </message>
    <message>
        <source>Submit Data as HTML</source>
        <translation type="obsolete">Veriyi HTML olarak gönder</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="709"/>
        <source>Import Data from:</source>
        <translation>Verileri al:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="612"/>
        <source>Destination</source>
        <translation>Yol</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="618"/>
        <source>To File:</source>
        <translation>Dosyaya:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="625"/>
        <source>Change...</source>
        <translation>Değiştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="634"/>
        <source>Page:</source>
        <translation>Sayfa:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="648"/>
        <source>X-Pos:</source>
        <translation>X-Pos:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="651"/>
        <location filename="../../../scribus/annot.cpp" line="660"/>
        <source> pt</source>
        <translation> pt</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="656"/>
        <source>Y-Pos:</source>
        <translation>Y-Pos:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="718"/>
        <source>Action</source>
        <translation>İşlem</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="749"/>
        <source>Field is formatted as:</source>
        <translation>Alan şu şekilde biçimlendirilmiş:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="752"/>
        <source>Plain</source>
        <translation>Düz</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="752"/>
        <source>Number</source>
        <translation>Sayı</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="752"/>
        <source>Percentage</source>
        <translation>Yüzde</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="752"/>
        <source>Date</source>
        <translation>Tarih
</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="752"/>
        <source>Time</source>
        <translation>Zaman</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="752"/>
        <source>Custom</source>
        <translation>Custom</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="770"/>
        <source>Number Format</source>
        <translation>Sayı Biçimi</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="779"/>
        <location filename="../../../scribus/annot.cpp" line="838"/>
        <source>Decimals:</source>
        <translation>Ondalık:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="793"/>
        <source>Use Currency Symbol</source>
        <translation>Parabirimi Sembolü Kullan</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="802"/>
        <source>Prepend Currency Symbol</source>
        <translation type="unfinished">Prepend Currency Symbol</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="806"/>
        <location filename="../../../scribus/annot.cpp" line="849"/>
        <source>Formatting</source>
        <translation>Biçimlendirme</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="829"/>
        <source>Percent Format</source>
        <translation>Yüzde Biçimi</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="872"/>
        <source>Date Format</source>
        <translation>Tarih Biçimi</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="898"/>
        <source>Time Format</source>
        <translation>Zaman Biçimi</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="920"/>
        <source>Custom Scripts</source>
        <translation>Kullanıcı Tanımlı Script</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="932"/>
        <source>Format:</source>
        <translation>Biçim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="958"/>
        <source>Keystroke:</source>
        <translation type="unfinished">Keystroke:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="982"/>
        <source>Format</source>
        <translation>Biçim</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="998"/>
        <source>Value is not validated</source>
        <translation>Değer doğrulanmadı</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1007"/>
        <source>Value must be greater than or equal to:</source>
        <translation>Değer şundan büyük ya da eşit olmalı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1011"/>
        <source>and less or equal to:</source>
        <translation>ve küçük yada eşit:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1022"/>
        <source>Custom validate script:</source>
        <translation>Kullanıcı tanımlı doğrulama scripti:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1043"/>
        <source>Validate</source>
        <translation>Doğrulama</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1060"/>
        <source>Value is not calculated</source>
        <translation>Değer hesaplanmadı</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1069"/>
        <source>Value is the</source>
        <translation>Değer ..dir</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1074"/>
        <source>sum</source>
        <translation>toplam</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1074"/>
        <source>product</source>
        <translation>ürün</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1074"/>
        <source>average</source>
        <translation>ortalama</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1074"/>
        <source>minimum</source>
        <translation>minimum</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1075"/>
        <source>maximum</source>
        <translation>maximum</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1082"/>
        <source>of the following fields:</source>
        <translation>bu alanların:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1092"/>
        <source>Pick...</source>
        <translation>Seç...</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1097"/>
        <source>Custom calculation script:</source>
        <translation>Kullanıcı tanımlı hesaplama scripti:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1117"/>
        <source>Calculate</source>
        <translation>Hesapla</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1136"/>
        <source>OK</source>
        <translation>Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1140"/>
        <source>Cancel</source>
        <translation>İptal</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1193"/>
        <source>Enter a comma separated list of fields here</source>
        <translation>Buraya virgülle ayrılmış alanların listesini girin</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1194"/>
        <source>You need at least the Icon for Normal to use Icons for Buttons</source>
        <translation>You need at least the Icon for Normal to use Icons for Buttons</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1304"/>
        <location filename="../../../scribus/annot.cpp" line="1335"/>
        <location filename="../../../scribus/annot.cpp" line="1359"/>
        <location filename="../../../scribus/annot.cpp" line="2290"/>
        <source>Open</source>
        <translation>Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1479"/>
        <source>Example:</source>
        <translation>Örnek:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="2124"/>
        <source>Selection Change</source>
        <translation>Seçim Değişti</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="154"/>
        <source>Font for use with PDF 1.3:</source>
        <translation>PDF 1.3 ile kullanılacak yazıtipi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1191"/>
        <location filename="../../../scribus/annot.cpp" line="1192"/>
        <source>Flag is ignored for PDF 1.3</source>
        <translation>PDF 1.3 için geçerli değil</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="2290"/>
        <source>PDF Files (*.pdf);;All Files (*)</source>
        <translation>PDF-Belgeleri (*.pdf);;Tüm Dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="539"/>
        <location filename="../../../scribus/annot.cpp" line="2095"/>
        <location filename="../../../scribus/annot.cpp" line="2133"/>
        <source>JavaScript</source>
        <translation>JavaScript</translation>
    </message>
    <message>
        <source>Images (*.tif *.png *.jpg *.xpm);;PostScript (*.eps);;All Files (*)</source>
        <translation type="obsolete">Resimler (*.tif *.png *.jpg *.xpm);;PostScript (*.eps);;Tüm Dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="423"/>
        <source>None</source>
        <comment>highlight</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="539"/>
        <location filename="../../../scribus/annot.cpp" line="2095"/>
        <source>None</source>
        <comment>action</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="136"/>
        <source>Tooltip:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="244"/>
        <source>Do Not Export Value</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1336"/>
        <location filename="../../../scribus/annot.cpp" line="1360"/>
        <source>Images (*.tif *.png *.jpg *.xpm);;PostScript (*.eps *.epsi);;All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="1305"/>
        <source>Images (*.tif *.png *.jpg *.xpm);;%1;;All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="627"/>
        <source>Export absolute Filename</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="684"/>
        <source>Submit format:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="687"/>
        <source>FDF</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="687"/>
        <source>HTML</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="687"/>
        <source>XFDF</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/annot.cpp" line="687"/>
        <source>PDF</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>Annota</name>
    <message>
        <location filename="../../../scribus/annota.cpp" line="47"/>
        <source>Annotation Properties</source>
        <translation>Not Özellikleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/annota.cpp" line="77"/>
        <source>Text</source>
        <translation>Metin</translation>
    </message>
    <message>
        <location filename="../../../scribus/annota.cpp" line="78"/>
        <source>Link</source>
        <translation>Link</translation>
    </message>
    <message>
        <location filename="../../../scribus/annota.cpp" line="79"/>
        <source>External Link</source>
        <translation>Dışarıya Bağlantı</translation>
    </message>
    <message>
        <location filename="../../../scribus/annota.cpp" line="80"/>
        <source>External Web-Link</source>
        <translation>Dışarıya Bağlantı (web)</translation>
    </message>
    <message>
        <location filename="../../../scribus/annota.cpp" line="118"/>
        <source>Destination</source>
        <translation>Yol</translation>
    </message>
    <message>
        <location filename="../../../scribus/annota.cpp" line="168"/>
        <location filename="../../../scribus/annota.cpp" line="177"/>
        <source> pt</source>
        <translation> pt</translation>
    </message>
    <message>
        <location filename="../../../scribus/annota.cpp" line="409"/>
        <source>Open</source>
        <translation>Aç</translation>
    </message>
    <message>
        <source>PDF-Documents (*.pdf);;All Files (*)</source>
        <translation type="obsolete">PDF-Belgeleri (*.pdf);;Tüm Dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/annota.cpp" line="82"/>
        <source>&amp;Type:</source>
        <translation>&amp;Tip:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annota.cpp" line="129"/>
        <source>C&amp;hange...</source>
        <translation>D&amp;eğiştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/annota.cpp" line="147"/>
        <source>&amp;Page:</source>
        <translation>S&amp;ayfa:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annota.cpp" line="171"/>
        <source>&amp;X-Pos</source>
        <translation>&amp;X-Pos</translation>
    </message>
    <message>
        <location filename="../../../scribus/annota.cpp" line="179"/>
        <source>&amp;Y-Pos:</source>
        <translation>&amp;Y-Pos:</translation>
    </message>
    <message>
        <location filename="../../../scribus/annota.cpp" line="409"/>
        <source>%1;;All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/annota.cpp" line="131"/>
        <source>Export absolute Filename</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ApplyMasterPageDialog</name>
    <message>
        <source>Normal</source>
        <translation type="obsolete">Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="267"/>
        <source>Apply Master Page</source>
        <translation>Mastar sayfayı uygula</translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="268"/>
        <source>&amp;Master Page:</source>
        <translation>&amp;Mastar Sayfa:</translation>
    </message>
    <message>
        <source>Apply To</source>
        <translation type="obsolete">Buna uygula</translation>
    </message>
    <message>
        <source>Current &amp;page</source>
        <translation type="obsolete">&amp;Mevcut sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="271"/>
        <source>Alt+P</source>
        <translation>Alt+P</translation>
    </message>
    <message>
        <source>&amp;Even pages</source>
        <translation type="obsolete">Çif&amp;t numaralı sayfalar</translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="273"/>
        <source>Alt+E</source>
        <translation>Alt+E</translation>
    </message>
    <message>
        <source>O&amp;dd pages</source>
        <translation type="obsolete">&amp;Tek numaraları sayfalar</translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="275"/>
        <source>Alt+D</source>
        <translation>Alt+D</translation>
    </message>
    <message>
        <source>&amp;All pages</source>
        <translation type="obsolete">&amp;Tüm sayfalar</translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="277"/>
        <source>Alt+A</source>
        <translation>Alt+A</translation>
    </message>
    <message>
        <source>&amp;Within range</source>
        <translation type="obsolete">Sınır&amp;ı içinde</translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="279"/>
        <source>Alt+W</source>
        <translation>Alt+W</translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="281"/>
        <source>to</source>
        <translation>to</translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="283"/>
        <source>Alt+O</source>
        <translation>Alt+O</translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="285"/>
        <source>Alt+C</source>
        <translation>Alt+C</translation>
    </message>
    <message>
        <source>Apply the selected template to even, odd or all pages within the following range</source>
        <translation type="obsolete">Seçili şablonu aşağıdaki sınırlar içindeki tek sayılı,çift sayılı ya da tüm sayfalara uygula</translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="280"/>
        <source>Apply the selected master page to even, odd or all pages within the following range</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="52"/>
        <source>Possible Hyphenation</source>
        <translation type="unfinished">Muhtemel Tireleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="269"/>
        <source>Apply to</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="270"/>
        <source>Current &amp;Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="272"/>
        <source>&amp;Even Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="274"/>
        <source>O&amp;dd Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="276"/>
        <source>&amp;All Pages</source>
        <translation type="unfinished">&amp;Tüm sayfalar</translation>
    </message>
    <message>
        <location filename="../../../scribus/applytemplatedialog.cpp" line="278"/>
        <source>&amp;Within Range</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ArrowChooser</name>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
</context>
<context>
    <name>AspellPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellplugin.cpp" line="64"/>
        <source>Spell-checking support</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellplugin.cpp" line="66"/>
        <source>Adds support for spell-checking via aspell. Languages can be chosen from among the installed aspell dictionaries, and spell-checking can be done on the fly, or on selected text.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellplugin.cpp" line="70"/>
        <source>0.1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellplugin.cpp" line="32"/>
        <source>Spell Checker</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellplugin.cpp" line="97"/>
        <source>Aspell Plugin Error</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>AspellPluginBase</name>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="13"/>
        <source>Spell Check</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="118"/>
        <source>Replacement:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="278"/>
        <source>&amp;Add Word</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="306"/>
        <source>&amp;Change</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>&amp;Exit</source>
        <translation type="obsolete">&amp;Exit</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="45"/>
        <source>Not in Dictionary:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="70"/>
        <source>Word that was not found in the active dictionary</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="125"/>
        <source>Replacement text for the current word that was not found in the dictionary</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="181"/>
        <source>Active Dictionary: </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="194"/>
        <source>The currently active dictionary. Scribus uses aspell for dictionary support.&lt;br /&gt;If you require updated or more dictionaries, you should install them via your system&apos;s installation system or package manager.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="225"/>
        <source>Ignore the current text not found in the active dictionary</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="228"/>
        <source>&amp;Ignore</source>
        <translation type="unfinished">&amp;Yoksay</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="247"/>
        <source>Ignore all occurrences of the current text not found in the active dictionary</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="250"/>
        <source>I&amp;gnore All</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="275"/>
        <source>Add the current word to the your personal spelling dictionary for future use</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="303"/>
        <source>Change the current word that was not found to that shown in the replacement entry field</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="331"/>
        <source>Change all occurrences of the current word in the text that was not found to that shown in the replacement entry field</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="334"/>
        <source>Change A&amp;ll</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginbase.ui" line="372"/>
        <source>Close</source>
        <translation type="unfinished">Kapat</translation>
    </message>
</context>
<context>
    <name>AspellPluginImpl</name>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginimpl.cpp" line="39"/>
        <source>Loaded </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginimpl.cpp" line="39"/>
        <source>default </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginimpl.cpp" line="39"/>
        <source> aspell dictionary.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginimpl.cpp" line="382"/>
        <source>AspellPluginImpl::on_fskipAllBtn_clicked(): Unable to skip all instances of &quot;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginimpl.cpp" line="384"/>
        <source> by adding it to the session list.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginimpl.cpp" line="405"/>
        <source>AspellPluginImpl::on_faddWordBtn_clicked(): Unable to add word to personal list.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginimpl.cpp" line="258"/>
        <source>Spelling check complete</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginimpl.cpp" line="97"/>
        <source>Spell Checker Plugin Failed to Initialise.
Configuration invalid</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginimpl.cpp" line="104"/>
        <source>Spell Checker Plugin Failed to Initialise.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginimpl.cpp" line="106"/>
        <source>No Aspell dictionaries could be found.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginimpl.cpp" line="259"/>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginimpl.cpp" line="451"/>
        <source>Spell Checker</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginimpl.cpp" line="72"/>
        <source>No available Aspell dictionaries found. Install some, please.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellpluginimpl.cpp" line="452"/>
        <source>Do you want start from the beginning of the selection with new language selected?</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>AutoformButtonGroup</name>
    <message>
        <location filename="../../../scribus/autoformbuttongroup.cpp" line="36"/>
        <location filename="../../../scribus/autoformbuttongroup.cpp" line="1281"/>
        <source>Arrows</source>
        <translation type="unfinished">
Oklar</translation>
    </message>
    <message>
        <location filename="../../../scribus/autoformbuttongroup.cpp" line="44"/>
        <location filename="../../../scribus/autoformbuttongroup.cpp" line="1282"/>
        <source>Flow Chart</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/autoformbuttongroup.cpp" line="53"/>
        <location filename="../../../scribus/autoformbuttongroup.cpp" line="1283"/>
        <source>Jigsaw</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/autoformbuttongroup.cpp" line="66"/>
        <location filename="../../../scribus/autoformbuttongroup.cpp" line="1284"/>
        <source>Specials</source>
        <translation type="unfinished">Özel</translation>
    </message>
    <message>
        <location filename="../../../scribus/autoformbuttongroup.cpp" line="21"/>
        <location filename="../../../scribus/autoformbuttongroup.cpp" line="1280"/>
        <source>Default Shapes</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>Barcode</name>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcode.cpp" line="22"/>
        <source>&amp;Barcode...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcode.cpp" line="39"/>
        <source>Scribus frontend for Pure PostScript Barcode Writer</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>BarcodeGenerator</name>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="41"/>
        <source>12 or 13 digits</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="43"/>
        <source>8 digits</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="45"/>
        <source>11 or 12 digits</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="47"/>
        <source>7 or 8 digits</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="49"/>
        <source>5 digits</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="51"/>
        <source>2 digits</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="58"/>
        <source>Variable number of characters, digits and any of the symbols -. *$/+%.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="63"/>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="67"/>
        <source>Variable number of ASCII characters and special function symbols, starting with the appropriate start character for the initial character set. UCC/EAN-128s must have a mandatory FNC 1 symbol immediately following the start character.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="70"/>
        <source>Variable number of digits and any of the symbols -$:/.+ABCD.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="74"/>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="82"/>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="85"/>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="93"/>
        <source>Variable number of digits</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="78"/>
        <source>Variable number of digits. An ITF-14 is 14 characters and does not have a check digit</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="89"/>
        <source>Variable number of digits and capital letters</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="98"/>
        <source>Variable number of hexadecimal characters</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="102"/>
        <source>Variable number of characters, digits and any symbols.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="320"/>
        <source>Error opening file: %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="353"/>
        <source>Barcode incomplete</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="54"/>
        <source>12 or 13 digits with dashes. The legacy ISBN-10 format accepts 9 or 10 digits with dashes, but this standard was depreciated for public use after 1st January 2007. (Note: To convert an old ISBN-10 to a new ISBN-13, prefix 978- to the first 9 digits, e.g. 1-56592-479-7 -&gt; 978-1-56592-479. The final check-digit will be calculated automatically.)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="109"/>
        <source>Select Type</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.cpp" line="149"/>
        <source>Select Barcode Type</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>BarcodeGeneratorBase</name>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="140"/>
        <source>&amp;Type:</source>
        <translation type="unfinished">&amp;Tip:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="120"/>
        <source>Co&amp;de:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="133"/>
        <source>Select one of the available barcode type here</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="113"/>
        <source>The numeric representation of the code itself. See the help message below</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="103"/>
        <source>Reset the barcode samples</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="81"/>
        <source>Alt+I</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="75"/>
        <source>If checked, there will be numbers in the barcode too</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="68"/>
        <source>Alt+G</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="62"/>
        <source>Draw arrows to be sure of space next the code</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="55"/>
        <source>Alt+N</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="49"/>
        <source>Generate and include a checksum in barcode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="42"/>
        <source>Alt+U</source>
        <translation type="unfinished">Alt+U</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="36"/>
        <source>Include the checksum digit in the barcode text</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="156"/>
        <source>Colors</source>
        <translation type="unfinished">Renkler</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="184"/>
        <source>&amp;Background</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="187"/>
        <source>Alt+B</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="181"/>
        <source>Background color - under the code lines</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="216"/>
        <source>&amp;Lines</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="219"/>
        <source>Alt+L</source>
        <translation type="unfinished">Alt+L</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="213"/>
        <source>Color of the lines in barcode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="248"/>
        <source>&amp;Text</source>
        <translation type="unfinished">&amp;Metin</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="251"/>
        <source>Alt+T</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="245"/>
        <source>Color of the text and numbers</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="280"/>
        <source>Hints and help is shown here</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="290"/>
        <source>Preview of the result. 72dpi sample.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="15"/>
        <source>Insert Barcode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="24"/>
        <source>Format</source>
        <translation type="unfinished">Biçim</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="39"/>
        <source>Incl&amp;ude Checksum Digit</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="52"/>
        <source>I&amp;nclude Checksum</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="65"/>
        <source>&amp;Guard Whitespace</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcodegenerator.ui" line="78"/>
        <source>&amp;Include Text in Barcode</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>Biblio</name>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1457"/>
        <source>Scrapbook</source>
        <translation>Albüm</translation>
    </message>
    <message>
        <source>Scrapbooks (*.scs);;All Files (*)</source>
        <translation type="obsolete">Albümler (*.scs);;Tüm Dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="842"/>
        <source>Delete</source>
        <translation>Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1231"/>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1239"/>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1317"/>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1389"/>
        <source>Object</source>
        <translation>Nesne</translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="915"/>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1243"/>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1392"/>
        <source>New Entry</source>
        <translation>Yeni Girdi</translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="840"/>
        <source>Rename</source>
        <translation>Yeniden isimlendir</translation>
    </message>
    <message>
        <source>&amp;New</source>
        <translation type="obsolete">Y&amp;eni</translation>
    </message>
    <message>
        <source>&amp;Load...</source>
        <translation type="obsolete">&amp;Yükle...</translation>
    </message>
    <message>
        <source>&amp;Save</source>
        <translation type="obsolete">&amp;Kaydet</translation>
    </message>
    <message>
        <source>Save &amp;As...</source>
        <translation type="obsolete">&amp;Farklı kaydet...</translation>
    </message>
    <message>
        <source>&amp;Close</source>
        <translation type="obsolete">&amp;Kapat</translation>
    </message>
    <message>
        <source>&amp;Small</source>
        <translation type="obsolete">&amp;Küçük</translation>
    </message>
    <message>
        <source>&amp;Medium</source>
        <translation type="obsolete">&amp;Orta</translation>
    </message>
    <message>
        <source>&amp;Large</source>
        <translation type="obsolete">&amp;Büyük</translation>
    </message>
    <message>
        <source>&amp;File</source>
        <translation type="obsolete">&amp;Dosya</translation>
    </message>
    <message>
        <source>&amp;Preview</source>
        <translation type="obsolete">Öni&amp;zleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="915"/>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1102"/>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1243"/>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1392"/>
        <source>&amp;Name:</source>
        <translation>İ&amp;sim:</translation>
    </message>
    <message>
        <source>Name &quot;%1&quot; is not unique.
Please choose another.</source>
        <translation type="obsolete">&quot;%1&quot; ismi kullanımda.
Başka seçin.</translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="663"/>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="702"/>
        <source>Choose a Scrapbook Directory</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="742"/>
        <source>Choose a scrapbook file to import</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="764"/>
        <source>Choose a Directory</source>
        <translation type="unfinished">Dizin Seçin</translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="847"/>
        <source>Copy To:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="848"/>
        <source>Move To:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1458"/>
        <source>Create a new scrapbook page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1459"/>
        <source>Load an existing scrapbook</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1460"/>
        <source>Save the selected scrapbook</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1461"/>
        <source>Import a scrapbook file from Scribus &lt;=1.3.2</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1462"/>
        <source>Close the selected scrapbook</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="553"/>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="554"/>
        <source>Main</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="556"/>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="557"/>
        <source>Copied Items</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1102"/>
        <source>New Name</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="744"/>
        <source>Scrapbook (*.scs *.SCS)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="836"/>
        <source>Paste to Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="891"/>
        <source>Save as...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="894"/>
        <source>Close</source>
        <translation type="unfinished">Kapat</translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="897"/>
        <source>Delete Contents</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scrapbookpalette.cpp" line="1057"/>
        <source>Do you really want to delete all entries?</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>BookMView</name>
    <message>
        <source>Bookmarks</source>
        <translation type="obsolete">Yer imleri</translation>
    </message>
    <message>
        <source>Move Bookmark</source>
        <translation type="obsolete">Yerimini taşı</translation>
    </message>
    <message>
        <source>Insert Bookmark</source>
        <translation type="obsolete">Yerimi ekle</translation>
    </message>
    <message>
        <source>Cancel</source>
        <translation type="obsolete">İptal</translation>
    </message>
</context>
<context>
    <name>BookPalette</name>
    <message>
        <location filename="../../../scribus/bookmarkpalette.cpp" line="51"/>
        <source>Bookmarks</source>
        <translation>Yer imleri</translation>
    </message>
</context>
<context>
    <name>ButtonIcon</name>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="29"/>
        <source>Icon Placement</source>
        <translation>Icon Placement</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="38"/>
        <source>Layout:</source>
        <translation>Mizanpaj:</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="41"/>
        <source>Caption only</source>
        <translation>Caption only</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="41"/>
        <source>Icon only</source>
        <translation>Sadece simge</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="41"/>
        <source>Caption below Icon</source>
        <translation>Simge altında başlık</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="41"/>
        <source>Caption above Icon</source>
        <translation>Simge üstünde başlık</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="42"/>
        <source>Caption right to Icon</source>
        <translation>Simgenin sağında başlık</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="42"/>
        <source>Caption left to Icon</source>
        <translation>Simgenin solunda başlık</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="42"/>
        <source>Caption overlays Icon</source>
        <translation>Simgeyi kaplayan başlık</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="50"/>
        <source>Scale:</source>
        <translation>Ölçeklendir:</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="55"/>
        <source>Always</source>
        <translation>Daima</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="56"/>
        <source>When Icon is too big</source>
        <translation>Simge çok büyükse</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="56"/>
        <source>Never</source>
        <translation>Asla</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="63"/>
        <source>Scale How:</source>
        <translation>Nasıl ölçeklendirilecek:</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="66"/>
        <source>Proportional</source>
        <translation>Orantılı</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="67"/>
        <source>Non Proportional</source>
        <translation>Orantısı</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="90"/>
        <source>Icon</source>
        <translation>Simge</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="117"/>
        <source>OK</source>
        <translation>Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="121"/>
        <source>Cancel</source>
        <translation>İptal</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="124"/>
        <source>Reset</source>
        <translation>Sıfırla</translation>
    </message>
    <message>
        <location filename="../../../scribus/buttonicon.cpp" line="55"/>
        <source>When Icon is too small</source>
        <translation>Simge çok küçükse</translation>
    </message>
</context>
<context>
    <name>CMSPrefs</name>
    <message>
        <source>System Profiles</source>
        <translation type="obsolete">Sistem Profilleri</translation>
    </message>
    <message>
        <source>Rendering Intents</source>
        <translation type="obsolete">Rendering Intents</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefs.cpp" line="69"/>
        <source>Perceptual</source>
        <translation>Algısal</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefs.cpp" line="69"/>
        <source>Relative Colorimetric</source>
        <translation>Bağıl renk-ölçüsel</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefs.cpp" line="70"/>
        <source>Saturation</source>
        <translation>Doygunluk</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefs.cpp" line="70"/>
        <source>Absolute Colorimetric</source>
        <translation>Mutlak Renk-Ölçüsel</translation>
    </message>
    <message>
        <source>Default color profile for solid colors on the page</source>
        <translation type="obsolete">Default colour profile for solid colours on the page</translation>
    </message>
    <message>
        <source>Color profile that you have generated or received from the manufacturer.
This profile should be specific to your monitor and not a generic profile (i.e. sRGB).</source>
        <translation type="obsolete">Colour profile that you have generated or received from the manufacturer.
This profile should be specific to your monitor and not a generic profile (i.e. sRGB).</translation>
    </message>
    <message>
        <source>Color profile for your printer model from the manufacturer.
This profile should be specific to your printer and not a generic profile (i.e. sRGB).</source>
        <translation type="obsolete">Colour profile for your printer model from the manufacturer.
This profile should be specific to your printer and not a generic profile (i.e. sRGB).</translation>
    </message>
    <message>
        <source>Black Point Compensation is a method of improving contrast in photos.
It is recommended that you enable this if you have photos in your document.</source>
        <translation type="obsolete">Black Point Compensation is a method of improving contrast in photos.
It is recommended that you enable this if you have photos in your document.</translation>
    </message>
    <message>
        <source>Default rendering intent for your monitor. Unless you know why to change it,
Relative Colorimetric or Perceptual should be chosen.</source>
        <translation type="obsolete">Default rendering intent for your monitor. Unless you know why to change it,
Relative Colourimetric or Perceptual should be chosen.</translation>
    </message>
    <message>
        <source>Default rendering intent for your printer. Unless you know why to change it,
Relative Colorimetric or Perceptual should be chosen.</source>
        <translation type="obsolete">Default rendering intent for your printer. Unless you know why to change it,
Relative Colourimetric or Perceptual should be chosen.</translation>
    </message>
    <message>
        <source>Enable &apos;soft proofing&apos; of how your document colors will print,
based on the chosen printer profile.</source>
        <translation type="obsolete">Enable &apos;soft proofing&apos; of how your document colours will print,
based on the chosen printer profile.</translation>
    </message>
    <message>
        <source>Method of showing colors on the screen which may not print properly.
This requires very accurate profiles and serves only as a warning.</source>
        <translation type="obsolete">Method of showing colours on the screen which may not print properly.
This requires very accurate profiles and serves only as a warning.</translation>
    </message>
    <message>
        <source>&amp;Activate Color Management</source>
        <translation type="obsolete">Renk Yönetimini et&amp;kinleştir</translation>
    </message>
    <message>
        <source>&amp;Solid Colors:</source>
        <translation type="obsolete">&amp;Solid Colours:</translation>
    </message>
    <message>
        <source>&amp;Monitor:</source>
        <translation type="obsolete">&amp;Monitör:</translation>
    </message>
    <message>
        <source>P&amp;rinter:</source>
        <translation type="obsolete">&amp;Yazıcı:</translation>
    </message>
    <message>
        <source>M&amp;onitor:</source>
        <translation type="obsolete">M&amp;onitor:</translation>
    </message>
    <message>
        <source>Pr&amp;inter:</source>
        <translation type="obsolete">&amp;Yazıcı:</translation>
    </message>
    <message>
        <source>Sim&amp;ulate Printer on the Screen</source>
        <translation type="obsolete">Yazıcıyı ekran üzerinde &amp;simule et</translation>
    </message>
    <message>
        <source>Mark Colors out of &amp;Gamut</source>
        <translation type="obsolete">Mark Colours out of &amp;Gamut</translation>
    </message>
    <message>
        <source>Use &amp;Blackpoint Compensation</source>
        <translation type="obsolete">Use &amp;Blackpoint Compensation</translation>
    </message>
    <message>
        <source>&amp;RGB Pictures:</source>
        <translation type="obsolete">&amp;RGB Resimler:</translation>
    </message>
    <message>
        <source>&amp;CMYK Pictures:</source>
        <translation type="obsolete">&amp;CMYK Resimler:</translation>
    </message>
    <message>
        <source>Default color profile for imported CMYK images</source>
        <translation type="obsolete">CMYK Resimler için öntanımlı renk profili </translation>
    </message>
    <message>
        <source>Default color profile for imported RGB images</source>
        <translation type="obsolete">RGB Resimler için öntanımlı renk profili </translation>
    </message>
    <message>
        <source>Images:</source>
        <translation type="obsolete">Resimler:</translation>
    </message>
</context>
<context>
    <name>CMSPrefsBase</name>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="19"/>
        <source>Form</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="40"/>
        <source>&amp;Activate Color Management</source>
        <translation type="unfinished">Renk Yönetimini et&amp;kinleştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="50"/>
        <source>System Profiles</source>
        <translation type="unfinished">Sistem Profilleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="74"/>
        <source>&amp;RGB Images:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="90"/>
        <source>Default color profile for imported RGB images</source>
        <translation type="unfinished">RGB Resimler için öntanımlı renk profili </translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="97"/>
        <source>&amp;CMYK Images:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="113"/>
        <source>Default color profile for imported CMYK images</source>
        <translation type="unfinished">CMYK Resimler için öntanımlı renk profili </translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="120"/>
        <source>&amp;RGB Solid Colors:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="136"/>
        <source>Default color profile for solid RGB colors on the page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="143"/>
        <source>&amp;CMYK Solid Colors:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="159"/>
        <source>Default color profile for solid CMYK colors on the page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="166"/>
        <source>&amp;Monitor:</source>
        <translation type="unfinished">&amp;Monitör:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="182"/>
        <source>Color profile that you have generated or received from the manufacturer.
This profile should be specific to your monitor and not a generic profile (i.e. sRGB).</source>
        <translation type="unfinished">Colour profile that you have generated or received from the manufacturer.
This profile should be specific to your monitor and not a generic profile (i.e. sRGB).</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="190"/>
        <source>P&amp;rinter:</source>
        <translation type="unfinished">&amp;Yazıcı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="206"/>
        <source>Color profile for your printer model from the manufacturer.
This profile should be specific to your printer and not a generic profile (i.e. sRGB).</source>
        <translation type="unfinished">Colour profile for your printer model from the manufacturer.
This profile should be specific to your printer and not a generic profile (i.e. sRGB).</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="220"/>
        <source>Rendering Intents</source>
        <translation type="unfinished">Rendering Intents</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="244"/>
        <source>Images:</source>
        <translation type="unfinished">Resimler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="260"/>
        <source>Default rendering intent for images. Unless you know why to change it,
Relative Colorimetric or Perceptual should be chosen.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="268"/>
        <source>Sol&amp;id Colors:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="284"/>
        <source>Default rendering intent for solid colors. Unless you know why to change it,
Relative Colorimetric or Perceptual should be chosen.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="298"/>
        <source>Enable &apos;soft proofing&apos; of how your document colors will print,
based on the chosen printer profile.</source>
        <translation type="unfinished">Enable &apos;soft proofing&apos; of how your document colours will print,
based on the chosen printer profile.</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="302"/>
        <source>Sim&amp;ulate Printer on the Screen</source>
        <translation type="unfinished">Yazıcıyı ekran üzerinde &amp;simule et</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="329"/>
        <source>Simulate a full color managed environment :
all colors, rgb or cmyk, are converted to printer color space.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="333"/>
        <source>Convert all colors to printer space</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="340"/>
        <source>Method of showing colors on the screen which may not print properly.
This requires very accurate profiles and serves only as a warning.</source>
        <translation type="unfinished">Method of showing colours on the screen which may not print properly.
This requires very accurate profiles and serves only as a warning.</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="344"/>
        <source>Mark Colors out of &amp;Gamut</source>
        <translation type="unfinished">Mark Colours out of &amp;Gamut</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="357"/>
        <source>Black Point Compensation is a method of improving contrast in photos.
It is recommended that you enable this if you have photos in your document.</source>
        <translation type="unfinished">Black Point Compensation is a method of improving contrast in photos.
It is recommended that you enable this if you have photos in your document.</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmsprefsbase.ui" line="361"/>
        <source>Use &amp;Blackpoint Compensation</source>
        <translation type="unfinished">Use &amp;Blackpoint Compensation</translation>
    </message>
</context>
<context>
    <name>CMYKChoose</name>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="87"/>
        <source>Edit Color</source>
        <translation>Renk Düzenle</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="111"/>
        <location filename="../../../scribus/cmykfw.cpp" line="654"/>
        <location filename="../../../scribus/cmykfw.cpp" line="673"/>
        <location filename="../../../scribus/cmykfw.cpp" line="892"/>
        <location filename="../../../scribus/cmykfw.cpp" line="899"/>
        <source>CMYK</source>
        <translation>CMYK</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="112"/>
        <location filename="../../../scribus/cmykfw.cpp" line="409"/>
        <location filename="../../../scribus/cmykfw.cpp" line="904"/>
        <source>RGB</source>
        <translation>RGB</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="113"/>
        <location filename="../../../scribus/cmykfw.cpp" line="757"/>
        <source>Web Safe RGB</source>
        <translation>Web Safe RGB</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="136"/>
        <source>New</source>
        <translation>Yeni</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="153"/>
        <source>Old</source>
        <translation>Eski</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="261"/>
        <location filename="../../../scribus/cmykfw.cpp" line="698"/>
        <source>C:</source>
        <translation>C:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="288"/>
        <location filename="../../../scribus/cmykfw.cpp" line="699"/>
        <source>M:</source>
        <translation>M:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="315"/>
        <location filename="../../../scribus/cmykfw.cpp" line="700"/>
        <source>Y:</source>
        <translation>Y:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="342"/>
        <source>K:</source>
        <translation>K:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="438"/>
        <source>Dynamic Color Bars</source>
        <translation>Dinamik Renk Çubukları</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="436"/>
        <source>Static Color Bars</source>
        <translation>Statik Renk Çubukları</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="742"/>
        <source>R:</source>
        <translation>R:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="743"/>
        <source>G:</source>
        <translation>G:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="744"/>
        <source>B:</source>
        <translation>B:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="283"/>
        <location filename="../../../scribus/cmykfw.cpp" line="310"/>
        <location filename="../../../scribus/cmykfw.cpp" line="337"/>
        <location filename="../../../scribus/cmykfw.cpp" line="364"/>
        <location filename="../../../scribus/cmykfw.cpp" line="695"/>
        <location filename="../../../scribus/cmykfw.cpp" line="696"/>
        <location filename="../../../scribus/cmykfw.cpp" line="697"/>
        <source> %</source>
        <translation> %</translation>
    </message>
    <message>
        <source>HSV-Colormap</source>
        <translation type="obsolete">HSV-Colourmap</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="96"/>
        <source>&amp;Name:</source>
        <translation>İ&amp;sim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="106"/>
        <source>Color &amp;Model</source>
        <translation>Renk &amp;Modeli</translation>
    </message>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="120"/>
        <source>Is Spot Color</source>
        <translation type="unfinished">Is Spot Colour</translation>
    </message>
    <message>
        <source>Is Registration Color</source>
        <translation type="obsolete">Is Registration Colour</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="995"/>
        <source>You cannot create a color named &quot;%1&quot;.
It is a reserved name for transparent color</source>
        <translation>&quot;%1&quot; ismiyle renk oluşturamazsınız.
Bu isim şeffaflık için ayrılmıştır</translation>
    </message>
    <message>
        <source>Name of the color is not unique</source>
        <translation type="obsolete">Renk adı zaten mevcut</translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="1004"/>
        <source>The name of the color already exists,
please choose another one.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="385"/>
        <source>Choosing this will make this color a spot color, thus creating another spot when creating plates or separations. This is used most often when a logo or other color needs exact representation or cannot be replicated with CMYK inks. Metallic and fluorescent inks are good examples which cannot be easily replicated with CMYK inks.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="777"/>
        <location filename="../../../scribus/cmykfw.cpp" line="778"/>
        <source>If color management is enabled, a triangle warning indicator is a warning that the color maybe outside of the color gamut of the current printer profile selected. What this means is the color may not print exactly as indicated on screen. More hints about gamut warnings are in the online help under Color Management.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="988"/>
        <source>You cannot create a color without a name
Please give it a name</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cmykfw.cpp" line="191"/>
        <source>HSV Color Map</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>CStyleP</name>
    <message>
        <source>Colors</source>
        <translation type="obsolete">Renkler</translation>
    </message>
</context>
<context>
    <name>CWDialog</name>
    <message>
        <source>Normal Vision</source>
        <translation type="obsolete">Normal Görüş</translation>
    </message>
    <message>
        <source>Protanopia (Red)</source>
        <translation type="obsolete">Protanopia (Kırmızı Körlüğü)</translation>
    </message>
    <message>
        <source>Deuteranopia (Green)</source>
        <translation type="obsolete">Deuteranopia (Yeşil Körlüğü)</translation>
    </message>
    <message>
        <source>Tritanopia (Blue)</source>
        <translation type="obsolete">Tritanopia (Mavi Körlüğü)</translation>
    </message>
    <message>
        <source>Full Color Blindness</source>
        <translation type="obsolete">Tam Renk Körlüğü</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.cpp" line="319"/>
        <source>Merging colors</source>
        <translation type="unfinished">Merging colours</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.cpp" line="325"/>
        <source>Error: </source>
        <translation type="unfinished">Hata: </translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.cpp" line="325"/>
        <source>Color %1 exists already!</source>
        <translation type="unfinished">Renk %1 zaten mevcut!</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.cpp" line="330"/>
        <source>Color %1 appended.</source>
        <translation type="unfinished">Renk %1 eklendi.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.cpp" line="334"/>
        <source>Now opening the color manager.</source>
        <translation type="unfinished">Renk Yönetimi açılıyor.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.cpp" line="337"/>
        <source>Color Merging</source>
        <translation type="unfinished">Renk Birleştirme</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.cpp" line="486"/>
        <source>Unable to find the requested color. You have probably selected black, gray or white. There is no way to process this color.</source>
        <translation type="unfinished">Unable to find the requested colour. You have probably selected black, gray or white. There is no way to process this colour.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="15"/>
        <source>Color Wheel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="45"/>
        <source>Click the wheel to get the base color. Its color model depends on the chosen tab.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="52"/>
        <source>Result Colors</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="77"/>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="322"/>
        <source>CMYK</source>
        <translation type="unfinished">CMYK</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="82"/>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="543"/>
        <source>RGB</source>
        <translation type="unfinished">RGB</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="87"/>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="729"/>
        <source>HSV</source>
        <translation type="unfinished">HSV</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="106"/>
        <source>Colors of your chosen color scheme.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="116"/>
        <source>Color Scheme Method</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="142"/>
        <source>Angle:</source>
        <translation type="unfinished">Açı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="152"/>
        <source>Difference between the selected value and the counted ones. Refer to documentation for more information.</source>
        <translation type="unfinished">Difference between the selected value and the counted ones. Refer to documentation for more information.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="167"/>
        <source>Select one of the methods to create a color scheme. Refer to documentation for more information.</source>
        <translation type="unfinished">Select one of the methods to create a colour scheme. Refer to documentation for more information.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="201"/>
        <source>Merge created colors into the document colors</source>
        <translation type="unfinished">Oluşturulan renkleri belge renkleriyle birleştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="204"/>
        <source>&amp;Merge</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="207"/>
        <source>Alt+M</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="214"/>
        <source>Replace created colors in the document colors</source>
        <translation type="unfinished">Oluşturulan renkleri belge renkleriyle değiş</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="217"/>
        <source>&amp;Replace</source>
        <translation type="unfinished">&amp;Değiştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="220"/>
        <source>Alt+R</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="227"/>
        <source>Leave colors untouched</source>
        <translation type="unfinished">Renkleri olduğu gibi bırak</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="230"/>
        <source>&amp;Cancel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="233"/>
        <source>Alt+C</source>
        <translation type="unfinished">Alt+C</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="242"/>
        <source>Preview:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="266"/>
        <source>Sample color scheme.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="285"/>
        <source>Simulate common vision defects here. Select type of the defect.</source>
        <translation type="unfinished">Simulate common vision defects here. Select type of the defect.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="292"/>
        <source>Vision Defect Type:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="342"/>
        <source>C:</source>
        <translation type="unfinished">C:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="352"/>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="382"/>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="412"/>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="442"/>
        <source> %</source>
        <translation type="unfinished"> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="372"/>
        <source>M:</source>
        <translation type="unfinished">M:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="402"/>
        <source>Y:</source>
        <translation type="unfinished">Y:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="432"/>
        <source>K:</source>
        <translation type="unfinished">K:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="462"/>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="838"/>
        <source>RGB:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="498"/>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="685"/>
        <source>HSV:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="571"/>
        <source>R:</source>
        <translation type="unfinished">R:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="598"/>
        <source>G:</source>
        <translation type="unfinished">G:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="625"/>
        <source>B:</source>
        <translation type="unfinished">B:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="652"/>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="874"/>
        <source>CMYK:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="757"/>
        <source>H:</source>
        <translation type="unfinished">H:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="784"/>
        <source>S:</source>
        <translation type="unfinished">S:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="811"/>
        <source>V:</source>
        <translation type="unfinished">V:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/cwdialog.ui" line="918"/>
        <source>Document</source>
        <translation type="unfinished">Belge</translation>
    </message>
</context>
<context>
    <name>CWDialogBase</name>
    <message>
        <source>CMYK</source>
        <translation type="obsolete">CMYK</translation>
    </message>
    <message>
        <source>C:</source>
        <translation type="obsolete">C:</translation>
    </message>
    <message>
        <source>M:</source>
        <translation type="obsolete">M:</translation>
    </message>
    <message>
        <source>Y:</source>
        <translation type="obsolete">Y:</translation>
    </message>
    <message>
        <source>K:</source>
        <translation type="obsolete">K:</translation>
    </message>
    <message>
        <source>RGB</source>
        <translation type="obsolete">RGB</translation>
    </message>
    <message>
        <source>R:</source>
        <translation type="obsolete">R:</translation>
    </message>
    <message>
        <source>G:</source>
        <translation type="obsolete">G:</translation>
    </message>
    <message>
        <source>B:</source>
        <translation type="obsolete">B:</translation>
    </message>
    <message>
        <source>Document</source>
        <translation type="obsolete">Belge</translation>
    </message>
    <message>
        <source>Select one of the methods to create a color scheme. Refer to documentation for more information.</source>
        <translation type="obsolete">Select one of the methods to create a colour scheme. Refer to documentation for more information.</translation>
    </message>
    <message>
        <source>Angle:</source>
        <translation type="obsolete">Açı:</translation>
    </message>
    <message>
        <source>Difference between the selected value and the counted ones. Refer to documentation for more information.</source>
        <translation type="obsolete">Difference between the selected value and the counted ones. Refer to documentation for more information.</translation>
    </message>
    <message>
        <source>Merge created colors into the document colors</source>
        <translation type="obsolete">Oluşturulan renkleri belge renkleriyle birleştir</translation>
    </message>
    <message>
        <source>&amp;Replace</source>
        <translation type="obsolete">&amp;Değiştir</translation>
    </message>
    <message>
        <source>Replace created colors in the document colors</source>
        <translation type="obsolete">Oluşturulan renkleri belge renkleriyle değiş</translation>
    </message>
    <message>
        <source>Alt+C</source>
        <translation type="obsolete">Alt+C</translation>
    </message>
    <message>
        <source>Leave colors untouched</source>
        <translation type="obsolete">Renkleri olduğu gibi bırak</translation>
    </message>
    <message>
        <source>Simulate common vision defects here. Select type of the defect.</source>
        <translation type="obsolete">Simulate common vision defects here. Select type of the defect.</translation>
    </message>
    <message>
        <source> %</source>
        <translation type="obsolete"> %</translation>
    </message>
    <message>
        <source>HSV</source>
        <translation type="obsolete">HSV</translation>
    </message>
    <message>
        <source>H:</source>
        <translation type="obsolete">H:</translation>
    </message>
    <message>
        <source>S:</source>
        <translation type="obsolete">S:</translation>
    </message>
    <message>
        <source>V:</source>
        <translation type="obsolete">V:</translation>
    </message>
</context>
<context>
    <name>Canvas</name>
    <message>
        <location filename="../../../scribus/canvas.cpp" line="2247"/>
        <location filename="../../../scribus/canvas.cpp" line="2275"/>
        <source>X: %1
Y: %2</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/canvas.cpp" line="2260"/>
        <source>X: %1</source>
        <translation type="unfinished">X: %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/canvas.cpp" line="2267"/>
        <source>Y: %1</source>
        <translation type="unfinished">Y: %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/canvas.cpp" line="2283"/>
        <source>Length: %1
Angle: %2</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/canvas.cpp" line="2285"/>
        <source>Width: %1
Height: %2</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/canvas.cpp" line="2297"/>
        <source>Angle: %1</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>CanvasMode_EyeDropper</name>
    <message>
        <location filename="../../../scribus/canvasmode_eyedropper.cpp" line="165"/>
        <source>The selected color does not exist in the document&apos;s color set. Please enter a name for this new color.</source>
        <translation type="unfinished">Seçili renk belgenin renk kümesinde bulunmuyor. Lütfen bu yeni renk için isim girin.</translation>
    </message>
    <message>
        <location filename="../../../scribus/canvasmode_eyedropper.cpp" line="168"/>
        <source>Color Not Found</source>
        <translation type="unfinished">Renk Bulunamadı</translation>
    </message>
    <message>
        <location filename="../../../scribus/canvasmode_eyedropper.cpp" line="172"/>
        <source>The name you have selected already exists. Please enter a different name for this new color.</source>
        <translation type="unfinished">Seçtiğiniz isim zaten kullanımda. Bu yeni renk için lütfen başka bir isim girin.</translation>
    </message>
</context>
<context>
    <name>CanvasMode_FrameLinks</name>
    <message>
        <location filename="../../../scribus/canvasmode_framelinks.cpp" line="212"/>
        <location filename="../../../scribus/canvasmode_framelinks.cpp" line="219"/>
        <source>Linking Text Frames</source>
        <translation type="unfinished">Metin Çerçevelerini Bağlama</translation>
    </message>
    <message>
        <location filename="../../../scribus/canvasmode_framelinks.cpp" line="213"/>
        <source>You are trying to link a frame to itself.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/canvasmode_framelinks.cpp" line="220"/>
        <source>You are trying to link a frame which is already linked.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>CanvasMode_Normal</name>
    <message>
        <location filename="../../../scribus/canvasmode_normal.cpp" line="1314"/>
        <source>All Supported Formats</source>
        <translation type="unfinished">Desteklenen tüm dosya türleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/canvasmode_normal.cpp" line="1345"/>
        <source>Open</source>
        <translation type="unfinished">Aç</translation>
    </message>
</context>
<context>
    <name>ChTable</name>
    <message>
        <source>You can see a thumbnail if you press and hold down the right mouse button. The Insert key inserts a Glyph into the Selection below and the Delete key removes the last inserted one</source>
        <translation type="obsolete">Eğer sağ butona basıp basılı tutarsanız küçük bir önizleme resmi görürsünüz. Insert tuşu aşağıdaki seçime Glyph ekler; Delete tuşu son ekleneni siler</translation>
    </message>
</context>
<context>
    <name>CharSelect</name>
    <message>
        <source>Select Character:</source>
        <translation type="obsolete">Karakter Seçin:</translation>
    </message>
    <message>
        <source>Font:</source>
        <translation type="obsolete">Yazıtipi:</translation>
    </message>
    <message>
        <source>Character Class:</source>
        <translation type="obsolete">Karakter Sınıfı:</translation>
    </message>
    <message>
        <source>&amp;Insert</source>
        <translation type="obsolete">&amp;Ekle</translation>
    </message>
    <message>
        <source>C&amp;lear</source>
        <translation type="obsolete">&amp;Temizle</translation>
    </message>
    <message>
        <source>&amp;Close</source>
        <translation type="obsolete">&amp;Kapat</translation>
    </message>
    <message>
        <source>Insert the characters at the cursor in the text</source>
        <translation type="obsolete">Karakteri metindeki cursor&apos;a ekle</translation>
    </message>
    <message>
        <source>Delete the current selection(s).</source>
        <translation type="obsolete">Seçim(leri) sil.</translation>
    </message>
    <message>
        <source>Close this dialog and return to text editing.</source>
        <translation type="obsolete">Bu diyaloğu kapat ve metin düzeltmeye geri dön.</translation>
    </message>
    <message>
        <source>Full Character Set</source>
        <translation type="obsolete">Tam Karakter Kümesi</translation>
    </message>
    <message>
        <source>Basic Latin</source>
        <translation type="obsolete">Temel Latin</translation>
    </message>
    <message>
        <source>Latin-1 Supplement</source>
        <translation type="obsolete">Latin-1 Ek</translation>
    </message>
    <message>
        <source>Latin Extended-A</source>
        <translation type="obsolete">Latin Genişletilmiş-A</translation>
    </message>
    <message>
        <source>Latin Extended-B</source>
        <translation type="obsolete">Latin Genişletilmiş-B</translation>
    </message>
    <message>
        <source>General Punctuation</source>
        <translation type="obsolete">Genel Noktalama</translation>
    </message>
    <message>
        <source>Super- and Subscripts</source>
        <translation type="obsolete">Super- ve Subscript</translation>
    </message>
    <message>
        <source>Currency Symbols</source>
        <translation type="obsolete">Parabirimi Sembolleri</translation>
    </message>
    <message>
        <source>Letterlike Symbols</source>
        <translation type="obsolete">Harf gibi semboller</translation>
    </message>
    <message>
        <source>Number Forms</source>
        <translation type="obsolete">Sayı Biçimleri</translation>
    </message>
    <message>
        <source>Arrows</source>
        <translation type="obsolete">
Oklar</translation>
    </message>
    <message>
        <source>Mathematical Operators</source>
        <translation type="obsolete">Matematiksel Operatörler</translation>
    </message>
    <message>
        <source>Box Drawing</source>
        <translation type="obsolete">Kutu Çizimi</translation>
    </message>
    <message>
        <source>Block Elements</source>
        <translation type="obsolete">Blok Öğeleri</translation>
    </message>
    <message>
        <source>Geometric Shapes</source>
        <translation type="obsolete">Geometrik Şekiller</translation>
    </message>
    <message>
        <source>Miscellaneous Symbols</source>
        <translation type="obsolete">Çeşitli Semboller</translation>
    </message>
    <message>
        <source>Dingbats</source>
        <translation type="obsolete">Dingbats</translation>
    </message>
    <message>
        <source>Small Form Variants</source>
        <translation type="obsolete">Small Form Variants</translation>
    </message>
    <message>
        <source>Ligatures</source>
        <translation type="obsolete">Bağlayıcılar</translation>
    </message>
    <message>
        <source>Specials</source>
        <translation type="obsolete">Özel</translation>
    </message>
    <message>
        <source>Greek</source>
        <translation type="obsolete">Yunan</translation>
    </message>
    <message>
        <source>Greek Extended</source>
        <translation type="obsolete">Genişletilmiş Yunan</translation>
    </message>
    <message>
        <source>Cyrillic</source>
        <translation type="obsolete">Kiril</translation>
    </message>
    <message>
        <source>Cyrillic Supplement</source>
        <translation type="obsolete">Kiril Ek</translation>
    </message>
    <message>
        <source>Arabic</source>
        <translation type="obsolete">Arap</translation>
    </message>
    <message>
        <source>Arabic Extended A</source>
        <translation type="obsolete">Arap Genişletilmiş A</translation>
    </message>
    <message>
        <source>Arabic Extended B</source>
        <translation type="obsolete">Arap Genişletilmiş B</translation>
    </message>
    <message>
        <source>Hebrew</source>
        <translation type="obsolete">İbranice</translation>
    </message>
    <message>
        <source>You can see a thumbnail if you press and hold down the right mouse button. The Insert key inserts a Glyph into the Selection below and the Delete key removes the last inserted one</source>
        <translation type="obsolete">Eğer sağ butona basıp basılı tutarsanız küçük bir önizleme resmi görürsünüz. Insert tuşu aşağıdaki seçime Glyph ekler; Delete tuşu son ekleneni siler</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselect.cpp" line="32"/>
        <source>Scribus Char Palette (*.ucp);;All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselect.cpp" line="254"/>
        <source>Choose a filename to open</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselect.cpp" line="291"/>
        <location filename="../../../scribus/charselect.cpp" line="336"/>
        <source>Error</source>
        <translation type="unfinished">Hata</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselect.cpp" line="292"/>
        <source>Error reading file %1 - file is corrupted propably.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselect.cpp" line="337"/>
        <source>Cannot write file %1</source>
        <translation type="unfinished">Dosya yazılamıyor:%1 . {1?}</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselect.ui" line="14"/>
        <source>Character Palette</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselect.ui" line="25"/>
        <source>Show/Hide Enhanced Palette</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselect.ui" line="35"/>
        <source>Unicode Search</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselect.ui" line="42"/>
        <source>Load a Character Palette</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselect.ui" line="52"/>
        <source>Save the Character Palette</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselect.ui" line="62"/>
        <source>Empty the Character Palette</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>&amp;Search</source>
        <translation type="obsolete">&amp;Ara</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselect.cpp" line="345"/>
        <source>Empty the Palette?</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselect.cpp" line="346"/>
        <source>You will remove all characters from this palette. Are you sure?</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselect.cpp" line="307"/>
        <source>Save Quick Character Palette</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>CharSelectEnhanced</name>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="208"/>
        <source>Full Character Set</source>
        <translation type="unfinished">Tam Karakter Kümesi</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="213"/>
        <source>Basic Latin</source>
        <translation type="unfinished">Temel Latin</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="219"/>
        <source>Latin-1 Supplement</source>
        <translation type="unfinished">Latin-1 Ek</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="225"/>
        <source>Latin Extended-A</source>
        <translation type="unfinished">Latin Genişletilmiş-A</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="231"/>
        <source>Latin Extended-B</source>
        <translation type="unfinished">Latin Genişletilmiş-B</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="237"/>
        <source>General Punctuation</source>
        <translation type="unfinished">Genel Noktalama</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="243"/>
        <source>Super- and Subscripts</source>
        <translation type="unfinished">Super- ve Subscript</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="249"/>
        <source>Currency Symbols</source>
        <translation type="unfinished">Parabirimi Sembolleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="255"/>
        <source>Letterlike Symbols</source>
        <translation type="unfinished">Harf gibi semboller</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="261"/>
        <source>Number Forms</source>
        <translation type="unfinished">Sayı Biçimleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="267"/>
        <source>Arrows</source>
        <translation type="unfinished">
Oklar</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="273"/>
        <source>Mathematical Operators</source>
        <translation type="unfinished">Matematiksel Operatörler</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="279"/>
        <source>Box Drawing</source>
        <translation type="unfinished">Kutu Çizimi</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="285"/>
        <source>Block Elements</source>
        <translation type="unfinished">Blok Öğeleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="291"/>
        <source>Geometric Shapes</source>
        <translation type="unfinished">Geometrik Şekiller</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="297"/>
        <source>Miscellaneous Symbols</source>
        <translation type="unfinished">Çeşitli Semboller</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="303"/>
        <source>Dingbats</source>
        <translation type="unfinished">Dingbats</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="309"/>
        <source>Small Form Variants</source>
        <translation type="unfinished">Small Form Variants</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="315"/>
        <source>Ligatures</source>
        <translation type="unfinished">Bağlayıcılar</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="321"/>
        <source>Specials</source>
        <translation type="unfinished">Özel</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="327"/>
        <source>Greek</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="333"/>
        <source>Greek Extended</source>
        <translation type="unfinished">Genişletilmiş Yunan</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="339"/>
        <source>Cyrillic</source>
        <translation type="unfinished">Kiril</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="345"/>
        <source>Cyrillic Supplement</source>
        <translation type="unfinished">Kiril Ek</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="351"/>
        <source>Arabic</source>
        <translation type="unfinished">Arap</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="357"/>
        <source>Arabic Extended A</source>
        <translation type="unfinished">Arap Genişletilmiş A</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="363"/>
        <source>Arabic Extended B</source>
        <translation type="unfinished">Arap Genişletilmiş B</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.cpp" line="369"/>
        <source>Hebrew</source>
        <translation type="unfinished">İbranice</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.ui" line="13"/>
        <source>Enhanced Character Palette</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.ui" line="19"/>
        <source>&amp;Font:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.ui" line="45"/>
        <source>C&amp;haracter Class:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.ui" line="77"/>
        <source>You can see a thumbnail if you press and hold down the right mouse button.
The Insert key inserts a Glyph into the Selection below and the Delete key removes the last inserted one</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.ui" line="96"/>
        <source>Insert &amp;Code:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.ui" line="131"/>
        <source>Glyphs to Insert</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.ui" line="171"/>
        <source>Insert the characters at the cursor in the text</source>
        <translation type="unfinished">Karakteri metindeki cursor&apos;a ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.ui" line="174"/>
        <source>&amp;Insert</source>
        <translation type="unfinished">&amp;Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.ui" line="184"/>
        <source>Delete the current selection(s).</source>
        <translation type="unfinished">Seçim(leri) sil.</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.ui" line="187"/>
        <source>C&amp;lear</source>
        <translation type="unfinished">&amp;Temizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/charselectenhanced.ui" line="106"/>
        <source>Type in a four digit Unicode value directly here</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>CharStyleComboBox</name>
    <message>
        <location filename="../../../scribus/spalette.cpp" line="94"/>
        <location filename="../../../scribus/spalette.cpp" line="107"/>
        <location filename="../../../scribus/spalette.cpp" line="118"/>
        <source>No Style</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>CharTable</name>
    <message>
        <source>Delete</source>
        <translation type="obsolete">Sil</translation>
    </message>
</context>
<context>
    <name>CharTableView</name>
    <message>
        <location filename="../../../scribus/chartableview.cpp" line="22"/>
        <source>Delete</source>
        <translation type="unfinished">Sil</translation>
    </message>
</context>
<context>
    <name>CheckDocument</name>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="675"/>
        <source>Glyphs missing</source>
        <translation>Glyph kayıp</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="676"/>
        <source>Text overflow</source>
        <translation>Metin taşması</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="677"/>
        <source>Object is not on a Page</source>
        <translation>Nesne bir sayfa üstünde değil</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="678"/>
        <source>Missing Image</source>
        <translation>Bulunamayan resim</translation>
    </message>
    <message>
        <source>Image has a DPI-Value less than %1 DPI</source>
        <translation type="obsolete">Resmin DPI değeri %1 DPI altında</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="682"/>
        <source>Object has transparency</source>
        <translation>Nesne şeffaflık içeriyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="683"/>
        <source>Object is a PDF Annotation or Field</source>
        <translation>Nesne, PDF notu ya da alanı</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="684"/>
        <source>Object is a placed PDF</source>
        <translation>Nesne yerleştirilmiş bir PDF</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="399"/>
        <source>Document</source>
        <translation>Belge</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="401"/>
        <source>No Problems found</source>
        <translation>Sorun bulunamadı</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="569"/>
        <source>Page </source>
        <translation>Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="627"/>
        <source>Free Objects</source>
        <translation>Free Objects</translation>
    </message>
    <message>
        <source>Problems found</source>
        <translation type="obsolete">Bazı sorunlar mevcut</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="660"/>
        <source>Preflight Verifier</source>
        <translation>Baskı Denetleyicisi</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="662"/>
        <source>Items</source>
        <translation>Öğeler</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="662"/>
        <source>Problems</source>
        <translation>Sorunlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="667"/>
        <source>Current Profile:</source>
        <translation>Mevcut Profil:</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="637"/>
        <location filename="../../../scribus/checkDocument.cpp" line="668"/>
        <source>&amp;Ignore Errors</source>
        <translation>Ha&amp;taları Yoksay</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="402"/>
        <source>OK</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="433"/>
        <source>Transparency used</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="438"/>
        <source>Blendmode used</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="443"/>
        <source>Print/Visible Mismatch</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="451"/>
        <source>Layer &quot;%1&quot;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="669"/>
        <source>Check again</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="685"/>
        <source>Image is GIF</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="686"/>
        <source>Annotation uses a non TrueType font</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="671"/>
        <source>Preflight profile to base the report generation on. Options can be set in Document Setup or Preferences</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="672"/>
        <source>Ignore found errors and continue to export or print. Be sure to understand the errors you are ignoring before continuing.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="673"/>
        <source>Rerun the document scan to check corrections you may have made</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="679"/>
        <source>Empty Image Frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="414"/>
        <source>Layers</source>
        <translation type="unfinished">Katmanlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="457"/>
        <location filename="../../../scribus/checkDocument.cpp" line="520"/>
        <source>Issue(s): %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="468"/>
        <source>Master Pages</source>
        <translation type="unfinished">Mastar Sayfalar</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="663"/>
        <source>Layer</source>
        <translation type="unfinished">Katman</translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="680"/>
        <source>Image resolution below %1 DPI,
currently %2 x %3 DPI</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/checkDocument.cpp" line="681"/>
        <source>Image resolution above %1 DPI,
currently %2 x %3 DPI</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ChooseStyles</name>
    <message>
        <source>Choose Styles</source>
        <translation type="obsolete">Stilleri Seç</translation>
    </message>
    <message>
        <source>Available Styles</source>
        <translation type="obsolete">Mevcut Stiller</translation>
    </message>
</context>
<context>
    <name>CollectForOutput</name>
    <message>
        <location filename="../../../scribus/collect4output.cpp" line="52"/>
        <source>Choose a Directory</source>
        <translation>Dizin Seçin</translation>
    </message>
    <message>
        <location filename="../../../scribus/collect4output.cpp" line="65"/>
        <source>Cannot create directory:
%1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/collect4output.cpp" line="80"/>
        <source>Collecting...</source>
        <translation>Toplanıyor...</translation>
    </message>
    <message>
        <source>Warning</source>
        <translation type="obsolete">Uyarı</translation>
    </message>
    <message>
        <location filename="../../../scribus/collect4output.cpp" line="85"/>
        <source>Cannot collect all files for output for file:
%1</source>
        <translation>Bu dizine çıktı için tüm dosyalar toplanamadı:
%1</translation>
    </message>
    <message>
        <location filename="../../../scribus/collect4output.cpp" line="99"/>
        <source>Cannot collect the file: 
%1</source>
        <translation>Toplanamayan dosya: 
%1</translation>
    </message>
</context>
<context>
    <name>ColorListBox</name>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
</context>
<context>
    <name>ColorManager</name>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="54"/>
        <source>Colors</source>
        <translation>Renkler</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="81"/>
        <source>&amp;Import</source>
        <translation>İth&amp;al et</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="83"/>
        <source>&amp;New</source>
        <translation>Y&amp;eni</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="85"/>
        <source>&amp;Edit</source>
        <translation>Düzen&amp;le</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="89"/>
        <source>D&amp;uplicate</source>
        <translation>Ç&amp;oğalt</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="92"/>
        <source>&amp;Delete</source>
        <translation>&amp;Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="97"/>
        <source>&amp;Remove Unused</source>
        <translation>Kullanılmayanları K&amp;aldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="104"/>
        <source>Color Sets</source>
        <translation>Renk Kümeleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="110"/>
        <source>Current Color Set:</source>
        <translation>Mevcut Renk Kümesi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="141"/>
        <source>&amp;Save Color Set</source>
        <translation>Renk Kümesini Ka&amp;ydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="180"/>
        <source>Choose a color set to load</source>
        <translation>Yüklenecek renk kümesini seçin</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="181"/>
        <source>Save the current color set</source>
        <translation>Aktif renk kümesini kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="186"/>
        <source>Remove unused colors from current document&apos;s color set</source>
        <translation>Kullanılmayan renkleri aktif belgenin renk kümesinden kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="188"/>
        <source>Import colors to the current set from an existing document</source>
        <translation>Mevcut belgeden renkleri ithal et</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="189"/>
        <source>Create a new color within the current set</source>
        <translation>Bu küme içinde yeni bir renk oluştur</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="190"/>
        <source>Edit the currently selected color</source>
        <translation>Seçili rengi düzenle</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="191"/>
        <source>Make a copy of the currently selected color</source>
        <translation>Seçili rengin bir kopyasını yarat</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="192"/>
        <source>Delete the currently selected color</source>
        <translation>Şu an seçili olan rengi sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="193"/>
        <source>Make the current colorset the default color set</source>
        <translation>Seçili renk setini öntanımlı renk seti yap</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="224"/>
        <source>&amp;Name:</source>
        <translation>İ&amp;sim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="224"/>
        <source>Choose a Name</source>
        <translation>Bir isim seçin</translation>
    </message>
    <message>
        <source>Open</source>
        <translation type="obsolete">Aç</translation>
    </message>
    <message>
        <source>Documents (*.sla *.sla.gz *.scd *.scd.gz);;All Files (*)</source>
        <translation type="obsolete">Belgeler (*.sla *.sla.gz *.scd *.scd.gz);;Tüm dosyalar (*)</translation>
    </message>
    <message>
        <source>Documents (*.sla *.scd);;All Files (*)</source>
        <translation type="obsolete">Belgeler (*.sla *.scd);;Tüm Dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="411"/>
        <source>Copy of %1</source>
        <translation>%1&apos;in kopyası</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="424"/>
        <source>New Color</source>
        <translation>Yeni Renk</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="375"/>
        <source>Information</source>
        <translation type="unfinished">Bilgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="375"/>
        <source>The file %1 does not contain colors which can be imported.
If the file was a PostScript-based, try to import it with File -&amp;gt; Import. 
Not all files have DSC conformant comments where the color descriptions are located.
 This prevents importing colors from some files.
See the Edit Colors section of the documentation for more details.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="194"/>
        <source>If color management is enabled, a triangle warning indicator is a warning that the color maybe outside of the color gamut of the current printer profile selected. What this means is the color may not print exactly as indicated on screen. Spot colors are indicated by a red circle. More hints about gamut warnings are in the online help under Color Management. Registration colors will have a registration mark next to the color. Use Registration only for printers marks and crop marks.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="365"/>
        <source>All Supported Formats (%1);;Documents (%2);;Other Files (%3);;All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/colorm.cpp" line="366"/>
        <source>Import Colors</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ColorWheel</name>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/colorwheelwidget.cpp" line="139"/>
        <source>Monochromatic</source>
        <translation>Monochromatic</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/colorwheelwidget.cpp" line="140"/>
        <source>Analogous</source>
        <translation>Analogous</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/colorwheelwidget.cpp" line="141"/>
        <source>Complementary</source>
        <translation>Complementary</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/colorwheelwidget.cpp" line="142"/>
        <source>Split Complementary</source>
        <translation>Split Complementary</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/colorwheelwidget.cpp" line="143"/>
        <source>Triadic</source>
        <translation>Triadic</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/colorwheelwidget.cpp" line="144"/>
        <source>Tetradic (Double Complementary)</source>
        <translation>Tetradic (Double Complementary)</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/colorwheelwidget.cpp" line="44"/>
        <source>Base Color</source>
        <translation>Base Colour</translation>
    </message>
    <message>
        <source>Monochromatic Light</source>
        <translation type="obsolete">Monochromatic Light</translation>
    </message>
    <message>
        <source>Monochromatic Dark</source>
        <translation type="obsolete">Monochromatic Dark</translation>
    </message>
    <message>
        <source>1st. Analogous</source>
        <translation type="obsolete">1st. Analogous</translation>
    </message>
    <message>
        <source>2nd. Analogous</source>
        <translation type="obsolete">2nd. Analogous</translation>
    </message>
    <message>
        <source>1st. Split</source>
        <translation type="obsolete">1st. Split</translation>
    </message>
    <message>
        <source>2nd. Split</source>
        <translation type="obsolete">2nd. Split</translation>
    </message>
    <message>
        <source>3rd. Split</source>
        <translation type="obsolete">3rd. Split</translation>
    </message>
    <message>
        <source>4th. Split</source>
        <translation type="obsolete">4th. Split</translation>
    </message>
    <message>
        <source>1st. Triadic</source>
        <translation type="obsolete">1st. Triadic</translation>
    </message>
    <message>
        <source>2nd. Triadic</source>
        <translation type="obsolete">2nd. Triadic</translation>
    </message>
    <message>
        <source>1st. Tetradic (base opposite)</source>
        <translation type="obsolete">1st. Tetradic (base opposite)</translation>
    </message>
    <message>
        <source>2nd. Tetradic (angle)</source>
        <translation type="obsolete">2nd. Tetradic (angle)</translation>
    </message>
    <message>
        <source>3rd. Tetradic (angle opposite)</source>
        <translation type="obsolete">3rd. Tetradic (angle opposite)</translation>
    </message>
</context>
<context>
    <name>ColorWheelDialog</name>
    <message>
        <source>Color Wheel</source>
        <translation type="obsolete">Renk Çarkı</translation>
    </message>
    <message>
        <source>Color</source>
        <translation type="obsolete">Renk</translation>
    </message>
    <message>
        <source>Name</source>
        <translation type="obsolete">İsim</translation>
    </message>
    <message>
        <source>C</source>
        <translation type="obsolete">C</translation>
    </message>
    <message>
        <source>M</source>
        <translation type="obsolete">M</translation>
    </message>
    <message>
        <source>Y</source>
        <translation type="obsolete">Y</translation>
    </message>
    <message>
        <source>K</source>
        <translation type="obsolete">K</translation>
    </message>
    <message>
        <source>Select Method:</source>
        <translation type="obsolete">Metodu Seçin:</translation>
    </message>
    <message>
        <source>Angle (0 - 90 degrees):</source>
        <translation type="obsolete">Açı (0 - 90 derece):</translation>
    </message>
    <message>
        <source>&amp;Merge Colors</source>
        <translation type="obsolete">Renkleri &amp;Birleştir</translation>
    </message>
    <message>
        <source>&amp;Replace Colors</source>
        <translation type="obsolete">Renkleri D&amp;eğiştir</translation>
    </message>
    <message>
        <source>Merge created colors into the document colors</source>
        <translation type="obsolete">Oluşturulan renkleri belge renkleriyle birleştir</translation>
    </message>
    <message>
        <source>Replace created colors in the document colors</source>
        <translation type="obsolete">Oluşturulan renkleri belge renkleriyle değiş</translation>
    </message>
    <message>
        <source>Leave colors untouched</source>
        <translation type="obsolete">Renkleri olduğu gibi bırak</translation>
    </message>
    <message>
        <source>Merging colors</source>
        <translation type="obsolete">Merging colours</translation>
    </message>
    <message>
        <source>Error: </source>
        <translation type="obsolete">Hata: </translation>
    </message>
    <message>
        <source>Now opening the color manager.</source>
        <translation type="obsolete">Renk Yönetimi açılıyor.</translation>
    </message>
    <message>
        <source>Color Merging</source>
        <translation type="obsolete">Renk Birleştirme</translation>
    </message>
    <message>
        <source>Normal Vision</source>
        <translation type="obsolete">Normal Görüş</translation>
    </message>
    <message>
        <source>Full Color Blindness</source>
        <translation type="obsolete">Tam Renk Körlüğü</translation>
    </message>
    <message>
        <source>Vision Defect:</source>
        <translation type="obsolete">Görüş Kusuru:</translation>
    </message>
    <message>
        <source>Cr&amp;eate color...</source>
        <translation type="obsolete">Renk &amp;Oluştur...</translation>
    </message>
    <message>
        <source>&amp;Import existing color...</source>
        <translation type="obsolete">Mevcut rengi a&amp;l...</translation>
    </message>
    <message>
        <source>&amp;Merge colors</source>
        <translation type="obsolete">Renkleri &amp;Birleştir</translation>
    </message>
    <message>
        <source>&amp;Replace colors</source>
        <translation type="obsolete">Renkleri D&amp;eğiştir</translation>
    </message>
    <message>
        <source>E&amp;xit</source>
        <translation type="obsolete">E&amp;xit</translation>
    </message>
    <message>
        <source>C&amp;olor</source>
        <translation type="obsolete">&amp;Renk</translation>
    </message>
    <message>
        <source>New Color</source>
        <translation type="obsolete">Yeni Renk</translation>
    </message>
    <message>
        <source>Difference between the selected value and the counted ones. Refer to documentation for more information.</source>
        <translation type="obsolete">Difference between the selected value and the counted ones. Refer to documentation for more information.</translation>
    </message>
    <message>
        <source>Click the wheel to get the base color. It is hue in HSV mode.</source>
        <translation type="obsolete">Click the wheel to get the base colour. It is hue in HSV mode.</translation>
    </message>
    <message>
        <source>Sample color scheme</source>
        <translation type="obsolete">Örnek renk taslağı</translation>
    </message>
    <message>
        <source>Select one of the methods to create a color scheme. Refer to documentation for more information.</source>
        <translation type="obsolete">Select one of the methods to create a colour scheme. Refer to documentation for more information.</translation>
    </message>
    <message>
        <source>Colors of your chosen color scheme</source>
        <translation type="obsolete">Colors of your chosen colour scheme</translation>
    </message>
    <message>
        <source>Simulate common vision defects here. Select type of the defect.</source>
        <translation type="obsolete">Simulate common vision defects here. Select type of the defect.</translation>
    </message>
    <message>
        <source>Unable to find the requested color. You have probably selected black, gray or white. There is no way to process this color.</source>
        <translation type="obsolete">Unable to find the requested colour. You have probably selected black, gray or white. There is no way to process this colour.</translation>
    </message>
    <message>
        <source>Color %1 exists already!</source>
        <translation type="obsolete">Renk %1 zaten mevcut!</translation>
    </message>
    <message>
        <source>Color %1 appended.</source>
        <translation type="obsolete">Renk %1 eklendi.</translation>
    </message>
    <message>
        <source>C&amp;olor Components...</source>
        <translation type="obsolete">Renk B&amp;ileşenleri...</translation>
    </message>
    <message>
        <source>Protanopia (Red)</source>
        <translation type="obsolete">Protanopia (Kırmızı Körlüğü)</translation>
    </message>
    <message>
        <source>Deuteranopia (Green)</source>
        <translation type="obsolete">Deuteranopia (Yeşil Körlüğü)</translation>
    </message>
    <message>
        <source>Tritanopia (Blue)</source>
        <translation type="obsolete">Tritanopia (Mavi Körlüğü)</translation>
    </message>
</context>
<context>
    <name>ColorWheelPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/colorwheel.cpp" line="47"/>
        <source>&amp;Color Wheel...</source>
        <translation>Renk &amp;Çarkı...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/colorwheel.cpp" line="64"/>
        <source>Color setting helper</source>
        <translation>Renk ayarları yardımcısı</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/colorwheel.cpp" line="65"/>
        <source>Color selector with color theory included.</source>
        <translation>Renk teorisi içeren renk seçici.</translation>
    </message>
</context>
<context>
    <name>CommonStrings</name>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="245"/>
        <source>&amp;Apply</source>
        <translation>&amp;Uygula</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="248"/>
        <source>&amp;Cancel</source>
        <translation>İp&amp;tal</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="251"/>
        <source>None</source>
        <translation type="unfinished">Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="255"/>
        <source>&amp;OK</source>
        <translation>&amp;Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="258"/>
        <source>&amp;Save</source>
        <translation>&amp;Kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="261"/>
        <source>Warning</source>
        <translation>Uyarı</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="252"/>
        <source>None</source>
        <comment>color name</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="286"/>
        <source>Custom</source>
        <comment>CommonStrings, custom page size</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="292"/>
        <source>Single Page</source>
        <translation type="unfinished">Tek Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="293"/>
        <source>Double Sided</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="294"/>
        <source>3-Fold</source>
        <translation type="unfinished">3-katlama</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="295"/>
        <source>4-Fold</source>
        <translation type="unfinished">4-katlama</translation>
    </message>
    <message>
        <source>Left Page</source>
        <translation type="obsolete">Sol Sayfa</translation>
    </message>
    <message>
        <source>Middle</source>
        <translation type="obsolete">Orta</translation>
    </message>
    <message>
        <source>Middle Left</source>
        <translation type="obsolete">Orta Sol</translation>
    </message>
    <message>
        <source>Middle Right</source>
        <translation type="obsolete">Orta Sağ</translation>
    </message>
    <message>
        <source>Right Page</source>
        <translation type="obsolete">Sağ Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="331"/>
        <source>Monday</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="332"/>
        <source>Tuesday</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="333"/>
        <source>Wednesday</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="334"/>
        <source>Thursday</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="335"/>
        <source>Friday</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="336"/>
        <source>Saturday</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="337"/>
        <source>Sunday</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="338"/>
        <source>January</source>
        <translation type="unfinished">Ocak</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="339"/>
        <source>February</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="340"/>
        <source>March</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="341"/>
        <source>April</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="342"/>
        <source>May</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="343"/>
        <source>June</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="344"/>
        <source>July</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="345"/>
        <source>August</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="346"/>
        <source>September</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="347"/>
        <source>October</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="348"/>
        <source>November</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="349"/>
        <source>December</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="263"/>
        <source>Yes</source>
        <translation type="unfinished">Evet</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="264"/>
        <source>No</source>
        <translation type="unfinished">Hayır</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="265"/>
        <source>&amp;Yes</source>
        <translation type="unfinished">&amp;Evet</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="266"/>
        <source>&amp;No</source>
        <translation type="unfinished">&amp;Hayır</translation>
    </message>
    <message>
        <source>Normal</source>
        <translation type="obsolete">Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="302"/>
        <source>Left Page</source>
        <comment>Left page location</comment>
        <translation type="unfinished">Sol Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="303"/>
        <source>Middle</source>
        <comment>Middle page location</comment>
        <translation type="unfinished">Orta</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="304"/>
        <source>Middle Left</source>
        <comment>Middle Left page location</comment>
        <translation type="unfinished">Orta Sol</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="305"/>
        <source>Middle Right</source>
        <comment>Middle Right page location</comment>
        <translation type="unfinished">Orta Sağ</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="306"/>
        <source>Right Page</source>
        <comment>Right page location</comment>
        <translation type="unfinished">Sağ Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="309"/>
        <source>Normal</source>
        <comment>Default single master page</comment>
        <translation type="unfinished">Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="311"/>
        <source>Normal Left</source>
        <comment>Default left master page</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="313"/>
        <source>Normal Middle</source>
        <comment>Default middle master page</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="315"/>
        <source>Normal Right</source>
        <comment>Default right master page</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="357"/>
        <source>Normal Vision</source>
        <comment>Color Blindness - Normal Vision</comment>
        <translation type="unfinished">Normal Görüş</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="358"/>
        <source>Protanopia (Red)</source>
        <comment>Color Blindness - Red Color Blind</comment>
        <translation type="unfinished">Protanopia (Kırmızı Körlüğü)</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="359"/>
        <source>Deuteranopia (Green)</source>
        <comment>Color Blindness - Greed Color Blind</comment>
        <translation type="unfinished">Deuteranopia (Yeşil Körlüğü)</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="360"/>
        <source>Tritanopia (Blue)</source>
        <comment>Color Blindness - Blue Color Blind</comment>
        <translation type="unfinished">Tritanopia (Mavi Körlüğü)</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="361"/>
        <source>Full Color Blindness</source>
        <comment>Color Blindness - Full Color Blindness</comment>
        <translation type="unfinished">Tam Renk Körlüğü</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="363"/>
        <source>Custom: </source>
        <comment>Custom Tab Fill Option</comment>
        <translation type="unfinished">Özel:</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="317"/>
        <source>Solid Line</source>
        <translation type="unfinished">Düz Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="318"/>
        <source>Dashed Line</source>
        <translation type="unfinished">Kesintili Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="319"/>
        <source>Dotted Line</source>
        <translation type="unfinished">Noktalı Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="320"/>
        <source>Dash Dot Line</source>
        <translation type="unfinished">Kesintili Noktalı Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="321"/>
        <source>Dash Dot Dot Line</source>
        <translation type="unfinished">Kesintili-Noktalı-Noktalı Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="365"/>
        <source>None</source>
        <comment>Optical Margin Setting</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="366"/>
        <source>Left Protruding</source>
        <comment>Optical Margin Setting</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="367"/>
        <source>Right Protruding</source>
        <comment>Optical Margin Setting</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="368"/>
        <source>Left Hanging Punctuation</source>
        <comment>Optical Margin Setting</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="369"/>
        <source>Right Hanging Punctuation</source>
        <comment>Optical Margin Setting</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="370"/>
        <source>Default</source>
        <comment>Optical Margin Setting</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="373"/>
        <source>Min. Word Tracking</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="374"/>
        <source>Max. Word Tracking</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="377"/>
        <source>Min. Glyph Extension</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="378"/>
        <source>Max. Glyph Extension</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="351"/>
        <source>RGB</source>
        <comment>Colorspace</comment>
        <translation type="unfinished">RGB</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="352"/>
        <source>CMYK</source>
        <comment>Colorspace</comment>
        <translation type="unfinished">CMYK</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="353"/>
        <source>Grayscale</source>
        <comment>Colorspace</comment>
        <translation type="unfinished">Gri Tonlama</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="354"/>
        <source>Duotone</source>
        <comment>Colorspace</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="355"/>
        <source>Unknown</source>
        <comment>Colorspace (Unknown)</comment>
        <translation type="unfinished">Bilinmeyen</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="382"/>
        <source>PostScript</source>
        <translation type="unfinished">PostScript</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="268"/>
        <source>Text Frame</source>
        <translation type="unfinished">Metin çerçevesi</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="269"/>
        <source>Image Frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="270"/>
        <source>Line</source>
        <translation type="unfinished">Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="271"/>
        <source>Polygon</source>
        <translation type="unfinished">Çokgen</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="272"/>
        <source>Polyline</source>
        <translation type="unfinished">Çoklu Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="273"/>
        <source>Text on a Path</source>
        <translation type="unfinished">Metni Eğriye Oturt</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="275"/>
        <source>Multiple</source>
        <comment>Multiple frame types</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="276"/>
        <source>PDF Push Button</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="277"/>
        <source>PDF Text Field</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="278"/>
        <source>PDF Check Box</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="279"/>
        <source>PDF Combo Box</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="280"/>
        <source>PDF List Box</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="281"/>
        <source>PDF Text Annotation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="282"/>
        <source>PDF Link Annotation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="390"/>
        <source>PostScript Level 1</source>
        <translation type="unfinished">PostScript Level 1</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="392"/>
        <source>PostScript Level 2</source>
        <translation type="unfinished">PostScript Level 2</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="394"/>
        <source>PostScript Level 3</source>
        <translation type="unfinished">PostScript Level 3</translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="396"/>
        <source>Windows GDI</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="274"/>
        <source>Render Frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="326"/>
        <source>Default Paragraph Style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="327"/>
        <source>Default Character Style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/commonstrings.cpp" line="328"/>
        <source>Default Line Style</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ContextMenu</name>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="209"/>
        <source>Preview Settings</source>
        <translation type="unfinished">Önizleme Ayarları</translation>
    </message>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="422"/>
        <source>Paste File...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="455"/>
        <source>Delete Page</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>CopyPageToMasterPageBase</name>
    <message>
        <location filename="../../../scribus/ui/copypagetomasterpage.ui" line="16"/>
        <source>Convert Page to Master Page</source>
        <translation type="unfinished">Sayfayı Mastar Sayfa yap</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/copypagetomasterpage.ui" line="24"/>
        <source>Name:</source>
        <translation type="unfinished">İsim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/copypagetomasterpage.ui" line="39"/>
        <source>Copy Applied Master Page Items</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>CopyPageToMasterPageDialog</name>
    <message>
        <location filename="../../../scribus/ui/copypagetomasterpagedialog.cpp" line="29"/>
        <source>New Master Page %1</source>
        <translation type="unfinished">Yeni Mastar Sayfa %1</translation>
    </message>
</context>
<context>
    <name>Cpalette</name>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1012"/>
        <location filename="../../../scribus/cpalette.cpp" line="1025"/>
        <source>Normal</source>
        <translation>Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1013"/>
        <source>Horizontal Gradient</source>
        <translation>Yatay Gradyan</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1014"/>
        <source>Vertical Gradient</source>
        <translation>Vertical Gradient</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1015"/>
        <source>Diagonal Gradient</source>
        <translation>Diyagonal Gradyan</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1016"/>
        <source>Cross Diagonal Gradient</source>
        <translation>Çapraz Diyagonal Gradyan</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1017"/>
        <source>Radial Gradient</source>
        <translation>Radyal Gradyan</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1007"/>
        <source>Opacity:</source>
        <translation>Opaklık:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="990"/>
        <source> %</source>
        <translation> %</translation>
    </message>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1006"/>
        <source>Shade:</source>
        <translation>Ton:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1043"/>
        <source>Edit Line Color Properties</source>
        <translation>Çizgi Rengi Özelliklerini Düzenle</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1044"/>
        <source>Edit Fill Color Properties</source>
        <translation>Doldurma Rengi Özelliklerini Düzenle</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1045"/>
        <source>Saturation of color</source>
        <translation>Renk doygunluğu</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1046"/>
        <source>Normal or gradient fill method</source>
        <translation>Normal veya gradyan doldurma metodu</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1047"/>
        <source>Set the transparency for the color selected</source>
        <translation>Seçili renk için şeffaflığı ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1018"/>
        <source>Free linear Gradient</source>
        <translation>Serbest çizgisel gradyan</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1019"/>
        <source>Free radial Gradient</source>
        <translation>Serbest Radyal Gradyan</translation>
    </message>
    <message>
        <source>X1:</source>
        <translation type="obsolete">X1:</translation>
    </message>
    <message>
        <source>Y1:</source>
        <translation type="obsolete">Y1:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="989"/>
        <source> pt</source>
        <translation> pt</translation>
    </message>
    <message>
        <source>X2:</source>
        <translation type="obsolete">X2:</translation>
    </message>
    <message>
        <source>Y2:</source>
        <translation type="obsolete">Y2:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1008"/>
        <source>Move Vector</source>
        <translation>Vektörü Taşı</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1048"/>
        <source>Move the start of the gradient vector with the left mouse button pressed and move the end of the gradient vector with the right mouse button pressed</source>
        <translation type="unfinished">Move the start of the gradient vector with the left mouse button pressed and move the end of the gradient vector with the right mouse button pressed</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1022"/>
        <source>Transparency Settings</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1023"/>
        <source>Blend Mode:</source>
        <translation type="unfinished">Blend Mode:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1026"/>
        <source>Darken</source>
        <translation type="unfinished">Karanlıklaştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1027"/>
        <source>Lighten</source>
        <translation type="unfinished">Aydınlat</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1028"/>
        <source>Multiply</source>
        <translation type="unfinished">Multiply</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1029"/>
        <source>Screen</source>
        <translation type="unfinished">Screen</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1030"/>
        <source>Overlay</source>
        <translation type="unfinished">Overlay</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1031"/>
        <source>Hard Light</source>
        <translation type="unfinished">Sert Işık</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1032"/>
        <source>Soft Light</source>
        <translation type="unfinished">Yumuşak Işık</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1033"/>
        <source>Difference</source>
        <translation type="unfinished">Fark</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1035"/>
        <source>Color Dodge</source>
        <translation type="unfinished">Colour Dodge</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1036"/>
        <source>Color Burn</source>
        <translation type="unfinished">Colour Burn</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1037"/>
        <source>Hue</source>
        <translation type="unfinished">Hue</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1038"/>
        <source>Saturation</source>
        <translation type="unfinished">Doygunluk</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1039"/>
        <source>Color</source>
        <translation type="unfinished">Renk</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1040"/>
        <source>Luminosity</source>
        <translation type="unfinished">Luminosity</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="993"/>
        <source>Offsets</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="994"/>
        <source>X:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="996"/>
        <source>Y:</source>
        <translation type="unfinished">Y:</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="998"/>
        <source>Scaling</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1003"/>
        <source>Rotation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1004"/>
        <source>Angle</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="405"/>
        <location filename="../../../scribus/cpalette.cpp" line="518"/>
        <location filename="../../../scribus/cpalette.cpp" line="1020"/>
        <source>Pattern</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1034"/>
        <source>Exclusion</source>
        <translation type="unfinished">Exclusion</translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="999"/>
        <source>X-Scale:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1001"/>
        <source>Y-Scale:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="229"/>
        <location filename="../../../scribus/cpalette.cpp" line="1041"/>
        <source>Display only used Colors</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="1049"/>
        <source>Display all colors from the document color list, or only the already used colors</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>CreateRange</name>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="13"/>
        <source>Create Range</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="54"/>
        <source>Number of Pages in Document:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="64"/>
        <source>Doc Page Range</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="112"/>
        <source>Basic Range Selection</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="136"/>
        <source>Range of Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="160"/>
        <source>De&amp;lete</source>
        <translation type="unfinished">&amp;Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="163"/>
        <source>Alt+L</source>
        <translation type="unfinished">Alt+L</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="186"/>
        <source>Move &amp;Down</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="189"/>
        <source>Alt+D</source>
        <translation type="unfinished">Alt+D</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="196"/>
        <source>Move &amp;Up</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="199"/>
        <source>Alt+U</source>
        <translation type="unfinished">Alt+U</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="218"/>
        <source>Add a Range of Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="242"/>
        <source>Consecutive Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="252"/>
        <source>Even Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="259"/>
        <source>From:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="291"/>
        <source>To:</source>
        <translation type="unfinished">Buraya:</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="334"/>
        <source>&amp;Add To Range</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="337"/>
        <source>Alt+A</source>
        <translation type="unfinished">Alt+A</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="362"/>
        <source>Odd Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="372"/>
        <source>Comma Separated List</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="383"/>
        <source>Advanced Reordering</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="439"/>
        <source>Page Order</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="449"/>
        <source>Sample Page Order:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="478"/>
        <source>Page Group Size:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="525"/>
        <source>&amp;OK</source>
        <translation type="unfinished">&amp;Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="528"/>
        <source>Alt+O</source>
        <translation type="unfinished">Alt+O</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="535"/>
        <source>&amp;Cancel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/createrange.ui" line="538"/>
        <source>Alt+C</source>
        <translation type="unfinished">Alt+C</translation>
    </message>
</context>
<context>
    <name>CreateRangeBase</name>
    <message>
        <source>To:</source>
        <translation type="obsolete">Buraya:</translation>
    </message>
    <message>
        <source>Alt+A</source>
        <translation type="obsolete">Alt+A</translation>
    </message>
    <message>
        <source>Alt+U</source>
        <translation type="obsolete">Alt+U</translation>
    </message>
    <message>
        <source>Alt+D</source>
        <translation type="obsolete">Alt+D</translation>
    </message>
    <message>
        <source>De&amp;lete</source>
        <translation type="obsolete">&amp;Sil</translation>
    </message>
    <message>
        <source>Alt+L</source>
        <translation type="obsolete">Alt+L</translation>
    </message>
    <message>
        <source>&amp;OK</source>
        <translation type="obsolete">&amp;Tamam</translation>
    </message>
    <message>
        <source>Alt+O</source>
        <translation type="obsolete">Alt+O</translation>
    </message>
    <message>
        <source>Alt+C</source>
        <translation type="obsolete">Alt+C</translation>
    </message>
</context>
<context>
    <name>CsvDialog</name>
    <message>
        <location filename="../../../scribus/plugins/gettext/csvim/csvdia.cpp" line="27"/>
        <source>CSV Importer Options</source>
        <translation>CSV Importer Options</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/csvim/csvdia.cpp" line="37"/>
        <source>Field delimiter:</source>
        <translation>Field delimiter:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/csvim/csvdia.cpp" line="44"/>
        <location filename="../../../scribus/plugins/gettext/csvim/csvdia.cpp" line="89"/>
        <source>(TAB)</source>
        <translation>(TAB)</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/csvim/csvdia.cpp" line="53"/>
        <source>Value delimiter:</source>
        <translation>Value delimiter:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/csvim/csvdia.cpp" line="68"/>
        <source>First row is a header</source>
        <translation>First row is a header</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/csvim/csvdia.cpp" line="76"/>
        <source>OK</source>
        <translation>OK</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/csvim/csvdia.cpp" line="79"/>
        <source>Cancel</source>
        <translation>Cancel</translation>
    </message>
    <message>
        <source>None</source>
        <translation type="obsolete">None</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/csvim/csvdia.cpp" line="59"/>
        <source>None</source>
        <comment>delimiter</comment>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>CupsOptions</name>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="53"/>
        <source>Printer Options</source>
        <translation>Yazıcı Seçenekleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="64"/>
        <source>Option</source>
        <translation>Seçenek</translation>
    </message>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="65"/>
        <source>Value</source>
        <translation>Değer</translation>
    </message>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="134"/>
        <location filename="../../../scribus/cupsoptions.cpp" line="144"/>
        <source>Page Set</source>
        <translation>Page Set</translation>
    </message>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="141"/>
        <location filename="../../../scribus/cupsoptions.cpp" line="148"/>
        <source>All Pages</source>
        <translation>Tüm sayfalar</translation>
    </message>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="142"/>
        <source>Even Pages only</source>
        <translation>Çift numaralı sayfalar</translation>
    </message>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="143"/>
        <source>Odd Pages only</source>
        <translation>Tek numaraları sayfalar</translation>
    </message>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="151"/>
        <location filename="../../../scribus/cupsoptions.cpp" line="161"/>
        <source>Mirror</source>
        <translation>Mirror</translation>
    </message>
    <message>
        <source>No</source>
        <translation type="obsolete">Hayır</translation>
    </message>
    <message>
        <source>Yes</source>
        <translation type="obsolete">Evet</translation>
    </message>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="168"/>
        <location filename="../../../scribus/cupsoptions.cpp" line="178"/>
        <source>Orientation</source>
        <translation>Yerleşim</translation>
    </message>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="175"/>
        <location filename="../../../scribus/cupsoptions.cpp" line="182"/>
        <source>Portrait</source>
        <translation>Dikey</translation>
    </message>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="176"/>
        <source>Landscape</source>
        <translation>Yatay</translation>
    </message>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="185"/>
        <location filename="../../../scribus/cupsoptions.cpp" line="198"/>
        <source>N-Up Printing</source>
        <translation>N-Up Printing</translation>
    </message>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="192"/>
        <location filename="../../../scribus/cupsoptions.cpp" line="202"/>
        <source>Page per Sheet</source>
        <translation>Kağıt başına sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="193"/>
        <location filename="../../../scribus/cupsoptions.cpp" line="194"/>
        <location filename="../../../scribus/cupsoptions.cpp" line="195"/>
        <location filename="../../../scribus/cupsoptions.cpp" line="196"/>
        <location filename="../../../scribus/cupsoptions.cpp" line="197"/>
        <source>Pages per Sheet</source>
        <translation>Kağıt başına sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/cupsoptions.cpp" line="225"/>
        <source>This panel displays various CUPS options when printing. The exact parameters available will depend on your printer driver. You can confirm CUPS support by selecting Help &gt; About. Look for the listings: C-C-T These equate to C=CUPS C=littlecms T=TIFF support. Missing library support is indicated by a *</source>
        <translation>Bu panel, baskı sırasında kullanılan CUPS tercihlerini gösterir. Tam parametreler, kullandığınız yazıcı sürücüsüne bağlıdır. CUPS desteğinin sağlanıp sağlanmadığını öğrenmek için, Yardım&gt;Hakkında bölümüne bakabilirsiniz. C-C-T değerini bulmaya çalışın; bu aktif ve etkin modülleri gösterir. C=CUPS, 2.C=littlecms renk yönetim sistemi, T ise TIFF resim formatı içindir. Eksik kütüphane destekleri * işaretiyle gösterilir</translation>
    </message>
</context>
<context>
    <name>CurveWidget</name>
    <message>
        <location filename="../../../scribus/curvewidget.cpp" line="408"/>
        <source>Open</source>
        <translation type="unfinished">Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/curvewidget.cpp" line="408"/>
        <location filename="../../../scribus/curvewidget.cpp" line="446"/>
        <source>Curve Files (*.scu *.SCU);;All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/curvewidget.cpp" line="446"/>
        <source>Save as</source>
        <translation type="unfinished">Farklı kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/curvewidget.cpp" line="480"/>
        <source>Cannot write the file: 
%1</source>
        <translation type="unfinished">Dosya yazılamıyor:
%1</translation>
    </message>
    <message>
        <location filename="../../../scribus/curvewidget.cpp" line="506"/>
        <source>Inverts the curve</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/curvewidget.cpp" line="507"/>
        <source>Resets the curve</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/curvewidget.cpp" line="508"/>
        <source>Switches between linear and cubic interpolation of the curve</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/curvewidget.cpp" line="509"/>
        <source>Loads a curve</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/curvewidget.cpp" line="510"/>
        <source>Saves this curve</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>CustomFDialog</name>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="353"/>
        <source>Encoding:</source>
        <translation>Kodlama:</translation>
    </message>
    <message>
        <source>Moves to your Document Directory.
This can be set in the Preferences.</source>
        <translation type="obsolete">Doküman Dizininize gider.
Dizinin yerini Tercihlerden ayarlayabilirsiniz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="295"/>
        <location filename="../../../scribus/customfdialog.cpp" line="325"/>
        <source>&amp;Compress File</source>
        <translation>Dosyayı &amp;Sıkıştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="304"/>
        <source>&amp;Include Fonts</source>
        <translation>&amp;Yazıtipi dosyalarını da al</translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="272"/>
        <source>Show Preview</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="306"/>
        <source>&amp;Include Color Profiles</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="273"/>
        <source>Show a preview and information for the selected file</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="340"/>
        <source>Compress the Scribus document on save</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="342"/>
        <source>Include fonts when collecting files for the document. Be sure to know and understand licensing information for any fonts you collect and possibly redistribute.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="344"/>
        <source>Include color profiles when collecting files for the document</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>CvgPlug</name>
    <message>
        <location filename="../../../scribus/plugins/import/cvg/importcvg.cpp" line="79"/>
        <source>Importing: %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/cvg/importcvg.cpp" line="82"/>
        <source>Analyzing File:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/cvg/importcvg.cpp" line="205"/>
        <source>Group%1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/cvg/importcvg.cpp" line="332"/>
        <source>Generating Items</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>CwSetColor</name>
    <message>
        <source>Set Color Components</source>
        <translation type="obsolete">Renk Bileşenlerini Ayarla</translation>
    </message>
    <message>
        <source>CMYK</source>
        <translation type="obsolete">CMYK</translation>
    </message>
    <message>
        <source>RGB</source>
        <translation type="obsolete">RGB</translation>
    </message>
    <message>
        <source>HSV</source>
        <translation type="obsolete">HSV</translation>
    </message>
    <message>
        <source>H:</source>
        <translation type="obsolete">H:</translation>
    </message>
    <message>
        <source>S:</source>
        <translation type="obsolete">S:</translation>
    </message>
    <message>
        <source>V:</source>
        <translation type="obsolete">V:</translation>
    </message>
    <message>
        <source>R:</source>
        <translation type="obsolete">R:</translation>
    </message>
    <message>
        <source>G:</source>
        <translation type="obsolete">G:</translation>
    </message>
    <message>
        <source>B:</source>
        <translation type="obsolete">B:</translation>
    </message>
    <message>
        <source>C:</source>
        <translation type="obsolete">C:</translation>
    </message>
    <message>
        <source>M:</source>
        <translation type="obsolete">M:</translation>
    </message>
    <message>
        <source>Y:</source>
        <translation type="obsolete">Y:</translation>
    </message>
    <message>
        <source>K:</source>
        <translation type="obsolete">K:</translation>
    </message>
    <message>
        <source>Set &amp;RGB</source>
        <translation type="obsolete">&amp;RGB Ayarla</translation>
    </message>
    <message>
        <source>Set C&amp;MYK</source>
        <translation type="obsolete">C&amp;MYK Ayarla</translation>
    </message>
    <message>
        <source>Set &amp;HSV</source>
        <translation type="obsolete">&amp;HSV Ayarla</translation>
    </message>
</context>
<context>
    <name>DashEditor</name>
    <message>
        <location filename="../../../scribus/dasheditor.cpp" line="367"/>
        <source>Value:</source>
        <translation type="unfinished">Değer:</translation>
    </message>
    <message>
        <location filename="../../../scribus/dasheditor.cpp" line="368"/>
        <source>Offset:</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>DeferredTask</name>
    <message>
        <location filename="../../../scribus/deferredtask.cpp" line="82"/>
        <source>Cancelled by user</source>
        <translation>Kullanıcı tarafından iptal edildi</translation>
    </message>
</context>
<context>
    <name>DelColor</name>
    <message>
        <location filename="../../../scribus/dcolor.cpp" line="29"/>
        <source>Delete Color</source>
        <translation>Rengi Sil</translation>
    </message>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/dcolor.cpp" line="37"/>
        <source>Delete Color:</source>
        <translation>Rengi Sil:</translation>
    </message>
    <message>
        <location filename="../../../scribus/dcolor.cpp" line="46"/>
        <source>Replace With:</source>
        <translation>Bununla değiştir:</translation>
    </message>
</context>
<context>
    <name>DelPages</name>
    <message>
        <location filename="../../../scribus/delpages.cpp" line="17"/>
        <source>Delete Pages</source>
        <translation>Sayfaları Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/delpages.cpp" line="34"/>
        <source>to:</source>
        <translation>buraya kadar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/delpages.cpp" line="26"/>
        <source>Delete From:</source>
        <translation>Buradan:</translation>
    </message>
</context>
<context>
    <name>DelStyle</name>
    <message>
        <source>Delete Style</source>
        <translation type="obsolete">Stil Sil</translation>
    </message>
    <message>
        <source>Delete Style:</source>
        <translation type="obsolete">Stili Sil:</translation>
    </message>
    <message>
        <source>Replace With:</source>
        <translation type="obsolete">Bununla değiştir:</translation>
    </message>
    <message>
        <source>No Style</source>
        <translation type="obsolete">Stil Yok</translation>
    </message>
</context>
<context>
    <name>DocIm</name>
    <message>
        <location filename="../../../scribus/plugins/gettext/docim/docim.cpp" line="180"/>
        <source>Importing failed</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/docim/docim.cpp" line="181"/>
        <source>Importing Word document failed 
%1</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>DocInfos</name>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="30"/>
        <source>Document Information</source>
        <translation>Belge Bilgisi</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="39"/>
        <source>&amp;Title:</source>
        <translation>&amp;Başlık:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="46"/>
        <source>&amp;Author:</source>
        <translation>&amp;Yazar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="53"/>
        <source>&amp;Subject:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="60"/>
        <source>&amp;Keywords:</source>
        <translation>&amp;Anahtar Kelimeler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="68"/>
        <source>Descri&amp;ption:</source>
        <translation>&amp;Tanım:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="81"/>
        <source>P&amp;ublisher:</source>
        <translation>&amp;Yayıncı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="88"/>
        <source>&amp;Contributors:</source>
        <translation>K&amp;atkıda Bulunanlar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="96"/>
        <source>Dat&amp;e:</source>
        <translation>&amp;Tarih:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="103"/>
        <source>T&amp;ype:</source>
        <translation>&amp;Tip:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="110"/>
        <source>F&amp;ormat:</source>
        <translation>&amp;Biçim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="117"/>
        <source>Identi&amp;fier:</source>
        <translation>&amp;Tanımlayıcı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="124"/>
        <source>&amp;Source:</source>
        <translation>&amp;Kaynak:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="131"/>
        <source>&amp;Language:</source>
        <translation>&amp;Dil:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="138"/>
        <source>&amp;Relation:</source>
        <translation>İlişk&amp;i:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="145"/>
        <source>Co&amp;verage:</source>
        <translation>&amp;Kapsam:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="152"/>
        <source>Ri&amp;ghts:</source>
        <translation>&amp;Haklar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="160"/>
        <source>Further &amp;Information</source>
        <translation>Da&amp;ha fazla bilgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="170"/>
        <source>A person or organisation responsible for making the document available</source>
        <translation>A person or organisation responsible for making the document available</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="171"/>
        <source>A person or organisation responsible for making contributions to the content of the document</source>
        <translation>A person or organisation responsible for making contributions to the content of the document</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="172"/>
        <source>A date associated with an event in the life cycle of the document, in YYYY-MM-DD format, as per ISO 8601</source>
        <translation>A date associated with an event in the life cycle of the document, in YYYY-MM-DD format, as per ISO 8601</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="173"/>
        <source>The nature or genre of the content of the document, eg. categories, functions, genres, etc</source>
        <translation>Belge türü ile ilgili</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="175"/>
        <source>An unambiguous reference to the document within a given context such as ISBN or URI</source>
        <translation>İlgili belgenin referansı, muhtemelen ISBN ya da URI gibi resmi bir tanımlayıcı</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="176"/>
        <source>A reference to a document from which the present document is derived, eg. ISBN or URI</source>
        <translation>A reference to a document from which the present document is derived, eg. ISBN or URI</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="178"/>
        <source>A reference to a related document, possibly using a formal identifier such as a ISBN or URI</source>
        <translation>İlgili belgenin referansı, muhtemelen ISBN ya da URI gibi resmi bir tanımlayıcı</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="179"/>
        <source>The extent or scope of the content of the document, possibly including location, time and jurisdiction ranges</source>
        <translation></translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="180"/>
        <source>Information about rights held in and over the document, eg. copyright, patent or trademark</source>
        <translation>Belge ile ilgili eldeki haklar, örneğin yayın hakkı, patent vb</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="159"/>
        <source>Documen&amp;t</source>
        <translation>&amp;Belge</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="166"/>
        <source>The person or organisation primarily responsible for making the content of the document. This field can be embedded in the Scribus document for reference, as well as in the metadata of a PDF</source>
        <translation>Belgenin içeriğinden sorumlu kişi ya da kuruluş. Scribus belgesinin içine referans olarak gömülebilir; aynı zamanda PDF için metadata olarak kullanılır</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="167"/>
        <source>A name given to the document. This field can be embedded in the Scribus document for reference, as well as in the metadata of a PDF</source>
        <translation>A name given to the document. This field can be embedded in the Scribus document for reference, as well as in the metadata of a PDF</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="168"/>
        <source>An account of the content of the document. This field is for a brief description or abstract of the document. It is embedded in the PDF on export</source>
        <translation>Belgenin içeriği, konusu ve kısa özeti gibi bilgiler. PDF yapılırken içerik olarak gömülen bir alandır</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="169"/>
        <source>The topic of the content of the document. This field is for document keywords you wish to embed in a PDF, to assist searches and indexing of PDF files</source>
        <translation>Belge içeriğinin konusu. PDF içinde aramaları kolaylaştırmak için kullanılacaktır</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="174"/>
        <source>The physical or digital manifestation of the document. Media type and dimensions would be worth noting. RFC2045,RFC2046 for MIME types are also useful here</source>
        <translation>Belgenin fiziksel veya dijital özellikleri. Örneğin kağıt boyutu, çözünürlük, MIME türü gibi bilgiler</translation>
    </message>
    <message>
        <location filename="../../../scribus/docinfo.cpp" line="177"/>
        <source>The language in which the content of the document is written, usually a ISO-639 language code optionally suffixed with a hypen and an ISO-3166 country code, eg. en-GB, fr-CH</source>
        <translation>Belgenin yazıldığı dil. Genelde şu biçimdedir:en-GB,tr-TR,en-EN gibi</translation>
    </message>
</context>
<context>
    <name>DocSections</name>
    <message>
        <location filename="../../../scribus/docsections.cpp" line="72"/>
        <source>Add a page numbering section to the document. The new section will be added after the currently selected section.</source>
        <translation>Belgeye sayfa numaralandırma kısmı ekler. Yeni kısım, seçtiğinizden yerden hemen sonra eklenir.</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.cpp" line="73"/>
        <source>Delete the currently selected section.</source>
        <translation>Şu an seçili bölümü sil.</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.cpp" line="87"/>
        <source>1, 2, 3, ...</source>
        <translation>1, 2, 3, ...</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.cpp" line="87"/>
        <source>i, ii, iii, ...</source>
        <translation>i, ii, iii, ...</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.cpp" line="87"/>
        <source>I, II, III, ...</source>
        <translation>I, II, III, ...</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.cpp" line="87"/>
        <source>a, b, c, ...</source>
        <translation>a, b, c, ...</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.cpp" line="87"/>
        <source>A, B, C, ...</source>
        <translation>A, B, C, ...</translation>
    </message>
    <message>
        <source>Name: Optional name for section eg. Index&lt;br/&gt;Shown: Select to show the page numbers in this section if there is one or more text frames setup to do so.&lt;br/&gt;From: The page index for this section to start at.&lt;br/&gt;To: The page index for this section to stop at.&lt;br/&gt;Style: Select the page number style to be used.&lt;br/&gt;Start: The index within the Style&apos;s range to star at. Eg. If Start=2 and Style=a,b,c, ..., the numbers will begin at b.</source>
        <translation type="obsolete">Name: Optional name for section eg. Index&lt;br/&gt;Shown: Select to show the page numbers in this section if there is one or more text frames setup to do so.&lt;br/&gt;From: The page index for this section to start at.&lt;br/&gt;To: The page index for this section to stop at.&lt;br/&gt;Style: Select the page number style to be used.&lt;br/&gt;Start: The index within the Style&apos;s range to star at. Eg. If Start=2 and Style=a,b,c, ..., the numbers will begin at b.</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.cpp" line="74"/>
        <source>&lt;b&gt;Name:&lt;/b&gt; Optional name for section eg. Index&lt;br/&gt;&lt;b&gt;Shown:&lt;/b&gt; Select to show the page numbers in this section if there is one or more text frames setup to do so.&lt;br/&gt;&lt;b&gt;From:&lt;/b&gt; The page index for this section to start at.&lt;br/&gt;&lt;b&gt;To:&lt;/b&gt; The page index for this section to stop at.&lt;br/&gt;&lt;b&gt;Style:&lt;/b&gt; Select the page number style to be used.&lt;br/&gt;&lt;b&gt;Start:&lt;/b&gt; The index within the Style&apos;s range to star at. Eg. If Start=2 and Style=a,b,c, ..., the numbers will begin at b. For the first section in the document this replaces the older First Page Number in the new file window.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.cpp" line="201"/>
        <source>Page Number Out Of Bounds</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.cpp" line="201"/>
        <source>The value you have entered is outside the range of page numbers in the current document (%1-%2).</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.ui" line="13"/>
        <source>Document Sections</source>
        <translation type="unfinished">Belge Bölümleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.ui" line="83"/>
        <source>&amp;Add</source>
        <translation type="unfinished">&amp;Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.ui" line="86"/>
        <source>Alt+A</source>
        <translation type="unfinished">Alt+A</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.ui" line="93"/>
        <source>&amp;Delete</source>
        <translation type="unfinished">&amp;Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.ui" line="96"/>
        <source>Alt+D</source>
        <translation type="unfinished">Alt+D</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.ui" line="32"/>
        <source>Name</source>
        <translation type="unfinished">İsim</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.ui" line="37"/>
        <source>Shown</source>
        <translation type="unfinished">Gösterilen</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.ui" line="42"/>
        <source>From</source>
        <translation type="unfinished">Buradan</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.ui" line="47"/>
        <source>To</source>
        <translation type="unfinished">Buraya</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.ui" line="52"/>
        <source>Style</source>
        <translation type="unfinished">Stil</translation>
    </message>
    <message>
        <location filename="../../../scribus/docsections.ui" line="57"/>
        <source>Start</source>
        <translation type="unfinished">Başlangıç</translation>
    </message>
</context>
<context>
    <name>DocSectionsBase</name>
    <message>
        <source>Document Sections</source>
        <translation type="obsolete">Belge Bölümleri</translation>
    </message>
    <message>
        <source>Name</source>
        <translation type="obsolete">İsim</translation>
    </message>
    <message>
        <source>From</source>
        <translation type="obsolete">Buradan</translation>
    </message>
    <message>
        <source>To</source>
        <translation type="obsolete">Buraya</translation>
    </message>
    <message>
        <source>Style</source>
        <translation type="obsolete">Stil</translation>
    </message>
    <message>
        <source>Start</source>
        <translation type="obsolete">Başlangıç</translation>
    </message>
    <message>
        <source>&amp;Add</source>
        <translation type="obsolete">&amp;Ekle</translation>
    </message>
    <message>
        <source>Alt+A</source>
        <translation type="obsolete">Alt+A</translation>
    </message>
    <message>
        <source>&amp;Delete</source>
        <translation type="obsolete">&amp;Sil</translation>
    </message>
    <message>
        <source>Alt+D</source>
        <translation type="obsolete">Alt+D</translation>
    </message>
    <message>
        <source>Shown</source>
        <translation type="obsolete">Gösterilen</translation>
    </message>
</context>
<context>
    <name>DocumentItemAttributes</name>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.cpp" line="17"/>
        <source>Relates To</source>
        <translation>İlgilidir</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.cpp" line="17"/>
        <source>Is Parent Of</source>
        <translation type="unfinished">Is Parent Of</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.cpp" line="17"/>
        <source>Is Child Of</source>
        <translation type="unfinished">Is Child Of</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.cpp" line="19"/>
        <source>Text Frames</source>
        <translation>Metin Çerçeveleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.cpp" line="19"/>
        <source>Image Frames</source>
        <translation>Resim Çerçeveleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.cpp" line="21"/>
        <source>Boolean</source>
        <translation>Bool</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.cpp" line="21"/>
        <source>Integer</source>
        <translation>Tamsayı</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.cpp" line="21"/>
        <source>String</source>
        <translation>Katar</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.cpp" line="21"/>
        <source>Real Number</source>
        <translation>Gerçek Sayı</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.cpp" line="17"/>
        <source>None</source>
        <comment>relationship</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.cpp" line="19"/>
        <source>None</source>
        <comment>auto add</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.cpp" line="21"/>
        <source>None</source>
        <comment>types</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="13"/>
        <source>Document Item Attributes</source>
        <translation type="unfinished">Belge Öğesi Nitelikleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="82"/>
        <source>&amp;Add</source>
        <translation type="unfinished">&amp;Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="85"/>
        <source>Alt+A</source>
        <translation type="unfinished">Alt+A</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="92"/>
        <source>&amp;Copy</source>
        <translation type="unfinished">K&amp;opyala</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="95"/>
        <source>Alt+C</source>
        <translation type="unfinished">Alt+C</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="102"/>
        <source>&amp;Delete</source>
        <translation type="unfinished">&amp;Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="105"/>
        <source>Alt+D</source>
        <translation type="unfinished">Alt+D</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="112"/>
        <source>C&amp;lear</source>
        <translation type="unfinished">&amp;Temizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="115"/>
        <source>Alt+L</source>
        <translation type="unfinished">Alt+L</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="26"/>
        <source>Name</source>
        <translation type="unfinished">İsim</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="31"/>
        <source>Type</source>
        <translation type="unfinished">Tip</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="36"/>
        <source>Value</source>
        <translation type="unfinished">Değer</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="41"/>
        <source>Parameter</source>
        <translation type="unfinished">Parametre</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="46"/>
        <source>Relationship</source>
        <translation type="unfinished">İlişki</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="51"/>
        <source>Relationship To</source>
        <translation type="unfinished">İlişkili</translation>
    </message>
    <message>
        <location filename="../../../scribus/docitemattrprefs.ui" line="56"/>
        <source>Auto Add To</source>
        <translation type="unfinished">Otomatik Ekle</translation>
    </message>
</context>
<context>
    <name>DocumentItemAttributesBase</name>
    <message>
        <source>Document Item Attributes</source>
        <translation type="obsolete">Belge Öğesi Nitelikleri</translation>
    </message>
    <message>
        <source>Name</source>
        <translation type="obsolete">İsim</translation>
    </message>
    <message>
        <source>Type</source>
        <translation type="obsolete">Tip</translation>
    </message>
    <message>
        <source>Value</source>
        <translation type="obsolete">Değer</translation>
    </message>
    <message>
        <source>Parameter</source>
        <translation type="obsolete">Parametre</translation>
    </message>
    <message>
        <source>Relationship</source>
        <translation type="obsolete">İlişki</translation>
    </message>
    <message>
        <source>Relationship To</source>
        <translation type="obsolete">İlişkili</translation>
    </message>
    <message>
        <source>Auto Add To</source>
        <translation type="obsolete">Otomatik Ekle</translation>
    </message>
    <message>
        <source>&amp;Add</source>
        <translation type="obsolete">&amp;Ekle</translation>
    </message>
    <message>
        <source>Alt+A</source>
        <translation type="obsolete">Alt+A</translation>
    </message>
    <message>
        <source>&amp;Copy</source>
        <translation type="obsolete">K&amp;opyala</translation>
    </message>
    <message>
        <source>Alt+C</source>
        <translation type="obsolete">Alt+C</translation>
    </message>
    <message>
        <source>&amp;Delete</source>
        <translation type="obsolete">&amp;Sil</translation>
    </message>
    <message>
        <source>Alt+D</source>
        <translation type="obsolete">Alt+D</translation>
    </message>
    <message>
        <source>C&amp;lear</source>
        <translation type="obsolete">&amp;Temizle</translation>
    </message>
    <message>
        <source>Alt+L</source>
        <translation type="obsolete">Alt+L</translation>
    </message>
</context>
<context>
    <name>DownloadDictionaries</name>
    <message>
        <location filename="../../../scribus/ui/downloaddictionaries.ui" line="14"/>
        <location filename="../../../scribus/ui/downloaddictionaries.ui" line="56"/>
        <source>Download Dictionaries</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/downloaddictionaries.ui" line="20"/>
        <source>Available Dictionary Downloads</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/downloaddictionaries.ui" line="49"/>
        <source>Update Dictionary List</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/downloaddictionaries.ui" line="63"/>
        <source>Close</source>
        <translation type="unfinished">Kapat</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/downloaddictionaries.cpp" line="116"/>
        <source>Language</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/downloaddictionaries.cpp" line="116"/>
        <source>Code</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/downloaddictionaries.cpp" line="116"/>
        <source>Location</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>EPSPlug</name>
    <message>
        <location filename="../../../scribus/plugins/import/ps/importps.cpp" line="476"/>
        <source>Importing File:
%1
failed!</source>
        <translation>Dosya alınıyor:
%1
Başarısız oldu!</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ps/importps.cpp" line="477"/>
        <source>Fatal Error</source>
        <translation>Kritik Hata</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ps/importps.cpp" line="83"/>
        <source>Analyzing PostScript:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ps/importps.cpp" line="482"/>
        <source>Generating Items</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ps/importps.cpp" line="837"/>
        <source>Converting of %1 images failed!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ps/importps.cpp" line="838"/>
        <source>Error</source>
        <translation type="unfinished">Hata</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ps/importps.cpp" line="278"/>
        <location filename="../../../scribus/plugins/import/ps/importps.cpp" line="706"/>
        <source>Group%1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ps/importps.cpp" line="80"/>
        <source>Importing: %1</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>EditStyle</name>
    <message>
        <source>Edit Style</source>
        <translation type="obsolete">Stilleri Düzenle</translation>
    </message>
    <message>
        <source>Character</source>
        <translation type="obsolete">Karakter</translation>
    </message>
    <message>
        <source> pt</source>
        <translation type="obsolete"> pt</translation>
    </message>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
    <message>
        <source>Line Spacing</source>
        <translation type="obsolete">Satır Boşluğu</translation>
    </message>
    <message>
        <source>Name of your paragraph style</source>
        <translation type="obsolete">Paragraf stilinizin adı</translation>
    </message>
    <message>
        <source>Font of selected text or object</source>
        <translation type="obsolete">Seçili nesne ya da metnin yazıtipi</translation>
    </message>
    <message>
        <source>Font Size</source>
        <translation type="obsolete">Yazıtipi ölçüsü</translation>
    </message>
    <message>
        <source>Color of text fill</source>
        <translation type="obsolete">Doldurma Metni Rengi</translation>
    </message>
    <message>
        <source>Color of text stroke</source>
        <translation type="obsolete">Metin vurgusu rengi</translation>
    </message>
    <message>
        <source>Determines the overall height, in line numbers, of the Drop Caps</source>
        <translation type="obsolete">Determines the overall height, in line numbers, of the Drop Caps</translation>
    </message>
    <message>
        <source>Spacing above the paragraph</source>
        <translation type="obsolete">Paragrafın üzerinden boşluk</translation>
    </message>
    <message>
        <source>Spacing below the paragraph</source>
        <translation type="obsolete">Paragrafın altından boşluk</translation>
    </message>
    <message>
        <source>Tabulators and Indentation</source>
        <translation type="obsolete">Cetvelleyici ve Girintileyiciler</translation>
    </message>
    <message>
        <source>&amp;Name:</source>
        <translation type="obsolete">İ&amp;sim:</translation>
    </message>
    <message>
        <source>&amp;Lines:</source>
        <translation type="obsolete">&amp;Satırlar:</translation>
    </message>
    <message>
        <source> %</source>
        <translation type="obsolete"> %</translation>
    </message>
    <message>
        <source>Distances</source>
        <translation type="obsolete">Mesafeler</translation>
    </message>
    <message>
        <source>Fixed Linespacing</source>
        <translation type="obsolete">Sabit Satır Boşluğu</translation>
    </message>
    <message>
        <source>Automatic Linespacing</source>
        <translation type="obsolete">Otomatik Satır Boşluğu</translation>
    </message>
    <message>
        <source>Align to Baseline Grid</source>
        <translation type="obsolete">Align to Baseline Grid</translation>
    </message>
    <message>
        <source>Drop Caps</source>
        <translation type="obsolete">Drop Caps</translation>
    </message>
    <message>
        <source>Distance from Text:</source>
        <translation type="obsolete">Metinden Uzaklık:</translation>
    </message>
    <message>
        <source>Preview of the Paragraph Style</source>
        <translation type="obsolete">Paragraf Stilinin Önizlemesi</translation>
    </message>
    <message>
        <source>Determines the gap between the DropCaps and the Text</source>
        <translation type="obsolete">Determines the gap between the DropCaps and the Text</translation>
    </message>
    <message>
        <source>Toggles sample text of this paragraph style</source>
        <translation type="obsolete">Toggles sample text of this paragraph style</translation>
    </message>
    <message>
        <source>Name of the style is not unique</source>
        <translation type="obsolete">Stil adı zaten bulunuyor</translation>
    </message>
    <message>
        <source>Background</source>
        <translation type="obsolete">Arkaplan</translation>
    </message>
    <message>
        <source>Auto</source>
        <translation type="obsolete">Otomatik</translation>
    </message>
</context>
<context>
    <name>EditToolBar</name>
    <message>
        <location filename="../../../scribus/ui/edittoolbar.cpp" line="29"/>
        <source>Edit</source>
        <translation type="unfinished">Düzenle</translation>
    </message>
</context>
<context>
    <name>Editor</name>
    <message>
        <location filename="../../../scribus/editor.cpp" line="34"/>
        <source>Editor</source>
        <translation>Editor</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="40"/>
        <source>&amp;New</source>
        <translation>Y&amp;eni</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="43"/>
        <source>&amp;Open...</source>
        <translation>&amp;Aç...</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="45"/>
        <source>Save &amp;As...</source>
        <translation>&amp;Farklı kaydet...</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="47"/>
        <source>&amp;Save and Exit</source>
        <translation>Kaydet ve Ç&amp;ık</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="49"/>
        <source>&amp;Exit without Saving</source>
        <translation>Kayde&amp;tmeden çık</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="51"/>
        <source>&amp;Undo</source>
        <translation>Geri &amp;Al</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="54"/>
        <source>&amp;Redo</source>
        <translation>&amp;Yinele</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="56"/>
        <source>Cu&amp;t</source>
        <translation>&amp;Kes</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="59"/>
        <source>&amp;Copy</source>
        <translation>K&amp;opyala</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="62"/>
        <source>&amp;Paste</source>
        <translation>&amp;Yapıştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="65"/>
        <source>C&amp;lear</source>
        <translation>&amp;Temizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="67"/>
        <source>&amp;Get Field Names</source>
        <translation>Alan adla&amp;rını al</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="69"/>
        <source>&amp;File</source>
        <translation>&amp;Dosya</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="76"/>
        <source>&amp;Edit</source>
        <translation>Düzen&amp;le</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="100"/>
        <source>OK</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="104"/>
        <source>Cancel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="132"/>
        <location filename="../../../scribus/editor.cpp" line="148"/>
        <source>JavaScripts (*.js);;All Files (*)</source>
        <translation>JavaScript (*.js);;Tüm dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="41"/>
        <source>Ctrl+N</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="52"/>
        <source>Ctrl+Z</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="57"/>
        <source>Ctrl+X</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="60"/>
        <source>Ctrl+C</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/editor.cpp" line="63"/>
        <source>Ctrl-V</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>EffectsDialog</name>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="45"/>
        <source>Image Effects</source>
        <translation>Resim Efektleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="82"/>
        <source>Options:</source>
        <translation>Seçenekler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="99"/>
        <source>Color:</source>
        <translation>Renk:</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="110"/>
        <source>Shade:</source>
        <translation>Ton:</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="126"/>
        <source>Brightness:</source>
        <translation>Parlaklık:</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="148"/>
        <source>Contrast:</source>
        <translation>Kontrast:</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="170"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="199"/>
        <source>Radius:</source>
        <translation>Radius:</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="181"/>
        <source>Value:</source>
        <translation>Değer:</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="217"/>
        <source>Posterize:</source>
        <translation>Posterise:</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="456"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="473"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="501"/>
        <source>Available Effects</source>
        <translation>Mevcut Efektler</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="460"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="542"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="779"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="841"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1296"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1418"/>
        <source>Blur</source>
        <translation>Bulanıklaştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="461"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="527"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="764"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="835"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1247"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1396"/>
        <source>Brightness</source>
        <translation>Parlaklık</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="462"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="518"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="759"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="845"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="900"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="987"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1387"/>
        <source>Colorize</source>
        <translation>Renklendir</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="466"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="532"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="769"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="837"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1263"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1402"/>
        <source>Contrast</source>
        <translation>Kontrast</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="467"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="513"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="754"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="833"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="983"/>
        <source>Grayscale</source>
        <translation>Gri Tonlama</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="469"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="508"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="749"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="831"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="985"/>
        <source>Invert</source>
        <translation>Invert</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="470"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="552"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="787"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="843"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1308"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1431"/>
        <source>Posterize</source>
        <translation>Posterise</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="471"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="537"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="774"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="839"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1279"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1408"/>
        <source>Sharpen</source>
        <translation>Keskinleştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="483"/>
        <source>&gt;&gt;</source>
        <translation>&gt;&gt;</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="487"/>
        <source>&lt;&lt;</source>
        <translation>&lt;&lt;</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="498"/>
        <source>Effects in use</source>
        <translation>Kullanılan Efektler</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="617"/>
        <source>OK</source>
        <translation>Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="621"/>
        <source>Cancel</source>
        <translation>İptal</translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="236"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="286"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="352"/>
        <source>Color 1:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="257"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="306"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="372"/>
        <source>Color 2:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="326"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="392"/>
        <source>Color 3:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="412"/>
        <source>Color 4:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="463"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="557"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="792"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="856"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="900"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1004"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1437"/>
        <source>Duotone</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="464"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="566"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="797"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="867"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="900"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1062"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1473"/>
        <source>Tritone</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="465"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="575"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="802"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="878"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="900"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1143"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1524"/>
        <source>Quadtone</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/effectsdialog.cpp" line="468"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="584"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="807"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="889"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1324"/>
        <location filename="../../../scribus/effectsdialog.cpp" line="1590"/>
        <source>Curves</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ExportBitmap</name>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="203"/>
        <source>File exists. Overwrite?</source>
        <translation type="unfinished">Dosya mevcut. Üzerine yazılsın mı?</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="204"/>
        <source>exists already. Overwrite?</source>
        <translation type="unfinished">zaten mevcut. Üzerine yazılsın mı?</translation>
    </message>
    <message>
        <source>All</source>
        <translation type="obsolete">Tümü</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="190"/>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="217"/>
        <source>Save as Image</source>
        <translation type="unfinished">Resim olarak Kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="190"/>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="191"/>
        <source>Insufficient memory for this image size.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="217"/>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="218"/>
        <source>Error writing the output file(s).</source>
        <translation type="unfinished">Çıktı dosyası yazarken hata oluştu.</translation>
    </message>
</context>
<context>
    <name>ExportForm</name>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="224"/>
        <source>&amp;All pages</source>
        <translation>&amp;Tüm sayfalar</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/dialog.cpp" line="127"/>
        <source>Change the output directory</source>
        <translation>Çıktı dizinini değiştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/dialog.cpp" line="126"/>
        <source>The output directory - the place to store your images.
Name of the export file will be &apos;documentname-pagenumber.filetype&apos;</source>
        <translation>Çıktı dizini-resimlerin kaydedileceği yer.
Dosya adı &apos;belgeadı-sayfano.dosyatipi&apos; şeklinde olacaktır</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/dialog.cpp" line="120"/>
        <source>Export only the current page</source>
        <translation>Sadece kullanılan sayfayı ihraç et</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/dialog.cpp" line="125"/>
        <source>Available export formats</source>
        <translation>Mevcut ihraç biçimleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/dialog.cpp" line="80"/>
        <source>Choose a Export Directory</source>
        <translation>Dizin Seçin</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="166"/>
        <source>C&amp;hange...</source>
        <translation>D&amp;eğiştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="153"/>
        <source>&amp;Export to Directory:</source>
        <translation>Dizine ihraç &amp;et:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="54"/>
        <source>Image &amp;Type:</source>
        <translation>Resim &amp;Türü:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="64"/>
        <source>&amp;Quality:</source>
        <translation>&amp;Kalite:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="13"/>
        <source>Export as Image(s)</source>
        <translation>Resim olarak ihraç et</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="25"/>
        <source>Options</source>
        <translation>Seçenekler</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="74"/>
        <source>&amp;Resolution:</source>
        <translation>&amp;Çözünürlük:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="94"/>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="126"/>
        <source> %</source>
        <translation> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="110"/>
        <source> dpi</source>
        <translation> dpi</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="175"/>
        <source>Range</source>
        <translation>Aralık</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="197"/>
        <source>&amp;Current page</source>
        <translation>&amp;Mevcut sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="217"/>
        <source>&amp;Range</source>
        <translation>&amp;Aralık</translation>
    </message>
    <message>
        <source>C</source>
        <translation type="obsolete">C</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/dialog.cpp" line="117"/>
        <source>Export a range of pages</source>
        <translation>Belli aralıktaki sayfaları ihraç et</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/dialog.cpp" line="118"/>
        <source>Insert a comma separated list of tokens where
a token can be * for all the pages, 1-5 for
a range of pages or a single page number.</source>
        <translation>* tüm sayfalar için. Örneğin 1-5,birinci ile beşinci
sayfalar arasındaki sayfalar. Sayfa numaralarını
vigülle ayırarak (1,4,5 gibi) de verebilirsiniz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/dialog.cpp" line="119"/>
        <source>Export all pages</source>
        <translation>Tüm sayfaları ihraç et</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/dialog.cpp" line="121"/>
        <source>Resolution of the Images
Use 72 dpi for Images intended for the Screen</source>
        <translation>Resimlerin çözünürlüğü
Sadece ekranda görüntülenecekse 72 dpi yeterlidir</translation>
    </message>
    <message>
        <source>The quality of your images - 100% is the best, 1% the lowest quality</source>
        <translation type="obsolete">Resimlerin kalitesi - %100 en iyi, %1 en düşük kalite</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="84"/>
        <source>&amp;Size:</source>
        <translation>Ö&amp;lçü:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/dialog.cpp" line="122"/>
        <source>Size of the images. 100% for no changes, 200% for two times larger etc.</source>
        <translation>Resimlerin boyutu. %100 değişiklik yok; %50 yarısı, %200 2 katı vs.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="44"/>
        <source>Image size in Pixels</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/exportform.ui" line="37"/>
        <source>TextLabel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/dialog.cpp" line="123"/>
        <source>The compression ratio of your images - 100% is no compression, 0% highest compression. If in doubt, use &apos;Automatic&apos;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/dialog.cpp" line="124"/>
        <source>Automatic</source>
        <translation type="unfinished">Otomatik</translation>
    </message>
</context>
<context>
    <name>ExtImageProps</name>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="40"/>
        <source>Extended Image Properties</source>
        <translation>Genişletilmiş Resim Özellikleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="58"/>
        <location filename="../../../scribus/extimageprops.cpp" line="76"/>
        <location filename="../../../scribus/extimageprops.cpp" line="110"/>
        <source>Normal</source>
        <translation>Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="59"/>
        <location filename="../../../scribus/extimageprops.cpp" line="77"/>
        <location filename="../../../scribus/extimageprops.cpp" line="111"/>
        <source>Darken</source>
        <translation>Karanlıklaştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="60"/>
        <location filename="../../../scribus/extimageprops.cpp" line="78"/>
        <location filename="../../../scribus/extimageprops.cpp" line="112"/>
        <source>Lighten</source>
        <translation>Aydınlat</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="61"/>
        <location filename="../../../scribus/extimageprops.cpp" line="79"/>
        <location filename="../../../scribus/extimageprops.cpp" line="113"/>
        <source>Hue</source>
        <translation type="unfinished">Hue</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="62"/>
        <location filename="../../../scribus/extimageprops.cpp" line="80"/>
        <location filename="../../../scribus/extimageprops.cpp" line="114"/>
        <source>Saturation</source>
        <translation>Doygunluk</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="63"/>
        <location filename="../../../scribus/extimageprops.cpp" line="81"/>
        <location filename="../../../scribus/extimageprops.cpp" line="115"/>
        <source>Color</source>
        <translation>Renk</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="64"/>
        <location filename="../../../scribus/extimageprops.cpp" line="82"/>
        <location filename="../../../scribus/extimageprops.cpp" line="116"/>
        <source>Luminosity</source>
        <translation type="unfinished">Luminosity</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="65"/>
        <location filename="../../../scribus/extimageprops.cpp" line="83"/>
        <location filename="../../../scribus/extimageprops.cpp" line="117"/>
        <source>Multiply</source>
        <translation type="unfinished">Multiply</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="66"/>
        <location filename="../../../scribus/extimageprops.cpp" line="84"/>
        <location filename="../../../scribus/extimageprops.cpp" line="118"/>
        <source>Screen</source>
        <translation type="unfinished">Screen</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="67"/>
        <location filename="../../../scribus/extimageprops.cpp" line="85"/>
        <location filename="../../../scribus/extimageprops.cpp" line="119"/>
        <source>Dissolve</source>
        <translation type="unfinished">Dissolve</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="68"/>
        <location filename="../../../scribus/extimageprops.cpp" line="86"/>
        <location filename="../../../scribus/extimageprops.cpp" line="120"/>
        <source>Overlay</source>
        <translation type="unfinished">Overlay</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="69"/>
        <location filename="../../../scribus/extimageprops.cpp" line="87"/>
        <location filename="../../../scribus/extimageprops.cpp" line="121"/>
        <source>Hard Light</source>
        <translation>Sert Işık</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="70"/>
        <location filename="../../../scribus/extimageprops.cpp" line="88"/>
        <location filename="../../../scribus/extimageprops.cpp" line="122"/>
        <source>Soft Light</source>
        <translation>Yumuşak Işık</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="71"/>
        <location filename="../../../scribus/extimageprops.cpp" line="89"/>
        <location filename="../../../scribus/extimageprops.cpp" line="123"/>
        <source>Difference</source>
        <translation>Fark</translation>
    </message>
    <message>
        <source>Exlusion</source>
        <translation type="obsolete">Exclusion</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="73"/>
        <location filename="../../../scribus/extimageprops.cpp" line="91"/>
        <location filename="../../../scribus/extimageprops.cpp" line="125"/>
        <source>Color Dodge</source>
        <translation type="unfinished">Colour Dodge</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="74"/>
        <location filename="../../../scribus/extimageprops.cpp" line="92"/>
        <location filename="../../../scribus/extimageprops.cpp" line="126"/>
        <source>Color Burn</source>
        <translation type="unfinished">Colour Burn</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="106"/>
        <source>Blend Mode:</source>
        <translation type="unfinished">Blend Mode:</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="129"/>
        <source>Opacity:</source>
        <translation>Opaklık:</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="136"/>
        <source> %</source>
        <translation> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="142"/>
        <source>Name</source>
        <translation>İsim</translation>
    </message>
    <message>
        <source>Background</source>
        <translation type="obsolete">Arkaplan</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="220"/>
        <source>Layers</source>
        <translation>Katmanlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="273"/>
        <source>Don&apos;t use any Path</source>
        <translation>Don&apos;t use any Path</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="275"/>
        <source>Paths</source>
        <translation>Paths</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="72"/>
        <location filename="../../../scribus/extimageprops.cpp" line="90"/>
        <location filename="../../../scribus/extimageprops.cpp" line="124"/>
        <source>Exclusion</source>
        <translation>Exclusion</translation>
    </message>
    <message>
        <location filename="../../../scribus/extimageprops.cpp" line="282"/>
        <source>Live Preview</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>FDialogPreview</name>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="196"/>
        <source>Size:</source>
        <translation>Ölçü:</translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="214"/>
        <source>Title:</source>
        <translation>Başlık:</translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="217"/>
        <source>No Title</source>
        <translation>Başlık Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="219"/>
        <source>Author:</source>
        <translation>Yazar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="200"/>
        <location filename="../../../scribus/customfdialog.cpp" line="222"/>
        <location filename="../../../scribus/customfdialog.cpp" line="227"/>
        <source>Unknown</source>
        <translation>Bilinmeyen</translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="229"/>
        <source>Scribus Document</source>
        <translation>Scribus Belgesi</translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="197"/>
        <source>Resolution:</source>
        <translation>Çözünürlük:</translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="197"/>
        <source>DPI</source>
        <translation>DPI</translation>
    </message>
    <message>
        <source>RGB</source>
        <translation type="obsolete">RGB</translation>
    </message>
    <message>
        <source>CMYK</source>
        <translation type="obsolete">CMYK</translation>
    </message>
    <message>
        <source>Grayscale</source>
        <translation type="obsolete">Gri Tonlama</translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="203"/>
        <source>Colorspace:</source>
        <translation type="unfinished">Colourspace:</translation>
    </message>
    <message>
        <location filename="../../../scribus/customfdialog.cpp" line="224"/>
        <source>File Format:</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>FileLoader</name>
    <message>
        <location filename="../../../scribus/fileloader.cpp" line="401"/>
        <source>Some fonts used by this document have been substituted:</source>
        <translation>Bu belgedeki bazı yazitipleri değiştirildi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/fileloader.cpp" line="405"/>
        <source> was replaced by: </source>
        <translation>bununla değişti:</translation>
    </message>
</context>
<context>
    <name>FileToolBar</name>
    <message>
        <location filename="../../../scribus/ui/filetoolbar.cpp" line="31"/>
        <source>File</source>
        <translation type="unfinished">Dosya</translation>
    </message>
</context>
<context>
    <name>FontComboH</name>
    <message>
        <location filename="../../../scribus/fontcombo.cpp" line="148"/>
        <source>Family:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/fontcombo.cpp" line="149"/>
        <source>Style:</source>
        <translation type="unfinished">Stil:</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontcombo.cpp" line="151"/>
        <source>Font Family of Selected Text or Text Frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/fontcombo.cpp" line="152"/>
        <source>Font Style of Selected Text or Text Frame</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>FontListModel</name>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="63"/>
        <source>Font Name</source>
        <translation type="unfinished">Yazıtipi Adı</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="65"/>
        <source>Use Font</source>
        <translation type="unfinished">Kullanılacak Yazıtipi</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="67"/>
        <source>Family</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="69"/>
        <source>Style</source>
        <translation type="unfinished">Stil</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="71"/>
        <source>Variant</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="73"/>
        <source>Type</source>
        <translation type="unfinished">Tip</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="75"/>
        <source>Format</source>
        <translation type="unfinished">Biçim</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="77"/>
        <source>Embed in PostScript</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="79"/>
        <source>Subset</source>
        <translation type="unfinished">Subset</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="81"/>
        <source>Access</source>
        <translation type="unfinished">Erişim</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="83"/>
        <source>Used in Doc</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="85"/>
        <source>Path to Font File</source>
        <translation type="unfinished">Path to Font File</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="144"/>
        <source>Unknown</source>
        <comment>font type</comment>
        <translation type="unfinished">Bilinmeyen</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="157"/>
        <source>Unknown</source>
        <comment>font format</comment>
        <translation type="unfinished">Bilinmeyen</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="164"/>
        <source>User</source>
        <comment>font preview</comment>
        <translation type="unfinished">Kullanıcı</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="165"/>
        <source>System</source>
        <comment>font preview</comment>
        <translation type="unfinished">Sistem</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontlistmodel.cpp" line="190"/>
        <source>Click to change the value</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>FontPrefs</name>
    <message>
        <location filename="../../../scribus/fontprefs.cpp" line="48"/>
        <source>Available Fonts</source>
        <translation>Mevcut Yazıtipleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontprefs.cpp" line="48"/>
        <source>Font Substitutions</source>
        <translation>Yazıtipi Karşılıkları</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontprefs.cpp" line="48"/>
        <source>Additional Paths</source>
        <translation>Diğer yerler</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontprefs.cpp" line="66"/>
        <source>Font Name</source>
        <translation>Yazıtipi Adı</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontprefs.cpp" line="67"/>
        <source>Replacement</source>
        <translation>Muadili</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontprefs.cpp" line="229"/>
        <location filename="../../../scribus/fontprefs.cpp" line="254"/>
        <source>Choose a Directory</source>
        <translation>Dizin Seçin</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontprefs.cpp" line="58"/>
        <source>&amp;Available Fonts</source>
        <translation>&amp;Mevcut Yazıtipleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontprefs.cpp" line="88"/>
        <source>Font &amp;Substitutions</source>
        <translation>&amp;Yazıtipi Karşılıkları</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontprefs.cpp" line="135"/>
        <source>Additional &amp;Paths</source>
        <translation>&amp;Diğer yerler</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontprefs.cpp" line="82"/>
        <source>&amp;Delete</source>
        <translation>&amp;Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontprefs.cpp" line="107"/>
        <source>C&amp;hange...</source>
        <translation>D&amp;eğiştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontprefs.cpp" line="109"/>
        <source>A&amp;dd...</source>
        <translation>E&amp;kle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontprefs.cpp" line="111"/>
        <source>&amp;Remove</source>
        <translation>Ka&amp;ldır</translation>
    </message>
    <message>
        <source>Font Name</source>
        <comment>font preview</comment>
        <translation type="obsolete">Yazıtipi Adı</translation>
    </message>
    <message>
        <source>Use Font</source>
        <comment>font preview</comment>
        <translation type="obsolete">Kullanılacak Yazıtipi</translation>
    </message>
    <message>
        <source>Embed in:</source>
        <comment>font preview</comment>
        <translation type="obsolete">Bunun içine göm:</translation>
    </message>
    <message>
        <source>Subset</source>
        <comment>font preview</comment>
        <translation type="obsolete">Subset</translation>
    </message>
    <message>
        <source>Path to Font File</source>
        <comment>font preview</comment>
        <translation type="obsolete">Path to Font File</translation>
    </message>
    <message>
        <source>PostScript</source>
        <translation type="obsolete">PostScript</translation>
    </message>
    <message>
        <source>Font search paths can only be set in Preferences, and only when there is no document currently open. Close any open documents, then use Edit-&gt;Settings to change the font search path.</source>
        <translation type="obsolete">Font search paths can only be set in Preferences, and only when there is no document currently open. Close any open documents, then use Edit-&gt;Settings to change the font search path.</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontprefs.cpp" line="128"/>
        <source>Font search paths can only be set in File &gt; Preferences, and only when there is no document currently open. Close any open documents, then use File &gt; Preferences &gt; Fonts to change the font search path.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>Use Font</source>
        <translation type="obsolete">Kullanılacak Yazıtipi</translation>
    </message>
    <message>
        <source>Subset</source>
        <translation type="obsolete">Subset</translation>
    </message>
    <message>
        <source>Path to Font File</source>
        <translation type="obsolete">Path to Font File</translation>
    </message>
</context>
<context>
    <name>FontPreview</name>
    <message>
        <source>Font Name</source>
        <comment>font preview</comment>
        <translation type="obsolete">Yazıtipi Adı</translation>
    </message>
    <message>
        <source>Doc</source>
        <comment>font preview</comment>
        <translation type="obsolete">Doc</translation>
    </message>
    <message>
        <source>Type</source>
        <comment>font preview</comment>
        <translation type="obsolete">Tip</translation>
    </message>
    <message>
        <source>Subset</source>
        <comment>font preview</comment>
        <translation type="obsolete">Subset</translation>
    </message>
    <message>
        <source>Access</source>
        <comment>font preview</comment>
        <translation type="obsolete">Erişim</translation>
    </message>
    <message>
        <source>Font Size:</source>
        <translation type="obsolete">Yazıtipi ölçüsü:</translation>
    </message>
    <message>
        <source>Fonts Preview</source>
        <comment>font preview</comment>
        <translation type="obsolete">Yazıtipi Önizleme</translation>
    </message>
    <message>
        <source>Alt+O</source>
        <comment>font preview</comment>
        <translation type="obsolete">Alt+O</translation>
    </message>
    <message>
        <source>Quick Search: </source>
        <translation type="obsolete">Hızlı Arama:</translation>
    </message>
    <message>
        <source>&amp;Search</source>
        <translation type="obsolete">&amp;Ara</translation>
    </message>
    <message>
        <source>&amp;Close</source>
        <comment>font preview</comment>
        <translation type="obsolete">&amp;Kapat</translation>
    </message>
    <message>
        <source>Alt+C</source>
        <comment>font preview</comment>
        <translation type="obsolete">Alt+C</translation>
    </message>
    <message>
        <source>Append selected font into Style, Font menu</source>
        <comment>font preview</comment>
        <translation type="obsolete">Append selected font into Style, Font menu</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.cpp" line="111"/>
        <source>Leave preview</source>
        <comment>font preview</comment>
        <translation>Önizlemeyi kapat</translation>
    </message>
    <message>
        <source>Typing the text here provides quick searching in the font names. E.g. &apos;bold&apos; shows all fonts with Bold in name. Searching is case insensitive.</source>
        <translation type="obsolete">Buraya bir metin yazarak hızlı arama yapabilirsiniz. Örneğin; Nimbus yazarak Nimbus ile başlayan tüm fontları listelersiniz. Aramada küçük büyük harf farkı gözetilmez.</translation>
    </message>
    <message>
        <source>Start searching</source>
        <translation type="obsolete">Aramaya başla</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.cpp" line="113"/>
        <source>Size of the selected font</source>
        <translation>Seçili yazıtipinin büyüklüğü</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.cpp" line="44"/>
        <source>Woven silk pyjamas exchanged for blue quartz</source>
        <comment>font preview</comment>
        <translation>Scribus, Pozitif PC tarafından Türkçeye çevrildi..www.pozitifpc.com</translation>
    </message>
    <message>
        <source>User</source>
        <comment>font preview</comment>
        <translation type="obsolete">Kullanıcı</translation>
    </message>
    <message>
        <source>System</source>
        <comment>font preview</comment>
        <translation type="obsolete">Sistem</translation>
    </message>
    <message>
        <source>&amp;Append</source>
        <translation type="obsolete">&amp;Ekle</translation>
    </message>
    <message>
        <source>Font Name</source>
        <translation type="obsolete">Yazıtipi Adı</translation>
    </message>
    <message>
        <source>Doc</source>
        <translation type="obsolete">Doc</translation>
    </message>
    <message>
        <source>Type</source>
        <translation type="obsolete">Tip</translation>
    </message>
    <message>
        <source>Subset</source>
        <translation type="obsolete">Subset</translation>
    </message>
    <message>
        <source>Access</source>
        <translation type="obsolete">Erişim</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.ui" line="13"/>
        <source>Fonts Preview</source>
        <translation type="unfinished">Yazıtipi Önizleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.ui" line="19"/>
        <source>&amp;Quick Search:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.ui" line="80"/>
        <source>&amp;Font Size:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.ui" line="103"/>
        <source>Text</source>
        <translation type="unfinished">Metin</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.ui" line="113"/>
        <source>Sample text to display</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.ui" line="123"/>
        <source>Se&amp;t</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.ui" line="126"/>
        <source>Alt+T</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.ui" line="133"/>
        <source>Reset the text</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>Alt+A</source>
        <translation type="obsolete">Alt+A</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.ui" line="167"/>
        <source>&amp;Close</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.ui" line="170"/>
        <source>Alt+C</source>
        <translation type="unfinished">Alt+C</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.cpp" line="112"/>
        <source>Typing the text here provides quick searching in the font names. Searching is case insensitive. The given text is taken as substring.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.ui" line="136"/>
        <source>&amp;Default</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.ui" line="35"/>
        <source>Show Extended Font Information</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreview.ui" line="120"/>
        <source>Set the preview text</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>FontPreviewBase</name>
    <message>
        <source>Fonts Preview</source>
        <translation type="obsolete">Yazıtipi Önizleme</translation>
    </message>
    <message>
        <source>&amp;Search</source>
        <translation type="obsolete">&amp;Ara</translation>
    </message>
    <message>
        <source>Font Name</source>
        <translation type="obsolete">Yazıtipi Adı</translation>
    </message>
    <message>
        <source>Doc</source>
        <translation type="obsolete">Doc</translation>
    </message>
    <message>
        <source>Type</source>
        <translation type="obsolete">Tip</translation>
    </message>
    <message>
        <source>Subset</source>
        <translation type="obsolete">Subset</translation>
    </message>
    <message>
        <source>Access</source>
        <translation type="obsolete">Erişim</translation>
    </message>
    <message>
        <source>Text</source>
        <translation type="obsolete">Metin</translation>
    </message>
    <message>
        <source>&amp;Append</source>
        <translation type="obsolete">&amp;Ekle</translation>
    </message>
    <message>
        <source>Alt+A</source>
        <translation type="obsolete">Alt+A</translation>
    </message>
    <message>
        <source>Alt+C</source>
        <translation type="obsolete">Alt+C</translation>
    </message>
</context>
<context>
    <name>FontPreviewPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreviewplugin.cpp" line="49"/>
        <source>&amp;Font Preview...</source>
        <translation>Yazıtipi Ön&amp;izleme...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreviewplugin.cpp" line="66"/>
        <source>Font Preview dialog</source>
        <translation>Yazıtipi Önizleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreviewplugin.cpp" line="67"/>
        <source>Sorting, searching and browsing available fonts.</source>
        <translation>Mevcut yazıtiplerini arama,sıralama ve tarama.</translation>
    </message>
</context>
<context>
    <name>FontReplaceDialog</name>
    <message>
        <location filename="../../../scribus/fontreplacedialog.cpp" line="30"/>
        <source>Font Substitution</source>
        <translation>Yazıtipi Değişimi</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontreplacedialog.cpp" line="45"/>
        <source>Original Font</source>
        <translation>Orjinal Yazıtipi</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontreplacedialog.cpp" line="46"/>
        <source>Substitution Font</source>
        <translation>Yerine geçen yazıtipi</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontreplacedialog.cpp" line="72"/>
        <source>Make these substitutions permanent</source>
        <translation>Bu değişiklikler kalıcı olsun</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontreplacedialog.cpp" line="84"/>
        <source>Enabling this tells Scribus to use these replacements for missing fonts permanently in all future layouts. This can be reverted or changed in File &gt; Preferences &gt; Fonts.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/fontreplacedialog.cpp" line="40"/>
        <source>This document contains some fonts that are not installed on your system, please choose a suitable replacement for them. Cancel will stop the document from loading.</source>
        <translation>Bu belge, sisteminizde olmayan bazı yazıtipleri içeriyor. Lütfen bunların yerine uygun yazıtiplerini seçin. İptal&apos;i seçmek belgenin yüklenmesini durduracaktır.</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontreplacedialog.cpp" line="83"/>
        <source>Cancels these font substitutions and stops loading the document.</source>
        <translation>Bu yazıtipi değişikliklerini iptal et ve belgenin yüklenmesini durdur.</translation>
    </message>
    <message>
        <source>Enabling this tells Scribus to use these replacements for missing fonts permanently in all future layouts. This can be reverted or changed in Edit &gt; Preferences &gt; Fonts.</source>
        <translation type="obsolete">Bunu etkin hale getirmek, gelecekteki yeni mizanpajlarda bu değişimlerin kullanılmasına neden olur. Özellikleri Düzenle&gt;Tercihler&gt;Yazıtiplerinden değiştirebilirsiniz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/fontreplacedialog.cpp" line="85"/>
        <source>If you select OK, then save, these substitutions are made permanent in the document.</source>
        <translation>Eğer Tamam&apos;ı seçip kaydederseniz, bu değişiklikler belgeniz içinde kalıcı hale gelecektir.</translation>
    </message>
</context>
<context>
    <name>GradientEditor</name>
    <message>
        <location filename="../../../scribus/gradienteditor.cpp" line="332"/>
        <source>Position:</source>
        <translation>Konum:</translation>
    </message>
    <message>
        <location filename="../../../scribus/gradienteditor.cpp" line="333"/>
        <source> %</source>
        <translation> %</translation>
    </message>
    <message>
        <source>Here you can add, change or remove Color-Stops.</source>
        <translation type="obsolete">Here you can add, change or remove Colour-Stops.</translation>
    </message>
    <message>
        <location filename="../../../scribus/gradienteditor.cpp" line="341"/>
        <source>Add, change or remove color stops here</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>GradientVectorDialog</name>
    <message>
        <location filename="../../../scribus/cpalette.cpp" line="100"/>
        <source>Gradient Vector</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>GuideManager</name>
    <message>
        <source>Manage Guides</source>
        <translation type="obsolete">Kılavuz Yönetimi</translation>
    </message>
    <message>
        <source>Horizontal Guides</source>
        <translation type="obsolete">Yatay Kılavuzlar</translation>
    </message>
    <message>
        <source>Vertical Guides</source>
        <translation type="obsolete">Dikey Kılavuzlar</translation>
    </message>
    <message>
        <source>&amp;Y-Pos:</source>
        <translation type="obsolete">&amp;Y-Pos:</translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="53"/>
        <location filename="../../../scribus/guidemanager.cpp" line="229"/>
        <source>&amp;Add</source>
        <translation type="unfinished">&amp;Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="63"/>
        <location filename="../../../scribus/guidemanager.cpp" line="230"/>
        <source>D&amp;elete</source>
        <translation type="unfinished">&amp;Sil</translation>
    </message>
    <message>
        <source>&amp;X-Pos:</source>
        <translation type="obsolete">&amp;X-Pos:</translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="92"/>
        <location filename="../../../scribus/guidemanager.cpp" line="231"/>
        <source>A&amp;dd</source>
        <translation type="unfinished">E&amp;kle</translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="102"/>
        <location filename="../../../scribus/guidemanager.cpp" line="232"/>
        <source>De&amp;lete</source>
        <translation type="unfinished">&amp;Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="117"/>
        <location filename="../../../scribus/guidemanager.cpp" line="233"/>
        <source>&amp;Lock Guides</source>
        <translation type="unfinished">Kılavuzları &amp;kilitle</translation>
    </message>
    <message>
        <source>&amp;Rows:</source>
        <translation type="obsolete">S&amp;atırlar:</translation>
    </message>
    <message>
        <source>C&amp;olumns:</source>
        <translation type="obsolete">Süt&amp;unlar:</translation>
    </message>
    <message>
        <source>Refer to:</source>
        <translation type="obsolete">Refer to:</translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="192"/>
        <location filename="../../../scribus/guidemanager.ui" line="279"/>
        <location filename="../../../scribus/guidemanager.cpp" line="243"/>
        <location filename="../../../scribus/guidemanager.cpp" line="246"/>
        <source>&amp;Page</source>
        <translation type="unfinished">S&amp;ayfa</translation>
    </message>
    <message>
        <source>&amp;Margins</source>
        <translation type="obsolete">&amp;Kenarlıklar</translation>
    </message>
    <message>
        <source>&amp;Selection</source>
        <translation type="obsolete">&amp;Seçim</translation>
    </message>
    <message>
        <source>&amp;Close</source>
        <translation type="obsolete">&amp;Kapat</translation>
    </message>
    <message>
        <source>Rows and Columns - Automatic Guides</source>
        <translation type="obsolete">Satır ve Sütunlar - Otomatik Kılavuzlar</translation>
    </message>
    <message>
        <source>Row &amp;Gap</source>
        <translation type="obsolete">Sa&amp;tır Boşluğu</translation>
    </message>
    <message>
        <source>Colum&amp;n Gap</source>
        <translation type="obsolete">Sütun B&amp;oşluğu</translation>
    </message>
    <message>
        <source>&amp;Update</source>
        <translation type="obsolete">&amp;Güncelle</translation>
    </message>
    <message>
        <source>Set the guides in document. Guide manager is still opened but the changes are persistant</source>
        <comment>guide manager</comment>
        <translation type="obsolete">Set the guides in document. Guide manager is still opened but the changes are persistant</translation>
    </message>
    <message>
        <source>&amp;Apply to All Pages</source>
        <translation type="obsolete">&amp;Tüm Sayfalara Uygula</translation>
    </message>
    <message>
        <source>Guide</source>
        <translation type="obsolete">Kılavuz</translation>
    </message>
    <message>
        <source>Unit</source>
        <translation type="obsolete">Birim</translation>
    </message>
    <message>
        <source>Preview</source>
        <translation type="obsolete">Önizleme</translation>
    </message>
    <message>
        <source>There is empty (0.0) guide already</source>
        <translation type="obsolete">Zaten boş bir kılavuz var(0,0)</translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="29"/>
        <location filename="../../../scribus/guidemanager.cpp" line="224"/>
        <source>&amp;Single</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="37"/>
        <location filename="../../../scribus/guidemanager.ui" line="144"/>
        <location filename="../../../scribus/guidemanager.cpp" line="227"/>
        <location filename="../../../scribus/guidemanager.cpp" line="235"/>
        <source>Horizontals</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="56"/>
        <location filename="../../../scribus/guidemanager.ui" line="208"/>
        <location filename="../../../scribus/guidemanager.ui" line="295"/>
        <location filename="../../../scribus/guidemanager.ui" line="354"/>
        <source>Alt+A</source>
        <translation type="unfinished">Alt+A</translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="66"/>
        <location filename="../../../scribus/guidemanager.ui" line="218"/>
        <location filename="../../../scribus/guidemanager.ui" line="305"/>
        <source>Alt+E</source>
        <translation type="unfinished">Alt+E</translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="76"/>
        <location filename="../../../scribus/guidemanager.ui" line="231"/>
        <location filename="../../../scribus/guidemanager.cpp" line="228"/>
        <location filename="../../../scribus/guidemanager.cpp" line="236"/>
        <source>Verticals</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="95"/>
        <source>Alt+D</source>
        <translation type="unfinished">Alt+D</translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="105"/>
        <location filename="../../../scribus/guidemanager.ui" line="120"/>
        <source>Alt+L</source>
        <translation type="unfinished">Alt+L</translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="127"/>
        <location filename="../../../scribus/guidemanager.ui" line="318"/>
        <location filename="../../../scribus/guidemanager.cpp" line="234"/>
        <location filename="../../../scribus/guidemanager.cpp" line="249"/>
        <source>Appl&amp;y to All Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="130"/>
        <location filename="../../../scribus/guidemanager.ui" line="321"/>
        <source>Alt+Y</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="138"/>
        <location filename="../../../scribus/guidemanager.cpp" line="225"/>
        <source>&amp;Column/Row</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="150"/>
        <location filename="../../../scribus/guidemanager.cpp" line="237"/>
        <source>&amp;Number:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="173"/>
        <location filename="../../../scribus/guidemanager.cpp" line="239"/>
        <source>U&amp;se Gap:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="176"/>
        <source>Alt+S</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="195"/>
        <location filename="../../../scribus/guidemanager.ui" line="282"/>
        <location filename="../../../scribus/guidemanager.ui" line="341"/>
        <source>Alt+P</source>
        <translation type="unfinished">Alt+P</translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="205"/>
        <location filename="../../../scribus/guidemanager.ui" line="292"/>
        <location filename="../../../scribus/guidemanager.cpp" line="244"/>
        <location filename="../../../scribus/guidemanager.cpp" line="247"/>
        <source>M&amp;argins</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="215"/>
        <location filename="../../../scribus/guidemanager.ui" line="302"/>
        <location filename="../../../scribus/guidemanager.cpp" line="245"/>
        <location filename="../../../scribus/guidemanager.cpp" line="248"/>
        <source>S&amp;election</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="237"/>
        <location filename="../../../scribus/guidemanager.cpp" line="238"/>
        <source>Nu&amp;mber:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="260"/>
        <location filename="../../../scribus/guidemanager.cpp" line="240"/>
        <source>Use &amp;Gap:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="263"/>
        <source>Alt+G</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="329"/>
        <location filename="../../../scribus/guidemanager.cpp" line="226"/>
        <source>&amp;Misc</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="335"/>
        <source>Delete all guides from the current page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="338"/>
        <location filename="../../../scribus/guidemanager.cpp" line="250"/>
        <source>Delete Guides from Current &amp;Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="348"/>
        <source>Delete all guides from the current document</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="351"/>
        <location filename="../../../scribus/guidemanager.cpp" line="251"/>
        <source>Delete Guides from &amp;All Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="16"/>
        <location filename="../../../scribus/guidemanager.cpp" line="223"/>
        <source>Guide Manager</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="253"/>
        <source>Add a new horizontal guide</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="254"/>
        <source>Delete the selected horizontal guide</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="255"/>
        <source>Add a new vertical guide</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="256"/>
        <source>Delete the selected vertical guide</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="257"/>
        <source>Lock the guides</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="258"/>
        <source>Apply to all pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="259"/>
        <source>Number of horizontal guides to create</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="260"/>
        <source>Number of vertical guides to create</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="261"/>
        <source>Create rows with guides, with an additional gap between the rows</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="262"/>
        <source>Create columns with guides, with an additional gap between the columns</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="263"/>
        <source>Create the selected number of horizontal guides relative to the current page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="264"/>
        <source>Create the selected number of horizontal guides relative to the current page&apos;s margins</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="265"/>
        <source>Create the selected number of horizontal guides relative to the current selection of items</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="266"/>
        <source>Create the selected number of vertical guides relative to the current page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="267"/>
        <source>Create the selected number of vertical guides relative to the current page&apos;s margins</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="268"/>
        <source>Create the selected number of vertical guides relative to the current selection of items</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="269"/>
        <source>Apply the shown guides to all pages in the document</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="270"/>
        <source>Delete all guides shown on the current page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.cpp" line="271"/>
        <source>Delete all guides from all pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/guidemanager.ui" line="186"/>
        <location filename="../../../scribus/guidemanager.ui" line="273"/>
        <location filename="../../../scribus/guidemanager.cpp" line="241"/>
        <location filename="../../../scribus/guidemanager.cpp" line="242"/>
        <source>Refer to</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>GuideManagerBase</name>
    <message>
        <source>Manage Guides</source>
        <translation type="obsolete">Kılavuz Yönetimi</translation>
    </message>
    <message>
        <source>Guide</source>
        <translation type="obsolete">Kılavuz</translation>
    </message>
    <message>
        <source>&amp;Add</source>
        <translation type="obsolete">&amp;Ekle</translation>
    </message>
    <message>
        <source>Alt+A</source>
        <translation type="obsolete">Alt+A</translation>
    </message>
    <message>
        <source>D&amp;elete</source>
        <translation type="obsolete">&amp;Sil</translation>
    </message>
    <message>
        <source>Alt+E</source>
        <translation type="obsolete">Alt+E</translation>
    </message>
    <message>
        <source>A&amp;dd</source>
        <translation type="obsolete">E&amp;kle</translation>
    </message>
    <message>
        <source>Alt+D</source>
        <translation type="obsolete">Alt+D</translation>
    </message>
    <message>
        <source>De&amp;lete</source>
        <translation type="obsolete">&amp;Sil</translation>
    </message>
    <message>
        <source>Alt+L</source>
        <translation type="obsolete">Alt+L</translation>
    </message>
    <message>
        <source>&amp;Lock Guides</source>
        <translation type="obsolete">Kılavuzları &amp;kilitle</translation>
    </message>
    <message>
        <source>&amp;Page</source>
        <translation type="obsolete">S&amp;ayfa</translation>
    </message>
    <message>
        <source>Alt+P</source>
        <translation type="obsolete">Alt+P</translation>
    </message>
</context>
<context>
    <name>HelpBrowser</name>
    <message>
        <source>Sorry, no manual available! Please see: http://docs.scribus.net for updated docs
and www.scribus.net for downloads.</source>
        <translation type="obsolete">Üzgünüz; kullanım kılavuzu yok! Güncel dokümanlar için www.pozitifpc.com
adresini ziyaret edin.</translation>
    </message>
    <message>
        <source>Contents</source>
        <translation type="obsolete">İçerik</translation>
    </message>
    <message>
        <source>Link</source>
        <translation type="obsolete">Link</translation>
    </message>
    <message>
        <location filename="../../../scribus/helpbrowser.cpp" line="286"/>
        <source>Scribus Online Help</source>
        <translation>Scribus Çevrimiçi Yardım</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="31"/>
        <source>&amp;Contents</source>
        <translation>&amp;İçerik</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="60"/>
        <source>&amp;Search</source>
        <translation>&amp;Ara</translation>
    </message>
    <message>
        <source>unknown</source>
        <translation type="obsolete">bilinmiyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/helpbrowser.cpp" line="377"/>
        <source>Find</source>
        <translation>Bul</translation>
    </message>
    <message>
        <location filename="../../../scribus/helpbrowser.cpp" line="377"/>
        <source>Search Term:</source>
        <translation>Terimi Ara:</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="45"/>
        <source>Se&amp;arch</source>
        <translation>&amp;Ara</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="96"/>
        <source>&amp;New</source>
        <translation>Y&amp;eni</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="103"/>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="178"/>
        <location filename="../../../scribus/helpbrowser.cpp" line="298"/>
        <source>&amp;Delete</source>
        <translation>&amp;Sil</translation>
    </message>
    <message>
        <source>De&amp;lete All</source>
        <translation type="obsolete">Tü&amp;münü Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="79"/>
        <source>Book&amp;marks</source>
        <translation>&amp;Yer imleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="148"/>
        <location filename="../../../scribus/helpbrowser.cpp" line="292"/>
        <source>&amp;Print...</source>
        <translation>&amp;Yazdır...</translation>
    </message>
    <message>
        <source>E&amp;xit</source>
        <translation type="obsolete">Çı&amp;k</translation>
    </message>
    <message>
        <source>Searching is case unsensitive</source>
        <translation type="obsolete">Aramada küçük-büyük harf ayrımı gözetilmiyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/helpbrowser.cpp" line="409"/>
        <source>New Bookmark</source>
        <translation>Yeni yer imi</translation>
    </message>
    <message>
        <location filename="../../../scribus/helpbrowser.cpp" line="409"/>
        <source>New Bookmark&apos;s Title:</source>
        <translation>Yeni Yer İminin Başlığı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/helpbrowser.cpp" line="288"/>
        <source>&amp;File</source>
        <translation>&amp;Dosya</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="158"/>
        <location filename="../../../scribus/helpbrowser.cpp" line="294"/>
        <source>&amp;Find...</source>
        <translation>&amp;Bul...</translation>
    </message>
    <message>
        <location filename="../../../scribus/helpbrowser.cpp" line="295"/>
        <source>Find &amp;Next</source>
        <translation>So&amp;nrakini Bul</translation>
    </message>
    <message>
        <location filename="../../../scribus/helpbrowser.cpp" line="296"/>
        <source>Find &amp;Previous</source>
        <translation>Ön&amp;cekini Bul</translation>
    </message>
    <message>
        <location filename="../../../scribus/helpbrowser.cpp" line="289"/>
        <source>&amp;Edit</source>
        <translation>Düzen&amp;le</translation>
    </message>
    <message>
        <location filename="../../../scribus/helpbrowser.cpp" line="297"/>
        <source>&amp;Add Bookmark</source>
        <translation>Yer imi &amp;Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="110"/>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="183"/>
        <location filename="../../../scribus/helpbrowser.cpp" line="299"/>
        <source>D&amp;elete All</source>
        <translation>Tü&amp;münü Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/helpbrowser.cpp" line="290"/>
        <source>&amp;Bookmarks</source>
        <translation>&amp;Yer imleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="13"/>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="137"/>
        <source>Scribus Help</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="53"/>
        <source>Searching is case insensitive</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="70"/>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="86"/>
        <source>1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="153"/>
        <source>&amp;Exit</source>
        <translation type="unfinished">&amp;Exit</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="163"/>
        <source>Find &amp;Next...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="168"/>
        <source>Find &amp;Previous...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/helpbrowser.ui" line="173"/>
        <source>&amp;Add</source>
        <translation type="unfinished">&amp;Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/helpbrowser.cpp" line="293"/>
        <source>&amp;Quit</source>
        <translation type="unfinished">Çı&amp;k</translation>
    </message>
    <message>
        <location filename="../../../scribus/helpbrowser.cpp" line="718"/>
        <source>&lt;h2&gt;&lt;p&gt;Sorry, no manual is installed!&lt;/p&gt;&lt;p&gt;Please see:&lt;/p&gt;&lt;ul&gt;&lt;li&gt;http://docs.scribus.net for updated documentation&lt;/li&gt;&lt;li&gt;http://www.scribus.net for downloads&lt;/li&gt;&lt;/ul&gt;&lt;/h2&gt;</source>
        <comment>HTML message for no documentation available to show</comment>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>HelpBrowser2</name>
    <message>
        <source>&amp;Contents</source>
        <translation type="obsolete">&amp;İçerik</translation>
    </message>
    <message>
        <source>Se&amp;arch</source>
        <translation type="obsolete">&amp;Ara</translation>
    </message>
    <message>
        <source>&amp;Search</source>
        <translation type="obsolete">&amp;Ara</translation>
    </message>
    <message>
        <source>Book&amp;marks</source>
        <translation type="obsolete">&amp;Yer imleri</translation>
    </message>
</context>
<context>
    <name>HunspellDialog</name>
    <message>
        <location filename="../../../scribus/plugins/tools/hunspellcheck/hunspelldialog.cpp" line="80"/>
        <source>Spelling check complete</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>HunspellDialogBase</name>
    <message>
        <location filename="../../../scribus/plugins/tools/hunspellcheck/hunspelldialogbase.ui" line="14"/>
        <source>Check Spelling</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/hunspellcheck/hunspelldialogbase.ui" line="22"/>
        <source>Text Language:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/hunspellcheck/hunspelldialogbase.ui" line="47"/>
        <source>Not in dictionary</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/hunspellcheck/hunspelldialogbase.ui" line="61"/>
        <source>Ignore Once</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/hunspellcheck/hunspelldialogbase.ui" line="68"/>
        <source>Ignore All</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/hunspellcheck/hunspelldialogbase.ui" line="92"/>
        <source>Suggestions</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/hunspellcheck/hunspelldialogbase.ui" line="106"/>
        <source>Change</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/hunspellcheck/hunspelldialogbase.ui" line="113"/>
        <source>Change All</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>HunspellPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/tools/hunspellcheck/hunspellplugin.cpp" line="33"/>
        <source>Check Spelling...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/hunspellcheck/hunspellplugin.cpp" line="64"/>
        <source>Hunspell-based spell checker</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/hunspellcheck/hunspellplugin.cpp" line="65"/>
        <source>Spell Checker based on the Hunspell libraries</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>HyAsk</name>
    <message>
        <location filename="../../../scribus/hyask.cpp" line="48"/>
        <source>Possible Hyphenation</source>
        <translation>Muhtemel Tireleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/hyask.cpp" line="68"/>
        <source>Accept</source>
        <translation>Kabul Et</translation>
    </message>
    <message>
        <location filename="../../../scribus/hyask.cpp" line="89"/>
        <source>Skip</source>
        <translation>Atla</translation>
    </message>
    <message>
        <location filename="../../../scribus/hyask.cpp" line="107"/>
        <source>Cancel</source>
        <translation>İptal</translation>
    </message>
    <message>
        <location filename="../../../scribus/hyask.cpp" line="77"/>
        <source>Add to the
Exception List</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hyask.cpp" line="97"/>
        <source>Add to the
Ignore List</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>HySettings</name>
    <message>
        <source>Length of the smallest word to be hyphenated.</source>
        <translation type="obsolete">Tirelenebilecek en küçük kelimenin uzunluğu.</translation>
    </message>
    <message>
        <source>Maximum number of Hyphenations following each other.
A value of 0 means unlimited hyphenations.</source>
        <translation type="obsolete">Birbirini takip eden maksimum tireleme sayısı.
Limitsiz için 0 verin.</translation>
    </message>
    <message>
        <source>&amp;Language:</source>
        <translation type="obsolete">&amp;Dil:</translation>
    </message>
    <message>
        <source>&amp;Smallest Word:</source>
        <translation type="obsolete">&amp;En Küçük Kelime:</translation>
    </message>
    <message>
        <source>&amp;Hyphenation Suggestions</source>
        <translation type="obsolete">&amp;Tireleme Önerileri</translation>
    </message>
    <message>
        <source>Hyphenate Text Automatically &amp;During Typing</source>
        <translation type="obsolete">Metni Yazarken Otomatik Olarak &amp;Tirele</translation>
    </message>
    <message>
        <source>A dialog box showing all possible hyphens for each word will show up when you use the Extras, Hyphenate Text option.</source>
        <translation type="obsolete">A dialog box showing all possible hyphens for each word will show up when you use the Extras, Hyphenate Text option.</translation>
    </message>
    <message>
        <source>Enables automatic hyphenation of your text while typing.</source>
        <translation type="obsolete">Metin yazarken otomatik tirelenmesini sağlar.</translation>
    </message>
    <message>
        <source>Consecutive Hyphenations &amp;Allowed:</source>
        <translation type="obsolete">Arka &amp;arkaya izin verilen tirelemeler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettings.cpp" line="91"/>
        <location filename="../../../scribus/hysettings.cpp" line="103"/>
        <source>Ignore List</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettings.cpp" line="91"/>
        <location filename="../../../scribus/hysettings.cpp" line="132"/>
        <source>Add a new Entry</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettings.cpp" line="103"/>
        <location filename="../../../scribus/hysettings.cpp" line="144"/>
        <source>Edit Entry</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettings.cpp" line="132"/>
        <location filename="../../../scribus/hysettings.cpp" line="144"/>
        <source>Exception List</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettings.cpp" line="253"/>
        <location filename="../../../scribus/hysettings.cpp" line="413"/>
        <source>Language</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettings.cpp" line="253"/>
        <location filename="../../../scribus/hysettings.cpp" line="413"/>
        <source>Code</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettings.cpp" line="253"/>
        <source>Location</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettings.cpp" line="413"/>
        <source>Installed</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettings.cpp" line="413"/>
        <source>Download</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ImageInfoDialog</name>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="23"/>
        <source>Image Info</source>
        <translation>Resim Bilgisi</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="30"/>
        <source>General Info</source>
        <translation>Genel Bilgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="34"/>
        <source>Date / Time:</source>
        <translation>Tarih / Saat:</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="38"/>
        <source>Has Embedded Profile:</source>
        <translation>Gömülü profili var mı:</translation>
    </message>
    <message>
        <source>Yes</source>
        <translation type="obsolete">Evet</translation>
    </message>
    <message>
        <source>No</source>
        <translation type="obsolete">Hayır</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="46"/>
        <source>Profile Name:</source>
        <translation>Profil Adı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="50"/>
        <source>Has Embedded Paths:</source>
        <translation>Gömülü dosya yolu varmı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="58"/>
        <source>Has Layers:</source>
        <translation>Katman varmı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="69"/>
        <source>EXIF Info</source>
        <translation>EXIF Bilgisi</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="84"/>
        <source>Artist:</source>
        <translation>Sanatçı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="126"/>
        <source>Comment:</source>
        <translation>Yorum:</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="127"/>
        <source>User Comment:</source>
        <translation>Kullanıcı Yorumu:</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="128"/>
        <source>Camera Model:</source>
        <translation>Kamera Modeli:</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="129"/>
        <source>Camera Manufacturer:</source>
        <translation>Kamera Üreticisi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="135"/>
        <source>Description:</source>
        <translation>Tanım:</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="136"/>
        <source>Copyright:</source>
        <translation>Yayın Hakkı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="137"/>
        <source>Scanner Model:</source>
        <translation>Tarayıcı Modeli:</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="138"/>
        <source>Scanner Manufacturer:</source>
        <translation>Tarayıcı Üreticisi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="130"/>
        <source>Exposure time</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="131"/>
        <source>Aperture:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/imageinfodialog.cpp" line="132"/>
        <source>ISO equiv.:</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ImportAIPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/import/ai/importaiplugin.cpp" line="58"/>
        <source>Import AI...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ai/importaiplugin.cpp" line="79"/>
        <source>Imports Illustrator Files</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ai/importaiplugin.cpp" line="80"/>
        <source>Imports most Illustrator files into the current document,
converting their vector data into Scribus objects.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ai/importaiplugin.cpp" line="162"/>
        <source>The file could not be imported</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ImportCvgPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/import/cvg/importcvgplugin.cpp" line="58"/>
        <source>Import Cvg...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/cvg/importcvgplugin.cpp" line="79"/>
        <source>Imports Cvg Files</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/cvg/importcvgplugin.cpp" line="80"/>
        <source>Imports most Cvg files into the current document,
converting their vector data into Scribus objects.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/cvg/importcvgplugin.cpp" line="126"/>
        <source>All Supported Formats</source>
        <translation type="unfinished">Desteklenen tüm dosya türleri</translation>
    </message>
</context>
<context>
    <name>ImportDialog</name>
    <message>
        <source>Choose Styles</source>
        <translation type="obsolete">Stilleri Seç</translation>
    </message>
    <message>
        <source>Available Styles</source>
        <translation type="obsolete">Mevcut Stiller</translation>
    </message>
</context>
<context>
    <name>ImportPSPlugin</name>
    <message>
        <source>Import &amp;EPS/PS...</source>
        <translation type="obsolete">&amp;EPS/PS al...</translation>
    </message>
    <message>
        <source>Imports EPS Files</source>
        <translation type="obsolete">EPS dosyalarını alır</translation>
    </message>
    <message>
        <source>Imports most EPS files into the current document,
converting their vector data into Scribus objects.</source>
        <translation type="obsolete">Mevcut belgeye EPS dosyalarını alır ve vektör 
bilgilerini Scribus nesnesine dönüştürür.</translation>
    </message>
    <message>
        <source>PostScript</source>
        <translation type="obsolete">PostScript</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ps/importpsplugin.cpp" line="57"/>
        <source>Import PostScript...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ps/importpsplugin.cpp" line="78"/>
        <source>Imports PostScript Files</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ps/importpsplugin.cpp" line="79"/>
        <source>Imports most PostScript files into the current document,
converting their vector data into Scribus objects.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ImportPctPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/import/pct/importpctplugin.cpp" line="51"/>
        <source>Import Pict...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/pct/importpctplugin.cpp" line="72"/>
        <source>Imports Pict Files</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/pct/importpctplugin.cpp" line="73"/>
        <source>Imports most Mac Pict files into the current document,
converting their vector data into Scribus objects.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/pct/importpctplugin.cpp" line="119"/>
        <source>All Supported Formats</source>
        <translation type="unfinished">Desteklenen tüm dosya türleri</translation>
    </message>
</context>
<context>
    <name>ImportXfigPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/import/xfig/importxfigplugin.cpp" line="58"/>
        <source>Import Xfig...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/xfig/importxfigplugin.cpp" line="79"/>
        <source>Imports Xfig Files</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/xfig/importxfigplugin.cpp" line="80"/>
        <source>Imports most Xfig files into the current document,
converting their vector data into Scribus objects.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/xfig/importxfigplugin.cpp" line="126"/>
        <source>All Supported Formats</source>
        <translation type="unfinished">Desteklenen tüm dosya türleri</translation>
    </message>
</context>
<context>
    <name>Imposition</name>
    <message>
        <location filename="../../../scribus/plugins/imposition/imposition.cpp" line="72"/>
        <source>Portrait</source>
        <translation type="unfinished">Dikey</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/imposition.cpp" line="73"/>
        <source>Landscape</source>
        <translation type="unfinished">Yatay</translation>
    </message>
</context>
<context>
    <name>ImpositionBase</name>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="19"/>
        <source>Imposition</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="44"/>
        <source>Gri&amp;d</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="102"/>
        <source>Copies</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="157"/>
        <source>Do&amp;uble sided</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="160"/>
        <source>Alt+U</source>
        <translation type="unfinished">Alt+U</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="186"/>
        <source>Front side</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="218"/>
        <source>Back side</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="253"/>
        <source>&amp;Booklet</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="285"/>
        <source>Pages per sheet</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="296"/>
        <source>4</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="301"/>
        <source>8</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="306"/>
        <source>16</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="318"/>
        <source>Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="325"/>
        <source>&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
p, li { white-space: pre-wrap; }
&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:&apos;Sans Serif&apos;; font-size:9pt; font-weight:400; font-style:normal;&quot;&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Separate pages with a comma, ranges with a hyphen, e.g. 1,4,9-11 to get pages 1,4,9,10,11.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="339"/>
        <source>Fold</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="349"/>
        <source>Front page from</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="376"/>
        <source>Double sided</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="387"/>
        <source>Back page from</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="415"/>
        <source>Destination page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="455"/>
        <source>Size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="487"/>
        <source>Orientation</source>
        <translation type="unfinished">Yerleşim</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="519"/>
        <source>Width</source>
        <translation type="unfinished">En</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="564"/>
        <source>Height</source>
        <translation type="unfinished">Boy</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="620"/>
        <source>Preview</source>
        <translation type="unfinished">Önizleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="627"/>
        <source>Refresh preview</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="671"/>
        <source>&amp;OK</source>
        <translation type="unfinished">&amp;Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="674"/>
        <source>Alt+G</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="681"/>
        <source>&amp;Cancel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionbase.ui" line="684"/>
        <source>Alt+C</source>
        <translation type="unfinished">Alt+C</translation>
    </message>
</context>
<context>
    <name>ImpositionPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionplugin.cpp" line="37"/>
        <source>&amp;Imposition...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionplugin.cpp" line="69"/>
        <source>Imposition dialog</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionplugin.cpp" line="70"/>
        <source>Imposition on grids, booklets and folds</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>InsPage</name>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="30"/>
        <source>Insert Page</source>
        <translation>Sayfa Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="50"/>
        <source>before Page</source>
        <translation>Sayfadan önce</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="51"/>
        <source>after Page</source>
        <translation>Sayfadan sonra</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="52"/>
        <source>at End</source>
        <translation>Sona</translation>
    </message>
    <message>
        <source>Normal</source>
        <translation type="obsolete">Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="46"/>
        <source>Page(s)</source>
        <translation>Sayfa(lar)</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="42"/>
        <location filename="../../../scribus/inspage.cpp" line="63"/>
        <source>&amp;Insert</source>
        <translation>&amp;Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="79"/>
        <source>&amp;Master Page:</source>
        <translation>&amp;Mastar Sayfa:</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="219"/>
        <source>Page Size</source>
        <translation>Sayfa Boyutu</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="223"/>
        <source>&amp;Size:</source>
        <translation>&amp;Ebat:</translation>
    </message>
    <message>
        <source>Custom</source>
        <translation type="obsolete">Özel</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="238"/>
        <source>Orie&amp;ntation:</source>
        <translation>&amp;Yerleşim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="241"/>
        <source>Portrait</source>
        <translation>Dikey</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="242"/>
        <source>Landscape</source>
        <translation>Yatay</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="247"/>
        <source>&amp;Width:</source>
        <translation>E&amp;n:</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="254"/>
        <source>&amp;Height:</source>
        <translation>&amp;Boy:</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="259"/>
        <source>Move Objects with their Page</source>
        <translation>Nesneleri sayfasıyla birlikte taşı</translation>
    </message>
    <message>
        <location filename="../../../scribus/inspage.cpp" line="67"/>
        <source>Master Pages</source>
        <translation>Mastar Sayfalar</translation>
    </message>
</context>
<context>
    <name>InsertAFrame</name>
    <message>
        <location filename="../../../scribus/insertaframe.cpp" line="237"/>
        <source>Open</source>
        <translation type="unfinished">Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="24"/>
        <source>T&amp;ype</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="44"/>
        <source>&amp;Text Frame</source>
        <translation type="unfinished">&amp;Metin Çerçevesi</translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="54"/>
        <source>&amp;Image Frame</source>
        <translation type="unfinished">Resim Çe&amp;rçevesi</translation>
    </message>
    <message>
        <source>T&amp;able</source>
        <translation type="obsolete">T&amp;ablo</translation>
    </message>
    <message>
        <source>Alt+A</source>
        <translation type="obsolete">Alt+A</translation>
    </message>
    <message>
        <source>Polygon</source>
        <translation type="obsolete">Çokgen</translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="87"/>
        <source>&amp;Location</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="96"/>
        <source>Page Placement</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="105"/>
        <source>Current Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="115"/>
        <source>All Pages</source>
        <translation type="unfinished">Tüm sayfalar</translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="144"/>
        <location filename="../../../scribus/insertaframe.ui" line="568"/>
        <location filename="../../../scribus/insertaframe.ui" line="610"/>
        <source>...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="172"/>
        <source>Position of Frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="181"/>
        <source>Top Left of Margins</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="191"/>
        <source>Top Left of Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="201"/>
        <source>Top Left of Bleed</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="245"/>
        <source>X:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="238"/>
        <source>Y:</source>
        <translation type="unfinished">Y:</translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="14"/>
        <source>Insert Frames</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="300"/>
        <source>&amp;Size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="318"/>
        <source>Same as the Page Margins</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="328"/>
        <source>Same as the Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="338"/>
        <source>Same as the Bleed</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="348"/>
        <source>Same as the Imported Image</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="385"/>
        <source>Height:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="392"/>
        <source>Width:</source>
        <translation type="unfinished">En:</translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="447"/>
        <source>&amp;Options</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="596"/>
        <source>Source Image:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="636"/>
        <source>There are no options for this type of frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="488"/>
        <source>Columns:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="474"/>
        <source>Gap:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="554"/>
        <source>Source Document:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>&amp;OK</source>
        <translation type="obsolete">&amp;Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="125"/>
        <source>Range of Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="211"/>
        <source>Custom Position</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="358"/>
        <source>Custom Size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.cpp" line="133"/>
        <source>&lt;b&gt;Insert a text frame&lt;/b&gt;&lt;br/&gt;A text frame allows you to enter any text in a defined position with the formatting you choose. You may select a text file on the Options tab if you want to immediately import a document into the frame. Scribus supports a wide variety of importable formats from plain text to OpenOffice.org.&lt;br/&gt;Your text may be edited and formatted on the page directly or in the Story Editor.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.cpp" line="137"/>
        <source>&lt;b&gt;Insert an image frame&lt;/b&gt;&lt;br/&gt;An image frame allows you to place an image onto your page. Various image effects may be applied or combined including transparencies, brightness, and posterisation that allow retouching or the creation of interesting visual results. Image scaling and shaping is performed with the Properties Palette.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="41"/>
        <source>Insert one or more text frames</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="51"/>
        <source>Insert one or more image frames</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="93"/>
        <source>Place the new frames on the current page, on all pages or on a selected range</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="102"/>
        <source>Insert the frame on the current page only</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="112"/>
        <source>Insert one frame for each existing page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="122"/>
        <source>Insert frames on a range of pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="134"/>
        <source>Range of pages to insert frames on</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="169"/>
        <source>Position the new frame in relation to the page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="178"/>
        <source>Insert the frame at the top left of the page margins</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="188"/>
        <source>Insert the frame at the top left of the page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="198"/>
        <source>Insert the frame at the top left of the page bleed</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="208"/>
        <source>Insert the frame at a custom position on the page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="252"/>
        <source>Top position of the inserted frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="259"/>
        <source>Left position of the inserted frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="315"/>
        <source>Insert the new frame with the same dimensions as the page margins</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="325"/>
        <source>Insert the new frame with the same dimensions as the page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="335"/>
        <source>Insert the new frame with the same dimensions as the bleed area outside the boundary of the page itself</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="345"/>
        <source>Insert the new frame with the same dimensions as the image that will be imported</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="355"/>
        <source>Insert the new frame with a custom size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="399"/>
        <source>Width of the inserted frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="406"/>
        <source>Height of the inserted frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="464"/>
        <source>Number of columns for the inserted text frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="481"/>
        <source>Distance between the columns in the text frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="512"/>
        <source>Link the inserted text frames together to form a chain of frames</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="515"/>
        <source>Link Inserted Frames</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="524"/>
        <source>Link the first inserted frame to a preexisting text frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="527"/>
        <source>Link to Existing Frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="543"/>
        <source>Name of existing text frame to link to</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="561"/>
        <source>Source document to load into the text frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/insertaframe.ui" line="603"/>
        <source>Source image to load into the inserted image frame</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>InsertAFrameBase</name>
    <message>
        <source>&amp;Text Frame</source>
        <translation type="obsolete">&amp;Metin Çerçevesi</translation>
    </message>
    <message>
        <source>&amp;Image Frame</source>
        <translation type="obsolete">Resim Çe&amp;rçevesi</translation>
    </message>
    <message>
        <source>T&amp;able</source>
        <translation type="obsolete">T&amp;ablo</translation>
    </message>
    <message>
        <source>Alt+A</source>
        <translation type="obsolete">Alt+A</translation>
    </message>
    <message>
        <source>Polygon</source>
        <translation type="obsolete">Çokgen</translation>
    </message>
    <message>
        <source>Y:</source>
        <translation type="obsolete">Y:</translation>
    </message>
    <message>
        <source>Width:</source>
        <translation type="obsolete">En:</translation>
    </message>
    <message>
        <source>&amp;OK</source>
        <translation type="obsolete">&amp;Tamam</translation>
    </message>
    <message>
        <source>All Pages</source>
        <translation type="obsolete">Tüm sayfalar</translation>
    </message>
</context>
<context>
    <name>InsertTable</name>
    <message>
        <location filename="../../../scribus/insertTable.cpp" line="15"/>
        <source>Insert Table</source>
        <translation>Tablo Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/insertTable.cpp" line="28"/>
        <source>Number of rows:</source>
        <translation>Satır sayısı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/insertTable.cpp" line="29"/>
        <source>Number of columns:</source>
        <translation>Sütun sayısı:</translation>
    </message>
</context>
<context>
    <name>JavaDocs</name>
    <message>
        <location filename="../../../scribus/javadocs.cpp" line="80"/>
        <location filename="../../../scribus/javadocs.cpp" line="81"/>
        <source>New Script</source>
        <translation>Yeni JavaScript</translation>
    </message>
    <message>
        <location filename="../../../scribus/javadocs.cpp" line="29"/>
        <source>Edit JavaScripts</source>
        <translation>JavaScriptleri Düzenle</translation>
    </message>
    <message>
        <location filename="../../../scribus/javadocs.cpp" line="48"/>
        <source>&amp;Edit...</source>
        <translation>&amp;Düzenle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/javadocs.cpp" line="51"/>
        <source>&amp;Add...</source>
        <translation>E&amp;kle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/javadocs.cpp" line="54"/>
        <source>&amp;Delete</source>
        <translation>&amp;Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/javadocs.cpp" line="59"/>
        <source>&amp;Close</source>
        <translation>&amp;Kapat</translation>
    </message>
    <message>
        <location filename="../../../scribus/javadocs.cpp" line="80"/>
        <source>&amp;New Script:</source>
        <translation>Yeni Java&amp;Script:</translation>
    </message>
    <message>
        <source>&amp;No</source>
        <translation type="obsolete">&amp;Hayır</translation>
    </message>
    <message>
        <source>&amp;Yes</source>
        <translation type="obsolete">&amp;Evet</translation>
    </message>
    <message>
        <location filename="../../../scribus/javadocs.cpp" line="123"/>
        <source>Do you really want to delete this script?</source>
        <translation>Bu JavaScripti gerçekten silmek istiyor musunuz?</translation>
    </message>
    <message>
        <location filename="../../../scribus/javadocs.cpp" line="74"/>
        <source>Adds a new Script, predefines a function with the same name. If you want to use this script as an &quot;Open Action&quot; script be sure not to change the name of the function.</source>
        <translation>Adds a new Script, predefines a function with the same name. If you want to use this script as an &quot;Open Action&quot; script be sure not to change the name of the function.</translation>
    </message>
</context>
<context>
    <name>KeyManager</name>
    <message>
        <source>Action</source>
        <translation type="obsolete">İşlem</translation>
    </message>
    <message>
        <source>Current Key</source>
        <translation type="obsolete">Geçerli Tuş</translation>
    </message>
    <message>
        <source>Select a Key for this Action</source>
        <translation type="obsolete">Bu işlem için bir tuş seçin</translation>
    </message>
    <message>
        <source>ALT+SHIFT+T</source>
        <translation type="obsolete">ALT+SHIFT+T</translation>
    </message>
    <message>
        <source>Alt</source>
        <translation type="obsolete">Alt</translation>
    </message>
    <message>
        <source>Ctrl</source>
        <translation type="obsolete">Ctrl</translation>
    </message>
    <message>
        <source>Shift</source>
        <translation type="obsolete">Shift</translation>
    </message>
    <message>
        <source>Shift+</source>
        <translation type="obsolete">Shift+</translation>
    </message>
    <message>
        <source>Alt+</source>
        <translation type="obsolete">Alt+</translation>
    </message>
    <message>
        <source>Ctrl+</source>
        <translation type="obsolete">Ctrl+</translation>
    </message>
    <message>
        <source>&amp;No Key</source>
        <translation type="obsolete">T&amp;uş Yok</translation>
    </message>
    <message>
        <source>&amp;User Defined Key</source>
        <translation type="obsolete">&amp;Kullanıcı Tanımlı Tuş</translation>
    </message>
    <message>
        <source>Set &amp;Key</source>
        <translation type="obsolete">Tuş A&amp;ta</translation>
    </message>
    <message>
        <source>Loadable Shortcut Sets</source>
        <translation type="obsolete">Yüklenebilir Kısayol Kümeleri</translation>
    </message>
    <message>
        <source>&amp;Load</source>
        <translation type="obsolete">&amp;Yükle</translation>
    </message>
    <message>
        <source>&amp;Import...</source>
        <translation type="obsolete">İth&amp;al et...</translation>
    </message>
    <message>
        <source>&amp;Export...</source>
        <translation type="obsolete">İ&amp;hraç et...</translation>
    </message>
    <message>
        <source>&amp;Reset</source>
        <translation type="obsolete">&amp;Sıfırla</translation>
    </message>
    <message>
        <source>Keyboard shortcut sets available to load</source>
        <translation type="obsolete">Yüklenebilecek klavye kısayolu kümeleri</translation>
    </message>
    <message>
        <source>Load the selected shortcut set</source>
        <translation type="obsolete">Seçili kısayol kümesini yükle</translation>
    </message>
    <message>
        <source>Import a shortcut set into the current configuration</source>
        <translation type="obsolete">Mevcut yapılandırmaya kısayol kümesi ekle</translation>
    </message>
    <message>
        <source>Export the current shortcuts into an importable file</source>
        <translation type="obsolete">Şu anki kısayolları alınabilir bir dosyaya yolla</translation>
    </message>
    <message>
        <source>Reload the default Scribus shortcuts</source>
        <translation type="obsolete">Scribus&apos;un öntanımlı kısayollarını geri yükle</translation>
    </message>
    <message>
        <source>Key Set XML Files (*.ksxml)</source>
        <translation type="obsolete">Kısayol XML dosyaları (*.ksxml)</translation>
    </message>
    <message>
        <source>This key sequence is already in use</source>
        <translation type="obsolete">Bu tuş sırası zaten kullanımda</translation>
    </message>
    <message>
        <source>Meta</source>
        <translation type="obsolete">Meta</translation>
    </message>
    <message>
        <source>Meta+</source>
        <translation type="obsolete">Meta+</translation>
    </message>
</context>
<context>
    <name>LatexEditor</name>
    <message>
        <location filename="../../../scribus/latexeditor.ui" line="33"/>
        <source>Enter Code:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.ui" line="45"/>
        <source>Update</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.ui" line="52"/>
        <source>Revert</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.ui" line="123"/>
        <source>Program Messages:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.ui" line="174"/>
        <source>Status: Unknown</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.ui" line="158"/>
        <source>Kill Program</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.ui" line="66"/>
        <source>Options</source>
        <translation type="unfinished">Seçenekler</translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.ui" line="74"/>
        <source>Resolution:</source>
        <translation type="unfinished">Çözünürlük:</translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.ui" line="81"/>
        <source>Automatic</source>
        <translation type="unfinished">Otomatik</translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.ui" line="84"/>
        <source> DPI</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.ui" line="97"/>
        <source>Program:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.ui" line="109"/>
        <source>Use Preamble</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="338"/>
        <source>Status: </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="165"/>
        <location filename="../../../scribus/latexeditor.cpp" line="206"/>
        <location filename="../../../scribus/latexeditor.cpp" line="223"/>
        <location filename="../../../scribus/latexeditor.cpp" line="342"/>
        <source>Error</source>
        <translation type="unfinished">Hata</translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="344"/>
        <source>Finished</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="347"/>
        <source>Running</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="528"/>
        <source>No item selected!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.ui" line="14"/>
        <source>Editor</source>
        <translation type="unfinished">Editor</translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="122"/>
        <location filename="../../../scribus/latexeditor.cpp" line="130"/>
        <source>Information</source>
        <translation type="unfinished">Bilgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="123"/>
        <source>An editor for this frame is already running!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="150"/>
        <source>Editor running!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="131"/>
        <source>Please specify an editor in the preferences!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="166"/>
        <source>Could not create a temporary file to run the external editor!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.ui" line="148"/>
        <location filename="../../../scribus/latexeditor.cpp" line="202"/>
        <location filename="../../../scribus/latexeditor.cpp" line="222"/>
        <source>Run External Editor...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="207"/>
        <source>Running the editor failed with exitcode %d!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="224"/>
        <source>Running the editor &quot;%1&quot; failed!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="529"/>
        <source>Insert Symbol</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>LayerPalette</name>
    <message>
        <location filename="../../../scribus/layers.cpp" line="600"/>
        <source>Layers</source>
        <translation>Katmanlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="296"/>
        <location filename="../../../scribus/layers.cpp" line="631"/>
        <source>Delete Layer</source>
        <translation>Katmanı Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="72"/>
        <location filename="../../../scribus/layers.cpp" line="621"/>
        <source>Name</source>
        <translation>İsim</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="297"/>
        <source>Do you want to delete all objects on this layer too?</source>
        <translation>Bu katmandaki tüm nesneleride silmek ister misiniz?</translation>
    </message>
    <message>
        <source>Add a new layer</source>
        <translation type="obsolete">Yeni katman ekle</translation>
    </message>
    <message>
        <source>Delete layer</source>
        <translation type="obsolete">Katmanı sil</translation>
    </message>
    <message>
        <source>Raise layer</source>
        <translation type="obsolete">Katmanı bir seviye yukarı al</translation>
    </message>
    <message>
        <source>Lower layer</source>
        <translation type="obsolete">Katmanı bir seviye düşür</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="54"/>
        <location filename="../../../scribus/layers.cpp" line="619"/>
        <source>Opacity:</source>
        <translation type="unfinished">Opaklık:</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="60"/>
        <location filename="../../../scribus/layers.cpp" line="620"/>
        <source> %</source>
        <translation type="unfinished"> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="601"/>
        <source>Blend Mode:</source>
        <translation type="unfinished">Blend Mode:</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="603"/>
        <source>Normal</source>
        <translation type="unfinished">Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="604"/>
        <source>Darken</source>
        <translation type="unfinished">Karanlıklaştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="605"/>
        <source>Lighten</source>
        <translation type="unfinished">Aydınlat</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="606"/>
        <source>Multiply</source>
        <translation type="unfinished">Multiply</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="607"/>
        <source>Screen</source>
        <translation type="unfinished">Screen</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="608"/>
        <source>Overlay</source>
        <translation type="unfinished">Overlay</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="609"/>
        <source>Hard Light</source>
        <translation type="unfinished">Sert Işık</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="610"/>
        <source>Soft Light</source>
        <translation type="unfinished">Yumuşak Işık</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="611"/>
        <source>Difference</source>
        <translation type="unfinished">Fark</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="612"/>
        <source>Exclusion</source>
        <translation type="unfinished">Exclusion</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="613"/>
        <source>Color Dodge</source>
        <translation type="unfinished">Colour Dodge</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="614"/>
        <source>Color Burn</source>
        <translation type="unfinished">Colour Burn</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="615"/>
        <source>Hue</source>
        <translation type="unfinished">Hue</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="616"/>
        <source>Saturation</source>
        <translation type="unfinished">Doygunluk</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="617"/>
        <source>Color</source>
        <translation type="unfinished">Renk</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="618"/>
        <source>Luminosity</source>
        <translation type="unfinished">Luminosity</translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="636"/>
        <source>Color of the Layer Indicator - Each layer has a color assigned to display on the canvas when layer indicators are enabled. You can double click to edit the color. </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="637"/>
        <source>Make Layer Visible - Uncheck to hide the layer from the display </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="638"/>
        <source>Print Layer - Uncheck to disable printing. </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="639"/>
        <source>Lock or Unlock Layer - Unchecked is unlocked </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="641"/>
        <source>Outline Mode - Toggles the &apos;wireframe&apos; display of objects to speed the display of very complex objects.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="634"/>
        <source>Selects the Blendmode, works only in PDF 1.4</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="635"/>
        <source>Layer Transparency, works only in PDF 1.4 and SVG</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="629"/>
        <source>Add a New Layer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="630"/>
        <source>Duplicate the Current Layer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="632"/>
        <source>Raise Layer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="633"/>
        <source>Lower Layer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="640"/>
        <source>Make text in lower layers flow around objects - Enabling this forces text in lower layers to flow around objects of the layer for which this option has been enabled</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/layers.cpp" line="642"/>
        <source>Name of the Layer - Double click on the name of a layer to edit the name</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>LegacyMode</name>
    <message>
        <source>All Files (*)</source>
        <translation type="obsolete">Tüm dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/canvasmode_legacy.cpp" line="4997"/>
        <source>Open</source>
        <translation type="unfinished">Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/canvasmode_legacy.cpp" line="4967"/>
        <source>All Supported Formats</source>
        <translation type="unfinished">Desteklenen tüm dosya türleri</translation>
    </message>
</context>
<context>
    <name>LensDialogBase</name>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="13"/>
        <source>Optical Lens</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="98"/>
        <source>+</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="108"/>
        <source>-</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="126"/>
        <source>Lens Parameters</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>Radius:</source>
        <translation type="obsolete">Radius:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="55"/>
        <source>Add a new lens</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="58"/>
        <source>&amp;Add Lens</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="65"/>
        <source>Remove selected lens</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="68"/>
        <source>&amp;Remove Lens</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="95"/>
        <source>Zoom In</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="105"/>
        <source>Zoom Out</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="138"/>
        <source>&amp;X Pos:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="148"/>
        <source>Horizontal position of the lens</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="161"/>
        <source>&amp;Y Pos:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="171"/>
        <source>Vertical position of the lens</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="184"/>
        <source>The selected lens acts like a magnification lens</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="187"/>
        <source>&amp;Magnification Lens</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="197"/>
        <source>The selected lens acts like a fish eye lens</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="200"/>
        <source>&amp;Fish Eye Lens</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="207"/>
        <source>Ra&amp;dius:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="217"/>
        <source>Radius of the lens</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="230"/>
        <source>&amp;Strength:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lensdialogbase.ui" line="240"/>
        <source>Strength of the lens</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>LensEffectsPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lenseffects.cpp" line="66"/>
        <source>Lens Effects...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lenseffects.cpp" line="70"/>
        <source>Path Tools</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lenseffects.cpp" line="90"/>
        <source>Lens Effects</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lenseffects.cpp" line="91"/>
        <source>Apply fancy lens effects</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>LineFormate</name>
    <message>
        <source>Edit Line Styles</source>
        <translation type="obsolete">Çizgi Stillerini Düzenle</translation>
    </message>
    <message>
        <source>Copy of %1</source>
        <translation type="obsolete">%1&apos;in kopyası</translation>
    </message>
    <message>
        <source>New Style</source>
        <translation type="obsolete">Yeni Stil</translation>
    </message>
    <message>
        <source>Open</source>
        <translation type="obsolete">Aç</translation>
    </message>
    <message>
        <source>Documents (*.sla *.sla.gz *.scd *.scd.gz);;All Files (*)</source>
        <translation type="obsolete">Belgeler (*.sla *.sla.gz *.scd *.scd.gz);;Tüm dosyalar (*)</translation>
    </message>
    <message>
        <source>Documents (*.sla *.scd);;All Files (*)</source>
        <translation type="obsolete">Belgeler (*.sla *.scd);;Tüm Dosyalar (*)</translation>
    </message>
    <message>
        <source>&amp;New</source>
        <translation type="obsolete">Y&amp;eni</translation>
    </message>
    <message>
        <source>&amp;Edit</source>
        <translation type="obsolete">Düzen&amp;le</translation>
    </message>
    <message>
        <source>D&amp;uplicate</source>
        <translation type="obsolete">Ç&amp;oğalt</translation>
    </message>
    <message>
        <source>&amp;Delete</source>
        <translation type="obsolete">&amp;Sil</translation>
    </message>
    <message>
        <source>&amp;Save</source>
        <translation type="obsolete">&amp;Kaydet</translation>
    </message>
    <message>
        <source>&amp;No</source>
        <translation type="obsolete">&amp;Hayır</translation>
    </message>
    <message>
        <source>&amp;Yes</source>
        <translation type="obsolete">&amp;Evet</translation>
    </message>
    <message>
        <source>&amp;Import</source>
        <translation type="obsolete">İth&amp;al et</translation>
    </message>
    <message>
        <source>Do you really want to delete this style?</source>
        <translation type="obsolete">Bu stili gerçekten silmek istiyor musunuz?</translation>
    </message>
</context>
<context>
    <name>LineStyleWidget</name>
    <message>
        <source> pt</source>
        <translation type="obsolete"> pt</translation>
    </message>
    <message>
        <source>Flat Cap</source>
        <translation type="obsolete">Flat Cap</translation>
    </message>
    <message>
        <source>Square Cap</source>
        <translation type="obsolete">Square Cap</translation>
    </message>
    <message>
        <source>Round Cap</source>
        <translation type="obsolete">Round Cap</translation>
    </message>
    <message>
        <source>Miter Join</source>
        <translation type="obsolete">Mitre Join</translation>
    </message>
    <message>
        <source>Bevel Join</source>
        <translation type="obsolete">Bevel Join</translation>
    </message>
    <message>
        <source>Round Join</source>
        <translation type="obsolete">Round Join</translation>
    </message>
    <message>
        <source>Solid Line</source>
        <translation type="obsolete">Düz Çizgi</translation>
    </message>
    <message>
        <source>Dashed Line</source>
        <translation type="obsolete">Kesintili Çizgi</translation>
    </message>
    <message>
        <source>Dotted Line</source>
        <translation type="obsolete">Noktalı Çizgi</translation>
    </message>
    <message>
        <source>Dash Dot Line</source>
        <translation type="obsolete">Kesintili Noktalı Çizgi</translation>
    </message>
    <message>
        <source>Dash Dot Dot Line</source>
        <translation type="obsolete">Kesintili-Noktalı-Noktalı Çizgi</translation>
    </message>
</context>
<context>
    <name>LoadSavePlugin</name>
    <message>
        <location filename="../../../scribus/loadsaveplugin.cpp" line="81"/>
        <source>All Files (*)</source>
        <translation>Tüm dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/loadsaveplugin.cpp" line="93"/>
        <source>An error occured while opening file or file is damaged</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/loadsaveplugin.cpp" line="98"/>
        <source>An error occured while parsing file at line %1, column %2 :
%3</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/loadsaveplugin.cpp" line="80"/>
        <source>No File Loader Plugins Found</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>LoremManager</name>
    <message>
        <location filename="../../../scribus/loremipsum.cpp" line="152"/>
        <source>Select Lorem Ipsum</source>
        <translation>Doldurma metni seç
</translation>
    </message>
    <message>
        <location filename="../../../scribus/loremipsum.cpp" line="220"/>
        <source>Author:</source>
        <translation>Yazar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/loremipsum.cpp" line="222"/>
        <source>Get More:</source>
        <translation>Daha Fazla Bul:</translation>
    </message>
    <message>
        <location filename="../../../scribus/loremipsum.cpp" line="224"/>
        <source>XML File:</source>
        <translation>XML Dosyası:</translation>
    </message>
    <message>
        <location filename="../../../scribus/loremipsum.cpp" line="139"/>
        <location filename="../../../scribus/loremipsum.cpp" line="264"/>
        <source>Lorem Ipsum</source>
        <translation>Lorem Ipsum</translation>
    </message>
    <message>
        <location filename="../../../scribus/loremipsum.cpp" line="265"/>
        <source>Paragraphs:</source>
        <translation>Paragraflar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/loremipsum.cpp" line="268"/>
        <source>Alt+O</source>
        <translation>Alt+O</translation>
    </message>
    <message>
        <location filename="../../../scribus/loremipsum.cpp" line="270"/>
        <source>Alt+C</source>
        <translation>Alt+C</translation>
    </message>
    <message>
        <location filename="../../../scribus/loremipsum.cpp" line="271"/>
        <source>Standard Lorem Ipsum</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/loremipsum.cpp" line="266"/>
        <source>Random Paragraphs</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/loremipsum.cpp" line="272"/>
        <source>Number of paragraphs of selected sample text to insert</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/loremipsum.cpp" line="273"/>
        <source>List of languages available to insert sample text in</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>MarginDialog</name>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="109"/>
        <source>Margin Guides</source>
        <translation>Kenarlık Kılavuzları</translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="31"/>
        <source>Manage Page Properties</source>
        <translation>Sayfa Yönetimi Özellikleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="39"/>
        <source>Page Size</source>
        <translation>Sayfa Boyutu</translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="44"/>
        <source>&amp;Size:</source>
        <translation>Ö&amp;lçü:</translation>
    </message>
    <message>
        <source>Custom</source>
        <translation type="obsolete">Özel</translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="60"/>
        <source>Orie&amp;ntation:</source>
        <translation>&amp;Yerleşim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="63"/>
        <source>Portrait</source>
        <translation>Dikey</translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="64"/>
        <source>Landscape</source>
        <translation>Yatay</translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="71"/>
        <source>&amp;Width:</source>
        <translation>E&amp;n:</translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="78"/>
        <source>&amp;Height:</source>
        <translation>&amp;Boy:</translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="83"/>
        <source>Move Objects with their Page</source>
        <translation>Nesneleri sayfasıyla birlikte taşı</translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="89"/>
        <source>Type:</source>
        <translation>Tip:</translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="116"/>
        <source>Other Settings</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="121"/>
        <source>Master Page:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>Normal</source>
        <translation type="obsolete">Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="175"/>
        <source>Size of the inserted pages, either a standard or custom size.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="176"/>
        <source>Orientation of the page(s) to be inserted</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="177"/>
        <source>Width of the page(s) to be inserted</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="178"/>
        <source>Height of the page(s) to be inserted</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/margindialog.cpp" line="179"/>
        <source>When inserting a new page between others, move objects with their current pages. This is the default action.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>MarginWidget</name>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="42"/>
        <source>&amp;Bottom:</source>
        <translation>&amp;Alt:</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="44"/>
        <source>&amp;Top:</source>
        <translation>&amp;Üst:</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="46"/>
        <location filename="../../../scribus/marginwidget.cpp" line="211"/>
        <source>&amp;Right:</source>
        <translation>Sa&amp;ğ:</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="48"/>
        <location filename="../../../scribus/marginwidget.cpp" line="210"/>
        <source>&amp;Left:</source>
        <translation>&amp;Sol:</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="155"/>
        <source>Distance between the top margin guide and the edge of the page</source>
        <translation>Üst kenarlık kılavuzu ile sayfa kenarı arasındaki mesafe</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="156"/>
        <source>Distance between the bottom margin guide and the edge of the page</source>
        <translation>Alt kenarlık kılavuzu ile sayfa kenarı arasındaki mesafe</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="210"/>
        <source>&amp;Inside:</source>
        <translation>İçind&amp;e:</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="211"/>
        <source>O&amp;utside:</source>
        <translation>&amp;Dışında:</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="32"/>
        <source>Preset Layouts:</source>
        <translation>Öntanımlı Mizanpajlar:</translation>
    </message>
    <message>
        <source>Apply margin settings to all pages</source>
        <translation type="obsolete">Kenarlık ayarlarını tüm sayfalara uygula</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="89"/>
        <source>Apply the margin changes to all existing pages in the document</source>
        <translation>Kenarlık değişimini belgedeki tüm sayfalara uygula</translation>
    </message>
    <message>
        <source>Distance between the left margin guide and the edge of the page. If Facing Pages is selected, this margin space can be used to achieve the correct margins for binding</source>
        <translation type="obsolete">Distance between the left margin guide and the edge of the page. If Facing Pages is selected, this margin space can be used to achieve the correct margins for binding</translation>
    </message>
    <message>
        <source>Distance between the right margin guide and the edge of the page. If Facing Pages is selected, this margin space can be used to achieve the correct margins for binding</source>
        <translation type="obsolete">Distance between the right margin guide and the edge of the page. If Facing Pages is selected, this margin space can be used to achieve the correct margins for binding</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="101"/>
        <source>Printer Margins...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="103"/>
        <source>Import the margins for the selected page size from the available printers.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="78"/>
        <source>Apply settings to:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="81"/>
        <source>All Document Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="85"/>
        <source>All Master Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="90"/>
        <source>Apply the margin changes to all existing master pages in the document</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="107"/>
        <source>Margin Guides</source>
        <translation type="unfinished">Kenarlık Kılavuzları</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="125"/>
        <source>Top:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="130"/>
        <source>Bottom:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="142"/>
        <source>Distance for bleed from the top of the physical page</source>
        <translation type="unfinished">Distance for bleed from the top of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="143"/>
        <source>Distance for bleed from the bottom of the physical page</source>
        <translation type="unfinished">Distance for bleed from the bottom of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="144"/>
        <source>Distance for bleed from the left of the physical page</source>
        <translation type="unfinished">Distance for bleed from the left of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="145"/>
        <source>Distance for bleed from the right of the physical page</source>
        <translation type="unfinished">Distance for bleed from the right of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="151"/>
        <source>Bleeds</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="216"/>
        <source>Inside:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="217"/>
        <source>Outside:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="221"/>
        <source>Left:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="222"/>
        <source>Right:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="157"/>
        <source>Distance between the left margin guide and the edge of the page. If a double-sided, 3 or 4-fold layout is selected, this margin space can be used to achieve the correct margins for binding</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="158"/>
        <source>Distance between the right margin guide and the edge of the page. If a double-sided, 3 or 4-fold layout is selected, this margin space can be used to achieve the correct margins for binding</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>MasterPagesPalette</name>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="97"/>
        <source>Edit Master Pages</source>
        <translation>Mastar sayfaları düzenle</translation>
    </message>
    <message>
        <source>Do you really want to delete this master page?</source>
        <translation type="obsolete">Bu mastar sayfayı gerçekten silmek istiyor musunuz?</translation>
    </message>
    <message>
        <source>&amp;No</source>
        <translation type="obsolete">&amp;Hayır</translation>
    </message>
    <message>
        <source>&amp;Yes</source>
        <translation type="obsolete">&amp;Evet</translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="177"/>
        <source>&amp;Name:</source>
        <translation>İ&amp;sim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="177"/>
        <source>New Master Page</source>
        <translation>Yeni Mastar Sayfa</translation>
    </message>
    <message>
        <source>Copy of %1</source>
        <translation type="obsolete">Kopyası #%1 of </translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="303"/>
        <source>Name:</source>
        <translation>İsim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="303"/>
        <source>New MasterPage</source>
        <translation>Yeni Mastar Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="369"/>
        <source>Copy #%1 of </source>
        <translation>Kopyası #%1 of </translation>
    </message>
    <message>
        <source>Normal</source>
        <translation type="obsolete">Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="98"/>
        <source>Duplicate the selected master page</source>
        <translation>Seçili mastar sayfayı çoğalt</translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="99"/>
        <source>Delete the selected master page</source>
        <translation>Seçili mastar sayfayı sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="100"/>
        <source>Add a new master page</source>
        <translation>Yeni Mastar Sayfa ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="101"/>
        <source>Import master pages from another document</source>
        <translation>Başka bir belgeden mastar sayfa al</translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="303"/>
        <source>New Master Page %1</source>
        <translation>Yeni Mastar Sayfa %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="449"/>
        <source>Unable to Rename Master Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="449"/>
        <source>The Normal page is not allowed to be renamed.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="453"/>
        <source>Rename Master Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="453"/>
        <source>New Name:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="175"/>
        <source>Copy #%1 of %2</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="139"/>
        <source>This master page is used at least once in the document.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/masterpagepalette.cpp" line="143"/>
        <source>Do you really want to delete master page &quot;%1&quot;?</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>Mdup</name>
    <message>
        <source>Multiple Duplicate</source>
        <translation type="obsolete">Çoklu Çoğaltma</translation>
    </message>
    <message>
        <source>&amp;Number of Copies:</source>
        <translation type="obsolete">Ko&amp;pya Sayısı:</translation>
    </message>
    <message>
        <source>&amp;Horizontal Shift:</source>
        <translation type="obsolete">&amp;Yatay Yer Değiştirme:</translation>
    </message>
    <message>
        <source>&amp;Vertical Shift:</source>
        <translation type="obsolete">&amp;Dikey Yer Değiştirme:</translation>
    </message>
</context>
<context>
    <name>Measurements</name>
    <message>
        <source>Distances</source>
        <translation type="obsolete">Mesafeler</translation>
    </message>
    <message>
        <source>X1:</source>
        <translation type="obsolete">X1:</translation>
    </message>
    <message>
        <source>Y1:</source>
        <translation type="obsolete">Y1:</translation>
    </message>
    <message>
        <source>X2:</source>
        <translation type="obsolete">X2:</translation>
    </message>
    <message>
        <source>Y2:</source>
        <translation type="obsolete">Y2:</translation>
    </message>
    <message>
        <source>DX:</source>
        <translation type="obsolete">DX:</translation>
    </message>
    <message>
        <source>DY:</source>
        <translation type="obsolete">DY:</translation>
    </message>
    <message>
        <source>Angle:</source>
        <translation type="obsolete">Açı:</translation>
    </message>
    <message>
        <source>Length:</source>
        <translation type="obsolete">Uzunluk:</translation>
    </message>
    <message>
        <source>pt</source>
        <translation type="obsolete">pt</translation>
    </message>
    <message utf8="true">
        <location filename="../../../scribus/measurements.cpp" line="50"/>
        <source> °</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>MeasurementsBase</name>
    <message>
        <location filename="../../../scribus/measurementsbase.ui" line="13"/>
        <source>Distances</source>
        <translation type="unfinished">Mesafeler</translation>
    </message>
    <message>
        <location filename="../../../scribus/measurementsbase.ui" line="19"/>
        <source>X1:</source>
        <translation type="unfinished">X1:</translation>
    </message>
    <message>
        <location filename="../../../scribus/measurementsbase.ui" line="26"/>
        <location filename="../../../scribus/measurementsbase.ui" line="43"/>
        <location filename="../../../scribus/measurementsbase.ui" line="60"/>
        <location filename="../../../scribus/measurementsbase.ui" line="77"/>
        <location filename="../../../scribus/measurementsbase.ui" line="94"/>
        <location filename="../../../scribus/measurementsbase.ui" line="111"/>
        <location filename="../../../scribus/measurementsbase.ui" line="128"/>
        <location filename="../../../scribus/measurementsbase.ui" line="145"/>
        <source>10000.0000</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/measurementsbase.ui" line="36"/>
        <source>Y1:</source>
        <translation type="unfinished">Y1:</translation>
    </message>
    <message>
        <location filename="../../../scribus/measurementsbase.ui" line="53"/>
        <source>X2:</source>
        <translation type="unfinished">X2:</translation>
    </message>
    <message>
        <location filename="../../../scribus/measurementsbase.ui" line="70"/>
        <source>Y2:</source>
        <translation type="unfinished">Y2:</translation>
    </message>
    <message>
        <location filename="../../../scribus/measurementsbase.ui" line="87"/>
        <source>Length:</source>
        <translation type="unfinished">Uzunluk:</translation>
    </message>
    <message>
        <location filename="../../../scribus/measurementsbase.ui" line="104"/>
        <source>DX:</source>
        <translation type="unfinished">DX:</translation>
    </message>
    <message>
        <location filename="../../../scribus/measurementsbase.ui" line="121"/>
        <source>DY:</source>
        <translation type="unfinished">DY:</translation>
    </message>
    <message>
        <location filename="../../../scribus/measurementsbase.ui" line="138"/>
        <source>Angle:</source>
        <translation type="unfinished">Açı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/measurementsbase.ui" line="155"/>
        <source>Unit:</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>MergeDoc</name>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="135"/>
        <source>Open</source>
        <translation>Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="135"/>
        <source>Documents (*.sla *.sla.gz *.scd *.scd.gz);;All Files (*)</source>
        <translation>Belgeler (*.sla *.sla.gz *.scd *.scd.gz);;Tüm dosyalar (*)</translation>
    </message>
    <message>
        <source>Documents (*.sla *.scd);;All Files (*)</source>
        <translation type="obsolete">Belgeler (*.sla *.scd);;Tüm Dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="37"/>
        <source>Import Page(s)</source>
        <translation>Sayfa(ları) ithal et</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="75"/>
        <source> from 0</source>
        <translation>0&apos;dan</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="78"/>
        <source>Create Page(s)</source>
        <translation>Sayfa(ları) Oluştur</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="171"/>
        <location filename="../../../scribus/mergedoc.cpp" line="190"/>
        <source> from %1</source>
        <translation>%1&apos;den</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="37"/>
        <source>Import Master Page</source>
        <translation>Mastar Sayfa Al</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="48"/>
        <source>&amp;From Document:</source>
        <translation>&amp;Belgeden:</translation>
    </message>
    <message>
        <source>Chan&amp;ge...</source>
        <translation type="obsolete">D&amp;eğiştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="55"/>
        <source>&amp;Import Page(s):</source>
        <translation>Sayfa(ları) &amp;ithal et:</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="59"/>
        <source>&amp;Import Master Page</source>
        <translation>&amp;Mastar sayfa al</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="82"/>
        <source>Before Page</source>
        <translation>Sayfadan önce</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="83"/>
        <source>After Page</source>
        <translation>Sayfadan sonra</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="84"/>
        <source>At End</source>
        <translation>Sona</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="101"/>
        <source>&amp;Import</source>
        <translation>İth&amp;al et</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="70"/>
        <source>Insert a comma separated list of tokens import where a token can be * for all the pages, 1-5 for a range of pages or a single page number.</source>
        <translation>* tüm sayfalar için. Örneğin 1-5,birinci ile beşinci sayfalar arasındaki sayfalar. Sayfa numaralarını vigülle ayırarak (1,4,5 gibi) de verebilirsiniz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/mergedoc.cpp" line="52"/>
        <source>&amp;Select...</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>MeshDistortionDialog</name>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/meshdistortion/meshdistortiondialog.ui" line="44"/>
        <source>+</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/meshdistortion/meshdistortiondialog.ui" line="54"/>
        <source>-</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/meshdistortion/meshdistortiondialog.ui" line="13"/>
        <source>Mesh Distortion</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/meshdistortion/meshdistortiondialog.ui" line="27"/>
        <source>Drag the red handles with the mouse to distort the mesh</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/meshdistortion/meshdistortiondialog.ui" line="41"/>
        <source>Zoom In</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/meshdistortion/meshdistortiondialog.ui" line="51"/>
        <source>Zoom Out</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/meshdistortion/meshdistortiondialog.ui" line="82"/>
        <source>Resets the selected handles to their initial position.
If no handle is selected all handles will be reset.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/meshdistortion/meshdistortiondialog.ui" line="86"/>
        <source>&amp;Reset</source>
        <translation type="unfinished">&amp;Sıfırla</translation>
    </message>
</context>
<context>
    <name>MeshDistortionPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/meshdistortion/meshdistortion.cpp" line="69"/>
        <source>Mesh Distortion...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/meshdistortion/meshdistortion.cpp" line="73"/>
        <source>Path Tools</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/meshdistortion/meshdistortion.cpp" line="94"/>
        <location filename="../../../scribus/plugins/tools/2geomtools/meshdistortion/meshdistortion.cpp" line="95"/>
        <source>Mesh Distortion of Polygons</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>MissingFont</name>
    <message>
        <location filename="../../../scribus/missing.cpp" line="309"/>
        <source>Missing Font</source>
        <translation>Eksik Yazıtipi</translation>
    </message>
    <message>
        <location filename="../../../scribus/missing.cpp" line="317"/>
        <source>The Font %1 is not installed.</source>
        <translation>Font %1 kurulu değil.</translation>
    </message>
    <message>
        <location filename="../../../scribus/missing.cpp" line="322"/>
        <source>Use</source>
        <translation>Kullan</translation>
    </message>
    <message>
        <location filename="../../../scribus/missing.cpp" line="331"/>
        <source>instead</source>
        <translation>yerine</translation>
    </message>
</context>
<context>
    <name>ModeToolBar</name>
    <message>
        <location filename="../../../scribus/ui/modetoolbar.cpp" line="39"/>
        <source>Tools</source>
        <translation type="unfinished">Araçlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/ui/modetoolbar.cpp" line="124"/>
        <source>Properties...</source>
        <translation type="unfinished">Özellikler...</translation>
    </message>
</context>
<context>
    <name>MovePages</name>
    <message>
        <location filename="../../../scribus/movepage.cpp" line="28"/>
        <source>Move Pages</source>
        <translation>Sayfa(ları) Taşı</translation>
    </message>
    <message>
        <location filename="../../../scribus/movepage.cpp" line="28"/>
        <location filename="../../../scribus/movepage.cpp" line="37"/>
        <source>Copy Page</source>
        <translation>Sayfayı Kopyala</translation>
    </message>
    <message>
        <location filename="../../../scribus/movepage.cpp" line="78"/>
        <source>Move Page(s):</source>
        <translation>Sayfa(ları) Taşı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/movepage.cpp" line="37"/>
        <source>Move Page(s)</source>
        <translation>Sayfa(ları) Taşı</translation>
    </message>
    <message>
        <location filename="../../../scribus/movepage.cpp" line="68"/>
        <source>Before Page</source>
        <translation>Sayfadan önce</translation>
    </message>
    <message>
        <location filename="../../../scribus/movepage.cpp" line="69"/>
        <source>After Page</source>
        <translation>Sayfadan sonra</translation>
    </message>
    <message>
        <location filename="../../../scribus/movepage.cpp" line="70"/>
        <source>At End</source>
        <translation>Sona</translation>
    </message>
    <message>
        <location filename="../../../scribus/movepage.cpp" line="48"/>
        <source>To:</source>
        <translation>Buraya:</translation>
    </message>
    <message>
        <source>Number of copies:</source>
        <translation type="obsolete">Kopya Sayısı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/movepage.cpp" line="58"/>
        <source>Number of Copies:</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>MultiLine</name>
    <message>
        <source>Edit Style</source>
        <translation type="obsolete">Stili Düzenle</translation>
    </message>
    <message>
        <source>Flat Cap</source>
        <translation type="obsolete">Flat Cap</translation>
    </message>
    <message>
        <source>Square Cap</source>
        <translation type="obsolete">Square Cap</translation>
    </message>
    <message>
        <source>Round Cap</source>
        <translation type="obsolete">Round Cap</translation>
    </message>
    <message>
        <source>Miter Join</source>
        <translation type="obsolete">Mitre Join</translation>
    </message>
    <message>
        <source>Bevel Join</source>
        <translation type="obsolete">Bevel Join</translation>
    </message>
    <message>
        <source>Round Join</source>
        <translation type="obsolete">Round Join</translation>
    </message>
    <message>
        <source>Line Width:</source>
        <translation type="obsolete">Çizgi Genişliği:</translation>
    </message>
    <message>
        <source> pt</source>
        <translation type="obsolete"> pt</translation>
    </message>
    <message>
        <source> %</source>
        <translation type="obsolete"> %</translation>
    </message>
    <message>
        <source>OK</source>
        <translation type="obsolete">Tamam</translation>
    </message>
    <message>
        <source> pt </source>
        <translation type="obsolete"> pt </translation>
    </message>
    <message>
        <source>Solid Line</source>
        <translation type="obsolete">Düz Çizgi</translation>
    </message>
    <message>
        <source>Dashed Line</source>
        <translation type="obsolete">Kesintili Çizgi</translation>
    </message>
    <message>
        <source>Dotted Line</source>
        <translation type="obsolete">Noktalı Çizgi</translation>
    </message>
    <message>
        <source>Dash Dot Line</source>
        <translation type="obsolete">Kesintili Noktalı Çizgi</translation>
    </message>
    <message>
        <source>Dash Dot Dot Line</source>
        <translation type="obsolete">Kesintili-Noktalı-Noktalı Çizgi</translation>
    </message>
    <message>
        <source>Name &quot;%1&quot; isn&apos;t unique.&lt;br/&gt;Please choose another.</source>
        <translation type="obsolete">zaten var: &quot;%1&quot; .&lt;br/&gt;.Lütfen başka seçin.</translation>
    </message>
    <message>
        <source>pt</source>
        <translation type="obsolete">pt</translation>
    </message>
</context>
<context>
    <name>MultiProgressDialog</name>
    <message>
        <location filename="../../../scribus/multiprogressdialog.ui" line="13"/>
        <source>Progress</source>
        <translation type="unfinished">İlerleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/multiprogressdialog.ui" line="24"/>
        <source>Overall Progress:</source>
        <translation type="unfinished">Toplam İlerleme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/multiprogressdialog.ui" line="67"/>
        <source>&amp;Cancel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/multiprogressdialog.cpp" line="74"/>
        <source>%v of %m</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>MultiProgressDialogBase</name>
    <message>
        <source>Progress</source>
        <translation type="obsolete">İlerleme</translation>
    </message>
    <message>
        <source>Overall Progress:</source>
        <translation type="obsolete">Toplam İlerleme:</translation>
    </message>
    <message>
        <source>&amp;Cancel</source>
        <translation type="obsolete">&amp;İptal</translation>
    </message>
</context>
<context>
    <name>MultipleDuplicate</name>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="131"/>
        <location filename="../../../scribus/multipleduplicate.cpp" line="63"/>
        <source>&amp;Horizontal Shift:</source>
        <translation type="unfinished">&amp;Yatay Yer Değiştirme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="184"/>
        <location filename="../../../scribus/multipleduplicate.cpp" line="64"/>
        <source>&amp;Vertical Shift:</source>
        <translation type="unfinished">&amp;Dikey Yer Değiştirme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.cpp" line="69"/>
        <source>&amp;Horizontal Gap:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.cpp" line="70"/>
        <source>&amp;Vertical Gap:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="14"/>
        <source>Multiple Duplicate</source>
        <translation type="unfinished">Çoklu Çoğaltma</translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="33"/>
        <source>&amp;By Number of Copies</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="60"/>
        <source>&amp;Number of Copies:</source>
        <translation type="unfinished">Ko&amp;pya Sayısı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="101"/>
        <source>&amp;Shift Created Items By</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="104"/>
        <source>Alt+S</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="91"/>
        <source>Create &amp;Gap Between Items Of</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="94"/>
        <source>Alt+G</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="164"/>
        <source>Rotation:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="236"/>
        <source>By &amp;Rows &amp;&amp; Columns</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="273"/>
        <source>Vertical Gap:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="303"/>
        <source>Horizontal Gap:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="323"/>
        <source>Number of Rows:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="343"/>
        <source>Number of Columns:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="411"/>
        <source>&amp;OK</source>
        <translation type="unfinished">&amp;Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/multipleduplicate.ui" line="427"/>
        <source>&amp;Cancel</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>MultipleDuplicateBase</name>
    <message>
        <source>Multiple Duplicate</source>
        <translation type="obsolete">Çoklu Çoğaltma</translation>
    </message>
    <message>
        <source>&amp;Number of Copies:</source>
        <translation type="obsolete">Ko&amp;pya Sayısı:</translation>
    </message>
    <message>
        <source>&amp;Horizontal Shift:</source>
        <translation type="obsolete">&amp;Yatay Yer Değiştirme:</translation>
    </message>
    <message>
        <source>&amp;Vertical Shift:</source>
        <translation type="obsolete">&amp;Dikey Yer Değiştirme:</translation>
    </message>
    <message>
        <source>&amp;OK</source>
        <translation type="obsolete">&amp;Tamam</translation>
    </message>
</context>
<context>
    <name>MyPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/myplugin/myplugin.cpp" line="31"/>
        <source>My &amp;Plugin</source>
        <translation>Eklentileri&amp;m</translation>
    </message>
</context>
<context>
    <name>MyPluginImpl</name>
    <message>
        <location filename="../../../scribus/plugins/myplugin/mypluginimpl.cpp" line="23"/>
        <source>Scribus - My Plugin</source>
        <translation>Scribus - Eklentilerim</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/myplugin/mypluginimpl.cpp" line="24"/>
        <source>The plugin worked!</source>
        <translation>Eklenti çalıştı!</translation>
    </message>
</context>
<context>
    <name>NewDoc</name>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="100"/>
        <source>New Document</source>
        <translation>Yeni Belge</translation>
    </message>
    <message>
        <source>Page Size</source>
        <translation type="obsolete">Sayfa Boyutu</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="236"/>
        <source>Portrait</source>
        <translation>Dikey</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="237"/>
        <source>Landscape</source>
        <translation>Yatay</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="265"/>
        <source>Margin Guides</source>
        <translation>Kenarlık Kılavuzları</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="284"/>
        <source>Options</source>
        <translation>Seçenekler</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="143"/>
        <source>Document page size, either a standard size or a custom size</source>
        <translation>Belge sayfa ölçüleri, özel ya da standart bir ölçü</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="144"/>
        <source>Orientation of the document&apos;s pages</source>
        <translation>Belgenin sayfalarının yerleşimi</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="145"/>
        <source>Width of the document&apos;s pages, editable if you have chosen a custom page size</source>
        <translation>Belge sayfalarının eni</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="146"/>
        <source>Height of the document&apos;s pages, editable if you have chosen a custom page size</source>
        <translation>Belge sayfalarının boyu </translation>
    </message>
    <message>
        <source>First page number of the document</source>
        <translation type="obsolete">Belgenin ilk sayfasının numarası</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="148"/>
        <source>Default unit of measurement for document editing</source>
        <translation>Belge düzenlemede kullanılacak öntanımlı ölçü birimi</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="149"/>
        <source>Create text frames automatically when new pages are added</source>
        <translation>Yeni sayfa eklendiğinde otomatik olarak metin çerçevesi oluştur</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="151"/>
        <source>Distance between automatically created columns</source>
        <translation>Otomatik oluşturulan sütunlar arasındaki mesafe</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="150"/>
        <source>Number of columns to create in automatically created text frames</source>
        <translation>Otomatik metin çerçevesi oluşturulduğunda eklenecek sütun sayısı</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="224"/>
        <source>&amp;Size:</source>
        <translation>Ö&amp;lçü:</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="233"/>
        <source>Orie&amp;ntation:</source>
        <translation>&amp;Yerleşim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="243"/>
        <source>&amp;Width:</source>
        <translation>E&amp;n:</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="249"/>
        <source>&amp;Height:</source>
        <translation>&amp;Boy:</translation>
    </message>
    <message>
        <source>F&amp;irst Page Number:</source>
        <translation type="obsolete">İ&amp;lk Sayfa Numarası:</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="297"/>
        <source>&amp;Default Unit:</source>
        <translation>Öntanımlı &amp;Birim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="307"/>
        <source>&amp;Automatic Text Frames</source>
        <translation>&amp;Otomatik Metin Çerçeveleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="317"/>
        <source>&amp;Gap:</source>
        <translation>&amp;Boşluk:</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="309"/>
        <source>Colu&amp;mns:</source>
        <translation>Süt&amp;unlar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="129"/>
        <source>Do not show this dialog again</source>
        <translation>Bu ekranı tekrar gösterme</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="147"/>
        <source>Initial number of pages of the document</source>
        <translation>Belgenin ilk halindeki sayfa sayısı</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="291"/>
        <source>N&amp;umber of Pages:</source>
        <translation>Sa&amp;yfa Sayısı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="365"/>
        <source>Open</source>
        <translation>Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="110"/>
        <source>&amp;New Document</source>
        <translation>&amp;Yeni Belge</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="115"/>
        <source>Open &amp;Existing Document</source>
        <translation>Mevcut Belgeyi &amp;Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="118"/>
        <source>Open Recent &amp;Document</source>
        <translation>Son &amp;Kullanılan Belgeleri Aç</translation>
    </message>
    <message>
        <source>Page Layout</source>
        <translation type="obsolete">Sayfa Mizanpajı</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="256"/>
        <source>First Page is:</source>
        <translation type="unfinished">İlk sayfa:</translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="329"/>
        <source>Show Document Settings After Creation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="181"/>
        <source>Document Layout</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/newfile.cpp" line="113"/>
        <source>New &amp;from Template</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>NewFromTemplatePlugin</name>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftemplate.cpp" line="59"/>
        <source>New &amp;from Template...</source>
        <translation>Şablo&amp;ndan oluştur...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftemplate.cpp" line="79"/>
        <source>Load documents with predefined layout</source>
        <translation>Belgeleri öntanımlı mizanpajı ile yükle</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftemplate.cpp" line="80"/>
        <source>Start a document from a template made by other users or yourself (f.e. for documents you have a constant style).</source>
        <translation>Kendi oluşturduğunuz veya aldığınız bir şablondan yeni belge oluştur.</translation>
    </message>
</context>
<context>
    <name>NodePalette</name>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="903"/>
        <source>Nodes</source>
        <translation type="unfinished">Nodes</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="916"/>
        <source>Move Nodes</source>
        <translation type="unfinished">Move Nodes</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="917"/>
        <source>Move Control Points</source>
        <translation type="unfinished">Move Control Points</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="918"/>
        <source>Add Nodes</source>
        <translation type="unfinished">Add Nodes</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="919"/>
        <source>Delete Nodes</source>
        <translation type="unfinished">Delete Nodes</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="922"/>
        <source>Reset Control Points</source>
        <translation type="unfinished">Reset Control Points</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="923"/>
        <source>Reset this Control Point</source>
        <translation type="unfinished">Reset this Control Point</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="906"/>
        <source>&amp;Absolute Coordinates</source>
        <translation type="unfinished">&amp;Absolute Coordinates</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="909"/>
        <source>&amp;X-Pos:</source>
        <translation type="unfinished">&amp;X-Pos:</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="910"/>
        <source>&amp;Y-Pos:</source>
        <translation type="unfinished">&amp;Y-Pos:</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="911"/>
        <source>Edit &amp;Contour Line</source>
        <translation type="unfinished">Edit &amp;Contour Line</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="912"/>
        <source>&amp;Reset Contour Line</source>
        <translation type="unfinished">&amp;Reset Contour Line</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="915"/>
        <source>&amp;End Editing</source>
        <translation type="unfinished">&amp;End Editing</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="920"/>
        <source>Move Control Points Independently</source>
        <translation type="unfinished">Move Control Points Independently</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="921"/>
        <source>Move Control Points Symmetrical</source>
        <translation type="unfinished">Move Control Points Symmetrical</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="924"/>
        <source>Open a Polygon or Cuts a Bezier Curve</source>
        <translation type="unfinished">Open a Polygon or Cuts a Bezier Curve</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="925"/>
        <source>Close this Bezier Curve</source>
        <translation>Bu Bezier eğrisini kapat </translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="926"/>
        <source>Mirror the Path Horizontally</source>
        <translation type="unfinished">Mirror the Path Horizontally</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="927"/>
        <source>Mirror the Path Vertically</source>
        <translation type="unfinished">Mirror the Path Vertically</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="929"/>
        <source>Shear the Path Horizontally to the Left</source>
        <translation type="unfinished">Shear the Path Horizontally to the Left</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="930"/>
        <source>Shear the Path Vertically Up</source>
        <translation type="unfinished">Shear the Path Vertically Up</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="931"/>
        <source>Shear the Path Vertically Down</source>
        <translation type="unfinished">Shear the Path Vertically Down</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="932"/>
        <source>Rotate the Path Counter-Clockwise</source>
        <translation type="unfinished">Rotate the Path Counter-Clockwise</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="933"/>
        <source>Rotate the Path Clockwise</source>
        <translation type="unfinished">Rotate the Path Clockwise</translation>
    </message>
    <message>
        <source>Reduce the Size of the Path by shown %</source>
        <translation type="obsolete">Reduce the Size of the Path by shown %</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="935"/>
        <source>Enlarge the Size of the Path by shown %</source>
        <translation type="unfinished">Enlarge the Size of the Path by shown %</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="938"/>
        <source>Angle of Rotation</source>
        <translation type="unfinished">Angle of Rotation</translation>
    </message>
    <message>
        <source>% to Enlarge or Reduce By</source>
        <translation type="obsolete">% to Enlarge or Reduce By</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="941"/>
        <source>Activate Contour Line Editing Mode</source>
        <translation type="unfinished">Activate Contour Line Editing Mode</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="942"/>
        <source>Reset the Contour Line to the Original Shape of the Frame</source>
        <translation type="unfinished">Reset the Contour Line to the Original Shape of the Frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="928"/>
        <source>Shear the Path Horizontally to the Right</source>
        <translation type="unfinished">Shear the Path Horizontally to the Right</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="904"/>
        <source> %</source>
        <translation type="unfinished"> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="945"/>
        <source>When checked use coordinates relative to the page, otherwise coordinates are relative to the Object.</source>
        <translation type="unfinished">When checked use coordinates relative to the page, otherwise coordinates are relative to the Object.</translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="934"/>
        <source>Shrink the Size of the Path by shown %</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="936"/>
        <source>Reduce the Size of the Path by the shown value</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="937"/>
        <source>Enlarge the Size of the Path by the shown value</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="939"/>
        <source>% to Enlarge or Shrink By</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="940"/>
        <source>Value to Enlarge or Shrink By</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="913"/>
        <source>Set Contour to Image Clip</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="943"/>
        <source>Reset the Contour Line to the Clipping Path of the Image</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="241"/>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="907"/>
        <source>to Canvas</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="243"/>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="908"/>
        <source>to Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="914"/>
        <source>Set Shape to Image Clip</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/nodeeditpalette.cpp" line="944"/>
        <source>Set the Shape to the Clipping Path of the Image</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>OODPlug</name>
    <message>
        <location filename="../../../scribus/plugins/import/oodraw/oodrawimp.cpp" line="299"/>
        <source>This document does not seem to be an OpenOffice Draw file.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/oodraw/oodrawimp.cpp" line="467"/>
        <location filename="../../../scribus/plugins/import/oodraw/oodrawimp.cpp" line="617"/>
        <source>Group%1</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>OODrawImportPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/import/oodraw/oodrawimp.cpp" line="96"/>
        <source>Import &amp;OpenOffice.org Draw...</source>
        <translation>OpenOffice.org &amp;Draw belgesi al...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/oodraw/oodrawimp.cpp" line="111"/>
        <source>Imports OpenOffice.org Draw Files</source>
        <translation>OpenOffice.org Draw dosyası alır</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/oodraw/oodrawimp.cpp" line="112"/>
        <source>Imports most OpenOffice.org Draw files into the current document, converting their vector data into Scribus objects.</source>
        <translation>Mevcut belgeye  OpenOffice.org Draw dosyalarını alır ve vektör bilgilerini Scribus nesnesine dönüştürür.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/oodraw/oodrawimp.cpp" line="126"/>
        <source>OpenDocument 1.0 Draw</source>
        <comment>Import/export format name</comment>
        <translation>OpenDocument 1.0 Draw</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/oodraw/oodrawimp.cpp" line="138"/>
        <source>OpenOffice.org 1.x Draw</source>
        <comment>Import/export format name</comment>
        <translation>OpenOffice.org 1.x Draw</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/oodraw/oodrawimp.cpp" line="210"/>
        <source>This file contains some unsupported features</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/oodraw/oodrawimp.cpp" line="208"/>
        <source>The file could not be imported</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>OdtDialog</name>
    <message>
        <location filename="../../../scribus/plugins/gettext/odtim/odtdia.cpp" line="70"/>
        <source>Use document name as a prefix for paragraph styles</source>
        <translation>Belge adını, paragraf stilleri için önad olarak kullan</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/odtim/odtdia.cpp" line="79"/>
        <source>Do not ask again</source>
        <translation>Tekrar sorma</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/odtim/odtdia.cpp" line="90"/>
        <source>OK</source>
        <translation>Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/odtim/odtdia.cpp" line="54"/>
        <source>Enabling this will overwrite existing styles in the current Scribus document</source>
        <translation>Bunu aktif hale getirmek mevcut Scribus belgelerindeki stillerin üzerine yazar</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/odtim/odtdia.cpp" line="61"/>
        <source>Merge Paragraph Styles</source>
        <translation>Paragraf Stillerini Birleştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/odtim/odtdia.cpp" line="63"/>
        <source>Merge paragraph styles by attributes. This will result in fewer similar paragraph styles, will retain style attributes, even if the original document&apos;s styles are named differently.</source>
        <translation type="unfinished">Merge paragraph styles by nitelikleri. This will result in fewer similar paragraph styles, will retain style attributes, even if the original document&apos;s styles are named differently.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/odtim/odtdia.cpp" line="72"/>
        <source>Prepend the document name to the paragraph style name in Scribus.</source>
        <translation type="unfinished">Prepend the document name to the paragraph style name in Scribus.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/odtim/odtdia.cpp" line="81"/>
        <source>Make these settings the default and do not prompt again when importing an OASIS OpenDocument.</source>
        <translation>Bu ayarları öntanımlı yap ve OASIS OpenDocument belgesi alırken bir daha sorma.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/odtim/odtdia.cpp" line="52"/>
        <source>Overwrite Paragraph Styles</source>
        <translation>Paragraf stillerinin üstüne yaz</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/odtim/odtdia.cpp" line="43"/>
        <source>OpenDocument Importer Options</source>
        <translation>OpenDocument Aktarıcısı Seçenekleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/odtim/odtdia.cpp" line="92"/>
        <source>Cancel</source>
        <translation>İptal</translation>
    </message>
</context>
<context>
    <name>OldScribusFormat</name>
    <message>
        <location filename="../../../scribus/plugins/fileloader/oldscribusformat/oldscribusformat.cpp" line="59"/>
        <source>Scribus Document</source>
        <translation>Scribus Belgesi</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/oldscribusformat/oldscribusformat.cpp" line="70"/>
        <source>Scribus 1.2.x Document</source>
        <translation>Scribus 1.2.x Belgesi</translation>
    </message>
</context>
<context>
    <name>OneClick</name>
    <message>
        <location filename="../../../scribus/oneclick.cpp" line="37"/>
        <source>Origin</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/oneclick.cpp" line="54"/>
        <source>Size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/oneclick.cpp" line="59"/>
        <source>Width:</source>
        <translation type="unfinished">En:</translation>
    </message>
    <message>
        <location filename="../../../scribus/oneclick.cpp" line="61"/>
        <source>Length:</source>
        <translation type="unfinished">Uzunluk:</translation>
    </message>
    <message>
        <location filename="../../../scribus/oneclick.cpp" line="69"/>
        <source>Height:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/oneclick.cpp" line="71"/>
        <source>Angle:</source>
        <translation type="unfinished">Açı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/oneclick.cpp" line="101"/>
        <source>Remember Values</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>OutlinePalette</name>
    <message>
        <location filename="../../../scribus/outlinepalette.cpp" line="165"/>
        <location filename="../../../scribus/outlinepalette.cpp" line="933"/>
        <source>Element</source>
        <translation type="unfinished">Bileşen</translation>
    </message>
    <message>
        <location filename="../../../scribus/outlinepalette.cpp" line="301"/>
        <source>Name &quot;%1&quot; isn&apos;t unique.&lt;br/&gt;Please choose another.</source>
        <translation type="unfinished">zaten var: &quot;%1&quot; .&lt;br/&gt;.Lütfen başka seçin.</translation>
    </message>
    <message>
        <location filename="../../../scribus/outlinepalette.cpp" line="711"/>
        <location filename="../../../scribus/outlinepalette.cpp" line="761"/>
        <location filename="../../../scribus/outlinepalette.cpp" line="816"/>
        <location filename="../../../scribus/outlinepalette.cpp" line="901"/>
        <source>Group </source>
        <translation type="unfinished">Grup</translation>
    </message>
    <message>
        <location filename="../../../scribus/outlinepalette.cpp" line="776"/>
        <source>Page </source>
        <translation type="unfinished">Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/outlinepalette.cpp" line="831"/>
        <source>Free Objects</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/outlinepalette.cpp" line="932"/>
        <source>Outline</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/outlinepalette.cpp" line="154"/>
        <source>Enter a keyword or regular expression to filter the outline.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/outlinepalette.cpp" line="156"/>
        <location filename="../../../scribus/outlinepalette.cpp" line="934"/>
        <source>Filter:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/outlinepalette.cpp" line="155"/>
        <source>Ctrl+F</source>
        <comment>Filter the Outline using a keyword</comment>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>OutlineValues</name>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="97"/>
        <source> %</source>
        <translation> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="98"/>
        <source>Linewidth</source>
        <translation>Çizgi Genişliği</translation>
    </message>
</context>
<context>
    <name>PDFExportDialog</name>
    <message>
        <location filename="../../../scribus/pdfopts.cpp" line="60"/>
        <location filename="../../../scribus/pdfopts.cpp" line="180"/>
        <source>Save as PDF</source>
        <translation>PDF olarak kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfopts.cpp" line="66"/>
        <source>O&amp;utput to File:</source>
        <translation>D&amp;osyaya kaydet:</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfopts.cpp" line="100"/>
        <source>Cha&amp;nge...</source>
        <translation>D&amp;eğiştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfopts.cpp" line="103"/>
        <source>Output one file for eac&amp;h page</source>
        <translation>Her sayfa için ayrı dos&amp;ya oluştur</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfopts.cpp" line="116"/>
        <source>&amp;Save</source>
        <translation>&amp;Kaydet</translation>
    </message>
    <message>
        <source>Save as</source>
        <translation type="obsolete">Farklı kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfopts.cpp" line="232"/>
        <source>PDF Files (*.pdf);;All Files (*)</source>
        <translation>PDF-Belgeleri (*.pdf);;Tüm Dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfopts.cpp" line="128"/>
        <source>This enables exporting one individually named PDF file for each page in the document. Page numbers are added automatically. This is most useful for imposing PDF for commercial printing.</source>
        <translation type="unfinished">This enables exporting one individually named PDF file for each page in the document. Page numbers are added automatically. This is most useful for imposing PDF for commercial printing.</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfopts.cpp" line="129"/>
        <source>The save button will be disabled if you are trying to export PDF/X and the info string is missing from the PDF/X tab.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfopts.cpp" line="169"/>
        <source>The range of pages to export is invalid.
Please check it and try again.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfopts.cpp" line="181"/>
        <source>%1 does not exists and will be created, continue?</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfopts.cpp" line="198"/>
        <source>Cannot create directory: 
%1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfopts.cpp" line="232"/>
        <source>Save As</source>
        <translation type="unfinished">Farklı kaydet</translation>
    </message>
</context>
<context>
    <name>PDFLibCore</name>
    <message>
        <location filename="../../../scribus/pdflib_core.cpp" line="140"/>
        <source>Saving PDF</source>
        <translation type="unfinished">PDF kaydediliyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdflib_core.cpp" line="144"/>
        <source>Exporting Master Page:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pdflib_core.cpp" line="144"/>
        <source>Exporting Page:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pdflib_core.cpp" line="144"/>
        <source>Exporting Items on Current Page:</source>
        <translation type="unfinished">Mevcut sayfadaki içerik ihraç ediliyor: </translation>
    </message>
    <message>
        <location filename="../../../scribus/pdflib_core.cpp" line="2532"/>
        <source>Page:</source>
        <translation type="unfinished">Sayfa:</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdflib_core.cpp" line="2545"/>
        <source>Date:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pdflib_core.cpp" line="7970"/>
        <source>Failed to load an image : %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pdflib_core.cpp" line="7975"/>
        <source>Failed to write an image : %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pdflib_core.cpp" line="7980"/>
        <source>Failed to load an image mask : %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pdflib_core.cpp" line="7985"/>
        <source>Insufficient memory for processing an image</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pdflib_core.cpp" line="7965"/>
        <source>A write error occurred, please check available disk space</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PDFToolBar</name>
    <message>
        <location filename="../../../scribus/ui/pdftoolbar.cpp" line="29"/>
        <source>PDF Tools</source>
        <translation type="unfinished">PDF Araçları</translation>
    </message>
</context>
<context>
    <name>PDFlib</name>
    <message>
        <source>Saving PDF</source>
        <translation type="obsolete">PDF kaydediliyor</translation>
    </message>
    <message>
        <source>Exporting Master Pages:</source>
        <translation type="obsolete">Mastar sayfalar ihraç ediliyor:</translation>
    </message>
    <message>
        <source>Exporting Pages:</source>
        <translation type="obsolete">Sayfalar ihraç ediliyor:</translation>
    </message>
    <message>
        <source>Exporting Items on Current Page:</source>
        <translation type="obsolete">Mevcut sayfadaki içerik ihraç ediliyor: </translation>
    </message>
    <message>
        <source>Page:</source>
        <translation type="obsolete">Sayfa:</translation>
    </message>
</context>
<context>
    <name>PPreview</name>
    <message>
        <location filename="../../../scribus/preview.cpp" line="84"/>
        <source>Print Preview</source>
        <translation>Baskı Önizleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="568"/>
        <location filename="../../../scribus/preview.cpp" line="686"/>
        <source>All</source>
        <translation>Tümü</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="352"/>
        <source>Shows transparency and transparent items in your document. Requires Ghostscript 7.07 or later</source>
        <translation>Belgenizde şeffaflığı ve şeffaf öğeleri gösterir. Ghostscript 7.07 ya da daha üst bir sürüm gereklidir </translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="353"/>
        <source>Gives a print preview using simulations of generic CMYK inks, instead of RGB colors</source>
        <translation type="unfinished">Gives a print preview using simulations of generic CMYK inks, instead of RGB colours</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="374"/>
        <source>Enable/disable the C (Cyan) ink plate</source>
        <translation>C (Cyan) mürekkebi etkinleştir/kapat </translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="375"/>
        <source>Enable/disable the M (Magenta) ink plate</source>
        <translation>M (Magenta) mürekkebi etkinleştir/kapat </translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="376"/>
        <source>Enable/disable the Y (Yellow) ink plate</source>
        <translation>Y(Yellow) mürekkebi etkinleştir/kapat </translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="377"/>
        <source>Enable/disable the K (Black) ink plate</source>
        <translation>K (Black) mürekkebi etkinleştir/kapat </translation>
    </message>
    <message>
        <source>Anti-alias &amp;Text</source>
        <translation type="obsolete">Metinleri &amp;Yumuşat (Anti-alias)</translation>
    </message>
    <message>
        <source>Anti-alias &amp;Graphics</source>
        <translation type="obsolete">Resimleri &amp;Yumuşat (Anti-alias)</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="135"/>
        <source>Display Trans&amp;parency</source>
        <translation>Şeffaflığı Gös&amp;ter</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="140"/>
        <source>&amp;Display CMYK</source>
        <translation>CMYK &amp;Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="237"/>
        <source>&amp;C</source>
        <translation>&amp;C</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="242"/>
        <source>&amp;M</source>
        <translation>&amp;M</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="247"/>
        <source>&amp;Y</source>
        <translation>&amp;Y</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="252"/>
        <source>&amp;K</source>
        <translation>&amp;K</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="261"/>
        <source>Preview Settings</source>
        <translation type="unfinished">Önizleme Ayarları</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="279"/>
        <source>&amp;Under Color Removal</source>
        <translation type="unfinished">&amp;Under Colour Removal</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="153"/>
        <source>Separation Name</source>
        <translation>Ayrım Adı</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="165"/>
        <source>Cyan</source>
        <translation>Cyan</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="172"/>
        <source>Magenta</source>
        <translation>Magenta</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="179"/>
        <source>Yellow</source>
        <translation>Sarı</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="186"/>
        <source>Black</source>
        <translation>Siyah</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="295"/>
        <source>Scaling:</source>
        <translation>Ölçeklendirme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="323"/>
        <source>Print...</source>
        <translation>Yazdır...</translation>
    </message>
    <message>
        <source>Provides a more pleasant view of text items in the viewer, at the expense of a slight slowdown in previewing. This only affects Type 1 fonts</source>
        <translation type="obsolete">Provides a more pleasant view of text items in the viewer, at the expense of a slight slowdown in previewing. This only affects Type 1 fonts</translation>
    </message>
    <message>
        <source>Provides a more pleasant view of TrueType Fonts, OpenType Fonts, EPS, PDF and vector graphics in the preview, at the expense of a slight slowdown in previewing</source>
        <translation type="obsolete">Provides a more pleasant view of TrueType Fonts, OpenType Fonts, EPS, PDF and vector graphics in the preview, at the expense of a slight slowdown in previewing</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="354"/>
        <source>A way of switching off some of the gray shades which are composed of cyan, yellow and magenta and using black instead. UCR most affects parts of images which are neutral and/or dark tones which are close to the gray. Use of this may improve printing some images and some experimentation and testing is need on a case by case basis. UCR reduces the possibility of over saturation with CMY inks.</source>
        <translation type="unfinished">A way of switching off some of the grey shades which are composed of cyan, yellow and magenta and using black instead. UCR most affects parts of images which are neutral and/or dark tones which are close to the grey. Use of this may improve printing some images and some experimentation and testing is need on a case by case basis. UCR reduces the possibility of over saturation with CMY inks.</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="355"/>
        <source>Resize the scale of the page.</source>
        <translation type="unfinished">Resize the scale of the page.</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="320"/>
        <source>Close</source>
        <translation>Kapat</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="1307"/>
        <source>File</source>
        <translation>Dosya</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="130"/>
        <source>Enable &amp;Antialiasing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="307"/>
        <source>Fit to Width</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="308"/>
        <source>Fit to Height</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="309"/>
        <source>Fit to Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="351"/>
        <source>Provides a more pleasant view of Type 1 fonts, TrueType Fonts, OpenType Fonts, EPS, PDF and vector graphics in the preview, at the expense of a slight slowdown in previewing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="124"/>
        <source>Display Settings</source>
        <translation type="unfinished">Görünüm Ayarları</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="267"/>
        <source>Mirror Page(s) Horizontal</source>
        <translation type="unfinished">Mirror Page(s) Horizontal</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="270"/>
        <source>Mirror Page(s) Vertical</source>
        <translation type="unfinished">Mirror Page(s) Vertical</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="276"/>
        <source>Print in Grayscale</source>
        <translation type="unfinished">Gri tonlamalı yazdır</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="282"/>
        <source>Convert Spot Colors</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>Apply ICC Profiles</source>
        <translation type="obsolete">ICC Profillerini uygula</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="356"/>
        <source>Enables Spot Colors to be converted to composite colors. Unless you are planning to print spot colors at a commercial printer, this is probably best left enabled.</source>
        <translation type="unfinished">Enables Spot Colours to be converted to composite colours. Unless you are planning to print spot colours at a commercial printer, this is probably best left enabled.</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="273"/>
        <source>Clip to Printer Margins</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="207"/>
        <source>Display Ink Coverage</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="215"/>
        <source>Threshold:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="218"/>
        <source> %</source>
        <translation type="unfinished"> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/preview.cpp" line="222"/>
        <source>None</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PSLib</name>
    <message>
        <source>Processing Master Pages:</source>
        <translation type="obsolete">Mastar Sayfalar işleniyor:</translation>
    </message>
    <message>
        <source>Exporting Pages:</source>
        <translation type="obsolete">Sayfalar ihraç ediliyor:</translation>
    </message>
    <message>
        <location filename="../../../scribus/pslib.cpp" line="1859"/>
        <source>Processing Master Page:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pslib.cpp" line="1859"/>
        <source>Exporting Page:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pslib.cpp" line="1795"/>
        <source>Failed to write data for an image</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pslib.cpp" line="1800"/>
        <source>Failed to load an image : %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pslib.cpp" line="1805"/>
        <source>Failed to load an image mask : %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pslib.cpp" line="1810"/>
        <source>Insufficient memory for processing an image</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PStyleW</name>
    <message>
        <source>Properties</source>
        <translation type="obsolete">Özellikler</translation>
    </message>
    <message>
        <source>Tabulators and Indentation</source>
        <translation type="obsolete">Cetvelleyici ve Girintileyiciler</translation>
    </message>
    <message>
        <source>Drop Caps</source>
        <translation type="obsolete">Drop Caps</translation>
    </message>
</context>
<context>
    <name>PStyleWBase</name>
    <message>
        <source>Properties</source>
        <translation type="obsolete">Özellikler</translation>
    </message>
    <message>
        <source>Tabulators and Indentation</source>
        <translation type="obsolete">Cetvelleyici ve Girintileyiciler</translation>
    </message>
</context>
<context>
    <name>PageItem</name>
    <message>
        <location filename="../../../scribus/pageitem.cpp" line="394"/>
        <source>Image</source>
        <translation>Resim</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem.cpp" line="398"/>
        <source>Text</source>
        <translation>Metin</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem.cpp" line="402"/>
        <source>Line</source>
        <translation>Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem.cpp" line="406"/>
        <source>Polygon</source>
        <translation>Çokgen</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem.cpp" line="410"/>
        <source>Polyline</source>
        <translation>Çoklu Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem.cpp" line="414"/>
        <source>PathText</source>
        <translation type="unfinished">PathText</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem.cpp" line="4261"/>
        <location filename="../../../scribus/pageitem.cpp" line="4262"/>
        <source>Copy of</source>
        <translation>Kopyası </translation>
    </message>
</context>
<context>
    <name>PageItemAttributes</name>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.cpp" line="21"/>
        <source>Relates To</source>
        <translation>İlgilidir</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.cpp" line="21"/>
        <source>Is Parent Of</source>
        <translation type="unfinished">Is Parent Of</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.cpp" line="21"/>
        <source>Is Child Of</source>
        <translation type="unfinished">Is Child Of</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.cpp" line="21"/>
        <source>None</source>
        <comment>relationship</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>Page Item Attributes</source>
        <translation type="obsolete">Sayfa Öğesi Nitelikleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="58"/>
        <source>&amp;Add</source>
        <translation type="unfinished">&amp;Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="61"/>
        <source>Alt+A</source>
        <translation type="unfinished">Alt+A</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="68"/>
        <source>&amp;Copy</source>
        <translation type="unfinished">K&amp;opyala</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="71"/>
        <source>Alt+C</source>
        <translation type="unfinished">Alt+C</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="78"/>
        <source>&amp;Delete</source>
        <translation type="unfinished">&amp;Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="81"/>
        <source>Alt+D</source>
        <translation type="unfinished">Alt+D</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="88"/>
        <source>C&amp;lear</source>
        <translation type="unfinished">&amp;Temizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="91"/>
        <source>Alt+L</source>
        <translation type="unfinished">Alt+L</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="114"/>
        <source>&amp;OK</source>
        <translation type="unfinished">&amp;Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="130"/>
        <source>&amp;Cancel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="23"/>
        <source>Name</source>
        <translation type="unfinished">İsim</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="28"/>
        <source>Type</source>
        <translation type="unfinished">Tip</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="33"/>
        <source>Value</source>
        <translation type="unfinished">Değer</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="38"/>
        <source>Parameter</source>
        <translation type="unfinished">Parametre</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="43"/>
        <source>Relationship</source>
        <translation type="unfinished">İlişki</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="48"/>
        <source>Relationship To</source>
        <translation type="unfinished">İlişkili</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitemattributes.ui" line="13"/>
        <source>Attributes</source>
        <translation type="unfinished">Nitelikler</translation>
    </message>
</context>
<context>
    <name>PageItemAttributesBase</name>
    <message>
        <source>Page Item Attributes</source>
        <translation type="obsolete">Sayfa Öğesi Nitelikleri</translation>
    </message>
    <message>
        <source>Name</source>
        <translation type="obsolete">İsim</translation>
    </message>
    <message>
        <source>Type</source>
        <translation type="obsolete">Tip</translation>
    </message>
    <message>
        <source>Value</source>
        <translation type="obsolete">Değer</translation>
    </message>
    <message>
        <source>Parameter</source>
        <translation type="obsolete">Parametre</translation>
    </message>
    <message>
        <source>Relationship</source>
        <translation type="obsolete">İlişki</translation>
    </message>
    <message>
        <source>Relationship To</source>
        <translation type="obsolete">İlişkili</translation>
    </message>
    <message>
        <source>&amp;Add</source>
        <translation type="obsolete">&amp;Ekle</translation>
    </message>
    <message>
        <source>Alt+A</source>
        <translation type="obsolete">Alt+A</translation>
    </message>
    <message>
        <source>&amp;Copy</source>
        <translation type="obsolete">K&amp;opyala</translation>
    </message>
    <message>
        <source>Alt+C</source>
        <translation type="obsolete">Alt+C</translation>
    </message>
    <message>
        <source>&amp;Delete</source>
        <translation type="obsolete">&amp;Sil</translation>
    </message>
    <message>
        <source>Alt+D</source>
        <translation type="obsolete">Alt+D</translation>
    </message>
    <message>
        <source>C&amp;lear</source>
        <translation type="obsolete">&amp;Temizle</translation>
    </message>
    <message>
        <source>Alt+L</source>
        <translation type="obsolete">Alt+L</translation>
    </message>
    <message>
        <source>&amp;OK</source>
        <translation type="obsolete">&amp;Tamam</translation>
    </message>
    <message>
        <source>&amp;Cancel</source>
        <translation type="obsolete">İp&amp;tal</translation>
    </message>
</context>
<context>
    <name>PageItem_ImageFrame</name>
    <message>
        <source>Picture</source>
        <translation type="obsolete">Resim</translation>
    </message>
    <message>
        <source>Preview Settings</source>
        <translation type="obsolete">Önizleme Ayarları</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="303"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="484"/>
        <source>Image</source>
        <translation type="unfinished">Resim</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="92"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="319"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="490"/>
        <source>Embedded Image</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="94"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="316"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="350"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="492"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="519"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="521"/>
        <source>File:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="95"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="324"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="493"/>
        <source>Original PPI:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="96"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="329"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="494"/>
        <source>Actual PPI:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="97"/>
        <source>Size:</source>
        <translation type="unfinished">Ölçü:</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="98"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="334"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="495"/>
        <source>Colorspace:</source>
        <translation type="unfinished">Colourspace:</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="102"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="339"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="499"/>
        <source>Unknown</source>
        <translation type="unfinished">Bilinmeyen</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="109"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="506"/>
        <source>Page:</source>
        <translation type="unfinished">Sayfa:</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="111"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="508"/>
        <source>Pages:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="354"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="517"/>
        <source>Embedded Image missing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="356"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="519"/>
        <source>missing or corrupt</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="358"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="521"/>
        <source>missing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="363"/>
        <location filename="../../../scribus/pageitem_imageframe.cpp" line="524"/>
        <source>No Image Loaded</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PageItem_LatexFrame</name>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="245"/>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="266"/>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="414"/>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="419"/>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="578"/>
        <source>Error</source>
        <translation type="unfinished">Hata</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="163"/>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="181"/>
        <source>Running the external application failed!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="246"/>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="250"/>
        <source>Could not create a temporary file to run the application!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>Information</source>
        <translation type="obsolete">Bilgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="426"/>
        <source>Running the application &quot;%1&quot; failed!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="583"/>
        <source>Running</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="420"/>
        <source>The application &quot;%1&quot; crashed!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="572"/>
        <source>Application</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="573"/>
        <source>DPI</source>
        <translation type="unfinished">DPI</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="575"/>
        <source>State</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="580"/>
        <source>Finished</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="44"/>
        <source>Render</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="164"/>
        <source>This is usually a problem with your input. Please check the program&apos;s output.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="166"/>
        <source>Do you want to open the editor to fix the problem?</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="267"/>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="271"/>
        <source>The config file didn&apos;t specify a executable path!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="415"/>
        <source>The application &quot;%1&quot; failed to start! Please check the path: </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="571"/>
        <source>Render Frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="235"/>
        <source>No configuration defined to run the application!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="433"/>
        <source>No application defined</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="130"/>
        <source>Rendering...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_latexframe.cpp" line="139"/>
        <source>Render Error</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PageItem_PathText</name>
    <message>
        <location filename="../../../scribus/pageitem_pathtext.cpp" line="315"/>
        <source>Paragraphs: </source>
        <translation type="unfinished">Paragraflar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_pathtext.cpp" line="323"/>
        <source>Lines: </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_pathtext.cpp" line="329"/>
        <source>Words: </source>
        <translation type="unfinished">Kelimeler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_pathtext.cpp" line="337"/>
        <source>Chars: </source>
        <translation type="unfinished">Karakterler:</translation>
    </message>
</context>
<context>
    <name>PageItem_TextFrame</name>
    <message>
        <location filename="../../../scribus/pageitem_textframe.cpp" line="3864"/>
        <source>Linked Text</source>
        <translation type="unfinished">Bağlı Metin</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_textframe.cpp" line="3866"/>
        <source>Text Frame</source>
        <translation type="unfinished">Metin çerçevesi</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_textframe.cpp" line="3870"/>
        <source>Paragraphs: </source>
        <translation type="unfinished">Paragraflar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_textframe.cpp" line="3878"/>
        <source>Lines: </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_textframe.cpp" line="3884"/>
        <source>Words: </source>
        <translation type="unfinished">Kelimeler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageitem_textframe.cpp" line="3892"/>
        <source>Chars: </source>
        <translation type="unfinished">Karakterler:</translation>
    </message>
</context>
<context>
    <name>PageLayouts</name>
    <message>
        <source>Page Layout</source>
        <translation type="obsolete">Sayfa Mizanpajı</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagelayout.cpp" line="266"/>
        <source>First Page is:</source>
        <translation>İlk sayfa:</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagelayout.cpp" line="197"/>
        <source>Document Layout</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pagelayout.cpp" line="268"/>
        <source>Number of pages to show side-by-side on the canvas
Often used for allowing items to be placed across page spreads</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pagelayout.cpp" line="273"/>
        <source>Location on the canvas where the first page of the document is placed</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PagePalette</name>
    <message>
        <source>Double sided</source>
        <translation type="obsolete">Çift taraflı</translation>
    </message>
    <message>
        <source>Middle Right</source>
        <translation type="obsolete">Orta Sağ</translation>
    </message>
    <message>
        <source>Drag pages or master pages onto the trashbin to delete them</source>
        <translation type="obsolete">Sayfa ya da mastar sayfaları silmek için çöp kutusu üzerine sürükleyin</translation>
    </message>
    <message>
        <source>Here are all your master pages. To create a new page, drag a master page to the page view below</source>
        <translation type="obsolete">Mastar sayfalarınız burada. Yeni sayfa yaratmak için, bir mastar sayfayı aşağıdaki sayfa görüntüsüne sürükleyin</translation>
    </message>
    <message>
        <source>Normal</source>
        <translation type="obsolete">Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagepalette.cpp" line="928"/>
        <source>Arrange Pages</source>
        <translation>Sayfaları Tanzim et </translation>
    </message>
    <message>
        <location filename="../../../scribus/pagepalette.cpp" line="929"/>
        <source>Available Master Pages:</source>
        <translation>Mevcut Mastar Sayfalar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagepalette.cpp" line="930"/>
        <source>Document Pages:</source>
        <translation>Belge Sayfaları:</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagepalette.cpp" line="933"/>
        <source>List of normal pages in the document, shown with the document layout. Pages may be dragged to rearrange or delete them.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pagepalette.cpp" line="934"/>
        <source>Drag pages or master pages onto the trash to delete them</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pagepalette.cpp" line="932"/>
        <source>List of master pages in the document. Master page names may be dragged onto the page view below to apply master pages, or onto the empty space between pages to create new pages.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pagepalette.cpp" line="636"/>
        <source>This master page is used at least once in the document.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pagepalette.cpp" line="640"/>
        <source>Do you really want to delete this master page?</source>
        <translation type="unfinished">Bu mastar sayfayı gerçekten silmek istiyor musunuz?</translation>
    </message>
</context>
<context>
    <name>PageSelector</name>
    <message>
        <source>%1 of %2</source>
        <translation type="obsolete">%1 of %2</translation>
    </message>
    <message>
        <source>%1 of %1</source>
        <translation type="obsolete">%1 of %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/pageselector.cpp" line="268"/>
        <source>Go to the first page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageselector.cpp" line="269"/>
        <source>Go to the previous page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageselector.cpp" line="270"/>
        <source>Go to the next page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageselector.cpp" line="271"/>
        <source>Go to the last page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageselector.cpp" line="272"/>
        <source>Select the current page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pageselector.cpp" line="273"/>
        <source> of %1</source>
        <comment>number of pages in document</comment>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PageSize</name>
    <message>
        <source>Quarto</source>
        <translation type="obsolete">Quarto</translation>
    </message>
    <message>
        <source>Foolscap</source>
        <translation type="obsolete">Foolscap</translation>
    </message>
    <message>
        <source>Letter</source>
        <translation type="obsolete">Letter</translation>
    </message>
    <message>
        <source>Government Letter</source>
        <translation type="obsolete">Government Letter</translation>
    </message>
    <message>
        <source>Legal</source>
        <translation type="obsolete">Legal</translation>
    </message>
    <message>
        <source>Ledger</source>
        <translation type="obsolete">Ledger</translation>
    </message>
    <message>
        <source>Executive</source>
        <translation type="obsolete">Executive</translation>
    </message>
    <message>
        <source>Post</source>
        <translation type="obsolete">Post</translation>
    </message>
    <message>
        <source>Crown</source>
        <translation type="obsolete">Crown</translation>
    </message>
    <message>
        <source>Large Post</source>
        <translation type="obsolete">Large Post</translation>
    </message>
    <message>
        <source>Demy</source>
        <translation type="obsolete">Demy</translation>
    </message>
    <message>
        <source>Medium</source>
        <translation type="obsolete">Medium</translation>
    </message>
    <message>
        <source>Royal</source>
        <translation type="obsolete">Royal</translation>
    </message>
    <message>
        <source>Elephant</source>
        <translation type="obsolete">Elephant</translation>
    </message>
    <message>
        <source>Double Demy</source>
        <translation type="obsolete">Double Demy</translation>
    </message>
    <message>
        <source>Quad Demy</source>
        <translation type="obsolete">Quad Demy</translation>
    </message>
    <message>
        <source>STMT</source>
        <translation type="obsolete">STMT</translation>
    </message>
    <message>
        <source>A</source>
        <translation type="obsolete">A</translation>
    </message>
    <message>
        <source>B</source>
        <translation type="obsolete">B</translation>
    </message>
    <message>
        <source>C</source>
        <translation type="obsolete">C</translation>
    </message>
    <message>
        <source>D</source>
        <translation type="obsolete">D</translation>
    </message>
    <message>
        <source>E</source>
        <translation type="obsolete">E</translation>
    </message>
</context>
<context>
    <name>ParaStyleComboBox</name>
    <message>
        <location filename="../../../scribus/spalette.cpp" line="38"/>
        <location filename="../../../scribus/spalette.cpp" line="51"/>
        <location filename="../../../scribus/spalette.cpp" line="62"/>
        <source>No Style</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PathAlongPathPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathalongpath.cpp" line="69"/>
        <source>Path Along Path...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathalongpath.cpp" line="73"/>
        <source>Path Tools</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathalongpath.cpp" line="96"/>
        <source>Bends a Polygon along a Polyline</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathalongpath.cpp" line="97"/>
        <source>This plugin bends a Polygon with the help of a Polyline.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PathConnectDialogBase</name>
    <message>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnectdialogbase.ui" line="13"/>
        <source>Connect Paths</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnectdialogbase.ui" line="27"/>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnectdialogbase.ui" line="48"/>
        <source>Starting Point</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnectdialogbase.ui" line="32"/>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnectdialogbase.ui" line="53"/>
        <source>End Point</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnectdialogbase.ui" line="69"/>
        <source>a straight Line</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnectdialogbase.ui" line="74"/>
        <source>Points moving</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnectdialogbase.ui" line="82"/>
        <source>Preview on Canvas</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnectdialogbase.ui" line="19"/>
        <source>Connect First Line</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnectdialogbase.ui" line="40"/>
        <source>with Second Line</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnectdialogbase.ui" line="61"/>
        <source>by using:</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PathConnectPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnect.cpp" line="65"/>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnect.cpp" line="90"/>
        <source>Connect Paths</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnect.cpp" line="69"/>
        <source>Path Tools</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnect.cpp" line="91"/>
        <source>Connect 2 Polylines.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PathCutPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/tools/pathcut/pathcut.cpp" line="70"/>
        <source>Cut Polygon</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathcut/pathcut.cpp" line="76"/>
        <source>Path Tools</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathcut/pathcut.cpp" line="99"/>
        <location filename="../../../scribus/plugins/tools/pathcut/pathcut.cpp" line="100"/>
        <source>Cuts a Polygon by a Polyline</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathcut/pathcut.cpp" line="119"/>
        <source>Qt Version too old</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathcut/pathcut.cpp" line="119"/>
        <source>This plugin requires at least version 4.3.3 of the Qt library</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathcut/pathcut.cpp" line="150"/>
        <source>Error</source>
        <translation type="unfinished">Hata</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathcut/pathcut.cpp" line="150"/>
        <source>The cutting line must cross the polygon and
both end points must lie outside of the polygon</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PathDialogBase</name>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="13"/>
        <source>Path along Path</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="21"/>
        <source>Effect Type</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="29"/>
        <source>Single</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="34"/>
        <source>Single, stretched</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="39"/>
        <source>Repeated</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="44"/>
        <source>Repeated, stretched</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="52"/>
        <source>Horizontal Offset</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="62"/>
        <source>Vertical Offset</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="103"/>
        <source>Gap between Objects</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="113"/>
        <source>Preview on Canvas</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="72"/>
        <source>Rotate Objects by:</source>
        <translation type="unfinished"></translation>
    </message>
    <message utf8="true">
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="80"/>
        <source>0°</source>
        <translation type="unfinished"></translation>
    </message>
    <message utf8="true">
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="85"/>
        <source>90°</source>
        <translation type="unfinished"></translation>
    </message>
    <message utf8="true">
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="90"/>
        <source>180°</source>
        <translation type="unfinished"></translation>
    </message>
    <message utf8="true">
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui" line="95"/>
        <source>270°</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PathFinderBase</name>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="14"/>
        <source>Boolean Path Operations</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="111"/>
        <source>+</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="222"/>
        <source>=</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="304"/>
        <source>Operation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="319"/>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="338"/>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="354"/>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="370"/>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="387"/>
        <source>...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="411"/>
        <source>Swap Shapes</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>Options</source>
        <translation type="obsolete">Seçenekler</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="42"/>
        <source>First source shape.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="153"/>
        <source>Second source shape.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="261"/>
        <source>The resulting shape.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="316"/>
        <source>Unites the shapes</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="351"/>
        <source>Intersection of the shapes</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="367"/>
        <source>Result is the area where the two shapes do not intersect</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="383"/>
        <source>Break apart,
The result is a combination of &quot;Intersection&quot; and &quot;Exclusion&quot;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="482"/>
        <source>Custom Colors</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="494"/>
        <source>Stroke:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="520"/>
        <source>Fill:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="61"/>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="172"/>
        <source>Keep a copy of the original item after applying the operation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="64"/>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="175"/>
        <source>Keep</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="335"/>
        <source>Subtracts the second shape from the first shape</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="408"/>
        <source>Exchange the Source Shapes</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="456"/>
        <source>The resulting shape uses the color of the first source shape</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="459"/>
        <source>First Shape</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="469"/>
        <source>The resulting shape uses the color of the second source shape</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="472"/>
        <source>Second Shape</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="479"/>
        <source>The resulting shape uses the colors listed below</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="510"/>
        <source>Stroke Color</source>
        <translation type="unfinished">Vurgu Rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="530"/>
        <source>Fill Color</source>
        <translation type="unfinished">Doldurma Rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderbase.ui" line="450"/>
        <source>Result Takes Color from:</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PathFinderDialog</name>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderdialog.cpp" line="103"/>
        <source>Result gets Color of:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinderdialog.cpp" line="127"/>
        <source>Intersection gets Color of:</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PathFinderPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinder.cpp" line="76"/>
        <source>Path Operations...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinder.cpp" line="80"/>
        <source>Path Tools</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinder.cpp" line="105"/>
        <source>Path Operations</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinder.cpp" line="106"/>
        <source>Apply fancy boolean operations to paths.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PathStrokerPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/tools/pathstroker/pathstroker.cpp" line="71"/>
        <location filename="../../../scribus/plugins/tools/pathstroker/pathstroker.cpp" line="96"/>
        <source>Create Path from Stroke</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathstroker/pathstroker.cpp" line="75"/>
        <source>Path Tools</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathstroker/pathstroker.cpp" line="97"/>
        <source>Converts the stroke of a Path to a filled Path.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PatternDialog</name>
    <message>
        <location filename="../../../scribus/patterndialog.cpp" line="130"/>
        <source>Choose a Directory</source>
        <translation type="unfinished">Dizin Seçin</translation>
    </message>
    <message>
        <location filename="../../../scribus/patterndialog.cpp" line="158"/>
        <source>Loading Patterns</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/patterndialog.cpp" line="292"/>
        <source>All Files (*)</source>
        <translation type="unfinished">Tüm dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/patterndialog.cpp" line="306"/>
        <source>Open</source>
        <translation type="unfinished">Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/patterndialog.ui" line="15"/>
        <source>Patterns</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/patterndialog.ui" line="48"/>
        <source>Load File</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/patterndialog.ui" line="55"/>
        <source>Load Set</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/patterndialog.ui" line="69"/>
        <source>Remove</source>
        <translation type="unfinished">Kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/patterndialog.ui" line="76"/>
        <source>Remove All</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/patterndialog.ui" line="99"/>
        <source>OK</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/patterndialog.ui" line="106"/>
        <source>Cancel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/patterndialog.cpp" line="85"/>
        <source>&amp;Name:</source>
        <translation type="unfinished">İ&amp;sim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/patterndialog.cpp" line="85"/>
        <source>Rename Entry</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/patterndialog.cpp" line="209"/>
        <source>All Supported Formats</source>
        <translation type="unfinished">Desteklenen tüm dosya türleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/patterndialog.ui" line="62"/>
        <source>Rename</source>
        <translation type="unfinished">Yeniden isimlendir</translation>
    </message>
</context>
<context>
    <name>PctPlug</name>
    <message>
        <location filename="../../../scribus/plugins/import/pct/importpct.cpp" line="82"/>
        <source>Importing: %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/pct/importpct.cpp" line="85"/>
        <source>Analyzing File:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/pct/importpct.cpp" line="209"/>
        <source>Group%1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/pct/importpct.cpp" line="368"/>
        <source>Generating Items</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PicSearch</name>
    <message>
        <location filename="../../../scribus/picsearch.ui" line="14"/>
        <source>Result</source>
        <translation type="unfinished">Sonuç</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearch.ui" line="34"/>
        <source>Search Results for: </source>
        <translation type="unfinished">Arama sonuçları:</translation>
    </message>
    <message>
        <source>Preview</source>
        <translation type="obsolete">Önizleme</translation>
    </message>
    <message>
        <source>Select</source>
        <translation type="obsolete">Seç</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearch.ui" line="128"/>
        <source>Cancel</source>
        <translation type="unfinished">İptal</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearch.cpp" line="108"/>
        <source>Size:</source>
        <translation type="unfinished">Ölçü:</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearch.cpp" line="109"/>
        <source>Resolution:</source>
        <translation type="unfinished">Çözünürlük:</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearch.cpp" line="109"/>
        <source>DPI</source>
        <translation type="unfinished">DPI</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearch.cpp" line="112"/>
        <source>Unknown</source>
        <translation type="unfinished">Bilinmeyen</translation>
    </message>
    <message>
        <source>RGB</source>
        <translation type="obsolete">RGB</translation>
    </message>
    <message>
        <source>CMYK</source>
        <translation type="obsolete">CMYK</translation>
    </message>
    <message>
        <source>Grayscale</source>
        <translation type="obsolete">Gri Tonlama</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearch.cpp" line="115"/>
        <source>Colorspace:</source>
        <translation type="unfinished">Colourspace:</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearch.ui" line="86"/>
        <source>&amp;Preview</source>
        <translation type="unfinished">Öni&amp;zleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearch.ui" line="89"/>
        <source>Alt+P</source>
        <translation type="unfinished">Alt+P</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearch.ui" line="115"/>
        <source>&amp;Select</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearch.ui" line="118"/>
        <source>Alt+S</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PicSearchBase</name>
    <message>
        <source>Result</source>
        <translation type="obsolete">Sonuç</translation>
    </message>
    <message>
        <source>Search Results for: </source>
        <translation type="obsolete">Arama sonuçları:</translation>
    </message>
    <message>
        <source>&amp;Preview</source>
        <translation type="obsolete">Öni&amp;zleme</translation>
    </message>
    <message>
        <source>Alt+P</source>
        <translation type="obsolete">Alt+P</translation>
    </message>
</context>
<context>
    <name>PicSearchOptions</name>
    <message>
        <location filename="../../../scribus/picsearchoptions.cpp" line="52"/>
        <source>The filesystem will be searched for case insensitive file names when you check this on. Remember it is not default on most operating systems except MS Windows</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearchoptions.cpp" line="59"/>
        <source>Cancel Search</source>
        <translation type="unfinished">Aramayı İptal Et</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearchoptions.ui" line="124"/>
        <location filename="../../../scribus/picsearchoptions.cpp" line="68"/>
        <source>Start Search</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearchoptions.cpp" line="92"/>
        <source>Select a base directory for search</source>
        <translation type="unfinished">Arama için başlangıç dizini seçin</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearchoptions.cpp" line="104"/>
        <location filename="../../../scribus/picsearchoptions.cpp" line="141"/>
        <source>Scribus - Image Search</source>
        <translation type="unfinished">Scribus - Resim Arama</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearchoptions.cpp" line="141"/>
        <source>The search failed: %1</source>
        <translation type="unfinished">Arama başarısız oldu: %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearchoptions.ui" line="13"/>
        <source>Search Images</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearchoptions.ui" line="25"/>
        <source>Search for:</source>
        <translation type="unfinished">Bunu ara:</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearchoptions.ui" line="38"/>
        <source>Start at:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearchoptions.ui" line="64"/>
        <source>Change...</source>
        <translation type="unfinished">Değiştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearchoptions.ui" line="79"/>
        <source>Searching</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearchoptions.ui" line="141"/>
        <source>Case insensitive search</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearchoptions.ui" line="148"/>
        <source>Search recursively</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picsearchoptions.cpp" line="104"/>
        <source>Base directory for search does not exist.
Please choose another one.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PicStatus</name>
    <message>
        <source>Goto</source>
        <translation type="obsolete">Git</translation>
    </message>
    <message>
        <source>Yes</source>
        <translation type="obsolete">Evet</translation>
    </message>
    <message>
        <source>OK</source>
        <translation type="obsolete">Tamam</translation>
    </message>
    <message>
        <source>Missing</source>
        <translation type="obsolete">Kayıp</translation>
    </message>
    <message>
        <source>Search</source>
        <translation type="obsolete">Ara</translation>
    </message>
    <message>
        <source>Name</source>
        <translation type="obsolete">İsim</translation>
    </message>
    <message>
        <source>Path</source>
        <translation type="obsolete">Yol</translation>
    </message>
    <message>
        <source>Page</source>
        <translation type="obsolete">Sayfa</translation>
    </message>
    <message>
        <source>Print</source>
        <translation type="obsolete">Yazdır</translation>
    </message>
    <message>
        <source>Status</source>
        <translation type="obsolete">Durum</translation>
    </message>
    <message>
        <source>Cancel Search</source>
        <translation type="obsolete">Aramayı İptal Et</translation>
    </message>
    <message>
        <source>Manage Pictures</source>
        <translation type="obsolete">Resim Yönetimi</translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="439"/>
        <source>Scribus - Image Search</source>
        <translation>Scribus - Resim Arama</translation>
    </message>
    <message>
        <source>The search failed: %1</source>
        <translation type="obsolete">Arama başarısız oldu: %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="439"/>
        <source>No images named &quot;%1&quot; were found.</source>
        <translation>&quot;%1&quot; isimli hiç resim bulunamadı.</translation>
    </message>
    <message>
        <source>Select a base directory for search</source>
        <translation type="obsolete">Arama için başlangıç dizini seçin</translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="684"/>
        <source>Close</source>
        <translation type="unfinished">Kapat</translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="259"/>
        <source>Not on a Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="284"/>
        <source>JPG</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="287"/>
        <source>TIFF</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="290"/>
        <source>PSD</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="293"/>
        <source>EPS/PS</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="296"/>
        <source>PDF</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="299"/>
        <source>JPG2000</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="305"/>
        <source>emb. PSD</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="311"/>
        <source>Unknown</source>
        <translation type="unfinished">Bilinmeyen</translation>
    </message>
    <message>
        <source>RGB</source>
        <translation type="obsolete">RGB</translation>
    </message>
    <message>
        <source>CMYK</source>
        <translation type="obsolete">CMYK</translation>
    </message>
    <message>
        <source>Grayscale</source>
        <translation type="obsolete">Gri Tonlama</translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="328"/>
        <source>n/a</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="83"/>
        <source>Information</source>
        <translation type="unfinished">Bilgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="155"/>
        <source>Path:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="198"/>
        <source>Search...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="105"/>
        <source>Name:</source>
        <translation type="unfinished">İsim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="215"/>
        <source>Image</source>
        <translation type="unfinished">Resim</translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="288"/>
        <source>DPI:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="221"/>
        <source>Format:</source>
        <translation type="unfinished">Biçim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="256"/>
        <source>Colorspace:</source>
        <translation type="unfinished">Colourspace:</translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="323"/>
        <source>Size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="329"/>
        <source>Pixels:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="358"/>
        <source>Scale:</source>
        <translation type="unfinished">Ölçeklendir:</translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="387"/>
        <source>Printed:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="425"/>
        <source>Layout</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="433"/>
        <source>On Page:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="546"/>
        <source>Select</source>
        <translation type="unfinished">Seç</translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="575"/>
        <source>Image Tools</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="623"/>
        <source>Image Visible</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="633"/>
        <source>Image Effects...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="613"/>
        <source>Edit Image...</source>
        <translation type="unfinished">Resmi Düzenle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="600"/>
        <source>Extended Image Properties...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="228"/>
        <source>Sort by Name</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="230"/>
        <source>Sort by Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="16"/>
        <source>Manage Images</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="530"/>
        <source>Go to</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="127"/>
        <source>Name of the image file</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="177"/>
        <source>Location where the image file is stored</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="195"/>
        <source>Search for a missing image</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="240"/>
        <source>Type of the image</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="253"/>
        <source>The colorspace of the image</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="275"/>
        <source>Colorspace used within the image, eg RGB or CMYK</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="307"/>
        <source>Native resolution of the image, in dots per inch</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="345"/>
        <source>Height and width of the image</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="374"/>
        <source>Horizontal and vertical scaling applied to the image</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="409"/>
        <source>Size of the image when printed</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="449"/>
        <source>Page that the image is displayed on</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="462"/>
        <source>Page Item:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="478"/>
        <source>Name of the page item that contains the image</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="491"/>
        <source>Effective DPI:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="510"/>
        <source>Effective resolution of the image after scaling</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="527"/>
        <source>Move to the page that the image is on</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="543"/>
        <source>Move to the page that the item is on and select it</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="587"/>
        <source>Enable or disable exporting of the item</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="590"/>
        <source>Export/Print Image</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="597"/>
        <source>Set format specfic properties of certain image types, like clipping paths</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="610"/>
        <source>Edit the image in the default editor</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="620"/>
        <source>Make the image visible or invisible</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.ui" line="630"/>
        <source>Apply non destructive effects to the image in its frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/picstatus.cpp" line="128"/>
        <location filename="../../../scribus/picstatus.cpp" line="143"/>
        <location filename="../../../scribus/picstatus.cpp" line="270"/>
        <source>Embedded Image</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PixmapExportPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="62"/>
        <source>Save as &amp;Image...</source>
        <translation>Resim olarak &amp;kaydet...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="73"/>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="81"/>
        <source>Export As Image</source>
        <translation>Resim Olarak Gönder</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="82"/>
        <source>Exports selected pages as bitmap images.</source>
        <translation>Seçili sayfaları bitmap resmi olarak kaydeder.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="120"/>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="126"/>
        <source>Save as Image</source>
        <translation type="unfinished">Resim olarak Kaydet</translation>
    </message>
    <message>
        <source>Error writing the output file(s).</source>
        <translation type="obsolete">Çıktı dosyası yazarken hata oluştu.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="147"/>
        <source>Export successful</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="121"/>
        <source>The target location %1 must be an existing directory</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/pixmapexport/export.cpp" line="127"/>
        <source>The target location %1 must be writable</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PluginManager</name>
    <message>
        <location filename="../../../scribus/pluginmanager.cpp" line="61"/>
        <location filename="../../../scribus/pluginmanager.cpp" line="73"/>
        <source>Cannot find plugin</source>
        <comment>plugin manager</comment>
        <translation>Eklenti bulunamıyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanager.cpp" line="62"/>
        <source>unknown error</source>
        <comment>plugin manager</comment>
        <translation>bilinmeyen hata</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanager.cpp" line="87"/>
        <location filename="../../../scribus/pluginmanager.cpp" line="93"/>
        <location filename="../../../scribus/pluginmanager.cpp" line="98"/>
        <source>Cannot find symbol (%1)</source>
        <comment>plugin manager</comment>
        <translation>Sembol bulunamadı (%1)</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanager.cpp" line="158"/>
        <source>Plugin: loading %1</source>
        <comment>plugin manager</comment>
        <translation>Eklenti: %1 yükleniyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanager.cpp" line="265"/>
        <source>init failed</source>
        <comment>plugin load error</comment>
        <translation>init failed</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanager.cpp" line="271"/>
        <source>unknown plugin type</source>
        <comment>plugin load error</comment>
        <translation>bilinmeyen eklenti türü</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanager.cpp" line="274"/>
        <source>Plugin: %1 loaded</source>
        <comment>plugin manager</comment>
        <translation>Eklenti: %1 yüklendi</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanager.cpp" line="278"/>
        <source>Plugin: %1 failed to load: %2</source>
        <comment>plugin manager</comment>
        <translation>Eklenti: %1 yüklenemedi: %2</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanager.cpp" line="345"/>
        <source>Plugin: %1 initialized ok </source>
        <comment>plugin manager</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanager.cpp" line="347"/>
        <source>Plugin: %1 failed post initialization</source>
        <comment>plugin manager</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanager.cpp" line="231"/>
        <source>There is a problem loading %1 of %2 plugins. %3 This is probably caused by some kind of dependency issue or old plugins existing in your install directory. If you clean out your install directory and reinstall and this still occurs, please report it on bugs.scribus.net.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PluginManagerPrefsGui</name>
    <message>
        <location filename="../../../scribus/pluginmanagerprefsgui.ui" line="20"/>
        <source>Plugin Manager</source>
        <translation>Eklenti Yöneticisi</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanagerprefsgui.ui" line="36"/>
        <source>Plugin</source>
        <translation>Eklenti</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanagerprefsgui.ui" line="41"/>
        <source>How to run</source>
        <translation>Nasıl çalışacak</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanagerprefsgui.ui" line="46"/>
        <source>Type</source>
        <translation>Tip</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanagerprefsgui.ui" line="51"/>
        <source>Load it?</source>
        <translation>Yükle?</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanagerprefsgui.ui" line="56"/>
        <source>Plugin ID</source>
        <translation>Eklenti ID</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanagerprefsgui.ui" line="61"/>
        <source>File</source>
        <translation>Dosya</translation>
    </message>
    <message>
        <source>Yes</source>
        <translation type="obsolete">Evet</translation>
    </message>
    <message>
        <source>No</source>
        <translation type="obsolete">Hayır</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanagerprefsgui.ui" line="69"/>
        <source>You need to restart the application to apply the changes.</source>
        <translation>Değişikliklerin uygulanması için programı kapatıp açmalısınız.</translation>
    </message>
    <message>
        <location filename="../../../scribus/pluginmanagerprefsgui.ui" line="14"/>
        <source>Form</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PolygonProps</name>
    <message>
        <location filename="../../../scribus/polyprops.cpp" line="20"/>
        <source>Polygon Properties</source>
        <translation>Çokgen Özellikleri</translation>
    </message>
</context>
<context>
    <name>PolygonWidget</name>
    <message>
        <source>Corn&amp;ers:</source>
        <translation type="obsolete">Köşe&amp;ler:</translation>
    </message>
    <message>
        <source>&amp;Rotation:</source>
        <translation type="obsolete">Dön&amp;dürme:</translation>
    </message>
    <message>
        <source>Apply &amp;Factor</source>
        <translation type="obsolete">Apply &amp;Factor</translation>
    </message>
    <message>
        <source> %</source>
        <translation type="obsolete"> %</translation>
    </message>
    <message>
        <source>&amp;Factor:</source>
        <translation type="obsolete">&amp;Factor:</translation>
    </message>
    <message>
        <source>Number of corners for polygons</source>
        <translation type="obsolete">Çokgenler için köşe sayısı</translation>
    </message>
    <message>
        <source>Degrees of rotation for polygons</source>
        <translation type="obsolete">Çokgenler için döndürme derecesi</translation>
    </message>
    <message>
        <source>Apply Convex/Concave Factor to change shape of Polygons</source>
        <translation type="obsolete">Apply Convex/Concave Factor to change shape of Polygons</translation>
    </message>
    <message>
        <source>Sample Polygon</source>
        <translation type="obsolete">Örnek Çokgen</translation>
    </message>
    <message>
        <source>A negative value will make the polygon concave (or star shaped), a positive value will make it convex</source>
        <translation type="obsolete">Negatif değer çokgeni içbükey, pozitifi ise dışbükey yapar</translation>
    </message>
</context>
<context>
    <name>PolygonWidgetBase</name>
    <message>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="19"/>
        <source>Form</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="30"/>
        <source>Corn&amp;ers:</source>
        <translation type="unfinished">Köşe&amp;ler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="40"/>
        <source>Number of corners for polygons</source>
        <translation type="unfinished">Çokgenler için köşe sayısı</translation>
    </message>
    <message>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="53"/>
        <source>&amp;Rotation:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="63"/>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="76"/>
        <source>Degrees of rotation for polygons</source>
        <translation type="unfinished">Çokgenler için döndürme derecesi</translation>
    </message>
    <message>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="121"/>
        <source>Sample Polygon</source>
        <translation type="unfinished">Örnek Çokgen</translation>
    </message>
    <message>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="143"/>
        <source>Apply Convex/Concave Factor to change shape of Polygons</source>
        <translation type="unfinished">Apply Convex/Concave Factor to change shape of Polygons</translation>
    </message>
    <message>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="146"/>
        <source>Apply &amp;Factor</source>
        <translation type="unfinished">Apply &amp;Factor</translation>
    </message>
    <message>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="161"/>
        <source>&amp;Factor:</source>
        <translation type="unfinished">&amp;Factor:</translation>
    </message>
    <message>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="171"/>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="187"/>
        <source>A negative value will make the polygon concave (or star shaped), a positive value will make it convex</source>
        <translation type="unfinished">Negatif değer çokgeni içbükey, pozitifi ise dışbükey yapar</translation>
    </message>
    <message>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="174"/>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="216"/>
        <source> %</source>
        <translation type="unfinished"> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/polygonwidgetbase.ui" line="206"/>
        <source>C&amp;urvature:</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>Preferences</name>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="72"/>
        <source>Preferences</source>
        <translation>Tercihler</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="75"/>
        <source>General</source>
        <translation>Genel</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="78"/>
        <source>Document</source>
        <translation>Belge</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="81"/>
        <source>Guides</source>
        <translation>Kılavuzlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="84"/>
        <source>Typography</source>
        <translation>Tipografi</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="87"/>
        <source>Tools</source>
        <translation>Araçlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="90"/>
        <source>Hyphenation and Spelling</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="135"/>
        <source>Scrapbook</source>
        <translation>Albüm</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="138"/>
        <source>Display</source>
        <translation>Görünüm</translation>
    </message>
    <message>
        <source>GUI</source>
        <translation type="obsolete">GUI</translation>
    </message>
    <message>
        <source>Paths</source>
        <translation type="obsolete">Yollar</translation>
    </message>
    <message>
        <source>Page Size</source>
        <translation type="obsolete">Sayfa Boyutu</translation>
    </message>
    <message>
        <source>Custom</source>
        <translation type="obsolete">Özel</translation>
    </message>
    <message>
        <source>Portrait</source>
        <translation type="obsolete">Dikey</translation>
    </message>
    <message>
        <source>Landscape</source>
        <translation type="obsolete">Yatay</translation>
    </message>
    <message>
        <source>Margin Guides</source>
        <translation type="obsolete">Kenarlık Kılavuzları</translation>
    </message>
    <message>
        <source>Autosave</source>
        <translation type="obsolete">Otomatik Kaydet</translation>
    </message>
    <message>
        <source>min</source>
        <translation type="obsolete">min</translation>
    </message>
    <message>
        <source> pt</source>
        <translation type="obsolete"> pt</translation>
    </message>
    <message>
        <source>Other Options</source>
        <translation type="obsolete">Diğer Seçenekler</translation>
    </message>
    <message>
        <source>Preview</source>
        <translation type="obsolete">Önizleme</translation>
    </message>
    <message>
        <source>Small</source>
        <translation type="obsolete">Küçük</translation>
    </message>
    <message>
        <source>Medium</source>
        <translation type="obsolete">Orta</translation>
    </message>
    <message>
        <source>Choose a Directory</source>
        <translation type="obsolete">Dizin Seçin</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="141"/>
        <source>External Tools</source>
        <translation>Dış Araçlar</translation>
    </message>
    <message>
        <source>Image Processing Tool</source>
        <translation type="obsolete">Resim İşleme Aracı</translation>
    </message>
    <message>
        <source>Printing</source>
        <translation type="obsolete">Yazdırma</translation>
    </message>
    <message>
        <source>Default font size for the menus and windows</source>
        <translation type="obsolete">Default font size for the menus and windows</translation>
    </message>
    <message>
        <source>Default unit of measurement for document editing</source>
        <translation type="obsolete">Default unit of measurement for document editing</translation>
    </message>
    <message>
        <source>Number of lines Scribus will scroll for each move of the mouse wheel</source>
        <translation type="obsolete">Number of lines Scribus will scroll for each move of the mouse wheel</translation>
    </message>
    <message>
        <source>Number of recently edited documents to show in the File menu</source>
        <translation type="obsolete">Number of recently edited documents to show in the File menu</translation>
    </message>
    <message>
        <source>Default documents directory</source>
        <translation type="obsolete">Öntanımlı belge dizini</translation>
    </message>
    <message>
        <source>Default Scripter scripts directory</source>
        <translation type="obsolete">Default Scripter scripts directory</translation>
    </message>
    <message>
        <source>Default page size, either a standard size or a custom size</source>
        <translation type="obsolete">Default page size, either a standard size or a custom size</translation>
    </message>
    <message>
        <source>Default orientation of document pages</source>
        <translation type="obsolete">Default orientation of document pages</translation>
    </message>
    <message>
        <source>Width of document pages, editable if you have chosen a custom page size</source>
        <translation type="obsolete">Width of document pages, editable if you have chosen a custom page size</translation>
    </message>
    <message>
        <source>Height of document pages, editable if you have chosen a custom page size</source>
        <translation type="obsolete">Height of document pages, editable if you have chosen a custom page size</translation>
    </message>
    <message>
        <source>Time period between saving automatically</source>
        <translation type="obsolete">Otomatik kaydetmeler arasaındaki zaman </translation>
    </message>
    <message>
        <source>Choose the size of the preview in the scrapbook palette</source>
        <translation type="obsolete">Choose the size of the preview in the scrapbook palette</translation>
    </message>
    <message>
        <source>Color for paper</source>
        <translation type="obsolete">Kağıt için renk</translation>
    </message>
    <message>
        <source>Mask the area outside the margins in the margin color</source>
        <translation type="obsolete">Mask the area outside the margins in the margin colour</translation>
    </message>
    <message>
        <source>Set the default zoom level</source>
        <translation type="obsolete">Öntanımlı zoom düzeyi</translation>
    </message>
    <message>
        <source>Antialias text for EPS and PDF onscreen rendering</source>
        <translation type="obsolete">Antialias text for EPS and PDF onscreen rendering</translation>
    </message>
    <message>
        <source>Antialias graphics for EPS and PDF onscreen rendering</source>
        <translation type="obsolete">Antialias graphics for EPS and PDF onscreen rendering</translation>
    </message>
    <message>
        <source>Do not show objects outside the margins on the printed page or exported file</source>
        <translation type="obsolete">Do not show objects outside the margins on the printed page or exported file</translation>
    </message>
    <message>
        <source>Save the scrapbook contents everytime after a change</source>
        <translation type="obsolete">Save the scrapbook contents everytime after a change</translation>
    </message>
    <message>
        <source>&amp;Theme:</source>
        <translation type="obsolete">&amp;Tema:</translation>
    </message>
    <message>
        <source>&amp;Wheel Jump:</source>
        <translation type="obsolete">&amp;Wheel Jump:</translation>
    </message>
    <message>
        <source>&amp;Recent Documents:</source>
        <translation type="obsolete">&amp;Son Kullanılan Belgeler:</translation>
    </message>
    <message>
        <source>&amp;Documents:</source>
        <translation type="obsolete">&amp;Belge:</translation>
    </message>
    <message>
        <source>&amp;Change...</source>
        <translation type="obsolete">D&amp;eğiştir...</translation>
    </message>
    <message>
        <source>&amp;ICC Profiles:</source>
        <translation type="obsolete">&amp;ICC Profilleri:</translation>
    </message>
    <message>
        <source>C&amp;hange...</source>
        <translation type="obsolete">D&amp;eğiştir...</translation>
    </message>
    <message>
        <source>&amp;Scripts:</source>
        <translation type="obsolete">&amp;Scriptler:</translation>
    </message>
    <message>
        <source>Ch&amp;ange...</source>
        <translation type="obsolete">D&amp;eğiştir...</translation>
    </message>
    <message>
        <source>&amp;Size:</source>
        <translation type="obsolete">Ö&amp;lçü:</translation>
    </message>
    <message>
        <source>Orie&amp;ntation:</source>
        <translation type="obsolete">&amp;Yerleşim:</translation>
    </message>
    <message>
        <source>&amp;Width:</source>
        <translation type="obsolete">E&amp;n:</translation>
    </message>
    <message>
        <source>&amp;Height:</source>
        <translation type="obsolete">&amp;Boy:</translation>
    </message>
    <message>
        <source>&amp;Bottom:</source>
        <translation type="obsolete">&amp;Alt:</translation>
    </message>
    <message>
        <source>&amp;Top:</source>
        <translation type="obsolete">&amp;Üst:</translation>
    </message>
    <message>
        <source>&amp;Right:</source>
        <translation type="obsolete">Sa&amp;ğ:</translation>
    </message>
    <message>
        <source>&amp;Left:</source>
        <translation type="obsolete">&amp;Sol:</translation>
    </message>
    <message>
        <source>&amp;Interval:</source>
        <translation type="obsolete">&amp;Aralık:</translation>
    </message>
    <message>
        <source>Sa&amp;ve Contents on Changes</source>
        <translation type="obsolete">Sa&amp;ve Contents on Changes</translation>
    </message>
    <message>
        <source>Large</source>
        <translation type="obsolete">Büyük</translation>
    </message>
    <message>
        <source>Display &amp;Unprintable Area in Margin Color</source>
        <translation type="obsolete">Yazdırılamayan Alanı &amp;Kenarlık Renginde Görüntüle</translation>
    </message>
    <message>
        <source>&amp;Adjust Display Size</source>
        <translation type="obsolete">&amp;Adjust Display Size</translation>
    </message>
    <message>
        <source>&amp;Name of Executable:</source>
        <translation type="obsolete">Çal&amp;ıştırılabilir Dosyanın Adı:</translation>
    </message>
    <message>
        <source>Antialias &amp;Text</source>
        <translation type="obsolete">Metinleri &amp;Yumuşat (Anti-alias)</translation>
    </message>
    <message>
        <source>Antialias &amp;Graphics</source>
        <translation type="obsolete">Resimleri &amp;Yumuşat (Anti-alias)</translation>
    </message>
    <message>
        <source>Name of &amp;Executable:</source>
        <translation type="obsolete">Çal&amp;ıştırılabilir Dosyanın Adı:</translation>
    </message>
    <message>
        <source>Clip to Page &amp;Margins</source>
        <translation type="obsolete">Clip to Page &amp;Margins</translation>
    </message>
    <message>
        <source>Apply &amp;Under Color Removal</source>
        <translation type="obsolete">Apply &amp;Under Colour Removal</translation>
    </message>
    <message>
        <source>Cha&amp;nge...</source>
        <translation type="obsolete">D&amp;eğiştir...</translation>
    </message>
    <message>
        <source>&amp;Language:</source>
        <translation type="obsolete">&amp;Dil:</translation>
    </message>
    <message>
        <source>Document T&amp;emplates:</source>
        <translation type="obsolete">Belge Şa&amp;blonları:</translation>
    </message>
    <message>
        <source>Units:</source>
        <translation type="obsolete">Birimler:</translation>
    </message>
    <message>
        <source>Undo/Redo</source>
        <translation type="obsolete">Geri Al/Yinele</translation>
    </message>
    <message>
        <source>Action history length</source>
        <translation type="obsolete">İşlem Geçmişi uzunluğu</translation>
    </message>
    <message>
        <source>Hyphenator</source>
        <translation type="obsolete">Tireleyici</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="93"/>
        <source>Fonts</source>
        <translation>Yazıtipleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="104"/>
        <source>Color Management</source>
        <translation>Renk Yönetimi</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="119"/>
        <source>PDF Export</source>
        <translation>PDF ihracı</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="124"/>
        <source>Document Item Attributes</source>
        <translation>Belge Öğesi Nitelikleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="129"/>
        <source>Table of Contents and Indexes</source>
        <translation>İçindekiler Tablosu ve İndeks</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="132"/>
        <source>Keyboard Shortcuts</source>
        <translation>Klavye Kısayolları</translation>
    </message>
    <message>
        <source>Page Display</source>
        <translation type="obsolete">Sayfa Düzeni</translation>
    </message>
    <message>
        <source>Color:</source>
        <translation type="obsolete">Renk:</translation>
    </message>
    <message>
        <source>Alt+U</source>
        <translation type="obsolete">Alt+U</translation>
    </message>
    <message>
        <source>Show Pictures</source>
        <translation type="obsolete">Resimleri Göster</translation>
    </message>
    <message>
        <source>Show Text Chains</source>
        <translation type="obsolete">Metin Bağlarını Göster</translation>
    </message>
    <message>
        <source>Show Frames</source>
        <translation type="obsolete">Çerçeveleri Göster</translation>
    </message>
    <message>
        <source>Scratch Space</source>
        <translation type="obsolete">Karalama Alanı</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="144"/>
        <source>Miscellaneous</source>
        <translation>Çeşitli</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="148"/>
        <source>Plugins</source>
        <translation>Eklentiler</translation>
    </message>
    <message>
        <source>Turns the display of frames on or off</source>
        <translation type="obsolete">Çerçevelerin gösterilmesini açar veya kapatır</translation>
    </message>
    <message>
        <source>Turns the display of pictures on or off</source>
        <translation type="obsolete">Resimlerin gösterilmesini açar veya kapatır</translation>
    </message>
    <message>
        <source>Additional directory for document templates</source>
        <translation type="obsolete">Belge şablonları için diğer dizin</translation>
    </message>
    <message>
        <source>Filesystem location for the Ghostscript interpreter</source>
        <translation type="obsolete">Ghostscript yorumlayıcısının yeri</translation>
    </message>
    <message>
        <source>Always ask before fonts are replaced when loading a document</source>
        <translation type="obsolete">Belge yüklenirken, değiştirilecek yazıtipi olursa beni uyar</translation>
    </message>
    <message>
        <source>Show Text Control Characters</source>
        <translation type="obsolete">Metin Kontrol Karakterlerini Göster</translation>
    </message>
    <message>
        <source>Preview of current Paragraph Style visible when editing Styles</source>
        <translation type="obsolete">Preview of current Paragraph Style visible when editing Styles</translation>
    </message>
    <message>
        <source>To adjust the display drag the ruler below with the slider.</source>
        <translation type="obsolete">To adjust the display drag the ruler below with the slider.</translation>
    </message>
    <message>
        <source>Display non-printing characters such as paragraph markers in text frames</source>
        <translation type="obsolete">Paragraf işaretleri gibi yazdırılamayan kontrol karakterlerini de metin pencereleri içinde gösterir</translation>
    </message>
    <message>
        <source>Place a ruler against your screen and drag the slider to set the zoom level so Scribus will display your pages and objects on them at the correct size</source>
        <translation type="obsolete">Place a ruler against your screen and drag the slider to set the zoom level so Scribus will display your pages and objects on them at the correct size</translation>
    </message>
    <message>
        <source>Defines amount of space left of the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</source>
        <translation type="obsolete">Defines amount of space left of the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</translation>
    </message>
    <message>
        <source>Defines amount of space right of the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</source>
        <translation type="obsolete">Defines amount of space right of the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</translation>
    </message>
    <message>
        <source>Defines amount of space above the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</source>
        <translation type="obsolete">Defines amount of space above the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</translation>
    </message>
    <message>
        <source>Defines amount of space below the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</source>
        <translation type="obsolete">Defines amount of space below the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="99"/>
        <source>Preflight Verifier</source>
        <translation>Baskı Denetleyicisi</translation>
    </message>
    <message>
        <source>dpi</source>
        <translation type="obsolete">dpi</translation>
    </message>
    <message>
        <source>Resolution:</source>
        <translation type="obsolete">Çözünürlük:</translation>
    </message>
    <message>
        <source>Lorem Ipsum</source>
        <translation type="obsolete">Lorem Ipsum</translation>
    </message>
    <message>
        <source>Always use standard Lorem Ipsum</source>
        <translation type="obsolete">Daima standart Lorem Ipsum(Doldurma Metni) kullan</translation>
    </message>
    <message>
        <source>Count of the Paragraphs:</source>
        <translation type="obsolete">Paragrafların Sayımı:</translation>
    </message>
    <message>
        <source>Rulers relative to Page</source>
        <translation type="obsolete">Cetveller sayfaya bağıntılı</translation>
    </message>
    <message>
        <source>Gaps between Pages</source>
        <translation type="obsolete">Sayfa aralarındaki boşluk</translation>
    </message>
    <message>
        <source>Horizontal:</source>
        <translation type="obsolete">Yatay:</translation>
    </message>
    <message>
        <source>Vertical:</source>
        <translation type="obsolete">Dikey:</translation>
    </message>
    <message>
        <source>Show Startup Dialog</source>
        <translation type="obsolete">Başlangıç Ekranını Göster</translation>
    </message>
    <message>
        <source>Locate Ghostscript</source>
        <translation type="obsolete">Ghostscript&apos;i bulun</translation>
    </message>
    <message>
        <source>Locate your image editor</source>
        <translation type="obsolete">Resim editörünü bulun</translation>
    </message>
    <message>
        <source>PostScript Interpreter</source>
        <translation type="obsolete">PostScript Yorumlayıcısı</translation>
    </message>
    <message>
        <source>Enable or disable  the display of linked frames.</source>
        <translation type="obsolete">Bağlantılı metin çerçevelerinin gösterilmesini aç/kapat.</translation>
    </message>
    <message>
        <source>Select your default language for Scribus to run with. Leave this blank to choose based on environment variables. You can still override this by passing a command line option when starting Scribus</source>
        <translation type="obsolete">Select your default language for Scribus to run with. Leave this blank to choose based on environment variables. You can still override this by passing a command line option when starting Scribus</translation>
    </message>
    <message>
        <source>&amp;Font Size (Menus):</source>
        <translation type="obsolete">&amp;Yazıtipi Boyutu(Menüler):</translation>
    </message>
    <message>
        <source>Font Size (&amp;Palettes):</source>
        <translation type="obsolete">&amp;Yazıtipi Boyutu(Paletler):</translation>
    </message>
    <message>
        <source>Choose the default window decoration and looks. Scribus inherits any available KDE or Qt themes, if Qt is configured to search KDE plugins.</source>
        <translation type="obsolete">Choose the default window decoration and looks. Scribus inherits any available KDE or Qt themes, if Qt is configured to search KDE plugins.</translation>
    </message>
    <message>
        <source>Default font size for the tool windows</source>
        <translation type="obsolete">Default font size for the tool windows</translation>
    </message>
    <message>
        <source>Default ICC profiles directory. This cannot be changed with a document open. By default, Scribus will look in the System Directories under Mac OSX and Windows. On Linux and Unix, Scribus will search $home/.color/icc,/usr/share/color/icc and /usr/local/share/color/icc </source>
        <translation type="obsolete">Default ICC profiles directory. This cannot be changed with a document open. By default, Scribus will look in the System Directories under Mac OSX and Windows. On Linux and Unix, Scribus will search $home/.color/icc,/usr/share/color/icc and /usr/local/share/color/icc </translation>
    </message>
    <message>
        <source>When enabled, Scribus saves a backup copy of your file with the .bak extension each time the time period elapses</source>
        <translation type="obsolete">When enabled, Scribus saves a backup copy of your file with the .bak extension each time the time period elapses</translation>
    </message>
    <message>
        <source>Set the length of the action history in steps. If set to 0 infinite amount of actions will be stored.</source>
        <translation type="obsolete">Set the length of the action history in steps. If set to 0 infinite amount of actions will be stored.</translation>
    </message>
    <message>
        <source>File system location for graphics editor. If you use gimp and your distro includes it, we recommend &apos;gimp-remote&apos;, as it allows you to edit the image in an already running instance of gimp.</source>
        <translation type="obsolete">File system location for graphics editor. If you use gimp and your distro includes it, we recommend &apos;gimp-remote&apos;, as it allows you to edit the image in an already running instance of gimp.</translation>
    </message>
    <message>
        <source>A way of switching off some of the gray shades which are composed of cyan, yellow and magenta and using black instead. UCR most affects parts of images which are neutral and/or dark tones which are close to the gray. Use of this may improve printing some images and some experimentation and testing is need on a case by case basis. UCR reduces the possibility of over saturation with CMY inks.</source>
        <translation type="obsolete">A way of switching off some of the gray shades which are composed of cyan, yellow and magenta and using black instead. UCR most affects parts of images which are neutral and/or dark tones which are close to the gray. Use of this may improve printing some images and some experimentation and testing is need on a case by case basis. UCR reduces the possibility of over saturation with CMY inks.</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefs.cpp" line="96"/>
        <source>Printer</source>
        <translation type="unfinished">Yazıcı</translation>
    </message>
</context>
<context>
    <name>PrefsDialogBase</name>
    <message>
        <location filename="../../../scribus/prefsdialogbase.cpp" line="202"/>
        <source>&amp;Defaults</source>
        <translation>Ön&amp;tanımlılar</translation>
    </message>
    <message>
        <source>Save...</source>
        <translation type="obsolete">Kaydet...</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsdialogbase.cpp" line="211"/>
        <source>Save Preferences</source>
        <translation>Kayıt Tercihleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsdialogbase.cpp" line="201"/>
        <source>Export...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsdialogbase.cpp" line="203"/>
        <source>&amp;Apply</source>
        <translation type="unfinished">&amp;Uygula</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsdialogbase.cpp" line="204"/>
        <source>All preferences can be reset here</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsdialogbase.cpp" line="205"/>
        <source>Apply all changes without closing the dialog</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsdialogbase.cpp" line="206"/>
        <source>Export current preferences into file</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PrefsManager</name>
    <message>
        <location filename="../../../scribus/prefsmanager.cpp" line="2092"/>
        <location filename="../../../scribus/prefsmanager.cpp" line="2101"/>
        <source>Postscript</source>
        <translation>Postscript</translation>
    </message>
    <message>
        <source>PDF 1.3</source>
        <translation type="obsolete">PDF 1.3</translation>
    </message>
    <message>
        <source>PDF 1.4</source>
        <translation type="obsolete">PDF 1.4</translation>
    </message>
    <message>
        <source>PDF/X-3</source>
        <translation type="obsolete">PDF/X-3</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsmanager.cpp" line="829"/>
        <source>Migrate Old Scribus Settings?</source>
        <translation>Eski Scribus ayarlarını al?</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsmanager.cpp" line="830"/>
        <source>Scribus has detected existing Scribus 1.2 preferences files.
Do you want to migrate them to the new Scribus version?</source>
        <translation type="unfinished">Scribus has detected existing Scribus 1.2 preferences files.
Do you want to migrate them to the new Scribus version?</translation>
    </message>
    <message>
        <source>Single Page</source>
        <translation type="obsolete">Tek Sayfa</translation>
    </message>
    <message>
        <source>Double sided</source>
        <translation type="obsolete">Çift Taraflı</translation>
    </message>
    <message>
        <source>Left Page</source>
        <translation type="obsolete">Sol Sayfa</translation>
    </message>
    <message>
        <source>Right Page</source>
        <translation type="obsolete">Sağ Sayfa</translation>
    </message>
    <message>
        <source>3-Fold</source>
        <translation type="obsolete">3-katlama</translation>
    </message>
    <message>
        <source>Middle</source>
        <translation type="obsolete">Orta</translation>
    </message>
    <message>
        <source>4-Fold</source>
        <translation type="obsolete">4-katlama</translation>
    </message>
    <message>
        <source>Middle Left</source>
        <translation type="obsolete">Orta Sol</translation>
    </message>
    <message>
        <source>Middle Right</source>
        <translation type="obsolete">Orta Sağ</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsmanager.cpp" line="2092"/>
        <location filename="../../../scribus/prefsmanager.cpp" line="2101"/>
        <source>PostScript</source>
        <translation>PostScript</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsmanager.cpp" line="1722"/>
        <source>Could not open preferences file &quot;%1&quot; for writing: %2</source>
        <translation>Tercihler dosyası &quot;%1&quot; yazma işlemi için açılamıyor: %2</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsmanager.cpp" line="1733"/>
        <source>Writing to preferences file &quot;%1&quot; failed: QIODevice status code %2</source>
        <translation>Tercihler dosyası &quot;%1&quot; yazılamadı: QIODevice durum kodu %2</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsmanager.cpp" line="1747"/>
        <source>Failed to open prefs file &quot;%1&quot;: %2</source>
        <translation>Tercihler dosyaso &quot;%1&quot; açılamadı: %2</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsmanager.cpp" line="1757"/>
        <source>Failed to read prefs XML from &quot;%1&quot;: %2 at line %3, col %4</source>
        <translation>Tercihler XML okunamadı &quot;%1&quot;: %2 satır %3, sütun %4</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsmanager.cpp" line="2451"/>
        <source>Error Writing Preferences</source>
        <translation>Tercihler Yazılırken Hata Oluştu</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsmanager.cpp" line="2453"/>
        <source>Scribus was not able to save its preferences:&lt;br&gt;%1&lt;br&gt;Please check file and directory permissions and available disk space.</source>
        <comment>scribus app error</comment>
        <translation type="unfinished">Scribus was not able to save its preferences:&lt;br&gt;%1&lt;br&gt;Please check file and directory permissions and available disk space.</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsmanager.cpp" line="2470"/>
        <source>Error Loading Preferences</source>
        <translation>Tercihlerin Yüklenmesinde Hata Oluştu</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsmanager.cpp" line="2472"/>
        <source>Scribus was not able to load its preferences:&lt;br&gt;%1&lt;br&gt;Default settings will be loaded.</source>
        <translation>Scribus tercihleri yükleyemedi:&lt;br&gt;%1&lt;br&gt;Öntanımlı ayarlarla devam ediliyor.</translation>
    </message>
    <message>
        <source>PDF 1.5</source>
        <translation type="obsolete">PDF 1.5</translation>
    </message>
    <message>
        <location filename="../../../scribus/prefsmanager.cpp" line="2173"/>
        <source>No valid renderframe config found. Using defaults!</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PresetLayout</name>
    <message>
        <source>None</source>
        <translation type="obsolete">None</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="554"/>
        <source>Magazine</source>
        <translation>Magazine</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="555"/>
        <source>Fibonacci</source>
        <translation>Fibonacci</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="556"/>
        <source>Golden Mean</source>
        <translation>Golden Mean</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="557"/>
        <source>Nine Parts</source>
        <translation>Nine Parts</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="553"/>
        <source>Gutenberg</source>
        <translation>Gutenberg</translation>
    </message>
    <message>
        <source>You can select predefined page layout here. &apos;None&apos; leave margins as is, Gutenberg sets margins classically. &apos;Magazine&apos; sets all margins for same value. Leading is Left/Inside value.</source>
        <translation type="obsolete">Buradan sayfa mizanpajını seçebilirsiniz. &quot;Yok&quot; kenarlıkları olduğu gibi bırakır. Gutenberg klasik bir kenarlık düzeni uygular. &quot;Magazine&quot; eşit kenarlıklar ayarlar.</translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="552"/>
        <source>None</source>
        <comment>layout type</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/marginwidget.cpp" line="560"/>
        <source>When you have selected a Document Layout other than Single Page, you can select a predefined page layout here. &apos;None&apos; leaves margins as is, Gutenberg sets margins classically. &apos;Magazine&apos; sets all margins to the same value. Leading is Left/Inside value.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PrintDialog</name>
    <message>
        <source>Setup Printer</source>
        <translation type="obsolete">Yazıcıyı Yapılandır</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialog.cpp" line="90"/>
        <location filename="../../../scribus/printdialog.cpp" line="112"/>
        <location filename="../../../scribus/printdialog.cpp" line="281"/>
        <location filename="../../../scribus/printdialog.cpp" line="310"/>
        <location filename="../../../scribus/printdialog.cpp" line="503"/>
        <location filename="../../../scribus/printdialog.cpp" line="582"/>
        <source>File</source>
        <translation>Dosya</translation>
    </message>
    <message>
        <source>Options</source>
        <translation type="obsolete">Seçenekler</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialog.cpp" line="95"/>
        <location filename="../../../scribus/printdialog.cpp" line="302"/>
        <location filename="../../../scribus/printdialog.cpp" line="360"/>
        <location filename="../../../scribus/printdialog.cpp" line="468"/>
        <location filename="../../../scribus/printdialog.cpp" line="529"/>
        <source>All</source>
        <translation>Tümü</translation>
    </message>
    <message>
        <source>Save as</source>
        <translation type="obsolete">Farklı kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialog.cpp" line="95"/>
        <location filename="../../../scribus/printdialog.cpp" line="468"/>
        <location filename="../../../scribus/printdialog.cpp" line="528"/>
        <source>Cyan</source>
        <translation>Cyan</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialog.cpp" line="95"/>
        <location filename="../../../scribus/printdialog.cpp" line="468"/>
        <location filename="../../../scribus/printdialog.cpp" line="527"/>
        <source>Magenta</source>
        <translation>Magenta</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialog.cpp" line="95"/>
        <location filename="../../../scribus/printdialog.cpp" line="468"/>
        <location filename="../../../scribus/printdialog.cpp" line="526"/>
        <source>Yellow</source>
        <translation>Sarı</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialog.cpp" line="96"/>
        <location filename="../../../scribus/printdialog.cpp" line="468"/>
        <location filename="../../../scribus/printdialog.cpp" line="525"/>
        <source>Black</source>
        <translation>Black</translation>
    </message>
    <message>
        <source>Insert a comma separated list of tokens where
a token can be * for all the pages, 1-5 for
a range of pages or a single page number.</source>
        <translation type="obsolete">* tüm sayfalar için. Örneğin 1-5,birinci ile beşinci
sayfalar arasındaki sayfalar. Sayfa numaralarını
vigülle ayırarak (1,4,5 gibi) de verebilirsiniz.</translation>
    </message>
    <message>
        <source>Print Destination</source>
        <translation type="obsolete">Yazdırma Yolu</translation>
    </message>
    <message>
        <source>&amp;Options...</source>
        <translation type="obsolete">&amp;Seçenekler...</translation>
    </message>
    <message>
        <source>&amp;File:</source>
        <translation type="obsolete">&amp;Dosya:</translation>
    </message>
    <message>
        <source>C&amp;hange...</source>
        <translation type="obsolete">D&amp;eğiştir...</translation>
    </message>
    <message>
        <source>A&amp;lternative Printer Command</source>
        <translation type="obsolete">&amp;Alternatif Yazıcı Komutu</translation>
    </message>
    <message>
        <source>Co&amp;mmand:</source>
        <translation type="obsolete">&amp;Komut:</translation>
    </message>
    <message>
        <source>Range</source>
        <translation type="obsolete">Aralık</translation>
    </message>
    <message>
        <source>Print &amp;All</source>
        <translation type="obsolete">&amp;Tümünü Yazdır</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialog.cpp" line="395"/>
        <source>Print Current Pa&amp;ge</source>
        <translation>Seçili sayfayı yaz&amp;dır</translation>
    </message>
    <message>
        <source>Print &amp;Range</source>
        <translation type="obsolete">Bas&amp;kı Aralığı</translation>
    </message>
    <message>
        <source>N&amp;umber of Copies:</source>
        <translation type="obsolete">Ko&amp;pya Sayısı:</translation>
    </message>
    <message>
        <source>&amp;Print</source>
        <translation type="obsolete">&amp;Yazdır</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialog.cpp" line="300"/>
        <location filename="../../../scribus/printdialog.cpp" line="358"/>
        <source>Print Normal</source>
        <translation>Normal Yazdır</translation>
    </message>
    <message>
        <source>Print Separations</source>
        <translation type="obsolete">Yazdırma Ayraçları</translation>
    </message>
    <message>
        <source>Print in Color if Available</source>
        <translation type="obsolete">Renkliyse, renkli yazdır</translation>
    </message>
    <message>
        <source>Print in Grayscale</source>
        <translation type="obsolete">Gri tonlamalı yazdır</translation>
    </message>
    <message>
        <source>PostScript Level 1</source>
        <translation type="obsolete">PostScript Level 1</translation>
    </message>
    <message>
        <source>PostScript Level 2</source>
        <translation type="obsolete">PostScript Level 2</translation>
    </message>
    <message>
        <source>PostScript Level 3</source>
        <translation type="obsolete">PostScript Level 3</translation>
    </message>
    <message>
        <source>Page</source>
        <translation type="obsolete">Sayfa</translation>
    </message>
    <message>
        <source>Mirror Page(s) Horizontal</source>
        <translation type="obsolete">Mirror Page(s) Horizontal</translation>
    </message>
    <message>
        <source>Mirror Page(s) Vertical</source>
        <translation type="obsolete">Mirror Page(s) Vertical</translation>
    </message>
    <message>
        <source>Set Media Size</source>
        <translation type="obsolete">Set Media Size</translation>
    </message>
    <message>
        <source>Color</source>
        <translation type="obsolete">Renk</translation>
    </message>
    <message>
        <source>Apply Under Color Removal</source>
        <translation type="obsolete">R-</translation>
    </message>
    <message>
        <source>Convert Spot Colors to Process Colors</source>
        <translation type="obsolete">Convert Spot Colours to Process Colours</translation>
    </message>
    <message>
        <source>Apply ICC Profiles</source>
        <translation type="obsolete">ICC Profillerini uygula</translation>
    </message>
    <message>
        <source>Advanced Options</source>
        <translation type="obsolete">İleri Düzey Seçenekler</translation>
    </message>
    <message>
        <source>Preview...</source>
        <translation type="obsolete">Önizleme...</translation>
    </message>
    <message>
        <source>Sets the PostScript Level.
 Setting to Level 1 or 2 can create huge files</source>
        <translation type="obsolete">Postscript düzeyini seçer.
1,2 çok büyük dosya oluşturur</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialog.cpp" line="381"/>
        <source>PostScript Files (*.ps);;All Files (*)</source>
        <translation>PostScript Dosyaları(*.ps);;Tüm Dosyalar (*)</translation>
    </message>
    <message>
        <source>Use an alternative print manager, such as kprinter or gtklp, to utilize additional printing options</source>
        <translation type="obsolete">kprinter ya da gtklp gibi alternatif baskı yöneticisi kullan; bu sayede daha fazla özellik kullanılabilir</translation>
    </message>
    <message>
        <source>A way of switching off some of the gray shades which are composed of cyan, yellow and magenta and using black instead. UCR most affects parts of images which are neutral and/or dark tones which are close to the gray. Use of this may improve printing some images and some experimentation and testing is need on a case by case basis.UCR reduces the possibility of over saturation with CMY inks.</source>
        <translation type="obsolete">A way of switching off some of the gray shades which are composed of cyan, yellow and magenta and using black instead. UCR most affects parts of images which are neutral and/or dark tones which are close to the gray. Use of this may improve printing some images and some experimentation and testing is need on a case by case basis.UCR reduces the possibility of over saturation with CMY inks.</translation>
    </message>
    <message>
        <source>Enables Spot Colors to be converted to composite colors. Unless you are planning to print spot colors at a commercial printer, this is probably best left enabled.</source>
        <translation type="obsolete">Enables Spot Colours to be converted to composite colours. Unless you are planning to print spot colours at a commercial printer, this is probably best left enabled.</translation>
    </message>
    <message>
        <source>Allows you to embed ICC profiles in the print stream when color management is enabled</source>
        <translation type="obsolete">Allows you to embed ICC profiles in the print stream when colour management is enabled</translation>
    </message>
    <message>
        <source>This enables you to explicitely set the media size of the PostScript file. Not recommended unless requested by your printer.</source>
        <translation type="obsolete">This enables you to explicitely set the media size of the PostScript file. Not recommended unless requested by your printer.</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialog.cpp" line="319"/>
        <source>Failed to retrieve printer settings</source>
        <translation>Yazıcı ayarları alınamadı</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialog.cpp" line="105"/>
        <source>Inside:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialog.cpp" line="106"/>
        <source>Outside:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialog.cpp" line="381"/>
        <source>Save As</source>
        <translation type="unfinished">Farklı kaydet</translation>
    </message>
</context>
<context>
    <name>PrintDialogBase</name>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="14"/>
        <source>Setup Printer</source>
        <translation type="unfinished">Yazıcıyı Yapılandır</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="23"/>
        <source>Print Destination</source>
        <translation type="unfinished">Yazdırma Yolu</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="50"/>
        <source>&amp;Options...</source>
        <translation type="unfinished">&amp;Seçenekler...</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="86"/>
        <source>&amp;File:</source>
        <translation type="unfinished">&amp;Dosya:</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="102"/>
        <source>C&amp;hange...</source>
        <translation type="unfinished">D&amp;eğiştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="117"/>
        <source>Use an alternative print manager, such as kprinter or gtklp, to utilize additional printing options</source>
        <translation type="unfinished">kprinter ya da gtklp gibi alternatif baskı yöneticisi kullan; bu sayede daha fazla özellik kullanılabilir</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="120"/>
        <source>A&amp;lternative Printer Command</source>
        <translation type="unfinished">&amp;Alternatif Yazıcı Komutu</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="138"/>
        <source>Co&amp;mmand:</source>
        <translation type="unfinished">&amp;Komut:</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="160"/>
        <source>Range</source>
        <translation type="unfinished">Aralık</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="172"/>
        <source>Print &amp;All</source>
        <translation type="unfinished">&amp;Tümünü Yazdır</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="192"/>
        <source>N&amp;umber of Copies:</source>
        <translation type="unfinished">Ko&amp;pya Sayısı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="212"/>
        <source>Print Current Pa&amp;ge</source>
        <translation type="unfinished">Seçili sayfayı yaz&amp;dır</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="219"/>
        <source>Print &amp;Range</source>
        <translation type="unfinished">Bas&amp;kı Aralığı</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="229"/>
        <source>Insert a comma separated list of tokens where
a token can be * for all the pages, 1-5 for
a range of pages or a single page number.</source>
        <translation type="unfinished">* tüm sayfalar için. Örneğin 1-5,birinci ile beşinci
sayfalar arasındaki sayfalar. Sayfa numaralarını
vigülle ayırarak (1,4,5 gibi) de verebilirsiniz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="274"/>
        <source>Options</source>
        <translation type="unfinished">Seçenekler</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="281"/>
        <source>Print Normal</source>
        <translation type="unfinished">Normal Yazdır</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="286"/>
        <source>Print Separations</source>
        <translation type="unfinished">Yazdırma Ayraçları</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="295"/>
        <source>Print in Color if Available</source>
        <translation type="unfinished">Renkliyse, renkli yazdır</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="300"/>
        <source>Print in Grayscale</source>
        <translation type="unfinished">Gri tonlamalı yazdır</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="315"/>
        <source>Sets the PostScript Level.
 Setting to Level 1 or 2 can create huge files</source>
        <translation type="unfinished">Postscript düzeyini seçer.
1,2 çok büyük dosya oluşturur</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="335"/>
        <source>Advanced Options</source>
        <translation type="unfinished">İleri Düzey Seçenekler</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="341"/>
        <source>Page</source>
        <translation type="unfinished">Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="347"/>
        <source>Mirror Page(s) Horizontal</source>
        <translation type="unfinished">Mirror Page(s) Horizontal</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="354"/>
        <source>Mirror Page(s) Vertical</source>
        <translation type="unfinished">Mirror Page(s) Vertical</translation>
    </message>
    <message>
        <source>This enables you to explicitely set the media size of the PostScript file. Not recommended unless requested by your printer.</source>
        <translation type="obsolete">This enables you to explicitely set the media size of the PostScript file. Not recommended unless requested by your printer.</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="364"/>
        <source>Set Media Size</source>
        <translation type="unfinished">Set Media Size</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="381"/>
        <source>Color</source>
        <translation type="unfinished">Renk</translation>
    </message>
    <message>
        <source>A way of switching off some of the gray shades which are composed of cyan, yellow and magenta and using black instead. UCR most affects parts of images which are neutral and/or dark tones which are close to the gray. Use of this may improve printing some images and some experimentation and testing is need on a case by case basis.UCR reduces the possibility of over saturation with CMY inks.</source>
        <translation type="obsolete">A way of switching off some of the gray shades which are composed of cyan, yellow and magenta and using black instead. UCR most affects parts of images which are neutral and/or dark tones which are close to the gray. Use of this may improve printing some images and some experimentation and testing is need on a case by case basis.UCR reduces the possibility of over saturation with CMY inks.</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="390"/>
        <source>Apply Under Color Removal</source>
        <translation type="unfinished">R-</translation>
    </message>
    <message>
        <source>Enables Spot Colors to be converted to composite colors. Unless you are planning to print spot colors at a commercial printer, this is probably best left enabled.</source>
        <translation type="obsolete">Enables Spot Colours to be converted to composite colours. Unless you are planning to print spot colours at a commercial printer, this is probably best left enabled.</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="400"/>
        <source>Convert Spot Colors to Process Colors</source>
        <translation type="unfinished">Convert Spot Colours to Process Colours</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="361"/>
        <source>&lt;qt&gt;This enables you to explicitly set the media size of the PostScript file. Not recommended unless requested by your printer.&lt;/qt&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="387"/>
        <source>&lt;qt&gt;A way of switching off some of the gray shades which are composed of cyan, yellow and magenta and using black instead. Under Color Removal mostly affects parts of images which are neutral and/or dark tones which are close to the gray. Use of this may improve printing some images and some experimentation and testing is need on a case by case basis. Under Color Removal reduces the possibility of over saturation with CMY inks.&lt;/qt&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="397"/>
        <source>&lt;qt&gt;Enables Spot Colors to be converted to composite colors. Unless you are planning to print spot colors at a commercial printer, this is probably best left enabled.&lt;/qt&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="427"/>
        <source>Marks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="433"/>
        <source>This creates crop marks in the PDF indicating where the paper should be cut or trimmed after printing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="436"/>
        <source>Crop Marks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="443"/>
        <source>Add registration marks which are added to each separation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="446"/>
        <source>Registration Marks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="453"/>
        <source>This creates bleed marks which are indicated by  _ . _ and show the bleed limit</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="456"/>
        <source>Bleed Marks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="463"/>
        <source>Add color calibration bars</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="466"/>
        <source>Color Bars</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="475"/>
        <source>Offset:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="482"/>
        <source>Indicate the distance offset for the registration marks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="505"/>
        <source>Bleeds</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="511"/>
        <source>Top:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="518"/>
        <source>Distance for bleed from the top of the physical page</source>
        <translation type="unfinished">Distance for bleed from the top of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="525"/>
        <source>Left:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="532"/>
        <source>Distance for bleed from the right of the physical page</source>
        <translation type="unfinished">Distance for bleed from the right of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="539"/>
        <source>Bottom:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="546"/>
        <source>Distance for bleed from the bottom of the physical page</source>
        <translation type="unfinished">Distance for bleed from the bottom of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="553"/>
        <source>Right:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="560"/>
        <source>Distance for bleed from the left of the physical page</source>
        <translation type="unfinished">Distance for bleed from the left of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="567"/>
        <source>Use the existing bleed settings from the document preferences</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="570"/>
        <source>Use Document Bleeds</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="596"/>
        <source>Preview...</source>
        <translation type="unfinished">Önizleme...</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="606"/>
        <source>&amp;Print</source>
        <translation type="unfinished">&amp;Yazdır</translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="616"/>
        <source>Cancel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="323"/>
        <source>Include PDF Annotations and Links into the output.
Note: PDF Forms will not be exported.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="327"/>
        <source>Include PDF Annotations and Links</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/printdialogbase.ui" line="371"/>
        <source>Clip to Printer Margins</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PropertiesPalette</name>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5256"/>
        <source>Properties</source>
        <translation>Özellikler</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5266"/>
        <source>Name</source>
        <translation>İsim</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5267"/>
        <source>Geometry</source>
        <translation>Geometri</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5474"/>
        <source> pt</source>
        <translation> pt</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5273"/>
        <source>Basepoint:</source>
        <translation>Bağlantı Noktası:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5274"/>
        <source>Level</source>
        <translation>Seviye</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5275"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5280"/>
        <source>Shape:</source>
        <translation>Şekil:</translation>
    </message>
    <message>
        <source>Distance of Text</source>
        <translation type="obsolete">Metnin Uzaklığı</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5323"/>
        <source>Show Curve</source>
        <translation>Eğriyi Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5325"/>
        <source>Start Offset:</source>
        <translation type="unfinished">Start Offset:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5326"/>
        <source>Distance from Curve:</source>
        <translation>Eğriden Uzaklık:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5460"/>
        <source> %</source>
        <translation> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5391"/>
        <source>Input Profile:</source>
        <translation>Girdi Profili:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5392"/>
        <source>Rendering Intent:</source>
        <translation type="unfinished">Rendering Intent:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5405"/>
        <source>Perceptual</source>
        <translation>Algısal</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5406"/>
        <source>Relative Colorimetric</source>
        <translation>Bağıl renk-ölçüsel</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5299"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5407"/>
        <source>Saturation</source>
        <translation>Doygunluk</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5408"/>
        <source>Absolute Colorimetric</source>
        <translation>Mutlak Renk-Ölçüsel</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5417"/>
        <source>Left Point</source>
        <translation>Sol Nokta</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5418"/>
        <source>End Points</source>
        <translation>Bitiş Noktaları</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5437"/>
        <source>Miter Join</source>
        <translation type="unfinished">Mitre Join</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5438"/>
        <source>Bevel Join</source>
        <translation type="unfinished">Bevel Join</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5439"/>
        <source>Round Join</source>
        <translation type="unfinished">Round Join</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5444"/>
        <source>Flat Cap</source>
        <translation type="unfinished">Flat Cap</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5445"/>
        <source>Square Cap</source>
        <translation type="unfinished">Square Cap</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5446"/>
        <source>Round Cap</source>
        <translation type="unfinished">Round Cap</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="4765"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5501"/>
        <source>No Style</source>
        <translation>Stil Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5635"/>
        <source>Font Size</source>
        <translation>Yazıtipi ölçüsü</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="838"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5376"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5645"/>
        <source>Line Spacing</source>
        <translation>Satır Boşluğu</translation>
    </message>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5596"/>
        <source>Name of selected object</source>
        <translation>Seçili nesnenin adı</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5597"/>
        <source>Horizontal position of current basepoint</source>
        <translation>Seçili bağlantı noktasının yatay pozisyonu</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5598"/>
        <source>Vertical position of current basepoint</source>
        <translation>Seçili bağlantı noktasının dikey pozisyonu</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5599"/>
        <source>Width</source>
        <translation>En</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5600"/>
        <source>Height</source>
        <translation>Boy</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5601"/>
        <source>Rotation of object at current basepoint</source>
        <translation type="unfinished">Rotation of object at current basepoint</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5602"/>
        <source>Point from which measurements or rotation angles are referenced</source>
        <translation type="unfinished">Point from which measurements or rotation angles are referenced</translation>
    </message>
    <message>
        <source>Select top left for basepoint</source>
        <translation type="obsolete">Bağlantı noktası olarak üst solu seç</translation>
    </message>
    <message>
        <source>Select top right for basepoint</source>
        <translation type="obsolete">Bağlantı noktası olarak üst sağı seç</translation>
    </message>
    <message>
        <source>Select bottom left for basepoint</source>
        <translation type="obsolete">Bağlantı noktası olarak alt solu seç</translation>
    </message>
    <message>
        <source>Select bottom right for basepoint</source>
        <translation type="obsolete">Bağlantı noktası olarak alt sağı seç</translation>
    </message>
    <message>
        <source>Select center for basepoint</source>
        <translation type="obsolete">Bağlantı noktası olarak ortayı seç</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5610"/>
        <source>Flip Horizontal</source>
        <translation>Yatay çevir</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5611"/>
        <source>Flip Vertical</source>
        <translation>Dik çevir</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5612"/>
        <source>Move one level up</source>
        <translation>Bir seviye yukarı taşı</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5613"/>
        <source>Move one level down</source>
        <translation>Bir seviye aşağı taşı</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5614"/>
        <source>Move to front</source>
        <translation>Öne getir</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5615"/>
        <source>Move to back</source>
        <translation>Arkaya gönder</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5617"/>
        <source>Lock or unlock the object</source>
        <translation>Lock or unlock the object</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5618"/>
        <source>Lock or unlock the size of the object</source>
        <translation>Lock or unlock the size of the object</translation>
    </message>
    <message>
        <source>Enable or disable printing of the object</source>
        <translation type="obsolete">Enable or disable printing of the object</translation>
    </message>
    <message>
        <source>Font of selected text or object</source>
        <translation type="obsolete">Font of selected text or object</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5637"/>
        <source>Scaling width of characters</source>
        <translation>Scaling width of characters</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5641"/>
        <source>Saturation of color of text stroke</source>
        <translation>Metin vurgusu renginin doygunluğu</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5642"/>
        <source>Saturation of color of text fill</source>
        <translation>Saturation of colour of text fill</translation>
    </message>
    <message>
        <source>Style of current paragraph</source>
        <translation type="obsolete">Style of current paragraph</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5664"/>
        <source>Change settings for left or end points</source>
        <translation>Change settings for left or end points</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5665"/>
        <source>Pattern of line</source>
        <translation>Çizgi Deseni</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5666"/>
        <source>Thickness of line</source>
        <translation>Çizgi Kalınlığı</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5667"/>
        <source>Type of line joins</source>
        <translation>Çizgi Birleşme Türü</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5668"/>
        <source>Type of line end</source>
        <translation>Çizgi Sonu Türü</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5669"/>
        <source>Line style of current object</source>
        <translation>Seçili nesnenin çizgi stili</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5673"/>
        <source>Choose the shape of frame...</source>
        <translation>Çerçevenin şeklini seçin...</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5674"/>
        <source>Edit shape of the frame...</source>
        <translation>Çerçevenin şeklini düzenle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5675"/>
        <source>Set radius of corner rounding</source>
        <translation>Set radius of corner rounding</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5676"/>
        <source>Number of columns in text frame</source>
        <translation>Number of columns in text frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="3900"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5678"/>
        <source>Distance between columns</source>
        <translation>Sütunlar arası mesafe</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5620"/>
        <source>Any path self-intersections or subpaths create holes in the fill.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5621"/>
        <source>Fill is solid unless a subpath is counterdirectional.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5625"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5630"/>
        <source>Use the bounding box, which is always rectangular, instead of the frame&apos;s shape for text flow of text frames below the object.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5626"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5631"/>
        <source>When chosen, the contour line can be edited with the Edit Shape Tool on the palette further above. When edited via the shape palette, this becomes a second separate line originally based on the frame&apos;s shape for text flow of text frames below the object.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5627"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5632"/>
        <source>Use the clipping path of the image.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5679"/>
        <source>Distance of text from top of frame</source>
        <translation>Distance of text from top of frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5680"/>
        <source>Distance of text from bottom of frame</source>
        <translation>Distance of text from bottom of frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5681"/>
        <source>Distance of text from left of frame</source>
        <translation>Distance of text from left of frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5682"/>
        <source>Distance of text from right of frame</source>
        <translation>Distance of text from right of frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5683"/>
        <source>Edit tab settings of text frame...</source>
        <translation>Edit tab settings of text frame...</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5685"/>
        <source>Allow the image to be a different size to the frame</source>
        <translation>Allow the image to be a different size to the frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5686"/>
        <source>Horizontal offset of image within frame</source>
        <translation>Horizontal offset of image within frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5687"/>
        <source>Vertical offset of image within frame</source>
        <translation>Vertical offset of image within frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5688"/>
        <source>Resize the image horizontally</source>
        <translation>Resize the image horizontally</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5689"/>
        <source>Resize the image vertically</source>
        <translation>Resize the image vertically</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5690"/>
        <source>Keep the X and Y scaling the same</source>
        <translation>Keep the X and Y scaling the same</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5692"/>
        <source>Make the image fit within the size of the frame</source>
        <translation>Make the image fit within the size of the frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5695"/>
        <source>Use image proportions rather than those of the frame</source>
        <translation>Use image proportions rather than those of the frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5450"/>
        <source>Cell Lines</source>
        <translation>Hücre Çizgileri</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5451"/>
        <source>Line at Top</source>
        <translation>Üstteki Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5452"/>
        <source>Line at the Left</source>
        <translation>Soldaki Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5453"/>
        <source>Line at the Right </source>
        <translation>Sağdaki Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5454"/>
        <source>Line at Bottom</source>
        <translation>Alttaki Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5691"/>
        <source>Keep the aspect ratio</source>
        <translation>Keep the aspect ratio</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5696"/>
        <source>Source profile of the image</source>
        <translation>Source profile of the image</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5697"/>
        <source>Rendering intent for the image</source>
        <translation>Rendering intent for the image</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="1058"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5378"/>
        <source>Path Text Properties</source>
        <translation>Path Text Properties</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5616"/>
        <source>Indicates the level the object is on, 0 means the object is at the bottom</source>
        <translation>Indicates the level the object is on, 0 means the object is at the bottom</translation>
    </message>
    <message>
        <source>Make text in lower frames flow around the object shape</source>
        <translation type="obsolete">Make text in lower frames flow around the object shape</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5677"/>
        <source>Switches between Gap or Column width</source>
        <translation>Switches between Gap or Column width</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="3902"/>
        <source>Column width</source>
        <translation>Column width</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5258"/>
        <source>X, Y, &amp;Z</source>
        <translation>X, Y, &amp;Z</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5261"/>
        <source>&amp;Shape</source>
        <translation>Ş&amp;ekil</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5259"/>
        <source>&amp;Text</source>
        <translation>&amp;Metin</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5260"/>
        <source>&amp;Image</source>
        <translation>&amp;Resim</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5262"/>
        <source>&amp;Line</source>
        <translation type="unfinished">&amp;Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5263"/>
        <source>&amp;Colors</source>
        <translation>&amp;Colours</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="1959"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="2336"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="2457"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="2552"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="4136"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5268"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5383"/>
        <source>&amp;X-Pos:</source>
        <translation>&amp;X-Pos:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="1961"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="2338"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="2459"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="2554"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="4138"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5269"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5384"/>
        <source>&amp;Y-Pos:</source>
        <translation>&amp;Y-Pos:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="1960"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="2337"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="2458"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="2553"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="4137"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5270"/>
        <source>&amp;Width:</source>
        <translation>&amp;Width:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="1962"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="2339"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="2460"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="2555"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="4139"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5271"/>
        <source>&amp;Height:</source>
        <translation>&amp;Height:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5272"/>
        <source>&amp;Rotation:</source>
        <translation>&amp;Rotation:</translation>
    </message>
    <message>
        <source>&amp;Edit Shape...</source>
        <translation type="obsolete">&amp;Edit Shape...</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5302"/>
        <source>R&amp;ound
Corners:</source>
        <translation>R&amp;ound
Corners:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5303"/>
        <source>Colu&amp;mns:</source>
        <translation>Colu&amp;mns:</translation>
    </message>
    <message>
        <source>&amp;Gap:</source>
        <translation type="obsolete">&amp;Gap:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5310"/>
        <source>To&amp;p:</source>
        <translation>To&amp;p:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5311"/>
        <source>&amp;Bottom:</source>
        <translation>&amp;Alt:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5312"/>
        <source>&amp;Left:</source>
        <translation>&amp;Left:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5313"/>
        <source>&amp;Right:</source>
        <translation>&amp;Right:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5314"/>
        <source>T&amp;abulators...</source>
        <translation>T&amp;abulators...</translation>
    </message>
    <message>
        <source>Text &amp;Flows Around Frame</source>
        <translation type="obsolete">Text &amp;Flows Around Frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5333"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5339"/>
        <source>Use &amp;Bounding Box</source>
        <translation>Use &amp;Bounding Box</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5334"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5340"/>
        <source>&amp;Use Contour Line</source>
        <translation>&amp;Kontür Çizgisi Kullan</translation>
    </message>
    <message>
        <source>St&amp;yle:</source>
        <translation type="obsolete">St&amp;yle:</translation>
    </message>
    <message>
        <source>Lan&amp;guage:</source>
        <translation type="obsolete">Lan&amp;guage:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5380"/>
        <source>&amp;Free Scaling</source>
        <translation>Serbest Ölçekle&amp;ndirme</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5385"/>
        <source>X-Sc&amp;ale:</source>
        <translation>X-Sc&amp;ale:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5386"/>
        <source>Y-Scal&amp;e:</source>
        <translation>Y-Scal&amp;e:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5387"/>
        <source>Scale &amp;To Frame Size</source>
        <translation>Çerçeveye Göre Ö&amp;lçeklendir</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5388"/>
        <source>P&amp;roportional</source>
        <translation>Oran&amp;tılı</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5420"/>
        <source>&amp;Basepoint:</source>
        <translation>Bağlantı &amp;Noktası:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5421"/>
        <source>T&amp;ype of Line:</source>
        <translation>Çizgi &amp;Türü:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5433"/>
        <source>Line &amp;Width:</source>
        <translation>Çizgi &amp;genişliği:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5434"/>
        <source>Ed&amp;ges:</source>
        <translation>K&amp;enarlar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5448"/>
        <source>&amp;Endings:</source>
        <translation>&amp;Endings:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="2328"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="4146"/>
        <source>&amp;X1:</source>
        <translation>&amp;X1:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="2329"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="4147"/>
        <source>X&amp;2:</source>
        <translation>X&amp;2:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="2330"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="4148"/>
        <source>Y&amp;1:</source>
        <translation>Y&amp;1:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="2331"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="4149"/>
        <source>&amp;Y2:</source>
        <translation>&amp;Y2:</translation>
    </message>
    <message>
        <source>Use a surrounding box instead of the frame&apos;s shape for text flow</source>
        <translation type="obsolete">Use a surrounding box instead of the frame&apos;s shape for text flow</translation>
    </message>
    <message>
        <source>Use a second line originally based on the frame&apos;s shape for text flow</source>
        <translation type="obsolete">Use a second line originally based on the frame&apos;s shape for text flow</translation>
    </message>
    <message>
        <source>Hyphenation language of frame</source>
        <translation type="obsolete">Çerçevenin tireleme dili</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5643"/>
        <source>Right to Left Writing</source>
        <translation>Right to Left Writing</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5644"/>
        <source>Manual Tracking</source>
        <translation type="unfinished">Manual Tracking</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5422"/>
        <source>Start Arrow:</source>
        <translation>Başlangıç oku:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5423"/>
        <source>End Arrow:</source>
        <translation>Bitiş oku:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5636"/>
        <source>Offset to baseline of characters</source>
        <translation type="unfinished">Offset to baseline of characters</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5638"/>
        <source>Scaling height of characters</source>
        <translation type="unfinished">Scaling height of characters</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5399"/>
        <source>Fixed Linespacing</source>
        <translation type="unfinished">Fixed Linespacing</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5400"/>
        <source>Automatic Linespacing</source>
        <translation type="unfinished">Automatic Linespacing</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5401"/>
        <source>Align to Baseline Grid</source>
        <translation type="unfinished">Align to Baseline Grid</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5381"/>
        <source>Actual X-DPI:</source>
        <translation>Gerçek X-DPI:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5382"/>
        <source>Actual Y-DPI:</source>
        <translation>Gerçek Y-DPI:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5115"/>
        <source>Name &quot;%1&quot; isn&apos;t unique.&lt;br/&gt;Please choose another.</source>
        <translation type="unfinished">Name &quot;%1&quot; isn&apos;t unique.&lt;br/&gt;Please choose another.</translation>
    </message>
    <message>
        <source>Color of text stroke. Only available with &quot;outline&quot; text decoration.</source>
        <translation type="obsolete">Colour of text stroke. Only available with &quot;outline&quot; text decoration.</translation>
    </message>
    <message>
        <source>Color of text fill. Only available with &quot;outline&quot; text decoration.</source>
        <translation type="obsolete">Colour of text fill. Only available with &quot;outline&quot; text decoration.</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5306"/>
        <source>Gap:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5307"/>
        <source>Width:</source>
        <translation type="unfinished">En:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5327"/>
        <source>Fill Rule</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5328"/>
        <source>Even-Odd</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5329"/>
        <source>Non Zero</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5330"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5336"/>
        <source>Text &amp;Flow Around Frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5331"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5337"/>
        <source>Disabled</source>
        <translation type="unfinished">Devredışı</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5332"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5338"/>
        <source>Use Frame &amp;Shape</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5389"/>
        <source>Image Effects</source>
        <translation type="unfinished">Resim Efektleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5390"/>
        <source>Extended Image Properties</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5456"/>
        <source>Overprinting</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5457"/>
        <source>Knockout</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5458"/>
        <source>Overprint</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5623"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5628"/>
        <source>Disable text flow from lower frames around object</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5624"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5629"/>
        <source>Use the frame shape for text flow of text frames below the object.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5639"/>
        <source>Color of text stroke and/or drop shadow, depending which is chosen.If both are chosen, then they share the same color.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5640"/>
        <source>Color of selected text. If Outline text decoration is enabled, this color will be the fill color. If Drop Shadow Text is enabled, then this will be the top most color.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="673"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5281"/>
        <source>Transparency Settings</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5264"/>
        <source>&amp;Group</source>
        <translation type="unfinished">&amp;Grupla</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5282"/>
        <source>Opacity:</source>
        <translation type="unfinished">Opaklık:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5283"/>
        <source>Blend Mode:</source>
        <translation type="unfinished">Blend Mode:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5286"/>
        <source>Normal</source>
        <translation type="unfinished">Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5287"/>
        <source>Darken</source>
        <translation type="unfinished">Karanlıklaştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5288"/>
        <source>Lighten</source>
        <translation type="unfinished">Aydınlat</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5289"/>
        <source>Multiply</source>
        <translation type="unfinished">Multiply</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5290"/>
        <source>Screen</source>
        <translation type="unfinished">Screen</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5291"/>
        <source>Overlay</source>
        <translation type="unfinished">Overlay</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5292"/>
        <source>Hard Light</source>
        <translation type="unfinished">Sert Işık</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5293"/>
        <source>Soft Light</source>
        <translation type="unfinished">Yumuşak Işık</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5294"/>
        <source>Difference</source>
        <translation type="unfinished">Fark</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5295"/>
        <source>Exclusion</source>
        <translation type="unfinished">Exclusion</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5296"/>
        <source>Color Dodge</source>
        <translation type="unfinished">Colour Dodge</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5297"/>
        <source>Color Burn</source>
        <translation type="unfinished">Colour Burn</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5298"/>
        <source>Hue</source>
        <translation type="unfinished">Hue</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5300"/>
        <source>Color</source>
        <translation type="unfinished">Renk</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5608"/>
        <source>Group the selected objects</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="1269"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="3211"/>
        <source>Auto</source>
        <translation type="unfinished">Otomatik</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5318"/>
        <source>Default</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5319"/>
        <source>Stair Step</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5320"/>
        <source>Skew</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5322"/>
        <source>Flip Text</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5324"/>
        <source>Type:</source>
        <translation type="unfinished">Tip:</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5335"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5341"/>
        <source>Use Image Clip Path</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5342"/>
        <source>Paragraph St&amp;yle:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5343"/>
        <source>Character St&amp;yle:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5364"/>
        <source>Word Tracking</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5365"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5368"/>
        <source>Min:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5366"/>
        <source>Norm:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5367"/>
        <source>Glyph Extension</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5369"/>
        <source>Max:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5648"/>
        <source>Paragraph style of currently selected text or paragraph</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5649"/>
        <source>Character style of currently selected text or paragraph</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5650"/>
        <source>Remove Direct Paragraph Formatting</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5651"/>
        <source>Remove Direct Character Formatting</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5658"/>
        <source>Minimal width of spaces between words</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5659"/>
        <source>Normal width of spaces between words</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5660"/>
        <source>Minimal shrinkage of glyphs for justification</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5661"/>
        <source>Maximal extension of glyphs for justification</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5619"/>
        <source>Enable or disable exporting of the object</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="1397"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5413"/>
        <source>Custom</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5278"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5279"/>
        <source>&amp;Edit...</source>
        <translation type="unfinished">&amp;Düzenle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="846"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5373"/>
        <source>First Line Offset</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="836"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5374"/>
        <source>Maximum Ascent</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="837"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5375"/>
        <source>Font Ascent</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="798"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5370"/>
        <source>Color &amp; Effects</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="1022"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5371"/>
        <source>Advanced Settings</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="829"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5372"/>
        <source>Style Settings</source>
        <translation type="unfinished">Stil Ayarları</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="3213"/>
        <source>Baseline</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5609"/>
        <source>Ungroup the selected group</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5647"/>
        <source>Select the line spacing mode.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5654"/>
        <source>Set the height of the first line of the text frame to use the tallest height of the included characters</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5655"/>
        <source>Set the height of the first line of text frame to use the full ascent of the font(s) in use</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5656"/>
        <source>Set the height of the first line of the text frame to the specified line height</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5379"/>
        <source>&amp;Page Number:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="902"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5377"/>
        <source>Columns &amp; Text Distances</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="940"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5362"/>
        <source>Reset</source>
        <translation type="unfinished">Sıfırla</translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="949"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5363"/>
        <source>Optical Margins</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5483"/>
        <source>Hairline</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="936"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5358"/>
        <source>None</source>
        <comment>optical margins</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="937"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5359"/>
        <source>Both Sides</source>
        <comment>optical margins</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="938"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5360"/>
        <source>Left Only</source>
        <comment>optical margins</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="939"/>
        <location filename="../../../scribus/propertiespalette.cpp" line="5361"/>
        <source>Right Only</source>
        <comment>optical margins</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5670"/>
        <source>Arrow head style for start of line</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5671"/>
        <source>Arrow head style for end of line</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5693"/>
        <source>Effective horizontal DPI of the image after scaling</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/propertiespalette.cpp" line="5694"/>
        <source>Effective vertical DPI of the image after scaling</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PythonConsole</name>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.ui" line="93"/>
        <source>&amp;Open...</source>
        <translation>&amp;Open...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.ui" line="98"/>
        <source>&amp;Save</source>
        <translation>&amp;Save</translation>
    </message>
    <message>
        <source>&amp;Exit</source>
        <translation type="obsolete">&amp;Exit</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.ui" line="71"/>
        <source>&amp;File</source>
        <translation>&amp;File</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.ui" line="113"/>
        <source>&amp;Run</source>
        <translation>Ç&amp;alıştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.ui" line="123"/>
        <source>&amp;Save Output...</source>
        <translation>Çıktı&amp;yı Kaydet...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.ui" line="81"/>
        <source>&amp;Script</source>
        <translation>&amp;Script</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.ui" line="13"/>
        <source>Script Console</source>
        <translation>Script Konsolu</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="122"/>
        <source>Write your commands here. A selection is processed as script</source>
        <translation>Komutlarınızı buraya yazın</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="123"/>
        <source>Output of your script</source>
        <translation>Scriptin çıktısı</translation>
    </message>
    <message>
        <source>Python Scripts (*.py)</source>
        <translation type="obsolete">Python Scripts (*.py)</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="225"/>
        <source>Save the Python Commands in File</source>
        <translation>Python komutlarını dosyaya kaydet</translation>
    </message>
    <message>
        <source>Warning</source>
        <translation type="obsolete">Uyarı</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="254"/>
        <source>Text Files (*.txt)</source>
        <translation>Metin Dosyaları (*.txt)</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="252"/>
        <source>Save Current Output</source>
        <translation>Save Current Output</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.ui" line="103"/>
        <source>Save &amp;As...</source>
        <translation>&amp;Farklı kaydet...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.ui" line="118"/>
        <source>Run As &amp;Console</source>
        <translation>Run As &amp;Console</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="60"/>
        <source>Scribus Python Console</source>
        <translation>Scribus Python Konsolu </translation>
    </message>
    <message>
        <source>This is derived from standard Python console so it contains some limitations esp. in the case of whitespaces. Please consult Scribus manual for more informations.</source>
        <translation type="obsolete">This is derived from standard Python console so it contains some limitations esp. in the case of whitespaces. Please consult Scribus manual for more informations.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="183"/>
        <source>Open Python Script File</source>
        <translation>Open Python Script File</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="185"/>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="227"/>
        <source>Python Scripts (*.py *.PY)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="34"/>
        <source>Col: %1 Row: %2/%3</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="45"/>
        <source>Ctrl+O</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="46"/>
        <source>Ctrl+S</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="133"/>
        <source>Another script is already running...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="134"/>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="149"/>
        <source>Please let it finish its task...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="148"/>
        <source>
&gt;&gt;&gt; Another script is already running...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.ui" line="108"/>
        <source>&amp;Quit</source>
        <translation type="unfinished">Çı&amp;k</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/pconsole.cpp" line="62"/>
        <source>This is a standard Python console with some 
known limitations. Please consult the Scribus 
Scripter documentation for futher information. </source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>QColorDialog</name>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="134"/>
        <source>Hu&amp;e:</source>
        <translation>Hu&amp;e:</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="135"/>
        <source>&amp;Sat:</source>
        <translation>&amp;Sat:</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="136"/>
        <source>&amp;Val:</source>
        <translation>&amp;Val:</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="137"/>
        <source>&amp;Red:</source>
        <translation>&amp;Red:</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="138"/>
        <source>&amp;Green:</source>
        <translation>&amp;Green:</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="139"/>
        <source>Bl&amp;ue:</source>
        <translation>Bl&amp;ue:</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="140"/>
        <source>A&amp;lpha channel:</source>
        <translation>A&amp;lpha kanalı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="141"/>
        <source>&amp;Basic colors</source>
        <translation>&amp;Temel Renkler</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="142"/>
        <source>&amp;Custom colors</source>
        <translation>Öz&amp;el Renkler</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="143"/>
        <source>&amp;Define Custom Colors &gt;&gt;</source>
        <translation>Ö&amp;zel Renk Tanımla&gt;&gt;</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="144"/>
        <source>OK</source>
        <translation>Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="145"/>
        <source>Cancel</source>
        <translation>İptal</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="146"/>
        <source>&amp;Add to Custom Colors</source>
        <translation>Öz&amp;el Renklere Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="147"/>
        <source>Select color</source>
        <translation>Renk seçin</translation>
    </message>
</context>
<context>
    <name>QFileDialog</name>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="14"/>
        <source>Copy or Move a File</source>
        <translation>Dosyayı Taşı ya da Kopyala</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="15"/>
        <source>Read: %1</source>
        <translation>Oku: %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="16"/>
        <source>Write: %1</source>
        <translation>Yaz: %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="17"/>
        <source>File &amp;name:</source>
        <translation>Dosya &amp;Adı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="18"/>
        <source>File &amp;type:</source>
        <translation>Dosya &amp;Türü:</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="19"/>
        <source>Files of type:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="20"/>
        <source>One directory up</source>
        <translation>Bir Dizin Yukarı</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="21"/>
        <source>Cancel</source>
        <translation>İptal</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="22"/>
        <source>All Files (*)</source>
        <translation>Tüm dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="23"/>
        <source>Name</source>
        <translation>İsim</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="24"/>
        <source>Size</source>
        <translation>Boyut</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="25"/>
        <source>Type</source>
        <translation>Tip</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="26"/>
        <source>Date</source>
        <translation>Tarih
</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="27"/>
        <source>Attributes</source>
        <translation>Nitelikler</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="28"/>
        <source>OK</source>
        <translation>Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="29"/>
        <source>Look &amp;in:</source>
        <translation>B&amp;urada ara:</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="30"/>
        <source>Look in:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="31"/>
        <source>Back</source>
        <translation>Geri</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="32"/>
        <source>Forward</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="33"/>
        <source>Parent Directory</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="34"/>
        <source>Create New Folder</source>
        <translation>Yeni Dizin Oluştur</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="35"/>
        <source>List View</source>
        <translation>Liste Görünümü</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="36"/>
        <source>Detail View</source>
        <translation>Detay Görünümü</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="37"/>
        <source>Preview File Info</source>
        <translation>Dosya Bilgisini Önizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="38"/>
        <source>Preview File Contents</source>
        <translation>Dosya İçeriğini Önizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="39"/>
        <source>Read-write</source>
        <translation>Okunabili-Yazılabilir</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="40"/>
        <source>Read-only</source>
        <translation>Sadece Okunabilir</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="41"/>
        <source>Write-only</source>
        <translation>Sadece yazılabilir</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="42"/>
        <source>Inaccessible</source>
        <translation>Erişim yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="43"/>
        <source>Symlink to File</source>
        <translation>Dosyaya sembolik bağ</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="44"/>
        <source>Symlink to Directory</source>
        <translation>Dizine sembolik bağ</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="45"/>
        <source>Symlink to Special</source>
        <translation>Symlink to Special</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="46"/>
        <source>File</source>
        <translation>Dosya</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="47"/>
        <source>Dir</source>
        <translation>Dizin</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="48"/>
        <source>Special</source>
        <translation>Özel</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="49"/>
        <source>Open</source>
        <translation>Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="50"/>
        <source>Save As</source>
        <translation>Farklı kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="51"/>
        <source>&amp;Open</source>
        <translation>&amp;Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="52"/>
        <source>&amp;Save</source>
        <translation>&amp;Kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="53"/>
        <source>&amp;Rename</source>
        <translation>&amp;Yeniden isimlendir</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="54"/>
        <source>&amp;Delete</source>
        <translation>&amp;Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="55"/>
        <source>R&amp;eload</source>
        <translation>Y&amp;eniden Yükle</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="56"/>
        <source>Sort by &amp;Name</source>
        <translation>İ&amp;sme göre sırala</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="57"/>
        <source>Sort by &amp;Size</source>
        <translation>Bo&amp;yuta göre sırala</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="58"/>
        <source>Sort by &amp;Date</source>
        <translation>&amp;Tarihe göre sırala</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="59"/>
        <source>&amp;Unsorted</source>
        <translation>&amp;Sırasız</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="60"/>
        <source>Sort</source>
        <translation>Sırala</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="61"/>
        <source>Show &amp;hidden files</source>
        <translation>&amp;Gizli dosyaları göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="62"/>
        <source>the file</source>
        <translation>dosya</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="63"/>
        <source>the directory</source>
        <translation>dizin</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="64"/>
        <source>the symlink</source>
        <translation>sembolik bağ</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="65"/>
        <source>Delete %1</source>
        <translation>Sil %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="66"/>
        <source>&lt;qt&gt;Are you sure you wish to delete %1 &quot;%2&quot;?&lt;/qt&gt;</source>
        <translation>&lt;qt&gt;%1 dosyasını silmek istediğinizden emin misiniz? &quot;%2&quot;?&lt;/qt&gt;</translation>
    </message>
    <message>
        <source>&amp;Yes</source>
        <translation type="obsolete">&amp;Evet</translation>
    </message>
    <message>
        <source>&amp;No</source>
        <translation type="obsolete">&amp;Hayır</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="69"/>
        <source>New Folder 1</source>
        <translation>Yeni Dizin1</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="70"/>
        <source>New Folder</source>
        <translation>Yeni Dizin</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="71"/>
        <source>New Folder %1</source>
        <translation>Yeni Dizin %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="72"/>
        <source>Find Directory</source>
        <translation>Dizini Bul</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="73"/>
        <source>Directories</source>
        <translation>Dizinler</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="74"/>
        <source>Save</source>
        <translation>Kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="75"/>
        <source>Error</source>
        <translation>Hata</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="76"/>
        <source>%1
File not found.
Check path and filename.</source>
        <translation>%1
Dosya bulunamadı.
Dizin ve dosya adını kontrol edin.</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="77"/>
        <source>All Files (*.*)</source>
        <translation>Tüm dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="78"/>
        <source>Select a Directory</source>
        <translation>Dizin Seçin</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="79"/>
        <source>Directory:</source>
        <translation>Dizin:</translation>
    </message>
</context>
<context>
    <name>QFontDialog</name>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="151"/>
        <source>&amp;Font</source>
        <translation>&amp;Yazıtipi</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="152"/>
        <source>Font st&amp;yle</source>
        <translation>Yazı&amp;tipi Stili</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="153"/>
        <source>&amp;Size</source>
        <translation>Ö&amp;lçü</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="154"/>
        <source>Effects</source>
        <translation>Efektler</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="155"/>
        <source>Stri&amp;keout</source>
        <translation>Ortada&amp;n Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="156"/>
        <source>&amp;Underline</source>
        <translation>Altı Çizil&amp;i</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="157"/>
        <source>&amp;Color</source>
        <translation>&amp;Renk</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="158"/>
        <source>Sample</source>
        <translation>Örnek</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="159"/>
        <source>Scr&amp;ipt</source>
        <translation>Scr&amp;ipt</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="160"/>
        <source>OK</source>
        <translation>Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="161"/>
        <source>Apply</source>
        <translation>Uygula</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="162"/>
        <source>Cancel</source>
        <translation>İptal</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="163"/>
        <source>Close</source>
        <translation>Kapat</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="164"/>
        <source>Select Font</source>
        <translation>Yazıtipi Seç</translation>
    </message>
</context>
<context>
    <name>QLineEdit</name>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="83"/>
        <source>Clear</source>
        <translation>Temizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="84"/>
        <source>Select All</source>
        <translation>Tümünü Seç</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="85"/>
        <source>&amp;Undo</source>
        <translation>Geri &amp;Al</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="86"/>
        <source>&amp;Redo</source>
        <translation>&amp;Yinele</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="87"/>
        <source>Cu&amp;t</source>
        <translation>&amp;Kes</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="88"/>
        <source>&amp;Copy</source>
        <translation>K&amp;opyala</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="89"/>
        <source>&amp;Paste</source>
        <translation>&amp;Yapıştır</translation>
    </message>
</context>
<context>
    <name>QMainWindow</name>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="103"/>
        <source>Line up</source>
        <translation>Sırala</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="104"/>
        <source>Customize...</source>
        <translation>Özelleştir...</translation>
    </message>
</context>
<context>
    <name>QMessageBox</name>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="9"/>
        <source>&lt;h3&gt;About Qt&lt;/h3&gt;&lt;p&gt;This program uses Qt version %1.&lt;/p&gt;&lt;p&gt;Qt is a C++ toolkit for multiplatform GUI &amp;amp; application development.&lt;/p&gt;&lt;p&gt;Qt provides single-source portability across MS&amp;nbsp;Windows, Mac&amp;nbsp;OS&amp;nbsp;X, Linux, and all major commercial Unix variants.&lt;br&gt;Qt is also available for embedded devices.&lt;/p&gt;&lt;p&gt;Qt is a Trolltech product. See &lt;tt&gt;http://www.trolltech.com/qt/&lt;/tt&gt; for more information.&lt;/p&gt;</source>
        <translation>&lt;h3&gt;About Qt&lt;/h3&gt;&lt;p&gt;This program uses Qt version %1.&lt;/p&gt;&lt;p&gt;Qt is a C++ toolkit for multiplatform GUI &amp;amp; application development.&lt;/p&gt;&lt;p&gt;Qt provides single-source portability across MS&amp;nbsp;Windows, Mac&amp;nbsp;OS&amp;nbsp;X, Linux, and all major commercial Unix variants.&lt;br&gt;Qt is also available for embedded devices.&lt;/p&gt;&lt;p&gt;Qt is a Trolltech product. See &lt;tt&gt;http://www.trolltech.com/qt/&lt;/tt&gt; for more information.&lt;/p&gt;</translation>
    </message>
</context>
<context>
    <name>QObject</name>
    <message>
        <location filename="../../../scribus/scribuscore.cpp" line="222"/>
        <source>Initializing...</source>
        <translation>Başlatılıyor...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus12format/scribus12format.cpp" line="730"/>
        <location filename="../../../scribus/plugins/fileloader/scribus134format/scribus134format.cpp" line="1550"/>
        <location filename="../../../scribus/plugins/fileloader/scribus13format/scribus13format.cpp" line="1118"/>
        <source>Background</source>
        <translation>Arkaplan</translation>
    </message>
    <message>
        <source>Warning</source>
        <translation type="obsolete">Uyarı</translation>
    </message>
    <message>
        <source>Do you really want to overwrite the File:
%1 ?</source>
        <translation type="obsolete">Bu dosyanın üzerine yazmak istediğinizden emin misiniz:
%1 ?</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ai/importaiplugin.cpp" line="127"/>
        <location filename="../../../scribus/plugins/import/cvg/importcvgplugin.cpp" line="126"/>
        <location filename="../../../scribus/plugins/import/oodraw/oodrawimp.cpp" line="172"/>
        <location filename="../../../scribus/plugins/import/pct/importpctplugin.cpp" line="119"/>
        <location filename="../../../scribus/plugins/import/ps/importpsplugin.cpp" line="137"/>
        <location filename="../../../scribus/plugins/import/svg/svgplugin.cpp" line="159"/>
        <location filename="../../../scribus/plugins/import/wmf/wmfimportplugin.cpp" line="146"/>
        <location filename="../../../scribus/plugins/import/xfig/importxfigplugin.cpp" line="126"/>
        <source>Open</source>
        <translation>Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/svgexplugin/svgexplugin.cpp" line="128"/>
        <source>Save as</source>
        <translation>Farklı kaydet</translation>
    </message>
    <message>
        <source>SVG-Images (*.svg *.svgz);;All Files (*)</source>
        <translation type="obsolete">SVG-Resimleri (*.svg *.svgz);;Tüm Dosyalar (*)</translation>
    </message>
    <message>
        <source>SVG-Images (*.svg);;All Files (*)</source>
        <translation type="obsolete">SVG-Resimleri (*.svg *.svgz);;Tüm Dosyalar (*)</translation>
    </message>
    <message>
        <source>Yes</source>
        <translation type="obsolete">Evet</translation>
    </message>
    <message>
        <source>No</source>
        <translation type="obsolete">Hayır</translation>
    </message>
    <message>
        <source>Save as Image</source>
        <translation type="obsolete">Resim olarak Kaydet</translation>
    </message>
    <message>
        <source>Error writing the output file(s).</source>
        <translation type="obsolete">Çıktı dosyası yazarken hata oluştu.</translation>
    </message>
    <message>
        <source>Export successful.</source>
        <translation type="obsolete">İhraç işlemi başarılı.</translation>
    </message>
    <message>
        <source>File exists. Overwrite?</source>
        <translation type="obsolete">Dosya mevcut. Üzerine yazılsın mı?</translation>
    </message>
    <message>
        <source>exists already. Overwrite?</source>
        <translation type="obsolete">zaten mevcut. Üzerine yazılsın mı?</translation>
    </message>
    <message>
        <source>Yes all</source>
        <translation type="obsolete">Tümüne evet</translation>
    </message>
    <message>
        <source>All Supported Formats (*.eps *.EPS *.ps *.PS);;</source>
        <translation type="obsolete">Desteklenen Tüm Biçimler (*.eps *.EPS *.ps *.PS);;</translation>
    </message>
    <message>
        <location filename="../../../scribus/gtgettext.cpp" line="189"/>
        <location filename="../../../scribus/scgtplugin.cpp" line="87"/>
        <location filename="../../../scribus/util_formats.cpp" line="250"/>
        <source>All Files (*)</source>
        <translation>Tüm dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="226"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="199"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="152"/>
        <source>Newsletters</source>
        <translation>Haber Bülteni</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="212"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="200"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="153"/>
        <source>Brochures</source>
        <translation>Broşürler</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="216"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="201"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="154"/>
        <source>Catalogs</source>
        <translation>Kataloglar</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="218"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="202"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="155"/>
        <source>Flyers</source>
        <translation>Basit Broşür</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="220"/>
        <source>Grids</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="232"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="203"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="156"/>
        <source>Signs</source>
        <translation>İşaretler</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="215"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="204"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="157"/>
        <source>Cards</source>
        <translation>Kartlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="222"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="205"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="158"/>
        <source>Letterheads</source>
        <translation>Mektup Başlıkları</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="217"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="206"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="159"/>
        <source>Envelopes</source>
        <translation>Zarflar</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="213"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="207"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="160"/>
        <source>Business Cards</source>
        <translation>Kartvizitler</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="214"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="208"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="161"/>
        <source>Calendars</source>
        <translation>Takvimler</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="210"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="209"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="162"/>
        <source>Advertisements</source>
        <translation>Reklamlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="221"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="210"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="163"/>
        <source>Labels</source>
        <translation>Etiketler</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="225"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="211"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="164"/>
        <source>Menus</source>
        <translation>Menüler</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="231"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="212"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="165"/>
        <source>Programs</source>
        <translation>Programlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="228"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="213"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="166"/>
        <source>PDF Forms</source>
        <translation>PDF Formları</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="229"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="214"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="167"/>
        <source>PDF Presentations</source>
        <translation>PDF Sunumları</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="223"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="215"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="168"/>
        <source>Magazines</source>
        <translation>Dergiler</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="230"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="216"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="169"/>
        <source>Posters</source>
        <translation>Posterler</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="211"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="217"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="170"/>
        <source>Announcements</source>
        <translation>Duyurular</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="233"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="218"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="171"/>
        <source>Text Documents</source>
        <translation>Metin Belgeleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="219"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="219"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="172"/>
        <source>Folds</source>
        <translation>Katlananlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="227"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="221"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="174"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satemplate.cpp" line="261"/>
        <source>Own Templates</source>
        <translation>Kendi şablonlarım</translation>
    </message>
    <message>
        <location filename="../../../scribus/gtaction.cpp" line="77"/>
        <source>Importing text</source>
        <translation>Metin Alınıyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/gtgettext.cpp" line="161"/>
        <location filename="../../../scribus/scgtplugin.cpp" line="68"/>
        <location filename="../../../scribus/util_formats.cpp" line="203"/>
        <source>All Supported Formats</source>
        <translation>Desteklenen tüm dosya türleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/htmlim/htmlim.cpp" line="43"/>
        <source>HTML Files</source>
        <translation>HTML Dosyaları</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/htmlim/htmlim.cpp" line="48"/>
        <source>html</source>
        <translation>html</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/txtim/txtim.cpp" line="21"/>
        <source>Text Files</source>
        <translation>Metin Dosyaları</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/csvim/csvim.cpp" line="13"/>
        <source>Comma Separated Value Files</source>
        <translation>CSV Dosyaları</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/csvim/csvim.cpp" line="59"/>
        <source>CSV_data</source>
        <translation>CSV_data</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/csvim/csvim.cpp" line="63"/>
        <source>CSV_header</source>
        <translation>CSV_header</translation>
    </message>
    <message>
        <location filename="../../../scribus/scfonts.cpp" line="334"/>
        <source>Font %1 is broken, discarding it</source>
        <translation>Font %1 bozuk, atılıyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/htmlim/htmlreader.cpp" line="667"/>
        <source>
External Links
</source>
        <translation>
Dışarı Link</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/textfilter.cpp" line="26"/>
        <source>Text Filters</source>
        <translation>Metin Süzgeçleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftrcreader.cpp" line="224"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftrcreader.cpp" line="220"/>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="173"/>
        <source>Media Cases</source>
        <translation>Medya Kutuları</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="140"/>
        <source>Albanian</source>
        <translation>Albanian</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="96"/>
        <source>Basque</source>
        <translation>Bask</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="63"/>
        <location filename="../../../scribus/langmgr.cpp" line="64"/>
        <source>Bulgarian</source>
        <translation>Bulgarca</translation>
    </message>
    <message>
        <source>Brazilian</source>
        <translation type="obsolete">Brazilian</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="68"/>
        <source>Catalan</source>
        <translation>Katalanca</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="150"/>
        <source>Chinese</source>
        <translation>Çince</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="69"/>
        <location filename="../../../scribus/langmgr.cpp" line="70"/>
        <source>Czech</source>
        <translation>Çekce</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="73"/>
        <location filename="../../../scribus/langmgr.cpp" line="74"/>
        <source>Danish</source>
        <translation>Danca</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="122"/>
        <location filename="../../../scribus/langmgr.cpp" line="123"/>
        <source>Dutch</source>
        <translation>Flemenkçe</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="82"/>
        <location filename="../../../scribus/langmgr.cpp" line="193"/>
        <location filename="../../../scribus/langmgr.cpp" line="266"/>
        <location filename="../../../scribus/langmgr.cpp" line="321"/>
        <source>English</source>
        <translation>İngilizce</translation>
    </message>
    <message>
        <source>English (British)</source>
        <translation type="obsolete">İngilizce (İngiliz)</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="89"/>
        <source>Esperanto</source>
        <translation>Esperanto</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="75"/>
        <location filename="../../../scribus/langmgr.cpp" line="79"/>
        <source>German</source>
        <translation>Almanca</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="97"/>
        <source>Finnish</source>
        <translation>Fince</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="98"/>
        <location filename="../../../scribus/langmgr.cpp" line="99"/>
        <source>French</source>
        <translation>Fransızca</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="100"/>
        <source>Galician</source>
        <translation>Galician</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="81"/>
        <source>Greek</source>
        <translation>Yunanca</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="103"/>
        <location filename="../../../scribus/langmgr.cpp" line="104"/>
        <source>Hungarian</source>
        <translation>Macarca</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="106"/>
        <source>Indonesian</source>
        <translation>Indonesian</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="108"/>
        <location filename="../../../scribus/langmgr.cpp" line="109"/>
        <source>Italian</source>
        <translation>İtalyanca</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="112"/>
        <source>Korean</source>
        <translation>Korean</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="113"/>
        <source>Kurdish</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="117"/>
        <location filename="../../../scribus/langmgr.cpp" line="118"/>
        <source>Lithuanian</source>
        <translation>Lithuanian</translation>
    </message>
    <message>
        <source>Norwegian (Bokmaal)</source>
        <translation type="obsolete">Norwegian (Bokmaal)</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="124"/>
        <location filename="../../../scribus/langmgr.cpp" line="125"/>
        <source>Norwegian (Nnyorsk)</source>
        <translation>Norwegian (Nnyorsk)</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="126"/>
        <location filename="../../../scribus/langmgr.cpp" line="127"/>
        <source>Norwegian</source>
        <translation>Norwegian</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="128"/>
        <location filename="../../../scribus/langmgr.cpp" line="129"/>
        <source>Polish</source>
        <translation>Polish</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="133"/>
        <location filename="../../../scribus/langmgr.cpp" line="134"/>
        <source>Russian</source>
        <translation>Rusça</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="142"/>
        <source>Swedish</source>
        <translation>İsveçce</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="90"/>
        <location filename="../../../scribus/langmgr.cpp" line="92"/>
        <source>Spanish</source>
        <translation>İspanyolca</translation>
    </message>
    <message utf8="true">
        <location filename="../../../scribus/langmgr.cpp" line="120"/>
        <location filename="../../../scribus/langmgr.cpp" line="121"/>
        <source>Norwegian (Bokmål)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="93"/>
        <source>Spanish (Latin)</source>
        <translation>İspanyolca(Latin)</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="136"/>
        <location filename="../../../scribus/langmgr.cpp" line="137"/>
        <source>Slovak</source>
        <translation>Slovakca</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="138"/>
        <location filename="../../../scribus/langmgr.cpp" line="139"/>
        <source>Slovenian</source>
        <translation>Slovenian</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="141"/>
        <source>Serbian</source>
        <translation>Sırpça</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="28"/>
        <source>Cannot get font size of non-text frame.</source>
        <comment>python error</comment>
        <translation>Metin çerçevesi olmayan bir çerçevenin yazıtipi boyutu alınamaz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="54"/>
        <source>Cannot get font of non-text frame.</source>
        <comment>python error</comment>
        <translation>Metin çerçevesi olmayan bir çerçevenin yazıtipi alınamaz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="80"/>
        <source>Cannot get text size of non-text frame.</source>
        <comment>python error</comment>
        <translation>Metin çerçevesi olmayan bir çerçevenin metin boyutu alınamaz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="116"/>
        <source>Cannot get column count of non-text frame.</source>
        <comment>python error</comment>
        <translation type="unfinished">Cannot get column count of non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="134"/>
        <source>Cannot get line space of non-text frame.</source>
        <comment>python error</comment>
        <translation type="unfinished">Cannot get line space of non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="174"/>
        <source>Cannot get column gap of non-text frame.</source>
        <comment>python error</comment>
        <translation type="unfinished">Cannot get column gap of non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="193"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="224"/>
        <source>Cannot get text of non-text frame.</source>
        <comment>python error</comment>
        <translation>Metin çerçevesi olmayan bir çerçevenin metni alınamaz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="257"/>
        <source>Cannot set text of non-text frame.</source>
        <comment>python error</comment>
        <translation>Metin çerçevesi olmayan bir çerçevenin metni ayarlanamaz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="291"/>
        <source>Cannot insert text into non-text frame.</source>
        <comment>python error</comment>
        <translation>Cannot insert text into non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="328"/>
        <source>Alignment out of range. Use one of the scribus.ALIGN* constants.</source>
        <comment>python error</comment>
        <translation type="unfinished">Alignment out of range. Use one of the scribus.ALIGN* constants.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="563"/>
        <source>Selection index out of bounds</source>
        <comment>python error</comment>
        <translation type="unfinished">Selection index out of bounds</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmddoc.cpp" line="152"/>
        <source>Failed to open document: %1</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmddoc.cpp" line="230"/>
        <source>Unit out of range. Use one of the scribus.UNIT_* constants.</source>
        <comment>python error</comment>
        <translation type="unfinished">Unit out of range. Use one of the scribus.UNIT_* constants.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmddoc.cpp" line="381"/>
        <source>Master page does not exist: &apos;%1&apos;</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmddoc.cpp" line="386"/>
        <source>Page number out of range: %1.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmddoc.cpp" line="392"/>
        <source>Failed to apply masterpage &apos;%1&apos; on page: %2</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmani.cpp" line="27"/>
        <source>Target is not an image frame.</source>
        <comment>python error</comment>
        <translation>Hedef bir resim çerçevesi değil.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdsetprop.cpp" line="350"/>
        <source>Corner radius must be a positive number.</source>
        <comment>python error</comment>
        <translation type="unfinished">Corner radius must be a positive number.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="39"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="64"/>
        <source>Cannot get a color with an empty name.</source>
        <comment>python error</comment>
        <translation type="unfinished">Cannot get a colour with an empty name.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="87"/>
        <source>Cannot change a color with an empty name.</source>
        <comment>python error</comment>
        <translation>Renkler boş isimle değiştirilemez.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="123"/>
        <source>Cannot create a color with an empty name.</source>
        <comment>python error</comment>
        <translation>Renkler boş isimle oluşturulamaz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="159"/>
        <source>Cannot delete a color with an empty name.</source>
        <comment>python error</comment>
        <translation>Renkler boş isimle silinemez. </translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="204"/>
        <source>Cannot replace a color with an empty name.</source>
        <comment>python error</comment>
        <translation>Renkler boş isimle değiştirilemez.</translation>
    </message>
    <message>
        <source>OpenOffice.org Draw (*.sxd);;All Files (*)</source>
        <translation type="obsolete">OpenOffice.org Draw (*.sxd);;Tüm Dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/sxwim/sxwim.cpp" line="45"/>
        <source>OpenOffice.org Writer Documents</source>
        <translation>OpenOffice.org Writer Belgeleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdgetprop.cpp" line="103"/>
        <source>Color not found - python error</source>
        <comment>python error</comment>
        <translation>Renk bulunamadı - Ptyhon hatası</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/configuration.cpp" line="153"/>
        <source>Custom (optional) configuration: </source>
        <comment>short words plugin</comment>
        <translation type="unfinished">Custom (optional) configuration: </translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/configuration.cpp" line="149"/>
        <source>Standard configuration: </source>
        <comment>short words plugin</comment>
        <translation>Standart yapılandırma:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/shortwords.cpp" line="129"/>
        <source>Short Words processing. Wait please...</source>
        <comment>short words plugin</comment>
        <translation type="unfinished">Short Words processing. Wait please...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/shortwords.cpp" line="148"/>
        <source>Short Words processing. Done.</source>
        <comment>short words plugin</comment>
        <translation type="unfinished">Short Words processing. Done.</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="58"/>
        <location filename="../../../scribus/langmgr.cpp" line="59"/>
        <source>Afrikaans</source>
        <translation>Afrikaans</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="145"/>
        <location filename="../../../scribus/langmgr.cpp" line="146"/>
        <source>Turkish</source>
        <translation>Türkçe</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="147"/>
        <location filename="../../../scribus/langmgr.cpp" line="148"/>
        <source>Ukranian</source>
        <translation>Ukranian</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="71"/>
        <location filename="../../../scribus/langmgr.cpp" line="72"/>
        <source>Welsh</source>
        <translation>Welsh</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/objimageexport.cpp" line="75"/>
        <source>The filename must be a string.</source>
        <comment>python error</comment>
        <translation>Dosya adı bir dizge olmalı.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/objimageexport.cpp" line="98"/>
        <source>Cannot delete image type settings.</source>
        <comment>python error</comment>
        <translation>Cannot delete image type settings.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/objimageexport.cpp" line="102"/>
        <source>The image type must be a string.</source>
        <comment>python error</comment>
        <translation>The image type must be a string.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/objimageexport.cpp" line="127"/>
        <source>&apos;allTypes&apos; attribute is READ-ONLY</source>
        <comment>python error</comment>
        <translation>&apos;allTypes&apos; niteliği sadece okunabilir tipte</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/objimageexport.cpp" line="157"/>
        <location filename="../../../scribus/plugins/scriptplugin/objimageexport.cpp" line="188"/>
        <source>Failed to export image</source>
        <comment>python error</comment>
        <translation>Resim ihraç edilemedi</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="47"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="72"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="213"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="241"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="268"/>
        <source>Color not found.</source>
        <comment>python error</comment>
        <translation>Renk Bulunamadı.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="95"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="173"/>
        <source>Color not found in document.</source>
        <comment>python error</comment>
        <translation>Renk,belge içinde bulunamıyor.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="105"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="184"/>
        <source>Color not found in default colors.</source>
        <comment>python error</comment>
        <translation>Renk, öntanımlı renkler arasında bulunamıyor.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmani.cpp" line="338"/>
        <source>Cannot scale by 0%.</source>
        <comment>python error</comment>
        <translation>Cannot scale by 0%.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmani.cpp" line="49"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmani.cpp" line="72"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmani.cpp" line="97"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmani.cpp" line="453"/>
        <source>Specified item not an image frame.</source>
        <comment>python error</comment>
        <translation>Belirtilen öğe resim çerçevesi değil.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="100"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="416"/>
        <source>Font not found.</source>
        <comment>python error</comment>
        <translation>Font not found.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="106"/>
        <source>Cannot render an empty sample.</source>
        <comment>python error</comment>
        <translation>Cannot render an empty sample.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="171"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="204"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="281"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="314"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="347"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="380"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="478"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="509"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="540"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="571"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="602"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="633"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="664"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="696"/>
        <source>Cannot have an empty layer name.</source>
        <comment>python error</comment>
        <translation>Cannot have an empty layer name.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="179"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="263"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="296"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="329"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="362"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="395"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="428"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="461"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="494"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="525"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="556"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="587"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="618"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="649"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="680"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="727"/>
        <source>Layer not found.</source>
        <comment>python error</comment>
        <translation>Katman bulunamadı.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="701"/>
        <source>Cannot remove the last layer.</source>
        <comment>python error</comment>
        <translation>Son katman kaldırılamıyor.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="744"/>
        <source>Cannot create layer without a name.</source>
        <comment>python error</comment>
        <translation>İsimsiz katman oluşturulamıyor.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="300"/>
        <source>Insert index out of bounds.</source>
        <comment>python error</comment>
        <translation>Insert index out of bounds.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="336"/>
        <source>Cannot set text alignment on a non-text frame.</source>
        <comment>python error</comment>
        <translation>Cannot set text alignment on a non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="362"/>
        <source>Font size out of bounds - must be 1 &lt;= size &lt;= 512.</source>
        <comment>python error</comment>
        <translation>Font size out of bounds - must be 1 &lt;= size &lt;= 512.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="371"/>
        <source>Cannot set font size on a non-text frame.</source>
        <comment>python error</comment>
        <translation>Cannot set font size on a non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="400"/>
        <source>Cannot set font on a non-text frame.</source>
        <comment>python error</comment>
        <translation>Cannot set font on a non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="434"/>
        <source>Line space out of bounds, must be &gt;= 0.1.</source>
        <comment>python error</comment>
        <translation>Line space out of bounds, must be &gt;= 0.1.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="442"/>
        <source>Cannot set line spacing on a non-text frame.</source>
        <comment>python error</comment>
        <translation>Cannot set line spacing on a non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="497"/>
        <source>Column gap out of bounds, must be positive.</source>
        <comment>python error</comment>
        <translation>Column gap out of bounds, must be positive.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="505"/>
        <source>Cannot set column gap on a non-text frame.</source>
        <comment>python error</comment>
        <translation>Cannot set column gap on a non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="524"/>
        <source>Column count out of bounds, must be &gt; 1.</source>
        <comment>python error</comment>
        <translation>Column count out of bounds, must be &gt; 1.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="532"/>
        <source>Cannot set number of columns on a non-text frame.</source>
        <comment>python error</comment>
        <translation>Cannot set number of columns on a non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="568"/>
        <source>Cannot select text in a non-text frame</source>
        <comment>python error</comment>
        <translation>Cannot select text in a non-text frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="605"/>
        <source>Cannot delete text from a non-text frame.</source>
        <comment>python error</comment>
        <translation>Cannot delete text from a non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="636"/>
        <source>Cannot set text fill on a non-text frame.</source>
        <comment>python error</comment>
        <translation>Cannot set text fill on a non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="672"/>
        <source>Cannot set text stroke on a non-text frame.</source>
        <comment>python error</comment>
        <translation>Cannot set text stroke on a non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="785"/>
        <source>Cannot set text shade on a non-text frame.</source>
        <comment>python error</comment>
        <translation>Cannot set text shade on a non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="825"/>
        <source>Can only link text frames.</source>
        <comment>python error</comment>
        <translation>Can only link text frames.</translation>
    </message>
    <message>
        <source>Target frame must be empty.</source>
        <comment>python error</comment>
        <translation type="obsolete">Target frame must be empty.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="835"/>
        <source>Target frame links to another frame.</source>
        <comment>python error</comment>
        <translation>Target frame links to another frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="840"/>
        <source>Target frame is linked to by another frame.</source>
        <comment>python error</comment>
        <translation>Target frame is linked to by another frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="845"/>
        <source>Source and target are the same object.</source>
        <comment>python error</comment>
        <translation>Source and target are the same object.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="870"/>
        <source>Cannot unlink a non-text frame.</source>
        <comment>python error</comment>
        <translation>Cannot unlink a non-text frame.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="925"/>
        <source>Cannot convert a non-text frame to outlines.</source>
        <comment>python error</comment>
        <translation>Cannot convert a non-text frame to outlines.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="1044"/>
        <source>Can&apos;t set bookmark on a non-text frame</source>
        <comment>python error</comment>
        <translation>Can&apos;t set bookmark on a non-text frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="1078"/>
        <source>Can&apos;t get info from a non-text frame</source>
        <comment>python error</comment>
        <translation>Can&apos;t get info from a non-text frame</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/odtim/odtim.cpp" line="47"/>
        <source>OpenDocument Text Documents</source>
        <translation>OpenDocument Metin Belgeleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="102"/>
        <source>Croatian</source>
        <translation>Hırvatça</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="130"/>
        <source>Portuguese</source>
        <translation>Portuguese</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="131"/>
        <source>Portuguese (BR)</source>
        <translation>Portuguese (BR)</translation>
    </message>
    <message>
        <source>Custom</source>
        <translation type="obsolete">Özel</translation>
    </message>
    <message>
        <location filename="../../../scribus/page.cpp" line="37"/>
        <location filename="../../../scribus/page.cpp" line="82"/>
        <source>Page</source>
        <translation>Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/page.cpp" line="91"/>
        <source>Master Page </source>
        <translation>Mastar Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="124"/>
        <source>4A0</source>
        <translation>4A0</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="130"/>
        <source>2A0</source>
        <translation>2A0</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="220"/>
        <source>Comm10E</source>
        <translation>Comm10E</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="226"/>
        <source>DLE</source>
        <translation>DLE</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="57"/>
        <source>Output stream not writeable</source>
        <translation>Output stream not writeable</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="80"/>
        <source>Verification of settings failed: %1</source>
        <translation>Verification of settings failed: %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="299"/>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="449"/>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="461"/>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="476"/>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="484"/>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="493"/>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="504"/>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="533"/>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="671"/>
        <source>Unable to read settings XML:</source>
        <translation>Unable to read settings XML:</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="300"/>
        <source>%1 (line %2 col %3)</source>
        <comment>Load PDF settings</comment>
        <translation>%1 (line %2 col %3)</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="319"/>
        <source>Unable to read settings XML: %1</source>
        <translation>Unable to read settings XML: %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="320"/>
        <source>null root node</source>
        <comment>Load PDF settings</comment>
        <translation>null root node</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="450"/>
        <source>&lt;pdfVersion&gt; invalid</source>
        <comment>Load PDF settings</comment>
        <translation>&lt;pdfVersion&gt; invalid</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="462"/>
        <source>found %1 &lt;%2&gt; nodes, need 1.</source>
        <comment>Load PDF settings</comment>
        <translation>found %1 &lt;%2&gt; nodes, need 1.</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="477"/>
        <source>unexpected null &lt;%2&gt; node</source>
        <comment>Load PDF settings</comment>
        <translation>unexpected null &lt;%2&gt; node</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="485"/>
        <source>node &lt;%1&gt; not an element</source>
        <comment>Load PDF settings</comment>
        <translation>node &lt;%1&gt; not an element</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="505"/>
        <source>element &lt;%1&gt; lacks `value&apos; attribute</source>
        <comment>Load PDF settings</comment>
        <translation>element &lt;%1&gt; lacks `value&apos;  niteliği</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="534"/>
        <source>element &lt;%1&gt; value must be `true&apos; or `false&apos;</source>
        <comment>Load PDF settings</comment>
        <translation>element &lt;%1&gt; value must be `true&apos; or `false&apos;</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="672"/>
        <source>element &lt;lpiSettingsEntry&gt; lacks `name&apos; attribute</source>
        <comment>Load PDF settings</comment>
        <translation>element &lt;lpiSettingsEntry&gt; lacks `name&apos; niteliği</translation>
    </message>
    <message>
        <source>Font %1 (found using fontconfig) is broken, discarding it</source>
        <translation type="obsolete">Font %1 (found using fontconfig) is broken, discarding it</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="583"/>
        <source>Scribus Development Version</source>
        <translation>Scribus Development Version</translation>
    </message>
    <message>
        <source> pt</source>
        <translation type="obsolete"> pt</translation>
    </message>
    <message>
        <source> mm</source>
        <translation type="obsolete"> mm</translation>
    </message>
    <message>
        <source> in</source>
        <translation type="obsolete"> in</translation>
    </message>
    <message>
        <source> p</source>
        <translation type="obsolete"> p</translation>
    </message>
    <message>
        <source> cm</source>
        <translation type="obsolete"> cm</translation>
    </message>
    <message>
        <location filename="../../../scribus/units.cpp" line="157"/>
        <source>pt</source>
        <translation>pt</translation>
    </message>
    <message>
        <location filename="../../../scribus/units.cpp" line="158"/>
        <source>mm</source>
        <translation>mm</translation>
    </message>
    <message>
        <location filename="../../../scribus/units.cpp" line="159"/>
        <source>in</source>
        <translation>in</translation>
    </message>
    <message>
        <location filename="../../../scribus/units.cpp" line="160"/>
        <source>p</source>
        <translation>p</translation>
    </message>
    <message>
        <location filename="../../../scribus/units.cpp" line="161"/>
        <source>cm</source>
        <translation>cm</translation>
    </message>
    <message>
        <location filename="../../../scribus/units.cpp" line="209"/>
        <source>Points (pt)</source>
        <translation>Points (pt)</translation>
    </message>
    <message>
        <location filename="../../../scribus/units.cpp" line="210"/>
        <source>Millimeters (mm)</source>
        <translation>Milimetre (mm)</translation>
    </message>
    <message>
        <location filename="../../../scribus/units.cpp" line="211"/>
        <source>Inches (in)</source>
        <translation>Inç (in)</translation>
    </message>
    <message>
        <location filename="../../../scribus/units.cpp" line="212"/>
        <source>Picas (p)</source>
        <translation>Pica (p)</translation>
    </message>
    <message>
        <location filename="../../../scribus/units.cpp" line="213"/>
        <source>Centimeters (cm)</source>
        <translation>Santim (cm)</translation>
    </message>
    <message>
        <location filename="../../../scribus/util.cpp" line="367"/>
        <source>File exists</source>
        <translation>Dosya mevcut</translation>
    </message>
    <message>
        <source>&amp;Replace</source>
        <translation type="obsolete">&amp;Değiştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/pslib.cpp" line="1829"/>
        <location filename="../../../scribus/pslib.cpp" line="2032"/>
        <location filename="../../../scribus/pslib.cpp" line="2235"/>
        <location filename="../../../scribus/scprintengine_gdi.cpp" line="487"/>
        <source>All</source>
        <translation>Tümü</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftemplate.cpp" line="117"/>
        <location filename="../../../scribus/scribus.cpp" line="2107"/>
        <location filename="../../../scribus/scribus.cpp" line="2394"/>
        <source>Document Template: </source>
        <translation>Belge Şablonu:</translation>
    </message>
    <message>
        <source>Failed to open document.</source>
        <comment>python error</comment>
        <translation type="obsolete">Belge açılamadı.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmddoc.cpp" line="192"/>
        <source>Failed to save document.</source>
        <comment>python error</comment>
        <translation>Belge kaydedilemedi.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdgetsetprop.cpp" line="39"/>
        <source>Argument must be page item name, or PyCObject instance</source>
        <translation>Argument must be page item name, or PyCObject instance</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdgetsetprop.cpp" line="88"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdgetsetprop.cpp" line="265"/>
        <source>Property not found</source>
        <translation>Özellik bulunamadı</translation>
    </message>
    <message>
        <source>Child not found</source>
        <translation type="obsolete">Child not found</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdgetsetprop.cpp" line="273"/>
        <source>Invalid property</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdgetsetprop.cpp" line="319"/>
        <source>Couldn&apos;t convert result type &apos;%1&apos;.</source>
        <translation>Couldn&apos;t convert result type &apos;%1&apos;.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdgetsetprop.cpp" line="454"/>
        <source>Property type &apos;%1&apos; not supported</source>
        <translation>Property type &apos;%1&apos; not supported</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdgetsetprop.cpp" line="473"/>
        <source>Couldn&apos;t convert &apos;%1&apos; to property type &apos;%2&apos;</source>
        <translation>Couldn&apos;t convert &apos;%1&apos; to property type &apos;%2&apos;</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdgetsetprop.cpp" line="481"/>
        <source>Types matched, but setting property failed.</source>
        <translation type="unfinished">Types matched, but setting property failed.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="123"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmisc.cpp" line="140"/>
        <source>Unable to save pixmap</source>
        <comment>scripter error</comment>
        <translation type="unfinished">Unable to save pixmap</translation>
    </message>
    <message>
        <source>An object with the requested name already exists.</source>
        <comment>python error</comment>
        <translation type="obsolete">An object with the requested name already exists.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdobj.cpp" line="220"/>
        <source>Point list must contain at least two points (four values).</source>
        <comment>python error</comment>
        <translation type="unfinished">Point list must contain at least two points (four values).</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdobj.cpp" line="225"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdobj.cpp" line="306"/>
        <source>Point list must contain an even number of values.</source>
        <comment>python error</comment>
        <translation type="unfinished">Point list must contain an even number of values.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdobj.cpp" line="301"/>
        <source>Point list must contain at least three points (six values).</source>
        <comment>python error</comment>
        <translation type="unfinished">Point list must contain at least three points (six values).</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdobj.cpp" line="384"/>
        <source>Point list must contain at least four points (eight values).</source>
        <comment>python error</comment>
        <translation type="unfinished">Point list must contain at least four points (eight values).</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdobj.cpp" line="389"/>
        <source>Point list must have a multiple of six values.</source>
        <comment>python error</comment>
        <translation type="unfinished">Point list must have a multiple of six values.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdobj.cpp" line="489"/>
        <source>Object not found.</source>
        <comment>python error</comment>
        <translation>Nesne bulunamadı.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdobj.cpp" line="616"/>
        <source>Style not found.</source>
        <comment>python error</comment>
        <translation>Stil bulunamadı.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdobj.cpp" line="642"/>
        <source>Cannot set style on a non-text frame.</source>
        <comment>python error</comment>
        <translation>Metin çerçevesi olmayan bir çerçevenin stili ayarlanamaz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdpage.cpp" line="59"/>
        <source>Failed to save EPS.</source>
        <comment>python error</comment>
        <translation>EPS yazılamadı.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdpage.cpp" line="42"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdpage.cpp" line="81"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdpage.cpp" line="100"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdpage.cpp" line="150"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdpage.cpp" line="190"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdpage.cpp" line="212"/>
        <source>Page number out of range.</source>
        <comment>python error</comment>
        <translation>Sayfa numarası aralık dışında.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdpage.cpp" line="285"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdpage.cpp" line="336"/>
        <source>argument is not list: must be list of float values.</source>
        <comment>python error</comment>
        <translation type="unfinished">argument is not list: must be list of float values.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdpage.cpp" line="296"/>
        <source>argument contains non-numeric values: must be list of float values.</source>
        <comment>python error</comment>
        <translation type="unfinished">argument contains non-numeric values: must be list of float values.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdpage.cpp" line="347"/>
        <source>argument contains no-numeric values: must be list of float values.</source>
        <comment>python error</comment>
        <translation type="unfinished">argument contains no-numeric values: must be list of float values.</translation>
    </message>
    <message>
        <source>Line width out of bounds, must be 0 &lt;= line_width &lt;= 12.</source>
        <comment>python error</comment>
        <translation type="obsolete">Line width out of bounds, must be 0 &lt;= line_width &lt;= 12.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdsetprop.cpp" line="245"/>
        <source>Line width out of bounds, must be 0 &lt;= line_width &lt;= 300.</source>
        <comment>python error</comment>
        <translation type="unfinished">Line width out of bounds, must be 0 &lt;= line_width &lt;= 12. {0 ?} {300.?}</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdsetprop.cpp" line="265"/>
        <source>Line shade out of bounds, must be 0 &lt;= shade &lt;= 100.</source>
        <comment>python error</comment>
        <translation type="unfinished">Line shade out of bounds, must be 0 &lt;= shade &lt;= 100.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdsetprop.cpp" line="285"/>
        <source>Fill shade out of bounds, must be 0 &lt;= shade &lt;= 100.</source>
        <comment>python error</comment>
        <translation type="unfinished">Fill shade out of bounds, must be 0 &lt;= shade &lt;= 100.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdsetprop.cpp" line="377"/>
        <source>Line style not found.</source>
        <comment>python error</comment>
        <translation>Stil bulunamadı.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="876"/>
        <source>Object is not a linked text frame, can&apos;t unlink.</source>
        <comment>python error</comment>
        <translation>Nesne bağlı bir metin çerçevesi değil; bağ çözülemez.</translation>
    </message>
    <message>
        <source>Object the last frame in a series, can&apos;t unlink. Unlink the previous frame instead.</source>
        <comment>python error</comment>
        <translation type="obsolete">Object the last frame in a series, can&apos;t unlink. Unlink the previous frame instead.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="952"/>
        <source>Only text frames can be checked for overflowing</source>
        <comment>python error</comment>
        <translation>Sadece metin çerçeveleri taşma için kontrol edilebilirler</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="45"/>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="601"/>
        <source>&amp;Execute Script...</source>
        <translation>Scripti Ç&amp;alıştır...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="46"/>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="602"/>
        <source>Show &amp;Console</source>
        <translation>&amp;Konsolu Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="47"/>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="603"/>
        <source>&amp;About Script...</source>
        <translation>Script &amp;Hakkında...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="76"/>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="605"/>
        <source>&amp;Script</source>
        <translation>&amp;Script</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="78"/>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="606"/>
        <source>&amp;Scribus Scripts</source>
        <translation>&amp;Scribus Scriptleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="80"/>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="607"/>
        <source>&amp;Recent Scripts</source>
        <translation>&amp;Son Scriptler</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="574"/>
        <source>About Script</source>
        <translation>Script Hakkında</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptplugin.cpp" line="750"/>
        <source>Scribus Python interface module

This module is the Python interface for Scribus. It provides functions
to control scribus and to manipulate objects on the canvas. Each
function is documented individually below.

A few things are common across most of the interface.

Most functions operate on frames. Frames are identified by their name,
a string - they are not real Python objects. Many functions take an
optional (non-keyword) parameter, a frame name.
Many exceptions are also common across most functions. These are
not currently documented in the docstring for each function.
- Many functions will raise a NoDocOpenError if you try to use them
without a document to operate on.
- If you do not pass a frame name to a function that requires one,
the function will use the currently selected frame, if any, or
raise a NoValidObjectError if it can&apos;t find anything to operate
on.
- Many functions will raise WrongFrameTypeError if you try to use them
on a frame type that they do not make sense with. For example, setting
the text color on a graphics frame doesn&apos;t make sense, and will result
in this exception being raised.
- Errors resulting from calls to the underlying Python API will be
passed through unaltered. As such, the list of exceptions thrown by
any function as provided here and in its docstring is incomplete.

Details of what exceptions each function may throw are provided on the
function&apos;s documentation, though as with most Python code this list
is not exhaustive due to exceptions from called functions.
</source>
        <translation type="unfinished">Scribus Python interface module

This module is the Python interface for Scribus. It provides functions
to control scribus and to manipulate objects on the canvas. Each
function is documented individually below.

A few things are common across most of the interface.

Most functions operate on frames. Frames are identified by their name,
a string - they are not real Python objects. Many functions take an
optional (non-keyword) parameter, a frame name.
Many exceptions are also common across most functions. These are
not currently documented in the docstring for each function.
- Many functions will raise a NoDocOpenError if you try to use them
without a document to operate on.
- If you do not pass a frame name to a function that requires one,
the function will use the currently selected frame, if any, or
raise a NoValidObjectError if it can&apos;t find anything to operate
on.
- Many functions will raise WrongFrameTypeError if you try to use them
on a frame type that they do not make sense with. For example, setting
the text colour on a graphics frame doesn&apos;t make sense, and will result
in this exception being raised.
- Errors resulting from calls to the underlying Python API will be
passed through unaltered. As such, the list of exceptions thrown by
any function as provided here and in its docstring is incomplete.

Details of what exceptions each function may throw are provided on the
function&apos;s documentation, though as with most Python code this list
is not exhaustive due to exceptions from called functions.
</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="40"/>
        <source>Could not open output file %1</source>
        <translation>Çıktı dosyası %1 açılamıyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/pdfoptionsio.cpp" line="284"/>
        <source>Could not open input file %1</source>
        <translation>Girdi dosyası  %1 açılamıyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/ftface.cpp" line="54"/>
        <source>Freetype2 library not available</source>
        <translation>Freetype2 kütüphanesi bulunamadı</translation>
    </message>
    <message>
        <source>Font %1 is broken, no embedding</source>
        <translation type="obsolete">Font %1 is broken, no embedding</translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/ftface.cpp" line="322"/>
        <location filename="../../../scribus/fonts/scface_ttf.cpp" line="656"/>
        <source>Font %1 is broken (read stream), no embedding</source>
        <translation type="unfinished">Font %1 is broken (read stream), no embedding</translation>
    </message>
    <message>
        <source>Font %1 is broken (FreeType2), discarding it</source>
        <translation type="obsolete">Font %1 is broken (FreeType2), discarding it</translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/scface_ps.h" line="53"/>
        <source>Font %1 is broken (no Face), discarding it</source>
        <translation type="unfinished">Font %1 is broken (no Face), discarding it</translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/ftface.cpp" line="138"/>
        <location filename="../../../scribus/scfonts.cpp" line="360"/>
        <location filename="../../../scribus/scfonts.cpp" line="397"/>
        <source>Font %1 has broken glyph %2 (charcode %3)</source>
        <translation type="unfinished">Font %1 has broken glyph %2 (charcode %3)</translation>
    </message>
    <message>
        <source>Font %1 is broken and will be discarded</source>
        <translation type="obsolete">Font %1 is broken and will be discarded</translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/scface_ps.h" line="186"/>
        <location filename="../../../scribus/fonts/scface_ps.h" line="216"/>
        <source>Font %1 cannot be read, no embedding</source>
        <translation type="unfinished">Font %1 cannot be read, no embedding</translation>
    </message>
    <message>
        <location filename="../../../scribus/scfonts.cpp" line="341"/>
        <source>Failed to load font %1 - font type unknown</source>
        <translation type="unfinished">Failed to load font %1 - font type unknown</translation>
    </message>
    <message>
        <location filename="../../../scribus/scfonts.cpp" line="545"/>
        <source>Font %1 loaded from %2(%3)</source>
        <translation type="unfinished">Font %1 loaded from %2(%3)</translation>
    </message>
    <message>
        <location filename="../../../scribus/scfonts.cpp" line="561"/>
        <source>Font %1(%2) is duplicate of %3</source>
        <translation>Yazıtipi %1(%2) , %3 kopyası</translation>
    </message>
    <message>
        <location filename="../../../scribus/scfonts.cpp" line="674"/>
        <source>Loading font %1 (found using fontconfig)</source>
        <translation>%1 yazıtipi yükleniyor (fontconfig kullanılarak bulundu)</translation>
    </message>
    <message>
        <location filename="../../../scribus/scfonts.cpp" line="679"/>
        <source>Failed to load a font - freetype2 couldn&apos;t find the font file</source>
        <translation type="unfinished">Failed to load a font - freetype2 couldn&apos;t find the font file</translation>
    </message>
    <message>
        <source>Font %1 is broken (FreeType), discarding it</source>
        <translation type="obsolete">Font %1 is broken (FreeType), discarding it</translation>
    </message>
    <message>
        <source>Font %1  has invalid glyph %2 (charcode %3), discarding it</source>
        <translation type="obsolete">Font %1  has invalid glyph %2 (charcode %3), discarding it</translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/scface_ttf.cpp" line="542"/>
        <source>extracting face %1 from font %2 (offset=%3, nTables=%4)</source>
        <translation type="unfinished">extracting face %1 from font %2 (offset=%3, nTables=%4)</translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/scface_ttf.cpp" line="555"/>
        <source>memcpy header: %1 %2 %3</source>
        <translation>memcpy header: %1 %2 %3</translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/scface_ttf.cpp" line="564"/>
        <source>table &apos;%1&apos;</source>
        <translation>tablo &apos;%1&apos;</translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/scface_ttf.cpp" line="565"/>
        <source>memcpy table: %1 %2 %3</source>
        <translation>memcpy table: %1 %2 %3</translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/scface_ttf.cpp" line="568"/>
        <source>memcpy offset: %1 %2 %3</source>
        <translation>memcpy offset: %1 %2 %3</translation>
    </message>
    <message>
        <location filename="../../../scribus/main_nix.cpp" line="126"/>
        <location filename="../../../scribus/main_win32.cpp" line="234"/>
        <location filename="../../../scribus/main_win32.cpp" line="259"/>
        <source>Scribus Crash</source>
        <translation type="unfinished">Scribus Çakıldı:(</translation>
    </message>
    <message>
        <location filename="../../../scribus/main_nix.cpp" line="128"/>
        <source>Scribus crashes due to Signal #%1</source>
        <translation type="unfinished">Signal #%1 </translation>
    </message>
    <message>
        <location filename="../../../scribus/main_nix.cpp" line="135"/>
        <location filename="../../../scribus/main_win32.cpp" line="243"/>
        <location filename="../../../scribus/main_win32.cpp" line="261"/>
        <source>&amp;OK</source>
        <translation type="unfinished">&amp;Tamam</translation>
    </message>
    <message>
        <source>Can&apos;t group less than two items</source>
        <comment>python error</comment>
        <translation type="obsolete">İki öğeden azı gruplanamaz</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmani.cpp" line="267"/>
        <source>Need selection or argument list of items to group</source>
        <comment>python error</comment>
        <translation type="unfinished">Need selection or argument list of items to group</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdmani.cpp" line="299"/>
        <source>Cannot group less than two items</source>
        <comment>python error</comment>
        <translation>İki öğeden azı gruplanamaz</translation>
    </message>
    <message>
        <source> c</source>
        <translation type="obsolete"> c</translation>
    </message>
    <message>
        <location filename="../../../scribus/units.cpp" line="162"/>
        <source>c</source>
        <translation>c</translation>
    </message>
    <message>
        <location filename="../../../scribus/units.cpp" line="214"/>
        <source>Cicero (c)</source>
        <translation>Cicero (c)</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/objimageexport.cpp" line="80"/>
        <source>The filename should not be empty string.</source>
        <comment>python error</comment>
        <translation>Dosya adı  boş olamaz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/util.cpp" line="537"/>
        <source>page</source>
        <comment>page export</comment>
        <translation>sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus134format/scribus134format.cpp" line="2907"/>
        <location filename="../../../scribus/plugins/fileloader/scribus13format/scribus13format.cpp" line="2148"/>
        <source>Copy #%1 of </source>
        <translation>%1&apos;in kopyası</translation>
    </message>
    <message>
        <location filename="../../../scribus/pslib.cpp" line="2024"/>
        <source>Black</source>
        <translation>Black</translation>
    </message>
    <message>
        <location filename="../../../scribus/pslib.cpp" line="2026"/>
        <source>Cyan</source>
        <translation>Cyan</translation>
    </message>
    <message>
        <location filename="../../../scribus/pslib.cpp" line="2028"/>
        <source>Magenta</source>
        <translation>Magenta</translation>
    </message>
    <message>
        <location filename="../../../scribus/pslib.cpp" line="2030"/>
        <source>Yellow</source>
        <translation>Yellow</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/colorwheel/colorwheel.cpp" line="56"/>
        <source>Color Wheel</source>
        <translation>Colour Wheel</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fontpreview/fontpreviewplugin.cpp" line="58"/>
        <source>Font Preview</source>
        <translation>Yazıtipi Önizleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/myplugin/myplugin.cpp" line="45"/>
        <source>My Plugin</source>
        <translation>My Plugin</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftemplate.cpp" line="71"/>
        <source>New From Template</source>
        <translation>Şablondan Oluştur</translation>
    </message>
    <message>
        <source>Export As Image</source>
        <translation type="obsolete">Resim Olarak Gönder</translation>
    </message>
    <message>
        <source>PS/EPS Importer</source>
        <translation type="obsolete">PS/EPS Aktarıcısı</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satemplate.cpp" line="66"/>
        <source>Save As Template</source>
        <translation>Şablon Olarak Kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptplugin.cpp" line="133"/>
        <source>Scripter</source>
        <translation>Scripter</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/shortwords.cpp" line="84"/>
        <source>Short Words</source>
        <translation>Kısa kelimeler</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/svgexplugin/svgexplugin.cpp" line="100"/>
        <source>SVG Export</source>
        <translation>SVG Ver</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/svg/svgplugin.cpp" line="102"/>
        <source>SVG Import</source>
        <translation>SVG Al</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/oodraw/oodrawimp.cpp" line="104"/>
        <source>OpenOffice.org Draw Importer</source>
        <translation>OpenOffice.org Draw Importer</translation>
    </message>
    <message>
        <location filename="../../../scribus/main_win32.cpp" line="236"/>
        <source>Scribus crashes due to the following exception : %1</source>
        <translation type="unfinished">Scribus crashes due to the following exception : %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/scfonts.cpp" line="325"/>
        <source>Creating Font Cache</source>
        <translation>Yazıtipi önbelleği oluşturuluyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/scfonts.cpp" line="351"/>
        <source>New Font found, checking...</source>
        <translation>Yeni yazıtipi bulundu, kontrol ediliyor...</translation>
    </message>
    <message>
        <location filename="../../../scribus/scfonts.cpp" line="388"/>
        <source>Modified Font found, checking...</source>
        <translation>Değiştirilmiş yazıtipi bulundu, kontrol ediliyor...</translation>
    </message>
    <message>
        <location filename="../../../scribus/scfonts.cpp" line="775"/>
        <source>Reading Font Cache</source>
        <translation>Yazıtipi önbelleği okunuyor </translation>
    </message>
    <message>
        <location filename="../../../scribus/scfonts.cpp" line="822"/>
        <source>Writing updated Font Cache</source>
        <translation>Writing updated Font Cache</translation>
    </message>
    <message>
        <location filename="../../../scribus/scfonts.cpp" line="839"/>
        <source>Searching for Fonts</source>
        <translation>Yazıtipleri aranıyor</translation>
    </message>
    <message>
        <source>You are running a development version of Scribus 1.3.x. The document you are working with was created in Scribus 1.2.3 or lower. The process of saving will make this file unusable again in Scribus 1.2.3 unless you use File-&gt;Save As. Are you sure you wish to proceed with this operation?</source>
        <translation type="obsolete">You are running a development version of Scribus 1.3.x. The document you are working with was created in Scribus 1.2.3 or lower. The process of saving will make this file unusable again in Scribus 1.2.3 unless you use File-&gt;Save As. Are you sure you wish to proceed with this operation?</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4451"/>
        <source>The changes to your document have not been saved and you have requested to revert them. Do you wish to continue?</source>
        <translation type="unfinished">The changes to your document have not been saved and you have requested to revert them. Do you wish to continue?</translation>
    </message>
    <message>
        <location filename="../../../scribus/util.cpp" line="368"/>
        <source>A file named &apos;%1&apos; already exists.&lt;br/&gt;Do you want to replace it with the file you are saving?</source>
        <translation type="unfinished">A file named &apos;%1&apos; already exists.&lt;br/&gt;Do you want to replace it with the file you are saving?</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmddoc.cpp" line="45"/>
        <source>firstPageOrder is bigger than allowed.</source>
        <comment>python error</comment>
        <translation>firstPageOrder izin verilenden büyük.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/oldscribusformat/oldscribusformat.cpp" line="40"/>
        <source>Old .sla format support</source>
        <translation>Eski .sla biçimi desteği</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="76"/>
        <source>German (Trad.)</source>
        <translation>Almanca(Trad.)</translation>
    </message>
    <message>
        <location filename="../../../scribus/pslib.cpp" line="1849"/>
        <source>Exporting PostScript File</source>
        <translation>PostScript dosyası ihraç ediliyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/pslib.cpp" line="1851"/>
        <source>Printing File</source>
        <translation>Dosya Yazdırılıyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3786"/>
        <source>&lt;p&gt;You are trying to import more pages than there are available in the current document counting from the active page.&lt;/p&gt;Choose one of the following:&lt;br&gt;&lt;ul&gt;&lt;li&gt;&lt;b&gt;Create&lt;/b&gt; missing pages&lt;/li&gt;&lt;li&gt;&lt;b&gt;Import&lt;/b&gt; pages until the last page&lt;/li&gt;&lt;li&gt;&lt;b&gt;Cancel&lt;/b&gt;&lt;/li&gt;&lt;/ul&gt;</source>
        <translation type="unfinished">&lt;p&gt;You are trying to import more pages than there are available in the current document counting from the active page.&lt;/p&gt;Choose one of the following:&lt;br&gt;&lt;ul&gt;&lt;li&gt;&lt;b&gt;Create&lt;/b&gt; missing pages&lt;/li&gt;&lt;li&gt;&lt;b&gt;Import&lt;/b&gt; pages until the last page&lt;/li&gt;&lt;li&gt;&lt;b&gt;Cancel&lt;/b&gt;&lt;/li&gt;&lt;/ul&gt;</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3790"/>
        <source>C&amp;reate</source>
        <translation>&amp;Oluştur</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3791"/>
        <source>&amp;Import</source>
        <translation>İth&amp;al et</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="143"/>
        <location filename="../../../scribus/langmgr.cpp" line="144"/>
        <source>Thai</source>
        <translation>Tayca</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="61"/>
        <source>Arabic</source>
        <translation type="unfinished">Arap</translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="60"/>
        <source>Aragonese</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="62"/>
        <source>Belarusian</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="65"/>
        <source>Anii</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="77"/>
        <source>German (Austria)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="80"/>
        <source>Dzongkha</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="84"/>
        <source>English (Canadian)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="85"/>
        <source>English (UK)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="86"/>
        <source>English (New Zealand)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="87"/>
        <source>English (USA)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="88"/>
        <source>English (South African)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="91"/>
        <source>Spanish (Argentina)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="94"/>
        <location filename="../../../scribus/langmgr.cpp" line="95"/>
        <source>Estonian</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="105"/>
        <location filename="../../../scribus/langmgr.cpp" line="114"/>
        <source>Latin</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="107"/>
        <source>Icelandic</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="110"/>
        <source>Japanese</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="115"/>
        <source>Luxembourgish</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="119"/>
        <source>Nepali</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="132"/>
        <source>Romanian</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="199"/>
        <source>Quarto</source>
        <translation type="unfinished">Quarto</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="199"/>
        <source>Foolscap</source>
        <translation type="unfinished">Foolscap</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="199"/>
        <source>Letter</source>
        <translation type="unfinished">Letter</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="200"/>
        <source>Govt. Letter</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="200"/>
        <source>Legal</source>
        <translation type="unfinished">Legal</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="200"/>
        <source>Ledger</source>
        <translation type="unfinished">Ledger</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="200"/>
        <source>Executive</source>
        <translation type="unfinished">Executive</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="201"/>
        <source>Post</source>
        <translation type="unfinished">Post</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="201"/>
        <source>Crown</source>
        <translation type="unfinished">Crown</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="201"/>
        <source>Large Post</source>
        <translation type="unfinished">Large Post</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="201"/>
        <source>Demy</source>
        <translation type="unfinished">Demy</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="202"/>
        <source>Medium</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="202"/>
        <source>Royal</source>
        <translation type="unfinished">Royal</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="202"/>
        <source>Elephant</source>
        <translation type="unfinished">Elephant</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="202"/>
        <source>Double Demy</source>
        <translation type="unfinished">Double Demy</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="203"/>
        <source>Quad Demy</source>
        <translation type="unfinished">Quad Demy</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="203"/>
        <source>STMT</source>
        <translation type="unfinished">STMT</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="203"/>
        <source>A</source>
        <translation type="unfinished">A</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="203"/>
        <source>B</source>
        <translation type="unfinished">B</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="203"/>
        <source>C</source>
        <translation type="unfinished">C</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="204"/>
        <source>D</source>
        <translation type="unfinished">D</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagesize.cpp" line="204"/>
        <source>E</source>
        <translation type="unfinished">E</translation>
    </message>
    <message>
        <location filename="../../../scribus/scimgdataloader_tiff.cpp" line="872"/>
        <source>%1 may be corrupted : missing resolution tags</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="181"/>
        <source>font %1 </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="183"/>
        <source>size %1 </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="185"/>
        <source>+style </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="187"/>
        <source>+color </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="189"/>
        <source>+underline </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="189"/>
        <source>-underline </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="191"/>
        <source>+strikeout </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="191"/>
        <source>-strikeout </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="193"/>
        <source>+shadow </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="193"/>
        <source>-shadow </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="195"/>
        <source>+outline </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="195"/>
        <source>-outline </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="197"/>
        <source>-tracking </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="201"/>
        <source>+stretch </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="203"/>
        <source>parent= %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/ftface.cpp" line="69"/>
        <location filename="../../../scribus/fonts/ftface.cpp" line="86"/>
        <source>Font %1(%2) is broken</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/ftface.cpp" line="186"/>
        <source>Font %1 has broken glyph %2</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/barcodegenerator/barcode.cpp" line="31"/>
        <source>Barcode Generator</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdpage.cpp" line="140"/>
        <source>Given master page name does not match any existing.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdsetprop.cpp" line="150"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdsetprop.cpp" line="205"/>
        <source>Transparency out of bounds, must be 0 &lt;= transparency &lt;= 1.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdsetprop.cpp" line="170"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdsetprop.cpp" line="225"/>
        <source>Blendmode out of bounds, must be 0 &lt;= blendmode &lt;= 15.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/oodraw/oodrawimp.cpp" line="172"/>
        <source>OpenOffice.org Draw (*.sxd *.odg);;All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus12format/scribus12format.cpp" line="59"/>
        <source>Scribus 1.2.x Support</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/docim/docim.cpp" line="52"/>
        <source>Word Documents</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/pdbim/pdbim.cpp" line="32"/>
        <source>Palm PDB Documents</source>
        <comment>PDB Importer</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/pdbim/pdbim.cpp" line="91"/>
        <location filename="../../../scribus/plugins/gettext/pdbim/pdbim.cpp" line="100"/>
        <source>PDB Import</source>
        <comment>PDB Importer</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/pdbim/pdbim.cpp" line="92"/>
        <source>Could not open file %1</source>
        <comment>PDB Importer</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/pdbim/pdbim.cpp" line="101"/>
        <source>This file is not recognized as a PDB document. Please, report this as a bug if you are sure it is one.</source>
        <comment>PDB Importer</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="98"/>
        <source>Cannot get number of lines of non-text frame.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="584"/>
        <source>You are running a development version of Scribus 1.3.x. The document you are working with was created in Scribus 1.2.x.  Saving the current file under 1.3.x renders it unable to be edited in Scribus 1.2.x versions. To preserve the ability to edit in 1.2.x, save this file under a different name and further edit the newly named file and the original will be untouched. Are you sure you wish to proceed with this operation?</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="197"/>
        <source>+tracking %1 </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styles/charstyle.cpp" line="199"/>
        <source>+baseline %1 </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="67"/>
        <source>Breton</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scimgdataloader_jpeg.cpp" line="200"/>
        <location filename="../../../scribus/scimgdataloader_jpeg.cpp" line="261"/>
        <location filename="../../../scribus/scimgdataloader_jpeg.cpp" line="310"/>
        <source>%1 may be corrupted : missing or wrong resolution tags</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="83"/>
        <source>English (Australian)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="78"/>
        <source>German (Swiss)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="101"/>
        <source>Hebrew</source>
        <translation type="unfinished">İbranice</translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/scface_ps.cpp" line="99"/>
        <source>Font %1 has broken metrics in file %2, ignoring metrics</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="151"/>
        <source>Chinese (Trad.)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus13format/scribus13format.cpp" line="65"/>
        <source>Scribus 1.3.0-&gt;1.3.3.x Support</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/serializer.cpp" line="354"/>
        <location filename="../../../scribus/serializer.cpp" line="382"/>
        <location filename="../../../scribus/serializer.cpp" line="404"/>
        <source>Copy of %1 (%2)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>Image</source>
        <translation type="obsolete">Resim</translation>
    </message>
    <message>
        <source>Text</source>
        <translation type="obsolete">Metin</translation>
    </message>
    <message>
        <source>Line</source>
        <translation type="obsolete">Çizgi</translation>
    </message>
    <message>
        <source>Polygon</source>
        <translation type="obsolete">Çokgen</translation>
    </message>
    <message>
        <source>Polyline</source>
        <translation type="obsolete">Çoklu Çizgi</translation>
    </message>
    <message>
        <source> %</source>
        <translation type="obsolete"> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/units.cpp" line="164"/>
        <source>%</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="111"/>
        <source>Khmer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="116"/>
        <source>Lao</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="149"/>
        <source>Vietnamese</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scdocoutput_ps2.cpp" line="115"/>
        <source>An error occurred while initializing icc transforms</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scdocoutput_ps2.cpp" line="99"/>
        <source>Output profile is not supported</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/wmf/wmfimportplugin.cpp" line="89"/>
        <source>WMF Import</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/sclayer.cpp" line="16"/>
        <location filename="../../../scribus/sclayer.cpp" line="388"/>
        <source>New Layer</source>
        <translation type="unfinished">Yeni Katman</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ai/importaiplugin.cpp" line="71"/>
        <source>Adobe Illustrator Importer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/imposition/impositionplugin.cpp" line="61"/>
        <source>Imposition</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/ps/importpsplugin.cpp" line="70"/>
        <source>PostScript Importer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/svgexplugin/svgexplugin.cpp" line="128"/>
        <source>%1;;All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/svgexplugin/svgexplugin.cpp" line="169"/>
        <source>Do you really want to overwrite the file:
%1 ?</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="37"/>
        <source>Encapsulated PostScript</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="38"/>
        <source>GIF</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="39"/>
        <source>JPEG</source>
        <translation type="unfinished">JPEG</translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="40"/>
        <source>Pattern Files</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="41"/>
        <source>PDF Document</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="42"/>
        <source>PNG</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="43"/>
        <source>PostScript</source>
        <translation type="unfinished">PostScript</translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="44"/>
        <source>Adobe Photoshop</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="45"/>
        <source>TIFF</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="46"/>
        <source>XPM</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="47"/>
        <source>Windows Meta File</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="48"/>
        <source>Scalable Vector Graphics</source>
        <translation type="unfinished">Scalable Vector Graphics</translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="49"/>
        <source>Adobe Illustrator</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="51"/>
        <source>Calamus CVG File</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="53"/>
        <source>BMP</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="52"/>
        <source>Macintosh Pict File</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/scface_ps.cpp" line="105"/>
        <source>Valid metrics were found for font %1, using metrics in file %2</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/fonts/scface_ps.cpp" line="112"/>
        <source>No metrics found for font %1, ignoring font</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="384"/>
        <location filename="../../../scribus/latexhelpers.cpp" line="97"/>
        <location filename="../../../scribus/latexhelpers.cpp" line="413"/>
        <source>Error</source>
        <translation type="unfinished">Hata</translation>
    </message>
    <message>
        <location filename="../../../scribus/latexeditor.cpp" line="385"/>
        <source>Configfile %1 not found or the file is not readable</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdpage.cpp" line="431"/>
        <source>second argument is not tuple: must be tuple of int values.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdpage.cpp" line="443"/>
        <source>second argument contains non-numeric values: must be list of int values.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdstyle.cpp" line="53"/>
        <source>Cannot have an empty paragraph style name.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdstyle.cpp" line="73"/>
        <source>hasdropcap has to be 0 or 1.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdstyle.cpp" line="130"/>
        <source>Cannot have an empty char style name.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="1001"/>
        <source>Can only hyphenate text frame</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="1024"/>
        <source>Can only dehyphenate text frame</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/lenseffects/lenseffects.cpp" line="82"/>
        <source>Lens Effects</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathcut/pathcut.cpp" line="91"/>
        <source>PathCutter</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathfinder/pathfinder.cpp" line="97"/>
        <source>PathFinder</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathstroker/pathstroker.cpp" line="88"/>
        <source>PathStroker</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/spellcheck/aspellplugin.cpp" line="56"/>
        <source>Spell check (aspell)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/subdivide/subdivide.cpp" line="79"/>
        <source>Subdivide</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/xfig/importxfigplugin.cpp" line="71"/>
        <source>Xfig Importer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/util_formats.cpp" line="50"/>
        <source>Xfig File</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexhelpers.cpp" line="66"/>
        <source>Highlighter error: Invalid index returned by QT&apos;s QString.indexOf(). This is a incompatibility between different QT versions and it can only be fixed by recompiling Scribus with the same QT version that is running on this system. Syntax highlighting is disabled now, but render frames should continue to work without problems.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexhelpers.cpp" line="414"/>
        <source>Parsing the configfile %1 failed! Depending on the type of the error render frames might not work correctly!
%2</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/meshdistortion/meshdistortion.cpp" line="86"/>
        <source>MeshDistortion</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/2geomtools/pathalongpath/pathalongpath.cpp" line="88"/>
        <source>PathAlongPath</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformeffect.cpp" line="78"/>
        <source>Transform Effect</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/units.cpp" line="163"/>
        <source>°</source>
        <comment>degrees, unicode 0xB0</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="152"/>
        <source>Cannot get text distances of non-text frame.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="471"/>
        <source>Text distances out of bounds, must be positive.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="479"/>
        <source>Cannot set text distances on a non-text frame.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="66"/>
        <source>Bengali</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/langmgr.cpp" line="135"/>
        <source>Sanskrit</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus134format/scribus134format.cpp" line="64"/>
        <source>Scribus 1.3.4+ Support</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/pathconnect/pathconnect.cpp" line="82"/>
        <source>PathConnect</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scimgdataloader_ps.cpp" line="515"/>
        <source>The Font(s):
%1 are not embedded or available for Scribus.
They might be replaced by &quot;Courier&quot;, depending how your Ghostscript is configured.
Therefore the image may be not correct</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scprintengine_gdi.cpp" line="109"/>
        <source>Save As</source>
        <translation type="unfinished">Farklı kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/scprintengine_gdi.cpp" line="258"/>
        <source>Printing...</source>
        <translation type="unfinished">Yazdırılıyor...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="231"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdcolor.cpp" line="258"/>
        <source>Color name cannot be an empty string.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdsetprop.cpp" line="23"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdsetprop.cpp" line="100"/>
        <source>Stop shade out of bounds, must be 0 &lt;= shade &lt;= 100.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdsetprop.cpp" line="105"/>
        <source>Ramp point out of bounds, must be 0 &lt;= rampPoint &lt;= 1.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdsetprop.cpp" line="110"/>
        <source>Opacity out of bounds, must be 0 &lt;= transparency &lt;= 1.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="706"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="741"/>
        <source>Character scaling out of bounds, must be &gt;= 10</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="714"/>
        <location filename="../../../scribus/plugins/scriptplugin/cmdtext.cpp" line="749"/>
        <source>Cannot set character scaling on a non-text frame.</source>
        <comment>python error</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/latexhelpers.cpp" line="98"/>
        <source>Opening the configfile %1 failed! %2</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/cvg/importcvgplugin.cpp" line="71"/>
        <source>Cvg Importer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/pct/importpctplugin.cpp" line="64"/>
        <source>Pict Importer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/hunspellcheck/hunspellplugin.cpp" line="56"/>
        <source>Hunspell Plugin</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>QTextEdit</name>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="93"/>
        <source>Clear</source>
        <translation>Temizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="94"/>
        <source>Select All</source>
        <translation>Tümünü Seç</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="95"/>
        <source>&amp;Undo</source>
        <translation>Geri &amp;Al</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="96"/>
        <source>&amp;Redo</source>
        <translation>&amp;Yinele</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="97"/>
        <source>Cu&amp;t</source>
        <translation>&amp;Kes</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="98"/>
        <source>&amp;Copy</source>
        <translation>K&amp;opyala</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="99"/>
        <source>&amp;Paste</source>
        <translation>&amp;Yapıştır</translation>
    </message>
</context>
<context>
    <name>QTitleBar</name>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="108"/>
        <source>System Menu</source>
        <translation>Sistem Menüsü</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="109"/>
        <source>Shade</source>
        <translation>Gölgelendir</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="110"/>
        <source>Unshade</source>
        <translation>Gölgesiz</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="111"/>
        <source>Normalize</source>
        <translation>Normalise</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="112"/>
        <source>Minimize</source>
        <translation>Küçült</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="113"/>
        <source>Maximize</source>
        <translation>Maximise</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="114"/>
        <source>Close</source>
        <translation>Kapat</translation>
    </message>
</context>
<context>
    <name>QWorkspace</name>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="118"/>
        <source>&amp;Restore</source>
        <translation>&amp;Eski Haline Getir</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="119"/>
        <source>&amp;Move</source>
        <translation>&amp;Taşı</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="120"/>
        <source>&amp;Size</source>
        <translation>Boyutunu &amp;Değiştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="121"/>
        <source>Mi&amp;nimize</source>
        <translation>&amp;Küçült</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="122"/>
        <source>Ma&amp;ximize</source>
        <translation>Ma&amp;ximise</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="123"/>
        <source>&amp;Close</source>
        <translation>&amp;Kapat</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="124"/>
        <source>Stay on &amp;Top</source>
        <translation>Stay on &amp;Top</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="125"/>
        <source>Minimize</source>
        <translation>Minimise</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="126"/>
        <source>Restore Down</source>
        <translation>Restore Down</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="127"/>
        <source>Close</source>
        <translation>Kapat</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="128"/>
        <source>Sh&amp;ade</source>
        <translation>&amp;Gölge</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="129"/>
        <source>%1 - [%2]</source>
        <translation>%1 - [%2]</translation>
    </message>
    <message>
        <location filename="../../../scribus/translationdummy.cpp" line="130"/>
        <source>&amp;Unshade</source>
        <translation>Gölgesi&amp;z</translation>
    </message>
</context>
<context>
    <name>Query</name>
    <message>
        <location filename="../../../scribus/query.cpp" line="71"/>
        <source>Name &quot;%1&quot; is not allowed.
Please choose another.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/query.cpp" line="83"/>
        <source>Name &quot;%1&quot; already exists.
Do you want to replace the current contents?</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/query.cpp" line="93"/>
        <source>Name &quot;%1&quot; is not unique.
Please choose another.</source>
        <translation type="unfinished">&quot;%1&quot; ismi kullanımda.
Başka seçin.</translation>
    </message>
</context>
<context>
    <name>ReformDoc</name>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="62"/>
        <source>Document Setup</source>
        <translation>Belge Düzeni</translation>
    </message>
    <message>
        <source>Margin Guides</source>
        <translation type="obsolete">Kenarlık Kılavuzları</translation>
    </message>
    <message>
        <source>&amp;Top:</source>
        <translation type="obsolete">&amp;Üst:</translation>
    </message>
    <message>
        <source>&amp;Left:</source>
        <translation type="obsolete">&amp;Sol:</translation>
    </message>
    <message>
        <source>&amp;Bottom:</source>
        <translation type="obsolete">&amp;Alt:</translation>
    </message>
    <message>
        <source>&amp;Right:</source>
        <translation type="obsolete">Sa&amp;ğ:</translation>
    </message>
    <message>
        <source>Page Size</source>
        <translation type="obsolete">Sayfa Boyutu</translation>
    </message>
    <message>
        <source>Custom</source>
        <translation type="obsolete">Özel</translation>
    </message>
    <message>
        <source>Portrait</source>
        <translation type="obsolete">Dikey</translation>
    </message>
    <message>
        <source>Landscape</source>
        <translation type="obsolete">Yatay</translation>
    </message>
    <message>
        <source>&amp;Size:</source>
        <translation type="obsolete">Ö&amp;lçü:</translation>
    </message>
    <message>
        <source>Orie&amp;ntation:</source>
        <translation type="obsolete">&amp;Yerleşim:</translation>
    </message>
    <message>
        <source>&amp;Width:</source>
        <translation type="obsolete">E&amp;n:</translation>
    </message>
    <message>
        <source>&amp;Height:</source>
        <translation type="obsolete">&amp;Boy:</translation>
    </message>
    <message>
        <source>&amp;Unit:</source>
        <translation type="obsolete">&amp;Birim:</translation>
    </message>
    <message>
        <source>Autosave</source>
        <translation type="obsolete">Otomatik Kaydet</translation>
    </message>
    <message>
        <source>min</source>
        <translation type="obsolete">min</translation>
    </message>
    <message>
        <source>&amp;Interval:</source>
        <translation type="obsolete">&amp;Aralık:</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="65"/>
        <source>Document</source>
        <translation>Belge</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="71"/>
        <source>Guides</source>
        <translation>Kılavuzlar</translation>
    </message>
    <message>
        <source>Page Display</source>
        <translation type="obsolete">Sayfa Görünümü</translation>
    </message>
    <message>
        <source>Color:</source>
        <translation type="obsolete">Renk:</translation>
    </message>
    <message>
        <source>Display &amp;Unprintable Area in Margin Color</source>
        <translation type="obsolete">Yazdırılamayan Alanı &amp;Kenarlık Renginde Görüntüle</translation>
    </message>
    <message>
        <source>Alt+U</source>
        <translation type="obsolete">Alt+U</translation>
    </message>
    <message>
        <source>Show Pictures</source>
        <translation type="obsolete">Resimleri Göster</translation>
    </message>
    <message>
        <source>Show Text Chains</source>
        <translation type="obsolete">Metin Bağlarını Göster</translation>
    </message>
    <message>
        <source>Show Frames</source>
        <translation type="obsolete">Çerçeveleri Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="75"/>
        <source>Display</source>
        <translation>Görünüm</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="78"/>
        <source>Typography</source>
        <translation>Tipografi</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="81"/>
        <source>Tools</source>
        <translation>Araçlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="85"/>
        <source>Hyphenator</source>
        <translation>Tireleyici</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="88"/>
        <source>Fonts</source>
        <translation>Yazıtipleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="96"/>
        <source>PDF Export</source>
        <translation>PDF ihracı</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="101"/>
        <source>Document Item Attributes</source>
        <translation>Belge Öğesi Nitelikleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="106"/>
        <source>Table of Contents and Indexes</source>
        <translation>İçindekiler Tablosu ve İndeks</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="116"/>
        <source>Color Management</source>
        <translation>Renk Yönetimi</translation>
    </message>
    <message>
        <source>Turns the display of frames on or off</source>
        <translation type="obsolete">Çerçevelerin gösterilmesini açar veya kapatır</translation>
    </message>
    <message>
        <source>Turns the display of pictures on or off</source>
        <translation type="obsolete">Resimlerin gösterimini açar/kapatır</translation>
    </message>
    <message>
        <source>Color for paper</source>
        <translation type="obsolete">Kağıt için renk</translation>
    </message>
    <message>
        <source>Mask the area outside the margins in the margin color</source>
        <translation type="obsolete">Kenarlıklar dışındaki alanı, kenarlık çizgisi rengiyle maskeler</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="68"/>
        <source>Document Information</source>
        <translation>Belge Bilgisi</translation>
    </message>
    <message>
        <source>Show Text Control Characters</source>
        <translation type="obsolete">Metin Kontrol Karakterlerini Göster</translation>
    </message>
    <message>
        <source>Display non-printing characters such as paragraph markers in text frames</source>
        <translation type="obsolete">Paragraf işaretleri gibi yazdırılamayan kontrol karakterlerini de metin pencereleri içinde gösterir</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="91"/>
        <source>Preflight Verifier</source>
        <translation>Baskı Denetleyicisi</translation>
    </message>
    <message>
        <source>Rulers relative to Page</source>
        <translation type="obsolete">Cetveller sayfaya bağıntılı</translation>
    </message>
    <message>
        <source>Minimum Scratch Space</source>
        <translation type="obsolete">Minimum Karalama Alanı</translation>
    </message>
    <message>
        <source>Gaps between Pages</source>
        <translation type="obsolete">Sayfa aralarındaki boşluk</translation>
    </message>
    <message>
        <source>Horizontal:</source>
        <translation type="obsolete">Yatay:</translation>
    </message>
    <message>
        <source>Vertical:</source>
        <translation type="obsolete">Dikey:</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="463"/>
        <source>Adjusting Colors</source>
        <translation type="unfinished">Adjusting Colours</translation>
    </message>
    <message>
        <source>Enable or disable the display of linked text frames.</source>
        <translation type="obsolete">Bağlantılı metin çerçevelerinin gösterilmesini aç/kapat.</translation>
    </message>
    <message>
        <source>Apply size settings to all pages</source>
        <translation type="obsolete">Ölçü ayarlarını tüm sayfalara uygula</translation>
    </message>
    <message>
        <location filename="../../../scribus/reformdoc.cpp" line="110"/>
        <source>Sections</source>
        <translation>Bölümler</translation>
    </message>
    <message>
        <source>Apply the page size changes to all existing pages in the document</source>
        <translation type="obsolete">Sayfa ölçü değişimini belgedeki tüm sayfalara uygula</translation>
    </message>
</context>
<context>
    <name>RulerMover</name>
    <message>
        <location filename="../../../scribus/rulermover.cpp" line="82"/>
        <source>Reset Rulers</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/rulermover.cpp" line="88"/>
        <source>Move on current Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/rulermover.cpp" line="89"/>
        <source>Origin at Top Left</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/rulermover.cpp" line="90"/>
        <source>Origin at Top Right</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/rulermover.cpp" line="91"/>
        <source>Origin at Bottom Left</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/rulermover.cpp" line="92"/>
        <source>Origin at Bottom Right</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/rulermover.cpp" line="93"/>
        <source>Origin at Center</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/rulermover.cpp" line="94"/>
        <source>Origin at Top Center</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/rulermover.cpp" line="95"/>
        <source>Origin at Bottom Center</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>RunScriptDialog</name>
    <message>
        <source>Python Scripts (*.py);; All Files (*)</source>
        <translation type="obsolete">Python Scripts (*.py);; All Files (*)</translation>
    </message>
    <message>
        <source>Run as Extension Script</source>
        <comment>run script dialog</comment>
        <translation type="obsolete">Run as Extension Script</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/runscriptdialog.cpp" line="27"/>
        <source>Python Scripts (*.py *.PY);; All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/runscriptdialog.ui" line="22"/>
        <source>Run as Extension Script</source>
        <translation type="unfinished">Run as Extension Script</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/runscriptdialog.ui" line="13"/>
        <source>Run Script</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SATDialog</name>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="42"/>
        <source>Save as Template</source>
        <translation type="unfinished">Şablon Olarak Kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="203"/>
        <source>Legal</source>
        <translation type="unfinished">Legal</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="204"/>
        <source>Letter</source>
        <translation type="unfinished">Letter</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="204"/>
        <source>Tabloid</source>
        <translation type="unfinished">Tabloid</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="211"/>
        <source>landscape</source>
        <translation type="unfinished">landscape</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="216"/>
        <source>portrait</source>
        <translation type="unfinished">portrait</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.cpp" line="232"/>
        <source>custom</source>
        <translation type="unfinished">Özel</translation>
    </message>
</context>
<context>
    <name>SMAlignSelect</name>
    <message>
        <location filename="../../../scribus/smalignselect.cpp" line="20"/>
        <source>P</source>
        <comment>P as in Parent</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smalignselect.cpp" line="21"/>
        <source>Use parent style&apos;s alignment instead of overriding it</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SMBase</name>
    <message>
        <source>&amp;New</source>
        <translation type="obsolete">Y&amp;eni</translation>
    </message>
    <message>
        <source>Alt+C</source>
        <translation type="obsolete">Alt+C</translation>
    </message>
    <message>
        <source>&amp;Delete</source>
        <translation type="obsolete">&amp;Sil</translation>
    </message>
    <message>
        <source>Alt+D</source>
        <translation type="obsolete">Alt+D</translation>
    </message>
    <message>
        <source>Name:</source>
        <translation type="obsolete">İsim:</translation>
    </message>
    <message>
        <source>&amp;Apply</source>
        <translation type="obsolete">&amp;Uygula</translation>
    </message>
    <message>
        <source>Alt+A</source>
        <translation type="obsolete">Alt+A</translation>
    </message>
    <message>
        <source>&amp;Reset</source>
        <translation type="obsolete">&amp;Sıfırla</translation>
    </message>
</context>
<context>
    <name>SMCStylePage</name>
    <message>
        <source> pt</source>
        <translation type="obsolete"> pt</translation>
    </message>
    <message>
        <source> %</source>
        <translation type="obsolete"> %</translation>
    </message>
</context>
<context>
    <name>SMCStyleWidget</name>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="86"/>
        <source>Tracking</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="91"/>
        <source>Language</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.ui" line="24"/>
        <location filename="../../../scribus/smcstylewidget.cpp" line="112"/>
        <source>Based On:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.ui" line="342"/>
        <location filename="../../../scribus/smcstylewidget.cpp" line="113"/>
        <source>Language:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="466"/>
        <location filename="../../../scribus/smcstylewidget.cpp" line="484"/>
        <source>Shade</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.ui" line="49"/>
        <source>Basic Formatting</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.ui" line="115"/>
        <location filename="../../../scribus/smcstylewidget.ui" line="144"/>
        <location filename="../../../scribus/smcstylewidget.ui" line="254"/>
        <location filename="../../../scribus/smcstylewidget.ui" line="283"/>
        <location filename="../../../scribus/smcstylewidget.ui" line="312"/>
        <source> %</source>
        <translation type="unfinished"> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.ui" line="230"/>
        <source>Advanced Formatting</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.ui" line="244"/>
        <location filename="../../../scribus/smcstylewidget.ui" line="273"/>
        <location filename="../../../scribus/smcstylewidget.ui" line="302"/>
        <location filename="../../../scribus/smcstylewidget.ui" line="403"/>
        <location filename="../../../scribus/smcstylewidget.ui" line="422"/>
        <location filename="../../../scribus/smcstylewidget.ui" line="462"/>
        <location filename="../../../scribus/smcstylewidget.ui" line="481"/>
        <source>TextLabel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.ui" line="389"/>
        <source>Colors</source>
        <translation type="unfinished">Renkler</translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="83"/>
        <source>Parent Style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="84"/>
        <source>Font Family</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="85"/>
        <source>Font Size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="88"/>
        <source>Baseline Offset</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="89"/>
        <source>Horizontal Scaling</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="90"/>
        <source>Vertical Scaling</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="92"/>
        <source>Fill Color</source>
        <translation type="unfinished">Doldurma Rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="93"/>
        <source>Fill Shade</source>
        <translation type="unfinished">Doldurma Tonu</translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="94"/>
        <source>Stroke Color</source>
        <translation type="unfinished">Vurgu Rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="95"/>
        <source>Stroke Shade</source>
        <translation type="unfinished">Vurgu Tonu</translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="229"/>
        <source>A default style cannot be assigned a parent style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smcstylewidget.cpp" line="87"/>
        <source>Default width for space</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SMCharacterStyle</name>
    <message>
        <location filename="../../../scribus/smtextstyles.cpp" line="1440"/>
        <location filename="../../../scribus/smtextstyles.cpp" line="1824"/>
        <source>Properties</source>
        <translation type="unfinished">Özellikler</translation>
    </message>
    <message>
        <location filename="../../../scribus/smtextstyles.cpp" line="1450"/>
        <source>Character Styles</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smtextstyles.cpp" line="1455"/>
        <source>Character Style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smtextstyles.cpp" line="1595"/>
        <source>New Style</source>
        <translation type="unfinished">Yeni Stil</translation>
    </message>
    <message>
        <location filename="../../../scribus/smtextstyles.cpp" line="1617"/>
        <source>Clone of %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smtextstyles.cpp" line="1641"/>
        <source>%1 (%2)</source>
        <comment>This for unique name when creating a new character style. %1 will be the name of the style and %2 will be a number forming a style name like: New Style (2)</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smtextstyles.cpp" line="2320"/>
        <source>Setting that style as parent would create an infinite loop.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SMColorCombo</name>
    <message>
        <location filename="../../../scribus/smcolorcombo.cpp" line="121"/>
        <source>Use Parent Value</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SMFontComboH</name>
    <message>
        <location filename="../../../scribus/smfontcomboh.cpp" line="15"/>
        <source>Use Parent Font</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SMLineStyle</name>
    <message>
        <location filename="../../../scribus/smlinestyle.cpp" line="33"/>
        <source>Properties</source>
        <translation type="unfinished">Özellikler</translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestyle.cpp" line="42"/>
        <source>Line Styles</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestyle.cpp" line="47"/>
        <source>Line Style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestyle.cpp" line="189"/>
        <source>New Style</source>
        <translation type="unfinished">Yeni Stil</translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestyle.cpp" line="199"/>
        <source>Clone of %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestyle.cpp" line="212"/>
        <source>%1 (%2)</source>
        <comment>This for unique name when creating a new character style. %1 will be the name of the style and %2 will be a number forming a style name like: New Style (2)</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source> pt</source>
        <translation type="obsolete"> pt</translation>
    </message>
    <message>
        <source>Solid Line</source>
        <translation type="obsolete">Düz Çizgi</translation>
    </message>
    <message>
        <source>Dashed Line</source>
        <translation type="obsolete">Kesintili Çizgi</translation>
    </message>
    <message>
        <source>Dotted Line</source>
        <translation type="obsolete">Noktalı Çizgi</translation>
    </message>
    <message>
        <source>Dash Dot Line</source>
        <translation type="obsolete">Kesintili Noktalı Çizgi</translation>
    </message>
    <message>
        <source>Dash Dot Dot Line</source>
        <translation type="obsolete">Kesintili-Noktalı-Noktalı Çizgi</translation>
    </message>
    <message>
        <source> pt </source>
        <translation type="obsolete"> pt </translation>
    </message>
</context>
<context>
    <name>SMLineStyleWidget</name>
    <message>
        <location filename="../../../scribus/smlinestylewidget.cpp" line="30"/>
        <source>Flat Cap</source>
        <translation type="unfinished">Flat Cap</translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.cpp" line="31"/>
        <source>Square Cap</source>
        <translation type="unfinished">Square Cap</translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.cpp" line="32"/>
        <source>Round Cap</source>
        <translation type="unfinished">Round Cap</translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.cpp" line="34"/>
        <source>Miter Join</source>
        <translation type="unfinished">Mitre Join</translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.cpp" line="35"/>
        <source>Bevel Join</source>
        <translation type="unfinished">Bevel Join</translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.cpp" line="36"/>
        <source>Round Join</source>
        <translation type="unfinished">Round Join</translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.cpp" line="56"/>
        <source>Add a new line</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.cpp" line="57"/>
        <source>Remove a line</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.cpp" line="58"/>
        <source>Line style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.cpp" line="59"/>
        <source>Line width</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.cpp" line="60"/>
        <source>End style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.cpp" line="61"/>
        <source>Join style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.cpp" line="62"/>
        <source>Line color</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.cpp" line="63"/>
        <source>Line shade</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source> pt</source>
        <translation type="obsolete"> pt</translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.ui" line="238"/>
        <source>%</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smlinestylewidget.ui" line="260"/>
        <source>Line Width:</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SMPStyleWidget</name>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="34"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="116"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="173"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="344"/>
        <source>Fixed Linespacing</source>
        <translation type="unfinished">Sabit Satır Boşluğu</translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="35"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="117"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="174"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="345"/>
        <source>Automatic Linespacing</source>
        <translation type="unfinished">Otomatik Satır Boşluğu</translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="36"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="118"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="175"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="346"/>
        <source>Align to Baseline Grid</source>
        <translation type="unfinished">Align to Baseline Grid</translation>
    </message>
    <message>
        <source> pt</source>
        <translation type="obsolete"> pt</translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="70"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="136"/>
        <source>Distances and Alignment</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="245"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="137"/>
        <source>Drop Caps</source>
        <translation type="unfinished">Drop Caps</translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="587"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="138"/>
        <source>Tabulators and Indentation</source>
        <translation type="unfinished">Cetvelleyici ve Girintileyiciler</translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="21"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="139"/>
        <source>Properties</source>
        <translation type="unfinished">Özellikler</translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="140"/>
        <source>Character Style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="263"/>
        <source>&amp;Lines:</source>
        <translation type="unfinished">&amp;Satırlar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="287"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="131"/>
        <source>Distance from Text:</source>
        <translation type="unfinished">Metinden Uzaklık:</translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="96"/>
        <source>Alignment</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="82"/>
        <source>Parent Style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="83"/>
        <source>Line Spacing Mode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="84"/>
        <source>Line Spacing</source>
        <translation type="unfinished">Satır Boşluğu</translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="85"/>
        <source>Space Above</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="86"/>
        <source>Space Below</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="94"/>
        <source>Drop Cap Lines</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="95"/>
        <source>Drop Cap Offset</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="97"/>
        <source>First Line Indent</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="98"/>
        <source>Left Indent</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="99"/>
        <source>Right Indent</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="130"/>
        <source>Lines:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="149"/>
        <source>None</source>
        <comment>optical margins</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="150"/>
        <source>Both Sides</source>
        <comment>optical margins</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="151"/>
        <source>Left Only</source>
        <comment>optical margins</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="152"/>
        <source>Right Only</source>
        <comment>optical margins</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="32"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="135"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="288"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="669"/>
        <source>Based On:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="84"/>
        <location filename="../../../scribus/smpstylewidget.ui" line="137"/>
        <location filename="../../../scribus/smpstylewidget.ui" line="177"/>
        <location filename="../../../scribus/smpstylewidget.ui" line="458"/>
        <location filename="../../../scribus/smpstylewidget.ui" line="499"/>
        <location filename="../../../scribus/smpstylewidget.ui" line="510"/>
        <location filename="../../../scribus/smpstylewidget.ui" line="534"/>
        <source>TextLabel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="637"/>
        <source>Ch&amp;aracter Style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="103"/>
        <source>Maximum white space compression allowed.
Expressed as a percentage of the current white space value.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="105"/>
        <source>Maximum compression of glyphs</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="107"/>
        <source>Maximum extension of glyphs</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="365"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="148"/>
        <source>Optical Margins</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="292"/>
        <source>A default style cannot be assigned a parent style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="143"/>
        <source>Min. Space Width:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="332"/>
        <location filename="../../../scribus/smpstylewidget.ui" line="383"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="155"/>
        <source>Use Parent Value</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="376"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="154"/>
        <source>Reset to Default</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="441"/>
        <location filename="../../../scribus/smpstylewidget.cpp" line="142"/>
        <source>Advanced Settings</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="144"/>
        <source>Glyph Extension</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="145"/>
        <source>Min:</source>
        <comment>Glyph Extension</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.cpp" line="146"/>
        <source>Max:</source>
        <comment>Glyph Extension</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="392"/>
        <source>None</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="402"/>
        <source>Both Sides</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="409"/>
        <source>Left Only</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smpstylewidget.ui" line="416"/>
        <source>Right Only</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SMParagraphStyle</name>
    <message>
        <location filename="../../../scribus/smtextstyles.cpp" line="56"/>
        <source>Paragraph Styles</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smtextstyles.cpp" line="61"/>
        <source>Paragraph Style</source>
        <translation type="unfinished">Paragraf Stili</translation>
    </message>
    <message>
        <location filename="../../../scribus/smtextstyles.cpp" line="228"/>
        <source>New Style</source>
        <translation type="unfinished">Yeni Stil</translation>
    </message>
    <message>
        <location filename="../../../scribus/smtextstyles.cpp" line="250"/>
        <source>Clone of %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smtextstyles.cpp" line="275"/>
        <source>%1 (%2)</source>
        <comment>This for unique name when creating a new character style. %1 will be the name of the style and %2 will be a number forming a style name like: New Style (2)</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smtextstyles.cpp" line="1390"/>
        <source>Setting that style as parent would create an infinite loop.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SMReplaceDia</name>
    <message>
        <location filename="../../../scribus/smreplacedia.cpp" line="65"/>
        <source>Remove</source>
        <translation type="unfinished">Kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/smreplacedia.cpp" line="66"/>
        <source>Replace with</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smreplacedia.ui" line="13"/>
        <source>Delete Styles</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smreplacedia.ui" line="65"/>
        <source>&amp;OK</source>
        <translation type="unfinished">&amp;Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/smreplacedia.ui" line="81"/>
        <source>Ca&amp;ncel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smreplacedia.ui" line="84"/>
        <source>Alt+N</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SMReplaceDiaBase</name>
    <message>
        <source>&amp;OK</source>
        <translation type="obsolete">&amp;Tamam</translation>
    </message>
</context>
<context>
    <name>SMRowWidget</name>
    <message>
        <location filename="../../../scribus/smreplacedia.cpp" line="23"/>
        <source>No Style</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SMScComboBox</name>
    <message>
        <location filename="../../../scribus/smsccombobox.cpp" line="38"/>
        <location filename="../../../scribus/smsccombobox.cpp" line="67"/>
        <location filename="../../../scribus/smsccombobox.cpp" line="103"/>
        <location filename="../../../scribus/smsccombobox.cpp" line="180"/>
        <source>Use Parent Value</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SMShadeButton</name>
    <message>
        <location filename="../../../scribus/smshadebutton.cpp" line="63"/>
        <source>Use Parent Value</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SMStyleImport</name>
    <message>
        <location filename="../../../scribus/smstyleimport.cpp" line="22"/>
        <source>Character Styles</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smstyleimport.cpp" line="34"/>
        <source>Paragraph Styles</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smstyleimport.cpp" line="46"/>
        <source>Line Styles</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smstyleimport.ui" line="13"/>
        <source>Choose Styles</source>
        <translation type="unfinished">Stilleri Seç</translation>
    </message>
    <message>
        <location filename="../../../scribus/smstyleimport.ui" line="26"/>
        <source>Available Styles</source>
        <translation type="unfinished">Mevcut Stiller</translation>
    </message>
    <message>
        <location filename="../../../scribus/smstyleimport.ui" line="47"/>
        <source>&amp;Rename Imported Style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smstyleimport.ui" line="57"/>
        <source>R&amp;eplace Existing Style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smstyleimport.ui" line="34"/>
        <source>Select or Unselect All</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smstyleimport.ui" line="41"/>
        <source>In case of a name clash</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SMStyleSelect</name>
    <message>
        <location filename="../../../scribus/smstyleselect.cpp" line="20"/>
        <source>P</source>
        <comment>P as in Parent</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/smstyleselect.cpp" line="21"/>
        <source>Use parent style&apos;s effects instead of overriding them</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SMTabruler</name>
    <message>
        <location filename="../../../scribus/smtabruler.cpp" line="20"/>
        <source> Parent Tabs </source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SToolBAlign</name>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1397"/>
        <source>Style of current paragraph</source>
        <translation>Seçili paragrafın stili</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1370"/>
        <source>Style Settings</source>
        <translation>Stil Ayarları</translation>
    </message>
</context>
<context>
    <name>SToolBColorF</name>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1134"/>
        <source>Color of text fill</source>
        <translation>Doldurma Metni Rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1135"/>
        <source>Saturation of color of text fill</source>
        <translation>Doldurma Metni Rengi Doygunluğu</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1097"/>
        <source>Fill Color Settings</source>
        <translation>Doldurma Rengi Ayarları</translation>
    </message>
</context>
<context>
    <name>SToolBColorS</name>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1207"/>
        <source>Color of text stroke</source>
        <translation>Metin vurgusunun rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1208"/>
        <source>Saturation of color of text stroke</source>
        <translation>Metin vurgusu renginin doygunluğu</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1172"/>
        <source>Stroke Color Settings</source>
        <translation>Vurgu Rengi Ayarları</translation>
    </message>
</context>
<context>
    <name>SToolBFont</name>
    <message>
        <source> pt</source>
        <translation type="obsolete"> pt</translation>
    </message>
    <message>
        <source> %</source>
        <translation type="obsolete"> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1470"/>
        <source>Font of selected text</source>
        <translation>Seçili metnin yazıtipi</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1471"/>
        <source>Font Size</source>
        <translation>Yazıtipi ölçüsü</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1472"/>
        <source>Scaling width of characters</source>
        <translation type="unfinished">Scaling width of characters</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1417"/>
        <source>Font Settings</source>
        <translation>Yazıtipi Ayarları</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1473"/>
        <source>Scaling height of characters</source>
        <translation type="unfinished">Scaling height of characters</translation>
    </message>
</context>
<context>
    <name>SToolBStyle</name>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1240"/>
        <source>Character Settings</source>
        <translation>Karakter Ayarları</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1282"/>
        <source>Manual Tracking</source>
        <translation type="unfinished">Manual Tracking</translation>
    </message>
    <message>
        <source> %</source>
        <translation type="obsolete"> %</translation>
    </message>
</context>
<context>
    <name>SVGExportPlugin</name>
    <message>
        <source>Save Page as &amp;SVG...</source>
        <translation type="obsolete">Sayfayı &amp;SVG biçiminde kaydet...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/svgexplugin/svgexplugin.cpp" line="107"/>
        <source>Exports SVG Files</source>
        <translation>SVG dosyalarını ihraç eder</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/svgexplugin/svgexplugin.cpp" line="108"/>
        <source>Exports the current page into an SVG file.</source>
        <translation>Mevcut sayfayı SVG biçiminde kaydeder.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/svgexplugin/svgexplugin.cpp" line="91"/>
        <source>Save as &amp;SVG...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/svgexplugin/svgexplugin.cpp" line="133"/>
        <source>Compress File</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/svgexplugin/svgexplugin.cpp" line="137"/>
        <source>Save Images inline</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/svgexplugin/svgexplugin.cpp" line="138"/>
        <source>Adds all Images on the Page inline to the SVG.
Caution: this will increase the file size!</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/svgexplugin/svgexplugin.cpp" line="142"/>
        <source>Export Page background</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/svgexplugin/svgexplugin.cpp" line="143"/>
        <source>Adds the Page itself as background to the SVG.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SVGImportPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/import/svg/svgplugin.cpp" line="94"/>
        <source>Import &amp;SVG...</source>
        <translation>&amp;SVG dosyası al...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/svg/svgplugin.cpp" line="109"/>
        <source>Imports SVG Files</source>
        <translation>SVG dosyalarını alır</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/svg/svgplugin.cpp" line="110"/>
        <source>Imports most SVG files into the current document,
converting their vector data into Scribus objects.</source>
        <translation>Mevcut belgeye SVG dosyalarını alır ve vektör 
bilgilerini Scribus nesnesine dönüştürür.</translation>
    </message>
    <message>
        <source>Scalable Vector Graphics</source>
        <translation type="obsolete">Scalable Vector Graphics</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/svg/svgplugin.cpp" line="198"/>
        <source>SVG file contains some unsupported features</source>
        <translation>SVG dosyası bazı desteklenmeyen özellikler içeriyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/svg/svgplugin.cpp" line="196"/>
        <source>The file could not be imported</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SVGPlug</name>
    <message>
        <location filename="../../../scribus/plugins/import/svg/svgplugin.cpp" line="407"/>
        <location filename="../../../scribus/plugins/import/svg/svgplugin.cpp" line="1055"/>
        <source>Group%1</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SWDialog</name>
    <message>
        <location filename="../../../scribus/plugins/short-words/vlnadialog.cpp" line="105"/>
        <source>Short Words</source>
        <comment>short words plugin</comment>
        <translation>Kısa Kelimeler</translation>
    </message>
    <message>
        <source>Apply unbreakable space on:</source>
        <comment>short words plugin</comment>
        <translation type="obsolete">Kesilemez boşluk ekle:</translation>
    </message>
    <message>
        <source>&amp;Selected frames</source>
        <comment>short words plugin</comment>
        <translation type="obsolete">S&amp;eçili Çerçeveler</translation>
    </message>
    <message>
        <source>Active &amp;page</source>
        <comment>short words plugin</comment>
        <translation type="obsolete">&amp;Aktif Sayfa</translation>
    </message>
    <message>
        <source>&amp;All items</source>
        <comment>short words plugin</comment>
        <translation type="obsolete">&amp;Tüm öğeler</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/vlnadialog.cpp" line="106"/>
        <source>Apply Unbreakable Space To:</source>
        <comment>short words plugin</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/vlnadialog.cpp" line="107"/>
        <source>&amp;Selected Frames</source>
        <comment>short words plugin</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/vlnadialog.cpp" line="108"/>
        <source>Active &amp;Page</source>
        <comment>short words plugin</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/vlnadialog.cpp" line="109"/>
        <source>&amp;All Items</source>
        <comment>short words plugin</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/vlnadialog.cpp" line="112"/>
        <source>Only selected frames processed.</source>
        <comment>short words plugin</comment>
        <translation>Sadece seçili çerçeveler işlendi.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/vlnadialog.cpp" line="113"/>
        <source>Only actual page processed.</source>
        <comment>short words plugin</comment>
        <translation>Sadece kullanılan sayfa işlendi.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/vlnadialog.cpp" line="114"/>
        <source>All items in document processed.</source>
        <comment>short words plugin</comment>
        <translation>Belgedeki tüm öğeler işlendi.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swdialog.ui" line="14"/>
        <source>Short Words</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>Apply unbreakable space on:</source>
        <translation type="obsolete">Kesilemez boşluk ekle:</translation>
    </message>
    <message>
        <source>&amp;Selected frames</source>
        <translation type="obsolete">S&amp;eçili Çerçeveler</translation>
    </message>
    <message>
        <source>Active &amp;page</source>
        <translation type="obsolete">&amp;Aktif Sayfa</translation>
    </message>
    <message>
        <source>&amp;All items</source>
        <translation type="obsolete">&amp;Tüm öğeler</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swdialog.ui" line="65"/>
        <source>&amp;Languages:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swdialog.ui" line="20"/>
        <source>Apply Unbreakable Space To:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swdialog.ui" line="26"/>
        <source>&amp;Selected Frames</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swdialog.ui" line="33"/>
        <source>Active &amp;Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swdialog.ui" line="40"/>
        <source>&amp;All Items</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swdialog.ui" line="50"/>
        <source>Language Settings</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swdialog.ui" line="56"/>
        <source>&amp;Use Language from Style Definition</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SWPrefsGui</name>
    <message>
        <location filename="../../../scribus/plugins/short-words/swprefsgui.cpp" line="62"/>
        <source>User settings</source>
        <translation>Kullanıcı ayarları</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swprefsgui.cpp" line="67"/>
        <source>System wide configuration</source>
        <translation>Sistem geneli ayarları</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swprefsgui.cpp" line="92"/>
        <source>&amp;Save</source>
        <translation>&amp;Kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swprefsgui.cpp" line="93"/>
        <source>&amp;Reset</source>
        <translation>&amp;Sıfırla</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swprefsgui.cpp" line="95"/>
        <source>Save user configuration</source>
        <translation>Kullanıcı yapılandırmasını kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swprefsgui.cpp" line="96"/>
        <source>Reload system wide configuration and remove user defined one</source>
        <translation>Sistem geneli ayarları geri yükle ve kullanıcı tanımlı olanı kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swprefsgui.cpp" line="97"/>
        <source>Edit custom configuration. If you save it, it will be used over system wide configuration</source>
        <translation>Özel yapılandırmayı düzenle. Eğer kaydederseniz, sistem geneli ayarlar yerine bu ayarlar kullanılır</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swprefsgui.cpp" line="110"/>
        <location filename="../../../scribus/plugins/short-words/swprefsgui.cpp" line="122"/>
        <source>Short Words</source>
        <translation>Kısa kelimeler</translation>
    </message>
    <message>
        <source>User configuration exists elready. Do you really want to overwrite it?</source>
        <translation type="obsolete">Zaten bir kullanıcı yapılandırması mevcut. Üzerine yazacak mısınız?</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swprefsgui.cpp" line="123"/>
        <source>Cannot write file %1.</source>
        <translation>Dosya yazılamıyor:%1 .</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swprefsgui.cpp" line="130"/>
        <source>User settings saved</source>
        <translation>Kullanıcı ayarları kaydedildi</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swprefsgui.cpp" line="141"/>
        <source>System wide configuration reloaded</source>
        <translation>Sistem geneli ayarları geri yüklendi</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swprefsgui.cpp" line="155"/>
        <source>Cannot open file %1</source>
        <translation>Açılamayan dosya: %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/swprefsgui.cpp" line="111"/>
        <source>User configuration exists already. Do you really want to overwrite it?</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SaveAsTemplatePlugin</name>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satemplate.cpp" line="54"/>
        <source>Save as &amp;Template...</source>
        <translation>Şablo&amp;n olarak kaydet...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satemplate.cpp" line="74"/>
        <source>Save a document as a template</source>
        <translation>Bir belgeyi şablon olarak kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satemplate.cpp" line="75"/>
        <source>Save a document as a template. Good way to ease the initial work for documents with a constant look</source>
        <translation>Bir belgeyi şablon olarak kaydet. Benzer görünümlü belgelerle çalışırken, ortak işlemleri yeni baştan yapmanıza gerek kalmaz</translation>
    </message>
</context>
<context>
    <name>ScGTFileDialog</name>
    <message>
        <location filename="../../../scribus/scgtplugin.cpp" line="108"/>
        <source>Select a file to import</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scgtplugin.cpp" line="128"/>
        <source>Append</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scgtplugin.cpp" line="130"/>
        <source>Show options</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ScInputDialog</name>
    <message>
        <location filename="../../../scribus/scinputdialog.cpp" line="80"/>
        <source>Input Dialog</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scinputdialog.cpp" line="81"/>
        <source>InputDialog</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scinputdialog.cpp" line="82"/>
        <source>&amp;OK</source>
        <translation type="unfinished">&amp;Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/scinputdialog.cpp" line="84"/>
        <source>&amp;Cancel</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ScPlugin</name>
    <message>
        <location filename="../../../scribus/scplugin.cpp" line="58"/>
        <source>Persistent</source>
        <comment>plugin manager plugin type</comment>
        <translation>Kalıcı</translation>
    </message>
    <message>
        <location filename="../../../scribus/scplugin.cpp" line="60"/>
        <source>Action</source>
        <comment>plugin manager plugin type</comment>
        <translation>İşlem</translation>
    </message>
    <message>
        <location filename="../../../scribus/scplugin.cpp" line="56"/>
        <source>Load/Save/Import/Export</source>
        <translation>Yükle/Kaydet/İthal et/İhraç et</translation>
    </message>
    <message>
        <location filename="../../../scribus/scplugin.cpp" line="64"/>
        <source>Unknown</source>
        <translation>Bilinmeyen</translation>
    </message>
</context>
<context>
    <name>ScPrintEngine_GDI</name>
    <message>
        <source>Printing...</source>
        <translation type="obsolete">Yazdırılıyor...</translation>
    </message>
</context>
<context>
    <name>ScProgressBar</name>
    <message>
        <location filename="../../../scribus/scprogressbar.cpp" line="56"/>
        <source>%1 of %2</source>
        <translation type="unfinished">%1 of %2</translation>
    </message>
</context>
<context>
    <name>ScToolBar</name>
    <message>
        <source>Right</source>
        <translation type="obsolete">Sağ</translation>
    </message>
    <message>
        <source>Left</source>
        <translation type="obsolete">Sol</translation>
    </message>
    <message>
        <source>Horizontal</source>
        <translation type="obsolete">Yatay</translation>
    </message>
    <message>
        <source>Vertical</source>
        <translation type="obsolete">Dikey</translation>
    </message>
</context>
<context>
    <name>ScWinPrint</name>
    <message>
        <source>Printing...</source>
        <translation type="obsolete">Yazdırılıyor...</translation>
    </message>
</context>
<context>
    <name>ScriXmlDoc</name>
    <message>
        <source>Copy #%1 of </source>
        <translation type="obsolete">Copy #%1 of </translation>
    </message>
    <message>
        <source>Background</source>
        <translation type="obsolete">Arkaplan</translation>
    </message>
</context>
<context>
    <name>Scribus12Format</name>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus12format/scribus12format.cpp" line="109"/>
        <source>Scribus 1.2.x Document</source>
        <translation type="unfinished">Scribus 1.2.x Belgesi</translation>
    </message>
    <message>
        <source>Background</source>
        <translation type="obsolete">Arkaplan</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus12format/scribus12format.cpp" line="1299"/>
        <location filename="../../../scribus/plugins/fileloader/scribus12format/scribus12format.cpp" line="1816"/>
        <source>Copy #%1 of </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus12format/scribus12format.cpp" line="69"/>
        <source>Scribus 1.2.x File Format Support</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus12format/scribus12format.cpp" line="70"/>
        <source>Allows Scribus to read Scribus 1.2.x formatted files.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus12format/scribus12format.cpp" line="792"/>
        <source>You have opened a file produced by Scribus 1.2.x.
If you save it in this version, it will no longer be readable by older Scribus versions.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>Scribus134Format</name>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus134format/scribus134format.cpp" line="3629"/>
        <source>Copy #%1 of </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus134format/scribus134format.cpp" line="74"/>
        <source>Scribus 1.3.4+ File Format Support</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus134format/scribus134format.cpp" line="75"/>
        <source>Allows Scribus to read Scribus 1.3.4 and higher formatted files.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus134format/scribus134format.cpp" line="92"/>
        <source>Scribus 1.3.4+ Document</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>Scribus13Format</name>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus13format/scribus13format.cpp" line="2615"/>
        <source>Copy #%1 of </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus13format/scribus13format.cpp" line="93"/>
        <source>Scribus 1.3.0-&gt;1.3.3.7 Document</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus13format/scribus13format.cpp" line="75"/>
        <source>Scribus 1.3.x File Format Support</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus13format/scribus13format.cpp" line="76"/>
        <source>Allows Scribus to read Scribus 1.3.0-&gt;1.3.3.x formatted files.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/fileloader/scribus13format/scribus13format.cpp" line="1182"/>
        <source>You have opened a file produced by Scribus 1.3.3.x.
If you save it in this version, it will no longer be readable by older Scribus versions.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ScribusColorList</name>
    <message>
        <source>Document Colors</source>
        <translation type="obsolete">Belge Renkleri</translation>
    </message>
</context>
<context>
    <name>ScribusCore</name>
    <message>
        <location filename="../../../scribus/scribuscore.cpp" line="178"/>
        <source>Initializing Plugins</source>
        <translation type="unfinished">Eklentiler Başlatılıyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribuscore.cpp" line="190"/>
        <source>Initializing Keyboard Shortcuts</source>
        <translation type="unfinished">Klavye kısayolları başlatılıyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribuscore.cpp" line="192"/>
        <source>Reading Preferences</source>
        <translation type="unfinished">Tercihler okunuyor</translation>
    </message>
    <message>
        <source>Reading ICC Profiles</source>
        <translation type="obsolete">ICC Profilleri okunuyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribuscore.cpp" line="310"/>
        <source>Searching for Fonts</source>
        <translation type="unfinished">Yazıtipleri aranıyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribuscore.cpp" line="315"/>
        <source>There are no fonts found on your system.</source>
        <translation type="unfinished">Sisteminizde kurulu yazıtipi bulunamadı.</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribuscore.cpp" line="316"/>
        <source>Exiting now.</source>
        <translation type="unfinished">Çıkılıyor.</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribuscore.cpp" line="317"/>
        <source>Fatal Error</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribuscore.cpp" line="320"/>
        <source>Font System Initialized</source>
        <translation type="unfinished">Yazıtipi Sistemi başlatıldı</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribuscore.cpp" line="204"/>
        <source>Reading Color Profiles</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ScribusDoc</name>
    <message>
        <source>New Layer</source>
        <translation type="obsolete">Yeni Katman</translation>
    </message>
    <message>
        <source>Normal</source>
        <translation type="obsolete">Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="167"/>
        <location filename="../../../scribus/scribusdoc.cpp" line="212"/>
        <location filename="../../../scribus/scribusdoc.cpp" line="277"/>
        <source>Document</source>
        <translation>Belge</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="521"/>
        <source>Background</source>
        <translation>Arkaplan</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="7676"/>
        <source>Remove content from frames</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="7693"/>
        <source>Do you really want to clear all your text?</source>
        <translation type="unfinished">Bütün metni temizlemek istediğinizden emin misiniz?</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="7747"/>
        <source>Cannot Delete In-Use Item</source>
        <translation type="unfinished">Kullanımda olan öğe silinemez</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="7747"/>
        <source>The item %1 is currently being edited by Story Editor. The delete operation will be cancelled</source>
        <translation type="unfinished">%1 nesnesi şu an metin düzenleyici içinde düzenleniyor. Silme işlemi iptal edilecek</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="8323"/>
        <source>Some objects are locked.</source>
        <translation type="unfinished">Bazı nesneler kilitli.</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="8319"/>
        <source>&amp;Unlock All</source>
        <translation type="unfinished">Tümünü Çö&amp;z</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="8320"/>
        <source>&amp;Skip locked objects</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="813"/>
        <source>An error occurred while opening ICC profiles, color management is not enabled.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="9593"/>
        <source>Number of copies: %1
Horizontal gap: %2
Vertical gap: %3</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="827"/>
        <source>Adjusting Colors</source>
        <translation type="unfinished">Adjusting Colours</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="6300"/>
        <source>remove direct paragraph formatting</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="6530"/>
        <source>remove direct char formatting</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="9559"/>
        <source>Number of copies: %1
Horizontal shift: %2
Vertical shift: %3
Rotation: %4</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="10624"/>
        <source>Group%1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="2903"/>
        <source>Copy_of_</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusdoc.cpp" line="1249"/>
        <source>Imported </source>
        <comment>Prefix of imported default style</comment>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ScribusMainWindow</name>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
    <message>
        <source>Initializing Plugins</source>
        <translation type="obsolete">Eklentiler Başlatılıyor</translation>
    </message>
    <message>
        <source>Initializing Keyboard Shortcuts</source>
        <translation type="obsolete">Klavye kısayolları başlatılıyor</translation>
    </message>
    <message>
        <source>Reading Preferences</source>
        <translation type="obsolete">Tercihler okunuyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="338"/>
        <source>Initializing Story Editor</source>
        <translation>Metin editörü başlatılıyor</translation>
    </message>
    <message>
        <source>Reading ICC Profiles</source>
        <translation type="obsolete">ICC Profilleri okunuyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="344"/>
        <source>Initializing Hyphenator</source>
        <translation>Tireleyici başlatılıyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="350"/>
        <source>Reading Scrapbook</source>
        <translation>Albüm okunuyor</translation>
    </message>
    <message>
        <source>Setting up Shortcuts</source>
        <translation type="obsolete">Kısayollar ayarlanıyor</translation>
    </message>
    <message>
        <source>File</source>
        <translation type="obsolete">Dosya</translation>
    </message>
    <message>
        <source>Edit</source>
        <translation type="obsolete">Düzenle</translation>
    </message>
    <message>
        <source>Searching for Fonts</source>
        <translation type="obsolete">Yazıtipleri aranıyor</translation>
    </message>
    <message>
        <source>There are no fonts found on your system.</source>
        <translation type="obsolete">Sisteminizde kurulu yazıtipi bulunamadı.</translation>
    </message>
    <message>
        <source>Exiting now.</source>
        <translation type="obsolete">Çıkılıyor.</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3957"/>
        <source>Fatal Error</source>
        <translation>Önemli Hata</translation>
    </message>
    <message>
        <source>Font System Initialized</source>
        <translation type="obsolete">Yazıtipi Sistemi başlatıldı</translation>
    </message>
    <message>
        <source>&amp;File</source>
        <translation type="obsolete">&amp;Dosya</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="600"/>
        <location filename="../../../scribus/scribus.cpp" line="9507"/>
        <source>Open &amp;Recent</source>
        <translation>Son K&amp;ullanılanları Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="608"/>
        <location filename="../../../scribus/scribus.cpp" line="9509"/>
        <source>&amp;Import</source>
        <translation>İth&amp;al et</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="615"/>
        <location filename="../../../scribus/scribus.cpp" line="9510"/>
        <source>&amp;Export</source>
        <translation>İ&amp;hraç et</translation>
    </message>
    <message>
        <source>&amp;Edit</source>
        <translation type="obsolete">&amp;Düzenle</translation>
    </message>
    <message>
        <source>St&amp;yle</source>
        <translation type="obsolete">&amp;Stil</translation>
    </message>
    <message>
        <source>&amp;Color</source>
        <translation type="obsolete">&amp;Renk</translation>
    </message>
    <message>
        <source>&amp;Size</source>
        <translation type="obsolete">Ö&amp;lçü</translation>
    </message>
    <message>
        <source>&amp;Shade</source>
        <translation type="obsolete">To&amp;n</translation>
    </message>
    <message>
        <source>&amp;Font</source>
        <translation type="obsolete">&amp;Yazıtipi</translation>
    </message>
    <message>
        <source>&amp;Effects</source>
        <translation type="obsolete">&amp;Efektler</translation>
    </message>
    <message>
        <source>&amp;Item</source>
        <translation type="obsolete">Öğ&amp;e</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="732"/>
        <source>Preview Settings</source>
        <translation>Önizleme Ayarları</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="714"/>
        <source>Level</source>
        <translation>Seviye</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="720"/>
        <source>Send to La&amp;yer</source>
        <translation>Katmana &amp;Yolla</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="740"/>
        <location filename="../../../scribus/scribus.cpp" line="9517"/>
        <source>&amp;PDF Options</source>
        <translation>&amp;PDF Seçenekleri</translation>
    </message>
    <message>
        <source>&amp;Shape</source>
        <translation type="obsolete">Ş&amp;ekil</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="747"/>
        <location filename="../../../scribus/scribus.cpp" line="9519"/>
        <source>C&amp;onvert To</source>
        <translation>Dönüştü&amp;r</translation>
    </message>
    <message>
        <source>I&amp;nsert</source>
        <translation type="obsolete">E&amp;kle</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="9522"/>
        <source>Character</source>
        <translation>Karakter</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="9523"/>
        <source>Quote</source>
        <translation>Aktarma Sözcüğü</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="9524"/>
        <source>Space</source>
        <translation>Boşluk</translation>
    </message>
    <message>
        <source>&amp;Page</source>
        <translation type="obsolete">S&amp;ayfa</translation>
    </message>
    <message>
        <source>&amp;View</source>
        <translation type="obsolete">Gör&amp;üntüle</translation>
    </message>
    <message>
        <source>E&amp;xtras</source>
        <translation type="obsolete">Ekstra&amp;lar</translation>
    </message>
    <message>
        <source>&amp;Windows</source>
        <translation type="obsolete">&amp;Pencereler</translation>
    </message>
    <message>
        <source>&amp;Help</source>
        <translation type="obsolete">&amp;Yardım</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="9532"/>
        <source>&amp;Alignment</source>
        <translation>&amp;Hizalama</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="2131"/>
        <location filename="../../../scribus/scribus.cpp" line="2174"/>
        <location filename="../../../scribus/scribus.cpp" line="4220"/>
        <location filename="../../../scribus/scribus.cpp" line="4554"/>
        <location filename="../../../scribus/scribus.cpp" line="4779"/>
        <location filename="../../../scribus/scribus.cpp" line="4925"/>
        <location filename="../../../scribus/scribus.cpp" line="9542"/>
        <source>Ready</source>
        <translation>Hazır</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3622"/>
        <location filename="../../../scribus/scribus.cpp" line="3740"/>
        <location filename="../../../scribus/scribus.cpp" line="4300"/>
        <source>Open</source>
        <translation>Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3756"/>
        <source>Importing Pages...</source>
        <translation>Sayfalar alınıyor...</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3785"/>
        <source>Import Page(s)</source>
        <translation>Sayfa(ları) ithal et</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3827"/>
        <source>Import done</source>
        <translation>İthal etme tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3831"/>
        <source>Found nothing to import</source>
        <translation>İthal edilecek birşey bulunamadı</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3911"/>
        <source>File does not exist on the specified path :
%1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3958"/>
        <source>File %1 is not in an acceptable format</source>
        <translation>%1 dosyası kabul edilen bir biçimde değil</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3959"/>
        <source>The file may be damaged or may have been produced in a later version of Scribus.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3985"/>
        <source>Loading...</source>
        <translation>Yükleniyor...</translation>
    </message>
    <message>
        <source>PostScript</source>
        <translation type="obsolete">PostScript</translation>
    </message>
    <message>
        <source>Some ICC profiles used by this document are not installed:</source>
        <translation type="obsolete">Bu belge ile ilişkili bazı ICC profilleri kurulu değil:</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4130"/>
        <source> was replaced by: </source>
        <translation>bununla değiştirilmiş:  </translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4162"/>
        <source>(converted)</source>
        <translation>(dönüştürülmüş)</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3593"/>
        <source>All Supported Formats</source>
        <translation type="unfinished">Desteklenen tüm dosya türleri</translation>
    </message>
    <message>
        <source>All Files (*)</source>
        <translation type="obsolete">Tüm dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4486"/>
        <location filename="../../../scribus/scribus.cpp" line="4549"/>
        <location filename="../../../scribus/scribus.cpp" line="8117"/>
        <location filename="../../../scribus/scribus.cpp" line="8251"/>
        <location filename="../../../scribus/scribus.cpp" line="8273"/>
        <source>Cannot write the file: 
%1</source>
        <translation>Dosya yazılamıyor:
%1</translation>
    </message>
    <message>
        <source>Documents (*.sla *.sla.gz *.scd *scd.gz);;All Files (*)</source>
        <translation type="obsolete">Belgeler (*.sla *.sla.gz *.scd *.scd.gz);;Tüm dosyalar (*)</translation>
    </message>
    <message>
        <source>Documents (*.sla *.scd);;All Files (*)</source>
        <translation type="obsolete">Belgeler (*.sla *.scd);; Tüm Dosyalar(*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4534"/>
        <location filename="../../../scribus/scribus.cpp" line="5667"/>
        <location filename="../../../scribus/scribus.cpp" line="8108"/>
        <source>Save As</source>
        <translation>Farklı kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4563"/>
        <source>Saving...</source>
        <translation>Kaydediliyor...</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4833"/>
        <location filename="../../../scribus/scribus.cpp" line="7971"/>
        <source>Scribus has detected some errors. Consider using the Preflight Verifier to correct them</source>
        <translation>Scribus bazı hatalar buldu. Baskı denetleyicisi aracını kullanarak düzeltmeyi deneyebilirsiniz</translation>
    </message>
    <message>
        <source>&amp;Ignore</source>
        <translation type="obsolete">&amp;Yoksay</translation>
    </message>
    <message>
        <source>&amp;Abort</source>
        <translation type="obsolete">İ&amp;ptal et</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4866"/>
        <source>Printing...</source>
        <translation>Yazdırılıyor...</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="2279"/>
        <location filename="../../../scribus/scribus.cpp" line="4870"/>
        <location filename="../../../scribus/scribus.cpp" line="8085"/>
        <source>Document</source>
        <translation>Belge</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4913"/>
        <source>Printing failed!</source>
        <translation>Yazdırma başarısız!</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="5006"/>
        <source>Cannot Cut In-Use Item</source>
        <translation>Kullanımda olan nesne kesilemez</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="5006"/>
        <source>The item %1 is currently being edited by Story Editor. The cut operation will be cancelled</source>
        <translation>%1 nesnesi şu an metin düzenleyici içinde düzenleniyor. Kesme işlemi iptal edilecek</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="5610"/>
        <source>About Qt</source>
        <translation>Qt hakkında</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="5623"/>
        <source>Scribus Manual</source>
        <translation>Scribus Kullanım Kılavuzu</translation>
    </message>
    <message>
        <source>Save as</source>
        <translation type="obsolete">Farklı kaydet</translation>
    </message>
    <message>
        <source>Text Files (*.txt);;All Files(*)</source>
        <translation type="obsolete">Metin Dosyaları (*.txt);;Tüm Dosyalar(*)</translation>
    </message>
    <message>
        <source>Normal</source>
        <translation type="obsolete">Normal</translation>
    </message>
    <message>
        <source>Name:</source>
        <translation type="obsolete">İsim:</translation>
    </message>
    <message>
        <source>Convert Page to Master Page</source>
        <translation type="obsolete">Sayfayı Mastar Sayfa yap</translation>
    </message>
    <message>
        <source>New Master Page</source>
        <translation type="obsolete">Yeni Mastar Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="7062"/>
        <source>&amp;Size:</source>
        <translation>Ö&amp;lçü:</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="7062"/>
        <source>Size</source>
        <translation>Ölçü</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="7094"/>
        <source>&amp;Shade:</source>
        <translation>To&amp;n:</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="7094"/>
        <source>Shade</source>
        <translation>Ton</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="7198"/>
        <source>No Style</source>
        <translation>Stil Yok</translation>
    </message>
    <message>
        <source>The following programs are missing:</source>
        <translation type="obsolete">Aşağıdaki programlar eksik:</translation>
    </message>
    <message>
        <source>Ghostscript : You cannot use EPS images or Print Preview</source>
        <translation type="obsolete">Ghostscript : EPS grafiklerini veya PostScript baskı önizlemeyi kullanamazsınız</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="8006"/>
        <source>All</source>
        <translation>Tümü</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="8054"/>
        <source>Scribus detected some errors.
Consider using the Preflight Verifier  to correct them.</source>
        <translation>Scribus bazı hatalar buldu.
Baskı denetleyicisi aracını kullanarak düzeltmeyi deneyebilirsiniz.</translation>
    </message>
    <message>
        <source>EPS Files (*.eps);;All Files (*)</source>
        <translation type="obsolete">EPS Dsoyaları(*.eps);;Tüm Dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="8151"/>
        <source>Detected some errors.
Consider using the Preflight Verifier to correct them</source>
        <translation>Bazı hatalar bulundu.
Baskı denetleyicisi aracını kullanarak düzeltmeyi deneyebilirsiniz</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="8247"/>
        <source>-Page%1</source>
        <translation>-Sayfa%1</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="8639"/>
        <source>Some objects are locked.</source>
        <translation>Bazı nesneler kilitli.</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="8635"/>
        <source>&amp;Lock All</source>
        <translation>Tümünü K&amp;ilitle</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="8636"/>
        <source>&amp;Unlock All</source>
        <translation>Tümünü Çö&amp;z</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="9354"/>
        <source>Information</source>
        <translation>Bilgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="9354"/>
        <source>The program %1 is already running!</source>
        <translation>%1 programı zaten çalışıyor!</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="9393"/>
        <source>The program %1 is missing!</source>
        <translation>%1 programı bulunamadı!</translation>
    </message>
    <message>
        <source>The selected color does not exist in the document&apos;s color set. Please enter a name for this new color.</source>
        <translation type="obsolete">Seçili renk belgenin renk kümesinde bulunmuyor. Lütfen bu yeni renk için isim girin.</translation>
    </message>
    <message>
        <source>Color Not Found</source>
        <translation type="obsolete">Renk Bulunamadı</translation>
    </message>
    <message>
        <source>The name you have selected already exists. Please enter a different name for this new color.</source>
        <translation type="obsolete">Seçtiğiniz isim zaten kullanımda. Bu yeni renk için lütfen başka bir isim girin.</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="9514"/>
        <source>&amp;Level</source>
        <translation>&amp;Seviye</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="9515"/>
        <source>Send to Layer</source>
        <translation>Katmana Yolla</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="9516"/>
        <source>Previe&amp;w Settings</source>
        <translation>Ö&amp;nizleme Ayarları</translation>
    </message>
    <message>
        <source>&amp;Tools</source>
        <translation type="obsolete">&amp;Araçlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="1022"/>
        <location filename="../../../scribus/scribus.cpp" line="9538"/>
        <source>X-Pos:</source>
        <translation>X-Pos:</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="1023"/>
        <location filename="../../../scribus/scribus.cpp" line="9539"/>
        <source>Y-Pos:</source>
        <translation>Y-Pos:</translation>
    </message>
    <message>
        <source>Ghostscript : You cannot use EPS images or PostScript Print Preview</source>
        <translation type="obsolete">Ghostscript : EPS grafiklerini veya PostScript baskı önizlemeyi kullanamazsınız</translation>
    </message>
    <message>
        <source>Ghostscript is missing : Postscript Print Preview is not available</source>
        <translation type="obsolete">Ghostscript kurulu değil : Postscript baskı önizlemeyi kullanamayacaksınız</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="656"/>
        <location filename="../../../scribus/scribus.cpp" line="9508"/>
        <source>Paste Recent</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="657"/>
        <location filename="../../../scribus/scribus.cpp" line="9512"/>
        <source>Contents</source>
        <translation type="unfinished">İçerik</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="799"/>
        <source>&amp;Character</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="817"/>
        <source>&amp;Quote</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="842"/>
        <source>S&amp;paces &amp;&amp; Breaks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="856"/>
        <location filename="../../../scribus/scribus.cpp" line="9525"/>
        <source>Liga&amp;ture</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>New Master Page %1</source>
        <translation type="obsolete">Yeni Mastar Sayfa %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4388"/>
        <location filename="../../../scribus/scribus.cpp" line="9692"/>
        <source>Do you really want to replace your existing image?</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4531"/>
        <source>Documents (*.sla *.sla.gz);;All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4333"/>
        <source>Do you really want to clear all your text?</source>
        <translation type="unfinished">Bütün metni temizlemek istediğinizden emin misiniz?</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="284"/>
        <source>Scribus </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="963"/>
        <location filename="../../../scribus/scribus.cpp" line="9533"/>
        <source>Online &amp;Tutorials</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4127"/>
        <source>Some color profiles used by this document are not installed:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="8108"/>
        <source>%1;;All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="322"/>
        <source>Applying User Shortcuts</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="723"/>
        <source>Send to Scrapbook</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="2618"/>
        <source>Updating Images</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4484"/>
        <location filename="../../../scribus/scribus.cpp" line="4547"/>
        <source>Your document was saved to a temporary file and could not be moved: 
%1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="4967"/>
        <source>Print engine initialization failed</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="5667"/>
        <source>Text Files (*.txt);;All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="7846"/>
        <source>Ghostscript is not installed on your system, or Scribus is not configured with the path to the software.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="7849"/>
        <source>Until this is remedied, you cannot import EPS images or use Print Preview. </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="7851"/>
        <source>Until this is remedied, you cannot import EPS images or use PostScript Print Preview. </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="7854"/>
        <source>Click the Help button to read Scribus-related Ghostscript help and installation instructions.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="7859"/>
        <source>Ghostscript is missing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="9749"/>
        <source>&amp;Name:</source>
        <translation type="unfinished">İ&amp;sim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="9749"/>
        <source>New Entry</source>
        <translation type="unfinished">Yeni Girdi</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="7917"/>
        <source>Ghostscript is missing : PostScript Print Preview is not available</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3940"/>
        <source>Document is already opened</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribus.cpp" line="3941"/>
        <source>This document is already in use.You&apos;ll be switched into its window now.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ScribusQApp</name>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="208"/>
        <source>Invalid argument: </source>
        <translation>Geçersiz Argüman:</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="210"/>
        <location filename="../../../scribus/scribusapp.cpp" line="228"/>
        <source>File %1 does not exist, aborting.</source>
        <translation>Dosya %1 mevcut değil, çıkılıyor.</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="435"/>
        <source>Usage: scribus [option ... ] [file]</source>
        <translation>Kullanım: scribus [seçenekler ... ] [dosya]</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="436"/>
        <source>Options:</source>
        <translation>Seçenekler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="438"/>
        <source>Print help (this message) and exit</source>
        <translation>Yardımı bas(bu mesaj) ve çık</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="439"/>
        <source>Uses xx as shortcut for a language, eg `en&apos; or `de&apos;</source>
        <translation>xx dil için kısaltmadır, örneğin Türkçe için &apos;tr&apos;</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="440"/>
        <source>List the currently installed interface languages</source>
        <translation>Şu anda kurulu arayüz dillerini listeler</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="437"/>
        <source>Show information on the console when fonts are being loaded</source>
        <translation>Yazıtipleri yüklenirken konsolda bilgiyi göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="441"/>
        <source>Do not show the splashscreen on startup</source>
        <translation>Başlangıçta açılış ekranını gösterme</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="447"/>
        <source>Output version information and exit</source>
        <translation>Sürüm bilgisini göster ve çık</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="445"/>
        <source>Use right to left dialog button ordering (eg. Cancel/No/Yes instead of Yes/No/Cancel)</source>
        <translation>Sağdan sola düğme sıralaması (ör. İptal/Hayır/Evet Yerine Evet/Hayır/İptal)</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="443"/>
        <source>filename</source>
        <translation>dosya adı</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="443"/>
        <source>Use filename as path for user given preferences</source>
        <translation type="unfinished">Use filename as path for user given preferences</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="466"/>
        <source>Installed interface languages for Scribus are as follows:</source>
        <translation>Scribus için kurulu arayüz dilleri:</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="474"/>
        <source>To override the default language choice:</source>
        <translation type="unfinished">To override the default language choice:</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="475"/>
        <source>scribus -l xx or scribus --lang xx, where xx is the language of choice.</source>
        <translation>scribus -l xx or scribus --lang xx, xx seçilen dilin kodu.</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="480"/>
        <source>Scribus Version</source>
        <translation>Scribus Sürümü </translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="489"/>
        <source>Scribus, Open Source Desktop Publishing</source>
        <translation>Scribus, Açık Kaynak Kodlu Masaüstü Yayıncılık </translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="497"/>
        <source>Homepage</source>
        <translation>Anasayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="498"/>
        <source>Documentation</source>
        <translation>Belgelendirme</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="499"/>
        <source>Wiki</source>
        <translation>Wiki</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="500"/>
        <source>Issues</source>
        <translation>Sorunlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="442"/>
        <source>Stop the showing of the splashscreen on startup. Writes an empty file called .neversplash in ~/.scribus.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="446"/>
        <source>Download a file from the Scribus website and show the latest available version.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="451"/>
        <source>Display a console window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="444"/>
        <source>Show location ICC profile information on console while starting</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusapp.cpp" line="226"/>
        <source>Invalid argument: %1</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ScribusView</name>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="200"/>
        <source> %</source>
        <translation> %</translation>
    </message>
    <message>
        <source>Layer</source>
        <translation type="obsolete">Katman</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="1085"/>
        <source>Copy Here</source>
        <translation>Buraya Kopyala</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="1086"/>
        <source>Move Here</source>
        <translation>Buraya Taşı</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="1087"/>
        <source>Cancel</source>
        <translation>İptal</translation>
    </message>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="408"/>
        <source>&amp;Paste</source>
        <translation>&amp;Yapıştır</translation>
    </message>
    <message>
        <source>Picture</source>
        <translation type="obsolete">Resim</translation>
    </message>
    <message>
        <source>File: </source>
        <translation type="obsolete">Dosya:</translation>
    </message>
    <message>
        <source>Original PPI: </source>
        <translation type="obsolete">Orjinal PPI: </translation>
    </message>
    <message>
        <source>Actual PPI: </source>
        <translation type="obsolete">Gerçek PPI: </translation>
    </message>
    <message>
        <source>Linked Text</source>
        <translation type="obsolete">Bağlı Metin</translation>
    </message>
    <message>
        <source>Text Frame</source>
        <translation type="obsolete">Metin çerçevesi</translation>
    </message>
    <message>
        <source>Text on a Path</source>
        <translation type="obsolete">Metni Eğriye Oturt</translation>
    </message>
    <message>
        <source>Paragraphs: </source>
        <translation type="obsolete">Paragraflar:</translation>
    </message>
    <message>
        <source>Words: </source>
        <translation type="obsolete">Kelimeler:</translation>
    </message>
    <message>
        <source>Chars: </source>
        <translation type="obsolete">Karakterler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="123"/>
        <location filename="../../../scribus/pageitem.cpp" line="6125"/>
        <source>Print: </source>
        <translation>Yazdır:</translation>
    </message>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="126"/>
        <location filename="../../../scribus/pageitem.cpp" line="6127"/>
        <source>Enabled</source>
        <translation>Etkin</translation>
    </message>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="128"/>
        <location filename="../../../scribus/pageitem.cpp" line="6129"/>
        <source>Disabled</source>
        <translation>Devredışı</translation>
    </message>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="99"/>
        <location filename="../../../scribus/contextmenu.cpp" line="138"/>
        <source>In&amp;fo</source>
        <translation>B&amp;ilgi</translation>
    </message>
    <message>
        <source>Preview Settings</source>
        <translation type="obsolete">Önizleme Ayarları</translation>
    </message>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="251"/>
        <source>&amp;PDF Options</source>
        <translation>&amp;PDF Seçenekleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="276"/>
        <source>Send to Scrapbook</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="297"/>
        <source>Send to La&amp;yer</source>
        <translation>Katmana &amp;Yolla</translation>
    </message>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="331"/>
        <source>Le&amp;vel</source>
        <translation>&amp;Seviye</translation>
    </message>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="356"/>
        <source>Conve&amp;rt to</source>
        <translation>Dönüştü&amp;r</translation>
    </message>
    <message>
        <source>&amp;Delete</source>
        <translation type="obsolete">&amp;Sil</translation>
    </message>
    <message>
        <source>Cannot Delete In-Use Item</source>
        <translation type="obsolete">Kullanımda olan öğe silinemez</translation>
    </message>
    <message>
        <source>The item %1 is currently being edited by Story Editor. The delete operation will be cancelled</source>
        <translation type="obsolete">%1 nesnesi şu an metin düzenleyici içinde düzenleniyor. Silme işlemi iptal edilecek</translation>
    </message>
    <message>
        <location filename="../../../scribus/canvasmode_legacy.cpp" line="1965"/>
        <location filename="../../../scribus/canvasmode_legacy.cpp" line="1972"/>
        <source>Linking Text Frames</source>
        <translation>Metin Çerçevelerini Bağlama</translation>
    </message>
    <message>
        <source>You are trying to link to a filled frame, or a frame to itself.</source>
        <translation type="obsolete">Dolu bir çerçeveye, ya da çerçevenin kendisine bağlamaya çalışıyorsunuz.</translation>
    </message>
    <message>
        <source>Do you really want to clear all your text?</source>
        <translation type="obsolete">Bütün metni temizlemek istediğinizden emin misiniz?</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="4005"/>
        <source>Cannot Convert In-Use Item</source>
        <translation>Kullanımda olan öğe dönüştürülemez</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="4005"/>
        <source>The item %1 is currently being edited by Story Editor. The convert to outlines operation for this item will be skipped</source>
        <translation>%1 şu an metin düzenleyici içinde düzenleniyor. İşlem iptal edilecek</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="2491"/>
        <source>Page %1 to %2</source>
        <translation>Sayfa %1 - %2</translation>
    </message>
    <message>
        <source>Colorspace: </source>
        <translation type="obsolete">Renk alanı: </translation>
    </message>
    <message>
        <source>Unknown</source>
        <translation type="obsolete">Bilinmeyen</translation>
    </message>
    <message>
        <source>RGB</source>
        <translation type="obsolete">RGB</translation>
    </message>
    <message>
        <source>CMYK</source>
        <translation type="obsolete">CMYK</translation>
    </message>
    <message>
        <source>Grayscale</source>
        <translation type="obsolete">Gri Tonlama</translation>
    </message>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="414"/>
        <source>Paste Recent</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/contextmenu.cpp" line="388"/>
        <source>Contents</source>
        <translation type="unfinished">İçerik</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="3698"/>
        <source>Group%1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>Normal Vision</source>
        <translation type="obsolete">Normal Görüş</translation>
    </message>
    <message>
        <source>Protanopia (Red)</source>
        <translation type="obsolete">Protanopia (Kırmızı Körlüğü)</translation>
    </message>
    <message>
        <source>Deuteranopia (Green)</source>
        <translation type="obsolete">Deuteranopia (Yeşil Körlüğü)</translation>
    </message>
    <message>
        <source>Tritanopia (Blue)</source>
        <translation type="obsolete">Tritanopia (Mavi Körlüğü)</translation>
    </message>
    <message>
        <source>Full Color Blindness</source>
        <translation type="obsolete">Tam Renk Körlüğü</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="419"/>
        <source>Preview Mode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="420"/>
        <source>CMS is active. Therefore the color display may not match the perception by visually impaired</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/canvasmode_create.cpp" line="940"/>
        <location filename="../../../scribus/canvasmode_drawfreehand.cpp" line="428"/>
        <location filename="../../../scribus/canvasmode_legacy.cpp" line="2823"/>
        <source>Enter Object Size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/canvasmode_legacy.cpp" line="1966"/>
        <source>You are trying to link a frame to itself.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/canvasmode_legacy.cpp" line="1973"/>
        <source>You are trying to link a frame which is already linked.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="360"/>
        <source>Enable/disable Color Management</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="362"/>
        <source>Enable/disable the Preview Mode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="363"/>
        <source>Select the visual appearance of the display. You can choose between normal and several color blindness forms</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="361"/>
        <source>Configure CMS...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="350"/>
        <source>Zoom to 100%</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="351"/>
        <source>Zoom out by the stepping value in Tools preferences</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="352"/>
        <source>Zoom in by the stepping value in Tools preferences</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="353"/>
        <source>Current zoom level</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="356"/>
        <source>Select the current layer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="357"/>
        <source>Select the current unit</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="188"/>
        <source>High</source>
        <translation type="unfinished">Yüksek</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="189"/>
        <source>Normal</source>
        <translation type="unfinished">Normal</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="190"/>
        <source>Low</source>
        <translation type="unfinished">Düşük</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribusview.cpp" line="358"/>
        <source>Select the image preview quality</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ScribusWin</name>
    <message>
        <location filename="../../../scribus/scribuswin.cpp" line="114"/>
        <source>Document:</source>
        <translation>Belge:</translation>
    </message>
    <message>
        <location filename="../../../scribus/scribuswin.cpp" line="116"/>
        <source>has been changed since the last save.</source>
        <translation>son kaydedilmeden sonra değiştirildi.</translation>
    </message>
    <message>
        <source>&amp;Discard</source>
        <translation type="obsolete">&amp;At</translation>
    </message>
</context>
<context>
    <name>ScriptPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptplugin.cpp" line="144"/>
        <source>Embedded Python scripting support.</source>
        <translation>Gömülü Pyton script desteği.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptplugin.cpp" line="200"/>
        <source>Scripter</source>
        <translation>Scripter</translation>
    </message>
</context>
<context>
    <name>ScripterCore</name>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="384"/>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="470"/>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="628"/>
        <source>Script error</source>
        <translation>Script hatası</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="386"/>
        <source>If you are running an official script report it at &lt;a href=&quot;http://bugs.scribus.net&quot;&gt;bugs.scribus.net&lt;/a&gt; please.</source>
        <translation type="unfinished">If you are running an official script report it at &lt;a href=&quot;http://bugs.scribus.net&quot;&gt;bugs.scribus.net&lt;/a&gt; please.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="388"/>
        <source>This message is in your clipboard too. Use Ctrl+V to paste it into bug tracker.</source>
        <translation>Bu mesaj panoda da var. Hata bildirimi olarak eklemek için Ctrl+V kullanın.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="551"/>
        <source>Examine Script</source>
        <translation>Scripti analiz et</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="471"/>
        <source>There was an internal error while trying the command you entered. Details were printed to stderr. </source>
        <translation type="unfinished">There was an internal error while trying the command you entered. Details were printed to stderr. </translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="629"/>
        <source>Setting up the Python plugin failed. Error details were printed to stderr. </source>
        <translation>Python eklentisi başlatılamadı.</translation>
    </message>
    <message>
        <source>Python Scripts (*.py);;All Files (*)</source>
        <translation type="obsolete">Python Scriptleri (*.py);;Tüm Dosyalar (*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="551"/>
        <source>Python Scripts (*.py *.PY);;All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="564"/>
        <source>Documentation for:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="569"/>
        <source>Script</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scriptercore.cpp" line="569"/>
        <source> doesn&apos;t contain any docstring!</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ScripterPrefsGui</name>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.cpp" line="64"/>
        <source>Scripter Preferences</source>
        <translation>Scripter Tercihleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.ui" line="89"/>
        <source>Enable Extension Scripts</source>
        <translation>Eklenti Scriptlerini Etkin Kıl</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.ui" line="50"/>
        <source>Extensions</source>
        <translation>Eklentiler</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.ui" line="118"/>
        <source>Console</source>
        <translation>Konsol</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.ui" line="70"/>
        <source>Startup Script:</source>
        <translation>Başlangıç Scripti:</translation>
    </message>
    <message>
        <source>Errors:</source>
        <comment>syntax highlighting</comment>
        <translation type="obsolete">Hatalar: </translation>
    </message>
    <message>
        <source>Comments:</source>
        <comment>syntax highlighting</comment>
        <translation type="obsolete">Yorumlar:</translation>
    </message>
    <message>
        <source>Keywords:</source>
        <comment>syntax highlighting</comment>
        <translation type="obsolete">Anahtar Kelimeler:</translation>
    </message>
    <message>
        <source>Signs:</source>
        <comment>syntax highlighting</comment>
        <translation type="obsolete">İşaretler:</translation>
    </message>
    <message>
        <source>Numbers:</source>
        <comment>syntax highlighting</comment>
        <translation type="obsolete">Sayılar:</translation>
    </message>
    <message>
        <source>Strings:</source>
        <comment>syntax highlighting</comment>
        <translation type="obsolete">Strings:</translation>
    </message>
    <message>
        <source>Base Texts:</source>
        <comment>syntax highlighting</comment>
        <translation type="obsolete">Base Texts:</translation>
    </message>
    <message>
        <source>Select Color</source>
        <translation type="obsolete">Renk Seç</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.ui" line="80"/>
        <source>Change...</source>
        <translation type="unfinished">Değiştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.cpp" line="147"/>
        <source>Locate Startup Script</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.ui" line="13"/>
        <source>Form</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.ui" line="164"/>
        <source>Comments:</source>
        <translation type="unfinished">Yorumlar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.ui" line="171"/>
        <source>Keywords:</source>
        <translation type="unfinished">Anahtar Kelimeler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.ui" line="178"/>
        <source>Signs:</source>
        <translation type="unfinished">İşaretler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.ui" line="185"/>
        <source>Strings:</source>
        <translation type="unfinished">Strings:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.ui" line="192"/>
        <source>Numbers:</source>
        <translation type="unfinished">Sayılar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.ui" line="199"/>
        <source>Errors:</source>
        <translation type="unfinished">Hatalar: </translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/scriptplugin/scripterprefsgui.ui" line="206"/>
        <source>Base Texts:</source>
        <translation type="unfinished">Base Texts:</translation>
    </message>
</context>
<context>
    <name>SeList</name>
    <message>
        <location filename="../../../scribus/pagepalette.cpp" line="59"/>
        <source>Show Page Previews</source>
        <translation>Sayfa Önizlemelerini Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/pagepalette.cpp" line="120"/>
        <source>Delete Master Page?</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pagepalette.cpp" line="121"/>
        <source>Are you sure you want to delete this master page?</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SeView</name>
    <message>
        <location filename="../../../scribus/pagepalette.cpp" line="393"/>
        <source>Delete Page?</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/pagepalette.cpp" line="394"/>
        <source>Are you sure you want to delete this page?</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SearchReplace</name>
    <message>
        <location filename="../../../scribus/search.cpp" line="51"/>
        <location filename="../../../scribus/search.cpp" line="538"/>
        <location filename="../../../scribus/search.cpp" line="653"/>
        <source>Search/Replace</source>
        <translation>Ara/Değiştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="61"/>
        <source>Search for:</source>
        <translation>Bunu ara:</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="67"/>
        <location filename="../../../scribus/search.cpp" line="164"/>
        <source>Text</source>
        <translation>Metin</translation>
    </message>
    <message>
        <source>Paragraph Style</source>
        <translation type="obsolete">Paragraf Stili</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="76"/>
        <location filename="../../../scribus/search.cpp" line="173"/>
        <source>Font</source>
        <translation>Yazıtipi</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="79"/>
        <location filename="../../../scribus/search.cpp" line="176"/>
        <source>Font Size</source>
        <translation>Yazıtipi Ölçüsü</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="82"/>
        <location filename="../../../scribus/search.cpp" line="179"/>
        <source>Font Effects</source>
        <translation>Yazıtipi Efektleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="85"/>
        <location filename="../../../scribus/search.cpp" line="182"/>
        <source>Fill Color</source>
        <translation>Doldurma Rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="88"/>
        <location filename="../../../scribus/search.cpp" line="185"/>
        <source>Fill Shade</source>
        <translation>Doldurma Tonu</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="91"/>
        <location filename="../../../scribus/search.cpp" line="188"/>
        <source>Stroke Color</source>
        <translation>Vurgu Rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="94"/>
        <location filename="../../../scribus/search.cpp" line="191"/>
        <source>Stroke Shade</source>
        <translation>Vurgu Tonu</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="112"/>
        <source>Left</source>
        <translation>Sol</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="112"/>
        <source>Center</source>
        <translation>Ortala</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="112"/>
        <source>Right</source>
        <translation>Sağ</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="112"/>
        <source>Block</source>
        <translation>Blok</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="112"/>
        <source>Forced</source>
        <translation>Zorlanmış</translation>
    </message>
    <message>
        <source> pt</source>
        <translation type="obsolete"> pt</translation>
    </message>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="158"/>
        <source>Replace with:</source>
        <translation>Bununla değiştir:</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="538"/>
        <source>Search finished</source>
        <translation>Arama bitti</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="256"/>
        <source>&amp;Whole Word</source>
        <translation>Tüm &amp;Kelime</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="70"/>
        <location filename="../../../scribus/search.cpp" line="167"/>
        <source>Style</source>
        <translation type="unfinished">Stil</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="260"/>
        <source>&amp;Ignore Case</source>
        <translation>Küçük-büyük harf ayrımı &amp;yapma</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="269"/>
        <source>&amp;Search</source>
        <translation>&amp;Ara</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="272"/>
        <source>&amp;Replace</source>
        <translation>&amp;Değiştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="275"/>
        <source>Replace &amp;All</source>
        <translation>&amp;Tümünü Değiştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="280"/>
        <source>&amp;Close</source>
        <translation>&amp;Kapat</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="278"/>
        <source>C&amp;lear</source>
        <translation>&amp;Temizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="654"/>
        <source>Search finished, found %1 matches</source>
        <translation>Arama bitti, %1 eşleşme var</translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="73"/>
        <location filename="../../../scribus/search.cpp" line="170"/>
        <source>Alignment</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="315"/>
        <source>Search for text or formatting in the current text</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="316"/>
        <source>Replace the searched for formatting with the replacement values</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="317"/>
        <source>Replace all found instances</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="318"/>
        <source>Clear all search and replace options</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/search.cpp" line="319"/>
        <source>Close search and replace</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SelectFields</name>
    <message>
        <location filename="../../../scribus/selfield.cpp" line="26"/>
        <source>Select Fields</source>
        <translation>Alan Seç</translation>
    </message>
    <message>
        <location filename="../../../scribus/selfield.cpp" line="39"/>
        <source>Available Fields</source>
        <translation>Mevcut Alanlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/selfield.cpp" line="77"/>
        <source>Selected Fields</source>
        <translation>Seçili Alanlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/selfield.cpp" line="67"/>
        <source>&amp;&gt;&gt;</source>
        <translation>&amp;&gt;&gt;</translation>
    </message>
    <message>
        <location filename="../../../scribus/selfield.cpp" line="69"/>
        <source>&amp;&lt;&lt;</source>
        <translation>&amp;&lt;&lt;</translation>
    </message>
</context>
<context>
    <name>ShadeButton</name>
    <message>
        <location filename="../../../scribus/shadebutton.cpp" line="16"/>
        <source>Other...</source>
        <translation>Diğer...</translation>
    </message>
    <message>
        <location filename="../../../scribus/shadebutton.cpp" line="49"/>
        <source>Shade</source>
        <translation>Gölge</translation>
    </message>
    <message>
        <location filename="../../../scribus/shadebutton.cpp" line="49"/>
        <source>&amp;Shade:</source>
        <translation>&amp;Gölge:</translation>
    </message>
</context>
<context>
    <name>ShadowValues</name>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="123"/>
        <location filename="../../../scribus/styleselect.cpp" line="125"/>
        <source> %</source>
        <translation> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="124"/>
        <source>X-Offset</source>
        <translation>X-Offset (ENGB)</translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="126"/>
        <source>Y-Offset</source>
        <translation>Y-Offset</translation>
    </message>
</context>
<context>
    <name>ShortWordsPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/short-words/shortwords.cpp" line="75"/>
        <source>Short &amp;Words...</source>
        <comment>short words plugin</comment>
        <translation>Kısa K&amp;elimeler...</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/shortwords.cpp" line="98"/>
        <location filename="../../../scribus/plugins/short-words/shortwords.cpp" line="164"/>
        <source>Short Words</source>
        <translation>Kısa kelimeler</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/short-words/shortwords.cpp" line="99"/>
        <source>Special plug-in for adding non-breaking spaces before or after so called short words. Available in the following languages: </source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ShortcutWidget</name>
    <message>
        <location filename="../../../scribus/shortcutwidget.ui" line="16"/>
        <source>&amp;No Key</source>
        <translation type="unfinished">T&amp;uş Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/shortcutwidget.ui" line="23"/>
        <source>&amp;User Defined Key</source>
        <translation type="unfinished">&amp;Kullanıcı Tanımlı Tuş</translation>
    </message>
    <message>
        <source>ALT+SHIFT+T</source>
        <translation type="obsolete">ALT+SHIFT+T</translation>
    </message>
    <message>
        <location filename="../../../scribus/shortcutwidget.ui" line="30"/>
        <source>Set &amp;Key</source>
        <translation type="unfinished">Tuş A&amp;ta</translation>
    </message>
    <message>
        <location filename="../../../scribus/shortcutwidget.cpp" line="69"/>
        <location filename="../../../scribus/shortcutwidget.cpp" line="116"/>
        <source>Alt</source>
        <translation type="unfinished">Alt</translation>
    </message>
    <message>
        <location filename="../../../scribus/shortcutwidget.cpp" line="69"/>
        <location filename="../../../scribus/shortcutwidget.cpp" line="116"/>
        <source>Ctrl</source>
        <translation type="unfinished">Ctrl</translation>
    </message>
    <message>
        <location filename="../../../scribus/shortcutwidget.cpp" line="69"/>
        <location filename="../../../scribus/shortcutwidget.cpp" line="116"/>
        <source>Shift</source>
        <translation type="unfinished">Shift</translation>
    </message>
    <message>
        <location filename="../../../scribus/shortcutwidget.cpp" line="69"/>
        <location filename="../../../scribus/shortcutwidget.cpp" line="116"/>
        <source>Meta</source>
        <translation type="unfinished">Meta</translation>
    </message>
    <message>
        <location filename="../../../scribus/shortcutwidget.cpp" line="77"/>
        <source>Meta+</source>
        <translation type="unfinished">Meta+</translation>
    </message>
    <message>
        <location filename="../../../scribus/shortcutwidget.cpp" line="81"/>
        <source>Shift+</source>
        <translation type="unfinished">Shift+</translation>
    </message>
    <message>
        <location filename="../../../scribus/shortcutwidget.cpp" line="85"/>
        <source>Alt+</source>
        <translation type="unfinished">Alt+</translation>
    </message>
    <message>
        <location filename="../../../scribus/shortcutwidget.cpp" line="89"/>
        <source>Ctrl+</source>
        <translation type="unfinished">Ctrl+</translation>
    </message>
    <message>
        <location filename="../../../scribus/shortcutwidget.cpp" line="45"/>
        <source>No shortcut for the style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/shortcutwidget.cpp" line="46"/>
        <source>Style has user defined shortcut</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/shortcutwidget.cpp" line="47"/>
        <source>Assign a shortcut for the style</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SideBar</name>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="118"/>
        <location filename="../../../scribus/storyeditor.cpp" line="196"/>
        <source>No Style</source>
        <translation type="unfinished">Stil Yok</translation>
    </message>
    <message>
        <source>Edit Styles...</source>
        <translation type="obsolete">Stilleri Düzenle...</translation>
    </message>
</context>
<context>
    <name>Spalette</name>
    <message>
        <source>No Style</source>
        <translation type="obsolete">Stilleri Düzenle
</translation>
    </message>
</context>
<context>
    <name>StilFormate</name>
    <message>
        <source>Edit Styles</source>
        <translation type="obsolete">Stilleri Düzenle</translation>
    </message>
    <message>
        <source>Copy of %1</source>
        <translation type="obsolete">%! kopyası</translation>
    </message>
    <message>
        <source>New Style</source>
        <translation type="obsolete">Yeni Stil</translation>
    </message>
    <message>
        <source>Open</source>
        <translation type="obsolete">Aç</translation>
    </message>
    <message>
        <source>Documents (*.sla *.sla.gz *.scd *.scd.gz);;All Files (*)</source>
        <translation type="obsolete">Belgeler (*.sla *.sla.gz *.scd *.scd.gz);;Tüm dosyalar (*)</translation>
    </message>
    <message>
        <source>Documents (*.sla *.scd);;All Files (*)</source>
        <translation type="obsolete">Belgeler(*.sla *.scd);;Tüm dosyalar (*)</translation>
    </message>
    <message>
        <source>&amp;New</source>
        <translation type="obsolete">Y&amp;eni</translation>
    </message>
    <message>
        <source>&amp;Edit</source>
        <translation type="obsolete">&amp;Düzenle</translation>
    </message>
    <message>
        <source>D&amp;uplicate</source>
        <translation type="obsolete">Ç&amp;oğalt</translation>
    </message>
    <message>
        <source>&amp;Delete</source>
        <translation type="obsolete">&amp;Sil</translation>
    </message>
    <message>
        <source>&amp;Import</source>
        <translation type="obsolete">&amp;Al</translation>
    </message>
</context>
<context>
    <name>StoryEditor</name>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1980"/>
        <location filename="../../../scribus/storyeditor.cpp" line="2108"/>
        <source>Story Editor</source>
        <translation>Metin Editörü</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2020"/>
        <source>Current Paragraph:</source>
        <translation>Seçili Paragraf:</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2021"/>
        <location filename="../../../scribus/storyeditor.cpp" line="2025"/>
        <source>Words: </source>
        <translation>Kelimeler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2022"/>
        <location filename="../../../scribus/storyeditor.cpp" line="2026"/>
        <source>Chars: </source>
        <translation>Karakterler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2023"/>
        <source>Totals:</source>
        <translation>Toplam:</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2024"/>
        <source>Paragraphs: </source>
        <translation>Paragraflar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="3259"/>
        <source>Open</source>
        <translation>Aç</translation>
    </message>
    <message>
        <source>Text Files (*.txt);;All Files(*)</source>
        <translation type="obsolete">Metin Dosyaları (*.txt);;Tüm Dosyalar(*)</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="3294"/>
        <source>Save as</source>
        <translation>Farklı kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2153"/>
        <source>Do you want to save your changes?</source>
        <translation>Değişiklikleri kaydetmek istiyor musunuz?</translation>
    </message>
    <message>
        <source>&amp;New</source>
        <translation type="obsolete">Y&amp;eni</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1984"/>
        <source>&amp;Reload Text from Frame</source>
        <translation>Me&amp;tni çerçeveden yeniden yükle</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1985"/>
        <source>&amp;Save to File...</source>
        <translation>D&amp;osyaya kaydet...</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1986"/>
        <source>&amp;Load from File...</source>
        <translation>Dosyadan &amp;yükle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1987"/>
        <source>Save &amp;Document</source>
        <translation>Bel&amp;geyi kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1988"/>
        <source>&amp;Update Text Frame and Exit</source>
        <translation>Metin Çerçevesini Güncelle ve Çı&amp;k</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1989"/>
        <source>&amp;Exit Without Updating Text Frame</source>
        <translation>Metin çerçevesini güncel&amp;lemeden çık</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1993"/>
        <source>Cu&amp;t</source>
        <translation>&amp;Kes</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1994"/>
        <source>&amp;Copy</source>
        <translation>K&amp;opyala</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1995"/>
        <source>&amp;Paste</source>
        <translation>&amp;Yapıştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1996"/>
        <source>C&amp;lear</source>
        <translation>&amp;Temizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2000"/>
        <source>&amp;Update Text Frame</source>
        <translation>&amp;Metin Çerçevesini Güncelle</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="3259"/>
        <location filename="../../../scribus/storyeditor.cpp" line="3294"/>
        <source>Text Files (*.txt);;All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1721"/>
        <location filename="../../../scribus/storyeditor.cpp" line="1982"/>
        <source>&amp;File</source>
        <translation>&amp;Dosya</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1731"/>
        <location filename="../../../scribus/storyeditor.cpp" line="1991"/>
        <source>&amp;Edit</source>
        <translation>Düzen&amp;le</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1992"/>
        <source>Select &amp;All</source>
        <translation>Tümünü S&amp;eç</translation>
    </message>
    <message>
        <source>&amp;Edit Styles...</source>
        <translation type="obsolete">&amp;Stilleri Düzenle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2018"/>
        <source>File</source>
        <translation>Dosya</translation>
    </message>
    <message>
        <source>Load Text from File</source>
        <translation type="obsolete">Metni Dosyadan Yükle</translation>
    </message>
    <message>
        <source>Save Text to File</source>
        <translation type="obsolete">Metni Dosyaya Kaydet</translation>
    </message>
    <message>
        <source>Update Text Frame and Exit</source>
        <translation type="obsolete">Metin Çerçevesini Güncelle ve Çık</translation>
    </message>
    <message>
        <source>Exit Without Updating Text Frame</source>
        <translation type="obsolete">Metin çerçevesini güncellemeden çık</translation>
    </message>
    <message>
        <source>Reload Text from Frame</source>
        <translation type="obsolete">Metni çerçeveden yeniden yükle</translation>
    </message>
    <message>
        <source>Update Text Frame</source>
        <translation type="obsolete">Metin Çerçevesini Güncelle</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1997"/>
        <source>&amp;Search/Replace...</source>
        <translation>Ara/Değ&amp;iştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1999"/>
        <source>&amp;Fonts Preview...</source>
        <translation>Yazıtipi Ön&amp;izleme...</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2011"/>
        <source>&amp;Background...</source>
        <translation>Arka&amp;plan...</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2012"/>
        <source>&amp;Display Font...</source>
        <translation>&amp;Editör Yazıtipi...</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1807"/>
        <location filename="../../../scribus/storyeditor.cpp" line="2010"/>
        <source>&amp;Settings</source>
        <translation>&amp;Ayarlar</translation>
    </message>
    <message>
        <source>Search/Replace</source>
        <translation type="obsolete">Ara/Değiştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2013"/>
        <source>&amp;Smart text selection</source>
        <translation>Akıllı &amp;metin seçimi</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2007"/>
        <source>&amp;Insert Glyph...</source>
        <translation>&amp;Glyph Ekle...</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1983"/>
        <source>Clear All Text</source>
        <translation>Bütün Metni Temizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2089"/>
        <source>Story Editor - %1</source>
        <translation>Metin Editörü - %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2751"/>
        <source>Do you really want to lose all your changes?</source>
        <translation>Tüm değişiklikler kaybolacak. Emin misiniz?</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2780"/>
        <source>Do you really want to clear all your text?</source>
        <translation>Bütün metni temizlemek istediğinizden emin misiniz?</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1743"/>
        <location filename="../../../scribus/storyeditor.cpp" line="2003"/>
        <source>&amp;Insert</source>
        <translation type="unfinished">&amp;Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1745"/>
        <location filename="../../../scribus/storyeditor.cpp" line="2004"/>
        <source>Character</source>
        <translation type="unfinished">Karakter</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1762"/>
        <location filename="../../../scribus/storyeditor.cpp" line="2005"/>
        <source>Quote</source>
        <translation type="unfinished">Aktarma Sözcüğü</translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1786"/>
        <source>Spaces &amp;&amp; Breaks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="1798"/>
        <source>Ligature</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/storyeditor.cpp" line="2006"/>
        <source>Space</source>
        <translation type="unfinished">Boşluk</translation>
    </message>
</context>
<context>
    <name>StrikeValues</name>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="24"/>
        <location filename="../../../scribus/styleselect.cpp" line="31"/>
        <source>Auto</source>
        <translation>Otomatik</translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="40"/>
        <location filename="../../../scribus/styleselect.cpp" line="42"/>
        <source> %</source>
        <translation> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="41"/>
        <source>Displacement</source>
        <translation>Yer Değiştirme</translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="43"/>
        <source>Linewidth</source>
        <translation>Çizgi genişliği</translation>
    </message>
</context>
<context>
    <name>StyleManager</name>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="244"/>
        <location filename="../../../scribus/stylemanager.cpp" line="122"/>
        <source>Name:</source>
        <translation type="unfinished">İsim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="385"/>
        <location filename="../../../scribus/stylemanager.cpp" line="123"/>
        <source>&amp;Reset</source>
        <translation type="unfinished">&amp;Sıfırla</translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="363"/>
        <location filename="../../../scribus/stylemanager.cpp" line="124"/>
        <location filename="../../../scribus/stylemanager.cpp" line="881"/>
        <location filename="../../../scribus/stylemanager.cpp" line="1040"/>
        <location filename="../../../scribus/stylemanager.cpp" line="1080"/>
        <source>&amp;Apply</source>
        <translation type="unfinished">&amp;Uygula</translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="110"/>
        <location filename="../../../scribus/stylemanager.cpp" line="128"/>
        <source>&amp;New</source>
        <translation type="unfinished">Y&amp;eni</translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="157"/>
        <location filename="../../../scribus/stylemanager.cpp" line="129"/>
        <source>&amp;Import</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="141"/>
        <location filename="../../../scribus/stylemanager.cpp" line="130"/>
        <source>&amp;Clone</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="173"/>
        <location filename="../../../scribus/stylemanager.cpp" line="131"/>
        <source>&amp;Delete</source>
        <translation type="unfinished">&amp;Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="111"/>
        <source>Reset all changes</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="112"/>
        <source>Apply all changes</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="106"/>
        <source>Apply all changes and exit edit mode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="113"/>
        <source>Create a new style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="114"/>
        <source>Import styles from another document</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="115"/>
        <source>Clone selected style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="116"/>
        <source>Delete selected styles</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="162"/>
        <location filename="../../../scribus/stylemanager.cpp" line="648"/>
        <source>New</source>
        <translation type="unfinished">Yeni</translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="163"/>
        <source>Import</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="166"/>
        <source>Clone</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="169"/>
        <source>Delete</source>
        <translation type="unfinished">Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="126"/>
        <location filename="../../../scribus/stylemanager.cpp" line="764"/>
        <source>&amp;Edit</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="125"/>
        <source>&amp;Done</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="54"/>
        <location filename="../../../scribus/stylemanager.cpp" line="992"/>
        <source>Shortcut</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="49"/>
        <source>Name</source>
        <translation type="unfinished">İsim</translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="108"/>
        <source>Edit styles</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="110"/>
        <source>Name of the selected style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="165"/>
        <source>Edit</source>
        <translation type="unfinished">Düzenle</translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="595"/>
        <location filename="../../../scribus/stylemanager.cpp" line="629"/>
        <source>New %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="1066"/>
        <source>This key sequence is already in use</source>
        <translation type="unfinished">Bu tuş sırası zaten kullanımda</translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="1158"/>
        <source>More than one style selected</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="297"/>
        <source>Open</source>
        <translation type="unfinished">Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.cpp" line="297"/>
        <source>documents (*.sla *.sla.gz *.scd *.scd.gz);;All Files (*)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="113"/>
        <source>Alt+N</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="138"/>
        <source>Clone copies the style to make similar styles easily.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="144"/>
        <source>Alt+C</source>
        <translation type="unfinished">Alt+C</translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="160"/>
        <source>Alt+I</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="176"/>
        <location filename="../../../scribus/stylemanager.ui" line="344"/>
        <source>Alt+D</source>
        <translation type="unfinished">Alt+D</translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="275"/>
        <source>Please select a unique name for the style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="341"/>
        <source>&lt;&lt; &amp;Done</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="366"/>
        <source>Alt+A</source>
        <translation type="unfinished">Alt+A</translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="388"/>
        <source>Alt+R</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/stylemanager.ui" line="23"/>
        <location filename="../../../scribus/stylemanager.cpp" line="99"/>
        <source>Style Manager</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>StyleSelect</name>
    <message>
        <source>Underline</source>
        <translation type="obsolete">Altı Çizili</translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="272"/>
        <source>Small Caps</source>
        <translation>Küçük harfe çevir</translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="273"/>
        <source>Subscript</source>
        <translation>Subscript</translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="274"/>
        <source>Superscript</source>
        <translation>Superscript</translation>
    </message>
    <message>
        <source>Strike Out</source>
        <translation type="obsolete">Ortadan Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="271"/>
        <source>All Caps</source>
        <translation>Büyük harfe çevir</translation>
    </message>
    <message>
        <source>Outline</source>
        <translation type="obsolete">Kontür</translation>
    </message>
    <message>
        <source>Shadow</source>
        <translation type="obsolete">Gölge</translation>
    </message>
    <message>
        <source>Underline Words Only</source>
        <translation type="obsolete">Sadece Kelimelerin Altını Çiz</translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="269"/>
        <source>Underline Text. Hold down the button momentarily to set line width and displacement options.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="270"/>
        <source>Underline Words Only. Hold down the button momentarily to set line width and displacement options.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="275"/>
        <source>Strike Out. Hold down the button momentarily to set line width and displacement options.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="276"/>
        <source>Outline. Hold down the button momentarily to change the outline stroke width.</source>
        <comment>Text Style Selector</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="277"/>
        <source>Shadowed Text. Hold down the button momentarily to enable the offset spacing.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SubdividePlugin</name>
    <message>
        <location filename="../../../scribus/plugins/tools/subdivide/subdivide.cpp" line="66"/>
        <source>Subdivide Path</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/subdivide/subdivide.cpp" line="70"/>
        <source>Path Tools</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/subdivide/subdivide.cpp" line="87"/>
        <source>Subdivide</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/subdivide/subdivide.cpp" line="88"/>
        <source>Subdivide selected Path</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SxwDialog</name>
    <message>
        <location filename="../../../scribus/plugins/gettext/sxwim/sxwdia.cpp" line="52"/>
        <source>Use document name as a prefix for paragraph styles</source>
        <translation>Belge adını, paragraf stilleri için önad olarak kullan</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/sxwim/sxwdia.cpp" line="61"/>
        <source>Do not ask again</source>
        <translation>Tekrar sorma</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/sxwim/sxwdia.cpp" line="72"/>
        <source>OK</source>
        <translation>Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/sxwim/sxwdia.cpp" line="25"/>
        <source>OpenOffice.org Writer Importer Options</source>
        <translation>OpenOffice.org Writer alıcı tercihleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/sxwim/sxwdia.cpp" line="36"/>
        <source>Enabling this will overwrite existing styles in the current Scribus document</source>
        <translation>Bunu aktif hale getirmek mevcut Scribus belgelerindeki stillerin üzerine yazar</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/sxwim/sxwdia.cpp" line="43"/>
        <source>Merge Paragraph Styles</source>
        <translation>Paragraf Stillerini Birleştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/sxwim/sxwdia.cpp" line="45"/>
        <source>Merge paragraph styles by attributes. This will result in fewer similar paragraph styles, will retain style attributes, even if the original document&apos;s styles are named differently.</source>
        <translation type="unfinished">Merge paragraph styles by attributes. This will result in fewer similar paragraph styles, will retain style attributes, even if the original document&apos;s styles are named differently.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/sxwim/sxwdia.cpp" line="54"/>
        <source>Prepend the document name to the paragraph style name in Scribus.</source>
        <translation type="unfinished">Prepend the document name to the paragraph style name in Scribus.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/sxwim/sxwdia.cpp" line="63"/>
        <source>Make these settings the default and do not prompt again when importing an OpenOffice.org 1.x document.</source>
        <translation>Bu ayarları öntanımlı yap ve Openoffice.org 1.x belgesi alırken bir daha sorma.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/sxwim/sxwdia.cpp" line="34"/>
        <source>Overwrite Paragraph Styles</source>
        <translation>Paragraf stillerinin üstüne yaz</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/sxwim/sxwdia.cpp" line="74"/>
        <source>Cancel</source>
        <translation>İptal</translation>
    </message>
</context>
<context>
    <name>TOCIndexPrefs</name>
    <message>
        <location filename="../../../scribus/tocindexprefs.cpp" line="114"/>
        <source>None</source>
        <translation>Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="13"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="92"/>
        <source>Table of Contents and Indexes</source>
        <translation>İçindekiler Tablosu ve İndeks</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="34"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="107"/>
        <source>Table Of Contents</source>
        <translation>İçindekiler Tablosu</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="68"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="93"/>
        <source>&amp;Add</source>
        <translation>&amp;Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="71"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="94"/>
        <source>Alt+A</source>
        <translation>Alt+A</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="78"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="95"/>
        <source>&amp;Delete</source>
        <translation>&amp;Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="81"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="96"/>
        <source>Alt+D</source>
        <translation>Alt+D</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="125"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="99"/>
        <source>Item Attribute Name:</source>
        <translation>Öğe Niteliği İsmi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="176"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="106"/>
        <source>Destination Frame:</source>
        <translation>Gideceği Çerçeve:</translation>
    </message>
    <message>
        <source>At the beginning</source>
        <translation type="obsolete">Başta</translation>
    </message>
    <message>
        <source>At the end</source>
        <translation type="obsolete">Sonda</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.cpp" line="120"/>
        <source>Not Shown</source>
        <translation>Gösterilmiyor</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="108"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="97"/>
        <source>The frame the table of contents will be placed into</source>
        <translation>İçindekiler tablosunun yerleştirileceği çerçeve</translation>
    </message>
    <message>
        <source>Page Numbers Placed:</source>
        <translation type="obsolete">Yerleştirilen Sayfa Numaraları:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="135"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="100"/>
        <source>The Item Attribute that will be set on frames used as a basis for creation of the entries</source>
        <translation>Yeni girdi yaratılırken çerçevelerde temel alınacak öğe niteliği</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="142"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="101"/>
        <source>Place page numbers of the entries at the beginning or the end of the line, or not at all</source>
        <translation>Sayfa numaralarını çizginin başına ya da sonuna koy, veya koyma</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="152"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="102"/>
        <source>List Non-Printing Entries</source>
        <translation>Yazdırılmayacak girdileri de listele</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="149"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="103"/>
        <source>Include frames that are set to not print as well</source>
        <translation>Yazdırılmayacak çerçevelerde içerilsin</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="159"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="104"/>
        <source>The paragraph style used for the entry lines</source>
        <translation>Girdi satırları için kullanılacak paragraf stili</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="166"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="105"/>
        <source>Paragraph Style:</source>
        <translation>Paragraf Stili:</translation>
    </message>
    <message>
        <source>Inde&amp;x</source>
        <translation type="obsolete">İnde&amp;ks</translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.cpp" line="258"/>
        <source>Table of Contents %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.ui" line="115"/>
        <location filename="../../../scribus/tocindexprefs.cpp" line="98"/>
        <source>Page Number Placement:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.cpp" line="116"/>
        <source>Beginning</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tocindexprefs.cpp" line="118"/>
        <source>End</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TOCIndexPrefsBase</name>
    <message>
        <source>Table of Contents and Indexes</source>
        <translation type="obsolete">İçindekiler Tablosu ve İndeks</translation>
    </message>
    <message>
        <source>Table Of Contents</source>
        <translation type="obsolete">İçindekiler Tablosu</translation>
    </message>
    <message>
        <source>&amp;Add</source>
        <translation type="obsolete">&amp;Ekle</translation>
    </message>
    <message>
        <source>Alt+A</source>
        <translation type="obsolete">Alt+A</translation>
    </message>
    <message>
        <source>&amp;Delete</source>
        <translation type="obsolete">&amp;Sil</translation>
    </message>
    <message>
        <source>Alt+D</source>
        <translation type="obsolete">Alt+D</translation>
    </message>
    <message>
        <source>The frame the table of contents will be placed into</source>
        <translation type="obsolete">İçindekiler tablosunun yerleştirileceği çerçeve</translation>
    </message>
    <message>
        <source>Page Numbers Placed:</source>
        <translation type="obsolete">Yerleştirilen Sayfa Numaraları:</translation>
    </message>
    <message>
        <source>Item Attribute Name:</source>
        <translation type="obsolete">Öğe Niteliği İsmi:</translation>
    </message>
    <message>
        <source>The Item Attribute that will be set on frames used as a basis for creation of the entries</source>
        <translation type="obsolete">Yeni girdi yaratılırken çerçevelerde temel alınacak öğe niteliği</translation>
    </message>
    <message>
        <source>Place page numbers of the entries at the beginning or the end of the line, or not at all</source>
        <translation type="obsolete">Sayfa numaralarını çizginin başına ya da sonuna koy, veya koyma</translation>
    </message>
    <message>
        <source>List Non-Printing Entries</source>
        <translation type="obsolete">Yazdırılmayacak Girdilerin Listesi</translation>
    </message>
    <message>
        <source>Include frames that are set to not print as well</source>
        <translation type="obsolete">Yazdırılmayacak çerçevelerde içerilsin</translation>
    </message>
    <message>
        <source>The paragraph style used for the entry lines</source>
        <translation type="obsolete">Girdi satırları için kullanılacak paragraf stili</translation>
    </message>
    <message>
        <source>Paragraph Style:</source>
        <translation type="obsolete">Paragraf Stili:</translation>
    </message>
    <message>
        <source>Destination Frame:</source>
        <translation type="obsolete">Gideceği Çerçeve:</translation>
    </message>
    <message>
        <source>Inde&amp;x</source>
        <translation type="obsolete">İnde&amp;ks</translation>
    </message>
</context>
<context>
    <name>TabCheckDoc</name>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="35"/>
        <source>Ignore all errors</source>
        <translation>Tüm hataları görmezden gel</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="38"/>
        <source>Automatic check before printing or exporting</source>
        <translation>İhraç veya yazdırmadan önce otomatik kontrol</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="41"/>
        <source>Check for missing glyphs</source>
        <translation>Eksik glyphleri kontrol et</translation>
    </message>
    <message>
        <source>Check for objects not on a page</source>
        <translation type="obsolete">Sayfada olmayan objeleri kontrol et</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="47"/>
        <source>Check for overflow in text frames</source>
        <translation>Metin Çerçevelerindeki taşmaları kontrol et</translation>
    </message>
    <message>
        <source>Check for transparencies used</source>
        <translation type="obsolete">Kullanılan şeffaflıkları kontrol et</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="53"/>
        <source>Check for missing images</source>
        <translation>Eksik resimleri kontrol et</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="56"/>
        <source>Check image resolution</source>
        <translation>Resim çözünürlüğünü kontrol et</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="63"/>
        <source>Lowest allowed resolution</source>
        <translation>İzin verilen en düşük çözünürlük</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="68"/>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="76"/>
        <source> dpi</source>
        <translation> dpi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="80"/>
        <source>Check for placed PDF Files</source>
        <translation>Yerleştirilmiş PDF dosyalarını kontrol et</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="86"/>
        <source>Check for PDF Annotations and Fields</source>
        <translation>PDF not ve alanlarını kontrol et</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="92"/>
        <source>Check for Visible/Printable Mismatch in Layers</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="99"/>
        <source>Add Profile</source>
        <translation>Profil Ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="101"/>
        <source>Remove Profile</source>
        <translation>Profil Kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="71"/>
        <source>Highest allowed resolution</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="83"/>
        <source>Check for GIF images</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="89"/>
        <source>Ignore non-printable Layers</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="44"/>
        <source>Check for items not on a page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabcheckdoc.cpp" line="50"/>
        <source>Check for used transparencies</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TabDisplay</name>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="33"/>
        <source>Color for paper</source>
        <translation type="unfinished">Kağıt için renk</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="34"/>
        <source>Mask the area outside the margins in the margin color</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="35"/>
        <source>Enable or disable  the display of linked frames.</source>
        <translation type="unfinished">Bağlantılı metin çerçevelerinin gösterilmesini aç/kapat.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="36"/>
        <source>Display non-printing characters such as paragraph markers in text frames</source>
        <translation type="unfinished">Paragraf işaretleri gibi yazdırılamayan kontrol karakterlerini de metin pencereleri içinde gösterir</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="37"/>
        <source>Turns the display of frames on or off</source>
        <translation type="unfinished">Çerçevelerin gösterilmesini açar veya kapatır</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="38"/>
        <source>Turns the display of layer indicators on or off</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="41"/>
        <source>Defines amount of space left of the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</source>
        <translation type="unfinished">Defines amount of space left of the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="42"/>
        <source>Defines amount of space right of the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</source>
        <translation type="unfinished">Defines amount of space right of the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="43"/>
        <source>Defines amount of space above the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</source>
        <translation type="unfinished">Defines amount of space above the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="44"/>
        <source>Defines amount of space below the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</source>
        <translation type="unfinished">Defines amount of space below the document canvas available as a pasteboard for creating and modifying elements and dragging them onto the active page</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="45"/>
        <source>Set the default zoom level</source>
        <translation type="unfinished">Öntanımlı zoom düzeyi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="46"/>
        <source>Place a ruler against your screen and drag the slider to set the zoom level so Scribus will display your pages and objects on them at the correct size</source>
        <translation type="unfinished">Place a ruler against your screen and drag the slider to set the zoom level so Scribus will display your pages and objects on them at the correct size</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="16"/>
        <source>TabDisplayBase</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="32"/>
        <source>General</source>
        <translation type="unfinished">Genel</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="265"/>
        <source>Adjust Display Size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="305"/>
        <source>Scale%</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="271"/>
        <source>To adjust the display drag the ruler below with the slider.</source>
        <translation type="unfinished">To adjust the display drag the ruler below with the slider.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="224"/>
        <source>Gaps Between Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="239"/>
        <source>Vertical:</source>
        <translation type="unfinished">Dikey:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="252"/>
        <source>Horizontal:</source>
        <translation type="unfinished">Yatay:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="138"/>
        <source>Scratch Space</source>
        <translation type="unfinished">Karalama Alanı</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="67"/>
        <source>Show Rulers</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="153"/>
        <source>&amp;Bottom:</source>
        <translation type="unfinished">&amp;Alt:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="169"/>
        <source>&amp;Top:</source>
        <translation type="unfinished">&amp;Üst:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="185"/>
        <source>&amp;Right:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="208"/>
        <source>&amp;Left:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="38"/>
        <source>Page Display</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="118"/>
        <source>Show Bleed Area</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="108"/>
        <source>Display &amp;Unprintable Area in Margin Color</source>
        <translation type="unfinished">Yazdırılamayan Alanı &amp;Kenarlık Renginde Görüntüle</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="111"/>
        <source>Alt+U</source>
        <translation type="unfinished">Alt+U</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="98"/>
        <source>Show Layer Indicators</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="50"/>
        <source>Show Frames</source>
        <translation type="unfinished">Çerçeveleri Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="81"/>
        <source>Show Text Chains</source>
        <translation type="unfinished">Metin Bağlarını Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="74"/>
        <source>Rulers Relative to Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="91"/>
        <source>Show Text Control Characters</source>
        <translation type="unfinished">Metin Kontrol Karakterlerini Göster</translation>
    </message>
    <message>
        <source>Show Pictures</source>
        <translation type="obsolete">Resimleri Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="369"/>
        <source>Colors</source>
        <translation type="unfinished">Renkler</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="397"/>
        <source>Pages:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="417"/>
        <source>Selected Page Border:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="472"/>
        <source>Fill Color:</source>
        <translation type="unfinished">Doldurma Rengi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="506"/>
        <source>Frames</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="526"/>
        <source>Grouped:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="555"/>
        <source>Annotation:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="648"/>
        <source>Selected:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="658"/>
        <source>Linked:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="694"/>
        <source>Locked:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="742"/>
        <source>Normal:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="757"/>
        <source>Text:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="804"/>
        <source>Control Characters:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="39"/>
        <source>Turns the display of images on or off</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="60"/>
        <source>Show Images</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="139"/>
        <location filename="../../../scribus/tabdisplay.cpp" line="196"/>
        <location filename="../../../scribus/tabdisplay.cpp" line="204"/>
        <source> dpi</source>
        <translation type="unfinished"> dpi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="317"/>
        <source>Resets the scale to the default dpi of your display</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.cpp" line="40"/>
        <source>Turns the page shadow on or off</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdisplay.ui" line="128"/>
        <source>Show Page Shadow</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TabDisplayBase</name>
    <message>
        <source>Show Frames</source>
        <translation type="obsolete">Çerçeveleri Göster</translation>
    </message>
    <message>
        <source>Show Text Chains</source>
        <translation type="obsolete">Metin Bağlarını Göster</translation>
    </message>
    <message>
        <source>Display &amp;Unprintable Area in Margin Color</source>
        <translation type="obsolete">Yazdırılamayan Alanı &amp;Kenarlık Renginde Görüntüle</translation>
    </message>
    <message>
        <source>Alt+U</source>
        <translation type="obsolete">Alt+U</translation>
    </message>
    <message>
        <source>Show Text Control Characters</source>
        <translation type="obsolete">Metin Kontrol Karakterlerini Göster</translation>
    </message>
    <message>
        <source>Show Pictures</source>
        <translation type="obsolete">Resimleri Göster</translation>
    </message>
    <message>
        <source>Color:</source>
        <translation type="obsolete">Renk:</translation>
    </message>
    <message>
        <source>Scratch Space</source>
        <translation type="obsolete">Karalama Alanı</translation>
    </message>
    <message>
        <source>&amp;Bottom:</source>
        <translation type="obsolete">&amp;Alt:</translation>
    </message>
    <message>
        <source>&amp;Top:</source>
        <translation type="obsolete">&amp;Üst:</translation>
    </message>
    <message>
        <source>Horizontal:</source>
        <translation type="obsolete">Yatay:</translation>
    </message>
    <message>
        <source>Vertical:</source>
        <translation type="obsolete">Dikey:</translation>
    </message>
    <message>
        <source>To adjust the display drag the ruler below with the slider.</source>
        <translation type="obsolete">To adjust the display drag the ruler below with the slider.</translation>
    </message>
    <message>
        <source>General</source>
        <translation type="obsolete">Genel</translation>
    </message>
    <message>
        <source>Colors</source>
        <translation type="obsolete">Renkler</translation>
    </message>
    <message>
        <source>Fill Color:</source>
        <translation type="obsolete">Doldurma Rengi:</translation>
    </message>
</context>
<context>
    <name>TabDocument</name>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="56"/>
        <source>Page Size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="81"/>
        <source>&amp;Size:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="87"/>
        <source>Portrait</source>
        <translation type="unfinished">Dikey</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="88"/>
        <source>Landscape</source>
        <translation type="unfinished">Yatay</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="90"/>
        <source>Orie&amp;ntation:</source>
        <translation type="unfinished">&amp;Yerleşim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="97"/>
        <source>Units:</source>
        <translation type="unfinished">Birimler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="109"/>
        <source>&amp;Width:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="116"/>
        <source>&amp;Height:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="142"/>
        <source>Margin Guides</source>
        <translation type="unfinished">Kenarlık Kılavuzları</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="152"/>
        <source>Autosave</source>
        <translation type="unfinished">Otomatik Kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="161"/>
        <source>min</source>
        <translation type="unfinished">min</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="162"/>
        <source>&amp;Interval:</source>
        <translation type="unfinished">&amp;Aralık:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="168"/>
        <source>Undo/Redo</source>
        <translation type="unfinished">Geri Al/Yinele</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="182"/>
        <source>Action history length</source>
        <translation type="unfinished">İşlem Geçmişi uzunluğu</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="192"/>
        <source>Width of document pages, editable if you have chosen a custom page size</source>
        <translation type="unfinished">Width of document pages, editable if you have chosen a custom page size</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="193"/>
        <source>Height of document pages, editable if you have chosen a custom page size</source>
        <translation type="unfinished">Height of document pages, editable if you have chosen a custom page size</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="194"/>
        <source>Default page size, either a standard size or a custom size</source>
        <translation type="unfinished">Default page size, either a standard size or a custom size</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="195"/>
        <source>Default orientation of document pages</source>
        <translation type="unfinished">Default orientation of document pages</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="196"/>
        <source>Default unit of measurement for document editing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="197"/>
        <source>When enabled, Scribus saves a backup copy of your file with the .bak extension each time the time period elapses</source>
        <translation type="unfinished">When enabled, Scribus saves a backup copy of your file with the .bak extension each time the time period elapses</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="198"/>
        <source>Time period between saving automatically</source>
        <translation type="unfinished">Otomatik kaydetmeler arasaındaki zaman </translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="199"/>
        <source>Set the length of the action history in steps. If set to 0 infinite amount of actions will be stored.</source>
        <translation type="unfinished">Set the length of the action history in steps. If set to 0 infinite amount of actions will be stored.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="200"/>
        <source>Apply the page size changes to all existing pages in the document</source>
        <translation type="unfinished">Sayfa ölçü değişimini belgedeki tüm sayfalara uygula</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="125"/>
        <source>Apply settings to:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="128"/>
        <source>All Document Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="132"/>
        <source>All Master Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabdocument.cpp" line="201"/>
        <source>Apply the page size changes to all existing master pages in the document</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TabExternalToolsWidget</name>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.cpp" line="114"/>
        <source>Locate Ghostscript</source>
        <translation type="unfinished">Ghostscript&apos;i bulun</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.cpp" line="122"/>
        <source>Locate your image editor</source>
        <translation type="unfinished">Resim editörünü bulun</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.cpp" line="130"/>
        <source>Locate your web browser</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="13"/>
        <source>External Tools</source>
        <translation type="unfinished">Dış Araçlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="207"/>
        <source>Web Browser to launch with links from the Help system</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="210"/>
        <source>Web Browser</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="53"/>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="174"/>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="222"/>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="358"/>
        <source>&amp;Change...</source>
        <translation type="unfinished">D&amp;eğiştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="56"/>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="177"/>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="225"/>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="361"/>
        <source>Alt+C</source>
        <translation type="unfinished">Alt+C</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="232"/>
        <source>&lt;qt&gt;File system location for your web browser. This is used for external links from the Help system.&lt;/qt&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="191"/>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="239"/>
        <source>Name of &amp;Executable:</source>
        <translation type="unfinished">Çal&amp;ıştırılabilir Dosyanın Adı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="162"/>
        <source>Image Processing Tool</source>
        <translation type="unfinished">Resim İşleme Aracı</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="184"/>
        <source>&lt;qt&gt;File system location for graphics editor. If you use gimp and your distribution includes it, we recommend &apos;gimp-remote&apos;, as it allows you to edit the image in an already running instance of gimp.&lt;/qt&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="19"/>
        <source>PostScript Interpreter</source>
        <translation type="unfinished">PostScript Yorumlayıcısı</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="73"/>
        <source>Antialias text for EPS and PDF onscreen rendering</source>
        <translation type="unfinished">Antialias text for EPS and PDF onscreen rendering</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="76"/>
        <source>Antialias &amp;Text</source>
        <translation type="unfinished">Metinleri &amp;Yumuşat (Anti-alias)</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="79"/>
        <source>Alt+T</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="102"/>
        <source>Antialias graphics for EPS and PDF onscreen rendering</source>
        <translation type="unfinished">Antialias graphics for EPS and PDF onscreen rendering</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="105"/>
        <source>Antialias &amp;Graphics</source>
        <translation type="unfinished">Resimleri &amp;Yumuşat (Anti-alias)</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="108"/>
        <source>Alt+G</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="131"/>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="418"/>
        <source>Resolution:</source>
        <translation type="unfinished">Çözünürlük:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="144"/>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="431"/>
        <source> dpi</source>
        <translation type="unfinished"> dpi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="33"/>
        <source>&amp;Name of Executable:</source>
        <translation type="unfinished">Çal&amp;ıştırılabilir Dosyanın Adı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="46"/>
        <source>&lt;qt&gt;Add the path for the Ghostscript interpreter. On Windows, please note it is important to note you need to use the program named gswin32c.exe - NOT gswin32.exe. Otherwise, this maybe cause a hang when starting Scribus.&lt;/qt&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="489"/>
        <source>Rescan for the external tools if they do not exist in the already specified location</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="492"/>
        <source>&amp;Rescan</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="495"/>
        <source>Alt+R</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="372"/>
        <source>Start with empty frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="395"/>
        <source>Always use the configured DPI setting for calculating the size, even if the image file reports something different.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="398"/>
        <source>Force DPI</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="351"/>
        <source>&lt;qt&gt;Path to the editor executable.&lt;/qt&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>End:</source>
        <translation type="obsolete">Bitiş:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.cpp" line="163"/>
        <source>Locate a Configuration file</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.cpp" line="165"/>
        <source>Configuration files</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="261"/>
        <source>Configurations:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="273"/>
        <source>Up</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="280"/>
        <source>Down</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="307"/>
        <source>Delete</source>
        <translation type="unfinished">Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.cpp" line="138"/>
        <source>Locate your editor</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="255"/>
        <source>Render Frames</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="338"/>
        <source>External Editor:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="300"/>
        <source>Add...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.cpp" line="271"/>
        <source>Change Command</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.cpp" line="272"/>
        <source>Enter new command: (leave empty to reset to default command; use quotes around arguments with spaces)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.cpp" line="287"/>
        <source>Command: </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabexternaltoolswidget.ui" line="327"/>
        <source>Change Command...</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TabExternalToolsWidgetBase</name>
    <message>
        <source>External Tools</source>
        <translation type="obsolete">Dış Araçlar</translation>
    </message>
    <message>
        <source>PostScript Interpreter</source>
        <translation type="obsolete">PostScript Yorumlayıcısı</translation>
    </message>
    <message>
        <source>&amp;Name of Executable:</source>
        <translation type="obsolete">Çal&amp;ıştırılabilir Dosyanın Adı:</translation>
    </message>
    <message>
        <source>Alt+C</source>
        <translation type="obsolete">Alt+C</translation>
    </message>
    <message>
        <source>Antialias &amp;Text</source>
        <translation type="obsolete">Metinleri &amp;Yumuşat (Anti-alias)</translation>
    </message>
    <message>
        <source>Antialias text for EPS and PDF onscreen rendering</source>
        <translation type="obsolete">Antialias text for EPS and PDF onscreen rendering</translation>
    </message>
    <message>
        <source>Antialias &amp;Graphics</source>
        <translation type="obsolete">Resimleri &amp;Yumuşat (Anti-alias)</translation>
    </message>
    <message>
        <source>Antialias graphics for EPS and PDF onscreen rendering</source>
        <translation type="obsolete">Antialias graphics for EPS and PDF onscreen rendering</translation>
    </message>
    <message>
        <source>Resolution:</source>
        <translation type="obsolete">Çözünürlük:</translation>
    </message>
    <message>
        <source> dpi</source>
        <translation type="obsolete"> dpi</translation>
    </message>
    <message>
        <source>Image Processing Tool</source>
        <translation type="obsolete">Resim İşleme Aracı</translation>
    </message>
    <message>
        <source>Name of &amp;Executable:</source>
        <translation type="obsolete">Çal&amp;ıştırılabilir Dosyanın Adı:</translation>
    </message>
    <message>
        <source>&amp;Change...</source>
        <translation type="obsolete">D&amp;eğiştir...</translation>
    </message>
</context>
<context>
    <name>TabGeneral</name>
    <message>
        <location filename="../../../scribus/tabgeneral.cpp" line="53"/>
        <source>Select your default language for Scribus to run with. Leave this blank to choose based on environment variables. You can still override this by passing a command line option when starting Scribus</source>
        <translation type="unfinished">Select your default language for Scribus to run with. Leave this blank to choose based on environment variables. You can still override this by passing a command line option when starting Scribus</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.cpp" line="54"/>
        <source>Number of recently edited documents to show in the File menu</source>
        <translation type="unfinished">Number of recently edited documents to show in the File menu</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.cpp" line="55"/>
        <source>Number of lines Scribus will scroll for each move of the mouse wheel</source>
        <translation type="unfinished">Number of lines Scribus will scroll for each move of the mouse wheel</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.cpp" line="56"/>
        <source>Choose the default window decoration and looks. Scribus inherits any available KDE or Qt themes, if Qt is configured to search KDE plugins.</source>
        <translation type="unfinished">Choose the default window decoration and looks. Scribus inherits any available KDE or Qt themes, if Qt is configured to search KDE plugins.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.cpp" line="57"/>
        <source>Default font size for the menus and windows</source>
        <translation type="unfinished">Default font size for the menus and windows</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.cpp" line="58"/>
        <source>Default font size for the tool windows</source>
        <translation type="unfinished">Default font size for the tool windows</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.cpp" line="59"/>
        <source>Default documents directory</source>
        <translation type="unfinished">Öntanımlı belge dizini</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.cpp" line="61"/>
        <source>Default ICC profiles directory. This cannot be changed with a document open. By default, Scribus will look in the System Directories under Mac OSX and Windows. On Linux and Unix, Scribus will search $home/.color/icc, $home/.local/share/color/icc, /usr/share/color/icc and /usr/local/share/color/icc</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>Default ICC profiles directory. This cannot be changed with a document open. By default, Scribus will look in the System Directories under Mac OSX and Windows. On Linux and Unix, Scribus will search $home/.color/icc,/usr/share/color/icc and /usr/local/share/color/icc </source>
        <translation type="obsolete">Default ICC profiles directory. This cannot be changed with a document open. By default, Scribus will look in the System Directories under Mac OSX and Windows. On Linux and Unix, Scribus will search $home/.color/icc,/usr/share/color/icc and /usr/local/share/color/icc </translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.cpp" line="62"/>
        <source>Default Scripter scripts directory</source>
        <translation type="unfinished">Default Scripter scripts directory</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.cpp" line="63"/>
        <source>Additional directory for document templates</source>
        <translation type="unfinished">Belge şablonları için diğer dizin</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.cpp" line="98"/>
        <location filename="../../../scribus/tabgeneral.cpp" line="105"/>
        <location filename="../../../scribus/tabgeneral.cpp" line="112"/>
        <location filename="../../../scribus/tabgeneral.cpp" line="119"/>
        <source>Choose a Directory</source>
        <translation type="unfinished">Dizin Seçin</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="15"/>
        <source>TabGeneralBase</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="21"/>
        <source>User Interface</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="75"/>
        <source>&amp;Recent Documents:</source>
        <translation type="unfinished">&amp;Son Kullanılan Belgeler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="43"/>
        <source>&amp;Wheel Jump:</source>
        <translation type="unfinished">&amp;Wheel Jump:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="154"/>
        <source>Show Splashscreen on Startup</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="127"/>
        <source>Show Startup Dialog</source>
        <translation type="unfinished">Başlangıç Ekranını Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="104"/>
        <location filename="../../../scribus/tabgeneral.ui" line="147"/>
        <source> pt</source>
        <translation type="unfinished"> pt</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="91"/>
        <source>&amp;Font Size (Menus):</source>
        <translation type="unfinished">&amp;Yazıtipi Boyutu(Menüler):</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="134"/>
        <source>Font Size (&amp;Palettes):</source>
        <translation type="unfinished">&amp;Yazıtipi Boyutu(Paletler):</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="164"/>
        <source>Time before a Move or Resize starts:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="177"/>
        <source> ms</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="59"/>
        <source>&amp;Theme:</source>
        <translation type="unfinished">&amp;Tema:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="27"/>
        <source>&amp;Language:</source>
        <translation type="unfinished">&amp;Dil:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="238"/>
        <source>Paths</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="286"/>
        <source>&amp;Change...</source>
        <translation type="unfinished">D&amp;eğiştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="289"/>
        <source>Alt+C</source>
        <translation type="unfinished">Alt+C</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="296"/>
        <source>C&amp;hange...</source>
        <translation type="unfinished">D&amp;eğiştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="299"/>
        <source>Alt+H</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="306"/>
        <source>&amp;Scripts:</source>
        <translation type="unfinished">&amp;Scriptler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="329"/>
        <source>Cha&amp;nge...</source>
        <translation type="unfinished">D&amp;eğiştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="332"/>
        <source>Alt+N</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="339"/>
        <source>&amp;ICC Profiles:</source>
        <translation type="unfinished">&amp;ICC Profilleri:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="352"/>
        <source>&amp;Documents:</source>
        <translation type="unfinished">&amp;Belge:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="365"/>
        <source>Document &amp;Templates:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="378"/>
        <source>Ch&amp;ange...</source>
        <translation type="unfinished">D&amp;eğiştir...</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="381"/>
        <source>Alt+A</source>
        <translation type="unfinished">Alt+A</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.cpp" line="60"/>
        <source>Palette windows will use smaller (space savy) widgets. Requires application restart</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabgeneral.ui" line="196"/>
        <source>Use Small Widgets in Palettes</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TabGeneralBase</name>
    <message>
        <source>GUI</source>
        <translation type="obsolete">GUI</translation>
    </message>
    <message>
        <source>&amp;Language:</source>
        <translation type="obsolete">&amp;Dil:</translation>
    </message>
    <message>
        <source>&amp;Theme:</source>
        <translation type="obsolete">&amp;Tema:</translation>
    </message>
    <message>
        <source>&amp;Font Size (Menus):</source>
        <translation type="obsolete">&amp;Yazıtipi Boyutu(Menüler):</translation>
    </message>
    <message>
        <source> pt</source>
        <translation type="obsolete"> pt</translation>
    </message>
    <message>
        <source>Font Size (&amp;Palettes):</source>
        <translation type="obsolete">&amp;Yazıtipi Boyutu(Paletler):</translation>
    </message>
    <message>
        <source>&amp;Wheel Jump:</source>
        <translation type="obsolete">&amp;Wheel Jump:</translation>
    </message>
    <message>
        <source>&amp;Recent Documents:</source>
        <translation type="obsolete">&amp;Son Kullanılan Belgeler:</translation>
    </message>
    <message>
        <source>&amp;Documents:</source>
        <translation type="obsolete">&amp;Belge:</translation>
    </message>
    <message>
        <source>&amp;Change...</source>
        <translation type="obsolete">D&amp;eğiştir...</translation>
    </message>
    <message>
        <source>Alt+C</source>
        <translation type="obsolete">Alt+C</translation>
    </message>
    <message>
        <source>&amp;ICC Profiles:</source>
        <translation type="obsolete">&amp;ICC Profilleri:</translation>
    </message>
    <message>
        <source>C&amp;hange...</source>
        <translation type="obsolete">D&amp;eğiştir...</translation>
    </message>
    <message>
        <source>&amp;Scripts:</source>
        <translation type="obsolete">&amp;Scriptler:</translation>
    </message>
    <message>
        <source>Ch&amp;ange...</source>
        <translation type="obsolete">D&amp;eğiştir...</translation>
    </message>
    <message>
        <source>Alt+A</source>
        <translation type="obsolete">Alt+A</translation>
    </message>
    <message>
        <source>Cha&amp;nge...</source>
        <translation type="obsolete">D&amp;eğiştir...</translation>
    </message>
    <message>
        <source>Show Startup Dialog</source>
        <translation type="obsolete">Başlangıç Ekranını Göster</translation>
    </message>
</context>
<context>
    <name>TabGuides</name>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="36"/>
        <source>Common Settings</source>
        <translation>Ortak Ayarlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="42"/>
        <source>Placing in Documents</source>
        <translation>Placing in Documents</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="48"/>
        <source>In the Background</source>
        <translation>Arka Planda</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="51"/>
        <source>In the Foreground</source>
        <translation>Ön Planda</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="56"/>
        <source>Snapping</source>
        <translation>Yapışma</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="61"/>
        <source>Snap Distance:</source>
        <translation>Yapışma Uzaklığı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="69"/>
        <source>Grab Radius:</source>
        <translation>Yakalama Çapı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="273"/>
        <source> px</source>
        <translation> px</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="82"/>
        <source>Show Guides</source>
        <translation>Kılavuzları Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="88"/>
        <location filename="../../../scribus/tabguides.cpp" line="105"/>
        <location filename="../../../scribus/tabguides.cpp" line="138"/>
        <location filename="../../../scribus/tabguides.cpp" line="153"/>
        <location filename="../../../scribus/tabguides.cpp" line="181"/>
        <source>Color:</source>
        <translation>Renk:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="100"/>
        <source>Show Margins</source>
        <translation>Kenarlıkları Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="118"/>
        <source>Show Page Grid</source>
        <translation>Sayfa Izgarasını Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="125"/>
        <source>Major Grid</source>
        <translation>Ana Izgara</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="141"/>
        <location filename="../../../scribus/tabguides.cpp" line="163"/>
        <source>Spacing:</source>
        <translation>Boşluk:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="147"/>
        <source>Minor Grid</source>
        <translation>Yardımcı Izgara</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="174"/>
        <source>Show Baseline Grid</source>
        <translation>Show Baseline Grid</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="193"/>
        <source>Baseline Settings</source>
        <translation type="unfinished">Baseline Settings</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="200"/>
        <source>Baseline &amp;Grid:</source>
        <translation type="unfinished">Baseline &amp;Grid:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="205"/>
        <source>Baseline &amp;Offset:</source>
        <translation type="unfinished">Baseline &amp;Offset:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="221"/>
        <source>Distance between the minor grid lines</source>
        <translation>İki yardımcı ızgara çizgisi arasındaki mesafe</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="222"/>
        <source>Distance between the major grid lines</source>
        <translation>İki ana ızgara çizgisi arasındaki mesafe</translation>
    </message>
    <message>
        <source>Distance within which an object will snap to your placed guides</source>
        <translation type="obsolete">Distance within which an object will snap to your placed guides</translation>
    </message>
    <message>
        <source>Radius of the area where Scribus will allow you to grab an objects handles</source>
        <translation type="obsolete">Radius of the area where Scribus will allow you to grab an objects handles</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="225"/>
        <source>Color of the minor grid lines</source>
        <translation>Yardımcı ızgara çizgilerinin rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="226"/>
        <source>Color of the major grid lines</source>
        <translation>Ana ızgara çizgilerinin rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="227"/>
        <source>Color of the guide lines you insert</source>
        <translation type="unfinished">Colour of the guide lines you insert</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="228"/>
        <source>Color for the margin lines</source>
        <translation>Kenarlık çizgileri rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="229"/>
        <source>Color for the baseline grid</source>
        <translation type="unfinished">Colour for the baseline grid</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="230"/>
        <source>Turns the basegrid on or off</source>
        <translation type="unfinished">Turns the basegrid on or off</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="233"/>
        <source>Turns the gridlines on or off</source>
        <translation>Izgara çizgilerini aç/kapat</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="234"/>
        <source>Turns the guides on or off</source>
        <translation>Kılavuzları aç/kapat</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="235"/>
        <source>Turns the margins on or off</source>
        <translation>Kenarlıkları açar veya kapatır</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="219"/>
        <source>Guides are not visible through objects on the page</source>
        <translation type="unfinished">Guides are not visible through objects on the page</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="220"/>
        <source>Guides are visible above all objects on the page</source>
        <translation type="unfinished">Guides are visible above all objects on the page</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="231"/>
        <source>Distance between the lines of the baseline grid</source>
        <translation type="unfinished">Distance between the lines of the baseline grid</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="232"/>
        <source>Distance from the top of the page for the first baseline</source>
        <translation type="unfinished">Distance from the top of the page for the first baseline</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="271"/>
        <source>px</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="223"/>
        <source>Distance within which an object will snap to your placed guides. After setting this you will need to restart Scribus to set this setting.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabguides.cpp" line="224"/>
        <source>Radius of the area where Scribus will allow you to grab an objects handles.After setting this you will need to restart Scribus to set this setting.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TabKeyboardShortcutsWidget</name>
    <message>
        <source>Key Set XML Files (*.ksxml)</source>
        <translation type="obsolete">Kısayol XML dosyaları (*.ksxml)</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="499"/>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="559"/>
        <source>Alt</source>
        <translation type="unfinished">Alt</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="499"/>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="559"/>
        <source>Ctrl</source>
        <translation type="unfinished">Ctrl</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="499"/>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="559"/>
        <source>Shift</source>
        <translation type="unfinished">Shift</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="499"/>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="559"/>
        <source>Meta</source>
        <translation type="unfinished">Meta</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="506"/>
        <source>Meta+</source>
        <translation type="unfinished">Meta+</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="510"/>
        <source>Shift+</source>
        <translation type="unfinished">Shift+</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="514"/>
        <source>Alt+</source>
        <translation type="unfinished">Alt+</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="518"/>
        <source>Ctrl+</source>
        <translation type="unfinished">Ctrl+</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="528"/>
        <source>This key sequence is already in use</source>
        <translation type="unfinished">Bu tuş sırası zaten kullanımda</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="13"/>
        <source>Keyboard Shortcuts</source>
        <translation type="unfinished">Klavye Kısayolları</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="26"/>
        <source>Action</source>
        <translation type="unfinished">İşlem</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="31"/>
        <source>Shortcut</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="54"/>
        <source>Search:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="69"/>
        <source>Shortcut for Selected Action</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="87"/>
        <source>CTRL+ALT+SHIFT+W</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="100"/>
        <source>Set &amp;Key</source>
        <translation type="unfinished">Tuş A&amp;ta</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="103"/>
        <source>Alt+K</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="129"/>
        <source>&amp;User Defined Key</source>
        <translation type="unfinished">&amp;Kullanıcı Tanımlı Tuş</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="132"/>
        <source>Alt+U</source>
        <translation type="unfinished">Alt+U</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="139"/>
        <source>&amp;No Key</source>
        <translation type="unfinished">T&amp;uş Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="142"/>
        <source>Alt+N</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="152"/>
        <source>Loadable Shortcut Sets</source>
        <translation type="unfinished">Yüklenebilir Kısayol Kümeleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="164"/>
        <source>Reload the default Scribus shortcuts</source>
        <translation type="unfinished">Scribus&apos;un öntanımlı kısayollarını geri yükle</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="167"/>
        <source>&amp;Reset</source>
        <translation type="unfinished">&amp;Sıfırla</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="170"/>
        <source>Alt+R</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="193"/>
        <source>Export the current shortcuts into an importable file</source>
        <translation type="unfinished">Şu anki kısayolları alınabilir bir dosyaya yolla</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="196"/>
        <source>&amp;Export...</source>
        <translation type="unfinished">İ&amp;hraç et...</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="199"/>
        <source>Alt+E</source>
        <translation type="unfinished">Alt+E</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="206"/>
        <source>Import a shortcut set into the current configuration</source>
        <translation type="unfinished">Mevcut yapılandırmaya kısayol kümesi ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="209"/>
        <source>&amp;Import...</source>
        <translation type="unfinished">İth&amp;al et...</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="212"/>
        <source>Alt+I</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="235"/>
        <source>Load the selected shortcut set</source>
        <translation type="unfinished">Seçili kısayol kümesini yükle</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="238"/>
        <source>&amp;Load</source>
        <translation type="unfinished">&amp;Yükle</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="241"/>
        <source>Alt+L</source>
        <translation type="unfinished">Alt+L</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.ui" line="248"/>
        <source>Keyboard shortcut sets available to load</source>
        <translation type="unfinished">Yüklenebilecek klavye kısayolu kümeleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="233"/>
        <source>Export Keyboard Shortcuts to File</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="233"/>
        <source>Enter the name of the shortcut set:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="154"/>
        <source>Select a Key set file to read</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="154"/>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="162"/>
        <source>Key Set XML Files (*.xml)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabkeyboardshortcutswidget.cpp" line="162"/>
        <source>Select a Key set file to save to</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TabKeyboardShortcutsWidgetBase</name>
    <message>
        <source>Keyboard Shortcuts</source>
        <translation type="obsolete">Klavye Kısayolları</translation>
    </message>
    <message>
        <source>Action</source>
        <translation type="obsolete">İşlem</translation>
    </message>
    <message>
        <source>&amp;No Key</source>
        <translation type="obsolete">T&amp;uş Yok</translation>
    </message>
    <message>
        <source>&amp;User Defined Key</source>
        <translation type="obsolete">&amp;Kullanıcı Tanımlı Tuş</translation>
    </message>
    <message>
        <source>Alt+U</source>
        <translation type="obsolete">Alt+U</translation>
    </message>
    <message>
        <source>Set &amp;Key</source>
        <translation type="obsolete">Tuş A&amp;ta</translation>
    </message>
    <message>
        <source>Loadable Shortcut Sets</source>
        <translation type="obsolete">Yüklenebilir Kısayol Kümeleri</translation>
    </message>
    <message>
        <source>Keyboard shortcut sets available to load</source>
        <translation type="obsolete">Yüklenebilecek klavye kısayolu kümeleri</translation>
    </message>
    <message>
        <source>&amp;Load</source>
        <translation type="obsolete">&amp;Yükle</translation>
    </message>
    <message>
        <source>Alt+L</source>
        <translation type="obsolete">Alt+L</translation>
    </message>
    <message>
        <source>Load the selected shortcut set</source>
        <translation type="obsolete">Seçili kısayol kümesini yükle</translation>
    </message>
    <message>
        <source>&amp;Import...</source>
        <translation type="obsolete">İth&amp;al et...</translation>
    </message>
    <message>
        <source>Import a shortcut set into the current configuration</source>
        <translation type="obsolete">Mevcut yapılandırmaya kısayol kümesi ekle</translation>
    </message>
    <message>
        <source>&amp;Export...</source>
        <translation type="obsolete">İ&amp;hraç et...</translation>
    </message>
    <message>
        <source>Alt+E</source>
        <translation type="obsolete">Alt+E</translation>
    </message>
    <message>
        <source>Export the current shortcuts into an importable file</source>
        <translation type="obsolete">Şu anki kısayolları alınabilir bir dosyaya yolla</translation>
    </message>
    <message>
        <source>&amp;Reset</source>
        <translation type="obsolete">&amp;Sıfırla</translation>
    </message>
    <message>
        <source>Reload the default Scribus shortcuts</source>
        <translation type="obsolete">Scribus&apos;un öntanımlı kısayollarını geri yükle</translation>
    </message>
</context>
<context>
    <name>TabManager</name>
    <message>
        <location filename="../../../scribus/tabmanager.cpp" line="23"/>
        <source>Manage Tabulators</source>
        <translation>Cetvelleyicileri Yönet</translation>
    </message>
</context>
<context>
    <name>TabMiscellaneous</name>
    <message>
        <location filename="../../../scribus/tabmiscellaneous.ui" line="40"/>
        <source>Lorem Ipsum</source>
        <translation type="unfinished">Lorem Ipsum</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabmiscellaneous.ui" line="60"/>
        <source>Count of the Paragraphs:</source>
        <translation type="unfinished">Paragrafların Sayımı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabmiscellaneous.ui" line="98"/>
        <source>Always use standard Lorem Ipsum</source>
        <translation type="unfinished">Daima standart Lorem Ipsum(Doldurma Metni) kullan</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabmiscellaneous.ui" line="111"/>
        <source>Preview of current Paragraph Style visible when editing Styles</source>
        <translation type="unfinished">Preview of current Paragraph Style visible when editing Styles</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabmiscellaneous.ui" line="121"/>
        <source>Always ask before fonts are replaced when loading a document</source>
        <translation type="unfinished">Belge yüklenirken, değiştirilecek yazıtipi olursa beni uyar</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabmiscellaneous.ui" line="70"/>
        <source>Default number of paragraphs for sample text insertion</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabmiscellaneous.ui" line="95"/>
        <source>Always use the typical Latin-based Lorem Ipsum text for sample text</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabmiscellaneous.ui" line="108"/>
        <source>Show a preview by default when editing styles</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabmiscellaneous.ui" line="118"/>
        <source>Allow Scribus to automatically replace fonts when they are missing when opening a document</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TabMiscellaneousBase</name>
    <message>
        <source>Always ask before fonts are replaced when loading a document</source>
        <translation type="obsolete">Belge yüklenirken, değiştirilecek yazıtipi olursa beni uyar</translation>
    </message>
    <message>
        <source>Preview of current Paragraph Style visible when editing Styles</source>
        <translation type="obsolete">Preview of current Paragraph Style visible when editing Styles</translation>
    </message>
    <message>
        <source>Show Startup Dialog</source>
        <translation type="obsolete">Başlangıç Ekranını Göster</translation>
    </message>
    <message>
        <source>Lorem Ipsum</source>
        <translation type="obsolete">Lorem Ipsum</translation>
    </message>
    <message>
        <source>Always use standard Lorem Ipsum</source>
        <translation type="obsolete">Daima standart Lorem Ipsum(Doldurma Metni) kullan</translation>
    </message>
    <message>
        <source>Count of the Paragraphs:</source>
        <translation type="obsolete">Paragrafların Sayımı:</translation>
    </message>
</context>
<context>
    <name>TabPDFOptions</name>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="256"/>
        <source>Export Range</source>
        <translation>İhraç Edilecek Aralık</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="261"/>
        <source>&amp;All Pages</source>
        <translation>&amp;Tüm sayfalar</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="266"/>
        <source>C&amp;hoose Pages</source>
        <translation>Sayfaları &amp;Seç</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="281"/>
        <source>&amp;Rotation:</source>
        <translation>Dön&amp;dürme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="308"/>
        <source>File Options</source>
        <translation>Dosya Seçenekleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="313"/>
        <source>Compatibilit&amp;y:</source>
        <translation>&amp;Uyumluluk:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="329"/>
        <source>&amp;Binding:</source>
        <translation>&amp;Cilt Yönü:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="333"/>
        <source>Left Margin</source>
        <translation>Sol Kenarlık</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="334"/>
        <source>Right Margin</source>
        <translation>Sağ Kenarlık</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="338"/>
        <source>Generate &amp;Thumbnails</source>
        <translation>Küçük Resim O&amp;luştur</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="340"/>
        <source>Save &amp;Linked Text Frames as PDF Articles</source>
        <translation>Bağlı meti&amp;n çerçevelerini PDF Notları olarak kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="342"/>
        <source>&amp;Include Bookmarks</source>
        <translation>Yerimlerini de &amp;Yerleştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="349"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="395"/>
        <source> dpi</source>
        <translation> dpi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="350"/>
        <source>&amp;Resolution for EPS Graphics:</source>
        <translation>&amp;EPS Grafikleri için Çözünürlük:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="362"/>
        <source>Com&amp;press Text and Vector Graphics</source>
        <translation>Metin ve Vektör Grafiklerini &amp;Sıkıştır</translation>
    </message>
    <message>
        <source>Image Settings</source>
        <translation type="obsolete">Resim Ayarları</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="371"/>
        <source>Automatic</source>
        <translation>Otomatik</translation>
    </message>
    <message>
        <source>JPEG</source>
        <translation type="obsolete">JPEG</translation>
    </message>
    <message>
        <source>Zip</source>
        <translation type="obsolete">Zip</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="374"/>
        <source>None</source>
        <translation>Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="382"/>
        <source>Maximum</source>
        <translation>Maksimum</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="383"/>
        <source>High</source>
        <translation>Yüksek</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="384"/>
        <source>Medium</source>
        <translation>Orta</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="385"/>
        <source>Low</source>
        <translation>Düşük</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="386"/>
        <source>Minimum</source>
        <translation>Minimum</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="400"/>
        <source>&amp;General</source>
        <translation>&amp;Genel</translation>
    </message>
    <message>
        <source>&amp;Embed all Fonts</source>
        <translation type="obsolete">Bütün yazıtiplerini &amp;göm</translation>
    </message>
    <message>
        <source>&amp;Subset all Fonts</source>
        <translation type="obsolete">&amp;Subset all Fonts</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="407"/>
        <source>Embedding</source>
        <translation>Gömme</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="415"/>
        <source>Available Fonts:</source>
        <translation>Mevcut Yazıtipleri:</translation>
    </message>
    <message>
        <source>&amp;&gt;&gt;</source>
        <translation type="obsolete">&amp;&gt;&gt;</translation>
    </message>
    <message>
        <source>&amp;&lt;&lt;</source>
        <translation type="obsolete">&amp;&lt;&lt;</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="438"/>
        <source>Fonts to embed:</source>
        <translation>Gömülecek yazıtipleri:</translation>
    </message>
    <message>
        <source>Fonts to subset:</source>
        <translation type="obsolete">Fonts to subset:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="469"/>
        <source>&amp;Fonts</source>
        <translation>&amp;Yazıtipi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="474"/>
        <source>Enable &amp;Presentation Effects</source>
        <translation>Sunum Efektlerini  &amp;Etkinleştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1156"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1173"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="2083"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="2091"/>
        <source>Page</source>
        <translation>Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="479"/>
        <source>Show Page Pre&amp;views</source>
        <translation>Sayfa Ö&amp;nizlemelerini Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="481"/>
        <source>Effects</source>
        <translation>Efektler</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="486"/>
        <source>&amp;Display Duration:</source>
        <translation>Görüntüleme Sü&amp;resi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="488"/>
        <source>Effec&amp;t Duration:</source>
        <translation>Efekt Süres&amp;i:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="490"/>
        <source>Effect T&amp;ype:</source>
        <translation>Efek&amp;t Türü:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="492"/>
        <source>&amp;Moving Lines:</source>
        <translation type="unfinished">&amp;Moving Lines:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="494"/>
        <source>F&amp;rom the:</source>
        <translation>B&amp;uradan:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="496"/>
        <source>D&amp;irection:</source>
        <translation>Yö&amp;n:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="499"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="505"/>
        <source> sec</source>
        <translation>saniye</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="511"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1368"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1692"/>
        <source>No Effect</source>
        <translation>Efekt Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="512"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1369"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1693"/>
        <source>Blinds</source>
        <translation>Blinds</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="513"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1370"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1694"/>
        <source>Box</source>
        <translation>Kutu</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="514"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1371"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1695"/>
        <source>Dissolve</source>
        <translation>Çözülme</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="515"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1372"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1696"/>
        <source>Glitter</source>
        <translation>Parlama</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="516"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1373"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1697"/>
        <source>Split</source>
        <translation>Ayrılma</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="517"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1374"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1698"/>
        <source>Wipe</source>
        <translation>Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="522"/>
        <source>Horizontal</source>
        <translation>Yatay</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="523"/>
        <source>Vertical</source>
        <translation>Dikey</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="528"/>
        <source>Inside</source>
        <translation>İçinde</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="529"/>
        <source>Outside</source>
        <translation>Dışında</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="534"/>
        <source>Left to Right</source>
        <translation>Soldan Sağa</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="534"/>
        <source>Top to Bottom</source>
        <translation>Yukarıdan Aşağıya</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="534"/>
        <source>Bottom to Top</source>
        <translation>Aşağıdan Yukarıya</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="534"/>
        <source>Right to Left</source>
        <translation>Sağdan Sola</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="535"/>
        <source>Top-left to Bottom-Right</source>
        <translation>Üst Soldan Alt Sağa</translation>
    </message>
    <message>
        <source>&amp;Apply Effect on all Pages</source>
        <translation type="obsolete">Efekti &amp;tüm sayfalara uygula</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="545"/>
        <source>E&amp;xtras</source>
        <translation>Ekstra&amp;lar</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="629"/>
        <source>&amp;Use Encryption</source>
        <translation>Şi&amp;freleme Kullan</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="631"/>
        <source>Passwords</source>
        <translation>Şifreler</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="637"/>
        <source>&amp;User:</source>
        <translation>&amp;Kullanıcı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="639"/>
        <source>&amp;Owner:</source>
        <translation>&amp;Sahibi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="651"/>
        <source>Settings</source>
        <translation>Ayarlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="657"/>
        <source>Allow &amp;Printing the Document</source>
        <translation>Belgenin Yazdırılmasına İ&amp;zin Ver</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="659"/>
        <source>Allow &amp;Changing the Document</source>
        <translation>Belgenin Değiştiril&amp;mesine İzin ver</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="661"/>
        <source>Allow Cop&amp;ying Text and Graphics</source>
        <translation>Metin ve Grafiklerin &amp;Kopyalanmasına İzin Ver</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="663"/>
        <source>Allow Adding &amp;Annotations and Fields</source>
        <translation>Alan ve Not Eklenmesine İzin &amp;ver</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="666"/>
        <source>S&amp;ecurity</source>
        <translation>&amp;Güvenlik</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="672"/>
        <source>General</source>
        <translation>Genel</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="677"/>
        <source>Output &amp;Intended For:</source>
        <translation>Çıktı şurada kullan&amp;mak için:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="680"/>
        <source>Screen / Web</source>
        <translation>Ekran / Web</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="681"/>
        <source>Printer</source>
        <translation>Yazıcı</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="682"/>
        <source>Grayscale</source>
        <translation>Gri Tonlama</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="691"/>
        <source>&amp;Use Custom Rendering Settings</source>
        <translation>Ö&amp;zel Render Ayarları Kullan</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="693"/>
        <source>Rendering Settings</source>
        <translation>Render Ayarları</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="701"/>
        <source>Fre&amp;quency:</source>
        <translation>&amp;Frekans:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="708"/>
        <source>&amp;Angle:</source>
        <translation>&amp;Açı:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="716"/>
        <source>S&amp;pot Function:</source>
        <translation type="unfinished">S&amp;pot Function:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="720"/>
        <source>Simple Dot</source>
        <translation>Basit Nokta</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="721"/>
        <source>Line</source>
        <translation>Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="722"/>
        <source>Round</source>
        <translation>Yuvarlak</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="723"/>
        <source>Ellipse</source>
        <translation>Elips</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="735"/>
        <source>Solid Colors:</source>
        <translation type="unfinished">Solid Colours:</translation>
    </message>
    <message>
        <source>Use ICC Profile</source>
        <translation type="obsolete">ICC Profili Kullan</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="744"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="771"/>
        <source>Profile:</source>
        <translation>Profil:</translation>
    </message>
    <message>
        <source>Rendering-Intent:</source>
        <translation type="obsolete">Rendering-Intent:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="753"/>
        <source>Perceptual</source>
        <translation>Algısal</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="753"/>
        <source>Relative Colorimetric</source>
        <translation>Bağıl renk-ölçüsel</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="753"/>
        <source>Saturation</source>
        <translation>Doygunluk</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="753"/>
        <source>Absolute Colorimetric</source>
        <translation>Mutlak Renk-Ölçüsel</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="760"/>
        <source>Images:</source>
        <translation>Resimler:</translation>
    </message>
    <message>
        <source>Don&apos;t use embedded ICC profiles</source>
        <translation type="obsolete">Gömülü ICC profilleri kullanma</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="788"/>
        <source>C&amp;olor</source>
        <translation>&amp;Renk</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="852"/>
        <source>PDF/X Output Intent</source>
        <translation type="unfinished">PDF/X Output Intent</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="862"/>
        <source>&amp;Info String:</source>
        <translation>Bilgi &amp;Dizgesi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="865"/>
        <source>Output &amp;Profile:</source>
        <translation>Çıktı &amp;Profili:</translation>
    </message>
    <message>
        <source>Trim Box</source>
        <translation type="obsolete">Trim Box</translation>
    </message>
    <message>
        <source>PDF/X-&amp;3</source>
        <translation type="obsolete">PDF/X-&amp;3</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="911"/>
        <source>Show page previews of each page listed above.</source>
        <translation type="unfinished">Show page previews of each page listed above.</translation>
    </message>
    <message>
        <source>Length of time the page is shown before the presentation starts on the selected page.</source>
        <translation type="obsolete">Length of time the page is shown before the presentation starts on the selected page.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="914"/>
        <source>Type of the display effect.</source>
        <translation>Görüntü efektinin türü.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="915"/>
        <source>Direction of the effect of moving lines for the split and blind effects.</source>
        <translation type="unfinished">Direction of the effect of moving lines for the split and blind effects.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="916"/>
        <source>Starting position for the box and split effects.</source>
        <translation>Kutu ve Ayrılma efektleri için başlama konumu.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="917"/>
        <source>Direction of the glitter or wipe effects.</source>
        <translation>Silme veya parlama efektinin yönü.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="918"/>
        <source>Apply the selected effect to all pages.</source>
        <translation>Seçili efekti tüm sayfalara uygula.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="952"/>
        <source>Export all pages to PDF</source>
        <translation>Tüm sayfaları PDF&apos;e dönüştür</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="953"/>
        <source>Export a range of pages to PDF</source>
        <translation>Belli aralıktaki sayfaları PDF olarak ihraç et</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="961"/>
        <source>Generate PDF Articles, which is useful for navigating linked articles in a PDF.</source>
        <translation type="unfinished">Generate PDF Articles, which is useful for navigating linked articles in a PDF.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="970"/>
        <source>DPI (Dots Per Inch) for image export.</source>
        <translation>Resimler için DPI (Dots Per Inch) değeri.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="973"/>
        <source>Choose a password for users to be able to read your PDF.</source>
        <translation>PDF belgenizi okuyacak kullanıcılar için bir şifre oluşturun.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="974"/>
        <source>Allow printing of the PDF. If un-checked, printing is prevented. </source>
        <translation>PDF belgesinin yazdırılmasına izin ver. Seçili değilse, belge yazdırılamaz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="975"/>
        <source>Allow modifying of the PDF. If un-checked, modifying the PDF is prevented.</source>
        <translation>PDF dosyasının değiştirilmesine izin ver. Seçili değilse, belge değiştirilemez.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="980"/>
        <source>Embed a color profile for solid colors</source>
        <translation type="unfinished">Embed a colour profile for solid colours</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="981"/>
        <source>Color profile for solid colors</source>
        <translation type="unfinished">Colour profile for solid colours</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="982"/>
        <source>Rendering intent for solid colors</source>
        <translation type="unfinished">Rendering intent for solid colours</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="983"/>
        <source>Embed a color profile for images</source>
        <translation>Resimler için renk profili göm</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="984"/>
        <source>Do not use color profiles that are embedded in source images</source>
        <translation type="unfinished">Do not use colour profiles that are embedded in source images</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="985"/>
        <source>Color profile for images</source>
        <translation>Resimler için renk profili</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="986"/>
        <source>Rendering intent for images</source>
        <translation type="unfinished">Rendering intent for images</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1003"/>
        <source>Output profile for printing. If possible, get some guidance from your printer on profile selection.</source>
        <translation type="unfinished">Output profile for printing. If possible, get some guidance from your printer on profile selection.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="998"/>
        <source>Distance for bleed from the top of the physical page</source>
        <translation type="unfinished">Distance for bleed from the top of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="999"/>
        <source>Distance for bleed from the bottom of the physical page</source>
        <translation type="unfinished">Distance for bleed from the bottom of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1000"/>
        <source>Distance for bleed from the left of the physical page</source>
        <translation type="unfinished">Distance for bleed from the left of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1001"/>
        <source>Distance for bleed from the right of the physical page</source>
        <translation type="unfinished">Distance for bleed from the right of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="987"/>
        <source>Mirror Page(s) horizontally</source>
        <translation type="unfinished">Mirror Page(s) horizontally</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="988"/>
        <source>Mirror Page(s) vertically</source>
        <translation type="unfinished">Mirror Page(s) vertically</translation>
    </message>
    <message>
        <source>Enables presentation effects when using Adobe&amp;#174; Reader&amp;#174; in full screen mode.</source>
        <translation type="obsolete">Adobe&amp;#174; Reader&amp;#174 ile tam ekranda görüntüleme yaparken sunum efektlerinin etkin olmasını sağlar.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="688"/>
        <source>Convert Spot Colors to Process Colors</source>
        <translation type="unfinished">Convert Spot Colours to Process Colours</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="388"/>
        <source>Compression &amp;Quality:</source>
        <translation>Sıkıştırma &amp;Kalitesi:</translation>
    </message>
    <message>
        <source>Determines the PDF compatibility. The default is PDF 1.3 which gives the widest compatibility. Choose PDF 1.4 if your file uses features such as transparency or you require 128 bit encryption. PDF/X-3 is for exporting the PDF when you want color managed RGB for commercial printing and is selectable when you have activated color management. Use only when advised by your printer or in some cases printing to a 4 color digital color laser printer.</source>
        <translation type="obsolete">Determines the PDF compatibility. The default is PDF 1.3 which gives the widest compatibility. Choose PDF 1.4 if your file uses features such as transparency or you require 128 bit encryption. PDF/X-3 is for exporting the PDF when you want colour managed RGB for commercial printing and is selectable when you have activated colour management. Use only when advised by your printer or in some cases printing to a 4 colour digital colour laser printer.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="967"/>
        <source>Method of compression to use for images. Automatic allows Scribus to choose the best method. ZIP is lossless and good for images with solid colors. JPEG is better at creating smaller PDF files which have many photos (with slight image quality loss possible). Leave it set to Automatic unless you have a need for special compression options.</source>
        <translation type="unfinished">Method of compression to use for images. Automatic allows Scribus to choose the best method. ZIP is lossless and good for images with solid colours. JPEG is better at creating smaller PDF files which have many photos (with slight image quality loss possible). Leave it set to Automatic unless you have a need for special compression options.</translation>
    </message>
    <message>
        <source>Compression quality levels for lossy compression methods: Minimum (25%), Low (50%), Medium (75%), High (85%), Maximum (95%). Note that a quality level does not directly determine the size of the resulting image - both size and quality loss vary from image to image at any given quality level.</source>
        <translation type="obsolete">Compression quality levels for lossy compression methods: Minimum (25%), Low (50%), Medium (75%), High (85%), Maximum (95%). Note that a quality level does not directly determine the size of the resulting image - both size and quality loss vary from image to image at any given quality level.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="976"/>
        <source>Allow copying of text or graphics from the PDF. If unchecked, text and graphics cannot be copied.</source>
        <translation type="unfinished">Allow copying of text or graphics from the PDF. If unchecked, text and graphics cannot be copied.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="977"/>
        <source>Allow adding annotations and fields to the PDF. If unchecked, editing annotations and fields is prevented.</source>
        <translation type="unfinished">Allow adding annotations and fields to the PDF. If unchecked, editing annotations and fields is prevented.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="989"/>
        <source>Enables Spot Colors to be converted to composite colors. Unless you are planning to print spot colors at a commercial printer, this is probably best left enabled.</source>
        <translation type="unfinished">Enables Spot Colours to be converted to composite colours. Unless you are planning to print spot colours at a commercial printer, this is probably best left enabled.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="344"/>
        <source>Include La&amp;yers</source>
        <translation>Katmanları da içer&amp;sin</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="376"/>
        <source>Compression Metho&amp;d:</source>
        <translation>Sıkıştırma &amp;Yöntemi:</translation>
    </message>
    <message>
        <source>Resa&amp;mple Images to:</source>
        <translation type="obsolete">R&amp;esimlerin çözünürlüğünü ayarla:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="909"/>
        <source>Embed fonts into the PDF. Embedding the fonts will preserve the layout and appearance of your document.</source>
        <translation>Yazıtiplerini PDF içine göm.Fontları gömmek sayfa biçiminin korunmasını sağlar.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="913"/>
        <source>Length of time the effect runs. A shorter time will speed up the effect, a longer one will slow it down.</source>
        <translation>Efektin çalışma zamanı. Zaman kısa ise efekt hızlı, uzun ise yavaş çalışacaktır.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="954"/>
        <source>Insert a comma separated list of tokens where a token can be * for all the pages, 1-5 for a range of pages or a single page number.</source>
        <translation>* tüm sayfalar için. Örneğin 1-5,birinci ile beşinci sayfalar arasındaki sayfalar. Sayfa numaralarını vigülle ayırarak (1,4,5 gibi) de verebilirsiniz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="959"/>
        <source>Determines the binding of pages in the PDF. Unless you know you need to change it leave the default choice - Left.</source>
        <translation type="unfinished">Determines the binding of pages in the PDF. Unless you know you need to change it leave the default choice - Left.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="960"/>
        <source>Generates thumbnails of each page in the PDF. Some viewers can use the thumbnails for navigation.</source>
        <translation>PDF belgesindeki her sayfanın küçük bir önizleme resmini oluşturur. Bazı PDF görüntüleyicilerde bu resimler gezinti için kullanır.</translation>
    </message>
    <message>
        <source>Layers in your document are exported to the PDF Only available if PDF 1.5 is choosen.</source>
        <translation type="obsolete">Belgenizdeki katmanlar PDF çıktısına aktarılır, yalnızca PDF 1.5 seçili ise çalışır.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="963"/>
        <source>Embed the bookmarks you created in your document. These are useful for navigating long PDF documents.</source>
        <translation>Oluşturduğunuz yer imlerini belgeye gömer. Büyük dokümanları gezerken yararlıdır.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="964"/>
        <source>Export resolution of text and vector graphics. This does not affect the resolution of bitmap images like photos.</source>
        <translation>Metin ve vektör grafiklerin ihraç çözünürlüğü. Fotoğraf gibi bitmap tabanlı resimler için geçerli değildir.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="966"/>
        <source>Enables lossless compression of text and graphics. Unless you have a reason, leave this checked. This reduces PDF file size.</source>
        <translation>Metin ve grafikler için kayıpsız sıkıştırma. Tercihan seçili kalmalıdır; PDF belgesinin dosya büyüklüğünü azaltır.</translation>
    </message>
    <message>
        <source>Re-sample your bitmap images to the selected DPI. Leaving this unchecked will render them at their native resolution. This can increase memory usage and slow down export.</source>
        <translation type="obsolete">Re-sample your bitmap images to the selected DPI. Leaving this unchecked will render them at their native resolution. This can increase memory usage and slow down export.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="971"/>
        <source>Enable the security features in your exported PDF. If you selected PDF 1.3, the PDF will be protected by 40 bit encryption. If you selected PDF 1.4, the PDF will be protected by 128 bit encryption. Disclaimer: PDF encryption is not as reliable as GPG or PGP encryption and does have some limitations.</source>
        <translation type="unfinished">Enable the security features in your exported PDF. If you selected PDF 1.3, the PDF will be protected by 40 bit encryption. If you selected PDF 1.4, the PDF will be protected by 128 bit encryption. Disclaimer: PDF encryption is not as reliable as GPG or PGP encryption and does have some limitations.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="972"/>
        <source>Choose a master password which enables or disables all the security features in your exported PDF</source>
        <translation type="unfinished">Choose a master password which enables or disables all the security features in your exported PDF</translation>
    </message>
    <message>
        <source>Color model for the output of your PDF. Choose Screen/Web for PDFs which are used for screen display and for printing on typical inkjets. Choose Printer when printing to a true 4 color CMYK printer.</source>
        <translation type="obsolete">Colour model for the output of your PDF. Choose Screen/Web for PDFs which are used for screen display and for printing on typical inkjets. Choose Printer when printing to a true 4 colour CMYK printer.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="979"/>
        <source>This is an advanced setting which is not enabled by default. This should only be enabled when specifically requested by your printer and they have given you the exact details needed. Otherwise, your exported PDF may not print properly and is truly not portable across systems.</source>
        <translation type="unfinished">This is an advanced setting which is not enabled by default. This should only be enabled when specifically requested by your printer and they have given you the exact details needed. Otherwise, your exported PDF may not print properly and is truly not portable across systems.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1004"/>
        <source>Mandatory string for PDF/X or the PDF will fail PDF/X conformance. We recommend you use the title of the document.</source>
        <translation>PDF X için gereklidir; aksi takdirde PDF X uygunluğu sağlanamaz. Belgenin başlığının seçilmesi tavsiye edilir.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="551"/>
        <source>Display Settings</source>
        <translation>Görünüm Ayarları</translation>
    </message>
    <message>
        <source>Page Layout</source>
        <translation type="obsolete">Sayfa Mizanpajı</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="566"/>
        <source>Single Page</source>
        <translation>Tek Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="569"/>
        <source>Continuous</source>
        <translation>Devamlı</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="572"/>
        <source>Double Page Left</source>
        <translation>Solda Çift Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="575"/>
        <source>Double Page Right</source>
        <translation>Sağda Çift Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="579"/>
        <source>Visual Appearance</source>
        <translation>Görsel Düzen</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="585"/>
        <source>Use Viewers Defaults</source>
        <translation>Görüntüleyicinin Öntanımlı Ayarlarını Kullan</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="588"/>
        <source>Use Full Screen Mode</source>
        <translation>Tam Ekran modunu kullan</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="591"/>
        <source>Display Bookmarks Tab</source>
        <translation>Yerimleri Sekmesini Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="594"/>
        <source>Display Thumbnails</source>
        <translation>Küçük Resimleri Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="597"/>
        <source>Display Layers Tab</source>
        <translation>Katmanlar Sekmesini Göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="599"/>
        <source>Hide Viewers Toolbar</source>
        <translation>Görüntüleyicinin Araç Çubuğunu Gizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="601"/>
        <source>Hide Viewers Menubar</source>
        <translation>Görüntüleyicinin Menü Çubuğunu Gizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="603"/>
        <source>Zoom Pages to fit Viewer Window</source>
        <translation>Sayfalar Görüntüleyici Penceresini Kaplasın </translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="609"/>
        <source>Special Actions</source>
        <translation>Özel İşlemler</translation>
    </message>
    <message>
        <source>Javascript to be executed
when Document is opened:</source>
        <translation type="obsolete">Belge açıldığında çalışacak
JavaScript:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="619"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1199"/>
        <source>No Script</source>
        <translation>Script yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="622"/>
        <source>Viewer</source>
        <translation>Görüntüleyici</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="364"/>
        <source>Image Compression Method</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="372"/>
        <source>Lossy - JPEG</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="373"/>
        <source>Lossless - Zip</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="615"/>
        <source>Javascript to be executed
when PDF document is opened:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="910"/>
        <source>Enables presentation effects when using Adobe&amp;#174; Reader&amp;#174; and other PDF viewers which support this in full screen mode.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="912"/>
        <source>Length of time the page is shown before the presentation starts on the selected page. Setting 0 will disable automatic page transition.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="958"/>
        <source>Determines the PDF compatibility.&lt;br/&gt;The default is &lt;b&gt;PDF 1.3&lt;/b&gt; which gives the widest compatibility.&lt;br/&gt;Choose &lt;b&gt;PDF 1.4&lt;/b&gt; if your file uses features such as transparency or you require 128 bit encryption.&lt;br/&gt;&lt;b&gt;PDF 1.5&lt;/b&gt; is necessary when you wish to preserve objects in separate layers within the PDF.&lt;br/&gt;&lt;b&gt;PDF/X-3&lt;/b&gt; is for exporting the PDF when you want color managed RGB for commercial printing and is selectable when you have activated color management. Use only when advised by your printer or in some cases printing to a 4 color digital color laser printer.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="962"/>
        <source>Layers in your document are exported to the PDF Only available if PDF 1.5 is chosen.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="978"/>
        <source>Color model for the output of your PDF. Choose Screen/Web for PDFs which are used for screen display and for printing on typical inkjets. Choose Printer when printing to a true 4 color CMYK printer. Choose Grayscale when you want a grey scale PDF.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="990"/>
        <source>Do not show objects outside the margins in the exported file</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="447"/>
        <source>&amp;Embed all</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="460"/>
        <source>Fonts to outline:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="465"/>
        <source>&amp;Outline all</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="796"/>
        <source>Printer Marks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="801"/>
        <source>Crop Marks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="803"/>
        <source>Bleed Marks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="805"/>
        <source>Registration Marks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="807"/>
        <source>Color Bars</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="809"/>
        <source>Page Information</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="812"/>
        <source>Offset:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="822"/>
        <source>Bleed Settings</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="828"/>
        <source>Top:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="833"/>
        <source>Bottom:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="838"/>
        <source>Left:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="843"/>
        <source>Right:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="847"/>
        <source>Use Document Bleeds</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="873"/>
        <source>Pre-Press</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="919"/>
        <source>Convert all glyphs in the document to outlines.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="968"/>
        <source>Compression quality levels for lossy compression methods: Minimum (25%), Low (50%), Medium (75%), High (85%), Maximum (95%). Note that a quality level does not directly determine the size of the resulting image - both size and quality loss vary from image to image at any given quality level. Even with Maximum selected, there is always some quality loss with jpeg.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1340"/>
        <source>InfoString</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1401"/>
        <source>Inside:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1402"/>
        <source>Outside:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="560"/>
        <source>Document Layout</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="392"/>
        <source>Maximum Image Resolution:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="921"/>
        <source>Show the document in single page mode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="922"/>
        <source>Show the document in single page mode with the pages displayed continuously end to end like a scroll</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="923"/>
        <source>Show the document with facing pages, starting with the first page displayed on the left</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="924"/>
        <source>Show the document with facing pages, starting with the first page displayed on the right</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="925"/>
        <source>Use the viewer&apos;s defaults or the user&apos;s preferences if set differently from the viewer defaults</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="926"/>
        <source>Enables viewing the document in full screen</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="927"/>
        <source>Display the bookmarks upon opening</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="928"/>
        <source>Display the page thumbnails upon opening</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="929"/>
        <source>Forces the displaying of layers. Useful only for PDF 1.5+.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="930"/>
        <source>Hides the Tool Bar which has selection and other editing capabilities</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="931"/>
        <source>Hides the Menu Bar for the viewer, the PDF will display in a plain window. </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="932"/>
        <source>Fit the document page or pages to the available space in the viewer window.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="969"/>
        <source>Limits the resolution of your bitmap images to the selected DPI. Images with a lower resolution will be left untouched. Leaving this unchecked will render them at their native resolution. Enabling this will increase memory usage and slow down export.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="992"/>
        <source>Creates crop marks in the PDF indicating where the paper should be cut or trimmed after printing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="993"/>
        <source>This creates bleed marks which are indicated by  _ . _ and show the bleed limit</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="994"/>
        <source>Add registration marks to each separation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="995"/>
        <source>Add color calibration bars</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="996"/>
        <source>Add document information which includes the document title and page numbers</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="997"/>
        <source>Indicate the distance offset for the registration marks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1002"/>
        <source>Use the existing bleed settings from the document preferences</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="741"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="765"/>
        <source>Use Color Profile</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="768"/>
        <source>Do not use embedded color profiles</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="542"/>
        <source>&amp;Apply Effect to all Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="951"/>
        <source>Automatically rotate the exported pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="965"/>
        <source>Export PDFs in image frames as embedded PDFs. This does *not* yet take care of colorspaces, so you should know what you are doing before setting this to &apos;true&apos;.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1377"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1701"/>
        <source>Push</source>
        <translation type="unfinished">Push</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1378"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1702"/>
        <source>Cover</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1379"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1703"/>
        <source>Uncover</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1380"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="1704"/>
        <source>Fade</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="355"/>
        <source>Embed PDF &amp;&amp; EPS files (EXPERIMENTAL)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="747"/>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="774"/>
        <source>Rendering Intent:</source>
        <translation type="unfinished">Rendering Intent:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabpdfoptions.cpp" line="304"/>
        <source>Clip to Printer Margins</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TabPrinter</name>
    <message>
        <location filename="../../../scribus/tabprinter.cpp" line="28"/>
        <source>Distance for bleed from the top of the physical page</source>
        <translation type="unfinished">Distance for bleed from the top of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.cpp" line="29"/>
        <source>Distance for bleed from the bottom of the physical page</source>
        <translation type="unfinished">Distance for bleed from the bottom of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.cpp" line="30"/>
        <source>Distance for bleed from the left of the physical page</source>
        <translation type="unfinished">Distance for bleed from the left of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.cpp" line="31"/>
        <source>Distance for bleed from the right of the physical page</source>
        <translation type="unfinished">Distance for bleed from the right of the physical page</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.cpp" line="32"/>
        <source>Do not show objects outside the margins on the printed page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.cpp" line="33"/>
        <source>Use an alternative print manager, such as kprinter or gtklp, to utilize additional printing options</source>
        <translation type="unfinished">kprinter ya da gtklp gibi alternatif baskı yöneticisi kullan; bu sayede daha fazla özellik kullanılabilir</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.cpp" line="34"/>
        <source>Sets the PostScript Level.
 Setting to Level 1 or 2 can create huge files</source>
        <translation type="unfinished">Postscript düzeyini seçer.
1,2 çok büyük dosya oluşturur</translation>
    </message>
    <message>
        <source>A way of switching off some of the gray shades which are composed of cyan, yellow and magenta and using black instead. UCR most affects parts of images which are neutral and/or dark tones which are close to the gray. Use of this may improve printing some images and some experimentation and testing is need on a case by case basis.UCR reduces the possibility of over saturation with CMY inks.</source>
        <translation type="obsolete">A way of switching off some of the gray shades which are composed of cyan, yellow and magenta and using black instead. UCR most affects parts of images which are neutral and/or dark tones which are close to the gray. Use of this may improve printing some images and some experimentation and testing is need on a case by case basis.UCR reduces the possibility of over saturation with CMY inks.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.cpp" line="36"/>
        <source>Enables Spot Colors to be converted to composite colors. Unless you are planning to print spot colors at a commercial printer, this is probably best left enabled.</source>
        <translation type="unfinished">Enables Spot Colours to be converted to composite colours. Unless you are planning to print spot colours at a commercial printer, this is probably best left enabled.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.cpp" line="37"/>
        <source>This enables you to explicitely set the media size of the PostScript file. Not recommended unless requested by your printer.</source>
        <translation type="unfinished">This enables you to explicitely set the media size of the PostScript file. Not recommended unless requested by your printer.</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.cpp" line="76"/>
        <source>File</source>
        <translation type="unfinished">Dosya</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.cpp" line="133"/>
        <source>All</source>
        <translation type="unfinished">Tümü</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="14"/>
        <source>TabPrinterBase</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="46"/>
        <source>Options</source>
        <translation type="unfinished">Seçenekler</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="58"/>
        <source>Page</source>
        <translation type="unfinished">Sayfa</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="70"/>
        <source>Mirror Page(s) Horizontal</source>
        <translation type="unfinished">Mirror Page(s) Horizontal</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="77"/>
        <source>Mirror Page(s) Vertical</source>
        <translation type="unfinished">Mirror Page(s) Vertical</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="84"/>
        <source>Set Media Size</source>
        <translation type="unfinished">Set Media Size</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="113"/>
        <source>Print in Grayscale</source>
        <translation type="unfinished">Gri tonlamalı yazdır</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="120"/>
        <source>Print in Color if Available</source>
        <translation type="unfinished">Renkliyse, renkli yazdır</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="131"/>
        <source>Level 1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="136"/>
        <source>Level 2</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="141"/>
        <source>Level 3</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="152"/>
        <source>General</source>
        <translation type="unfinished">Genel</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="168"/>
        <source>Print Separations</source>
        <translation type="unfinished">Yazdırma Ayraçları</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="158"/>
        <source>Print Normal</source>
        <translation type="unfinished">Normal Yazdır</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="185"/>
        <source>Color</source>
        <translation type="unfinished">Renk</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="204"/>
        <source>Apply Under Color Removal</source>
        <translation type="unfinished">R-</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="197"/>
        <source>Convert Spot Colors to Process Colors</source>
        <translation type="unfinished">Convert Spot Colours to Process Colours</translation>
    </message>
    <message>
        <source>Apply ICC Profiles</source>
        <translation type="obsolete">ICC Profillerini uygula</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="228"/>
        <source>Marks &amp;&amp; Bleeds</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="240"/>
        <source>Bleed Settings</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="255"/>
        <source>Top:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="265"/>
        <source>Bottom:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="278"/>
        <source>Left:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="291"/>
        <source>Right:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="307"/>
        <source>Printer Marks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="319"/>
        <source>Add color calibration bars</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="322"/>
        <source>Color Bars</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="332"/>
        <source>Offset:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="342"/>
        <source>Add registration marks which are added to each separation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="345"/>
        <source>Registration Marks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="352"/>
        <source>This creates bleed marks which are indicated by  _ . _ and show the bleed limit</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="355"/>
        <source>Bleed Marks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="362"/>
        <source>This creates crop marks in the PDF indicating where the paper should be cut or trimmed after printing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="365"/>
        <source>Crop Marks</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="379"/>
        <source>Print Destination</source>
        <translation type="unfinished">Yazdırma Yolu</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="391"/>
        <source>Alternative Printer Command</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="409"/>
        <source>Command:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="101"/>
        <source>PostScript Options</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="175"/>
        <source>Include PDF Annotations and Links</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.cpp" line="35"/>
        <source>A way of switching off some of the gray shades which are composed of cyan, yellow and magenta and using black instead. UCR most affects parts of images which are neutral and/or dark tones which are close to the gray. Use of this may improve printing some images and some experimentation and testing is need on a case by case basis. UCR reduces the possibility of over saturation with CMY inks.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabprinter.ui" line="91"/>
        <source>Clip to Printer Margins</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TabPrinterBase</name>
    <message>
        <source>Print Destination</source>
        <translation type="obsolete">Yazdırma Yolu</translation>
    </message>
    <message>
        <source>Options</source>
        <translation type="obsolete">Seçenekler</translation>
    </message>
    <message>
        <source>Print in Color if Available</source>
        <translation type="obsolete">Renkliyse, renkli yazdır</translation>
    </message>
    <message>
        <source>Print in Grayscale</source>
        <translation type="obsolete">Gri tonlamalı yazdır</translation>
    </message>
    <message>
        <source>Page</source>
        <translation type="obsolete">Sayfa</translation>
    </message>
    <message>
        <source>Color</source>
        <translation type="obsolete">Renk</translation>
    </message>
    <message>
        <source>Apply ICC Profiles</source>
        <translation type="obsolete">ICC Profillerini uygula</translation>
    </message>
    <message>
        <source>General</source>
        <translation type="obsolete">Genel</translation>
    </message>
    <message>
        <source>Print Normal</source>
        <translation type="obsolete">Normal Yazdır</translation>
    </message>
    <message>
        <source>Print Separations</source>
        <translation type="obsolete">Yazdırma Ayraçları</translation>
    </message>
</context>
<context>
    <name>TabScrapbook</name>
    <message>
        <location filename="../../../scribus/tabscrapbook.ui" line="24"/>
        <source>This enables the scrapbook to be used an extension to the copy/paste buffers. Simply copying an object or grouped object will send this to the Scrapbook automatically</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabscrapbook.ui" line="27"/>
        <source>Send Copied Items Automatically to Scrapbook</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabscrapbook.ui" line="34"/>
        <source>This enables copied items to be kept permanently in the scrapbook.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabscrapbook.ui" line="37"/>
        <source>Keep Copied Items Permanently Across Sessions</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabscrapbook.ui" line="52"/>
        <source>The minimum number is 1; the maximum is 100.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabscrapbook.ui" line="55"/>
        <source>Number of Copied Items to Keep in Scrapbook:</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TabTools</name>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="118"/>
        <source>Font:</source>
        <translation>Yazıtipi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="633"/>
        <source> pt</source>
        <translation> pt</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="124"/>
        <source>Size:</source>
        <translation>Ölçü:</translation>
    </message>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="162"/>
        <source>Fill Color:</source>
        <translation>Doldurma Rengi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="178"/>
        <source>Stroke Color:</source>
        <translation>Vurgu Rengi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="208"/>
        <source>Colu&amp;mns:</source>
        <translation>Süt&amp;unlar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="214"/>
        <source>&amp;Gap:</source>
        <translation>&amp;Boşluk:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="217"/>
        <location filename="../../../scribus/tabtools.cpp" line="870"/>
        <source>Woven silk pyjamas exchanged for blue quartz</source>
        <translation>Scribus, Pozitif PC tarafından Türkçeye çevrildi..www.pozitifpc.com</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="236"/>
        <location filename="../../../scribus/tabtools.cpp" line="291"/>
        <source>&amp;Line Color:</source>
        <translation>Çizgi R&amp;engi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="136"/>
        <location filename="../../../scribus/tabtools.cpp" line="151"/>
        <location filename="../../../scribus/tabtools.cpp" line="167"/>
        <location filename="../../../scribus/tabtools.cpp" line="183"/>
        <location filename="../../../scribus/tabtools.cpp" line="241"/>
        <location filename="../../../scribus/tabtools.cpp" line="256"/>
        <location filename="../../../scribus/tabtools.cpp" line="297"/>
        <location filename="../../../scribus/tabtools.cpp" line="352"/>
        <location filename="../../../scribus/tabtools.cpp" line="360"/>
        <location filename="../../../scribus/tabtools.cpp" line="392"/>
        <location filename="../../../scribus/tabtools.cpp" line="443"/>
        <location filename="../../../scribus/tabtools.cpp" line="452"/>
        <location filename="../../../scribus/tabtools.cpp" line="461"/>
        <source> %</source>
        <translation> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="245"/>
        <location filename="../../../scribus/tabtools.cpp" line="299"/>
        <source>&amp;Shading:</source>
        <translation>&amp;Gölgeleme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="251"/>
        <source>&amp;Fill Color:</source>
        <translation>&amp;Doldurma Rengi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="260"/>
        <location filename="../../../scribus/tabtools.cpp" line="394"/>
        <source>S&amp;hading:</source>
        <translation>&amp;Gölgeleme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="267"/>
        <source>Line Style:</source>
        <translation>Çizgi Stili:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="275"/>
        <location filename="../../../scribus/tabtools.cpp" line="327"/>
        <source>Line &amp;Width:</source>
        <translation>Çizgi &amp;genişliği:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="306"/>
        <source>Line S&amp;tyle:</source>
        <translation>Çizgi S&amp;tili:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="314"/>
        <source>Arrows:</source>
        <translation>Oklar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="316"/>
        <source>Start:</source>
        <translation>Başlangıç:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="319"/>
        <source>End:</source>
        <translation>Bitiş:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="343"/>
        <source>&amp;Free Scaling</source>
        <translation>Serbest Ölçek&amp;lendirme</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="354"/>
        <source>&amp;Horizontal Scaling:</source>
        <translation>&amp;Yatay Ölçeklendirme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="363"/>
        <source>&amp;Vertical Scaling:</source>
        <translation>&amp;Dikey Ölçeklendirme:</translation>
    </message>
    <message>
        <source>&amp;Scale Picture to Frame Size</source>
        <translation type="obsolete">Resmi Resim Çe&amp;rçevesine Ölçekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="380"/>
        <source>Keep Aspect &amp;Ratio</source>
        <translation type="unfinished">Keep Aspect &amp;Ratio</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="386"/>
        <source>F&amp;ill Color:</source>
        <translation>&amp;Doldurma Rengi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="398"/>
        <source>Use embedded Clipping Path</source>
        <translation type="unfinished">Use embedded Clipping Path</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="402"/>
        <source>On Screen Preview</source>
        <translation>Ekran üstünde önizleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="408"/>
        <source>Full Resolution Preview</source>
        <translation>Tam Çözünürlükte Önizleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="411"/>
        <source>Normal Resolution Preview</source>
        <translation>Normal Çözünürlükte Önizleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="414"/>
        <source>Low Resolution Preview</source>
        <translation>Düşük Çözünürlükte Önizleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="445"/>
        <source>Mi&amp;nimum:</source>
        <translation>Mi&amp;nimum:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="454"/>
        <source>Ma&amp;ximum:</source>
        <translation>Mak&amp;simum:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="463"/>
        <source>&amp;Stepping:</source>
        <translation>&amp;Adımlar:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="523"/>
        <source>Text Frame Properties</source>
        <translation>Metin Çerçevesi Özellikleri</translation>
    </message>
    <message>
        <source>Picture Frame Properties</source>
        <translation type="obsolete">Resim Çerçevesi Özellikleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="525"/>
        <source>Shape Drawing Properties</source>
        <translation>Şekil Çizim Özellikleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="526"/>
        <source>Magnification Level Defaults</source>
        <translation>Büyütme Düzeyi Öntanımlıları</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="527"/>
        <source>Line Drawing Properties</source>
        <translation>Çizgi Çizme Özellikleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="528"/>
        <source>Polygon Drawing Properties</source>
        <translation>Çokgen Çizim Özellikleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="530"/>
        <source>Font for new text frames</source>
        <translation>Yeni metin çerçeveleri için yazıtipi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="531"/>
        <source>Size of font for new text frames</source>
        <translation>Yeni metin pencereleri için yazıtipi boyutunu ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="532"/>
        <source>Color of font</source>
        <translation>Yazıtipinin rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="533"/>
        <source>Number of columns in a text frame</source>
        <translation>Metin çerçevesi içindeki sütun sayısı</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="534"/>
        <source>Gap between text frame columns</source>
        <translation>Metin çerçeveleri arasındaki açıklık</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="535"/>
        <source>Sample of your font</source>
        <translation>Yazıtipinizin örneği</translation>
    </message>
    <message>
        <source>Picture frames allow pictures to scale to any size</source>
        <translation type="obsolete">Picture frames allow pictures to scale to any size</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="537"/>
        <source>Horizontal scaling of images</source>
        <translation type="unfinished">Horizontal scaling of images</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="538"/>
        <source>Vertical scaling of images</source>
        <translation type="unfinished">Vertical scaling of images</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="539"/>
        <source>Keep horizontal and vertical scaling the same</source>
        <translation>Yatay ve dikey ölçeklendirmeyi aynı tut</translation>
    </message>
    <message>
        <source>Pictures in picture frames are scaled to the size of the frame</source>
        <translation type="obsolete">Pictures in picture frames are scaled to the size of the frame</translation>
    </message>
    <message>
        <source>Automatically scaled pictures keep their original proportions</source>
        <translation type="obsolete">Automatically scaled pictures keep their original proportions</translation>
    </message>
    <message>
        <source>Fill color of picture frames</source>
        <translation type="obsolete">Resim çerçevelerinin doldurma rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="543"/>
        <location filename="../../../scribus/tabtools.cpp" line="547"/>
        <source>Saturation of color of fill</source>
        <translation>Doldurma renginin doygunluğu</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="544"/>
        <source>Line color of shapes</source>
        <translation>Şekillerin çizgi renkleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="545"/>
        <source>Saturation of color of lines</source>
        <translation>Çizgi rengi doygunluğu</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="546"/>
        <source>Fill color of shapes</source>
        <translation>Şekillerin doldurma rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="548"/>
        <source>Line style of shapes</source>
        <translation>Şekillerin çizgi stilleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="549"/>
        <source>Line width of shapes</source>
        <translation>Şekillerin çizgi genişliği</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="550"/>
        <source>Minimum magnification allowed</source>
        <translation>İzin verilen minimum büyütme</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="551"/>
        <source>Maximum magnification allowed</source>
        <translation>İzin verilen maximum büyütme</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="552"/>
        <source>Change in magnification for each zoom operation</source>
        <translation>Her zoom işleminde büyütmede gerçekleşecek değişim</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="553"/>
        <source>Color of lines</source>
        <translation>Çizgi Rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="554"/>
        <source>Saturation of color</source>
        <translation>Renk Doygunluğu</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="555"/>
        <source>Style of lines</source>
        <translation>Çizgi Stili</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="556"/>
        <source>Width of lines</source>
        <translation>Çizgilerin genişliği</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="194"/>
        <source>Tab Fill Character:</source>
        <translation type="unfinished">Tab Fill Character:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="200"/>
        <source>Tab Width:</source>
        <translation type="unfinished">Tab Width:</translation>
    </message>
    <message>
        <source>Custom:</source>
        <translation type="obsolete">Özel:</translation>
    </message>
    <message>
        <source>Custom: </source>
        <translation type="obsolete">Özel:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="131"/>
        <source>Text Color:</source>
        <translation>Metin Rengi:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="139"/>
        <location filename="../../../scribus/tabtools.cpp" line="155"/>
        <location filename="../../../scribus/tabtools.cpp" line="171"/>
        <location filename="../../../scribus/tabtools.cpp" line="187"/>
        <source>Shading:</source>
        <translation>Gölgeleme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="146"/>
        <source>Text Stroke:</source>
        <translation>Metin Vurgusu:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="676"/>
        <source>Dot</source>
        <translation>Nokta</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="677"/>
        <source>Hyphen</source>
        <translation>Tireleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="678"/>
        <source>Underscore</source>
        <translation>Altı Çizili</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="679"/>
        <source>Custom</source>
        <translation>Özel</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="675"/>
        <source>None</source>
        <comment>tab fill</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="113"/>
        <source>Text</source>
        <translation type="unfinished">Metin</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="230"/>
        <source>Shapes</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="285"/>
        <source>Lines</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="337"/>
        <source>Images</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="425"/>
        <source>Regular Polygons</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="437"/>
        <source>Zoom</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="499"/>
        <source>Rotation Tool</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="508"/>
        <source>Constrain to:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="529"/>
        <source>Other Properties</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="473"/>
        <source>Miscellaneous Settings</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="478"/>
        <source>Item Duplicate</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="486"/>
        <source>X Displacement</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="493"/>
        <source>Y Displacement</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="557"/>
        <source>Horizontal displacement of page items</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="558"/>
        <source>Vertical displacement of page items</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="559"/>
        <source>Constrain value for the rotation tool when the Control key is pressed</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="511"/>
        <source>Degrees</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="560"/>
        <source>Use the embedded clipping paths in images when importing them. JPEG, PSD and TIFF are the image formats which can embedded clipping paths.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="374"/>
        <source>&amp;Scale Image to Frame Size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="524"/>
        <source>Image Frame Properties</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="536"/>
        <source>Image frames allow images to scale to any size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="540"/>
        <source>Images in image frames are scaled to the size of the frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="541"/>
        <source>Automatically scaled images keep their original proportions</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="542"/>
        <source>Fill color of image frames</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtools.cpp" line="272"/>
        <location filename="../../../scribus/tabtools.cpp" line="324"/>
        <source>Hairline</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TabTypograpy</name>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="24"/>
        <source>Subscript</source>
        <translation>Subscript</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="31"/>
        <location filename="../../../scribus/tabtypography.cpp" line="39"/>
        <location filename="../../../scribus/tabtypography.cpp" line="54"/>
        <location filename="../../../scribus/tabtypography.cpp" line="62"/>
        <location filename="../../../scribus/tabtypography.cpp" line="80"/>
        <location filename="../../../scribus/tabtypography.cpp" line="87"/>
        <location filename="../../../scribus/tabtypography.cpp" line="103"/>
        <location filename="../../../scribus/tabtypography.cpp" line="112"/>
        <location filename="../../../scribus/tabtypography.cpp" line="126"/>
        <location filename="../../../scribus/tabtypography.cpp" line="142"/>
        <source> %</source>
        <translation> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="33"/>
        <source>&amp;Displacement:</source>
        <translation>&amp;Yer Değiştirme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="41"/>
        <source>&amp;Scaling:</source>
        <translation>&amp;Ölçeklendirme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="47"/>
        <source>Superscript</source>
        <translation>Superscript</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="56"/>
        <source>D&amp;isplacement:</source>
        <translation>&amp;Yer Değiştirme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="64"/>
        <source>S&amp;caling:</source>
        <translation>&amp;Ölçeklendirme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="118"/>
        <source>Small Caps</source>
        <translation>Küçük harfe çevir</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="128"/>
        <source>Sc&amp;aling:</source>
        <translation>&amp;Ölçeklendirme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="70"/>
        <source>Underline</source>
        <translation>Altı Çizili</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="76"/>
        <location filename="../../../scribus/tabtypography.cpp" line="100"/>
        <source>Displacement:</source>
        <translation>Yer Değiştirme:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="81"/>
        <location filename="../../../scribus/tabtypography.cpp" line="89"/>
        <location filename="../../../scribus/tabtypography.cpp" line="104"/>
        <location filename="../../../scribus/tabtypography.cpp" line="113"/>
        <source>Auto</source>
        <translation>Otomatik</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="84"/>
        <location filename="../../../scribus/tabtypography.cpp" line="108"/>
        <source>Line Width:</source>
        <translation>Çizgi genişliği:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="94"/>
        <source>Strikethru</source>
        <translation>Ortadan Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="134"/>
        <source>Automatic &amp;Line Spacing</source>
        <translation>Automatic &amp;Line Spacing</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="144"/>
        <source>Line Spacing:</source>
        <translation>Satır Boşluğu:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="150"/>
        <source>Displacement above the baseline of the font on a line</source>
        <translation type="unfinished">Displacement above the baseline of the font on a line</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="151"/>
        <source>Relative size of the superscript compared to the normal font</source>
        <translation type="unfinished">Relative size of the superscript compared to the normal font</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="152"/>
        <source>Displacement below the baseline of the normal font on a line</source>
        <translation type="unfinished">Displacement below the baseline of the normal font on a line</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="153"/>
        <source>Relative size of the subscript compared to the normal font</source>
        <translation type="unfinished">Relative size of the subscript compared to the normal font</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="154"/>
        <source>Relative size of the small caps font compared to the normal font</source>
        <translation type="unfinished">Relative size of the small caps font compared to the normal font</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="155"/>
        <source>Percentage increase over the font size for the line spacing</source>
        <translation type="unfinished">Percentage increase over the font size for the line spacing</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="156"/>
        <source>Displacement below the baseline of the normal font expressed as a percentage of the fonts descender</source>
        <translation type="unfinished">Displacement below the baseline of the normal font expressed as a percentage of the fonts descender</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="157"/>
        <location filename="../../../scribus/tabtypography.cpp" line="159"/>
        <source>Line width expressed as a percentage of the font size</source>
        <translation type="unfinished">Line width expressed as a percentage of the font size</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabtypography.cpp" line="158"/>
        <source>Displacement above the baseline of the normal font expressed as a percentage of the fonts ascender</source>
        <translation type="unfinished">Displacement above the baseline of the normal font expressed as a percentage of the fonts ascender</translation>
    </message>
</context>
<context>
    <name>Tabruler</name>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="499"/>
        <source>Left</source>
        <translation>Sol</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="500"/>
        <source>Right</source>
        <translation>Sağ</translation>
    </message>
    <message>
        <source>Full Stop</source>
        <translation type="obsolete">Nokta</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="502"/>
        <source>Comma</source>
        <translation>Virgül</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="503"/>
        <source>Center</source>
        <translation>Ortala</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="556"/>
        <source>Delete All</source>
        <translation>Tümünü Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="608"/>
        <source>Indentation for first line of the paragraph</source>
        <translation>Paragrafın ilk satırı için girintileme</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="609"/>
        <source>Indentation from the left for the whole paragraph</source>
        <translation>Tüm paragraf için soldan girintileme</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="615"/>
        <source>Delete all Tabulators</source>
        <translation>Tüm Cetvelleyicileri Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="507"/>
        <source>&amp;Position:</source>
        <translation>&amp;Yerleşim:</translation>
    </message>
    <message>
        <source>None</source>
        <translation type="obsolete">Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="518"/>
        <source>Fill Char:</source>
        <translation>Karakterle Doldur:</translation>
    </message>
    <message>
        <source>Custom:</source>
        <translation type="obsolete">Özel:</translation>
    </message>
    <message>
        <source>Custom: </source>
        <translation type="obsolete">Özel:</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="514"/>
        <source>Dot</source>
        <translation>Nokta</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="515"/>
        <source>Hyphen</source>
        <translation>Tireleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="516"/>
        <source>Underscore</source>
        <translation>Altı Çizili</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="517"/>
        <source>Custom</source>
        <translation>Özel</translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="513"/>
        <source>None</source>
        <comment>tab fill</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="610"/>
        <source>Indentation from the right for the whole paragraph</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="595"/>
        <source>Fill Character of Tab</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="596"/>
        <source>Type/Orientation of Tab</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="597"/>
        <source>Position of Tab</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/tabruler.cpp" line="501"/>
        <source>Period</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TransformDialog</name>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="51"/>
        <source>Scaling</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="52"/>
        <source>Translation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="53"/>
        <source>Rotation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="54"/>
        <source>Skewing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="92"/>
        <source>Scale</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="95"/>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="191"/>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="204"/>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="213"/>
        <source>Scale H = %1 % V = %2 %</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="101"/>
        <source>Translate</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="104"/>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="221"/>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="229"/>
        <source>Translate H = %1%2 V = %3%4</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="110"/>
        <source>Rotate</source>
        <translation type="unfinished">Döndür</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="113"/>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="237"/>
        <source>Rotate Angle = %1%2</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="119"/>
        <source>Skew</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="122"/>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="250"/>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="263"/>
        <location filename="../../../scribus/plugins/tools/transform/transformdialog.cpp" line="272"/>
        <source>Skew H = %1%2 V = %3%4</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TransformDialogBase</name>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="19"/>
        <source>Transform</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="40"/>
        <source>Add</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="53"/>
        <source>Remove</source>
        <translation type="unfinished">Kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="76"/>
        <source>u</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="92"/>
        <source>d</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="133"/>
        <source>Scaling</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="143"/>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="263"/>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="355"/>
        <source>Horizontal</source>
        <translation type="unfinished">Yatay</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="162"/>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="225"/>
        <source> %</source>
        <translation type="unfinished"> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="206"/>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="280"/>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="400"/>
        <source>Vertical</source>
        <translation type="unfinished">Dikey</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="253"/>
        <source>Translation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="306"/>
        <source>Rotate</source>
        <translation type="unfinished">Döndür</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="316"/>
        <source>Angle</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="345"/>
        <source>Skew</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="426"/>
        <source>Origin</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformdialogbase.ui" line="447"/>
        <source>Copies</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>TransformEffectPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformeffect.cpp" line="66"/>
        <source>Transform...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformeffect.cpp" line="86"/>
        <source>Transform Effect</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/tools/transform/transformeffect.cpp" line="87"/>
        <source>Apply multiple transformations at once</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>Tree</name>
    <message>
        <source>Outline</source>
        <translation type="obsolete">Anahat</translation>
    </message>
    <message>
        <source>Element</source>
        <translation type="obsolete">Bileşen</translation>
    </message>
    <message>
        <source>Group </source>
        <translation type="obsolete">Grup</translation>
    </message>
    <message>
        <source>Free Objects</source>
        <translation type="obsolete">Serbest Nesneler</translation>
    </message>
    <message>
        <source>Page </source>
        <translation type="obsolete">Sayfa</translation>
    </message>
    <message>
        <source>Picture</source>
        <translation type="obsolete">Resim</translation>
    </message>
    <message>
        <source>File: </source>
        <translation type="obsolete">Dosya:</translation>
    </message>
    <message>
        <source>Original PPI: </source>
        <translation type="obsolete">Orjinal PPI: </translation>
    </message>
    <message>
        <source>Actual PPI: </source>
        <translation type="obsolete">Gerçek PPI: </translation>
    </message>
    <message>
        <source>Colorspace: </source>
        <translation type="obsolete">Renk alanı: </translation>
    </message>
    <message>
        <source>Unknown</source>
        <translation type="obsolete">Bilinmeyen</translation>
    </message>
    <message>
        <source>RGB</source>
        <translation type="obsolete">RGB</translation>
    </message>
    <message>
        <source>CMYK</source>
        <translation type="obsolete">CMYK</translation>
    </message>
    <message>
        <source>Grayscale</source>
        <translation type="obsolete">Gri Tonlama</translation>
    </message>
    <message>
        <source>Linked Text</source>
        <translation type="obsolete">Bağlı Metin</translation>
    </message>
    <message>
        <source>Text Frame</source>
        <translation type="obsolete">Metin çerçevesi</translation>
    </message>
    <message>
        <source>Text on a Path</source>
        <translation type="obsolete">Metni Eğriye Oturt</translation>
    </message>
    <message>
        <source>Paragraphs: </source>
        <translation type="obsolete">Paragraflar:</translation>
    </message>
    <message>
        <source>Words: </source>
        <translation type="obsolete">Kelimeler:</translation>
    </message>
    <message>
        <source>Chars: </source>
        <translation type="obsolete">Karakterler:</translation>
    </message>
    <message>
        <source>Print: </source>
        <translation type="obsolete">Yazdır:</translation>
    </message>
    <message>
        <source>Enabled</source>
        <translation type="obsolete">Etkin</translation>
    </message>
    <message>
        <source>Disabled</source>
        <translation type="obsolete">Devredışı</translation>
    </message>
    <message>
        <source>In&amp;fo</source>
        <translation type="obsolete">B&amp;ilgi</translation>
    </message>
    <message>
        <source>Preview Settings</source>
        <translation type="obsolete">Önizleme Ayarları</translation>
    </message>
    <message>
        <source>&amp;PDF Options</source>
        <translation type="obsolete">&amp;PDF Seçenekleri</translation>
    </message>
    <message>
        <source>Send to La&amp;yer</source>
        <translation type="obsolete">Katmana &amp;Yolla</translation>
    </message>
    <message>
        <source>Le&amp;vel</source>
        <translation type="obsolete">&amp;Seviye</translation>
    </message>
    <message>
        <source>Conve&amp;rt to</source>
        <translation type="obsolete">Dönüştü&amp;r</translation>
    </message>
    <message>
        <source>Rename</source>
        <translation type="obsolete">Yeniden isimlendir</translation>
    </message>
    <message>
        <source>&amp;Delete</source>
        <translation type="obsolete">&amp;Sil</translation>
    </message>
    <message>
        <source>Contents</source>
        <translation type="obsolete">İçerik</translation>
    </message>
</context>
<context>
    <name>UnderlineValues</name>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="57"/>
        <location filename="../../../scribus/styleselect.cpp" line="64"/>
        <source>Auto</source>
        <translation>Otomatik</translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="73"/>
        <location filename="../../../scribus/styleselect.cpp" line="75"/>
        <source> %</source>
        <translation> %</translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="74"/>
        <source>Displacement</source>
        <translation>Displacement</translation>
    </message>
    <message>
        <location filename="../../../scribus/styleselect.cpp" line="76"/>
        <source>Linewidth</source>
        <translation>Çizgi genişliği</translation>
    </message>
</context>
<context>
    <name>UndoManager</name>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="823"/>
        <source>Add vertical guide</source>
        <translation>Dikey kılavuz ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="824"/>
        <source>Add horizontal guide</source>
        <translation>Yatay kılavuz ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="825"/>
        <source>Remove vertical guide</source>
        <translation>Dikey kılavuzu kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="826"/>
        <source>Remove horizontal guide</source>
        <translation>Yatay kılavuzu kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="829"/>
        <source>Move vertical guide</source>
        <translation>Dikey kılavuzu taşı</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="830"/>
        <source>Move horizontal guide</source>
        <translation>Yatay kılavuzu taşı</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="831"/>
        <source>Lock guides</source>
        <translation>Kılavuzları kilitle</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="832"/>
        <source>Unlock guides</source>
        <translation>Kılavuzları çöz</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="833"/>
        <source>Move</source>
        <translation>Taşı</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="834"/>
        <source>Resize</source>
        <translation>Yeniden boyutlandır</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="835"/>
        <source>Rotate</source>
        <translation>Döndür</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="836"/>
        <source>X1: %1, Y1: %2, %3
X2: %4, Y2: %5, %6</source>
        <translation>X1: %1, Y1: %2, %3
X2: %4, Y2: %5, %6</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="837"/>
        <source>W1: %1, H1: %2
W2: %3, H2: %4</source>
        <translation>W1: %1, H1: %2
W2: %3, H2: %4</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="842"/>
        <source>Selection</source>
        <translation>Seçim</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="843"/>
        <source>Group</source>
        <translation>Grupla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="844"/>
        <source>Selection/Group</source>
        <translation>Seçim/Grup</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="845"/>
        <source>Create</source>
        <translation>Oluştur</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="846"/>
        <source>X: %1, Y: %2
W: %3, H: %4</source>
        <translation>X: %1, Y: %2
W: %3, H: %4</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="847"/>
        <source>Align/Distribute</source>
        <translation>Hizala ve Dağıt</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="848"/>
        <source>Items involved</source>
        <translation>Yeralan öğeler</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="850"/>
        <source>Cancel</source>
        <translation>İptal</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="851"/>
        <source>Set fill color</source>
        <translation>Doldurma rengini ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="852"/>
        <source>Color1: %1, Color2: %2</source>
        <translation>Renk1: %1, Renk2: %2</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="853"/>
        <source>Set fill color shade</source>
        <translation>Doldurma renk tonunu ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="854"/>
        <source>Set line color</source>
        <translation>Çizgi rengini ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="855"/>
        <source>Set line color shade</source>
        <translation>Çizgi renk tonunu ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="856"/>
        <source>Flip horizontally</source>
        <translation>Yatay çevir</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="857"/>
        <source>Flip vertically</source>
        <translation>Dik çevir</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="858"/>
        <source>Lock</source>
        <translation>Kilitle</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="859"/>
        <source>Unlock</source>
        <translation>Kilidi çöz</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="860"/>
        <source>Lock size</source>
        <translation>Ölçüyü kilitle</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="861"/>
        <source>Unlock size</source>
        <translation>Ölçü kilidini aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="864"/>
        <source>Ungroup</source>
        <translation>Grubu çöz</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="865"/>
        <source>Delete</source>
        <translation>Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="866"/>
        <source>Rename</source>
        <translation>Yeniden isimlendir</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="867"/>
        <source>From %1
to %2</source>
        <translation>Buradan %1
buraya %2</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="868"/>
        <source>Apply Master Page</source>
        <translation>Mastar sayfayı uygula</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="869"/>
        <source>Paste</source>
        <translation>Yapıştır</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="870"/>
        <source>Cut</source>
        <translation>Kes</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="871"/>
        <source>Set fill color transparency</source>
        <translation>Doldurma rengi şeffaflığını ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="872"/>
        <source>Set line color transparency</source>
        <translation>Çizgi rengi şeffaflığını ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="873"/>
        <source>Set line style</source>
        <translation>Çizgi Stilini ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="874"/>
        <source>Set the style of line end</source>
        <translation>Çizgi sonunun stilini ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="875"/>
        <source>Set the style of line join</source>
        <translation>Çizgi birleşiminin stilini ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="876"/>
        <source>Set line width</source>
        <translation>Çizgi genişliğini ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="877"/>
        <source>No style</source>
        <translation>Stil Yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="878"/>
        <source>Set custom line style</source>
        <translation>Özel çizgi biçimi ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="879"/>
        <source>Do not use custom line style</source>
        <translation>Özel tanımlı çizgi tipi kullanılmasın</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="880"/>
        <source>Set start arrow</source>
        <translation>Başlangıç okunu ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="881"/>
        <source>Set end arrow</source>
        <translation>Bitiş okunu ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="883"/>
        <source>Create table</source>
        <translation>Tablo oluştur</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="884"/>
        <source>Rows: %1, Cols: %2</source>
        <translation>Sütunlar: %1, Satırlar: %2</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="885"/>
        <source>Set font</source>
        <translation>Yazıtipini ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="886"/>
        <source>Set font size</source>
        <translation>Yazıtipi büyüklüğünü ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="887"/>
        <source>Set font width</source>
        <translation>Yazıtipi genişliğini ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="889"/>
        <source>Set font fill color</source>
        <translation>Yazıtipi doldurma rengini ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="890"/>
        <source>Set font stroke color</source>
        <translation>Yazıtipi vurgu rengini ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="891"/>
        <source>Set font fill color shade</source>
        <translation>Yazıtipi doldurma renk tonunu ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="892"/>
        <source>Set font stroke color shade</source>
        <translation>Yazıtipi vurgu rengi tonunu ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="893"/>
        <source>Set kerning</source>
        <translation type="unfinished">Set kerning</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="894"/>
        <source>Set line spacing</source>
        <translation>Satır boşluğunu ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="895"/>
        <source>Set paragraph style</source>
        <translation>Paragraf stilini ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="896"/>
        <source>Set language</source>
        <translation>Dili ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="897"/>
        <source>Align text</source>
        <translation>Metni hizala</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="898"/>
        <source>Set font effect</source>
        <translation>Yazıtipi efektini ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="899"/>
        <source>Image frame</source>
        <translation>Resim çerçevesi</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="900"/>
        <source>Text frame</source>
        <translation>Metin çerçevesi</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="902"/>
        <source>Polygon</source>
        <translation>Çokgen</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="903"/>
        <source>Bezier curve</source>
        <translation>Bezier eğrisi</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="904"/>
        <source>Polyline</source>
        <translation>Çoklu Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="906"/>
        <source>Convert to</source>
        <translation>Dönüştür</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="907"/>
        <source>Import SVG image</source>
        <translation>SVG Resmi Al</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="908"/>
        <source>Import EPS image</source>
        <translation>EPS Resmi Al</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="914"/>
        <source>Scratch space</source>
        <translation>Karalama Alanı</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="916"/>
        <source>Text flows around the frame</source>
        <translation>Metin çerçeve çevresinde kayar</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="917"/>
        <source>Text flows around bounding box</source>
        <translation>Metin sınırlayan kutu çevresinde kayar</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="918"/>
        <source>Text flows around contour line</source>
        <translation>Metin kontür çizgisi çevresinde kayar</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="920"/>
        <source>No text flow</source>
        <translation>Metin kayması yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="922"/>
        <source>No bounding box</source>
        <translation>Çevreleyen kutu yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="923"/>
        <source>No contour line</source>
        <translation>Kontür yok</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="924"/>
        <source>Page %1</source>
        <translation>Sayfa %1</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="925"/>
        <source>Set image scaling</source>
        <translation>Resim ölçeklemeyi ayarlar</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="926"/>
        <source>Frame size</source>
        <translation>Çerçeve boyutu</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="927"/>
        <source>Free scaling</source>
        <translation>Serbest Ölçeklendirme</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="928"/>
        <source>Keep aspect ratio</source>
        <translation>Keep aspect ratio</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="929"/>
        <source>Break aspect ratio</source>
        <translation>Break aspect ratio</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="930"/>
        <location filename="../../../scribus/undomanager.cpp" line="960"/>
        <source>Edit contour line</source>
        <translation>Kontür çizgisini düzenle</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="931"/>
        <source>Edit shape</source>
        <translation>Şekli düzenle</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="933"/>
        <source>Reset contour line</source>
        <translation>Kontür çizgisini sıfırla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="953"/>
        <source>Duplicate</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="969"/>
        <source>Add page</source>
        <translation>Sayfa ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="972"/>
        <source>Move page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="973"/>
        <source>Add pages</source>
        <translation>Sayfa ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="981"/>
        <source>Path Operation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="971"/>
        <source>Delete page</source>
        <translation>Sayfa sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="974"/>
        <source>Delete pages</source>
        <translation>Sayfaları Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="934"/>
        <source>Change page properties</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="935"/>
        <source>Add layer</source>
        <translation>Katman ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="937"/>
        <source>Delete layer</source>
        <translation>Katmanı Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="938"/>
        <source>Rename layer</source>
        <translation>Katmanın ismini değiştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="939"/>
        <source>Raise layer</source>
        <translation>Katmanı bir seviye yukarı al</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="940"/>
        <source>Lower layer</source>
        <translation>Katmanı bir seviye düşür</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="941"/>
        <source>Send to layer</source>
        <translation>Katmana Yolla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="942"/>
        <source>Enable printing of layer</source>
        <translation>Katmanı yazdırılabilir yap</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="943"/>
        <source>Disable printing of layer</source>
        <translation>Katman yazdırılamaz olsun</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="944"/>
        <source>Change name of the layer</source>
        <translation>Katmanın ismini değiştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="945"/>
        <source>Enable text flow around for lower layers</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="946"/>
        <source>Disable text flow around for lower layers</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="947"/>
        <source>Set layer blend mode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="948"/>
        <source>Set layer opacity</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="949"/>
        <source>Lock layer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="950"/>
        <source>Unlock layer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="951"/>
        <source>Get image</source>
        <translation>Resmi al</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="976"/>
        <source>Edit text</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="977"/>
        <source>Clear image frame content</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="978"/>
        <source>Clear frame content</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="979"/>
        <source>Link text frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="980"/>
        <source>Unlink text frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="910"/>
        <source>Import OpenOffice.org Draw image</source>
        <translation>OpenOffice.org Draw dosyası al </translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="888"/>
        <source>Set font height</source>
        <translation>Yazıtipi yüksekliğini ayarla</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="905"/>
        <source>Text on a Path</source>
        <translation>Metni Eğriye Oturt</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="838"/>
        <source>Change Image Offset</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="839"/>
        <source>Change Image Scale</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="840"/>
        <source>X1: %1, Y1: %2
X2: %4, Y2: %5</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="841"/>
        <source>X: %1, Y: %2
X: %4, Y: %5</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="862"/>
        <source>Enable Item Printing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="863"/>
        <source>Disable Item Printing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="921"/>
        <source>No object frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="954"/>
        <source>Multiple duplicate</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="955"/>
        <source>Apply text style</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="956"/>
        <source>&amp;Undo: %1</source>
        <comment>f.e. Undo: Move</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="957"/>
        <source>&amp;Undo</source>
        <translation type="unfinished">Geri &amp;Al</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="958"/>
        <source>&amp;Redo: %1</source>
        <comment>f.e. Redo: Move</comment>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="959"/>
        <source>&amp;Redo</source>
        <translation type="unfinished">&amp;Yinele</translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="961"/>
        <source>Reset control point</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="962"/>
        <source>Reset control points</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="963"/>
        <source>Apply image effects</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="964"/>
        <source>Insert frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="965"/>
        <source>Adjust frame to the image size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="882"/>
        <source>Set start and end arrows</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="827"/>
        <source>Remove vertical auto guide</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="828"/>
        <source>Remove horizontal auto guide</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="919"/>
        <source>Text flows around image clipping path</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="966"/>
        <source>Remove all guides</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="967"/>
        <source>Remove page guides</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="968"/>
        <source>Copy</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="970"/>
        <source>Copy page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="975"/>
        <source>Convert to outlines</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="952"/>
        <source>Change formula</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="911"/>
        <source>Import AI drawing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="912"/>
        <source>Import XFig drawing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="901"/>
        <source>Render frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="909"/>
        <source>Import Barcode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="936"/>
        <source>Duplicate layer %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="849"/>
        <source>More than 20 items involved</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="913"/>
        <source>Import WMF drawing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undomanager.cpp" line="932"/>
        <source>Change shape type</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>UndoPalette</name>
    <message>
        <location filename="../../../scribus/undogui.cpp" line="281"/>
        <source>Initial State</source>
        <translation>İlk Durum</translation>
    </message>
    <message>
        <location filename="../../../scribus/undogui.cpp" line="308"/>
        <source>Action History</source>
        <translation>İşlem Geçmişi</translation>
    </message>
    <message>
        <source>Show selected object only</source>
        <translation type="obsolete">Sadece seçili nesneyi göster</translation>
    </message>
    <message>
        <location filename="../../../scribus/undogui.cpp" line="310"/>
        <source>&amp;Undo</source>
        <translation>Geri &amp;Al</translation>
    </message>
    <message>
        <location filename="../../../scribus/undogui.cpp" line="311"/>
        <source>&amp;Redo</source>
        <translation>&amp;Yinele</translation>
    </message>
    <message>
        <location filename="../../../scribus/undogui.cpp" line="313"/>
        <source>Show the action history for the selected item only. This changes the effect of the undo/redo buttons to act on the object or document.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undogui.cpp" line="314"/>
        <source>Undo the last action for either the current object or the document</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undogui.cpp" line="315"/>
        <source>Redo the last action for either the current object or the document</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undogui.cpp" line="532"/>
        <source>%1 - %2
%3</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/undogui.cpp" line="309"/>
        <source>Show Selected Object Only</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>UndoWidget</name>
    <message>
        <location filename="../../../scribus/undogui.cpp" line="138"/>
        <location filename="../../../scribus/undogui.cpp" line="147"/>
        <source>%1: %2</source>
        <comment>undo target: action (f.e. Text frame: Resize)</comment>
        <translation>%1: %2</translation>
    </message>
</context>
<context>
    <name>UnicodeChooseButton</name>
    <message>
        <source>&amp;Search</source>
        <translation type="obsolete">&amp;Ara</translation>
    </message>
</context>
<context>
    <name>UnicodeSearch</name>
    <message>
        <location filename="../../../scribus/unicodesearch.ui" line="14"/>
        <source>Unicode Search</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/unicodesearch.ui" line="26"/>
        <source>&amp;Search:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/unicodesearch.ui" line="39"/>
        <source>Enter the search phrase. Then press Enter.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>UpgradeChecker</name>
    <message>
        <location filename="../../../scribus/upgradechecker.cpp" line="111"/>
        <source>Timed out when attempting to get update file.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/upgradechecker.cpp" line="140"/>
        <source>File not found on server</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/upgradechecker.cpp" line="142"/>
        <source>Could not open version file: %1
Error:%2 at line: %3, row: %4</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/upgradechecker.cpp" line="223"/>
        <source>An error occurred while looking for updates for Scribus, please check your internet connection.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/upgradechecker.cpp" line="227"/>
        <source>No updates are available for your version of Scribus %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/upgradechecker.cpp" line="230"/>
        <source>One or more updates for your version of Scribus (%1) are available:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/upgradechecker.cpp" line="234"/>
        <source>Please visit www.scribus.net for details.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/upgradechecker.cpp" line="123"/>
        <source>Finished</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/upgradechecker.cpp" line="218"/>
        <source>Operation canceled</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/upgradechecker.cpp" line="231"/>
        <source>This list may contain development/unstable versions.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/upgradechecker.cpp" line="314"/>
        <source>Error: %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/upgradechecker.cpp" line="86"/>
        <source>No data on your computer will be sent to an external location</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/upgradechecker.cpp" line="92"/>
        <source>Attempting to get the Scribus version update file:</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>UrlLauncher</name>
    <message>
        <location filename="../../../scribus/urllauncher.cpp" line="64"/>
        <source>Locate your web browser</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/urllauncher.cpp" line="77"/>
        <source>External Web Browser Failed to Start</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/urllauncher.cpp" line="77"/>
        <source>Scribus was not able to start the external web browser application %1. Please check the setting in Preferences.
Would you like to start the system&apos;s default browser instead?</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>UsePrinterMarginsDialog</name>
    <message>
        <location filename="../../../scribus/useprintermarginsdialog.cpp" line="44"/>
        <source>Minimum Margins for Page Size %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/useprintermarginsdialog.ui" line="13"/>
        <source>Use Printer Margins</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/useprintermarginsdialog.ui" line="21"/>
        <source>Select &amp;Printer:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/useprintermarginsdialog.ui" line="46"/>
        <source>Margins</source>
        <translation type="unfinished">Kenarlıklar</translation>
    </message>
    <message>
        <location filename="../../../scribus/useprintermarginsdialog.ui" line="61"/>
        <source>Right:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/useprintermarginsdialog.ui" line="104"/>
        <source>&amp;Top:</source>
        <translation type="unfinished">&amp;Üst:</translation>
    </message>
    <message>
        <location filename="../../../scribus/useprintermarginsdialog.ui" line="117"/>
        <source>&amp;Bottom:</source>
        <translation type="unfinished">&amp;Alt:</translation>
    </message>
    <message>
        <location filename="../../../scribus/useprintermarginsdialog.ui" line="130"/>
        <source>&amp;Left:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/useprintermarginsdialog.ui" line="189"/>
        <source>&amp;OK</source>
        <translation type="unfinished">&amp;Tamam</translation>
    </message>
    <message>
        <location filename="../../../scribus/useprintermarginsdialog.ui" line="192"/>
        <source>Alt+O</source>
        <translation type="unfinished">Alt+O</translation>
    </message>
    <message>
        <location filename="../../../scribus/useprintermarginsdialog.ui" line="199"/>
        <source>&amp;Cancel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/useprintermarginsdialog.ui" line="202"/>
        <source>Alt+C</source>
        <translation type="unfinished">Alt+C</translation>
    </message>
</context>
<context>
    <name>UsePrinterMarginsDialogBase</name>
    <message>
        <source>Margins</source>
        <translation type="obsolete">Kenarlıklar</translation>
    </message>
    <message>
        <source>&amp;Top:</source>
        <translation type="obsolete">&amp;Üst:</translation>
    </message>
    <message>
        <source>&amp;Bottom:</source>
        <translation type="obsolete">&amp;Alt:</translation>
    </message>
    <message>
        <source>&amp;OK</source>
        <translation type="obsolete">&amp;Tamam</translation>
    </message>
    <message>
        <source>Alt+O</source>
        <translation type="obsolete">Alt+O</translation>
    </message>
    <message>
        <source>Alt+C</source>
        <translation type="obsolete">Alt+C</translation>
    </message>
</context>
<context>
    <name>ValueDialog</name>
    <message>
        <source>Insert value</source>
        <translation type="obsolete">Değer Gir</translation>
    </message>
    <message>
        <source>Enter a value then press OK.</source>
        <translation type="obsolete">Bir değer girin ve Tamam&apos;a basın.</translation>
    </message>
    <message>
        <source>Enter a value then press OK</source>
        <translation type="obsolete">Bir değer girin ve Tamam&apos;a basın</translation>
    </message>
    <message>
        <source>Alt+O</source>
        <translation type="obsolete">Alt+O</translation>
    </message>
    <message>
        <source>Send your value to the script</source>
        <translation type="obsolete">Değeri scripte yolla</translation>
    </message>
</context>
<context>
    <name>WMFImport</name>
    <message>
        <location filename="../../../scribus/plugins/import/wmf/wmfimport.cpp" line="647"/>
        <source>Group%1</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>WMFImportPlugin</name>
    <message>
        <location filename="../../../scribus/plugins/import/wmf/wmfimportplugin.cpp" line="81"/>
        <source>Import &amp;WMF...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/wmf/wmfimportplugin.cpp" line="96"/>
        <source>Imports WMF Files</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/wmf/wmfimportplugin.cpp" line="97"/>
        <source>Imports most WMF files into the current document,
converting their vector data into Scribus objects.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/wmf/wmfimportplugin.cpp" line="182"/>
        <source>The file could not be imported</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/wmf/wmfimportplugin.cpp" line="184"/>
        <source>WMF file contains some unsupported features</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>WerkToolB</name>
    <message>
        <source>Tools</source>
        <translation type="obsolete">Araçlar</translation>
    </message>
    <message>
        <source>Properties...</source>
        <translation type="obsolete">Özellikler...</translation>
    </message>
</context>
<context>
    <name>WerkToolBP</name>
    <message>
        <source>Button</source>
        <translation type="obsolete">Düğme</translation>
    </message>
    <message>
        <source>Text Field</source>
        <translation type="obsolete">Metin Kutusu</translation>
    </message>
    <message>
        <source>Check Box</source>
        <translation type="obsolete">Check Box</translation>
    </message>
    <message>
        <source>Combo Box</source>
        <translation type="obsolete">Combo Box</translation>
    </message>
    <message>
        <source>List Box</source>
        <translation type="obsolete">Liste kutusu</translation>
    </message>
    <message>
        <source>Text</source>
        <translation type="obsolete">Metin</translation>
    </message>
    <message>
        <source>Link</source>
        <translation type="obsolete">Link</translation>
    </message>
    <message>
        <source>PDF Tools</source>
        <translation type="obsolete">PDF Araçları</translation>
    </message>
    <message>
        <source>Insert PDF Fields</source>
        <translation type="obsolete">PDF alanları ekle</translation>
    </message>
    <message>
        <source>Insert PDF Annotations</source>
        <translation type="obsolete">PDF açıklamaları ekle</translation>
    </message>
</context>
<context>
    <name>XfigPlug</name>
    <message>
        <location filename="../../../scribus/plugins/import/xfig/importxfig.cpp" line="147"/>
        <source>Importing: %1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/xfig/importxfig.cpp" line="150"/>
        <source>Analyzing File:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/xfig/importxfig.cpp" line="283"/>
        <source>Group%1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/import/xfig/importxfig.cpp" line="1552"/>
        <source>Generating Items</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>gtFileDialog</name>
    <message>
        <location filename="../../../scribus/gtfiledialog.cpp" line="24"/>
        <source>Choose the importer to use</source>
        <translation>Kullanılacak aktarıcıyı seçin</translation>
    </message>
    <message>
        <location filename="../../../scribus/gtfiledialog.cpp" line="25"/>
        <source>Automatic</source>
        <translation>Otomatik</translation>
    </message>
    <message>
        <location filename="../../../scribus/gtfiledialog.cpp" line="28"/>
        <source>Import text without any formatting</source>
        <translation>Metni biçimlendirmesiz al</translation>
    </message>
    <message>
        <source>Importer:</source>
        <translation type="obsolete">Aktarıcı:</translation>
    </message>
    <message>
        <source>Encoding:</source>
        <translation type="obsolete">Kodlama:</translation>
    </message>
    <message>
        <source>Import Text Only</source>
        <translation type="obsolete">Sadece Metni Al</translation>
    </message>
    <message>
        <location filename="../../../scribus/gtfiledialog.ui" line="13"/>
        <source>Open</source>
        <translation type="unfinished">Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/gtfiledialog.ui" line="22"/>
        <source>&amp;Importer:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/gtfiledialog.ui" line="35"/>
        <source>Import &amp;Text Only</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/gtfiledialog.ui" line="42"/>
        <source>&amp;Encoding:</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>gtImporterDialog</name>
    <message>
        <location filename="../../../scribus/gtdialogs.cpp" line="50"/>
        <location filename="../../../scribus/gtdialogs.cpp" line="58"/>
        <location filename="../../../scribus/gtdialogs.cpp" line="67"/>
        <source>Choose the importer to use</source>
        <translation>Kullanılacak aktarıcıyı seçin</translation>
    </message>
    <message>
        <location filename="../../../scribus/gtdialogs.cpp" line="79"/>
        <source>Remember association</source>
        <translation>İlişkilendirmeyi hatırla</translation>
    </message>
    <message>
        <location filename="../../../scribus/gtdialogs.cpp" line="81"/>
        <source>Remember the file extension - importer association and do not ask again to select an importer for files of this type.</source>
        <translation>Aktarıcı-dosya uzantısı ilişkisini hatırla ve bir daha bu dosya tipi için hangi aktarıcının kullanılacağını sorma.</translation>
    </message>
</context>
<context>
    <name>hysettingsBase</name>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="14"/>
        <source>Form</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="33"/>
        <source>Hyphenation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="45"/>
        <source>General Options</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="57"/>
        <source>A dialog box showing all possible hyphens for each word will show up when you use the Extras, Hyphenate Text option.</source>
        <translation type="unfinished">A dialog box showing all possible hyphens for each word will show up when you use the Extras, Hyphenate Text option.</translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="60"/>
        <source>&amp;Hyphenation Suggestions</source>
        <translation type="unfinished">&amp;Tireleme Önerileri</translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="67"/>
        <source>Enables automatic hyphenation of your text while typing.</source>
        <translation type="unfinished">Metin yazarken otomatik tirelenmesini sağlar.</translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="70"/>
        <source>Hyphenate Text Automatically &amp;During Typing</source>
        <translation type="unfinished">Metni Yazarken Otomatik Olarak &amp;Tirele</translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="102"/>
        <source>Behaviour</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="114"/>
        <source>&amp;Language:</source>
        <translation type="unfinished">&amp;Dil:</translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="127"/>
        <source>&amp;Smallest Word:</source>
        <translation type="unfinished">&amp;En Küçük Kelime:</translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="137"/>
        <source>Length of the smallest word to be hyphenated.</source>
        <translation type="unfinished">Tirelenebilecek en küçük kelimenin uzunluğu.</translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="147"/>
        <source>Chars</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="154"/>
        <source>Consecutive Hyphenations &amp;Allowed:</source>
        <translation type="unfinished">Arka &amp;arkaya izin verilen tirelemeler:</translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="167"/>
        <source>Maximum number of Hyphenations following each other.
A value of 0 means unlimited hyphenations.</source>
        <translation type="unfinished">Birbirini takip eden maksimum tireleme sayısı.
Limitsiz için 0 verin.</translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="184"/>
        <source>Exceptions</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="206"/>
        <location filename="../../../scribus/hysettingsBase.ui" line="271"/>
        <source>Edit</source>
        <translation type="unfinished">Düzenle</translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="242"/>
        <source>Ignore List</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="302"/>
        <source>Spelling</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="312"/>
        <source>Installed Spelling Dictionaries</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="330"/>
        <source>Downloadable Spelling Dictionaries</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="350"/>
        <source>Downloading</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="383"/>
        <source>Refresh Downloadable List</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/hysettingsBase.ui" line="390"/>
        <source>Download Selected Dictionaries</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>nftdialog</name>
    <message>
        <location filename="../../../scribus/nftdialog.ui" line="13"/>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.ui" line="13"/>
        <source>New From Template</source>
        <translation>Şablondan Oluştur</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="59"/>
        <source>All</source>
        <translation>Tümü</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="146"/>
        <source>Name</source>
        <translation>İsim</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="148"/>
        <source>Page Size</source>
        <translation>Sayfa Ölçüleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="150"/>
        <source>Colors</source>
        <translation>Renkler</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="152"/>
        <source>Description</source>
        <translation>Tanım</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="154"/>
        <source>Usage</source>
        <translation>Kullanım</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="156"/>
        <source>Created with</source>
        <translation>Birlikte oluşturuldu</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="160"/>
        <source>Author</source>
        <translation>Yazar</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="32"/>
        <source>&amp;Remove</source>
        <translation>Ka&amp;ldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="33"/>
        <source>&amp;Open</source>
        <translation>&amp;Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="181"/>
        <source>Downloading Templates</source>
        <translation>Yeni Şablon İndirmek</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="187"/>
        <source>Installing Templates</source>
        <translation>Şablonları Kurmak</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="189"/>
        <source>Extract the package to the template directory ~/.scribus/templates for the current user or PREFIX/share/scribus/templates for all users in the system.</source>
        <translation>Paketi, ~/.scribus/templates şablon dizinine açın; eğer sistemdeki tüm kullanıcıların kullanabilmesini istiyorsanız PREFIX/share/scribus/templates dizinine açın.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="196"/>
        <source>Preparing a template</source>
        <translation>Şablonu hazırlamak</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="201"/>
        <source>Removing a template</source>
        <translation>Şablonu kaldırmak</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="206"/>
        <source>Translating template.xml</source>
        <translation>template.xml&apos;i tercüme etmek</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="183"/>
        <source>Document templates can be found at http://www.scribus.net/ in the Downloads section.</source>
        <translation>Doküman şablonları http://www.scribus.net/ sitesinde, Downloads bölümünde bulunabilir. Daha fazla şablon için, http://www.pozitifpc.com/scribus adresine bakabilirsiniz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="198"/>
        <source>Make sure images and fonts you use can be used freely. If fonts cannot be shared do not collect them when saving as a template.</source>
        <translation>Resimlerin ve yazıtiplerinin özgürce paylaşılabileceğinden emin olun. Eğer yazıtipleri lisanslı ise, şablonu kaydederken  yazıtiplerini almayın.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="199"/>
        <source>The template creator should also make sure that the Installing Templates section above applies to their templates as well. This means a user should be able to download a template package and be able to extract them to the template directory and start using them.</source>
        <translation>The template creator should also make sure that the Installing Templates section above applies to their templates as well. This means a user should be able to download a template package and be able to extract them to the template directory and start using them.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="203"/>
        <source>Removing a template from the New From Template dialog will only remove the entry from the template.xml, it will not delete the document files. A popup menu with remove is only shown if you have write access to the template.xml file.</source>
        <translation>Bir şablonu Şablondan Yeni penceresinden kaldırmak sadece template.xml dosyasındaki girdiyi siler; doküman dosyaları silinmezler. Kaldır seçeneği sadece dosyaya yazma hakkınız varsa görüntülenir.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="208"/>
        <source>Copy an existing template.xml to a file called template.lang_COUNTRY.xml (use the same lang code that is present in the qm file for your language), for example template.fi.xml for Finnish language template.xml. The copy must be located in the same directory as the original template.xml so Scribus can load it.</source>
        <translation>Mevcut bir template.xml dosyasını template.lang_TR.xml olarak kopyalayın. (qm dosyasının dil kodu ile aynı olmalı) Scribus&apos;un sorunsuz yükleyebilmesi için, bu dosya orjinal template.xml ile aynı dizinde olmalıdır.</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.cpp" line="158"/>
        <source>Date</source>
        <translation>Tarih
</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.ui" line="62"/>
        <source>&amp;About</source>
        <translation type="unfinished">&amp;Hakkında</translation>
    </message>
    <message>
        <source>&amp;Image</source>
        <translation type="obsolete">&amp;Resim</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.ui" line="114"/>
        <source>&amp;Help</source>
        <translation type="unfinished">&amp;Yardım</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/newfromtemplateplugin/nftdialog.ui" line="86"/>
        <source>&amp;Preview</source>
        <translation type="unfinished">Öni&amp;zleme</translation>
    </message>
</context>
<context>
    <name>nftwidget</name>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="29"/>
        <source>&amp;Remove</source>
        <translation type="unfinished">Ka&amp;ldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="30"/>
        <source>&amp;Open</source>
        <translation type="unfinished">&amp;Aç</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="62"/>
        <source>All</source>
        <translation type="unfinished">Tümü</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="139"/>
        <source>Name</source>
        <translation type="unfinished">İsim</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="141"/>
        <source>Page Size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="143"/>
        <source>Colors</source>
        <translation type="unfinished">Renkler</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="145"/>
        <source>Description</source>
        <translation type="unfinished">Tanım</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="147"/>
        <source>Usage</source>
        <translation type="unfinished">Kullanım</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="149"/>
        <source>Created with</source>
        <translation type="unfinished">Birlikte oluşturuldu</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="151"/>
        <source>Date</source>
        <translation type="unfinished">Tarih
</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="153"/>
        <source>Author</source>
        <translation type="unfinished">Yazar</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="168"/>
        <source>Downloading Templates</source>
        <translation type="unfinished">Yeni Şablon İndirmek</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="170"/>
        <source>Document templates can be found at http://www.scribus.net/ in the Downloads section.</source>
        <translation type="unfinished">Doküman şablonları http://www.scribus.net/ sitesinde, Downloads bölümünde bulunabilir. Daha fazla şablon için, http://www.pozitifpc.com/scribus adresine bakabilirsiniz.</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="174"/>
        <source>Installing Templates</source>
        <translation type="unfinished">Şablonları Kurmak</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="176"/>
        <source>Extract the package to the template directory ~/.scribus/templates for the current user or PREFIX/share/scribus/templates for all users in the system.</source>
        <translation type="unfinished">Paketi, ~/.scribus/templates şablon dizinine açın; eğer sistemdeki tüm kullanıcıların kullanabilmesini istiyorsanız PREFIX/share/scribus/templates dizinine açın.</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="183"/>
        <source>Preparing a template</source>
        <translation type="unfinished">Şablonu hazırlamak</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="185"/>
        <source>Make sure images and fonts you use can be used freely. If fonts cannot be shared do not collect them when saving as a template.</source>
        <translation type="unfinished">Resimlerin ve yazıtiplerinin özgürce paylaşılabileceğinden emin olun. Eğer yazıtipleri lisanslı ise, şablonu kaydederken  yazıtiplerini almayın.</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="186"/>
        <source>The template creator should also make sure that the Installing Templates section above applies to their templates as well. This means a user should be able to download a template package and be able to extract them to the template directory and start using them.</source>
        <translation type="unfinished">The template creator should also make sure that the Installing Templates section above applies to their templates as well. This means a user should be able to download a template package and be able to extract them to the template directory and start using them.</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="188"/>
        <source>Removing a template</source>
        <translation type="unfinished">Şablonu kaldırmak</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="190"/>
        <source>Removing a template from the New From Template dialog will only remove the entry from the template.xml, it will not delete the document files. A popup menu with remove is only shown if you have write access to the template.xml file.</source>
        <translation type="unfinished">Bir şablonu Şablondan Yeni penceresinden kaldırmak sadece template.xml dosyasındaki girdiyi siler; doküman dosyaları silinmezler. Kaldır seçeneği sadece dosyaya yazma hakkınız varsa görüntülenir.</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="193"/>
        <source>Translating template.xml</source>
        <translation type="unfinished">template.xml&apos;i tercüme etmek</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.cpp" line="195"/>
        <source>Copy an existing template.xml to a file called template.lang_COUNTRY.xml (use the same lang code that is present in the qm file for your language), for example template.fi.xml for Finnish language template.xml. The copy must be located in the same directory as the original template.xml so Scribus can load it.</source>
        <translation type="unfinished">Mevcut bir template.xml dosyasını template.lang_TR.xml olarak kopyalayın. (qm dosyasının dil kodu ile aynı olmalı) Scribus&apos;un sorunsuz yükleyebilmesi için, bu dosya orjinal template.xml ile aynı dizinde olmalıdır.</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.ui" line="13"/>
        <source>Form</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.ui" line="81"/>
        <source>&amp;About</source>
        <translation type="unfinished">&amp;Hakkında</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.ui" line="105"/>
        <source>&amp;Preview</source>
        <translation type="unfinished">Öni&amp;zleme</translation>
    </message>
    <message>
        <location filename="../../../scribus/nftwidget.ui" line="133"/>
        <source>&amp;Help</source>
        <translation type="unfinished">&amp;Yardım</translation>
    </message>
</context>
<context>
    <name>patternDialogBase</name>
    <message>
        <source>Remove</source>
        <translation type="obsolete">Kaldır</translation>
    </message>
</context>
<context>
    <name>replaceColorDialog</name>
    <message>
        <location filename="../../../scribus/replaceonecolor.ui" line="13"/>
        <source>Replace Color</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/replaceonecolor.ui" line="54"/>
        <source>Replace:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/replaceonecolor.ui" line="70"/>
        <source>with:</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>replaceColorsDialog</name>
    <message>
        <location filename="../../../scribus/replacecolors.cpp" line="52"/>
        <source>Original</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/replacecolors.cpp" line="53"/>
        <source>Replacement</source>
        <translation type="unfinished">Muadili</translation>
    </message>
    <message>
        <location filename="../../../scribus/replacecolors.ui" line="13"/>
        <source>Replace Colors</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/replacecolors.ui" line="47"/>
        <source>Add ...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/replacecolors.ui" line="60"/>
        <source>Remove</source>
        <translation type="unfinished">Kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/replacecolors.ui" line="73"/>
        <source>Edit...</source>
        <translation type="unfinished">Düzenle...</translation>
    </message>
</context>
<context>
    <name>satdialog</name>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.ui" line="14"/>
        <source>Save as Template</source>
        <translation>Şablon Olarak Kaydet</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.ui" line="26"/>
        <source>Email:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.ui" line="65"/>
        <source>Description of the color format of the document, or some hints regarding colors used</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.ui" line="88"/>
        <source>Name:</source>
        <translation type="unfinished">İsim:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.ui" line="95"/>
        <source>Category:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.ui" line="102"/>
        <source>Page Size:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.ui" line="109"/>
        <source>Colors:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.ui" line="116"/>
        <source>Description:</source>
        <translation type="unfinished">Tanım:</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.ui" line="123"/>
        <source>Usage:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.ui" line="140"/>
        <source>Author:</source>
        <translation type="unfinished">Yazar:</translation>
    </message>
    <message>
        <source>Name</source>
        <translation type="obsolete">İsim</translation>
    </message>
    <message>
        <source>Category</source>
        <translation type="obsolete">Kategori</translation>
    </message>
    <message>
        <source>Page Size</source>
        <translation type="obsolete">Sayfa Boyutu</translation>
    </message>
    <message>
        <source>Colors</source>
        <translation type="obsolete">Renkler</translation>
    </message>
    <message>
        <source>Description</source>
        <translation type="obsolete">Tanım</translation>
    </message>
    <message>
        <source>Usage</source>
        <translation type="obsolete">Kullanım</translation>
    </message>
    <message>
        <source>Author</source>
        <translation type="obsolete">Yazar</translation>
    </message>
    <message>
        <source>Email</source>
        <translation type="obsolete">Email</translation>
    </message>
    <message>
        <source>More Details</source>
        <translation type="obsolete">Daha fazla detay</translation>
    </message>
    <message>
        <source>OK</source>
        <translation type="obsolete">Tamam</translation>
    </message>
    <message>
        <source>Less Details</source>
        <translation type="obsolete">Daha az detay</translation>
    </message>
    <message>
        <source>Legal</source>
        <translation type="obsolete">Legal</translation>
    </message>
    <message>
        <source>Letter</source>
        <translation type="obsolete">Letter</translation>
    </message>
    <message>
        <source>Tabloid</source>
        <translation type="obsolete">Tabloid</translation>
    </message>
    <message>
        <source>landscape</source>
        <translation type="obsolete">landscape</translation>
    </message>
    <message>
        <source>portrait</source>
        <translation type="obsolete">portrait</translation>
    </message>
    <message>
        <source>custom</source>
        <translation type="obsolete">Özel</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/saveastemplateplugin/satdialog.ui" line="81"/>
        <source>&amp;More Details</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>selectDialog</name>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="117"/>
        <source>Text Frame</source>
        <translation type="unfinished">Metin çerçevesi</translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="122"/>
        <source>Image Frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="127"/>
        <source>Shape</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="132"/>
        <source>Polyline</source>
        <translation type="unfinished">Çoklu Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="137"/>
        <source>Line</source>
        <translation type="unfinished">Çizgi</translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="142"/>
        <source>Render Frame</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="153"/>
        <source>Fill Color</source>
        <translation type="unfinished">Doldurma Rengi</translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="170"/>
        <source>Line Color</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="187"/>
        <source>Line Width</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="204"/>
        <source>Printable</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="215"/>
        <location filename="../../../scribus/selectobjects.ui" line="245"/>
        <location filename="../../../scribus/selectobjects.ui" line="272"/>
        <source>Yes</source>
        <translation type="unfinished">Evet</translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="220"/>
        <location filename="../../../scribus/selectobjects.ui" line="250"/>
        <location filename="../../../scribus/selectobjects.ui" line="277"/>
        <source>No</source>
        <translation type="unfinished">Hayır</translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="231"/>
        <source>Locked</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="261"/>
        <source>Resizeable</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="46"/>
        <source>Select all items on the current page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="59"/>
        <source>Select all items on the current layer on all pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="69"/>
        <source>Select all items not on a page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="82"/>
        <source>Narrow the selection of items based on various item properties</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="85"/>
        <source>With the Following Attributes</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="103"/>
        <source>Select based on item type</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="106"/>
        <source>Item Type</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="150"/>
        <source>Select based on the color that the item is filled with</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="167"/>
        <source>Select based on the color of the line or outline</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="184"/>
        <source>Select based on the width of the line of the item</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="201"/>
        <source>Select items based on whether they will be printed or not</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="228"/>
        <source>Select items based on their locked status</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="258"/>
        <source>Select items based on whether they have their size locked or not</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="19"/>
        <location filename="../../../scribus/selectobjects.ui" line="34"/>
        <source>Select All Items</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="49"/>
        <source>on Current Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="62"/>
        <source>on Current Layer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../../../scribus/selectobjects.ui" line="72"/>
        <source>on the Scratch Space</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>tfDia</name>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tfdia.cpp" line="35"/>
        <source>Create filter</source>
        <translation>Süzgeç Oluştur</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tfdia.cpp" line="77"/>
        <source>C&amp;lear</source>
        <translation>&amp;Temizle</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tfdia.cpp" line="80"/>
        <source>&amp;Delete</source>
        <translation>&amp;Sil</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tfdia.cpp" line="87"/>
        <source>Choose a previously saved filter</source>
        <translation>Daha önceden kaydedilmiş bir süzgeç seç</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tfdia.cpp" line="138"/>
        <location filename="../../../scribus/plugins/gettext/textfilter/tfdia.cpp" line="271"/>
        <source>Give a name to this filter for saving</source>
        <translation>Kaydetmek için bu süzgece bir isim verin</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tfdia.cpp" line="142"/>
        <source>Give a name for saving</source>
        <translation>Kaydetmek için isim verin</translation>
    </message>
</context>
<context>
    <name>tfFilter</name>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="110"/>
        <source>Disable or enable this filter row</source>
        <translation>Süzgeç satırını devredışı bırak/etkin kıl</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="136"/>
        <source>Remove this filter row</source>
        <translation>Bu süzgeç satırını kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="141"/>
        <source>Add a new filter row</source>
        <translation>Yeni süzgeç satırı ekle</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="192"/>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="394"/>
        <source>to</source>
        <translation>Buraya</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="210"/>
        <source>and</source>
        <translation>ve</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="214"/>
        <source>remove match</source>
        <translation>uyanı kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="215"/>
        <source>do not remove match</source>
        <translation>uyanı kaldırma</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="225"/>
        <source>words</source>
        <translation>kelimeler</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="264"/>
        <source>Remove</source>
        <translation>Kaldır</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="265"/>
        <source>Replace</source>
        <translation>Değiştir</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="266"/>
        <source>Apply</source>
        <translation>Uygula</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="285"/>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="423"/>
        <source>Value at the left is a regular expression</source>
        <translation>Soldaki ifade düzenli ifadedir (Regex)</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="299"/>
        <source>with</source>
        <translation>beraber</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="311"/>
        <source>paragraph style</source>
        <translation>paragraf stili</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="315"/>
        <source>all instances of</source>
        <translation>tüm örnekleri</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="397"/>
        <source>all paragraphs</source>
        <translation>tüm paragraflar</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="398"/>
        <source>paragraphs starting with</source>
        <translation>başlayan paragraflar</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="399"/>
        <source>paragraphs with less than</source>
        <translation>den az içeren paragraflar</translation>
    </message>
    <message>
        <location filename="../../../scribus/plugins/gettext/textfilter/tffilter.cpp" line="400"/>
        <source>paragraphs with more than</source>
        <translation>den çok içeren paragraflar</translation>
    </message>
</context>
</TS>
